﻿--[[
$Id: LibBabble-SubZone-3.0.lua 86 2011-06-26 15:03:31Z arith $
Name: LibBabble-SubZone-3.0
Revision: $Rev: 86 $
Maintainers: arith
Last updated by: $Author: arith $
Website: http://www.wowace.com/addons/libbabble-subzone-3-0/
Dependencies: None
License: MIT
]]

local MAJOR_VERSION = "LibBabble-SubZone-3.0"
local MINOR_VERSION = 90000 + tonumber(("$Rev: 86 $"):match("%d+"))

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

-- Notes: Do not manually edit the translation here, as it may be overwritten by WoWAce localization automation tool
-- To revise translation, please visit: http://www.wowace.com/addons/libbabble-subzone-3-0/localization/

lib:SetBaseTranslations 
{
	["7th Legion Base Camp"] = "7th Legion Base Camp",
	["7th Legion Front"] = "7th Legion Front",
	["7th Legion Submarine"] = "7th Legion Submarine",
	["A Hero's Welcome"] = "A Hero's Welcome",
	["Abandoned Armory"] = "Abandoned Armory",
	["Abandoned Camp"] = "Abandoned Camp",
	["Abandoned Mine"] = "Abandoned Mine",
	["Abandoned Reef"] = "Abandoned Reef",
	["Abyssal Breach"] = "Abyssal Breach",
	["Abyssal Depths"] = "Abyssal Depths",
	["Abyssal Halls"] = "Abyssal Halls",
	["Abyssal Maw"] = "Abyssal Maw",
	["Abyssal Maw Exterior"] = "Abyssal Maw Exterior",
	["Abyssal Sands"] = "Abyssal Sands",
	["Abyssion's Lair"] = "Abyssion's Lair",
	["Access Shaft Zeon"] = "Access Shaft Zeon",
	["Acherus: The Ebon Hold"] = "Acherus: The Ebon Hold",
	["Addle's Stead"] = "Addle's Stead",
	["Aderic's Repose"] = "Aderic's Repose",
	["Aerie Peak"] = "Aerie Peak",
	["Aeris Landing"] = "Aeris Landing",
	["Agamand Family Crypt"] = "Agamand Family Crypt",
	["Agamand Mills"] = "Agamand Mills",
	["Agmar's Hammer"] = "Agmar's Hammer",
	["Agmond's End"] = "Agmond's End",
	["Agol'watha"] = "Agol'watha",
	["Ahn Qiraj"] = "Ahn Qiraj",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Ahn'Qiraj Temple",
	["Ahn'Qiraj Terrace"] = "Ahn'Qiraj Terrace",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj: The Fallen Kingdom",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet: The Old Kingdom",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Ahn'kahet: The Old Kingdom Entrance",
	["Akhenet Fields"] = "Akhenet Fields",
	["Aku'mai's Lair"] = "Aku'mai's Lair",
	["Alabaster Shelf"] = "Alabaster Shelf",
	["Alcaz Island"] = "Alcaz Island",
	["Aldor Rise"] = "Aldor Rise",
	Aldrassil = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar: The Desolation Gate",
	["Alexston Farmstead"] = "Alexston Farmstead",
	["Algaz Gate"] = "Algaz Gate",
	["Algaz Station"] = "Algaz Station",
	["All That Glitters Prospecting Co."] = "All That Glitters Prospecting Co.",
	["Allen Farmstead"] = "Allen Farmstead",
	["Allerian Post"] = "Allerian Post",
	["Allerian Stronghold"] = "Allerian Stronghold",
	["Alliance Base"] = "Alliance Base",
	["Alliance Beachhead"] = "Alliance Beachhead",
	["Alliance Keep"] = "Alliance Keep",
	["Alliance Mercenary Ship to Vashj'ir"] = "Alliance Mercenary Ship to Vashj'ir",
	["Alliance PVP Barracks"] = "Alliance PVP Barracks",
	["Alonsus Chapel"] = "Alonsus Chapel",
	["Altar of Ascension"] = "Altar of Ascension",
	["Altar of Har'koa"] = "Altar of Har'koa",
	["Altar of Mam'toth"] = "Altar of Mam'toth",
	["Altar of Quetz'lun"] = "Altar of Quetz'lun",
	["Altar of Rhunok"] = "Altar of Rhunok",
	["Altar of Sha'tar"] = "Altar of Sha'tar",
	["Altar of Sseratus"] = "Altar of Sseratus",
	["Altar of Storms"] = "Altar of Storms",
	["Altar of Twilight"] = "Altar of Twilight",
	["Altar of the Blood God"] = "Altar of the Blood God",
	["Alterac Mountains"] = "Alterac Mountains",
	["Alterac Valley"] = "Alterac Valley",
	["Alther's Mill"] = "Alther's Mill",
	["Amani Catacombs"] = "Amani Catacombs",
	["Amani Mountains"] = "Amani Mountains",
	["Amani Pass"] = "Amani Pass",
	["Amber Ledge"] = "Amber Ledge",
	Ambermill = "Ambermill",
	["Amberpine Lodge"] = "Amberpine Lodge",
	["Ambershard Cavern"] = "Ambershard Cavern",
	["Amberstill Ranch"] = "Amberstill Ranch",
	["Amberweb Pass"] = "Amberweb Pass",
	["Ameth'Aran"] = "Ameth'Aran",
	["Ammen Fields"] = "Ammen Fields",
	["Ammen Ford"] = "Ammen Ford",
	["Ammen Vale"] = "Ammen Vale",
	["Amphitheater of Anguish"] = "Amphitheater of Anguish",
	["Ampitheater of Anguish"] = "Ampitheater of Anguish",
	["An'daroth"] = "An'daroth",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Ancestral Grounds"] = "Ancestral Grounds",
	["Ancient Zul'Gurub"] = "Ancient Zul'Gurub",
	["Andilien Estate"] = "Andilien Estate",
	Andorhal = "Andorhal",
	Andruk = "Andruk",
	["Angerfang Encampment"] = "Angerfang Encampment",
	["Ango'rosh Grounds"] = "Ango'rosh Grounds",
	["Ango'rosh Stronghold"] = "Ango'rosh Stronghold",
	["Angor Fortress"] = "Angor Fortress",
	["Angrathar the Wrath Gate"] = "Angrathar the Wrath Gate",
	["Angrathar the Wrathgate"] = "Angrathar the Wrathgate",
	["Antonidas Memorial"] = "Antonidas Memorial",
	["Anvil of Conflagration"] = "Anvil of Conflagration",
	Anvilmar = "Anvilmar",
	["Apex Point"] = "Apex Point",
	["Apocryphan's Rest"] = "Apocryphan's Rest",
	["Apothecary Camp"] = "Apothecary Camp",
	["Arathi Basin"] = "Arathi Basin",
	["Arathi Highlands"] = "Arathi Highlands",
	["Arcane Pinnacle"] = "Arcane Pinnacle",
	["Archmage Vargoth's Retreat"] = "Archmage Vargoth's Retreat",
	["Area 52"] = "Area 52",
	["Arena Floor"] = "Arena Floor",
	["Argent Pavilion"] = "Argent Pavilion",
	["Argent Stand"] = "Argent Stand",
	["Argent Tournament Grounds"] = "Argent Tournament Grounds",
	["Argent Vanguard"] = "Argent Vanguard",
	["Ariden's Camp"] = "Ariden's Camp",
	["Arikara's Needle"] = "Arikara's Needle",
	["Arklon Ruins"] = "Arklon Ruins",
	["Arklonis Ridge"] = "Arklonis Ridge",
	["Arriga Footbridge"] = "Arriga Footbridge",
	["Arsad Trade Post"] = "Arsad Trade Post",
	["Ascendant's Rise"] = "Ascendant's Rise",
	["Ashen Fields"] = "Ashen Fields",
	["Ashen Lake"] = "Ashen Lake",
	Ashenvale = "Ashenvale",
	["Ashwood Lake"] = "Ashwood Lake",
	["Ashwood Post"] = "Ashwood Post",
	["Aspen Grove Post"] = "Aspen Grove Post",
	Astranaar = "Astranaar",
	["Ata'mal Terrace"] = "Ata'mal Terrace",
	Athenaeum = "Athenaeum",
	["Atulhet's Tomb"] = "Atulhet's Tomb",
	["Auberdine Refugee Camp"] = "Auberdine Refugee Camp",
	["Auchenai Crypts"] = "Auchenai Crypts",
	["Auchenai Grounds"] = "Auchenai Grounds",
	Auchindoun = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Auchenai Crypts Entrance",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Mana-Tombs Entrance",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Sethekk Halls Entrance",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Shadow Labyrinth Entrance",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun: Auchenai Crypts",
	["Auchindoun: Mana-Tombs"] = "Auchindoun: Mana-Tombs",
	["Auchindoun: Sethekk Halls"] = "Auchindoun: Sethekk Halls",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun: Shadow Labyrinth",
	["Auren Falls"] = "Auren Falls",
	["Auren Ridge"] = "Auren Ridge",
	["Avalanchion's Vault"] = "Avalanchion's Vault",
	Aviary = "Aviary",
	["Axis of Alignment"] = "Axis of Alignment",
	Axxarien = "Axxarien",
	["Azjol-Nerub"] = "Azjol-Nerub",
	["Azjol-Nerub Entrance"] = "Azjol-Nerub Entrance",
	Azshara = "Azshara",
	["Azshara Crater"] = "Azshara Crater",
	["Azure Dragonshrine"] = "Azure Dragonshrine",
	["Azure Watch"] = "Azure Watch",
	["Azurebreeze Coast"] = "Azurebreeze Coast",
	["Azurelode Mine"] = "Azurelode Mine",
	["Azuremyst Isle"] = "Azuremyst Isle",
	Badlands = "Badlands",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Bael Modan Excavation",
	["Bael'dun Digsite"] = "Bael'dun Digsite",
	["Bael'dun Keep"] = "Bael'dun Keep",
	["Baelgun's Excavation Site"] = "Baelgun's Excavation Site",
	["Bahrum's Post"] = "Bahrum's Post",
	["Bal'lal Ruins"] = "Bal'lal Ruins",
	["Balargarde Fortress"] = "Balargarde Fortress",
	Baleheim = "Baleheim",
	["Balejar Watch"] = "Balejar Watch",
	["Balia'mah Ruins"] = "Balia'mah Ruins",
	["Balnir Farmstead"] = "Balnir Farmstead",
	Bambala = "Bambala",
	["Ban'Thallow Barrow Den"] = "Ban'Thallow Barrow Den",
	["Ban'ethil Barrow Den"] = "Ban'ethil Barrow Den",
	["Ban'ethil Barrow Descent"] = "Ban'ethil Barrow Descent",
	["Ban'ethil Hollow"] = "Ban'ethil Hollow",
	["Band of Acceleration"] = "Band of Acceleration",
	["Band of Alignment"] = "Band of Alignment",
	["Band of Transmutation"] = "Band of Transmutation",
	["Band of Variance"] = "Band of Variance",
	Bank = "Bank",
	["Baradin Base Camp"] = "Baradin Base Camp",
	["Baradin Bay"] = "Baradin Bay",
	["Baradin Hold"] = "Baradin Hold",
	Barbershop = "Barbershop",
	["Barov Family Vault"] = "Barov Family Vault",
	["Bash'ir Landing"] = "Bash'ir Landing",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Bashal'Aran Collapse",
	["Bastion Antechamber"] = "Bastion Antechamber",
	["Bathran's Haunt"] = "Bathran's Haunt",
	["Battle Ring"] = "Battle Ring",
	Battlescar = "Battlescar",
	["Battlescar Spire"] = "Battlescar Spire",
	["Battlescar Valley"] = "Battlescar Valley",
	["Bay of Storms"] = "Bay of Storms",
	["Bear's Head"] = "Bear's Head",
	["Beauty's Lair"] = "Beauty's Lair",
	["Beezil's Wreck"] = "Beezil's Wreck",
	["Befouled Terrace"] = "Befouled Terrace",
	["Beggar's Haunt"] = "Beggar's Haunt",
	["Beneath The Double Rainbow"] = "Beneath The Double Rainbow",
	["Beren's Peril"] = "Beren's Peril",
	["Bernau's Happy Fun Land"] = "Bernau's Happy Fun Land",
	["Beryl Coast"] = "Beryl Coast",
	["Beryl Egress"] = "Beryl Egress",
	["Beryl Point"] = "Beryl Point",
	["Beth'mora Ridge"] = "Beth'mora Ridge",
	["Beth'tilac's Lair"] = "Beth'tilac's Lair",
	["Biel'aran Ridge"] = "Biel'aran Ridge",
	["Bilgewater Harbor"] = "Bilgewater Harbor",
	["Bilgewater Lumber Yard"] = "Bilgewater Lumber Yard",
	["Bilgewater Port"] = "Bilgewater Port",
	["Bitter Reaches"] = "Bitter Reaches",
	["Bittertide Lake"] = "Bittertide Lake",
	["Black Channel Marsh"] = "Black Channel Marsh",
	["Black Drake Roost"] = "Black Drake Roost",
	["Black Temple"] = "Black Temple",
	["Black Tooth Hovel"] = "Black Tooth Hovel",
	["Blackchar Cave"] = "Blackchar Cave",
	["Blackfathom Camp"] = "Blackfathom Camp",
	["Blackfathom Deeps"] = "Blackfathom Deeps",
	["Blackfathom Deeps Entrance"] = "Blackfathom Deeps Entrance",
	["Blackhoof Village"] = "Blackhoof Village",
	["Blackhorn's Penance"] = "Blackhorn's Penance",
	["Blackmaw Hold"] = "Blackmaw Hold",
	["Blackriver Logging Camp"] = "Blackriver Logging Camp",
	["Blackrock Caverns"] = "Blackrock Caverns",
	["Blackrock Caverns Entrance"] = "Blackrock Caverns Entrance",
	["Blackrock Depths"] = "Blackrock Depths",
	["Blackrock Depths Entrance"] = "Blackrock Depths Entrance",
	["Blackrock Mountain"] = "Blackrock Mountain",
	["Blackrock Pass"] = "Blackrock Pass",
	["Blackrock Spire"] = "Blackrock Spire",
	["Blackrock Spire Entrance"] = "Blackrock Spire Entrance",
	["Blackrock Stadium"] = "Blackrock Stadium",
	["Blackrock Stronghold"] = "Blackrock Stronghold",
	["Blacksilt Shore"] = "Blacksilt Shore",
	Blacksmith = "Blacksmith",
	["Blackstone Span"] = "Blackstone Span",
	Blackwatch = "Blackwatch",
	["Blackwater Cove"] = "Blackwater Cove",
	["Blackwater Shipwrecks"] = "Blackwater Shipwrecks",
	["Blackwind Lake"] = "Blackwind Lake",
	["Blackwind Landing"] = "Blackwind Landing",
	["Blackwind Valley"] = "Blackwind Valley",
	["Blackwing Coven"] = "Blackwing Coven",
	["Blackwing Descent"] = "Blackwing Descent",
	["Blackwing Lair"] = "Blackwing Lair",
	["Blackwolf River"] = "Blackwolf River",
	["Blackwood Camp"] = "Blackwood Camp",
	["Blackwood Den"] = "Blackwood Den",
	["Blackwood Lake"] = "Blackwood Lake",
	["Blade Tooth Canyon"] = "Blade Tooth Canyon",
	["Blade's Edge Arena"] = "Blade's Edge Arena",
	["Blade's Edge Mountains"] = "Blade's Edge Mountains",
	["Bladed Gulch"] = "Bladed Gulch",
	["Bladefist Bay"] = "Bladefist Bay",
	["Blades & Axes"] = "Blades & Axes",
	["Blades' Run"] = "Blades' Run",
	["Bladespire Grounds"] = "Bladespire Grounds",
	["Bladespire Hold"] = "Bladespire Hold",
	["Bladespire Outpost"] = "Bladespire Outpost",
	Bladewood = "Bladewood",
	["Blasted Lands"] = "Blasted Lands",
	["Bleeding Hollow Ruins"] = "Bleeding Hollow Ruins",
	["Bleeding Vale"] = "Bleeding Vale",
	["Bleeding Ziggurat"] = "Bleeding Ziggurat",
	["Blistering Pool"] = "Blistering Pool",
	["Blood Elf Tower"] = "Blood Elf Tower",
	["Blood Watch"] = "Blood Watch",
	["Bloodcurse Isle"] = "Bloodcurse Isle",
	["Bloodfen Burrow"] = "Bloodfen Burrow",
	Bloodgulch = "Bloodgulch",
	["Bloodhoof Village"] = "Bloodhoof Village",
	["Bloodmaul Camp"] = "Bloodmaul Camp",
	["Bloodmaul Outpost"] = "Bloodmaul Outpost",
	["Bloodmaul Ravine"] = "Bloodmaul Ravine",
	["Bloodmoon Isle"] = "Bloodmoon Isle",
	["Bloodmyst Isle"] = "Bloodmyst Isle",
	["Bloodscale Enclave"] = "Bloodscale Enclave",
	["Bloodscale Grounds"] = "Bloodscale Grounds",
	["Bloodspore Plains"] = "Bloodspore Plains",
	["Bloodtalon Shore"] = "Bloodtalon Shore",
	["Bloodtooth Camp"] = "Bloodtooth Camp",
	["Bloodvenom Falls"] = "Bloodvenom Falls",
	["Bloodvenom Post"] = "Bloodvenom Post",
	["Bloodvenom River"] = "Bloodvenom River",
	["Bloodwash Cavern"] = "Bloodwash Cavern",
	["Bloodwash Fighting Pits"] = "Bloodwash Fighting Pits",
	["Bloodwash Shrine"] = "Bloodwash Shrine",
	["Bloodwatcher Point"] = "Bloodwatcher Point",
	["Blue Sky Logging Grounds"] = "Blue Sky Logging Grounds",
	Bluefen = "Bluefen",
	["Bluegill Marsh"] = "Bluegill Marsh",
	["Bluff of the South Wind"] = "Bluff of the South Wind",
	["Bogen's Ledge"] = "Bogen's Ledge",
	Bogpaddle = "Bogpaddle",
	["Boha'mu Ruins"] = "Boha'mu Ruins",
	["Bolgan's Hole"] = "Bolgan's Hole",
	["Bolyun's Camp"] = "Bolyun's Camp",
	["Bonechewer Ruins"] = "Bonechewer Ruins",
	["Bones of Grakkarond"] = "Bones of Grakkarond",
	["Bonesnap's Camp"] = "Bonesnap's Camp",
	["Bootlegger Outpost"] = "Bootlegger Outpost",
	["Booty Bay"] = "Booty Bay",
	["Bor'gorok Outpost"] = "Bor'gorok Outpost",
	["Bor's Breath"] = "Bor's Breath",
	["Bor's Breath River"] = "Bor's Breath River",
	["Bor's Fall"] = "Bor's Fall",
	["Bor's Fury"] = "Bor's Fury",
	["Borean Tundra"] = "Borean Tundra",
	["Borune Ruins"] = "Borune Ruins",
	["Bough Shadow"] = "Bough Shadow",
	["Boulder Hills"] = "Boulder Hills",
	["Boulder Lode Mine"] = "Boulder Lode Mine",
	["Boulder'gor"] = "Boulder'gor",
	["Boulder'mok"] = "Boulder'mok",
	["Bouldercrag's Refuge"] = "Bouldercrag's Refuge",
	["Boulderfist Hall"] = "Boulderfist Hall",
	["Boulderfist Outpost"] = "Boulderfist Outpost",
	["Boulderslide Cavern"] = "Boulderslide Cavern",
	["Boulderslide Ravine"] = "Boulderslide Ravine",
	["Brackenwall Village"] = "Brackenwall Village",
	["Brackwell Pumpkin Patch"] = "Brackwell Pumpkin Patch",
	["Brambleblade Ravine"] = "Brambleblade Ravine",
	Bramblescar = "Bramblescar",
	["Brann's Base-Camp"] = "Brann's Base-Camp",
	["Brashtide Attack Fleet"] = "Brashtide Attack Fleet",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Brashtide Attack Fleet (Force Outdoors)",
	["Brave Wind Mesa"] = "Brave Wind Mesa",
	["Brazie Farmstead"] = "Brazie Farmstead",
	["Brewnall Village"] = "Brewnall Village",
	["Bridge of Souls"] = "Bridge of Souls",
	["Brightwater Lake"] = "Brightwater Lake",
	["Brightwood Grove"] = "Brightwood Grove",
	Brill = "Brill",
	["Brill Town Hall"] = "Brill Town Hall",
	["Bristlelimb Enclave"] = "Bristlelimb Enclave",
	["Bristlelimb Village"] = "Bristlelimb Village",
	["Broken Commons"] = "Broken Commons",
	["Broken Hill"] = "Broken Hill",
	["Broken Pillar"] = "Broken Pillar",
	["Broken Spear Village"] = "Broken Spear Village",
	["Broken Wilds"] = "Broken Wilds",
	["Bronze Dragonshrine"] = "Bronze Dragonshrine",
	["Bronzebeard Encampment"] = "Bronzebeard Encampment",
	["Browman Mill"] = "Browman Mill",
	["Brunnhildar Village"] = "Brunnhildar Village",
	["Bucklebree Farm"] = "Bucklebree Farm",
	["Budd's Dig"] = "Budd's Dig",
	["Burning Blade Coven"] = "Burning Blade Coven",
	["Burning Blade Ruins"] = "Burning Blade Ruins",
	["Burning Steppes"] = "Burning Steppes",
	["Butcher's Stand"] = "Butcher's Stand",
	["Caer Darrow"] = "Caer Darrow",
	["Caldemere Lake"] = "Caldemere Lake",
	["Calston Estate"] = "Calston Estate",
	["Camp Aparaje"] = "Camp Aparaje",
	["Camp Ataya"] = "Camp Ataya",
	["Camp Boff"] = "Camp Boff",
	["Camp Cagg"] = "Camp Cagg",
	["Camp E'thok"] = "Camp E'thok",
	["Camp Everstill"] = "Camp Everstill",
	["Camp Kosh"] = "Camp Kosh",
	["Camp Mojache"] = "Camp Mojache",
	["Camp Mojache Longhouse"] = "Camp Mojache Longhouse",
	["Camp Narache"] = "Camp Narache",
	["Camp Onequah"] = "Camp Onequah",
	["Camp Oneqwah"] = "Camp Oneqwah",
	["Camp Sungraze"] = "Camp Sungraze",
	["Camp Tunka'lo"] = "Camp Tunka'lo",
	["Camp Una'fe"] = "Camp Una'fe",
	["Camp Winterhoof"] = "Camp Winterhoof",
	["Camp Wurg"] = "Camp Wurg",
	["Camp of Boom"] = "Camp of Boom",
	Canals = "Canals",
	["Cannon's Inferno"] = "Cannon's Inferno",
	["Cantrips & Crows"] = "Cantrips & Crows",
	["Cape of Lost Hope"] = "Cape of Lost Hope",
	["Cape of Stranglethorn"] = "Cape of Stranglethorn",
	["Capital Gardens"] = "Capital Gardens",
	["Carrion Hill"] = "Carrion Hill",
	["Cartier & Co. Fine Jewelry"] = "Cartier & Co. Fine Jewelry",
	Cataclysm = "Cataclysm",
	["Cathedral Quarter"] = "Cathedral Quarter",
	["Cathedral Square"] = "Cathedral Square",
	["Cathedral of Darkness"] = "Cathedral of Darkness",
	["Cathedral of Light"] = "Cathedral of Light",
	["Cauldros Isle"] = "Cauldros Isle",
	["Cave of Mam'toth"] = "Cave of Mam'toth",
	["Cavern of Mists"] = "Cavern of Mists",
	["Caverns of Time"] = "Caverns of Time",
	["Celestial Ridge"] = "Celestial Ridge",
	["Cenarion Enclave"] = "Cenarion Enclave",
	["Cenarion Hold"] = "Cenarion Hold",
	["Cenarion Post"] = "Cenarion Post",
	["Cenarion Refuge"] = "Cenarion Refuge",
	["Cenarion Thicket"] = "Cenarion Thicket",
	["Cenarion Watchpost"] = "Cenarion Watchpost",
	["Cenarion Wildlands"] = "Cenarion Wildlands",
	["Central Bridge"] = "Central Bridge",
	["Chamber of Ancient Relics"] = "Chamber of Ancient Relics",
	["Chamber of Atonement"] = "Chamber of Atonement",
	["Chamber of Battle"] = "Chamber of Battle",
	["Chamber of Blood"] = "Chamber of Blood",
	["Chamber of Command"] = "Chamber of Command",
	["Chamber of Enchantment"] = "Chamber of Enchantment",
	["Chamber of Fanatics"] = "Chamber of Fanatics",
	["Chamber of Incineration"] = "Chamber of Incineration",
	["Chamber of Prophecy"] = "Chamber of Prophecy",
	["Chamber of Respite"] = "Chamber of Respite",
	["Chamber of Summoning"] = "Chamber of Summoning",
	["Chamber of the Aspects"] = "Chamber of the Aspects",
	["Chamber of the Dreamer"] = "Chamber of the Dreamer",
	["Chamber of the Moon"] = "Chamber of the Moon",
	["Chamber of the Restless"] = "Chamber of the Restless",
	["Chamber of the Stars"] = "Chamber of the Stars",
	["Chamber of the Sun"] = "Chamber of the Sun",
	["Champion's Hall"] = "Champion's Hall",
	["Champions' Hall"] = "Champions' Hall",
	["Chapel Gardens"] = "Chapel Gardens",
	["Chapel Yard"] = "Chapel Yard",
	["Chapel of the Crimson Flame"] = "Chapel of the Crimson Flame",
	["Charred Outpost"] = "Charred Outpost",
	["Charred Rise"] = "Charred Rise",
	["Chill Breeze Valley"] = "Chill Breeze Valley",
	["Chillmere Coast"] = "Chillmere Coast",
	["Chillwind Camp"] = "Chillwind Camp",
	["Chillwind Point"] = "Chillwind Point",
	Chiselgrip = "Chiselgrip",
	["Churning Gulch"] = "Churning Gulch",
	["Circle of Blood"] = "Circle of Blood",
	["Circle of Blood Arena"] = "Circle of Blood Arena",
	["Circle of East Binding"] = "Circle of East Binding",
	["Circle of Inner Binding"] = "Circle of Inner Binding",
	["Circle of Outer Binding"] = "Circle of Outer Binding",
	["Circle of Thorns"] = "Circle of Thorns",
	["Circle of West Binding"] = "Circle of West Binding",
	["Circle of Wills"] = "Circle of Wills",
	City = "City",
	["City of Ironforge"] = "City of Ironforge",
	["Clan Watch"] = "Clan Watch",
	["Cleft of Shadow"] = "Cleft of Shadow",
	["Cliffspring Falls"] = "Cliffspring Falls",
	["Cliffspring Hollow"] = "Cliffspring Hollow",
	["Cliffspring River"] = "Cliffspring River",
	["Cliffwalker Post"] = "Cliffwalker Post",
	["Cloudtop Terrace"] = "Cloudtop Terrace",
	["Coast of Echoes"] = "Coast of Echoes",
	["Coast of Idols"] = "Coast of Idols",
	["Coilfang - The Slave Pens Entrance"] = "Coilfang - The Slave Pens Entrance",
	["Coilfang - The Steamvault Entrance"] = "Coilfang - The Steamvault Entrance",
	["Coilfang - The Underbog Entrance"] = "Coilfang - The Underbog Entrance",
	["Coilfang Reservoir"] = "Coilfang Reservoir",
	["Coilfang: Serpentshrine Cavern"] = "Coilfang: Serpentshrine Cavern",
	["Coilfang: The Slave Pens"] = "Coilfang: The Slave Pens",
	["Coilfang: The Steamvault"] = "Coilfang: The Steamvault",
	["Coilfang: The Underbog"] = "Coilfang: The Underbog",
	["Coilskar Cistern"] = "Coilskar Cistern",
	["Coilskar Point"] = "Coilskar Point",
	["Cold Hearth Manor"] = "Cold Hearth Manor",
	Coldarra = "Coldarra",
	["Coldarra Ledge"] = "Coldarra Ledge",
	["Coldridge Pass"] = "Coldridge Pass",
	["Coldridge Valley"] = "Coldridge Valley",
	["Coldrock Quarry"] = "Coldrock Quarry",
	["Coldtooth Mine"] = "Coldtooth Mine",
	["Coldwind Heights"] = "Coldwind Heights",
	["Coldwind Pass"] = "Coldwind Pass",
	["Collin's Test"] = "Collin's Test",
	["Command Center"] = "Command Center",
	["Commons Hall"] = "Commons Hall",
	["Condemned Halls"] = "Condemned Halls",
	["Conquest Hold"] = "Conquest Hold",
	["Containment Core"] = "Containment Core",
	["Cooper Residence"] = "Cooper Residence",
	["Coral Garden"] = "Coral Garden",
	["Cordell's Enchanting"] = "Cordell's Enchanting",
	["Corin's Crossing"] = "Corin's Crossing",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar: The Horror Gate",
	["Corrahn's Dagger"] = "Corrahn's Dagger",
	Cosmowrench = "Cosmowrench",
	["Court of the Highborne"] = "Court of the Highborne",
	["Court of the Sun"] = "Court of the Sun",
	["Courtyard of the Ancients"] = "Courtyard of the Ancients",
	["Cradle of the Ancients"] = "Cradle of the Ancients",
	["Craftsmen's Terrace"] = "Craftsmen's Terrace",
	["Crag of the Everliving"] = "Crag of the Everliving",
	["Cragpool Lake"] = "Cragpool Lake",
	["Crash Site"] = "Crash Site",
	["Crescent Hall"] = "Crescent Hall",
	["Crimson Expanse"] = "Crimson Expanse",
	["Crimson Watch"] = "Crimson Watch",
	Crossroads = "Crossroads",
	["Crowley Orchard"] = "Crowley Orchard",
	["Crowley Stable Grounds"] = "Crowley Stable Grounds",
	["Crown Guard Tower"] = "Crown Guard Tower",
	["Crucible of Carnage"] = "Crucible of Carnage",
	["Crumbling Depths"] = "Crumbling Depths",
	["Crumbling Stones"] = "Crumbling Stones",
	["Crusader Forward Camp"] = "Crusader Forward Camp",
	["Crusader Outpost"] = "Crusader Outpost",
	["Crusader's Armory"] = "Crusader's Armory",
	["Crusader's Chapel"] = "Crusader's Chapel",
	["Crusader's Landing"] = "Crusader's Landing",
	["Crusader's Outpost"] = "Crusader's Outpost",
	["Crusader's Run"] = "Crusader's Run",
	["Crusader's Spire"] = "Crusader's Spire",
	["Crusaders' Pinnacle"] = "Crusaders' Pinnacle",
	["Crusaders' Square"] = "Crusaders' Square",
	Crushblow = "Crushblow",
	["Crushcog's Arsenal"] = "Crushcog's Arsenal",
	["Crushridge Hold"] = "Crushridge Hold",
	Crypt = "Crypt",
	["Crypt of Remembrance"] = "Crypt of Remembrance",
	["Crystal Lake"] = "Crystal Lake",
	["Crystal Spine"] = "Crystal Spine",
	["Crystalline Quarry"] = "Crystalline Quarry",
	["Crystalsong Forest"] = "Crystalsong Forest",
	["Crystalvein Mine"] = "Crystalvein Mine",
	["Crystalweb Cavern"] = "Crystalweb Cavern",
	["Curiosities & Moore"] = "Curiosities & Moore",
	["Cursed Depths"] = "Cursed Depths",
	["Cursed Hollow"] = "Cursed Hollow",
	["Cut-Throat Alley"] = "Cut-Throat Alley",
	["Cyclone Summit"] = "Cyclone Summit",
	["D-Block"] = "D-Block",
	["D.E.H.T.A. Encampment"] = "D.E.H.T.A. Encampment",
	["Dabyrie's Farmstead"] = "Dabyrie's Farmstead",
	["Dagger Pass"] = "Dagger Pass",
	["Daggercap Bay"] = "Daggercap Bay",
	["Daggerfen Village"] = "Daggerfen Village",
	["Daggermaw Canyon"] = "Daggermaw Canyon",
	Dalaran = "Dalaran",
	["Dalaran Arena"] = "Dalaran Arena",
	["Dalaran City"] = "Dalaran City",
	["Dalaran Crater"] = "Dalaran Crater",
	["Dalaran Floating Rocks"] = "Dalaran Floating Rocks",
	["Dalaran Island"] = "Dalaran Island",
	["Dalaran Merchant's Bank"] = "Dalaran Merchant's Bank",
	["Dalaran Sewers"] = "Dalaran Sewers",
	["Dalaran Visitor Center"] = "Dalaran Visitor Center",
	["Dalson's Farm"] = "Dalson's Farm",
	["Damplight Cavern"] = "Damplight Cavern",
	["Damplight Chamber"] = "Damplight Chamber",
	["Dandred's Fold"] = "Dandred's Fold",
	["Dargath's Demise"] = "Dargath's Demise",
	["Dark Iron Highway"] = "Dark Iron Highway",
	["Darkbreak Cove"] = "Darkbreak Cove",
	["Darkcloud Pinnacle"] = "Darkcloud Pinnacle",
	["Darkcrest Enclave"] = "Darkcrest Enclave",
	["Darkcrest Shore"] = "Darkcrest Shore",
	["Darkmist Cavern"] = "Darkmist Cavern",
	["Darkmist Ruins"] = "Darkmist Ruins",
	Darkshire = "Darkshire",
	["Darkshire Town Hall"] = "Darkshire Town Hall",
	Darkshore = "Darkshore",
	["Darkspear Hold"] = "Darkspear Hold",
	["Darkspear Isle"] = "Darkspear Isle",
	["Darkspear Shore"] = "Darkspear Shore",
	["Darkspear Strand"] = "Darkspear Strand",
	["Darkspear Training Grounds"] = "Darkspear Training Grounds",
	["Darkwhisper Gorge"] = "Darkwhisper Gorge",
	["Darkwhisper Pass"] = "Darkwhisper Pass",
	["Darnassian Base Camp"] = "Darnassian Base Camp",
	Darnassus = "Darnassus",
	["Darrow Hill"] = "Darrow Hill",
	["Darrowmere Lake"] = "Darrowmere Lake",
	Darrowshire = "Darrowshire",
	["Darrowshire Hunting Grounds"] = "Darrowshire Hunting Grounds",
	["Darsok's Outpost"] = "Darsok's Outpost",
	["Dawn's Reach"] = "Dawn's Reach",
	["Dawning Lane"] = "Dawning Lane",
	["Dawning Wood Catacombs"] = "Dawning Wood Catacombs",
	["Dawnrise Expedition"] = "Dawnrise Expedition",
	["Dawnstar Spire"] = "Dawnstar Spire",
	["Dawnstar Village"] = "Dawnstar Village",
	["Dead Man's Hole"] = "Dead Man's Hole",
	["Deadeye Shore"] = "Deadeye Shore",
	["Deadman's Crossing"] = "Deadman's Crossing",
	Deadmines = "Deadmines",
	["Deadwind Pass"] = "Deadwind Pass",
	["Deadwind Ravine"] = "Deadwind Ravine",
	["Deadwood Village"] = "Deadwood Village",
	["Death Cultist Base Camp"] = "Death Cultist Base Camp",
	["Death's Breach"] = "Death's Breach",
	["Death's Door"] = "Death's Door",
	["Death's Hand Encampment"] = "Death's Hand Encampment",
	["Death's Rise"] = "Death's Rise",
	["Death's Stand"] = "Death's Stand",
	["Death's Step"] = "Death's Step",
	["Death's Watch Waystation"] = "Death's Watch Waystation",
	["Deathbringer's Rise"] = "Deathbringer's Rise",
	["Deathforge Tower"] = "Deathforge Tower",
	Deathknell = "Deathknell",
	Deatholme = "Deatholme",
	["Deathspeaker's Watch"] = "Deathspeaker's Watch",
	["Deathwing's Fall"] = "Deathwing's Fall",
	["Deep Blue Observatory"] = "Deep Blue Observatory",
	["Deep Elem Mine"] = "Deep Elem Mine",
	["Deepfin Ridge"] = "Deepfin Ridge",
	Deepholm = "Deepholm",
	["Deephome Ceiling"] = "Deephome Ceiling",
	["Deepmist Grotto"] = "Deepmist Grotto",
	["Deeprun Tram"] = "Deeprun Tram",
	["Deepwater Tavern"] = "Deepwater Tavern",
	["Defias Hideout"] = "Defias Hideout",
	["Defiler's Den"] = "Defiler's Den",
	["Demon Fall Canyon"] = "Demon Fall Canyon",
	["Demon Fall Ridge"] = "Demon Fall Ridge",
	["Demont's Place"] = "Demont's Place",
	["Den of Dying"] = "Den of Dying",
	["Den of Haal'esh"] = "Den of Haal'esh",
	["Den of Iniquity"] = "Den of Iniquity",
	["Den of Mortal Delights"] = "Den of Mortal Delights",
	["Den of Sseratus"] = "Den of Sseratus",
	["Den of the Caller"] = "Den of the Caller",
	["Den of the Devourer"] = "Den of the Devourer",
	["Den of the Disciples"] = "Den of the Disciples",
	["Den of the Unholy"] = "Den of the Unholy",
	["Derelict Caravan"] = "Derelict Caravan",
	["Derelict Manor"] = "Derelict Manor",
	["Derelict Strand"] = "Derelict Strand",
	["Designer Island"] = "Designer Island",
	Desolace = "Desolace",
	["Desolation Hold"] = "Desolation Hold",
	["Detention Block"] = "Detention Block",
	["Development Land"] = "Development Land",
	["Diamondhead River"] = "Diamondhead River",
	["Dig One"] = "Dig One",
	["Dig Three"] = "Dig Three",
	["Dig Two"] = "Dig Two",
	["Dire Maul"] = "Dire Maul",
	["Dire Maul - Capital Gardens Entrance"] = "Dire Maul - Capital Gardens Entrance",
	["Dire Maul - Gordok Commons Entrance"] = "Dire Maul - Gordok Commons Entrance",
	["Dire Maul - Warpwood Quarter Entrance"] = "Dire Maul - Warpwood Quarter Entrance",
	["Dire Strait"] = "Dire Strait",
	["Direforge Hill"] = "Direforge Hill",
	["Direhorn Post"] = "Direhorn Post",
	Docks = "Docks",
	Dolanaar = "Dolanaar",
	["Donna's Kitty Shack"] = "Donna's Kitty Shack",
	["Doom's Vigil"] = "Doom's Vigil",
	["Dorian's Outpost"] = "Dorian's Outpost",
	["Draco'dar"] = "Draco'dar",
	["Draenei Ruins"] = "Draenei Ruins",
	["Draenethyst Mine"] = "Draenethyst Mine",
	["Draenil'dur Village"] = "Draenil'dur Village",
	["Dragon's Fall"] = "Dragon's Fall",
	["Dragon's Mouth"] = "Dragon's Mouth",
	Dragonblight = "Dragonblight",
	["Dragonflayer Pens"] = "Dragonflayer Pens",
	["Dragonmaw Base Camp"] = "Dragonmaw Base Camp",
	["Dragonmaw Flag Room"] = "Dragonmaw Flag Room",
	["Dragonmaw Forge"] = "Dragonmaw Forge",
	["Dragonmaw Fortress"] = "Dragonmaw Fortress",
	["Dragonmaw Garrison"] = "Dragonmaw Garrison",
	["Dragonmaw Gates"] = "Dragonmaw Gates",
	["Dragonmaw Pass"] = "Dragonmaw Pass",
	["Dragonmaw Port"] = "Dragonmaw Port",
	["Dragonmaw Skyway"] = "Dragonmaw Skyway",
	["Dragonmaw Stronghold"] = "Dragonmaw Stronghold",
	["Dragons' End"] = "Dragons' End",
	["Dragonspine Peaks"] = "Dragonspine Peaks",
	["Dragonspine Ridge"] = "Dragonspine Ridge",
	["Dragonspine Tributary"] = "Dragonspine Tributary",
	["Dragonspire Hall"] = "Dragonspire Hall",
	["Drak'Agal"] = "Drak'Agal",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Drak'Mar Lake",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Drak'Sotra Fields",
	["Drak'Tharon Keep"] = "Drak'Tharon Keep",
	["Drak'Tharon Keep Entrance"] = "Drak'Tharon Keep Entrance",
	["Drak'Tharon Overlook"] = "Drak'Tharon Overlook",
	["Drak'atal Passage"] = "Drak'atal Passage",
	["Drak'ural"] = "Drak'ural",
	["Draka's Fury"] = "Draka's Fury",
	["Drakil'jin Ruins"] = "Drakil'jin Ruins",
	["Draknid Lair"] = "Draknid Lair",
	["Dreadmaul Furnace"] = "Dreadmaul Furnace",
	["Dreadmaul Hold"] = "Dreadmaul Hold",
	["Dreadmaul Post"] = "Dreadmaul Post",
	["Dreadmaul Rock"] = "Dreadmaul Rock",
	["Dreadmist Camp"] = "Dreadmist Camp",
	["Dreadmist Den"] = "Dreadmist Den",
	["Dreadmist Peak"] = "Dreadmist Peak",
	["Dreadmurk Shore"] = "Dreadmurk Shore",
	["Dreadwatch Outpost"] = "Dreadwatch Outpost",
	["Dream Bough"] = "Dream Bough",
	["Dreamer's Rest"] = "Dreamer's Rest",
	["Dreamer's Rock"] = "Dreamer's Rock",
	Drudgetown = "Drudgetown",
	["Drygulch Ravine"] = "Drygulch Ravine",
	["Drywhisker Gorge"] = "Drywhisker Gorge",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Dun Baldar Pass",
	["Dun Baldar Tunnel"] = "Dun Baldar Tunnel",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Niffelem",
	["Dunemaul Compound"] = "Dunemaul Compound",
	["Dunemaul Recruitment Camp"] = "Dunemaul Recruitment Camp",
	["Dunwald Holdout"] = "Dunwald Holdout",
	["Dunwald Hovel"] = "Dunwald Hovel",
	["Dunwald Market Row"] = "Dunwald Market Row",
	["Dunwald Ruins"] = "Dunwald Ruins",
	["Dunwald Town Square"] = "Dunwald Town Square",
	["Durnholde Keep"] = "Durnholde Keep",
	Durotar = "Durotar",
	Duskhaven = "Duskhaven",
	["Duskhowl Den"] = "Duskhowl Den",
	["Duskmist Shore"] = "Duskmist Shore",
	["Duskwither Grounds"] = "Duskwither Grounds",
	["Duskwither Spire"] = "Duskwither Spire",
	Duskwood = "Duskwood",
	["Dustbelch Grotto"] = "Dustbelch Grotto",
	["Dustfire Valley"] = "Dustfire Valley",
	["Dustquill Ravine"] = "Dustquill Ravine",
	["Dustwallow Bay"] = "Dustwallow Bay",
	["Dustwallow Marsh"] = "Dustwallow Marsh",
	["Dustwind Cave"] = "Dustwind Cave",
	["Dustwind Dig"] = "Dustwind Dig",
	["Dustwind Gulch"] = "Dustwind Gulch",
	["Dwarven District"] = "Dwarven District",
	["Eagle's Eye"] = "Eagle's Eye",
	["Earth Song Falls"] = "Earth Song Falls",
	["Earthshatter Cavern"] = "Earthshatter Cavern",
	["East Garrison"] = "East Garrison",
	["East Pillar"] = "East Pillar",
	["East Sanctum"] = "East Sanctum",
	["East Spire"] = "East Spire",
	["East Supply Caravan"] = "East Supply Caravan",
	["Eastern Bridge"] = "Eastern Bridge",
	["Eastern Kingdoms"] = "Eastern Kingdoms",
	["Eastern Plaguelands"] = "Eastern Plaguelands",
	["Eastern Strand"] = "Eastern Strand",
	["Eastmoon Ruins"] = "Eastmoon Ruins",
	["Eastpoint Tower"] = "Eastpoint Tower",
	["Eastspark Workshop"] = "Eastspark Workshop",
	["Eastvale Logging Camp"] = "Eastvale Logging Camp",
	["Eastwall Gate"] = "Eastwall Gate",
	["Eastwall Tower"] = "Eastwall Tower",
	["Eastwind Shore"] = "Eastwind Shore",
	["Ebon Hold"] = "Ebon Hold",
	["Ebon Watch"] = "Ebon Watch",
	["Echo Cove"] = "Echo Cove",
	["Echo Isles"] = "Echo Isles",
	["Echo Reach"] = "Echo Reach",
	["Echo Ridge Mine"] = "Echo Ridge Mine",
	["Echomok Cavern"] = "Echomok Cavern",
	["Eclipse Point"] = "Eclipse Point",
	["Eclipsion Fields"] = "Eclipsion Fields",
	["Eco-Dome Farfield"] = "Eco-Dome Farfield",
	["Eco-Dome Midrealm"] = "Eco-Dome Midrealm",
	["Eco-Dome Skyperch"] = "Eco-Dome Skyperch",
	["Eco-Dome Sutheron"] = "Eco-Dome Sutheron",
	["Elder Rise"] = "Elder Rise",
	["Elders' Square"] = "Elders' Square",
	["Eldreth Row"] = "Eldreth Row",
	["Eldritch Heights"] = "Eldritch Heights",
	["Elemental Plateau"] = "Elemental Plateau",
	["Elementium Depths"] = "Elementium Depths",
	Elevator = "Elevator",
	["Elrendar Crossing"] = "Elrendar Crossing",
	["Elrendar Falls"] = "Elrendar Falls",
	["Elrendar River"] = "Elrendar River",
	["Elwynn Forest"] = "Elwynn Forest",
	["Ember Clutch"] = "Ember Clutch",
	["Ember Spear Tower"] = "Ember Spear Tower",
	Emberglade = "Emberglade",
	["Emberstone Mine"] = "Emberstone Mine",
	["Emberstone Village"] = "Emberstone Village",
	["Emberstrife's Den"] = "Emberstrife's Den",
	["Emerald Dragonshrine"] = "Emerald Dragonshrine",
	["Emerald Dream"] = "Emerald Dream",
	["Emerald Forest"] = "Emerald Forest",
	["Emerald Sanctuary"] = "Emerald Sanctuary",
	["Engine of the Makers"] = "Engine of the Makers",
	["Engineering Labs"] = "Engineering Labs",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereum Staging Grounds"] = "Ethereum Staging Grounds",
	["Evergreen Trading Post"] = "Evergreen Trading Post",
	Evergrove = "Evergrove",
	Everlook = "Everlook",
	["Eversong Woods"] = "Eversong Woods",
	["Excavation Center"] = "Excavation Center",
	["Excavation Lift"] = "Excavation Lift",
	["Expedition Armory"] = "Expedition Armory",
	["Expedition Base Camp"] = "Expedition Base Camp",
	["Expedition Point"] = "Expedition Point",
	["Explorers' League Digsite"] = "Explorers' League Digsite",
	["Explorers' League Outpost"] = "Explorers' League Outpost",
	["Eye of the Storm"] = "Eye of the Storm",
	["Fairbreeze Village"] = "Fairbreeze Village",
	["Fairbridge Strand"] = "Fairbridge Strand",
	["Falcon Watch"] = "Falcon Watch",
	["Falconwing Inn"] = "Falconwing Inn",
	["Falconwing Square"] = "Falconwing Square",
	["Faldir's Cove"] = "Faldir's Cove",
	["Falfarren River"] = "Falfarren River",
	["Fall of Return"] = "Fall of Return",
	["Fallen Sky Lake"] = "Fallen Sky Lake",
	["Fallen Sky Ridge"] = "Fallen Sky Ridge",
	["Fallen Temple of Ahn'kahet"] = "Fallen Temple of Ahn'kahet",
	["Fallow Sanctuary"] = "Fallow Sanctuary",
	["Fallowmere Inn"] = "Fallowmere Inn",
	["Falls of Ymiron"] = "Falls of Ymiron",
	["Falthrien Academy"] = "Falthrien Academy",
	Familiars = "Familiars",
	["Faol's Rest"] = "Faol's Rest",
	["Far Watch Post"] = "Far Watch Post",
	["Fargaze Mesa"] = "Fargaze Mesa",
	["Fargodeep Mine"] = "Fargodeep Mine",
	Farm = "Farm",
	Farshire = "Farshire",
	["Farshire Fields"] = "Farshire Fields",
	["Farshire Lighthouse"] = "Farshire Lighthouse",
	["Farshire Mine"] = "Farshire Mine",
	["Farson Hold"] = "Farson Hold",
	["Farstrider Enclave"] = "Farstrider Enclave",
	["Farstrider Lodge"] = "Farstrider Lodge",
	["Farstrider Retreat"] = "Farstrider Retreat",
	["Farstriders' Enclave"] = "Farstriders' Enclave",
	["Farstriders' Square"] = "Farstriders' Square",
	["Farwatcher's Glen"] = "Farwatcher's Glen",
	["Featherbeard's Hovel"] = "Featherbeard's Hovel",
	Feathermoon = "Feathermoon",
	["Feathermoon Stronghold"] = "Feathermoon Stronghold",
	["Fel Reaver Ruins"] = "Fel Reaver Ruins",
	["Fel Rock"] = "Fel Rock",
	["Felfire Hill"] = "Felfire Hill",
	["Felpaw Village"] = "Felpaw Village",
	["Felspark Ravine"] = "Felspark Ravine",
	["Felstone Field"] = "Felstone Field",
	Felwood = "Felwood",
	["Fenris Isle"] = "Fenris Isle",
	["Fenris Keep"] = "Fenris Keep",
	["Feral Scar Vale"] = "Feral Scar Vale",
	Feralas = "Feralas",
	["Feralfen Village"] = "Feralfen Village",
	["Festering Pools"] = "Festering Pools",
	["Festival Lane"] = "Festival Lane",
	["Feth's Way"] = "Feth's Way",
	["Field of Strife"] = "Field of Strife",
	["Fields of Blood"] = "Fields of Blood",
	["Fields of Honor"] = "Fields of Honor",
	Filming = "Filming",
	["Fire Plume Ridge"] = "Fire Plume Ridge",
	["Fire Scar Shrine"] = "Fire Scar Shrine",
	["Fire Stone Mesa"] = "Fire Stone Mesa",
	["Firebeard Cemetery"] = "Firebeard Cemetery",
	["Firebeard's Patrol"] = "Firebeard's Patrol",
	["Firegut Furnace"] = "Firegut Furnace",
	Firelands = "Firelands",
	["Firelands Forgeworks"] = "Firelands Forgeworks",
	["Firelands Hatchery"] = "Firelands Hatchery",
	["Fireplume Peak"] = "Fireplume Peak",
	["Fireplume Trench"] = "Fireplume Trench",
	["Firestone Point"] = "Firestone Point",
	["Firewatch Ridge"] = "Firewatch Ridge",
	["Firewing Point"] = "Firewing Point",
	["First Bank of Kezan"] = "First Bank of Kezan",
	["First Legion Forward Camp"] = "First Legion Forward Camp",
	["First to Your Aid"] = "First to Your Aid",
	["Fishing Village"] = "Fishing Village",
	["Fizzcrank Airstrip"] = "Fizzcrank Airstrip",
	["Fizzcrank Pumping Station"] = "Fizzcrank Pumping Station",
	["Fizzle & Pozzik's Speedbarge"] = "Fizzle & Pozzik's Speedbarge",
	["Fjorn's Anvil"] = "Fjorn's Anvil",
	["Flame Crest"] = "Flame Crest",
	Flamebreach = "Flamebreach",
	["Flamestar Post"] = "Flamestar Post",
	["Flamewatch Tower"] = "Flamewatch Tower",
	["Flavor - Stormwind Harbor - Stop"] = "Flavor - Stormwind Harbor - Stop",
	["Fleshrender's Workshop"] = "Fleshrender's Workshop",
	["Foothold Citadel"] = "Foothold Citadel",
	["Footman's Armory"] = "Footman's Armory",
	["Force Interior"] = "Force Interior",
	["Fordragon Hold"] = "Fordragon Hold",
	["Forest Song"] = "Forest Song",
	["Forest's Edge"] = "Forest's Edge",
	["Forest's Edge Post"] = "Forest's Edge Post",
	["Forge Base: Gehenna"] = "Forge Base: Gehenna",
	["Forge Base: Oblivion"] = "Forge Base: Oblivion",
	["Forge Camp: Anger"] = "Forge Camp: Anger",
	["Forge Camp: Fear"] = "Forge Camp: Fear",
	["Forge Camp: Hate"] = "Forge Camp: Hate",
	["Forge Camp: Mageddon"] = "Forge Camp: Mageddon",
	["Forge Camp: Rage"] = "Forge Camp: Rage",
	["Forge Camp: Terror"] = "Forge Camp: Terror",
	["Forge Camp: Wrath"] = "Forge Camp: Wrath",
	["Forge of Fate"] = "Forge of Fate",
	["Forgewright's Tomb"] = "Forgewright's Tomb",
	["Forgotten Hill"] = "Forgotten Hill",
	["Forlorn Cloister"] = "Forlorn Cloister",
	["Forlorn Ridge"] = "Forlorn Ridge",
	["Forlorn Rowe"] = "Forlorn Rowe",
	["Forlorn Spire"] = "Forlorn Spire",
	["Forlorn Woods"] = "Forlorn Woods",
	["Formation Grounds"] = "Formation Grounds",
	["Forsaken Forward Command"] = "Forsaken Forward Command",
	["Forsaken High Command"] = "Forsaken High Command",
	["Forsaken Rear Guard"] = "Forsaken Rear Guard",
	["Fort Livingston"] = "Fort Livingston",
	["Fort Triumph"] = "Fort Triumph",
	["Fort Wildervar"] = "Fort Wildervar",
	["Fortune's Fist"] = "Fortune's Fist",
	["Forward Command"] = "Forward Command",
	["Foulspore Cavern"] = "Foulspore Cavern",
	["Fractured Front"] = "Fractured Front",
	["Fray Island"] = "Fray Island",
	["Frayfeather Highlands"] = "Frayfeather Highlands",
	["Frazzlecraz Motherlode"] = "Frazzlecraz Motherlode",
	["Freewind Post"] = "Freewind Post",
	["Frenzyheart Hill"] = "Frenzyheart Hill",
	["Frenzyheart River"] = "Frenzyheart River",
	["Frigid Breach"] = "Frigid Breach",
	["Frost Dagger Pass"] = "Frost Dagger Pass",
	["Frostblade Pass"] = "Frostblade Pass",
	["Frostblade Peak"] = "Frostblade Peak",
	["Frostclaw Den"] = "Frostclaw Den",
	["Frostfield Lake"] = "Frostfield Lake",
	["Frostfire Hot Springs"] = "Frostfire Hot Springs",
	["Frostfloe Deep"] = "Frostfloe Deep",
	["Frostgrip's Hollow"] = "Frostgrip's Hollow",
	Frosthold = "Frosthold",
	["Frosthowl Cavern"] = "Frosthowl Cavern",
	["Frostmane Front"] = "Frostmane Front",
	["Frostmane Hold"] = "Frostmane Hold",
	["Frostmane Retreat"] = "Frostmane Retreat",
	Frostmourne = "Frostmourne",
	["Frostmourne Cavern"] = "Frostmourne Cavern",
	["Frostsaber Rock"] = "Frostsaber Rock",
	["Frostwhisper Gorge"] = "Frostwhisper Gorge",
	["Frostwing Halls"] = "Frostwing Halls",
	["Frostwolf Graveyard"] = "Frostwolf Graveyard",
	["Frostwolf Keep"] = "Frostwolf Keep",
	["Frostwolf Pass"] = "Frostwolf Pass",
	["Frostwolf Tunnel"] = "Frostwolf Tunnel",
	["Frostwolf Village"] = "Frostwolf Village",
	["Frozen Reach"] = "Frozen Reach",
	["Fungal Deep"] = "Fungal Deep",
	["Fungal Rock"] = "Fungal Rock",
	["Funggor Cavern"] = "Funggor Cavern",
	["Furien's Post"] = "Furien's Post",
	["Furlbrow's Pumpkin Farm"] = "Furlbrow's Pumpkin Farm",
	["Furnace of Hate"] = "Furnace of Hate",
	["Furywing's Perch"] = "Furywing's Perch",
	Fuselight = "Fuselight",
	["Fuselight-by-the-Sea"] = "Fuselight-by-the-Sea",
	["GM Island"] = "GM Island",
	Gadgetzan = "Gadgetzan",
	["Gahrron's Withering"] = "Gahrron's Withering",
	["Galak Hold"] = "Galak Hold",
	["Galakrond's Rest"] = "Galakrond's Rest",
	["Galardell Valley"] = "Galardell Valley",
	["Galen's Fall"] = "Galen's Fall",
	["Galerek's Remorse"] = "Galerek's Remorse",
	["Galewatch Lighthouse"] = "Galewatch Lighthouse",
	["Gallery of Treasures"] = "Gallery of Treasures",
	["Gallows' Corner"] = "Gallows' Corner",
	["Gallows' End Tavern"] = "Gallows' End Tavern",
	["Gallywix Docks"] = "Gallywix Docks",
	["Gallywix Labor Mine"] = "Gallywix Labor Mine",
	["Gallywix Pleasure Palace"] = "Gallywix Pleasure Palace",
	["Gallywix's Villa"] = "Gallywix's Villa",
	["Gallywix's Yacht"] = "Gallywix's Yacht",
	["Galus' Chamber"] = "Galus' Chamber",
	["Gamesman's Hall"] = "Gamesman's Hall",
	Gammoth = "Gammoth",
	["Gar'gol's Hovel"] = "Gar'gol's Hovel",
	Garadar = "Garadar",
	Garm = "Garm",
	["Garm's Bane"] = "Garm's Bane",
	["Garm's Rise"] = "Garm's Rise",
	["Garren's Haunt"] = "Garren's Haunt",
	["Garrison Armory"] = "Garrison Armory",
	["Garrosh's Landing"] = "Garrosh's Landing",
	["Garvan's Reef"] = "Garvan's Reef",
	["Gate of Echoes"] = "Gate of Echoes",
	["Gate of Hamatep"] = "Gate of Hamatep",
	["Gate of Lightning"] = "Gate of Lightning",
	["Gate of the Blue Sapphire"] = "Gate of the Blue Sapphire",
	["Gate of the Green Emerald"] = "Gate of the Green Emerald",
	["Gate of the Purple Amethyst"] = "Gate of the Purple Amethyst",
	["Gate of the Red Sun"] = "Gate of the Red Sun",
	["Gate of the Yellow Moon"] = "Gate of the Yellow Moon",
	["Gates of Ahn'Qiraj"] = "Gates of Ahn'Qiraj",
	["Gates of Ironforge"] = "Gates of Ironforge",
	["Gates of Sothann"] = "Gates of Sothann",
	["Gauntlet of Flame"] = "Gauntlet of Flame",
	["Gavin's Naze"] = "Gavin's Naze",
	["Geezle's Camp"] = "Geezle's Camp",
	["Gelkis Village"] = "Gelkis Village",
	["General Goods"] = "General Goods",
	["General's Terrace"] = "General's Terrace",
	["Ghost Walker Post"] = "Ghost Walker Post",
	["Ghostblade Post"] = "Ghostblade Post",
	Ghostlands = "Ghostlands",
	["Giant's Run"] = "Giant's Run",
	["Giants' Run"] = "Giants' Run",
	["Gillijim's Isle"] = "Gillijim's Isle",
	["Gilnean Coast"] = "Gilnean Coast",
	["Gilnean Stronghold"] = "Gilnean Stronghold",
	Gilneas = "Gilneas",
	["Gilneas City"] = "Gilneas City",
	["Gilneas Liberation Front Base Camp"] = "Gilneas Liberation Front Base Camp",
	["Gimorak's Den"] = "Gimorak's Den",
	Gjalerbron = "Gjalerbron",
	Gjalerhorn = "Gjalerhorn",
	["Glacial Falls"] = "Glacial Falls",
	["Glimmer Bay"] = "Glimmer Bay",
	["Glimmerdeep Gorge"] = "Glimmerdeep Gorge",
	["Glittering Strand"] = "Glittering Strand",
	["Glopgut's Hollow"] = "Glopgut's Hollow",
	["Glorious Goods"] = "Glorious Goods",
	Glory = "Glory",
	["Gnarlpine Hold"] = "Gnarlpine Hold",
	["Gnaws' Boneyard"] = "Gnaws' Boneyard",
	Gnomeregan = "Gnomeregan",
	["Go'Shek Farm"] = "Go'Shek Farm",
	["Goblin Foundry"] = "Goblin Foundry",
	["Goblin Slums"] = "Goblin Slums",
	["Gol'Bolar Quarry"] = "Gol'Bolar Quarry",
	["Gol'Bolar Quarry Mine"] = "Gol'Bolar Quarry Mine",
	["Golakka Hot Springs"] = "Golakka Hot Springs",
	["Gold Coast Quarry"] = "Gold Coast Quarry",
	["Gold Mine"] = "Gold Mine",
	["Gold Road"] = "Gold Road",
	["Golden Strand"] = "Golden Strand",
	["Goldenbough Pass"] = "Goldenbough Pass",
	["Goldenmist Village"] = "Goldenmist Village",
	Goldshire = "Goldshire",
	["Goldtooth's Den"] = "Goldtooth's Den",
	["Goodgrub Smoking Pit"] = "Goodgrub Smoking Pit",
	["Gor'gaz Outpost"] = "Gor'gaz Outpost",
	["Gordok's Seat"] = "Gordok's Seat",
	["Gordunni Outpost"] = "Gordunni Outpost",
	["Gorefiend's Vigil"] = "Gorefiend's Vigil",
	Gornia = "Gornia",
	["Gorrok's Lament"] = "Gorrok's Lament",
	["Gorshak War Camp"] = "Gorshak War Camp",
	["Grand Magister's Asylum"] = "Grand Magister's Asylum",
	["Grand Promenade"] = "Grand Promenade",
	["Grangol'var Village"] = "Grangol'var Village",
	["Granite Springs"] = "Granite Springs",
	["Greatwood Vale"] = "Greatwood Vale",
	["Greengill Coast"] = "Greengill Coast",
	["Greenpaw Village"] = "Greenpaw Village",
	["Greenwarden's Grove"] = "Greenwarden's Grove",
	["Greymane Court"] = "Greymane Court",
	["Greymane Manor"] = "Greymane Manor",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Grim Batol Entrance",
	["Grimesilt Dig Site"] = "Grimesilt Dig Site",
	["Grimtotem Compound"] = "Grimtotem Compound",
	["Grimtotem Post"] = "Grimtotem Post",
	Grishnath = "Grishnath",
	Grizzlemaw = "Grizzlemaw",
	["Grizzlepaw Ridge"] = "Grizzlepaw Ridge",
	["Grizzly Hills"] = "Grizzly Hills",
	["Grol'dom Farm"] = "Grol'dom Farm",
	["Grolluk's Grave"] = "Grolluk's Grave",
	["Grom'arsh Crash-Site"] = "Grom'arsh Crash-Site",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Grom'gol Base Camp",
	["Grommash Hold"] = "Grommash Hold",
	["Grosh'gok Compound"] = "Grosh'gok Compound",
	["Grove of Aessina"] = "Grove of Aessina",
	["Grove of the Ancients"] = "Grove of the Ancients",
	["Growless Cave"] = "Growless Cave",
	["Gruul's Lair"] = "Gruul's Lair",
	["Gryphon Roost"] = "Gryphon Roost",
	["Guardian's Library"] = "Guardian's Library",
	Gundrak = "Gundrak",
	["Gundrak Entrance"] = "Gundrak Entrance",
	["Gunstan's Dig"] = "Gunstan's Dig",
	["Gunstan's Post"] = "Gunstan's Post",
	["Gunther's Retreat"] = "Gunther's Retreat",
	["Gurboggle's Ledge"] = "Gurboggle's Ledge",
	["Gurubashi Arena"] = "Gurubashi Arena",
	["Gyro-Plank Bridge"] = "Gyro-Plank Bridge",
	["Haal'eshi Gorge"] = "Haal'eshi Gorge",
	["Hadronox's Lair"] = "Hadronox's Lair",
	["Hailwood Marsh"] = "Hailwood Marsh",
	Halaa = "Halaa",
	["Halaani Basin"] = "Halaani Basin",
	["Halcyon Egress"] = "Halcyon Egress",
	["Haldarr Encampment"] = "Haldarr Encampment",
	Halgrind = "Halgrind",
	["Hall of Arms"] = "Hall of Arms",
	["Hall of Binding"] = "Hall of Binding",
	["Hall of Blackhand"] = "Hall of Blackhand",
	["Hall of Blades"] = "Hall of Blades",
	["Hall of Bones"] = "Hall of Bones",
	["Hall of Champions"] = "Hall of Champions",
	["Hall of Command"] = "Hall of Command",
	["Hall of Crafting"] = "Hall of Crafting",
	["Hall of Departure"] = "Hall of Departure",
	["Hall of Explorers"] = "Hall of Explorers",
	["Hall of Faces"] = "Hall of Faces",
	["Hall of Horrors"] = "Hall of Horrors",
	["Hall of Legends"] = "Hall of Legends",
	["Hall of Masks"] = "Hall of Masks",
	["Hall of Memories"] = "Hall of Memories",
	["Hall of Mysteries"] = "Hall of Mysteries",
	["Hall of Repose"] = "Hall of Repose",
	["Hall of Return"] = "Hall of Return",
	["Hall of Ritual"] = "Hall of Ritual",
	["Hall of Secrets"] = "Hall of Secrets",
	["Hall of Serpents"] = "Hall of Serpents",
	["Hall of Stasis"] = "Hall of Stasis",
	["Hall of Twilight"] = "Hall of Twilight",
	["Hall of the Brave"] = "Hall of the Brave",
	["Hall of the Conquered Kings"] = "Hall of the Conquered Kings",
	["Hall of the Crafters"] = "Hall of the Crafters",
	["Hall of the Crusade"] = "Hall of the Crusade",
	["Hall of the Cursed"] = "Hall of the Cursed",
	["Hall of the Damned"] = "Hall of the Damned",
	["Hall of the Fathers"] = "Hall of the Fathers",
	["Hall of the Frostwolf"] = "Hall of the Frostwolf",
	["Hall of the High Father"] = "Hall of the High Father",
	["Hall of the Keepers"] = "Hall of the Keepers",
	["Hall of the Shaper"] = "Hall of the Shaper",
	["Hall of the Stormpike"] = "Hall of the Stormpike",
	["Hall of the Watchers"] = "Hall of the Watchers",
	["Halls of Anguish"] = "Halls of Anguish",
	["Halls of Awakening"] = "Halls of Awakening",
	["Halls of Binding"] = "Halls of Binding",
	["Halls of Destruction"] = "Halls of Destruction",
	["Halls of Lightning"] = "Halls of Lightning",
	["Halls of Lightning Entrance"] = "Halls of Lightning Entrance",
	["Halls of Mourning"] = "Halls of Mourning",
	["Halls of Origination"] = "Halls of Origination",
	["Halls of Origination Entrance"] = "Halls of Origination Entrance",
	["Halls of Reflection"] = "Halls of Reflection",
	["Halls of Reflection Entrance"] = "Halls of Reflection Entrance",
	["Halls of Silence"] = "Halls of Silence",
	["Halls of Stone"] = "Halls of Stone",
	["Halls of Stone Entrance"] = "Halls of Stone Entrance",
	["Halls of Strife"] = "Halls of Strife",
	["Halls of Theory"] = "Halls of Theory",
	["Halls of the Ancestors"] = "Halls of the Ancestors",
	["Halls of the Hereafter"] = "Halls of the Hereafter",
	["Halls of the Law"] = "Halls of the Law",
	["Halycon's Lair"] = "Halycon's Lair",
	Hammerfall = "Hammerfall",
	["Hammertoe's Digsite"] = "Hammertoe's Digsite",
	["Hammond Farmstead"] = "Hammond Farmstead",
	Hangar = "Hangar",
	["Hardknuckle Clearing"] = "Hardknuckle Clearing",
	["Hardwrench Hideaway"] = "Hardwrench Hideaway",
	["Harkor's Camp"] = "Harkor's Camp",
	["Hatchet Hills"] = "Hatchet Hills",
	Havenshire = "Havenshire",
	["Havenshire Farms"] = "Havenshire Farms",
	["Havenshire Lumber Mill"] = "Havenshire Lumber Mill",
	["Havenshire Mine"] = "Havenshire Mine",
	["Havenshire Stables"] = "Havenshire Stables",
	["Hayward Fishery"] = "Hayward Fishery",
	["Headmaster's Study"] = "Headmaster's Study",
	["Heart of Destruction"] = "Heart of Destruction",
	["Heart's Blood Shrine"] = "Heart's Blood Shrine",
	Hearthglen = "Hearthglen",
	["Heartwood Trading Post"] = "Heartwood Trading Post",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Hellfire Basin"] = "Hellfire Basin",
	["Hellfire Citadel"] = "Hellfire Citadel",
	["Hellfire Citadel - Ramparts Entrance"] = "Hellfire Citadel - Ramparts Entrance",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Hellfire Citadel - The Blood Furnace Entrance",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Hellfire Citadel - The Shattered Halls Entrance",
	["Hellfire Citadel: Ramparts"] = "Hellfire Citadel: Ramparts",
	["Hellfire Citadel: The Blood Furnace"] = "Hellfire Citadel: The Blood Furnace",
	["Hellfire Citadel: The Shattered Halls"] = "Hellfire Citadel: The Shattered Halls",
	["Hellfire Peninsula"] = "Hellfire Peninsula",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Hellfire Peninsula - Force Camp Beach Head",
	["Hellfire Peninsula - Reaver's Fall"] = "Hellfire Peninsula - Reaver's Fall",
	["Hellfire Ramparts"] = "Hellfire Ramparts",
	["Hellscream's Camp"] = "Hellscream's Camp",
	["Hellscream's Grasp"] = "Hellscream's Grasp",
	["Hellscream's Watch"] = "Hellscream's Watch",
	["Helm's Bed Lake"] = "Helm's Bed Lake",
	["Heroes' Vigil"] = "Heroes' Vigil",
	["Hetaera's Clutch"] = "Hetaera's Clutch",
	["Hewn Bog"] = "Hewn Bog",
	["Hibernal Cavern"] = "Hibernal Cavern",
	["Hidden Path"] = "Hidden Path",
	["High Bank"] = "High Bank",
	["High Wilderness"] = "High Wilderness",
	Highbank = "Highbank",
	["Highland Forest"] = "Highland Forest",
	Highperch = "Highperch",
	Hillsbrad = "Hillsbrad",
	["Hillsbrad Fields"] = "Hillsbrad Fields",
	["Hillsbrad Foothills"] = "Hillsbrad Foothills",
	["Hiri'watha Research Station"] = "Hiri'watha Research Station",
	["Hive'Ashi"] = "Hive'Ashi",
	["Hive'Regal"] = "Hive'Regal",
	["Hive'Zora"] = "Hive'Zora",
	["Hogger Hill"] = "Hogger Hill",
	["Hollowstone Mine"] = "Hollowstone Mine",
	["Honor Hold"] = "Honor Hold",
	["Honor Hold Mine"] = "Honor Hold Mine",
	["Honor Point"] = "Honor Point",
	["Honor's Stand"] = "Honor's Stand",
	["Honor's Tomb"] = "Honor's Tomb",
	["Horde Base Camp"] = "Horde Base Camp",
	["Horde Encampment"] = "Horde Encampment",
	["Horde Keep"] = "Horde Keep",
	["Horde Landing"] = "Horde Landing",
	["Horde PVP Barracks"] = "Horde PVP Barracks",
	["Hordemar City"] = "Hordemar City",
	["House of Edune"] = "House of Edune",
	["Howling Fjord"] = "Howling Fjord",
	["Howling Ziggurat"] = "Howling Ziggurat",
	["Hrothgar's Landing"] = "Hrothgar's Landing",
	["Hull of the Foebreaker"] = "Hull of the Foebreaker",
	["Humboldt Conflagration"] = "Humboldt Conflagration",
	["Hunter Rise"] = "Hunter Rise",
	["Hunter's Hill"] = "Hunter's Hill",
	["Huntress of the Sun"] = "Huntress of the Sun",
	["Huntsman's Cloister"] = "Huntsman's Cloister",
	Hyjal = "Hyjal",
	["Hyjal Barrow Dens"] = "Hyjal Barrow Dens",
	["Hyjal Past"] = "Hyjal Past",
	["Hyjal Summit"] = "Hyjal Summit",
	["Ice Heart Cavern"] = "Ice Heart Cavern",
	["Ice Thistle Hills"] = "Ice Thistle Hills",
	["Iceblood Garrison"] = "Iceblood Garrison",
	["Iceblood Graveyard"] = "Iceblood Graveyard",
	Icecrown = "Icecrown",
	["Icecrown Citadel"] = "Icecrown Citadel",
	["Icecrown Dungeon - Gunships"] = "Icecrown Dungeon - Gunships",
	["Icecrown Glacier"] = "Icecrown Glacier",
	["Iceflow Lake"] = "Iceflow Lake",
	["Icemist Falls"] = "Icemist Falls",
	["Icemist Village"] = "Icemist Village",
	["Icewing Bunker"] = "Icewing Bunker",
	["Icewing Cavern"] = "Icewing Cavern",
	["Icewing Pass"] = "Icewing Pass",
	["Idlewind Lake"] = "Idlewind Lake",
	["Igneous Depths"] = "Igneous Depths",
	["Illidari Point"] = "Illidari Point",
	["Illidari Training Grounds"] = "Illidari Training Grounds",
	["Indu'le Village"] = "Indu'le Village",
	Inn = "Inn",
	["Inner Sanctum"] = "Inner Sanctum",
	["Inner Veil"] = "Inner Veil",
	["Insidion's Perch"] = "Insidion's Perch",
	["Invasion Point: Annihilator"] = "Invasion Point: Annihilator",
	["Invasion Point: Cataclysm"] = "Invasion Point: Cataclysm",
	["Invasion Point: Destroyer"] = "Invasion Point: Destroyer",
	["Invasion Point: Overlord"] = "Invasion Point: Overlord",
	["Iron Concourse"] = "Iron Concourse",
	["Iron Summit"] = "Iron Summit",
	["Ironband's Compound"] = "Ironband's Compound",
	["Ironband's Excavation Site"] = "Ironband's Excavation Site",
	["Ironbeard's Tomb"] = "Ironbeard's Tomb",
	["Ironclad Cove"] = "Ironclad Cove",
	["Ironclad Garrison"] = "Ironclad Garrison",
	["Ironclad Prison"] = "Ironclad Prison",
	["Irondeep Mine"] = "Irondeep Mine",
	Ironforge = "Ironforge",
	["Ironforge Airfield"] = "Ironforge Airfield",
	["Ironstone Camp"] = "Ironstone Camp",
	["Ironstone Plateau"] = "Ironstone Plateau",
	["Irontree Cavern"] = "Irontree Cavern",
	["Irontree Clearing"] = "Irontree Clearing",
	["Irontree Woods"] = "Irontree Woods",
	["Ironwall Dam"] = "Ironwall Dam",
	["Ironwall Rampart"] = "Ironwall Rampart",
	["Ironwing Cavern"] = "Ironwing Cavern",
	Iskaal = "Iskaal",
	["Island of Doctor Lapidis"] = "Island of Doctor Lapidis",
	["Isle of Conquest"] = "Isle of Conquest",
	["Isle of Conquest No Man's Land"] = "Isle of Conquest No Man's Land",
	["Isle of Dread"] = "Isle of Dread",
	["Isle of Quel'Danas"] = "Isle of Quel'Danas",
	["Isle of Tribulations"] = "Isle of Tribulations",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Itharius's Cave",
	["Ivald's Ruin"] = "Ivald's Ruin",
	["Ix'lar's Domain"] = "Ix'lar's Domain",
	["Jadefire Glen"] = "Jadefire Glen",
	["Jadefire Run"] = "Jadefire Run",
	["Jademir Lake"] = "Jademir Lake",
	Jaedenar = "Jaedenar",
	["Jagged Reef"] = "Jagged Reef",
	["Jagged Ridge"] = "Jagged Ridge",
	["Jagged Wastes"] = "Jagged Wastes",
	["Jaggedswine Farm"] = "Jaggedswine Farm",
	["Jaguero Isle"] = "Jaguero Isle",
	["Janeiro's Point"] = "Janeiro's Point",
	["Jangolode Mine"] = "Jangolode Mine",
	["Jaquero Isle"] = "Jaquero Isle",
	["Jasperlode Mine"] = "Jasperlode Mine",
	["Jeff NE Quadrant Changed"] = "Jeff NE Quadrant Changed",
	["Jeff NW Quadrant"] = "Jeff NW Quadrant",
	["Jeff SE Quadrant"] = "Jeff SE Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW Quadrant",
	["Jerod's Landing"] = "Jerod's Landing",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Jintha'kalar Passage",
	Jotunheim = "Jotunheim",
	K3 = "K3",
	["KTC Headquarters"] = "KTC Headquarters",
	["KTC Oil Platform"] = "KTC Oil Platform",
	["Kaja'mine"] = "Kaja'mine",
	["Kaja'mite Cave"] = "Kaja'mite Cave",
	["Kaja'mite Cavern"] = "Kaja'mite Cavern",
	["Kajaro Field"] = "Kajaro Field",
	["Kal'ai Ruins"] = "Kal'ai Ruins",
	Kalimdor = "Kalimdor",
	Kamagua = "Kamagua",
	["Karabor Sewers"] = "Karabor Sewers",
	Karazhan = "Karazhan",
	["Kargathia Keep"] = "Kargathia Keep",
	["Karnum's Glade"] = "Karnum's Glade",
	["Kartak's Hold"] = "Kartak's Hold",
	Kaskala = "Kaskala",
	["Kaw's Roost"] = "Kaw's Roost",
	["Keel Harbor"] = "Keel Harbor",
	["Keelen's Trustworthy Tailoring"] = "Keelen's Trustworthy Tailoring",
	["Keeshan's Post"] = "Keeshan's Post",
	["Kel'Thuzad Chamber"] = "Kel'Thuzad Chamber",
	["Kel'Thuzad's Chamber"] = "Kel'Thuzad's Chamber",
	["Kelp'thar Forest"] = "Kelp'thar Forest",
	["Keset Pass"] = "Keset Pass",
	["Kessel's Crossing"] = "Kessel's Crossing",
	Kezan = "Kezan",
	Kharanos = "Kharanos",
	["Khardros' Anvil"] = "Khardros' Anvil",
	["Khartut's Tomb"] = "Khartut's Tomb",
	["Khaz'goroth's Seat"] = "Khaz'goroth's Seat",
	["Kil'sorrow Fortress"] = "Kil'sorrow Fortress",
	["Kili'ua's Atoll"] = "Kili'ua's Atoll",
	["King's Gate"] = "King's Gate",
	["King's Harbor"] = "King's Harbor",
	["King's Hoard"] = "King's Hoard",
	["King's Square"] = "King's Square",
	["Kirin'Var Village"] = "Kirin'Var Village",
	Kirthaven = "Kirthaven",
	["Kodo Graveyard"] = "Kodo Graveyard",
	["Kodo Rock"] = "Kodo Rock",
	["Kolkar Village"] = "Kolkar Village",
	Kolramas = "Kolramas",
	["Kor'kron Vanguard"] = "Kor'kron Vanguard",
	["Kormek's Hut"] = "Kormek's Hut",
	["Koroth's Den"] = "Koroth's Den",
	["Korthun's End"] = "Korthun's End",
	["Krasus' Landing"] = "Krasus' Landing",
	["Krazzworks Attack Zeppelin"] = "Krazzworks Attack Zeppelin",
	["Krolg's Hut"] = "Krolg's Hut",
	["Krom'gar Fortress"] = "Krom'gar Fortress",
	["Krom's Landing"] = "Krom's Landing",
	["Kul Tiras"] = "Kul Tiras",
	["Kul'galar Keep"] = "Kul'galar Keep",
	["Kurzen's Compound"] = "Kurzen's Compound",
	["L'ghorek"] = "L'ghorek",
	["Lair of the Chosen"] = "Lair of the Chosen",
	["Lake Al'Ameth"] = "Lake Al'Ameth",
	["Lake Cauldros"] = "Lake Cauldros",
	["Lake Dumont"] = "Lake Dumont",
	["Lake Edunel"] = "Lake Edunel",
	["Lake Elrendar"] = "Lake Elrendar",
	["Lake Elune'ara"] = "Lake Elune'ara",
	["Lake Ere'Noru"] = "Lake Ere'Noru",
	["Lake Everstill"] = "Lake Everstill",
	["Lake Falathim"] = "Lake Falathim",
	["Lake Indu'le"] = "Lake Indu'le",
	["Lake Jorune"] = "Lake Jorune",
	["Lake Kel'Theril"] = "Lake Kel'Theril",
	["Lake Kum'uya"] = "Lake Kum'uya",
	["Lake Mennar"] = "Lake Mennar",
	["Lake Mereldar"] = "Lake Mereldar",
	["Lake Nazferiti"] = "Lake Nazferiti",
	["Lake Sunspring"] = "Lake Sunspring",
	["Lakeridge Highway"] = "Lakeridge Highway",
	Lakeshire = "Lakeshire",
	["Lakeshire Inn"] = "Lakeshire Inn",
	["Lakeshire Town Hall"] = "Lakeshire Town Hall",
	["Lakeside Landing"] = "Lakeside Landing",
	["Lakkari Tar Pits"] = "Lakkari Tar Pits",
	["Land's End Beach"] = "Land's End Beach",
	["Landing Beach"] = "Landing Beach",
	["Landing Site"] = "Landing Site",
	["Langrom's Leather & Links"] = "Langrom's Leather & Links",
	["Largo's Overlook"] = "Largo's Overlook",
	["Largo's Overlook Tower"] = "Largo's Overlook Tower",
	["Lariss Pavilion"] = "Lariss Pavilion",
	["Laughing Skull Courtyard"] = "Laughing Skull Courtyard",
	["Laughing Skull Ruins"] = "Laughing Skull Ruins",
	["Launch Bay"] = "Launch Bay",
	["Legash Encampment"] = "Legash Encampment",
	["Legendary Leathers"] = "Legendary Leathers",
	["Legion Hold"] = "Legion Hold",
	["Legion's Fate"] = "Legion's Fate",
	["Legion's Rest"] = "Legion's Rest",
	["Lethlor Ravine"] = "Lethlor Ravine",
	["Leyara's Sorrow"] = "Leyara's Sorrow",
	["Library Wing"] = "Library Wing",
	["Light's Breach"] = "Light's Breach",
	["Light's Dawn Cathedral"] = "Light's Dawn Cathedral",
	["Light's Hammer"] = "Light's Hammer",
	["Light's Hope Chapel"] = "Light's Hope Chapel",
	["Light's Point"] = "Light's Point",
	["Light's Point Tower"] = "Light's Point Tower",
	["Light's Shield Tower"] = "Light's Shield Tower",
	["Light's Trust"] = "Light's Trust",
	Lighthouse = "Lighthouse",
	["Lightning Ledge"] = "Lightning Ledge",
	["Like Clockwork"] = "Like Clockwork",
	["Lion's Pride Inn"] = "Lion's Pride Inn",
	["Livery Outpost"] = "Livery Outpost",
	["Livery Stables"] = "Livery Stables",
	["Llane's Oath"] = "Llane's Oath",
	["Loading Room"] = "Loading Room",
	["Loch Modan"] = "Loch Modan",
	["Loch Verrall"] = "Loch Verrall",
	["Loken's Bargain"] = "Loken's Bargain",
	Longshore = "Longshore",
	["Lor'danel"] = "Lor'danel",
	["Lordamere Internment Camp"] = "Lordamere Internment Camp",
	["Lordamere Lake"] = "Lordamere Lake",
	["Lorthuna's Gate"] = "Lorthuna's Gate",
	["Lost Caldera"] = "Lost Caldera",
	["Lost City of the Tol'vir"] = "Lost City of the Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Lost City of the Tol'vir Entrance",
	["Lost Isles Town in a Box"] = "Lost Isles Town in a Box",
	["Lost Isles Volcano Eruption"] = "Lost Isles Volcano Eruption",
	["Lost Peak"] = "Lost Peak",
	["Lost Point"] = "Lost Point",
	["Lost Rigger Cove"] = "Lost Rigger Cove",
	LostIsles = "LostIsles",
	["Lothalor Woodlands"] = "Lothalor Woodlands",
	["Lower City"] = "Lower City",
	["Lower Silvermarsh"] = "Lower Silvermarsh",
	["Lower Veil Shil'ak"] = "Lower Veil Shil'ak",
	["Lower Wilds"] = "Lower Wilds",
	["Lumber Mill"] = "Lumber Mill",
	["Lushwater Oasis"] = "Lushwater Oasis",
	["Lydell's Ambush"] = "Lydell's Ambush",
	["M.A.C. Diver"] = "M.A.C. Diver",
	["Maelstrom Zone"] = "Maelstrom Zone",
	["Maestra's Post"] = "Maestra's Post",
	["Maexxna's Nest"] = "Maexxna's Nest",
	["Mag'har Grounds"] = "Mag'har Grounds",
	["Mag'har Post"] = "Mag'har Post",
	["Mag'hari Procession"] = "Mag'hari Procession",
	["Mage Quarter"] = "Mage Quarter",
	["Mage Tower"] = "Mage Tower",
	["Magic Quarter"] = "Magic Quarter",
	["Magical Menagerie"] = "Magical Menagerie",
	["Magister's Terrace"] = "Magister's Terrace",
	["Magisters Gate"] = "Magisters Gate",
	["Magisters' Terrace"] = "Magisters' Terrace",
	["Magisters' Terrace Entrance"] = "Magisters' Terrace Entrance",
	["Magma Fields"] = "Magma Fields",
	["Magma Springs"] = "Magma Springs",
	["Magmadar Cavern"] = "Magmadar Cavern",
	["Magmaw's Fissure"] = "Magmaw's Fissure",
	Magmoth = "Magmoth",
	["Magnamoth Caverns"] = "Magnamoth Caverns",
	["Magram Territory"] = "Magram Territory",
	["Magtheridon's Lair"] = "Magtheridon's Lair",
	["Magus Commerce Exchange"] = "Magus Commerce Exchange",
	["Main Gate"] = "Main Gate",
	["Main Hall"] = "Main Hall",
	["Maker's Ascent"] = "Maker's Ascent",
	["Maker's Overlook"] = "Maker's Overlook",
	["Maker's Perch"] = "Maker's Perch",
	["Makers' Overlook"] = "Makers' Overlook",
	["Makers' Perch"] = "Makers' Perch",
	["Malaka'jin"] = "Malaka'jin",
	["Malden's Orchard"] = "Malden's Orchard",
	Maldraz = "Maldraz",
	["Malfurion's Breach"] = "Malfurion's Breach",
	["Malicia's Outpost"] = "Malicia's Outpost",
	["Malykriss: The Vile Hold"] = "Malykriss: The Vile Hold",
	["Mam'toth Crater"] = "Mam'toth Crater",
	["Mana Tombs"] = "Mana Tombs",
	["Mana-Tombs"] = "Mana-Tombs",
	["Manaforge Ara"] = "Manaforge Ara",
	["Manaforge B'naar"] = "Manaforge B'naar",
	["Manaforge Coruu"] = "Manaforge Coruu",
	["Manaforge Duro"] = "Manaforge Duro",
	["Manaforge Ultris"] = "Manaforge Ultris",
	["Mandokir's Domain"] = "Mandokir's Domain",
	["Mannoroc Coven"] = "Mannoroc Coven",
	["Manor Mistmantle"] = "Manor Mistmantle",
	["Mantle Rock"] = "Mantle Rock",
	["Map Chamber"] = "Map Chamber",
	["Mar'at"] = "Mar'at",
	Maraudon = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon - Earth Song Falls Entrance",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon - Foulspore Cavern Entrance",
	["Mardenholde Keep"] = "Mardenholde Keep",
	["Market Row"] = "Market Row",
	["Marshal's Refuge"] = "Marshal's Refuge",
	["Marshal's Stand"] = "Marshal's Stand",
	["Marshlight Lake"] = "Marshlight Lake",
	["Marshtide Watch"] = "Marshtide Watch",
	["Maruadon - The Wicked Grotto Entrance"] = "Maruadon - The Wicked Grotto Entrance",
	["Mast Room"] = "Mast Room",
	["Master's Terrace"] = "Master's Terrace",
	["Masters' Gate"] = "Masters' Gate",
	["Maw of Lycanthoth"] = "Maw of Lycanthoth",
	["Maw of Neltharion"] = "Maw of Neltharion",
	["Maw of the Void"] = "Maw of the Void",
	["Mazra'Alor"] = "Mazra'Alor",
	Mazthoril = "Mazthoril",
	["Medivh's Chambers"] = "Medivh's Chambers",
	["Menagerie Wreckage"] = "Menagerie Wreckage",
	["Menethil Bay"] = "Menethil Bay",
	["Menethil Harbor"] = "Menethil Harbor",
	["Menethil Keep"] = "Menethil Keep",
	["Merchant Square"] = "Merchant Square",
	["Mid Point Station"] = "Mid Point Station",
	Middenvale = "Middenvale",
	["Midrealm Post"] = "Midrealm Post",
	["Midwall Lift"] = "Midwall Lift",
	["Mightstone Quarry"] = "Mightstone Quarry",
	["Military District"] = "Military District",
	["Mimir's Workshop"] = "Mimir's Workshop",
	Mine = "Mine",
	Mines = "Mines",
	["Mirage Abyss"] = "Mirage Abyss",
	["Mirage Flats"] = "Mirage Flats",
	["Mirage Raceway"] = "Mirage Raceway",
	["Mirkfallon Lake"] = "Mirkfallon Lake",
	["Mirkfallon Post"] = "Mirkfallon Post",
	["Mirror Lake"] = "Mirror Lake",
	["Mirror Lake Orchard"] = "Mirror Lake Orchard",
	["Mist's Edge"] = "Mist's Edge",
	["Mistcaller's Cave"] = "Mistcaller's Cave",
	["Mistvale Valley"] = "Mistvale Valley",
	["Mistwhisper Refuge"] = "Mistwhisper Refuge",
	["Misty Pine Refuge"] = "Misty Pine Refuge",
	["Misty Reed Post"] = "Misty Reed Post",
	["Misty Reed Strand"] = "Misty Reed Strand",
	["Misty Ridge"] = "Misty Ridge",
	["Misty Shore"] = "Misty Shore",
	["Misty Valley"] = "Misty Valley",
	["Miwana's Longhouse"] = "Miwana's Longhouse",
	["Mizjah Ruins"] = "Mizjah Ruins",
	["Mo'grosh Stronghold"] = "Mo'grosh Stronghold",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Moa'ki Harbor",
	["Moggle Point"] = "Moggle Point",
	["Mok'Doom"] = "Mok'Doom",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Mok'Nathal Village",
	["Mold Foundry"] = "Mold Foundry",
	["Molten Core"] = "Molten Core",
	["Molten Front"] = "Molten Front",
	["Moon Horror Den"] = "Moon Horror Den",
	Moonbrook = "Moonbrook",
	Moonglade = "Moonglade",
	["Moongraze Woods"] = "Moongraze Woods",
	["Moonrest Gardens"] = "Moonrest Gardens",
	["Moonshrine Ruins"] = "Moonshrine Ruins",
	["Moonshrine Sanctum"] = "Moonshrine Sanctum",
	["Moontouched Den"] = "Moontouched Den",
	["Moonwell of Cleansing"] = "Moonwell of Cleansing",
	["Moonwell of Purity"] = "Moonwell of Purity",
	["Moonwing Den"] = "Moonwing Den",
	["Mor'shan Base Camp"] = "Mor'shan Base Camp",
	["Mord'rethar: The Death Gate"] = "Mord'rethar: The Death Gate",
	["Morgan's Plot"] = "Morgan's Plot",
	["Morgan's Vigil"] = "Morgan's Vigil",
	["Morlos'Aran"] = "Morlos'Aran",
	["Mortal's Demise"] = "Mortal's Demise",
	["Mortwake's Tower"] = "Mortwake's Tower",
	["Mosh'Ogg Ogre Mound"] = "Mosh'Ogg Ogre Mound",
	["Mosshide Fen"] = "Mosshide Fen",
	["Mosswalker Village"] = "Mosswalker Village",
	["Mossy Pile"] = "Mossy Pile",
	["Mount Akher"] = "Mount Akher",
	["Mount Hyjal"] = "Mount Hyjal",
	["Mount Hyjal Phase 1"] = "Mount Hyjal Phase 1",
	["Mountainfoot Strip Mine"] = "Mountainfoot Strip Mine",
	Mudsprocket = "Mudsprocket",
	Mulgore = "Mulgore",
	["Murder Row"] = "Murder Row",
	["Murkdeep Cavern"] = "Murkdeep Cavern",
	["Mystral Lake"] = "Mystral Lake",
	Mystwood = "Mystwood",
	Nagrand = "Nagrand",
	["Nagrand Arena"] = "Nagrand Arena",
	Nahom = "Nahom",
	["Nar'shola Terrace"] = "Nar'shola Terrace",
	["Narvir's Cradle"] = "Narvir's Cradle",
	["Nasam's Talon"] = "Nasam's Talon",
	["Nat's Landing"] = "Nat's Landing",
	Naxxanar = "Naxxanar",
	Naxxramas = "Naxxramas",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak: The Forgotten Depths",
	["Nazj'vel"] = "Nazj'vel",
	Nazzivian = "Nazzivian",
	["Needlerock Chasm"] = "Needlerock Chasm",
	["Needlerock Slag"] = "Needlerock Slag",
	["Nefarian's Lair"] = "Nefarian's Lair",
	["Nefarian�s Lair"] = "Nefarian�s Lair",
	["Neferset City"] = "Neferset City",
	["Neferset City Outskirts"] = "Neferset City Outskirts",
	["Nek'mani Wellspring"] = "Nek'mani Wellspring",
	["Neptulon's Rise"] = "Neptulon's Rise",
	["Nesingwary Base Camp"] = "Nesingwary Base Camp",
	["Nesingwary Safari"] = "Nesingwary Safari",
	["Nesingwary's Expedition"] = "Nesingwary's Expedition",
	Nespirah = "Nespirah",
	["Nestlewood Hills"] = "Nestlewood Hills",
	["Nestlewood Thicket"] = "Nestlewood Thicket",
	["Nethander Stead"] = "Nethander Stead",
	["Nethergarde Keep"] = "Nethergarde Keep",
	["Nethergarde Mines"] = "Nethergarde Mines",
	["Nethergarde Supply Camps"] = "Nethergarde Supply Camps",
	Netherspace = "Netherspace",
	Netherstone = "Netherstone",
	Netherstorm = "Netherstorm",
	["Netherweb Ridge"] = "Netherweb Ridge",
	["Netherwing Fields"] = "Netherwing Fields",
	["Netherwing Ledge"] = "Netherwing Ledge",
	["Netherwing Mines"] = "Netherwing Mines",
	["Netherwing Pass"] = "Netherwing Pass",
	["New Agamand"] = "New Agamand",
	["New Agamand Inn"] = "New Agamand Inn",
	["New Avalon"] = "New Avalon",
	["New Avalon Fields"] = "New Avalon Fields",
	["New Avalon Forge"] = "New Avalon Forge",
	["New Avalon Orchard"] = "New Avalon Orchard",
	["New Avalon Town Hall"] = "New Avalon Town Hall",
	["New Hearthglen"] = "New Hearthglen",
	["New Kargath"] = "New Kargath",
	["New Thalanaar"] = "New Thalanaar",
	["New Tinkertown"] = "New Tinkertown",
	["Nexus Legendary"] = "Nexus Legendary",
	Nidavelir = "Nidavelir",
	["Nidvar Stair"] = "Nidvar Stair",
	Nifflevar = "Nifflevar",
	["Night Elf Village"] = "Night Elf Village",
	["Night Run"] = "Night Run",
	["Night Web's Hollow"] = "Night Web's Hollow",
	Nighthaven = "Nighthaven",
	["Nightmare Depths"] = "Nightmare Depths",
	["Nightmare Scar"] = "Nightmare Scar",
	["Nightmare Vale"] = "Nightmare Vale",
	["Nightsong Woods"] = "Nightsong Woods",
	["Nijel's Point"] = "Nijel's Point",
	["Nimbus Rise"] = "Nimbus Rise",
	["Njord's Breath Bay"] = "Njord's Breath Bay",
	["Njorn Stair"] = "Njorn Stair",
	["Njorndar Village"] = "Njorndar Village",
	["Noonshade Ruins"] = "Noonshade Ruins",
	Nordrassil = "Nordrassil",
	["Nordrassil Inn"] = "Nordrassil Inn",
	["Nordune Ridge"] = "Nordune Ridge",
	["North Common Hall"] = "North Common Hall",
	["North Gate Outpost"] = "North Gate Outpost",
	["North Gate Pass"] = "North Gate Pass",
	["North Point Station"] = "North Point Station",
	["North Point Tower"] = "North Point Tower",
	["North Sanctum"] = "North Sanctum",
	["North Spear Tower"] = "North Spear Tower",
	["North Tide's Beachhead"] = "North Tide's Beachhead",
	["North Tide's Run"] = "North Tide's Run",
	Northdale = "Northdale",
	["Northern Barrens"] = "Northern Barrens",
	["Northern Headlands"] = "Northern Headlands",
	["Northern Rampart"] = "Northern Rampart",
	["Northern Rocketway"] = "Northern Rocketway",
	["Northern Rocketway Exchange"] = "Northern Rocketway Exchange",
	["Northern Stranglethorn"] = "Northern Stranglethorn",
	["Northfold Manor"] = "Northfold Manor",
	["Northgate Breach"] = "Northgate Breach",
	["Northgate River"] = "Northgate River",
	["Northgate Woods"] = "Northgate Woods",
	["Northmaul Tower"] = "Northmaul Tower",
	["Northpass Tower"] = "Northpass Tower",
	Northrend = "Northrend",
	["Northridge Lumber Camp"] = "Northridge Lumber Camp",
	["Northshire Abbey"] = "Northshire Abbey",
	["Northshire River"] = "Northshire River",
	["Northshire Valley"] = "Northshire Valley",
	["Northshire Vineyards"] = "Northshire Vineyards",
	["Northwatch Expedition Base Camp"] = "Northwatch Expedition Base Camp",
	["Northwatch Expedition Base Camp Inn"] = "Northwatch Expedition Base Camp Inn",
	["Northwatch Foothold"] = "Northwatch Foothold",
	["Northwatch Hold"] = "Northwatch Hold",
	["Northwind Cleft"] = "Northwind Cleft",
	["Nozzlepot's Outpost"] = "Nozzlepot's Outpost",
	["Nozzlerust Post"] = "Nozzlerust Post",
	["O'Breen's Camp"] = "O'Breen's Camp",
	["Oasis of Vir'sar"] = "Oasis of Vir'sar",
	["Oasis of the Fallen Prophet"] = "Oasis of the Fallen Prophet",
	["Obelisk of the Moon"] = "Obelisk of the Moon",
	["Obelisk of the Stars"] = "Obelisk of the Stars",
	["Obelisk of the Sun"] = "Obelisk of the Sun",
	["Observance Hall"] = "Observance Hall",
	["Observation Grounds"] = "Observation Grounds",
	["Obsidia's Perch"] = "Obsidia's Perch",
	["Obsidian Breakers"] = "Obsidian Breakers",
	["Obsidian Dragonshrine"] = "Obsidian Dragonshrine",
	["Obsidian Forest"] = "Obsidian Forest",
	["Obsidian Lair"] = "Obsidian Lair",
	["Odesyus' Landing"] = "Odesyus' Landing",
	["Ogri'la"] = "Ogri'la",
	["Old Hillsbrad Foothills"] = "Old Hillsbrad Foothills",
	["Old Ironforge"] = "Old Ironforge",
	["Old Town"] = "Old Town",
	Olembas = "Olembas",
	["Olivia's Pond"] = "Olivia's Pond",
	["Olsen's Farthing"] = "Olsen's Farthing",
	["One More Glass"] = "One More Glass",
	Oneiros = "Oneiros",
	["Onslaught Base Camp"] = "Onslaught Base Camp",
	["Onslaught Harbor"] = "Onslaught Harbor",
	["Onyxia's Lair"] = "Onyxia's Lair",
	["Oomlot Village"] = "Oomlot Village",
	Oostan = "Oostan",
	["Oostan Nord"] = "Oostan Nord",
	["Oostan Ost"] = "Oostan Ost",
	["Oostan Sor"] = "Oostan Sor",
	["Opening of the Dark Portal"] = "Opening of the Dark Portal",
	["Opening of the Dark Portal Entrance"] = "Opening of the Dark Portal Entrance",
	["Oratory of the Damned"] = "Oratory of the Damned",
	["Orebor Harborage"] = "Orebor Harborage",
	["Orendil's Retreat"] = "Orendil's Retreat",
	["Orgrim's Hammer"] = "Orgrim's Hammer",
	Orgrimmar = "Orgrimmar",
	["Orgrimmar Rear Gate"] = "Orgrimmar Rear Gate",
	["Orgrimmar Rocketway Exchange"] = "Orgrimmar Rocketway Exchange",
	["Oronok's Farm"] = "Oronok's Farm",
	Orsis = "Orsis",
	["Ortell's Hideout"] = "Ortell's Hideout",
	["Oshu'gun"] = "Oshu'gun",
	Outland = "Outland",
	["Overgrown Camp"] = "Overgrown Camp",
	["Owl Wing Thicket"] = "Owl Wing Thicket",
	["Pal'ea"] = "Pal'ea",
	["Palemane Rock"] = "Palemane Rock",
	["Parhelion Plaza"] = "Parhelion Plaza",
	["Passage of Lost Fiends"] = "Passage of Lost Fiends",
	["Path of Uther"] = "Path of Uther",
	["Path of the Titans"] = "Path of the Titans",
	["Pattymack Land"] = "Pattymack Land",
	["Pauper's Walk"] = "Pauper's Walk",
	["Pestilent Scar"] = "Pestilent Scar",
	["Petitioner's Chamber"] = "Petitioner's Chamber",
	["Pilgrim's Precipice"] = "Pilgrim's Precipice",
	["Pincer X2"] = "Pincer X2",
	["Pit of Fangs"] = "Pit of Fangs",
	["Pit of Saron"] = "Pit of Saron",
	["Pit of Saron Entrance"] = "Pit of Saron Entrance",
	["Plaguelands: The Scarlet Enclave"] = "Plaguelands: The Scarlet Enclave",
	["Plaguemist Ravine"] = "Plaguemist Ravine",
	Plaguewood = "Plaguewood",
	["Plaguewood Tower"] = "Plaguewood Tower",
	["Plain of Echoes"] = "Plain of Echoes",
	["Plain of Shards"] = "Plain of Shards",
	["Plains of Nasam"] = "Plains of Nasam",
	["Pod Cluster"] = "Pod Cluster",
	["Pod Wreckage"] = "Pod Wreckage",
	["Poison Falls"] = "Poison Falls",
	["Pool of Tears"] = "Pool of Tears",
	["Pool of Twisted Reflections"] = "Pool of Twisted Reflections",
	["Pools of Aggonar"] = "Pools of Aggonar",
	["Pools of Arlithrien"] = "Pools of Arlithrien",
	["Pools of Jin'Alai"] = "Pools of Jin'Alai",
	["Pools of Zha'Jin"] = "Pools of Zha'Jin",
	["Portal Clearing"] = "Portal Clearing",
	["Prison of Immol'thar"] = "Prison of Immol'thar",
	["Programmer Isle"] = "Programmer Isle",
	["Promontory Point"] = "Promontory Point",
	["Prospector's Point"] = "Prospector's Point",
	["Protectorate Watch Post"] = "Protectorate Watch Post",
	["Purespring Cavern"] = "Purespring Cavern",
	["Purgation Isle"] = "Purgation Isle",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Putricide's Laboratory of Alchemical Horrors and Fun",
	["Pyrewood Chapel"] = "Pyrewood Chapel",
	["Pyrewood Inn"] = "Pyrewood Inn",
	["Pyrewood Town Hall"] = "Pyrewood Town Hall",
	["Pyrewood Village"] = "Pyrewood Village",
	["Pyrox Flats"] = "Pyrox Flats",
	["Quagg Ridge"] = "Quagg Ridge",
	Quarry = "Quarry",
	["Quartzite Basin"] = "Quartzite Basin",
	["Queen's Gate"] = "Queen's Gate",
	["Quel'Danil Lodge"] = "Quel'Danil Lodge",
	["Quel'Delar's Rest"] = "Quel'Delar's Rest",
	["Quel'Dormir Gardens"] = "Quel'Dormir Gardens",
	["Quel'Dormir Temple"] = "Quel'Dormir Temple",
	["Quel'Dormir Terrace"] = "Quel'Dormir Terrace",
	["Quel'Lithien Lodge"] = "Quel'Lithien Lodge",
	["Quel'thalas"] = "Quel'thalas",
	["Raastok Glade"] = "Raastok Glade",
	["Raceway Ruins"] = "Raceway Ruins",
	["Rage Fang Shrine"] = "Rage Fang Shrine",
	["Rage Scar Hold"] = "Rage Scar Hold",
	["Rageclaw Den"] = "Rageclaw Den",
	["Rageclaw Lake"] = "Rageclaw Lake",
	["Ragefeather Ridge"] = "Ragefeather Ridge",
	["Ragefire Chasm"] = "Ragefire Chasm",
	["Ragnaros' Lair"] = "Ragnaros' Lair",
	["Ragnaros' Reach"] = "Ragnaros' Reach",
	["Rainspeaker Canopy"] = "Rainspeaker Canopy",
	["Rainspeaker Rapids"] = "Rainspeaker Rapids",
	Ramkahen = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Ramkahen Legion Outpost",
	["Rampart of Skulls"] = "Rampart of Skulls",
	["Ranazjar Isle"] = "Ranazjar Isle",
	["Raptor Pens"] = "Raptor Pens",
	["Raptor Ridge"] = "Raptor Ridge",
	["Raptor Rise"] = "Raptor Rise",
	Ratchet = "Ratchet",
	["Rated Eye of the Storm"] = "Rated Eye of the Storm",
	["Ravaged Caravan"] = "Ravaged Caravan",
	["Ravaged Crypt"] = "Ravaged Crypt",
	["Ravaged Twilight Camp"] = "Ravaged Twilight Camp",
	["Raven Hill"] = "Raven Hill",
	["Raven Hill Cemetery"] = "Raven Hill Cemetery",
	["Raven's Watch"] = "Raven's Watch",
	["Raven's Wood"] = "Raven's Wood",
	["Ravencrest Monument"] = "Ravencrest Monument",
	["Ravenholdt Manor"] = "Ravenholdt Manor",
	["Raynewood Retreat"] = "Raynewood Retreat",
	["Raynewood Tower"] = "Raynewood Tower",
	["Razaan's Landing"] = "Razaan's Landing",
	["Razor Hill"] = "Razor Hill",
	["Razor Hill Barracks"] = "Razor Hill Barracks",
	["Razor Ridge"] = "Razor Ridge",
	["Razorfen Downs"] = "Razorfen Downs",
	["Razorfen Downs Entrance"] = "Razorfen Downs Entrance",
	["Razorfen Kraul"] = "Razorfen Kraul",
	["Razorfen Kraul Entrance"] = "Razorfen Kraul Entrance",
	["Razormane Grounds"] = "Razormane Grounds",
	["Razorscale's Aerie"] = "Razorscale's Aerie",
	["Razorthorn Rise"] = "Razorthorn Rise",
	["Razorthorn Shelf"] = "Razorthorn Shelf",
	["Razorthorn Trail"] = "Razorthorn Trail",
	["Razorwind Canyon"] = "Razorwind Canyon",
	["Reaver's Fall"] = "Reaver's Fall",
	["Reavers' Hall"] = "Reavers' Hall",
	["Rebel Camp"] = "Rebel Camp",
	["Red Cloud Mesa"] = "Red Cloud Mesa",
	["Red Rocks"] = "Red Rocks",
	["Redpine Dell"] = "Redpine Dell",
	["Redridge Canyons"] = "Redridge Canyons",
	["Redridge Mountains"] = "Redridge Mountains",
	["Redwood Trading Post"] = "Redwood Trading Post",
	Refinery = "Refinery",
	["Refuge Pointe"] = "Refuge Pointe",
	["Refugee Caravan"] = "Refugee Caravan",
	["Reliquary of Agony"] = "Reliquary of Agony",
	["Reliquary of Pain"] = "Reliquary of Pain",
	["Remains of Iris Lake"] = "Remains of Iris Lake",
	["Remains of the Fleet"] = "Remains of the Fleet",
	["Remtravel's Excavation"] = "Remtravel's Excavation",
	["Render's Camp"] = "Render's Camp",
	["Render's Crater"] = "Render's Crater",
	["Render's Rock"] = "Render's Rock",
	["Render's Valley"] = "Render's Valley",
	["Rethban Caverns"] = "Rethban Caverns",
	["Rethress Sanctum"] = "Rethress Sanctum",
	Reuse = "Reuse",
	["Revantusk Village"] = "Revantusk Village",
	["Rhea's Camp"] = "Rhea's Camp",
	["Rhyolith Plateau"] = "Rhyolith Plateau",
	["Ricket's Folly"] = "Ricket's Folly",
	["Ridge of Madness"] = "Ridge of Madness",
	["Ridgepoint Tower"] = "Ridgepoint Tower",
	["Rim of the World"] = "Rim of the World",
	["Ring of Judgement"] = "Ring of Judgement",
	["Ring of Observance"] = "Ring of Observance",
	["Ring of the Elements"] = "Ring of the Elements",
	["Ring of the Law"] = "Ring of the Law",
	["Riplash Ruins"] = "Riplash Ruins",
	["Riplash Strand"] = "Riplash Strand",
	["Rise of Suffering"] = "Rise of Suffering",
	["Rise of the Defiler"] = "Rise of the Defiler",
	["Ritual Chamber of Akali"] = "Ritual Chamber of Akali",
	["Rivendark's Perch"] = "Rivendark's Perch",
	Rivenwood = "Rivenwood",
	["River's Heart"] = "River's Heart",
	["Rock of Durotan"] = "Rock of Durotan",
	["Rockpool Village"] = "Rockpool Village",
	["Rocktusk Farm"] = "Rocktusk Farm",
	["Roguefeather Den"] = "Roguefeather Den",
	["Rogues' Quarter"] = "Rogues' Quarter",
	["Rohemdal Pass"] = "Rohemdal Pass",
	["Roland's Doom"] = "Roland's Doom",
	["Rotbrain Encampment"] = "Rotbrain Encampment",
	["Royal Exchange Auction House"] = "Royal Exchange Auction House",
	["Royal Exchange Bank"] = "Royal Exchange Bank",
	["Royal Gallery"] = "Royal Gallery",
	["Royal Library"] = "Royal Library",
	["Royal Quarter"] = "Royal Quarter",
	["Ruby Dragonshrine"] = "Ruby Dragonshrine",
	["Ruined City Post 01"] = "Ruined City Post 01",
	["Ruined Court"] = "Ruined Court",
	["Ruins of Aboraz"] = "Ruins of Aboraz",
	["Ruins of Ahmtul"] = "Ruins of Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruins of Ahn'Qiraj",
	["Ruins of Alterac"] = "Ruins of Alterac",
	["Ruins of Ammon"] = "Ruins of Ammon",
	["Ruins of Arkkoran"] = "Ruins of Arkkoran",
	["Ruins of Auberdine"] = "Ruins of Auberdine",
	["Ruins of Baa'ri"] = "Ruins of Baa'ri",
	["Ruins of Constellas"] = "Ruins of Constellas",
	["Ruins of Drak'Zin"] = "Ruins of Drak'Zin",
	["Ruins of Drakgor"] = "Ruins of Drakgor",
	["Ruins of Eldarath"] = "Ruins of Eldarath",
	["Ruins of Eldra'nath"] = "Ruins of Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruins of Eldre'thar",
	["Ruins of Enkaat"] = "Ruins of Enkaat",
	["Ruins of Farahlon"] = "Ruins of Farahlon",
	["Ruins of Feathermoon"] = "Ruins of Feathermoon",
	["Ruins of Gilneas"] = "Ruins of Gilneas",
	["Ruins of Gilneas City"] = "Ruins of Gilneas City",
	["Ruins of Isildien"] = "Ruins of Isildien",
	["Ruins of Jubuwal"] = "Ruins of Jubuwal",
	["Ruins of Karabor"] = "Ruins of Karabor",
	["Ruins of Kargath"] = "Ruins of Kargath",
	["Ruins of Khintaset"] = "Ruins of Khintaset",
	["Ruins of Lar'donir"] = "Ruins of Lar'donir",
	["Ruins of Lordaeron"] = "Ruins of Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruins of Loreth'Aran",
	["Ruins of Lornesta"] = "Ruins of Lornesta",
	["Ruins of Mathystra"] = "Ruins of Mathystra",
	["Ruins of Nordressa"] = "Ruins of Nordressa",
	["Ruins of Ravenwind"] = "Ruins of Ravenwind",
	["Ruins of Sha'naar"] = "Ruins of Sha'naar",
	["Ruins of Shandaral"] = "Ruins of Shandaral",
	["Ruins of Silvermoon"] = "Ruins of Silvermoon",
	["Ruins of Solarsal"] = "Ruins of Solarsal",
	["Ruins of Southshore"] = "Ruins of Southshore",
	["Ruins of Taurajo"] = "Ruins of Taurajo",
	["Ruins of Tethys"] = "Ruins of Tethys",
	["Ruins of Thaurissan"] = "Ruins of Thaurissan",
	["Ruins of Thelserai Temple"] = "Ruins of Thelserai Temple",
	["Ruins of Uldum"] = "Ruins of Uldum",
	["Ruins of Vashj'elan"] = "Ruins of Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruins of Vashj'ir",
	["Ruins of Zul'Kunda"] = "Ruins of Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruins of Zul'Mamwe",
	["Ruins of the Scarlet Enclave"] = "Ruins of the Scarlet Enclave",
	["Runestone Falithas"] = "Runestone Falithas",
	["Runestone Shan'dor"] = "Runestone Shan'dor",
	["Runeweaver Square"] = "Runeweaver Square",
	["Rustberg Village"] = "Rustberg Village",
	["Rustmaul Dive Site"] = "Rustmaul Dive Site",
	["Rut'theran Village"] = "Rut'theran Village",
	["Rutsak's Guard"] = "Rutsak's Guard",
	["Ruuan Weald"] = "Ruuan Weald",
	["Ruuna's Camp"] = "Ruuna's Camp",
	["Ruuzel's Isle"] = "Ruuzel's Isle",
	["Rygna's Lair"] = "Rygna's Lair",
	["SI:7"] = "SI:7",
	["STV Diamond Mine BG"] = "STV Diamond Mine BG",
	["Sable Ridge"] = "Sable Ridge",
	["Sahket Wastes"] = "Sahket Wastes",
	["Saldean's Farm"] = "Saldean's Farm",
	["Saltheril's Haven"] = "Saltheril's Haven",
	["Saltspray Glen"] = "Saltspray Glen",
	["Sanctuary of Malorne"] = "Sanctuary of Malorne",
	["Sanctuary of Shadows"] = "Sanctuary of Shadows",
	["Sanctum of Reanimation"] = "Sanctum of Reanimation",
	["Sanctum of Shadows"] = "Sanctum of Shadows",
	["Sanctum of the Ascended"] = "Sanctum of the Ascended",
	["Sanctum of the Fallen God"] = "Sanctum of the Fallen God",
	["Sanctum of the Moon"] = "Sanctum of the Moon",
	["Sanctum of the Prophets"] = "Sanctum of the Prophets",
	["Sanctum of the South Wind"] = "Sanctum of the South Wind",
	["Sanctum of the Stars"] = "Sanctum of the Stars",
	["Sanctum of the Sun"] = "Sanctum of the Sun",
	["Sands of Nasam"] = "Sands of Nasam",
	["Sandsorrow Watch"] = "Sandsorrow Watch",
	["Sandy Beach"] = "Sandy Beach",
	["Sanguine Chamber"] = "Sanguine Chamber",
	["Sapphire Hive"] = "Sapphire Hive",
	["Sapphiron's Lair"] = "Sapphiron's Lair",
	["Sar'theris Strand"] = "Sar'theris Strand",
	["Saragosa's Landing"] = "Saragosa's Landing",
	["Sardor Isle"] = "Sardor Isle",
	Sargeron = "Sargeron",
	["Saronite Mines"] = "Saronite Mines",
	Satyrnaar = "Satyrnaar",
	["Savage Ledge"] = "Savage Ledge",
	["Scalawag Point"] = "Scalawag Point",
	["Scalding Pools"] = "Scalding Pools",
	["Scalebeard's Cave"] = "Scalebeard's Cave",
	["Scalewing Shelf"] = "Scalewing Shelf",
	["Scar of the Worldbreaker"] = "Scar of the Worldbreaker",
	["Scarab Terrace"] = "Scarab Terrace",
	["Scarlet Encampment"] = "Scarlet Encampment",
	["Scarlet Hold"] = "Scarlet Hold",
	["Scarlet Monastery"] = "Scarlet Monastery",
	["Scarlet Monastery Entrance"] = "Scarlet Monastery Entrance",
	["Scarlet Overlook"] = "Scarlet Overlook",
	["Scarlet Palisade"] = "Scarlet Palisade",
	["Scarlet Point"] = "Scarlet Point",
	["Scarlet Raven Tavern"] = "Scarlet Raven Tavern",
	["Scarlet Tavern"] = "Scarlet Tavern",
	["Scarlet Tower"] = "Scarlet Tower",
	["Scarlet Watch Post"] = "Scarlet Watch Post",
	["Scarlet Watchtower"] = "Scarlet Watchtower",
	["Scarred Terrace"] = "Scarred Terrace",
	["Scenario: Alcaz Island"] = "Scenario: Alcaz Island",
	["Schnottz's Frigate"] = "Schnottz's Frigate",
	["Schnottz's Hostel"] = "Schnottz's Hostel",
	["Schnottz's Landing"] = "Schnottz's Landing",
	Scholomance = "Scholomance",
	["Scholomance Entrance"] = "Scholomance Entrance",
	["School of Necromancy"] = "School of Necromancy",
	["Scorched Gully"] = "Scorched Gully",
	["Scott's Spooky Area"] = "Scott's Spooky Area",
	["Scoured Reach"] = "Scoured Reach",
	Scourgehold = "Scourgehold",
	Scourgeholme = "Scourgeholme",
	["Scourgelord's Command"] = "Scourgelord's Command",
	["Scrabblescrew's Camp"] = "Scrabblescrew's Camp",
	["Screaming Gully"] = "Screaming Gully",
	["Scryer's Tier"] = "Scryer's Tier",
	["Scuttle Coast"] = "Scuttle Coast",
	Seabrush = "Seabrush",
	["Seafarer's Tomb"] = "Seafarer's Tomb",
	["Seal of the Sun King"] = "Seal of the Sun King",
	["Searing Gorge"] = "Searing Gorge",
	["Seat of Destruction"] = "Seat of Destruction",
	["Seat of Life"] = "Seat of Life",
	["Seat of Magic"] = "Seat of Magic",
	["Seat of Radiance"] = "Seat of Radiance",
	["Seat of the Chosen"] = "Seat of the Chosen",
	["Seat of the Naaru"] = "Seat of the Naaru",
	["Sen'jin Village"] = "Sen'jin Village",
	["Sentinel Hill"] = "Sentinel Hill",
	["Sentinel Tower"] = "Sentinel Tower",
	["Sentry Point"] = "Sentry Point",
	Seradane = "Seradane",
	["Serpent Lake"] = "Serpent Lake",
	["Serpent's Coil"] = "Serpent's Coil",
	["Serpentshrine Cavern"] = "Serpentshrine Cavern",
	["Servants' Quarters"] = "Servants' Quarters",
	["Service Entrance"] = "Service Entrance",
	["Sethekk Halls"] = "Sethekk Halls",
	["Sethria's Roost"] = "Sethria's Roost",
	["Sewer Exit Pipe"] = "Sewer Exit Pipe",
	Sewers = "Sewers",
	["Sha'naari Wastes"] = "Sha'naari Wastes",
	["Sha'tari Base Camp"] = "Sha'tari Base Camp",
	["Sha'tari Outpost"] = "Sha'tari Outpost",
	Shadebough = "Shadebough",
	["Shadow Grave"] = "Shadow Grave",
	["Shadow Hold"] = "Shadow Hold",
	["Shadow Labyrinth"] = "Shadow Labyrinth",
	["Shadow Ridge"] = "Shadow Ridge",
	["Shadow Tomb"] = "Shadow Tomb",
	["Shadow Wing Lair"] = "Shadow Wing Lair",
	["Shadowbreak Ravine"] = "Shadowbreak Ravine",
	["Shadowfang Keep"] = "Shadowfang Keep",
	["Shadowfang Keep Entrance"] = "Shadowfang Keep Entrance",
	["Shadowfang Tower"] = "Shadowfang Tower",
	["Shadowforge City"] = "Shadowforge City",
	Shadowglen = "Shadowglen",
	["Shadowlurk Ridge"] = "Shadowlurk Ridge",
	["Shadowmoon Valley"] = "Shadowmoon Valley",
	["Shadowmoon Village"] = "Shadowmoon Village",
	["Shadowprey Village"] = "Shadowprey Village",
	["Shadowshard Cavern"] = "Shadowshard Cavern",
	["Shadowsight Tower"] = "Shadowsight Tower",
	["Shadowsong Shrine"] = "Shadowsong Shrine",
	["Shadowthread Cave"] = "Shadowthread Cave",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shady Rest Inn"] = "Shady Rest Inn",
	["Shalandis Isle"] = "Shalandis Isle",
	["Shalewind Canyon"] = "Shalewind Canyon",
	["Shallow's End"] = "Shallow's End",
	["Shalzaru's Lair"] = "Shalzaru's Lair",
	Shamanar = "Shamanar",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Terrace"] = "Shaper's Terrace",
	["Shartuul's Transporter"] = "Shartuul's Transporter",
	["Shatter Point"] = "Shatter Point",
	["Shatter Scar Vale"] = "Shatter Scar Vale",
	["Shattered Plains"] = "Shattered Plains",
	["Shattered Straits"] = "Shattered Straits",
	["Shattered Sun Staging Area"] = "Shattered Sun Staging Area",
	Shattershore = "Shattershore",
	["Shatterspear Pass"] = "Shatterspear Pass",
	["Shatterspear Vale"] = "Shatterspear Vale",
	["Shatterspear War Camp"] = "Shatterspear War Camp",
	Shatterstone = "Shatterstone",
	Shattrath = "Shattrath",
	["Shattrath City"] = "Shattrath City",
	["Shell Beach"] = "Shell Beach",
	["Shield Hill"] = "Shield Hill",
	["Shields of Silver"] = "Shields of Silver",
	["Shimmer Ridge"] = "Shimmer Ridge",
	["Shimmering Bog"] = "Shimmering Bog",
	["Shimmering Expanse"] = "Shimmering Expanse",
	["Shimmering Grotto"] = "Shimmering Grotto",
	["Shindigger's Camp"] = "Shindigger's Camp",
	["Shipwreck Shore"] = "Shipwreck Shore",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Sholazar Basin",
	["Shrine of Aessina"] = "Shrine of Aessina",
	["Shrine of Aviana"] = "Shrine of Aviana",
	["Shrine of Dath'Remar"] = "Shrine of Dath'Remar",
	["Shrine of Eck"] = "Shrine of Eck",
	["Shrine of Goldrinn"] = "Shrine of Goldrinn",
	["Shrine of Lost Souls"] = "Shrine of Lost Souls",
	["Shrine of Remulos"] = "Shrine of Remulos",
	["Shrine of Scales"] = "Shrine of Scales",
	["Shrine of Thaurissan"] = "Shrine of Thaurissan",
	["Shrine of Unending Light"] = "Shrine of Unending Light",
	["Shrine of the Deceiver"] = "Shrine of the Deceiver",
	["Shrine of the Dormant Flame"] = "Shrine of the Dormant Flame",
	["Shrine of the Eclipse"] = "Shrine of the Eclipse",
	["Shrine of the Elements"] = "Shrine of the Elements",
	["Shrine of the Fallen Warrior"] = "Shrine of the Fallen Warrior",
	["Shrine of the Five Khans"] = "Shrine of the Five Khans",
	["Shriveled Oasis"] = "Shriveled Oasis",
	["Shuddering Spires"] = "Shuddering Spires",
	["Siege Vise"] = "Siege Vise",
	["Siege Workshop"] = "Siege Workshop",
	["Sifreldar Village"] = "Sifreldar Village",
	["Silent Vigil"] = "Silent Vigil",
	Silithus = "Silithus",
	["Silmyr Lake"] = "Silmyr Lake",
	["Silting Shore"] = "Silting Shore",
	["Silver Covenant Pavilion"] = "Silver Covenant Pavilion",
	["Silver Stream Mine"] = "Silver Stream Mine",
	["Silver Tide Hollow"] = "Silver Tide Hollow",
	["Silver Tide Trench"] = "Silver Tide Trench",
	Silverbrook = "Silverbrook",
	["Silverbrook Hills"] = "Silverbrook Hills",
	["Silverlight Cavern"] = "Silverlight Cavern",
	["Silverline Lake"] = "Silverline Lake",
	["Silvermoon City"] = "Silvermoon City",
	["Silvermoon City Inn"] = "Silvermoon City Inn",
	["Silvermoon Finery"] = "Silvermoon Finery",
	["Silvermoon Jewelery"] = "Silvermoon Jewelery",
	["Silvermoon Registry"] = "Silvermoon Registry",
	["Silvermoon's Pride"] = "Silvermoon's Pride",
	["Silvermyst Isle"] = "Silvermyst Isle",
	["Silverpine Forest"] = "Silverpine Forest",
	["Silverwind Refuge"] = "Silverwind Refuge",
	["Silverwing Flag Room"] = "Silverwing Flag Room",
	["Silverwing Grove"] = "Silverwing Grove",
	["Silverwing Hold"] = "Silverwing Hold",
	["Silverwing Outpost"] = "Silverwing Outpost",
	["Simply Enchanting"] = "Simply Enchanting",
	["Sindragosa's Fall"] = "Sindragosa's Fall",
	["Sindweller's Rise"] = "Sindweller's Rise",
	["Singing Ridge"] = "Singing Ridge",
	["Sinner's Folly"] = "Sinner's Folly",
	["Sira'kess Front"] = "Sira'kess Front",
	["Sishir Canyon"] = "Sishir Canyon",
	["Sisters Sorcerous"] = "Sisters Sorcerous",
	Skald = "Skald",
	["Sketh'lon Base Camp"] = "Sketh'lon Base Camp",
	["Sketh'lon Wreckage"] = "Sketh'lon Wreckage",
	["Skethyl Mountains"] = "Skethyl Mountains",
	Skettis = "Skettis",
	["Skitterweb Tunnels"] = "Skitterweb Tunnels",
	Skorn = "Skorn",
	["Skulk Rock"] = "Skulk Rock",
	["Skulking Row"] = "Skulking Row",
	["Skull Rock"] = "Skull Rock",
	["Sky Falls"] = "Sky Falls",
	["Skyguard Outpost"] = "Skyguard Outpost",
	["Skyline Ridge"] = "Skyline Ridge",
	["Skysong Lake"] = "Skysong Lake",
	["Slabchisel's Survey"] = "Slabchisel's Survey",
	["Slag Watch"] = "Slag Watch",
	Slagworks = "Slagworks",
	["Slaughter Hollow"] = "Slaughter Hollow",
	["Slaughter Square"] = "Slaughter Square",
	["Sleeping Gorge"] = "Sleeping Gorge",
	["Slither Rock"] = "Slither Rock",
	["Slitherblade Shore"] = "Slitherblade Shore",
	["Slithering Cove"] = "Slithering Cove",
	["Sludgeguard Tower"] = "Sludgeguard Tower",
	["Smuggler's Scar"] = "Smuggler's Scar",
	["Snowblind Hills"] = "Snowblind Hills",
	["Snowblind Terrace"] = "Snowblind Terrace",
	["Snowden Chalet"] = "Snowden Chalet",
	["Snowdrift Plains"] = "Snowdrift Plains",
	["Snowfall Glade"] = "Snowfall Glade",
	["Snowfall Graveyard"] = "Snowfall Graveyard",
	["Socrethar's Seat"] = "Socrethar's Seat",
	["Sofera's Naze"] = "Sofera's Naze",
	["Solace Glade"] = "Solace Glade",
	["Solliden Farmstead"] = "Solliden Farmstead",
	["Solstice Village"] = "Solstice Village",
	["Sorlof's Strand"] = "Sorlof's Strand",
	["Sorrow Hill"] = "Sorrow Hill",
	["Sorrow Hill Crypt"] = "Sorrow Hill Crypt",
	["Sorrow Wing Point"] = "Sorrow Wing Point",
	Sorrowmurk = "Sorrowmurk",
	["Soulgrinder's Barrow"] = "Soulgrinder's Barrow",
	["South Common Hall"] = "South Common Hall",
	["South Gate Outpost"] = "South Gate Outpost",
	["South Gate Pass"] = "South Gate Pass",
	["South Point Station"] = "South Point Station",
	["South Seas"] = "South Seas",
	["South Spire"] = "South Spire",
	["South Tide's Run"] = "South Tide's Run",
	["Southbreak Shore"] = "Southbreak Shore",
	["Southern Barrens"] = "Southern Barrens",
	["Southern Gold Road"] = "Southern Gold Road",
	["Southern Rampart"] = "Southern Rampart",
	["Southern Rocketway"] = "Southern Rocketway",
	["Southern Rocketway Terminus"] = "Southern Rocketway Terminus",
	["Southern Savage Coast"] = "Southern Savage Coast",
	["Southfury River"] = "Southfury River",
	["Southfury Watershed"] = "Southfury Watershed",
	["Southmaul Tower"] = "Southmaul Tower",
	["Southmoon Ruins"] = "Southmoon Ruins",
	["Southpoint Gate"] = "Southpoint Gate",
	["Southpoint Tower"] = "Southpoint Tower",
	["Southridge Beach"] = "Southridge Beach",
	["Southsea Holdfast"] = "Southsea Holdfast",
	Southshore = "Southshore",
	["Southshore Town Hall"] = "Southshore Town Hall",
	["Southwind Cleft"] = "Southwind Cleft",
	["Southwind Village"] = "Southwind Village",
	["Sparksocket Minefield"] = "Sparksocket Minefield",
	["Sparktouched Haven"] = "Sparktouched Haven",
	["Sparring Hall"] = "Sparring Hall",
	["Spearborn Encampment"] = "Spearborn Encampment",
	Spearhead = "Spearhead",
	["Speedbarge Bar"] = "Speedbarge Bar",
	["Spinebreaker Mountains"] = "Spinebreaker Mountains",
	["Spinebreaker Pass"] = "Spinebreaker Pass",
	["Spinebreaker Post"] = "Spinebreaker Post",
	["Spinebreaker Ridge"] = "Spinebreaker Ridge",
	["Spiral of Thorns"] = "Spiral of Thorns",
	["Spire Throne"] = "Spire Throne",
	["Spire of Blood"] = "Spire of Blood",
	["Spire of Decay"] = "Spire of Decay",
	["Spire of Pain"] = "Spire of Pain",
	["Spirit Den"] = "Spirit Den",
	["Spirit Fields"] = "Spirit Fields",
	["Spirit Rise"] = "Spirit Rise",
	["Spirit Rock"] = "Spirit Rock",
	["Spitescale Cavern"] = "Spitescale Cavern",
	["Spitescale Cove"] = "Spitescale Cove",
	["Splinterspear Junction"] = "Splinterspear Junction",
	Splintertree = "Splintertree",
	["Splintertree Mine"] = "Splintertree Mine",
	["Splintertree Post"] = "Splintertree Post",
	["Splithoof Crag"] = "Splithoof Crag",
	["Splithoof Heights"] = "Splithoof Heights",
	["Splithoof Hold"] = "Splithoof Hold",
	Sporeggar = "Sporeggar",
	["Sporewind Lake"] = "Sporewind Lake",
	["Spruce Point Post"] = "Spruce Point Post",
	Stables = "Stables",
	Stagalbog = "Stagalbog",
	["Stagalbog Cave"] = "Stagalbog Cave",
	["Stagecoach Crash Site"] = "Stagecoach Crash Site",
	["Staghelm Point"] = "Staghelm Point",
	["Starbreeze Village"] = "Starbreeze Village",
	["Stardust Spire"] = "Stardust Spire",
	["Starfall Village"] = "Starfall Village",
	["Stars' Rest"] = "Stars' Rest",
	["Stasis Block: Maximus"] = "Stasis Block: Maximus",
	["Stasis Block: Trion"] = "Stasis Block: Trion",
	["Steam Springs"] = "Steam Springs",
	["Steamwheedle Port"] = "Steamwheedle Port",
	["Steel Gate"] = "Steel Gate",
	["Steelgrill's Depot"] = "Steelgrill's Depot",
	["Steeljaw's Caravan"] = "Steeljaw's Caravan",
	["Steelspark Station"] = "Steelspark Station",
	["Stendel's Pond"] = "Stendel's Pond",
	["Stillpine Hold"] = "Stillpine Hold",
	["Stillwater Pond"] = "Stillwater Pond",
	["Stillwhisper Pond"] = "Stillwhisper Pond",
	Stonard = "Stonard",
	["Stone Cairn Lake"] = "Stone Cairn Lake",
	["Stone Sentinel's Overlook"] = "Stone Sentinel's Overlook",
	["Stonebreaker Camp"] = "Stonebreaker Camp",
	["Stonebreaker Hold"] = "Stonebreaker Hold",
	["Stonebull Lake"] = "Stonebull Lake",
	Stonehearth = "Stonehearth",
	["Stonehearth Bunker"] = "Stonehearth Bunker",
	["Stonehearth Graveyard"] = "Stonehearth Graveyard",
	["Stonehearth Outpost"] = "Stonehearth Outpost",
	["Stonemaul Hold"] = "Stonemaul Hold",
	["Stonemaul Ruins"] = "Stonemaul Ruins",
	["Stonesplinter Valley"] = "Stonesplinter Valley",
	["Stonetalon Bomb"] = "Stonetalon Bomb",
	["Stonetalon Mountains"] = "Stonetalon Mountains",
	["Stonetalon Pass"] = "Stonetalon Pass",
	["Stonetalon Peak"] = "Stonetalon Peak",
	["Stonewall Canyon"] = "Stonewall Canyon",
	["Stonewall Lift"] = "Stonewall Lift",
	["Stoneward Prison"] = "Stoneward Prison",
	Stonewatch = "Stonewatch",
	["Stonewatch Falls"] = "Stonewatch Falls",
	["Stonewatch Keep"] = "Stonewatch Keep",
	["Stonewatch Tower"] = "Stonewatch Tower",
	["Stonewrought Dam"] = "Stonewrought Dam",
	["Stonewrought Pass"] = "Stonewrought Pass",
	["Storm Cliffs"] = "Storm Cliffs",
	["Storm Peaks"] = "Storm Peaks",
	["Storm's Fury Wreckage"] = "Storm's Fury Wreckage",
	Stormcrest = "Stormcrest",
	["Stormfeather Outpost"] = "Stormfeather Outpost",
	["Stormglen Village"] = "Stormglen Village",
	["Stormpike Graveyard"] = "Stormpike Graveyard",
	["Stormrage Barrow Dens"] = "Stormrage Barrow Dens",
	Stormwind = "Stormwind",
	["Stormwind City"] = "Stormwind City",
	["Stormwind City Cemetery"] = "Stormwind City Cemetery",
	["Stormwind City Outskirts"] = "Stormwind City Outskirts",
	["Stormwind Harbor"] = "Stormwind Harbor",
	["Stormwind Keep"] = "Stormwind Keep",
	["Stormwind Lake"] = "Stormwind Lake",
	["Stormwind Mountains"] = "Stormwind Mountains",
	["Stormwind Stockade"] = "Stormwind Stockade",
	["Stormwind Vault"] = "Stormwind Vault",
	["Stoutlager Inn"] = "Stoutlager Inn",
	Strahnbrad = "Strahnbrad",
	["Strand of the Ancients"] = "Strand of the Ancients",
	["Stranglethorn Vale"] = "Stranglethorn Vale",
	Stratholme = "Stratholme",
	["Stratholme Entrance"] = "Stratholme Entrance",
	["Stratholme Service Entrance"] = "Stratholme Service Entrance",
	["Stromgarde Keep"] = "Stromgarde Keep",
	["Stygian Bounty"] = "Stygian Bounty",
	["Sub zone"] = "Sub zone",
	["Sulfuron Keep"] = "Sulfuron Keep",
	["Sulfuron Keep Courtyard"] = "Sulfuron Keep Courtyard",
	["Sulfuron Span"] = "Sulfuron Span",
	["Sulfuron Spire"] = "Sulfuron Spire",
	["Sullah's Sideshow"] = "Sullah's Sideshow",
	["Summoners' Tomb"] = "Summoners' Tomb",
	["Sun Rock Retreat"] = "Sun Rock Retreat",
	["Sun's Reach Armory"] = "Sun's Reach Armory",
	["Sun's Reach Harbor"] = "Sun's Reach Harbor",
	["Sun's Reach Sanctum"] = "Sun's Reach Sanctum",
	["Suncrown Village"] = "Suncrown Village",
	["Sundown Marsh"] = "Sundown Marsh",
	["Sunfire Point"] = "Sunfire Point",
	["Sunfury Hold"] = "Sunfury Hold",
	["Sunfury Spire"] = "Sunfury Spire",
	["Sungraze Peak"] = "Sungraze Peak",
	["Sunken Dig Site"] = "Sunken Dig Site",
	["Sunken Temple"] = "Sunken Temple",
	["Sunken Temple Entrance"] = "Sunken Temple Entrance",
	["Sunreaver Pavilion"] = "Sunreaver Pavilion",
	["Sunreaver's Command"] = "Sunreaver's Command",
	["Sunreaver's Sanctuary"] = "Sunreaver's Sanctuary",
	["Sunsail Anchorage"] = "Sunsail Anchorage",
	["Sunspring Post"] = "Sunspring Post",
	["Sunstone Terrace"] = "Sunstone Terrace",
	["Sunstrider Isle"] = "Sunstrider Isle",
	["Sunveil Excursion"] = "Sunveil Excursion",
	["Sunwatcher's Ridge"] = "Sunwatcher's Ridge",
	["Sunwell Plateau"] = "Sunwell Plateau",
	["Supply Caravan"] = "Supply Caravan",
	["Surge Needle"] = "Surge Needle",
	["Surveyors' Outpost"] = "Surveyors' Outpost",
	Surwich = "Surwich",
	["Svarnos' Cell"] = "Svarnos' Cell",
	["Swamp of Sorrows"] = "Swamp of Sorrows",
	["Swamplight Manor"] = "Swamplight Manor",
	["Swamprat Post"] = "Swamprat Post",
	["Swiftgear Station"] = "Swiftgear Station",
	["Swindle Street"] = "Swindle Street",
	["Swindlegrin's Dig"] = "Swindlegrin's Dig",
	["Sword's Rest"] = "Sword's Rest",
	Sylvanaar = "Sylvanaar",
	["Tabetha's Farm"] = "Tabetha's Farm",
	["Taelan's Tower"] = "Taelan's Tower",
	["Tahonda Ruins"] = "Tahonda Ruins",
	["Tahret Grounds"] = "Tahret Grounds",
	["Tal'doren"] = "Tal'doren",
	["Talismanic Textiles"] = "Talismanic Textiles",
	["Talon Stand"] = "Talon Stand",
	["Talonbranch Glade"] = "Talonbranch Glade",
	["Talondeep Pass"] = "Talondeep Pass",
	["Talondeep Vale"] = "Talondeep Vale",
	Talramas = "Talramas",
	["Talrendis Point"] = "Talrendis Point",
	Tanaris = "Tanaris",
	["Tanaris Desert"] = "Tanaris Desert",
	["Tanks for Everything"] = "Tanks for Everything",
	["Tanner Camp"] = "Tanner Camp",
	["Tarren Mill"] = "Tarren Mill",
	["Taunka'le Village"] = "Taunka'le Village",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Teegan's Expedition"] = "Teegan's Expedition",
	["Tel'athion's Camp"] = "Tel'athion's Camp",
	Telaar = "Telaar",
	["Telaari Basin"] = "Telaari Basin",
	Teldrassil = "Teldrassil",
	Telredor = "Telredor",
	["Tempest Bridge"] = "Tempest Bridge",
	["Tempest Keep"] = "Tempest Keep",
	["Tempest Keep - The Arcatraz Entrance"] = "Tempest Keep - The Arcatraz Entrance",
	["Tempest Keep - The Botanica Entrance"] = "Tempest Keep - The Botanica Entrance",
	["Tempest Keep - The Mechanar Entrance"] = "Tempest Keep - The Mechanar Entrance",
	["Tempest Keep: The Arcatraz"] = "Tempest Keep: The Arcatraz",
	["Tempest Keep: The Botanica"] = "Tempest Keep: The Botanica",
	["Tempest Keep: The Mechanar"] = "Tempest Keep: The Mechanar",
	["Tempest's Reach"] = "Tempest's Reach",
	["Temple City of En'kilah"] = "Temple City of En'kilah",
	["Temple Hall"] = "Temple Hall",
	["Temple Summit"] = "Temple Summit",
	["Temple of Ahn'Qiraj"] = "Temple of Ahn'Qiraj",
	["Temple of Arkkoran"] = "Temple of Arkkoran",
	["Temple of Asaad"] = "Temple of Asaad",
	["Temple of Bethekk"] = "Temple of Bethekk",
	["Temple of Earth"] = "Temple of Earth",
	["Temple of Invention"] = "Temple of Invention",
	["Temple of Life"] = "Temple of Life",
	["Temple of Order"] = "Temple of Order",
	["Temple of Storms"] = "Temple of Storms",
	["Temple of Telhamat"] = "Temple of Telhamat",
	["Temple of Uldum"] = "Temple of Uldum",
	["Temple of Winter"] = "Temple of Winter",
	["Temple of Wisdom"] = "Temple of Wisdom",
	["Temple of Zin-Malor"] = "Temple of Zin-Malor",
	["Temple of the Forgotten"] = "Temple of the Forgotten",
	["Temple of the Moon"] = "Temple of the Moon",
	["Tenebrous Cavern"] = "Tenebrous Cavern",
	["Terokk's Rest"] = "Terokk's Rest",
	["Terokkar Forest"] = "Terokkar Forest",
	["Terrace of Light"] = "Terrace of Light",
	["Terrace of Repose"] = "Terrace of Repose",
	["Terrace of the Augurs"] = "Terrace of the Augurs",
	["Terrace of the Makers"] = "Terrace of the Makers",
	["Terrace of the Sun"] = "Terrace of the Sun",
	["Terror Run"] = "Terror Run",
	["Terror Wing Path"] = "Terror Wing Path",
	Terrordale = "Terrordale",
	["Terrorweb Tunnel"] = "Terrorweb Tunnel",
	["Tethris Aran"] = "Tethris Aran",
	["Thal'darah Grove"] = "Thal'darah Grove",
	["Thal'darah Overlook"] = "Thal'darah Overlook",
	Thalanaar = "Thalanaar",
	["Thalassian Pass"] = "Thalassian Pass",
	["Thalassian Range"] = "Thalassian Range",
	["Thandol Span"] = "Thandol Span",
	["Thargad's Camp"] = "Thargad's Camp",
	["The Abandoned Reach"] = "The Abandoned Reach",
	["The Abyssal Maw"] = "The Abyssal Maw",
	["The Abyssal Shelf"] = "The Abyssal Shelf",
	["The Admiral's Den"] = "The Admiral's Den",
	["The Agronomical Apothecary"] = "The Agronomical Apothecary",
	["The Alliance Valiants' Ring"] = "The Alliance Valiants' Ring",
	["The Altar of Damnation"] = "The Altar of Damnation",
	["The Altar of Shadows"] = "The Altar of Shadows",
	["The Altar of Zul"] = "The Altar of Zul",
	["The Ancient Grove"] = "The Ancient Grove",
	["The Ancient Lift"] = "The Ancient Lift",
	["The Antechamber"] = "The Antechamber",
	["The Anvil of Conflagration"] = "The Anvil of Conflagration",
	["The Anvil of Flame"] = "The Anvil of Flame",
	["The Apothecarium"] = "The Apothecarium",
	["The Arachnid Quarter"] = "The Arachnid Quarter",
	["The Arcanium"] = "The Arcanium",
	["The Arcatraz"] = "The Arcatraz",
	["The Archivum"] = "The Archivum",
	["The Argent Stand"] = "The Argent Stand",
	["The Argent Valiants' Ring"] = "The Argent Valiants' Ring",
	["The Argent Vanguard"] = "The Argent Vanguard",
	["The Arsenal Absolute"] = "The Arsenal Absolute",
	["The Aspirants' Ring"] = "The Aspirants' Ring",
	["The Assembly Chamber"] = "The Assembly Chamber",
	["The Assembly of Iron"] = "The Assembly of Iron",
	["The Athenaeum"] = "The Athenaeum",
	["The Avalanche"] = "The Avalanche",
	["The Azure Front"] = "The Azure Front",
	["The Bank of Dalaran"] = "The Bank of Dalaran",
	["The Bank of Silvermoon"] = "The Bank of Silvermoon",
	["The Banquet Hall"] = "The Banquet Hall",
	["The Barrier Hills"] = "The Barrier Hills",
	["The Bastion of Twilight"] = "The Bastion of Twilight",
	["The Battle for Gilneas"] = "The Battle for Gilneas",
	["The Battle for Gilneas (Old City Map)"] = "The Battle for Gilneas (Old City Map)",
	["The Battle for Mount Hyjal"] = "The Battle for Mount Hyjal",
	["The Battleboar Pen"] = "The Battleboar Pen",
	["The Battlefront"] = "The Battlefront",
	["The Bazaar"] = "The Bazaar",
	["The Beer Garden"] = "The Beer Garden",
	["The Bite"] = "The Bite",
	["The Black Breach"] = "The Black Breach",
	["The Black Market"] = "The Black Market",
	["The Black Morass"] = "The Black Morass",
	["The Black Temple"] = "The Black Temple",
	["The Black Vault"] = "The Black Vault",
	["The Blackwald"] = "The Blackwald",
	["The Blazing Strand"] = "The Blazing Strand",
	["The Blight Line"] = "The Blight Line",
	["The Blighted Pool"] = "The Blighted Pool",
	["The Blood Furnace"] = "The Blood Furnace",
	["The Blood Trail"] = "The Blood Trail",
	["The Bloodcursed Reef"] = "The Bloodcursed Reef",
	["The Bloodmire"] = "The Bloodmire",
	["The Bloodoath"] = "The Bloodoath",
	["The Bloodwash"] = "The Bloodwash",
	["The Bombardment"] = "The Bombardment",
	["The Bone Pile"] = "The Bone Pile",
	["The Bone Wastes"] = "The Bone Wastes",
	["The Bonefields"] = "The Bonefields",
	["The Bones of Nozronn"] = "The Bones of Nozronn",
	["The Boneyard"] = "The Boneyard",
	["The Borean Wall"] = "The Borean Wall",
	["The Botanica"] = "The Botanica",
	["The Bradshaw Mill"] = "The Bradshaw Mill",
	["The Breach"] = "The Breach",
	["The Briny Cutter"] = "The Briny Cutter",
	["The Briny Pinnacle"] = "The Briny Pinnacle",
	["The Broken Bluffs"] = "The Broken Bluffs",
	["The Broken Front"] = "The Broken Front",
	["The Broken Hall"] = "The Broken Hall",
	["The Broken Hills"] = "The Broken Hills",
	["The Broken Stair"] = "The Broken Stair",
	["The Broken Temple"] = "The Broken Temple",
	["The Brood Pit"] = "The Brood Pit",
	["The Broodmother's Nest"] = "The Broodmother's Nest",
	["The Bulwark"] = "The Bulwark",
	["The Burning Corridor"] = "The Burning Corridor",
	["The Butchery"] = "The Butchery",
	["The Cache of Madness"] = "The Cache of Madness",
	["The Caller's Chamber"] = "The Caller's Chamber",
	["The Canals"] = "The Canals",
	["The Cape of Stranglethorn"] = "The Cape of Stranglethorn",
	["The Carrion Fields"] = "The Carrion Fields",
	["The Catacombs"] = "The Catacombs",
	["The Cauldron"] = "The Cauldron",
	["The Cauldron of Flames"] = "The Cauldron of Flames",
	["The Cave"] = "The Cave",
	["The Celestial Planetarium"] = "The Celestial Planetarium",
	["The Celestial Watch"] = "The Celestial Watch",
	["The Cemetary"] = "The Cemetary",
	["The Cerebrillum"] = "The Cerebrillum",
	["The Charred Vale"] = "The Charred Vale",
	["The Chilled Quagmire"] = "The Chilled Quagmire",
	["The Circle of Cinders"] = "The Circle of Cinders",
	["The Circle of Life"] = "The Circle of Life",
	["The Circle of Suffering"] = "The Circle of Suffering",
	["The Clash of Thunder"] = "The Clash of Thunder",
	["The Clean Zone"] = "The Clean Zone",
	["The Cleft"] = "The Cleft",
	["The Clockwerk Run"] = "The Clockwerk Run",
	["The Clutch"] = "The Clutch",
	["The Coil"] = "The Coil",
	["The Colossal Forge"] = "The Colossal Forge",
	["The Comb"] = "The Comb",
	["The Commons"] = "The Commons",
	["The Conflagration"] = "The Conflagration",
	["The Conquest Pit"] = "The Conquest Pit",
	["The Conservatory"] = "The Conservatory",
	["The Conservatory of Life"] = "The Conservatory of Life",
	["The Construct Quarter"] = "The Construct Quarter",
	["The Cooper Residence"] = "The Cooper Residence",
	["The Corridors of Ingenuity"] = "The Corridors of Ingenuity",
	["The Court of Bones"] = "The Court of Bones",
	["The Court of Skulls"] = "The Court of Skulls",
	["The Coven"] = "The Coven",
	["The Creeping Ruin"] = "The Creeping Ruin",
	["The Crimson Cathedral"] = "The Crimson Cathedral",
	["The Crimson Dawn"] = "The Crimson Dawn",
	["The Crimson Hall"] = "The Crimson Hall",
	["The Crimson Reach"] = "The Crimson Reach",
	["The Crimson Throne"] = "The Crimson Throne",
	["The Crimson Veil"] = "The Crimson Veil",
	["The Crossroads"] = "The Crossroads",
	["The Crucible"] = "The Crucible",
	["The Crucible of Flame"] = "The Crucible of Flame",
	["The Crumbling Waste"] = "The Crumbling Waste",
	["The Cryo-Core"] = "The Cryo-Core",
	["The Crystal Hall"] = "The Crystal Hall",
	["The Crystal Shore"] = "The Crystal Shore",
	["The Crystal Vale"] = "The Crystal Vale",
	["The Crystal Vice"] = "The Crystal Vice",
	["The Culling of Stratholme"] = "The Culling of Stratholme",
	["The Culling of Stratholme Entrance"] = "The Culling of Stratholme Entrance",
	["The Cursed Landing"] = "The Cursed Landing",
	["The Dagger Hills"] = "The Dagger Hills",
	["The Damsel's Luck"] = "The Damsel's Luck",
	["The Dark Approach"] = "The Dark Approach",
	["The Dark Defiance"] = "The Dark Defiance",
	["The Dark Portal"] = "The Dark Portal",
	["The Darkened Bank"] = "The Darkened Bank",
	["The Darkwood"] = "The Darkwood",
	["The Dawnchaser"] = "The Dawnchaser",
	["The Dawning Isles"] = "The Dawning Isles",
	["The Dawning Square"] = "The Dawning Square",
	["The Dead Acre"] = "The Dead Acre",
	["The Dead Field"] = "The Dead Field",
	["The Dead Fields"] = "The Dead Fields",
	["The Dead Mire"] = "The Dead Mire",
	["The Dead Scar"] = "The Dead Scar",
	["The Deadmines"] = "The Deadmines",
	["The Deathforge"] = "The Deathforge",
	["The Deathknell Graves"] = "The Deathknell Graves",
	["The Decrepit Fields"] = "The Decrepit Fields",
	["The Decrepit Flow"] = "The Decrepit Flow",
	["The Deep Reaches"] = "The Deep Reaches",
	["The Defiled Chapel"] = "The Defiled Chapel",
	["The Den"] = "The Den",
	["The Den of Flame"] = "The Den of Flame",
	["The Dens of Dying"] = "The Dens of Dying",
	["The Dens of the Dying"] = "The Dens of the Dying",
	["The Descent into Madness"] = "The Descent into Madness",
	["The Desecrated Altar"] = "The Desecrated Altar",
	["The Devil's Terrace"] = "The Devil's Terrace",
	["The Devouring Breach"] = "The Devouring Breach",
	["The Domicile"] = "The Domicile",
	["The Dor'Danil Barrow Den"] = "The Dor'Danil Barrow Den",
	["The Dormitory"] = "The Dormitory",
	["The Drag"] = "The Drag",
	["The Dragon Wastes"] = "The Dragon Wastes",
	["The Dragonmurk"] = "The Dragonmurk",
	["The Drain"] = "The Drain",
	["The Dranosh'ar Blockade"] = "The Dranosh'ar Blockade",
	["The Drowned Reef"] = "The Drowned Reef",
	["The Drowned Sacellum"] = "The Drowned Sacellum",
	["The Dry Hills"] = "The Dry Hills",
	["The Dust Plains"] = "The Dust Plains",
	["The Dustbowl"] = "The Dustbowl",
	["The Eastern Earthshrine"] = "The Eastern Earthshrine",
	["The Emerald Summit"] = "The Emerald Summit",
	["The Escape From Durnholde"] = "The Escape From Durnholde",
	["The Escape from Durnholde Entrance"] = "The Escape from Durnholde Entrance",
	["The Eventide"] = "The Eventide",
	["The Exodar"] = "The Exodar",
	["The Eye"] = "The Eye",
	["The Eye of Eternity"] = "The Eye of Eternity",
	["The Eye of the Vortex"] = "The Eye of the Vortex",
	["The Farstrider Lodge"] = "The Farstrider Lodge",
	["The Fel Pits"] = "The Fel Pits",
	["The Fetid Pool"] = "The Fetid Pool",
	["The Filthy Animal"] = "The Filthy Animal",
	["The Firehawk"] = "The Firehawk",
	["The Flamewake"] = "The Flamewake",
	["The Fleshwerks"] = "The Fleshwerks",
	["The Flood Plains"] = "The Flood Plains",
	["The Fold"] = "The Fold",
	["The Foot Steppes"] = "The Foot Steppes",
	["The Foothill Caverns"] = "The Foothill Caverns",
	["The Forbidding Sea"] = "The Forbidding Sea",
	["The Forest of Shadows"] = "The Forest of Shadows",
	["The Forge of Souls"] = "The Forge of Souls",
	["The Forge of Souls Entrance"] = "The Forge of Souls Entrance",
	["The Forge of Supplication"] = "The Forge of Supplication",
	["The Forge of Wills"] = "The Forge of Wills",
	["The Forgotten Coast"] = "The Forgotten Coast",
	["The Forgotten Overlook"] = "The Forgotten Overlook",
	["The Forgotten Pool"] = "The Forgotten Pool",
	["The Forgotten Pools"] = "The Forgotten Pools",
	["The Forgotten Shore"] = "The Forgotten Shore",
	["The Forlorn Cavern"] = "The Forlorn Cavern",
	["The Forlorn Mine"] = "The Forlorn Mine",
	["The Forsaken Front"] = "The Forsaken Front",
	["The Foul Pool"] = "The Foul Pool",
	["The Frigid Tomb"] = "The Frigid Tomb",
	["The Frost Queen's Lair"] = "The Frost Queen's Lair",
	["The Frostwing Halls"] = "The Frostwing Halls",
	["The Frozen Glade"] = "The Frozen Glade",
	["The Frozen Halls"] = "The Frozen Halls",
	["The Frozen Mine"] = "The Frozen Mine",
	["The Frozen Sea"] = "The Frozen Sea",
	["The Frozen Throne"] = "The Frozen Throne",
	["The Fungal Vale"] = "The Fungal Vale",
	["The Furnace"] = "The Furnace",
	["The Gaping Chasm"] = "The Gaping Chasm",
	["The Gate of Unending Cycles"] = "The Gate of Unending Cycles",
	["The Gatehouse"] = "The Gatehouse",
	["The Gauntlet"] = "The Gauntlet",
	["The Geyser Fields"] = "The Geyser Fields",
	["The Gilded Gate"] = "The Gilded Gate",
	["The Glimmering Pillar"] = "The Glimmering Pillar",
	["The Golden Plains"] = "The Golden Plains",
	["The Grand Ballroom"] = "The Grand Ballroom",
	["The Grand Vestibule"] = "The Grand Vestibule",
	["The Great Arena"] = "The Great Arena",
	["The Great Divide"] = "The Great Divide",
	["The Great Fissure"] = "The Great Fissure",
	["The Great Forge"] = "The Great Forge",
	["The Great Gate"] = "The Great Gate",
	["The Great Lift"] = "The Great Lift",
	["The Great Ossuary"] = "The Great Ossuary",
	["The Great Sea"] = "The Great Sea",
	["The Great Tree"] = "The Great Tree",
	["The Green Belt"] = "The Green Belt",
	["The Greymane Wall"] = "The Greymane Wall",
	["The Grim Guzzler"] = "The Grim Guzzler",
	["The Grinding Quarry"] = "The Grinding Quarry",
	["The Grizzled Den"] = "The Grizzled Den",
	["The Guardhouse"] = "The Guardhouse",
	["The Guest Chambers"] = "The Guest Chambers",
	["The Gullet"] = "The Gullet",
	["The Half Shell"] = "The Half Shell",
	["The Hall of Blood"] = "The Hall of Blood",
	["The Hall of Gears"] = "The Hall of Gears",
	["The Hall of Lights"] = "The Hall of Lights",
	["The Hall of Respite"] = "The Hall of Respite",
	["The Halls of Reanimation"] = "The Halls of Reanimation",
	["The Halls of Winter"] = "The Halls of Winter",
	["The Hand of Gul'dan"] = "The Hand of Gul'dan",
	["The Harborage"] = "The Harborage",
	["The Hatchery"] = "The Hatchery",
	["The Headland"] = "The Headland",
	["The Headlands"] = "The Headlands",
	["The Heap"] = "The Heap",
	["The Heart of Acherus"] = "The Heart of Acherus",
	["The Hidden Clutch"] = "The Hidden Clutch",
	["The Hidden Grove"] = "The Hidden Grove",
	["The Hidden Hollow"] = "The Hidden Hollow",
	["The Hidden Passage"] = "The Hidden Passage",
	["The Hidden Reach"] = "The Hidden Reach",
	["The Hidden Reef"] = "The Hidden Reef",
	["The High Path"] = "The High Path",
	["The High Road"] = "The High Road",
	["The High Seat"] = "The High Seat",
	["The Hinterlands"] = "The Hinterlands",
	["The Hoard"] = "The Hoard",
	["The Hole"] = "The Hole",
	["The Horde Valiants' Ring"] = "The Horde Valiants' Ring",
	["The Horsemen's Assembly"] = "The Horsemen's Assembly",
	["The Howling Hollow"] = "The Howling Hollow",
	["The Howling Oak"] = "The Howling Oak",
	["The Howling Vale"] = "The Howling Vale",
	["The Hunter's Reach"] = "The Hunter's Reach",
	["The Hushed Bank"] = "The Hushed Bank",
	["The Icy Depths"] = "The Icy Depths",
	["The Immortal Coil"] = "The Immortal Coil",
	["The Imperial Seat"] = "The Imperial Seat",
	["The Infectis Scar"] = "The Infectis Scar",
	["The Inferno"] = "The Inferno",
	["The Inner Spire"] = "The Inner Spire",
	["The Intrepid"] = "The Intrepid",
	["The Inventor's Library"] = "The Inventor's Library",
	["The Iron Crucible"] = "The Iron Crucible",
	["The Iron Hall"] = "The Iron Hall",
	["The Iron Reaper"] = "The Iron Reaper",
	["The Isle of Spears"] = "The Isle of Spears",
	["The Ivar Patch"] = "The Ivar Patch",
	["The Jansen Stead"] = "The Jansen Stead",
	["The Krazzworks"] = "The Krazzworks",
	["The LMS Mark II"] = "The LMS Mark II",
	["The Laboratory"] = "The Laboratory",
	["The Lagoon"] = "The Lagoon",
	["The Laughing Stand"] = "The Laughing Stand",
	["The Legerdemain Lounge"] = "The Legerdemain Lounge",
	["The Legion Front"] = "The Legion Front",
	["The Librarium"] = "The Librarium",
	["The Library"] = "The Library",
	["The Lifebinder's Cell"] = "The Lifebinder's Cell",
	["The Lifeblood Pillar"] = "The Lifeblood Pillar",
	["The Lightless Reaches"] = "The Lightless Reaches",
	["The Living Grove"] = "The Living Grove",
	["The Living Wood"] = "The Living Wood",
	["The Loch"] = "The Loch",
	["The Long Wash"] = "The Long Wash",
	["The Lost Fleet"] = "The Lost Fleet",
	["The Lost Fold"] = "The Lost Fold",
	["The Lost Isles"] = "The Lost Isles",
	["The Lost Lands"] = "The Lost Lands",
	["The Lost Passage"] = "The Lost Passage",
	["The Low Path"] = "The Low Path",
	["The Lyceum"] = "The Lyceum",
	["The Maclure Vineyards"] = "The Maclure Vineyards",
	["The Maelstrom"] = "The Maelstrom",
	["The Maker's Overlook"] = "The Maker's Overlook",
	["The Maker's Rise"] = "The Maker's Rise",
	["The Maker's Terrace"] = "The Maker's Terrace",
	["The Makers' Overlook"] = "The Makers' Overlook",
	["The Makers' Perch"] = "The Makers' Perch",
	["The Manufactory"] = "The Manufactory",
	["The Marris Stead"] = "The Marris Stead",
	["The Marshlands"] = "The Marshlands",
	["The Masonary"] = "The Masonary",
	["The Master's Cellar"] = "The Master's Cellar",
	["The Master's Glaive"] = "The Master's Glaive",
	["The Maul"] = "The Maul",
	["The Maw of Madness"] = "The Maw of Madness",
	["The Mechanar"] = "The Mechanar",
	["The Menagerie"] = "The Menagerie",
	["The Menders' Stead"] = "The Menders' Stead",
	["The Merchant Coast"] = "The Merchant Coast",
	["The Militant Mystic"] = "The Militant Mystic",
	["The Military Quarter"] = "The Military Quarter",
	["The Military Ward"] = "The Military Ward",
	["The Mind's Eye"] = "The Mind's Eye",
	["The Mirror of Dawn"] = "The Mirror of Dawn",
	["The Mirror of Twilight"] = "The Mirror of Twilight",
	["The Molsen Farm"] = "The Molsen Farm",
	["The Molten Bridge"] = "The Molten Bridge",
	["The Molten Core"] = "The Molten Core",
	["The Molten Fields"] = "The Molten Fields",
	["The Molten Flow"] = "The Molten Flow",
	["The Molten Span"] = "The Molten Span",
	["The Mor'Shan Ramparts"] = "The Mor'Shan Ramparts",
	["The Mor'shan Rampart"] = "The Mor'shan Rampart",
	["The Mosslight Pillar"] = "The Mosslight Pillar",
	["The Mountain Den"] = "The Mountain Den",
	["The Murder Pens"] = "The Murder Pens",
	["The Mystic Ward"] = "The Mystic Ward",
	["The Necrotic Vault"] = "The Necrotic Vault",
	["The Nexus"] = "The Nexus",
	["The Nexus Entrance"] = "The Nexus Entrance",
	["The Nightmare Scar"] = "The Nightmare Scar",
	["The North Coast"] = "The North Coast",
	["The North Sea"] = "The North Sea",
	["The Nosebleeds"] = "The Nosebleeds",
	["The Noxious Glade"] = "The Noxious Glade",
	["The Noxious Hollow"] = "The Noxious Hollow",
	["The Noxious Lair"] = "The Noxious Lair",
	["The Noxious Pass"] = "The Noxious Pass",
	["The Oblivion"] = "The Oblivion",
	["The Observation Ring"] = "The Observation Ring",
	["The Obsidian Sanctum"] = "The Obsidian Sanctum",
	["The Oculus"] = "The Oculus",
	["The Oculus Entrance"] = "The Oculus Entrance",
	["The Old Barracks"] = "The Old Barracks",
	["The Old Dormitory"] = "The Old Dormitory",
	["The Old Port Authority"] = "The Old Port Authority",
	["The Opera Hall"] = "The Opera Hall",
	["The Oracle Glade"] = "The Oracle Glade",
	["The Outer Ring"] = "The Outer Ring",
	["The Overgrowth"] = "The Overgrowth",
	["The Overlook"] = "The Overlook",
	["The Overlook Cliffs"] = "The Overlook Cliffs",
	["The Pale Roost"] = "The Pale Roost",
	["The Park"] = "The Park",
	["The Path of Anguish"] = "The Path of Anguish",
	["The Path of Conquest"] = "The Path of Conquest",
	["The Path of Corruption"] = "The Path of Corruption",
	["The Path of Glory"] = "The Path of Glory",
	["The Path of Iron"] = "The Path of Iron",
	["The Path of the Lifewarden"] = "The Path of the Lifewarden",
	["The Phoenix Hall"] = "The Phoenix Hall",
	["The Pillar of Ash"] = "The Pillar of Ash",
	["The Pipe"] = "The Pipe",
	["The Pit of Criminals"] = "The Pit of Criminals",
	["The Pit of Fiends"] = "The Pit of Fiends",
	["The Pit of Narjun"] = "The Pit of Narjun",
	["The Pit of Refuse"] = "The Pit of Refuse",
	["The Pit of Sacrifice"] = "The Pit of Sacrifice",
	["The Pit of Scales"] = "The Pit of Scales",
	["The Pit of the Fang"] = "The Pit of the Fang",
	["The Plague Quarter"] = "The Plague Quarter",
	["The Plagueworks"] = "The Plagueworks",
	["The Pool of Ask'ar"] = "The Pool of Ask'ar",
	["The Pools of Vision"] = "The Pools of Vision",
	["The Prison of Yogg-Saron"] = "The Prison of Yogg-Saron",
	["The Proving Grounds"] = "The Proving Grounds",
	["The Purple Parlor"] = "The Purple Parlor",
	["The Quagmire"] = "The Quagmire",
	["The Quaking Fields"] = "The Quaking Fields",
	["The Queen's Reprisal"] = "The Queen's Reprisal",
	["The Raging Chasm"] = "The Raging Chasm",
	["The Rangers' Lodge"] = "The Rangers' Lodge",
	["The Red Reaches"] = "The Red Reaches",
	["The Refectory"] = "The Refectory",
	["The Regrowth"] = "The Regrowth",
	["The Reliquary"] = "The Reliquary",
	["The Repository"] = "The Repository",
	["The Reservoir"] = "The Reservoir",
	["The Restless Front"] = "The Restless Front",
	["The Ridge of Ancient Flame"] = "The Ridge of Ancient Flame",
	["The Rift"] = "The Rift",
	["The Ring of Blood"] = "The Ring of Blood",
	["The Ring of Champions"] = "The Ring of Champions",
	["The Ring of Trials"] = "The Ring of Trials",
	["The Ring of Valor"] = "The Ring of Valor",
	["The Riptide"] = "The Riptide",
	["The Roiling Gardens"] = "The Roiling Gardens",
	["The Rolling Gardens"] = "The Rolling Gardens",
	["The Rolling Plains"] = "The Rolling Plains",
	["The Rookery"] = "The Rookery",
	["The Rotting Orchard"] = "The Rotting Orchard",
	["The Royal Exchange"] = "The Royal Exchange",
	["The Ruby Sanctum"] = "The Ruby Sanctum",
	["The Ruined Reaches"] = "The Ruined Reaches",
	["The Ruins of Kel'Theril"] = "The Ruins of Kel'Theril",
	["The Ruins of Ordil'Aran"] = "The Ruins of Ordil'Aran",
	["The Ruins of Stardust"] = "The Ruins of Stardust",
	["The Rumble Cage"] = "The Rumble Cage",
	["The Rustmaul Dig Site"] = "The Rustmaul Dig Site",
	["The Sacred Grove"] = "The Sacred Grove",
	["The Salty Sailor Tavern"] = "The Salty Sailor Tavern",
	["The Sanctum"] = "The Sanctum",
	["The Sanctum of Blood"] = "The Sanctum of Blood",
	["The Savage Coast"] = "The Savage Coast",
	["The Savage Glen"] = "The Savage Glen",
	["The Savage Thicket"] = "The Savage Thicket",
	["The Scalding Chasm"] = "The Scalding Chasm",
	["The Scalding Pools"] = "The Scalding Pools",
	["The Scarab Dais"] = "The Scarab Dais",
	["The Scarab Wall"] = "The Scarab Wall",
	["The Scarlet Basilica"] = "The Scarlet Basilica",
	["The Scarlet Bastion"] = "The Scarlet Bastion",
	["The Scorched Grove"] = "The Scorched Grove",
	["The Scorched Plain"] = "The Scorched Plain",
	["The Scrap Field"] = "The Scrap Field",
	["The Scrapyard"] = "The Scrapyard",
	["The Screaming Hall"] = "The Screaming Hall",
	["The Screaming Reaches"] = "The Screaming Reaches",
	["The Screeching Canyon"] = "The Screeching Canyon",
	["The Scribe of Stormwind"] = "The Scribe of Stormwind",
	["The Scribes' Sacellum"] = "The Scribes' Sacellum",
	["The Scullery"] = "The Scullery",
	["The Sea Reaver's Run"] = "The Sea Reaver's Run",
	["The Sea of Cinders"] = "The Sea of Cinders",
	["The Seabreach Flow"] = "The Seabreach Flow",
	["The Sealed Hall"] = "The Sealed Hall",
	["The Searing Gateway"] = "The Searing Gateway",
	["The Secret Lab"] = "The Secret Lab",
	["The Seer's Library"] = "The Seer's Library",
	["The Sepulcher"] = "The Sepulcher",
	["The Severed Span"] = "The Severed Span",
	["The Sewer"] = "The Sewer",
	["The Shadow Stair"] = "The Shadow Stair",
	["The Shadow Throne"] = "The Shadow Throne",
	["The Shadow Vault"] = "The Shadow Vault",
	["The Shady Nook"] = "The Shady Nook",
	["The Shaper's Terrace"] = "The Shaper's Terrace",
	["The Shattered Halls"] = "The Shattered Halls",
	["The Shattered Strand"] = "The Shattered Strand",
	["The Shattered Walkway"] = "The Shattered Walkway",
	["The Shepherd's Gate"] = "The Shepherd's Gate",
	["The Shifting Mire"] = "The Shifting Mire",
	["The Shimmering Deep"] = "The Shimmering Deep",
	["The Shimmering Flats"] = "The Shimmering Flats",
	["The Shining Strand"] = "The Shining Strand",
	["The Shrine of Aessina"] = "The Shrine of Aessina",
	["The Shrine of Eldretharr"] = "The Shrine of Eldretharr",
	["The Silver Blade"] = "The Silver Blade",
	["The Silver Enclave"] = "The Silver Enclave",
	["The Sin'loren"] = "The Sin'loren",
	["The Singing Grove"] = "The Singing Grove",
	["The Skeletal Reef"] = "The Skeletal Reef",
	["The Skittering Dark"] = "The Skittering Dark",
	["The Skull Warren"] = "The Skull Warren",
	["The Skunkworks"] = "The Skunkworks",
	["The Skybreaker"] = "The Skybreaker",
	["The Skyreach Pillar"] = "The Skyreach Pillar",
	["The Slag Pit"] = "The Slag Pit",
	["The Slaughter House"] = "The Slaughter House",
	["The Slaughtered Lamb"] = "The Slaughtered Lamb",
	["The Slave Pens"] = "The Slave Pens",
	["The Slave Pits"] = "The Slave Pits",
	["The Slick"] = "The Slick",
	["The Slithering Scar"] = "The Slithering Scar",
	["The Slough of Dispair"] = "The Slough of Dispair",
	["The Sludge Fen"] = "The Sludge Fen",
	["The Sludge Fields"] = "The Sludge Fields",
	["The Sludgewerks"] = "The Sludgewerks",
	["The Solar Vigil"] = "The Solar Vigil",
	["The Solarium"] = "The Solarium",
	["The Spark of Imagination"] = "The Spark of Imagination",
	["The Sparkling Crawl"] = "The Sparkling Crawl",
	["The Spawning Glen"] = "The Spawning Glen",
	["The Spire"] = "The Spire",
	["The Stadium"] = "The Stadium",
	["The Stagnant Oasis"] = "The Stagnant Oasis",
	["The Staidridge"] = "The Staidridge",
	["The Stair of Destiny"] = "The Stair of Destiny",
	["The Stair of Doom"] = "The Stair of Doom",
	["The Steam Pools"] = "The Steam Pools",
	["The Steamvault"] = "The Steamvault",
	["The Steppe of Life"] = "The Steppe of Life",
	["The Steps of Fate"] = "The Steps of Fate",
	["The Stockade"] = "The Stockade",
	["The Stockpile"] = "The Stockpile",
	["The Stone Vault"] = "The Stone Vault",
	["The Stonecore"] = "The Stonecore",
	["The Stonecore Entrance"] = "The Stonecore Entrance",
	["The Stonefield Farm"] = "The Stonefield Farm",
	["The Storehouse"] = "The Storehouse",
	["The Storm Foundry"] = "The Storm Foundry",
	["The Storm Peaks"] = "The Storm Peaks",
	["The Stormbreaker"] = "The Stormbreaker",
	["The Stormspire"] = "The Stormspire",
	["The Stormwright's Shelf"] = "The Stormwright's Shelf",
	["The Sun Forge"] = "The Sun Forge",
	["The Sundered Shard"] = "The Sundered Shard",
	["The Sundering"] = "The Sundering",
	["The Sunken Ring"] = "The Sunken Ring",
	["The Sunspire"] = "The Sunspire",
	["The Suntouched Pillar"] = "The Suntouched Pillar",
	["The Sunwell"] = "The Sunwell",
	["The Swarming Pillar"] = "The Swarming Pillar",
	["The Tainted Forest"] = "The Tainted Forest",
	["The Tainted Scar"] = "The Tainted Scar",
	["The Talon Den"] = "The Talon Den",
	["The Talondeep Path"] = "The Talondeep Path",
	["The Tempest Rift"] = "The Tempest Rift",
	["The Temple Gardens"] = "The Temple Gardens",
	["The Temple of Atal'Hakkar"] = "The Temple of Atal'Hakkar",
	["The Terrestrial Watchtower"] = "The Terrestrial Watchtower",
	["The Thornsnarl"] = "The Thornsnarl",
	["The Threads of Fate"] = "The Threads of Fate",
	["The Threshold"] = "The Threshold",
	["The Throne of Flame"] = "The Throne of Flame",
	["The Tidebreaker"] = "The Tidebreaker",
	["The Tidus Stair"] = "The Tidus Stair",
	["The Tower of Arathor"] = "The Tower of Arathor",
	["The Toxic Airfield"] = "The Toxic Airfield",
	["The Trail of Devastation"] = "The Trail of Devastation",
	["The Tranquil Grove"] = "The Tranquil Grove",
	["The Transitus Stair"] = "The Transitus Stair",
	["The Trapper's Enclave"] = "The Trapper's Enclave",
	["The Tribunal of Ages"] = "The Tribunal of Ages",
	["The Tundrid Hills"] = "The Tundrid Hills",
	["The Twilight Breach"] = "The Twilight Breach",
	["The Twilight Caverns"] = "The Twilight Caverns",
	["The Twilight Citadel"] = "The Twilight Citadel",
	["The Twilight Enclave"] = "The Twilight Enclave",
	["The Twilight Gate"] = "The Twilight Gate",
	["The Twilight Gauntlet"] = "The Twilight Gauntlet",
	["The Twilight Ridge"] = "The Twilight Ridge",
	["The Twilight Rivulet"] = "The Twilight Rivulet",
	["The Twilight Withering"] = "The Twilight Withering",
	["The Twin Colossals"] = "The Twin Colossals",
	["The Twisted Glade"] = "The Twisted Glade",
	["The Unbound Thicket"] = "The Unbound Thicket",
	["The Underbelly"] = "The Underbelly",
	["The Underbog"] = "The Underbog",
	["The Undercroft"] = "The Undercroft",
	["The Underhalls"] = "The Underhalls",
	["The Undershell"] = "The Undershell",
	["The Uplands"] = "The Uplands",
	["The Upside-down Sinners"] = "The Upside-down Sinners",
	["The Valley of Fallen Heroes"] = "The Valley of Fallen Heroes",
	["The Valley of Lost Hope"] = "The Valley of Lost Hope",
	["The Vault of Lights"] = "The Vault of Lights",
	["The Vector Coil"] = "The Vector Coil",
	["The Veiled Cleft"] = "The Veiled Cleft",
	["The Veiled Sea"] = "The Veiled Sea",
	["The Venture Co. Mine"] = "The Venture Co. Mine",
	["The Verdant Fields"] = "The Verdant Fields",
	["The Verdant Thicket"] = "The Verdant Thicket",
	["The Verne"] = "The Verne",
	["The Verne - Bridge"] = "The Verne - Bridge",
	["The Verne - Entryway"] = "The Verne - Entryway",
	["The Vibrant Glade"] = "The Vibrant Glade",
	["The Vice"] = "The Vice",
	["The Vicious Vale"] = "The Vicious Vale",
	["The Viewing Room"] = "The Viewing Room",
	["The Vile Reef"] = "The Vile Reef",
	["The Violet Citadel"] = "The Violet Citadel",
	["The Violet Citadel Spire"] = "The Violet Citadel Spire",
	["The Violet Gate"] = "The Violet Gate",
	["The Violet Hold"] = "The Violet Hold",
	["The Violet Spire"] = "The Violet Spire",
	["The Violet Tower"] = "The Violet Tower",
	["The Vortex Fields"] = "The Vortex Fields",
	["The Vortex Pinnacle"] = "The Vortex Pinnacle",
	["The Vortex Pinnacle Entrance"] = "The Vortex Pinnacle Entrance",
	["The Wailing Caverns"] = "The Wailing Caverns",
	["The Wailing Ziggurat"] = "The Wailing Ziggurat",
	["The Waking Halls"] = "The Waking Halls",
	["The Warlord's Garrison"] = "The Warlord's Garrison",
	["The Warlord's Terrace"] = "The Warlord's Terrace",
	["The Warp Fields"] = "The Warp Fields",
	["The Warp Piston"] = "The Warp Piston",
	["The Wavecrest"] = "The Wavecrest",
	["The Weathered Nook"] = "The Weathered Nook",
	["The Weeping Cave"] = "The Weeping Cave",
	["The Western Earthshrine"] = "The Western Earthshrine",
	["The Westrift"] = "The Westrift",
	["The Whelping Downs"] = "The Whelping Downs",
	["The Whipple Estate"] = "The Whipple Estate",
	["The Wicked Coil"] = "The Wicked Coil",
	["The Wicked Grotto"] = "The Wicked Grotto",
	["The Widow's Clutch"] = "The Widow's Clutch",
	["The Wild Shore"] = "The Wild Shore",
	["The Winding Halls"] = "The Winding Halls",
	["The Windrunner"] = "The Windrunner",
	["The Wollerton Stead"] = "The Wollerton Stead",
	["The Wonderworks"] = "The Wonderworks",
	["The World Tree"] = "The World Tree",
	["The Writhing Deep"] = "The Writhing Deep",
	["The Writhing Haunt"] = "The Writhing Haunt",
	["The Yorgen Farmstead"] = "The Yorgen Farmstead",
	["The Zoram Strand"] = "The Zoram Strand",
	["Thelgen Rock"] = "Thelgen Rock",
	Thelsamar = "Thelsamar",
	Theramore = "Theramore",
	["Theramore Isle"] = "Theramore Isle",
	["Therazane's Throne"] = "Therazane's Throne",
	["Thermal Vents"] = "Thermal Vents",
	["Thieves Camp"] = "Thieves Camp",
	["Thistlefur Hold"] = "Thistlefur Hold",
	["Thistlefur Village"] = "Thistlefur Village",
	["Thistleshrub Valley"] = "Thistleshrub Valley",
	["Thondroril River"] = "Thondroril River",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Thoradin's Wall",
	["Thorium Advance"] = "Thorium Advance",
	["Thorium Point"] = "Thorium Point",
	["Thorn Hill"] = "Thorn Hill",
	["Thornfang Hill"] = "Thornfang Hill",
	["Thornmantle's Hideout"] = "Thornmantle's Hideout",
	["Thorson's Post"] = "Thorson's Post",
	["Thorvald's Camp"] = "Thorvald's Camp",
	["Thousand Needles"] = "Thousand Needles",
	Thrallmar = "Thrallmar",
	["Thrallmar Mine"] = "Thrallmar Mine",
	["Three Corners"] = "Three Corners",
	["Throne of Kil'jaeden"] = "Throne of Kil'jaeden",
	["Throne of Neptulon"] = "Throne of Neptulon",
	["Throne of Tides"] = "Throne of Tides",
	["Throne of the Apocalypse"] = "Throne of the Apocalypse",
	["Throne of the Damned"] = "Throne of the Damned",
	["Throne of the Elements"] = "Throne of the Elements",
	["Throne of the Four Winds"] = "Throne of the Four Winds",
	["Throne of the Tides"] = "Throne of the Tides",
	["Throne of the Tides Entrance"] = "Throne of the Tides Entrance",
	["Thrym's End"] = "Thrym's End",
	["Thunder Axe Fortress"] = "Thunder Axe Fortress",
	["Thunder Bluff"] = "Thunder Bluff",
	["Thunder Falls"] = "Thunder Falls",
	["Thunder Peak"] = "Thunder Peak",
	["Thunder Ridge"] = "Thunder Ridge",
	Thunderbluff = "Thunderbluff",
	["Thunderbrew Distillery"] = "Thunderbrew Distillery",
	Thunderfall = "Thunderfall",
	["Thunderhorn Water Well"] = "Thunderhorn Water Well",
	["Thundering Overlook"] = "Thundering Overlook",
	["Thunderlord Stronghold"] = "Thunderlord Stronghold",
	Thundermar = "Thundermar",
	["Thundermar Ruins"] = "Thundermar Ruins",
	["Thunderstrike Mountain"] = "Thunderstrike Mountain",
	["Thunk's Abode"] = "Thunk's Abode",
	["Thuron's Livery"] = "Thuron's Livery",
	["Tidefury Cove"] = "Tidefury Cove",
	["Tides' Hollow"] = "Tides' Hollow",
	["Timbermaw Hold"] = "Timbermaw Hold",
	["Timbermaw Post"] = "Timbermaw Post",
	["Tinker Town"] = "Tinker Town",
	["Tinkers' Court"] = "Tinkers' Court",
	["Tiragarde Keep"] = "Tiragarde Keep",
	["Tirisfal Glades"] = "Tirisfal Glades",
	["Tirth's Haunt"] = "Tirth's Haunt",
	["Tkashi Ruins"] = "Tkashi Ruins",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Tol Barad Peninsula",
	["Tomb of Lights"] = "Tomb of Lights",
	["Tomb of the Ancients"] = "Tomb of the Ancients",
	["Tomb of the Earthrager"] = "Tomb of the Earthrager",
	["Tomb of the Lost Kings"] = "Tomb of the Lost Kings",
	["Tomb of the Sun King"] = "Tomb of the Sun King",
	["Tomb of the Watchers"] = "Tomb of the Watchers",
	["Tombs of the Precursors"] = "Tombs of the Precursors",
	["Tome of the Unrepentant"] = "Tome of the Unrepentant",
	["Tor'Watha"] = "Tor'Watha",
	["Tor'kren Farm"] = "Tor'kren Farm",
	["Torp's Farm"] = "Torp's Farm",
	["Torseg's Rest"] = "Torseg's Rest",
	["Toryl Estate"] = "Toryl Estate",
	["Toshley's Station"] = "Toshley's Station",
	["Tower Point"] = "Tower Point",
	["Tower Watch"] = "Tower Watch",
	["Tower of Althalaxx"] = "Tower of Althalaxx",
	["Tower of Azora"] = "Tower of Azora",
	["Tower of Eldara"] = "Tower of Eldara",
	["Tower of Estulan"] = "Tower of Estulan",
	["Tower of Ilgalar"] = "Tower of Ilgalar",
	["Tower of the Damned"] = "Tower of the Damned",
	["Town Square"] = "Town Square",
	["Town-In-A-Box"] = "Town-In-A-Box",
	["Trade District"] = "Trade District",
	["Trade Quarter"] = "Trade Quarter",
	["Trader's Tier"] = "Trader's Tier",
	["Tradesmen's Terrace"] = "Tradesmen's Terrace",
	["Train Depot"] = "Train Depot",
	["Training Grounds"] = "Training Grounds",
	["Traitor's Cove"] = "Traitor's Cove",
	["Tranquil Coast"] = "Tranquil Coast",
	["Tranquil Gardens Cemetery"] = "Tranquil Gardens Cemetery",
	["Tranquil Shore"] = "Tranquil Shore",
	["Tranquil Wash"] = "Tranquil Wash",
	Tranquillien = "Tranquillien",
	Transborea = "Transborea",
	["Transitus Shield"] = "Transitus Shield",
	["Transport: Alliance Gunship"] = "Transport: Alliance Gunship",
	["Transport: Alliance Gunship (IGB)"] = "Transport: Alliance Gunship (IGB)",
	["Transport: Horde Gunship"] = "Transport: Horde Gunship",
	["Transport: Horde Gunship (IGB)"] = "Transport: Horde Gunship (IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "Transport: Onyxia/Nefarian Elevator",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Trasnport: The Mighty Wind (Icecrown Citadel Raid)",
	["Trelleum Mine"] = "Trelleum Mine",
	["Trial of Fire"] = "Trial of Fire",
	["Trial of Frost"] = "Trial of Frost",
	["Trial of Shadow"] = "Trial of Shadow",
	["Trial of the Champion"] = "Trial of the Champion",
	["Trial of the Champion Entrance"] = "Trial of the Champion Entrance",
	["Trial of the Crusader"] = "Trial of the Crusader",
	["Trogma's Claim"] = "Trogma's Claim",
	["Trollbane Hall"] = "Trollbane Hall",
	["Trophy Hall"] = "Trophy Hall",
	["Trueshot Point"] = "Trueshot Point",
	["Tuluman's Landing"] = "Tuluman's Landing",
	Tuurem = "Tuurem",
	["Twilight Aerie"] = "Twilight Aerie",
	["Twilight Altar of Storms"] = "Twilight Altar of Storms",
	["Twilight Base Camp"] = "Twilight Base Camp",
	["Twilight Bulwark"] = "Twilight Bulwark",
	["Twilight Camp"] = "Twilight Camp",
	["Twilight Command Post"] = "Twilight Command Post",
	["Twilight Crossing"] = "Twilight Crossing",
	["Twilight Forge"] = "Twilight Forge",
	["Twilight Grove"] = "Twilight Grove",
	["Twilight Highlands"] = "Twilight Highlands",
	["Twilight Highlands Phased Entrance"] = "Twilight Highlands Phased Entrance",
	["Twilight Outpost"] = "Twilight Outpost",
	["Twilight Overlook"] = "Twilight Overlook",
	["Twilight Post"] = "Twilight Post",
	["Twilight Precipice"] = "Twilight Precipice",
	["Twilight Shore"] = "Twilight Shore",
	["Twilight Terrace"] = "Twilight Terrace",
	["Twilight Vale"] = "Twilight Vale",
	["Twilight's Run"] = "Twilight's Run",
	["Twin Peaks"] = "Twin Peaks",
	["Twin Shores"] = "Twin Shores",
	["Twin Spire Ruins"] = "Twin Spire Ruins",
	["Twinbraid's Patrol"] = "Twinbraid's Patrol",
	["Twisting Nether"] = "Twisting Nether",
	["Tyr's Hand"] = "Tyr's Hand",
	["Tyr's Hand Abbey"] = "Tyr's Hand Abbey",
	["Tyr's Terrace"] = "Tyr's Terrace",
	["Ufrang's Hall"] = "Ufrang's Hall",
	Uldaman = "Uldaman",
	["Uldaman Entrance"] = "Uldaman Entrance",
	Uldis = "Uldis",
	Ulduar = "Ulduar",
	["Ulduar Raid - Interior - Insertion Point"] = "Ulduar Raid - Interior - Insertion Point",
	["Ulduar Raid - Iron Concourse"] = "Ulduar Raid - Iron Concourse",
	Uldum = "Uldum",
	["Uldum Phase Oasis"] = "Uldum Phase Oasis",
	["Uldum Phased Entrance"] = "Uldum Phased Entrance",
	["Umbrafen Lake"] = "Umbrafen Lake",
	["Umbrafen Village"] = "Umbrafen Village",
	["Un'Goro Crater"] = "Un'Goro Crater",
	Undercity = "Undercity",
	["Underlight Canyon"] = "Underlight Canyon",
	["Underlight Mines"] = "Underlight Mines",
	["Unearthed Grounds"] = "Unearthed Grounds",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Garrison"] = "Unyielding Garrison",
	["Upper Silvermarsh"] = "Upper Silvermarsh",
	["Upper Veil Shil'ak"] = "Upper Veil Shil'ak",
	["Ursoc's Den"] = "Ursoc's Den",
	Ursolan = "Ursolan",
	["Utgarde Catacombs"] = "Utgarde Catacombs",
	["Utgarde Keep"] = "Utgarde Keep",
	["Utgarde Keep Entrance"] = "Utgarde Keep Entrance",
	["Utgarde Pinnacle"] = "Utgarde Pinnacle",
	["Utgarde Pinnacle Entrance"] = "Utgarde Pinnacle Entrance",
	["Uther's Tomb"] = "Uther's Tomb",
	["Valaar's Berth"] = "Valaar's Berth",
	["Valgan's Field"] = "Valgan's Field",
	Valgarde = "Valgarde",
	["Valgarde Port"] = "Valgarde Port",
	Valhalas = "Valhalas",
	["Valiance Keep"] = "Valiance Keep",
	["Valiance Landing Camp"] = "Valiance Landing Camp",
	Valkyrion = "Valkyrion",
	["Valley Of Heroes"] = "Valley Of Heroes",
	["Valley of Ancient Winters"] = "Valley of Ancient Winters",
	["Valley of Ashes"] = "Valley of Ashes",
	["Valley of Bones"] = "Valley of Bones",
	["Valley of Echoes"] = "Valley of Echoes",
	["Valley of Fangs"] = "Valley of Fangs",
	["Valley of Heroes"] = "Valley of Heroes",
	["Valley of Honor"] = "Valley of Honor",
	["Valley of Kings"] = "Valley of Kings",
	["Valley of Spears"] = "Valley of Spears",
	["Valley of Spirits"] = "Valley of Spirits",
	["Valley of Strength"] = "Valley of Strength",
	["Valley of Trials"] = "Valley of Trials",
	["Valley of Wisdom"] = "Valley of Wisdom",
	["Valley of the Bloodfuries"] = "Valley of the Bloodfuries",
	["Valley of the Watchers"] = "Valley of the Watchers",
	["Valor's Rest"] = "Valor's Rest",
	Valormok = "Valormok",
	["Valorwind Lake"] = "Valorwind Lake",
	["Vanguard Infirmary"] = "Vanguard Infirmary",
	["Vanndir Encampment"] = "Vanndir Encampment",
	["Vargoth's Retreat"] = "Vargoth's Retreat",
	["Vashj'elan Spawning Pool"] = "Vashj'elan Spawning Pool",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Archavon"] = "Vault of Archavon",
	["Vault of Ironforge"] = "Vault of Ironforge",
	["Vault of the Ravenian"] = "Vault of the Ravenian",
	["Vault of the Shadowflame"] = "Vault of the Shadowflame",
	["Veil Ala'rak"] = "Veil Ala'rak",
	["Veil Harr'ik"] = "Veil Harr'ik",
	["Veil Lashh"] = "Veil Lashh",
	["Veil Lithic"] = "Veil Lithic",
	["Veil Reskk"] = "Veil Reskk",
	["Veil Rhaze"] = "Veil Rhaze",
	["Veil Ruuan"] = "Veil Ruuan",
	["Veil Sethekk"] = "Veil Sethekk",
	["Veil Shalas"] = "Veil Shalas",
	["Veil Shienor"] = "Veil Shienor",
	["Veil Skith"] = "Veil Skith",
	["Veil Vekh"] = "Veil Vekh",
	["Vekhaar Stand"] = "Vekhaar Stand",
	["Velaani's Arcane Goods"] = "Velaani's Arcane Goods",
	["Vendetta Point"] = "Vendetta Point",
	["Vengeance Landing"] = "Vengeance Landing",
	["Vengeance Landing Inn"] = "Vengeance Landing Inn",
	["Vengeance Landing Inn, Howling Fjord"] = "Vengeance Landing Inn, Howling Fjord",
	["Vengeance Lift"] = "Vengeance Lift",
	["Vengeance Pass"] = "Vengeance Pass",
	["Vengeance Wake"] = "Vengeance Wake",
	Venomspite = "Venomspite",
	["Venomweb Vale"] = "Venomweb Vale",
	["Venture Bay"] = "Venture Bay",
	["Venture Co. Base Camp"] = "Venture Co. Base Camp",
	["Venture Co. Operations Center"] = "Venture Co. Operations Center",
	["Verdant Highlands"] = "Verdant Highlands",
	["Verdantis River"] = "Verdantis River",
	["Veridian Point"] = "Veridian Point",
	["Verlok Stand"] = "Verlok Stand",
	["Vermillion Redoubt"] = "Vermillion Redoubt",
	["Verrall Delta"] = "Verrall Delta",
	["Verrall River"] = "Verrall River",
	["Victor's Point"] = "Victor's Point",
	["Vileprey Village"] = "Vileprey Village",
	["Vim'gol's Circle"] = "Vim'gol's Circle",
	["Vindicator's Rest"] = "Vindicator's Rest",
	["Violet Citadel Balcony"] = "Violet Citadel Balcony",
	["Violet Hold"] = "Violet Hold",
	["Violet Hold Entrance"] = "Violet Hold Entrance",
	["Violet Stand"] = "Violet Stand",
	["Vir'naal Dam"] = "Vir'naal Dam",
	["Vir'naal Lake"] = "Vir'naal Lake",
	["Vir'naal Oasis"] = "Vir'naal Oasis",
	["Vir'naal River"] = "Vir'naal River",
	["Vir'naal River Delta"] = "Vir'naal River Delta",
	["Void Ridge"] = "Void Ridge",
	["Voidwind Plateau"] = "Voidwind Plateau",
	["Volcanoth's Lair"] = "Volcanoth's Lair",
	["Voldrin's Hold"] = "Voldrin's Hold",
	Voldrune = "Voldrune",
	["Voldrune Dwelling"] = "Voldrune Dwelling",
	Voltarus = "Voltarus",
	["Vordrassil Pass"] = "Vordrassil Pass",
	["Vordrassil's Heart"] = "Vordrassil's Heart",
	["Vordrassil's Limb"] = "Vordrassil's Limb",
	["Vordrassil's Tears"] = "Vordrassil's Tears",
	["Vortex Pinnacle"] = "Vortex Pinnacle",
	["Vortex Summit"] = "Vortex Summit",
	["Vul'Gol Ogre Mound"] = "Vul'Gol Ogre Mound",
	["Vyletongue Seat"] = "Vyletongue Seat",
	["Wahl Cottage"] = "Wahl Cottage",
	["Wailing Caverns"] = "Wailing Caverns",
	["Walk of Elders"] = "Walk of Elders",
	["War Quarter"] = "War Quarter",
	["War Room"] = "War Room",
	["Warbringer's Ring"] = "Warbringer's Ring",
	["Warchief's Lookout"] = "Warchief's Lookout",
	["Warden's Cage"] = "Warden's Cage",
	["Warden's Chambers"] = "Warden's Chambers",
	["Warden's Vigil"] = "Warden's Vigil",
	["Warmaul Hill"] = "Warmaul Hill",
	["Warpwood Quarter"] = "Warpwood Quarter",
	["Warrior's Terrace"] = "Warrior's Terrace",
	["Warsong Camp"] = "Warsong Camp",
	["Warsong Farms Outpost"] = "Warsong Farms Outpost",
	["Warsong Flag Room"] = "Warsong Flag Room",
	["Warsong Granary"] = "Warsong Granary",
	["Warsong Gulch"] = "Warsong Gulch",
	["Warsong Hold"] = "Warsong Hold",
	["Warsong Jetty"] = "Warsong Jetty",
	["Warsong Labor Camp"] = "Warsong Labor Camp",
	["Warsong Lumber Camp"] = "Warsong Lumber Camp",
	["Warsong Lumber Mill"] = "Warsong Lumber Mill",
	["Warsong Slaughterhouse"] = "Warsong Slaughterhouse",
	["Watchers' Terrace"] = "Watchers' Terrace",
	["Waterspring Field"] = "Waterspring Field",
	Waterworks = "Waterworks",
	["Wavestrider Beach"] = "Wavestrider Beach",
	["Wayfarer's Rest"] = "Wayfarer's Rest",
	Waygate = "Waygate",
	["Wayne's Refuge"] = "Wayne's Refuge",
	["Weazel's Crater"] = "Weazel's Crater",
	["Webwinder Hollow"] = "Webwinder Hollow",
	["Webwinder Path"] = "Webwinder Path",
	["Weeping Quarry"] = "Weeping Quarry",
	["Well of the Forgotten"] = "Well of the Forgotten",
	["Wellson Shipyard"] = "Wellson Shipyard",
	["Wellspring Hovel"] = "Wellspring Hovel",
	["Wellspring Lake"] = "Wellspring Lake",
	["Wellspring River"] = "Wellspring River",
	["West Garrison"] = "West Garrison",
	["West Pillar"] = "West Pillar",
	["West Point Station"] = "West Point Station",
	["West Point Tower"] = "West Point Tower",
	["West Sanctum"] = "West Sanctum",
	["West Spear Tower"] = "West Spear Tower",
	["West Spire"] = "West Spire",
	["Westbrook Garrison"] = "Westbrook Garrison",
	["Western Bridge"] = "Western Bridge",
	["Western Plaguelands"] = "Western Plaguelands",
	["Western Strand"] = "Western Strand",
	Westfall = "Westfall",
	["Westfall Brigade"] = "Westfall Brigade",
	["Westfall Brigade Encampment"] = "Westfall Brigade Encampment",
	["Westfall Lighthouse"] = "Westfall Lighthouse",
	["Westguard Inn"] = "Westguard Inn",
	["Westguard Keep"] = "Westguard Keep",
	["Westguard Turret"] = "Westguard Turret",
	["Westreach Summit"] = "Westreach Summit",
	["Westspark Workshop"] = "Westspark Workshop",
	["Westwind Lift"] = "Westwind Lift",
	["Westwind Refugee Camp"] = "Westwind Refugee Camp",
	Wetlands = "Wetlands",
	["Whelgar's Excavation Site"] = "Whelgar's Excavation Site",
	["Whelgar's Retreat"] = "Whelgar's Retreat",
	["Whisper Gulch"] = "Whisper Gulch",
	["Whispering Forest"] = "Whispering Forest",
	["Whispering Gardens"] = "Whispering Gardens",
	["Whispering Shore"] = "Whispering Shore",
	["Whisperwind Grove"] = "Whisperwind Grove",
	["Whistling Grove"] = "Whistling Grove",
	["White Pine Trading Post"] = "White Pine Trading Post",
	["Whitebeard's Encampment"] = "Whitebeard's Encampment",
	["Whitereach Post"] = "Whitereach Post",
	["Wild Overlook"] = "Wild Overlook",
	["Wild Shore"] = "Wild Shore",
	["Wildbend River"] = "Wildbend River",
	["Wildervar Mine"] = "Wildervar Mine",
	["Wildflame Point"] = "Wildflame Point",
	["Wildgrowth Mangal"] = "Wildgrowth Mangal",
	["Wildhammer Flag Room"] = "Wildhammer Flag Room",
	["Wildhammer Keep"] = "Wildhammer Keep",
	["Wildhammer Stronghold"] = "Wildhammer Stronghold",
	["Wildheart Point"] = "Wildheart Point",
	["Wildmane Water Well"] = "Wildmane Water Well",
	["Wildpaw Cavern"] = "Wildpaw Cavern",
	["Wildpaw Ridge"] = "Wildpaw Ridge",
	["Wildwind Lake"] = "Wildwind Lake",
	["Wildwind Path"] = "Wildwind Path",
	["Wildwind Peak"] = "Wildwind Peak",
	["Windbreak Canyon"] = "Windbreak Canyon",
	["Windfury Ridge"] = "Windfury Ridge",
	["Windrunner Spire"] = "Windrunner Spire",
	["Windrunner Village"] = "Windrunner Village",
	["Windrunner's Overlook"] = "Windrunner's Overlook",
	["Windshear Crag"] = "Windshear Crag",
	["Windshear Heights"] = "Windshear Heights",
	["Windshear Hold"] = "Windshear Hold",
	["Windshear Mine"] = "Windshear Mine",
	["Windshear Valley"] = "Windshear Valley",
	["Windy Bluffs"] = "Windy Bluffs",
	["Windyreed Pass"] = "Windyreed Pass",
	["Windyreed Village"] = "Windyreed Village",
	["Winter's Breath Lake"] = "Winter's Breath Lake",
	["Winter's Edge Tower"] = "Winter's Edge Tower",
	["Winter's Heart"] = "Winter's Heart",
	["Winter's Terrace"] = "Winter's Terrace",
	["Winterax Hold"] = "Winterax Hold",
	["Winterfall Village"] = "Winterfall Village",
	["Winterfin Caverns"] = "Winterfin Caverns",
	["Winterfin Retreat"] = "Winterfin Retreat",
	["Winterfin Village"] = "Winterfin Village",
	["Wintergarde Crypt"] = "Wintergarde Crypt",
	["Wintergarde Keep"] = "Wintergarde Keep",
	["Wintergarde Mausoleum"] = "Wintergarde Mausoleum",
	["Wintergarde Mine"] = "Wintergarde Mine",
	Wintergrasp = "Wintergrasp",
	["Wintergrasp Fortress"] = "Wintergrasp Fortress",
	["Wintergrasp River"] = "Wintergrasp River",
	["Winterhoof Water Well"] = "Winterhoof Water Well",
	Winterspring = "Winterspring",
	["Witch Hill"] = "Witch Hill",
	["Witch's Sanctum"] = "Witch's Sanctum",
	["Witherbark Caverns"] = "Witherbark Caverns",
	["Witherbark Village"] = "Witherbark Village",
	["Withering Thicket"] = "Withering Thicket",
	["Wizard Row"] = "Wizard Row",
	["Wizard's Sanctum"] = "Wizard's Sanctum",
	["Wolf's Run"] = "Wolf's Run",
	["Wood's End Cabin"] = "Wood's End Cabin",
	["Woodpaw Den"] = "Woodpaw Den",
	["Woodpaw Hills"] = "Woodpaw Hills",
	Workshop = "Workshop",
	["Workshop Entrance"] = "Workshop Entrance",
	["World's End Tavern"] = "World's End Tavern",
	["Wrathscale Lair"] = "Wrathscale Lair",
	["Wrathscale Point"] = "Wrathscale Point",
	["Wreckage of the Silver Dawning"] = "Wreckage of the Silver Dawning",
	["Writhing Mound"] = "Writhing Mound",
	Wyrmbog = "Wyrmbog",
	["Wyrmbreaker's Rookery"] = "Wyrmbreaker's Rookery",
	["Wyrmrest Temple"] = "Wyrmrest Temple",
	["Wyrms' Bend"] = "Wyrms' Bend",
	["Wyrmscar Island"] = "Wyrmscar Island",
	["Wyrmskull Bridge"] = "Wyrmskull Bridge",
	["Wyrmskull Tunnel"] = "Wyrmskull Tunnel",
	["Wyrmskull Village"] = "Wyrmskull Village",
	["X-2 Pincer"] = "X-2 Pincer",
	Xavian = "Xavian",
	Ymirheim = "Ymirheim",
	["Ymiron's Seat"] = "Ymiron's Seat",
	["Yojamba Isle"] = "Yojamba Isle",
	["Yowler's Den"] = "Yowler's Den",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Grave"] = "Zaetar's Grave",
	["Zalashji's Den"] = "Zalashji's Den",
	["Zalazane's Fall"] = "Zalazane's Fall",
	["Zane's Eye Crater"] = "Zane's Eye Crater",
	["Zangar Ridge"] = "Zangar Ridge",
	Zangarmarsh = "Zangarmarsh",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zeppelin Crash"] = "Zeppelin Crash",
	Zeramas = "Zeramas",
	["Zeth'Gor"] = "Zeth'Gor",
	["Ziata'jai Ruins"] = "Ziata'jai Ruins",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Zim'bo's Hideout",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Zol'Maz Stronghold",
	["Zoram'gar Outpost"] = "Zoram'gar Outpost",
	["Zul'Aman"] = "Zul'Aman",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Zul'Farrak Entrance",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Zuuldaia Ruins",
}

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "Campement de la 7e Légion",
	["7th Legion Front"] = "Front de la 7e Légion",
	["7th Legion Submarine"] = "Sous-marin de la 7e Légion",
	["A Hero's Welcome"] = "L'échoppe des héros",
	["Abandoned Armory"] = "Armurerie Abandonnée",
	["Abandoned Camp"] = "Camp Abandonné",
	["Abandoned Mine"] = "Mine Abandonnée",
	["Abandoned Reef"] = "Récif Abandonné",
	["Abyssal Breach"] = "Brèche Abyssale",
	["Abyssal Depths"] = "Profondeurs Abyssales",
	["Abyssal Halls"] = "Salles Abyssales",
	["Abyssal Maw"] = "Gueule des abysses",
	["Abyssal Maw Exterior"] = "Extérieur de la Gueule des abysses",
	["Abyssal Sands"] = "Désert Abysséen",
	["Abyssion's Lair"] = "Repaire d'Abyssion",
	["Access Shaft Zeon"] = "Puits d'accès Zéon",
	["Acherus: The Ebon Hold"] = "Achérus : le fort d'Ébène",
	["Addle's Stead"] = "Ferme des Addle",
	["Aderic's Repose"] = "Repos d'Aderic",
	["Aerie Peak"] = "Nid-de-l'Aigle",
	["Aeris Landing"] = "Point d'ancrage Aeris",
	["Agamand Family Crypt"] = "Crypte de la famille Agamand",
	["Agamand Mills"] = "Moulins d'Agamand",
	["Agmar's Hammer"] = "Marteau d'Agmar",
	["Agmond's End"] = "Fin d'Agmond",
	["Agol'watha"] = "Agol'watha",
	["Ahn Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Temple d'Ahn'Qiraj",
	["Ahn'Qiraj Terrace"] = "Terrasse d'Ahn'Qiraj",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj : le royaume Déchu",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet : l'Ancien royaume",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Entrée d'Ahn'kahet : l'Ancien royaume",
	["Akhenet Fields"] = "Champs d'Akhenet",
	["Aku'mai's Lair"] = "Repaire d'Aku'mai",
	["Alabaster Shelf"] = "Corniche d'Albâtre",
	["Alcaz Island"] = "Île d'Alcaz",
	["Aldor Rise"] = "Éminence de l'Aldor",
	Aldrassil = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar : la Porte de la Désolation",
	["Alexston Farmstead"] = "Ferme des Alexston",
	["Algaz Gate"] = "Porte d'Algaz",
	["Algaz Station"] = "Poste d'Algaz",
	["All That Glitters Prospecting Co."] = "Prospection tout ce qui brille",
	["Allen Farmstead"] = "Ferme des Allen",
	["Allerian Post"] = "Poste Allérien",
	["Allerian Stronghold"] = "Bastion Allérien",
	["Alliance Base"] = "Base de l'Alliance",
	["Alliance Beachhead"] = "Tête de pont de l'Alliance",
	["Alliance Keep"] = "Donjon de l'Alliance",
	["Alliance Mercenary Ship to Vashj'ir"] = "Navire mercenaire de l'Alliance vers Vashj'ir",
	["Alliance PVP Barracks"] = "Baraquements Alliance JcJ",
	["Alonsus Chapel"] = "Chapelle d'Alonsus",
	["Altar of Ascension"] = "Autel de l'Ascension",
	["Altar of Har'koa"] = "Autel de Har'koa",
	["Altar of Mam'toth"] = "Autel de Mam'toth",
	["Altar of Quetz'lun"] = "Autel de Quetz'lun",
	["Altar of Rhunok"] = "Autel de Rhunok",
	["Altar of Sha'tar"] = "Autel de Sha'tar",
	["Altar of Sseratus"] = "Autel de Sseratus",
	["Altar of Storms"] = "Autel des Tempêtes",
	["Altar of Twilight"] = "Autel du Crépuscule",
	["Altar of the Blood God"] = "Autel du Dieu sanglant",
	["Alterac Mountains"] = "Montagnes d'Alterac",
	["Alterac Valley"] = "Vallée d'Alterac",
	["Alther's Mill"] = "Scierie d'Alther",
	["Amani Catacombs"] = "Catacombes des Amani",
	["Amani Mountains"] = "Montagnes des Amani",
	["Amani Pass"] = "Passage des Amani",
	["Amber Ledge"] = "Escarpement d'Ambre",
	Ambermill = "Moulin-de-l'Ambre",
	["Amberpine Lodge"] = "Gîte Ambrepin",
	["Ambershard Cavern"] = "Caverne d'Ambréclat",
	["Amberstill Ranch"] = "Ferme des Distillambre",
	["Amberweb Pass"] = "Passe d'Ambretoile",
	["Ameth'Aran"] = "Ameth'Aran",
	["Ammen Fields"] = "Champs d'Ammen",
	["Ammen Ford"] = "Gué d'Ammen",
	["Ammen Vale"] = "Val d'Ammen",
	["Amphitheater of Anguish"] = "Amphithéâtre de l'Angoisse",
	["Ampitheater of Anguish"] = "Amphithéâtre de l'Angoisse",
	["An'daroth"] = "An'daroth",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Ancestral Grounds"] = "Terres Ancestrales",
	["Ancient Zul'Gurub"] = "L’antique Zul'Gurub",
	["Andilien Estate"] = "Domaine d'Andilien",
	Andorhal = "Andorhal",
	Andruk = "Andruk",
	["Angerfang Encampment"] = "Campement de Hargnecroc",
	["Ango'rosh Grounds"] = "Terres Ango'rosh",
	["Ango'rosh Stronghold"] = "Bastion Ango'rosh",
	["Angor Fortress"] = "Forteresse d'Angor",
	["Angrathar the Wrath Gate"] = "Angrathar, le portail du Courroux",
	["Angrathar the Wrathgate"] = "Angrathar, le portail du Courroux",
	["Antonidas Memorial"] = "Monument à Antonidas",
	["Anvil of Conflagration"] = "Enclume de la Déflagration",
	Anvilmar = "Courbenclume",
	["Apex Point"] = "Halte de l'apogée",
	["Apocryphan's Rest"] = "Repos d'Apocryphan",
	["Apothecary Camp"] = "Camp des Apothicaires",
	["Arathi Basin"] = "Bassin Arathi",
	["Arathi Highlands"] = "Hautes-terres Arathies",
	["Arcane Pinnacle"] = "Cime des Arcanes",
	["Archmage Vargoth's Retreat"] = "Retraite de l'archimage Vargoth",
	["Area 52"] = "Zone 52",
	["Arena Floor"] = "Sol de l'arène",
	["Argent Pavilion"] = "Pavillon d'Argent",
	["Argent Stand"] = "Séjour d'Argent",
	["Argent Tournament Grounds"] = "Enceinte du tournoi d'Argent",
	["Argent Vanguard"] = "L'avant-garde d'Argent",
	["Ariden's Camp"] = "Camp d'Ariden",
	["Arikara's Needle"] = "Aiguille d'Arikara",
	["Arklon Ruins"] = "Ruines Arklon",
	["Arklonis Ridge"] = "Crête d'Arklonis",
	["Arriga Footbridge"] = "Passerelle Arriga",
	["Arsad Trade Post"] = "Comptoir d'Arsad",
	["Ascendant's Rise"] = "Cime de l'Ascendant",
	["Ashen Fields"] = "Champs des Cendres",
	["Ashen Lake"] = "Lac des Cendres",
	Ashenvale = "Orneval",
	["Ashwood Lake"] = "Lac du Frêne",
	["Ashwood Post"] = "Poste du Frêne",
	["Aspen Grove Post"] = "Poste de la Tremblaie",
	Astranaar = "Astranaar",
	["Ata'mal Terrace"] = "Terrasse Ata'mal",
	Athenaeum = "Athenaeum",
	["Atulhet's Tomb"] = "Tome d'Atulhet",
	["Auberdine Refugee Camp"] = "Camp de réfugiés d'Auberdine",
	["Auchenai Crypts"] = "Cryptes Auchenaï",
	["Auchenai Grounds"] = "Terres Auchenaï",
	Auchindoun = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Entrée des cryptes Auchenaï",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Entrée des Tombes-Mana",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Entrée des salles des Sethekk",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Entrée du labyrinthe des Ombres",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun : Cryptes Auchenaï",
	["Auchindoun: Mana-Tombs"] = "Auchindoun : Tombes-mana",
	["Auchindoun: Sethekk Halls"] = "Auchindoun : Salles des Sethekk",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun : Labyrinthe des ombres",
	["Auren Falls"] = "Chutes d'Auren",
	["Auren Ridge"] = "Crête d'Auren",
	["Avalanchion's Vault"] = "Caveau d'Avalanchion",
	Aviary = "Volière",
	["Axis of Alignment"] = "Axe d’alignement",
	Axxarien = "Axxarien",
	["Azjol-Nerub"] = "Azjol -Nérub",
	["Azjol-Nerub Entrance"] = "Entrée d'Azjol-Nérub",
	Azshara = "Azshara",
	["Azshara Crater"] = "Cratère d'Azshara",
	["Azure Dragonshrine"] = "Sanctuaire draconique azur",
	["Azure Watch"] = "Guet d'azur",
	["Azurebreeze Coast"] = "Côte de Brise-d'Azur",
	["Azurelode Mine"] = "Mine de Veine-Azur",
	["Azuremyst Isle"] = "Île de Brume-Azur",
	Badlands = "Terres Ingrates",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Excavation de Bael Modan",
	["Bael'dun Digsite"] = "Site de fouilles de Bael'Dun",
	["Bael'dun Keep"] = "Donjon de Bael'dun",
	["Baelgun's Excavation Site"] = "Excavations de Baelgun",
	["Bahrum's Post"] = "Poste de Bahrum",
	["Bal'lal Ruins"] = "Ruines de Bal'lal",
	["Balargarde Fortress"] = "Forteresse de Balargarde",
	Baleheim = "Torvheim",
	["Balejar Watch"] = "Guet de Balejar",
	["Balia'mah Ruins"] = "Ruines de Balia'mah",
	["Balnir Farmstead"] = "Ferme des Balnir",
	Bambala = "Bambala",
	["Ban'Thallow Barrow Den"] = "Refuge des saisons de Ban'Thallow",
	["Ban'ethil Barrow Den"] = "Refuge des saisons de Ban'ethil",
	["Ban'ethil Barrow Descent"] = "Descente vers le refuge des saisons de Ban'ethil",
	["Ban'ethil Hollow"] = "Creux de Ban'ethil",
	["Band of Acceleration"] = "Bague d'alignement",
	["Band of Alignment"] = "Bague d'alignement",
	["Band of Transmutation"] = "Bague de transmutation",
	["Band of Variance"] = "Bague de variance",
	Bank = "Banque",
	["Baradin Base Camp"] = "Campement de Baradin",
	["Baradin Bay"] = "Baie de Baradin",
	["Baradin Hold"] = "Bastion de Baradin",
	Barbershop = "Salon de coiffure",
	["Barov Family Vault"] = "Caveau de la famille Barov",
	["Bash'ir Landing"] = "Point d'ancrage de Bash'ir",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Effondrement de Bashal'Aran",
	["Bastion Antechamber"] = "Antichambre du Bastion",
	["Bathran's Haunt"] = "Repaire de Bathran",
	["Battle Ring"] = "L'arène",
	Battlescar = "La Balafre",
	["Battlescar Spire"] = "Flèche de la Balafre",
	["Battlescar Valley"] = "Vallée de la Balafre",
	["Bay of Storms"] = "Baie des Tempêtes",
	["Bear's Head"] = "Tête d'ours",
	["Beauty's Lair"] = "Repaire de la Belle",
	["Beezil's Wreck"] = "Épave de Beezil",
	["Befouled Terrace"] = "Terrasse Souillée",
	["Beggar's Haunt"] = "Repaire des Mendiants",
	["Beneath The Double Rainbow"] = "Sous le double arc-en-ciel",
	["Beren's Peril"] = "Péril de Beren",
	["Bernau's Happy Fun Land"] = "Pays du bonheur de Bernau",
	["Beryl Coast"] = "La côte de Béryl",
	["Beryl Egress"] = "Émergence de Béryl",
	["Beryl Point"] = "Pointe de Béryl",
	["Beth'mora Ridge"] = "Crête de Beth'mora",
	["Beth'tilac's Lair"] = "Repaire de Beth’tilac",
	["Biel'aran Ridge"] = "Crête de Biel'aran",
	["Bilgewater Harbor"] = "Havre Baille-Fonds",
	["Bilgewater Lumber Yard"] = "Dépôt de bois Baille-Fonds",
	["Bilgewater Port"] = "Port Baille-Fonds",
	["Bitter Reaches"] = "Confins Amers",
	["Bittertide Lake"] = "Lac de Flot-Amer",
	["Black Channel Marsh"] = "Marais des Eaux-Noires",
	["Black Drake Roost"] = "Perchoir du Drake noir",
	["Black Temple"] = "Temple noir",
	["Black Tooth Hovel"] = "Taudis de Noirdent",
	["Blackchar Cave"] = "Caverne de Noircharbon",
	["Blackfathom Camp"] = "Camp de Brassenoire",
	["Blackfathom Deeps"] = "Profondeurs de Brassenoire",
	["Blackfathom Deeps Entrance"] = "Entrée des profondeurs de Brassenoire",
	["Blackhoof Village"] = "Sabot-Noir",
	["Blackhorn's Penance"] = "Pénitence de Corne-Noire",
	["Blackmaw Hold"] = "Repaire des Noiregueules",
	["Blackriver Logging Camp"] = "Camp de bûcherons de la Rivière noire",
	["Blackrock Caverns"] = "Cavernes de Rochenoire",
	["Blackrock Caverns Entrance"] = "Entrée des cavernes de Rochenoire",
	["Blackrock Depths"] = "Profondeurs de Rochenoire",
	["Blackrock Depths Entrance"] = "Entrée des profondeurs de Rochenoire",
	["Blackrock Mountain"] = "Mont Rochenoire",
	["Blackrock Pass"] = "Défilé des Rochenoires",
	["Blackrock Spire"] = "Pic Rochenoire",
	["Blackrock Spire Entrance"] = "Entrée du pic Rochenoire",
	["Blackrock Stadium"] = "Stade Rochenoire",
	["Blackrock Stronghold"] = "Bastion Rochenoire",
	["Blacksilt Shore"] = "Le rivage de Vase noire",
	Blacksmith = "Forge",
	["Blackstone Span"] = "Viaduc de Noirepierre",
	Blackwatch = "Guet Noir",
	["Blackwater Cove"] = "Crique des Flots noirs",
	["Blackwater Shipwrecks"] = "Épaves des Flots noirs",
	["Blackwind Lake"] = "Lac Noirvent",
	["Blackwind Landing"] = "Le Raie'odrome de Noirvent",
	["Blackwind Valley"] = "Vallée de Noirvent",
	["Blackwing Coven"] = "Convent de l'Aile noire",
	["Blackwing Descent"] = "Descente de l’Aile noire",
	["Blackwing Lair"] = "Repaire de l'Aile noire",
	["Blackwolf River"] = "Fleuve Loup-Noir",
	["Blackwood Camp"] = "Camp des Noirbois",
	["Blackwood Den"] = "Tanière des Noirbois",
	["Blackwood Lake"] = "Lac de Noirbois",
	["Blade Tooth Canyon"] = "Canyon de Lamecroc",
	["Blade's Edge Arena"] = "Arène des Tranchantes",
	["Blade's Edge Mountains"] = "Les Tranchantes",
	["Bladed Gulch"] = "Goulet des Lames",
	["Bladefist Bay"] = "Baie de Lamepoing",
	["Blades & Axes"] = "Lames & Haches",
	["Blades' Run"] = "Le défilé des lames",
	["Bladespire Grounds"] = "Terres de la Flèchelame",
	["Bladespire Hold"] = "Bastion de Flèchelame",
	["Bladespire Outpost"] = "Avant-poste Flèchelame",
	Bladewood = "Bois des Lames",
	["Blasted Lands"] = "Terres Foudroyées",
	["Bleeding Hollow Ruins"] = "Ruines de l'Orbite sanglante",
	["Bleeding Vale"] = "Val Sanglant",
	["Bleeding Ziggurat"] = "Ziggourat Sanguinolente",
	["Blistering Pool"] = "Bassin Caustique",
	["Blood Elf Tower"] = "Tour des elfes de sang",
	["Blood Watch"] = "Guet du sang",
	["Bloodcurse Isle"] = "Île du Sang maudit",
	["Bloodfen Burrow"] = "Terrier des Rougefanges",
	Bloodgulch = "Goulet Sanglant",
	["Bloodhoof Village"] = "Sabot-de-Sang",
	["Bloodmaul Camp"] = "Camp de la Masse-sanglante",
	["Bloodmaul Outpost"] = "Avant-poste de la Masse-sanglante",
	["Bloodmaul Ravine"] = "Ravin de la Masse-sanglante",
	["Bloodmoon Isle"] = "Île de la Lune sanguine",
	["Bloodmyst Isle"] = "Île de Brume-Sang",
	["Bloodscale Enclave"] = "Enclave des Écailles-sanglantes",
	["Bloodscale Grounds"] = "Terres des Écailles-sanglantes",
	["Bloodspore Plains"] = "Plaines de Spore-sang",
	["Bloodtalon Shore"] = "Rivage Griffesang",
	["Bloodtooth Camp"] = "Camp de Dent-Rouge",
	["Bloodvenom Falls"] = "Chutes de la Vénéneuse",
	["Bloodvenom Post"] = "Poste de la Vénéneuse",
	["Bloodvenom River"] = "La Vénéneuse",
	["Bloodwash Cavern"] = "Caverne du Reflux sanglant",
	["Bloodwash Fighting Pits"] = "Fosses de combat du Reflux sanglant",
	["Bloodwash Shrine"] = "Sanctuaire du Reflux sanglant",
	["Bloodwatcher Point"] = "Halte de Guettesang",
	["Blue Sky Logging Grounds"] = "Chantier d'abattage du Ciel bleu",
	Bluefen = "Marais Bleu",
	["Bluegill Marsh"] = "Marais des Branchies-bleues",
	["Bluff of the South Wind"] = "Promontoire du vent du Sud",
	["Bogen's Ledge"] = "Escarpement de Bogen",
	Bogpaddle = "Brasse-Tourbe",
	["Boha'mu Ruins"] = "Ruines de Boha'mu",
	["Bolgan's Hole"] = "Trou de Bolgan",
	["Bolyun's Camp"] = "Camp de Bolyun",
	["Bonechewer Ruins"] = "Ruines Mâche-les-os",
	["Bones of Grakkarond"] = "Restes de Grakkarond",
	["Bonesnap's Camp"] = "Camp de Bris'os",
	["Bootlegger Outpost"] = "Avant-poste des Contrebandiers",
	["Booty Bay"] = "Baie-du-Butin",
	["Bor'gorok Outpost"] = "Avant-poste Bor'gorok",
	["Bor's Breath"] = "Souffle de Bor",
	["Bor's Breath River"] = "Le Souffle de Bor",
	["Bor's Fall"] = "Chute de Bor",
	["Bor's Fury"] = "Furie de Bor",
	["Borean Tundra"] = "Toundra Boréenne",
	["Borune Ruins"] = "Ruines de Borune",
	["Bough Shadow"] = "L'Ombrage",
	["Boulder Hills"] = "Collines du Rocher",
	["Boulder Lode Mine"] = "Mine des Pierriers",
	["Boulder'gor"] = "Roche'gor",
	["Boulder'mok"] = "Roche'mok",
	["Bouldercrag's Refuge"] = "Refuge de Rochecombe",
	["Boulderfist Hall"] = "Hall Rochepoing",
	["Boulderfist Outpost"] = "Avant-poste rochepoing",
	["Boulderslide Cavern"] = "Caverne des Eboulis",
	["Boulderslide Ravine"] = "Ravin des Éboulis",
	["Brackenwall Village"] = "Mur-de-Fougères",
	["Brackwell Pumpkin Patch"] = "Champ de potirons des Saumepuits",
	["Brambleblade Ravine"] = "Ravin de Roncelame",
	Bramblescar = "Ronceplaie",
	["Brann's Base-Camp"] = "Campement de Brann",
	["Brashtide Attack Fleet"] = "Flotte d'attaque des Fiers-à-flot",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Flotte d'attaque des Fiers-à-flot (Force à l'extérieur)",
	["Brave Wind Mesa"] = "Mesa de Brave-Vent",
	["Brazie Farmstead"] = "Ferme de Brazie",
	["Brewnall Village"] = "Brassetout",
	["Bridge of Souls"] = "Le pont des âmes",
	["Brightwater Lake"] = "Lac Étincelant",
	["Brightwood Grove"] = "Bosquet de Clairbois",
	Brill = "Brill",
	["Brill Town Hall"] = "Hôtel de ville de Brill",
	["Bristlelimb Enclave"] = "L'enclave des Bras-hirsutes",
	["Bristlelimb Village"] = "Village des Bras-hirsutes",
	["Broken Commons"] = "Communs en ruine",
	["Broken Hill"] = "Colline Brisée",
	["Broken Pillar"] = "Pilier Brisé",
	["Broken Spear Village"] = "Village de la Lance brisée",
	["Broken Wilds"] = "Landes Brisées",
	["Bronze Dragonshrine"] = "Sanctuaire draconique Bronze",
	["Bronzebeard Encampment"] = "Campement de Barbe-de-bronze",
	["Browman Mill"] = "Scierie de Browman",
	["Brunnhildar Village"] = "Brunnhildar",
	["Bucklebree Farm"] = "Ferme des Bucklebree",
	["Budd's Dig"] = "Site de fouilles de Budd",
	["Burning Blade Coven"] = "Convent de la Lame ardente",
	["Burning Blade Ruins"] = "Ruines de la Lame ardente",
	["Burning Steppes"] = "Steppes Ardentes",
	["Butcher's Stand"] = "Étal du boucher",
	["Caer Darrow"] = "Caer Darrow",
	["Caldemere Lake"] = "Lac Caldemere",
	["Calston Estate"] = "Domaine Calston",
	["Camp Aparaje"] = "Camp Aparaje",
	["Camp Ataya"] = "Camp Ataya",
	["Camp Boff"] = "Camp Boff",
	["Camp Cagg"] = "Camp Cagg",
	["Camp E'thok"] = "Camp E'thok",
	["Camp Everstill"] = "Camp Placide",
	["Camp Kosh"] = "Camp Kosh",
	["Camp Mojache"] = "Camp Mojache",
	["Camp Mojache Longhouse"] = "Maison longue du camp Mojache",
	["Camp Narache"] = "Camp Narache",
	["Camp Onequah"] = "Camp Onequah",
	["Camp Oneqwah"] = "Camp Oneqwah",
	["Camp Sungraze"] = "Camp Frôle-Soleil",
	["Camp Tunka'lo"] = "Camp Tunka'lo",
	["Camp Una'fe"] = "Camp Una'fe",
	["Camp Winterhoof"] = "Camp Sabot-d'Hiver",
	["Camp Wurg"] = "Camp Wurg",
	["Camp of Boom"] = "Camp de Boum",
	Canals = "Canaux",
	["Cannon's Inferno"] = "Poudrière de Canon",
	["Cantrips & Crows"] = "Caboulot des corbeaux",
	["Cape of Lost Hope"] = "Cap de l'Espoir perdu",
	["Cape of Stranglethorn"] = "Cap Strangleronce",
	["Capital Gardens"] = "Grands jardins",
	["Carrion Hill"] = "Colline des Charognes",
	["Cartier & Co. Fine Jewelry"] = "Joaillerie de luxe Kartier & Co.",
	Cataclysm = "Cataclysme",
	["Cathedral Quarter"] = "Quartier de la Cathédrale",
	["Cathedral Square"] = "Place de la Cathédrale",
	["Cathedral of Darkness"] = "Cathédrale des Ténèbres",
	["Cathedral of Light"] = "Cathédrale de la Lumière",
	["Cauldros Isle"] = "Île Calderos",
	["Cave of Mam'toth"] = "Caverne de Mam'toth",
	["Cavern of Mists"] = "Caverne des Brumes",
	["Caverns of Time"] = "Grottes du Temps",
	["Celestial Ridge"] = "Crête Céleste",
	["Cenarion Enclave"] = "Enclave Cénarienne",
	["Cenarion Hold"] = "Fort Cénarien",
	["Cenarion Post"] = "Poste Cénarien",
	["Cenarion Refuge"] = "Refuge Cénarien",
	["Cenarion Thicket"] = "Fourré Cénarien",
	["Cenarion Watchpost"] = "Poste de garde Cénarien",
	["Cenarion Wildlands"] = "Terres sauvages Cénariennes",
	["Central Bridge"] = "Pont central",
	["Chamber of Ancient Relics"] = "Chambre des anciennes reliques",
	["Chamber of Atonement"] = "Chambre de l'expiation",
	["Chamber of Battle"] = "Chambre de guerre",
	["Chamber of Blood"] = "Chambre du Sang",
	["Chamber of Command"] = "Chambre de commandement",
	["Chamber of Enchantment"] = "Chambre des enchantements",
	["Chamber of Fanatics"] = "Chambre des Fanatiques",
	["Chamber of Incineration"] = "Salle d'incinération",
	["Chamber of Prophecy"] = "Chambre de la Prophétie",
	["Chamber of Respite"] = "Chambre du Répit",
	["Chamber of Summoning"] = "Chambre d'invocation",
	["Chamber of the Aspects"] = "La chambre des Aspects",
	["Chamber of the Dreamer"] = "Chambre du rêveur",
	["Chamber of the Moon"] = "Chambre de la Lune",
	["Chamber of the Restless"] = "La chambre des Sans-repos",
	["Chamber of the Stars"] = "Chambre des Étoiles",
	["Chamber of the Sun"] = "Chambre du Soleil",
	["Champion's Hall"] = "Hall des champions",
	["Champions' Hall"] = "Hall des Champions",
	["Chapel Gardens"] = "Jardins de la chapelle",
	["Chapel Yard"] = "Cour de la Chapelle",
	["Chapel of the Crimson Flame"] = "Chapelle de la Flamme cramoisie",
	["Charred Outpost"] = "Avant-poste Calciné",
	["Charred Rise"] = "Cime Calcinée",
	["Chill Breeze Valley"] = "Vallée de la Bise",
	["Chillmere Coast"] = "Côte de Frissonde",
	["Chillwind Camp"] = "Camp du Noroît",
	["Chillwind Point"] = "Pointe du Noroît",
	Chiselgrip = "Cisepoigne",
	["Churning Gulch"] = "Goulet Bouillonnant",
	["Circle of Blood"] = "Cercle de sang",
	["Circle of Blood Arena"] = "Arène du Cercle de sang",
	["Circle of East Binding"] = "Cercle de Lien oriental",
	["Circle of Inner Binding"] = "Cercle de Lien intérieur",
	["Circle of Outer Binding"] = "Cercle de Lien extérieur",
	["Circle of Thorns"] = "Cercle d’Épines",
	["Circle of West Binding"] = "Cercle de Lien occidental",
	["Circle of Wills"] = "Le cercle des Volontés",
	City = "Capitales",
	["City of Ironforge"] = "Cité de Forgefer",
	["Clan Watch"] = "Guet des Clans",
	["Cleft of Shadow"] = "Faille de l'Ombre",
	["Cliffspring Falls"] = "Chutes de la Bondissante",
	["Cliffspring Hollow"] = "Val de la Bondissante",
	["Cliffspring River"] = "La Bondissante",
	["Cliffwalker Post"] = "Poste de Rôde-Falaise",
	["Cloudtop Terrace"] = "Terrasse des Nuages",
	["Coast of Echoes"] = "Côte des Échos",
	["Coast of Idols"] = "Côte des Idoles",
	["Coilfang - The Slave Pens Entrance"] = "Glissecroc - Entrée des enclos aux esclaves",
	["Coilfang - The Steamvault Entrance"] = "Glissecroc - Entrée du caveau de la Vapeur",
	["Coilfang - The Underbog Entrance"] = "Glissecroc - Entrée de la Basse-Tourbière",
	["Coilfang Reservoir"] = "Réservoir de Glissecroc",
	["Coilfang: Serpentshrine Cavern"] = "Glissecroc : caverne du sanctuaire du Serpent",
	["Coilfang: The Slave Pens"] = "Glissecroc : les Enclos aux esclaves",
	["Coilfang: The Steamvault"] = "Glissecroc : le Caveau de la vapeur",
	["Coilfang: The Underbog"] = "Glissecroc : la Basse-tourbière",
	["Coilskar Cistern"] = "Citerne de Glissentaille",
	["Coilskar Point"] = "Halte de Glissentaille",
	["Cold Hearth Manor"] = "Manoir du Foyer froid",
	Coldarra = "Frimarra",
	["Coldarra Ledge"] = "Escarpement de Frimarra",
	["Coldridge Pass"] = "Passe des Frigères",
	["Coldridge Valley"] = "Vallée des Frigères",
	["Coldrock Quarry"] = "Carrière de Rochefroide",
	["Coldtooth Mine"] = "Mine de Froide-Dent",
	["Coldwind Heights"] = "Hauts de Vent-Froid",
	["Coldwind Pass"] = "Passe de Vent-Froid",
	["Collin's Test"] = "Test de Collin",
	["Command Center"] = "Centre de commandement",
	["Commons Hall"] = "Communs",
	["Condemned Halls"] = "Salles Condamnées",
	["Conquest Hold"] = "Bastion de la Conquête",
	["Containment Core"] = "Cœur de confinement",
	["Cooper Residence"] = "La résidence des Tonnelier",
	["Coral Garden"] = "Jardin de corail",
	["Cordell's Enchanting"] = "Enchantement de Cordell",
	["Corin's Crossing"] = "La Croisée de Corin",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar : la Porte de l'Horreur",
	["Corrahn's Dagger"] = "Dague de Corrahn",
	Cosmowrench = "Cosmovrille",
	["Court of the Highborne"] = "Cour des Bien-nés",
	["Court of the Sun"] = "Cour du Soleil",
	["Courtyard of the Ancients"] = "Cour des Anciens",
	["Cradle of the Ancients"] = "Berceau des Anciens",
	["Craftsmen's Terrace"] = "Terrasse des Artisans",
	["Crag of the Everliving"] = "Combe des Éternels",
	["Cragpool Lake"] = "Lac de la Combe",
	["Crash Site"] = "Point d'impact",
	["Crescent Hall"] = "Hall du Croissant",
	["Crimson Expanse"] = "Étendues Cramoisies",
	["Crimson Watch"] = "Guet Cramoisi",
	Crossroads = "La Croisée",
	["Crowley Orchard"] = "Verger de Crowley",
	["Crowley Stable Grounds"] = "Écuries des Crowley",
	["Crown Guard Tower"] = "Tour de garde de la Couronne",
	["Crucible of Carnage"] = "Creuset du carnage",
	["Crumbling Depths"] = "Profondeurs Désagrégées",
	["Crumbling Stones"] = "Les Pierres effondrées",
	["Crusader Forward Camp"] = "Camp avancé des Croisés",
	["Crusader Outpost"] = "Avant-poste des Croisés",
	["Crusader's Armory"] = "Armurerie des Croisés",
	["Crusader's Chapel"] = "Chapelle des Croisés",
	["Crusader's Landing"] = "L'accostage du Croisé",
	["Crusader's Outpost"] = "Avant-poste des Croisés",
	["Crusader's Run"] = "Défilé du Croisé",
	["Crusader's Spire"] = "Flèche des Croisés",
	["Crusaders' Pinnacle"] = "Cime des Croisés",
	["Crusaders' Square"] = "Place des croisés",
	Crushblow = "Frakass",
	["Crushcog's Arsenal"] = "Arsenal de Brisedent",
	["Crushridge Hold"] = "Bastion Cassecrête",
	Crypt = "Crypte",
	["Crypt of Remembrance"] = "La crypte du Souvenir",
	["Crystal Lake"] = "Lac de Cristal",
	["Crystal Spine"] = "Éperon de cristal",
	["Crystalline Quarry"] = "Carrière cristalline",
	["Crystalsong Forest"] = "Forêt du Chant de cristal",
	["Crystalvein Mine"] = "Mine aux Cristaux",
	["Crystalweb Cavern"] = "Caverne de la Toile cristalline",
	["Curiosities & Moore"] = "Les Objets de la Moore",
	["Cursed Depths"] = "Profondeurs Maudites",
	["Cursed Hollow"] = "Creux Maudit",
	["Cut-Throat Alley"] = "Ruelle du Coupe-gorge",
	["Cyclone Summit"] = "Sommet du cyclone",
	["D-Block"] = "Bloc D",
	["D.E.H.T.A. Encampment"] = "Campement de la SdPA",
	["Dabyrie's Farmstead"] = "Ferme des Dabyrie",
	["Dagger Pass"] = "Passe de la Dague",
	["Daggercap Bay"] = "Baie de Coiffedague",
	["Daggerfen Village"] = "Tourbedague",
	["Daggermaw Canyon"] = "Canyon des Crocs-lames",
	Dalaran = "Dalaran",
	["Dalaran Arena"] = "Arène de Dalaran",
	["Dalaran City"] = "Dalaran",
	["Dalaran Crater"] = "Cratère de Dalaran",
	["Dalaran Floating Rocks"] = "Rochers flottants de Dalaran",
	["Dalaran Island"] = "Île de Dalaran",
	["Dalaran Merchant's Bank"] = "Banque des marchands de Dalaran",
	["Dalaran Sewers"] = "Égouts de Dalaran",
	["Dalaran Visitor Center"] = "Accueil des visiteurs de Dalaran",
	["Dalson's Farm"] = "Ferme de Dalson",
	["Damplight Cavern"] = "Caverne du Clair-Obscur",
	["Damplight Chamber"] = "Chambre du clair-obscur",
	["Dandred's Fold"] = "Clos de Dandred",
	["Dargath's Demise"] = "La Fin de Dargath",
	["Dark Iron Highway"] = "Grand-route des Sombrefers",
	["Darkbreak Cove"] = "Crique du Sombre brisant",
	["Darkcloud Pinnacle"] = "Cime de Noir-Nuage",
	["Darkcrest Enclave"] = "Enclave des Sombrecrêtes",
	["Darkcrest Shore"] = "Rivage des Sombrecrêtes",
	["Darkmist Cavern"] = "Caverne de Sombrebrume",
	["Darkmist Ruins"] = "Ruines de Sombrebrume",
	Darkshire = "Sombre-Comté",
	["Darkshire Town Hall"] = "Hôtel de ville de Sombre-comté",
	Darkshore = "Sombrivage",
	["Darkspear Hold"] = "Bastion des Sombrelances",
	["Darkspear Isle"] = "Île des Sombrelances",
	["Darkspear Shore"] = "Rivage des Sombrelances",
	["Darkspear Strand"] = "Grève des Sombrelances",
	["Darkspear Training Grounds"] = "Terrain d'entraînement des Sombrelances",
	["Darkwhisper Gorge"] = "Gorge du Sombre murmure",
	["Darkwhisper Pass"] = "Passage du Sombre murmure",
	["Darnassian Base Camp"] = "Camp de base Darnassien",
	Darnassus = "Darnassus",
	["Darrow Hill"] = "Colline de Darrow",
	["Darrowmere Lake"] = "Lac Darrowmere",
	Darrowshire = "Comté-de-Darrow",
	["Darrowshire Hunting Grounds"] = "Terrain de chasse de Comté-de-Darrow",
	["Darsok's Outpost"] = "Avant-poste de Darsok",
	["Dawn's Reach"] = "Confins de l'Aube",
	["Dawning Lane"] = "Allée du Point-du-Jour",
	["Dawning Wood Catacombs"] = "Catacombes du Bois-de-l'aube",
	["Dawnrise Expedition"] = "Expédition Montelaube",
	["Dawnstar Spire"] = "Flèche d'Aubétoile",
	["Dawnstar Village"] = "Aubétoile",
	["Dead Man's Hole"] = "Gouffre du Mort",
	["Deadeye Shore"] = "Rivage d'Œil-Mort",
	["Deadman's Crossing"] = "Croisée de l'Homme mort",
	Deadmines = "Mortemines",
	["Deadwind Pass"] = "Défilé de Deuillevent",
	["Deadwind Ravine"] = "Ravin de Deuillevent",
	["Deadwood Village"] = "Village des Mort-bois",
	["Death Cultist Base Camp"] = "Campement du Sectateur de la mort",
	["Death's Breach"] = "Brèche-de-Mort",
	["Death's Door"] = "Porte de la Mort",
	["Death's Hand Encampment"] = "Campement de la Main de mort",
	["Death's Rise"] = "Cime de la Mort",
	["Death's Stand"] = "Le séjour de la Mort",
	["Death's Step"] = "Pas de la mort",
	["Death's Watch Waystation"] = "Relais du Guet de mort",
	["Deathbringer's Rise"] = "Cime du Porte-mort",
	["Deathforge Tower"] = "Tour de la Forgemort",
	Deathknell = "Le Glas",
	Deatholme = "Mortholme",
	["Deathspeaker's Watch"] = "Le guet du Nécrorateur",
	["Deathwing's Fall"] = "La Chute d'Aile de mort",
	["Deep Blue Observatory"] = "Observatoire du Grand bleu",
	["Deep Elem Mine"] = "Mine du Gouffre d'Elem",
	["Deepfin Ridge"] = "Crête Nagegouffre",
	Deepholm = "Le Tréfonds",
	["Deephome Ceiling"] = "Toit du Tréfonds",
	["Deepmist Grotto"] = "Grotte Brume-épaisse",
	["Deeprun Tram"] = "Tram des profondeurs",
	["Deepwater Tavern"] = "Taverne de l'Eau-profonde",
	["Defias Hideout"] = "Repaire des Défias",
	["Defiler's Den"] = "Antre des Profanateurs",
	["Demon Fall Canyon"] = "Canyon de la Malechute",
	["Demon Fall Ridge"] = "Crête de la Malechute",
	["Demont's Place"] = "Maison de Demont",
	["Den of Dying"] = "Tanières du Trépas",
	["Den of Haal'esh"] = "Tanière des Haal'esh",
	["Den of Iniquity"] = "Antre de l'iniquité",
	["Den of Mortal Delights"] = "Tanière des délices mortels",
	["Den of Sseratus"] = "Tanière de Sseratus",
	["Den of the Caller"] = "Refuge de l'Invocateur",
	["Den of the Devourer"] = "Tanière du Dévoreur",
	["Den of the Disciples"] = "Tanière des Disciples",
	["Den of the Unholy"] = "L'Antre des impies",
	["Derelict Caravan"] = "Caravane Abandonnée",
	["Derelict Manor"] = "Manoir Abandonné",
	["Derelict Strand"] = "Grève des Épaves",
	["Designer Island"] = "Île des Concepteurs",
	Desolace = "Désolace",
	["Desolation Hold"] = "Fort de la Désolation",
	["Detention Block"] = "Le mitard",
	["Development Land"] = "Terre en développement",
	["Diamondhead River"] = "Rivière Diamondhead",
	["Dig One"] = "Fouille n°1",
	["Dig Three"] = "Fouille n°3",
	["Dig Two"] = "Fouille n°2",
	["Dire Maul"] = "Hache-Tripes",
	["Dire Maul - Capital Gardens Entrance"] = "Hache-Tripes - Entrée des grands jardins",
	["Dire Maul - Gordok Commons Entrance"] = "Hache-Tripes - Entrée des communs gordok",
	["Dire Maul - Warpwood Quarter Entrance"] = "Hache-Tripes - Entrée du quartier de Crochebois",
	["Dire Strait"] = "La Mauvaise passe",
	["Direforge Hill"] = "Colline de Morneforge",
	["Direhorn Post"] = "Poste de Navrecorne",
	Docks = "Docks",
	Dolanaar = "Dolanaar",
	["Donna's Kitty Shack"] = "Kitty Shack de Donna",
	["Doom's Vigil"] = "Veille du Destin",
	["Dorian's Outpost"] = "Avant-poste de Dorian",
	["Draco'dar"] = "Draco'dar",
	["Draenei Ruins"] = "Ruines Draeneï",
	["Draenethyst Mine"] = "Mine de Draenéthyste",
	["Draenil'dur Village"] = "Village de Draenil'dur",
	["Dragon's Fall"] = "Chute du dragon",
	["Dragon's Mouth"] = "La Gueule du dragon",
	Dragonblight = "Désolation des dragons",
	["Dragonflayer Pens"] = "Enclos des Écorche-dragon",
	["Dragonmaw Base Camp"] = "Campement des Gueules-de-dragon",
	["Dragonmaw Flag Room"] = "Salle du drapeau des Gueules-de-dragon",
	["Dragonmaw Forge"] = "Forge des Gueules-de-Dragon",
	["Dragonmaw Fortress"] = "Forteresse Gueule-de-dragon",
	["Dragonmaw Garrison"] = "Garnison des Gueules-de-dragon",
	["Dragonmaw Gates"] = "Portes des Gueules-de-dragon",
	["Dragonmaw Pass"] = "Passe des Gueules-de-dragon",
	["Dragonmaw Port"] = "Port Gueule-de-dragon",
	["Dragonmaw Skyway"] = "Couloir aérien des Gueules-de-dragon",
	["Dragonmaw Stronghold"] = "Bastion Gueule-de-dragon",
	["Dragons' End"] = "Fin des dragons",
	["Dragonspine Peaks"] = "Pics de l'Épine-de-Dragon",
	["Dragonspine Ridge"] = "Crête de l'Épine-de-Dragon",
	["Dragonspine Tributary"] = "Affluent de l'Épine-de-Dragon",
	["Dragonspire Hall"] = "Hall de la Flèche des dragons",
	["Drak'Agal"] = "Drak'Agal",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Lac Drak'Mar",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Champs de Drak'Sotra",
	["Drak'Tharon Keep"] = "Donjon de Drak'Tharon",
	["Drak'Tharon Keep Entrance"] = "Entrée du donjon de Drak'Tharon",
	["Drak'Tharon Overlook"] = "Surplomb de Drak'Tharon",
	["Drak'atal Passage"] = "Passage de Drak'atal",
	["Drak'ural"] = "Drak'ural",
	["Draka's Fury"] = "La Fureur de Draka",
	["Drakil'jin Ruins"] = "Ruines de Drakil'jin",
	["Draknid Lair"] = "Antre draknide",
	["Dreadmaul Furnace"] = "Fournaise Cognepeur",
	["Dreadmaul Hold"] = "Bastion Cognepeur",
	["Dreadmaul Post"] = "Poste Cognepeur",
	["Dreadmaul Rock"] = "Rocher des Cognepeurs",
	["Dreadmist Camp"] = "Campement de Brume-Funeste",
	["Dreadmist Den"] = "Refuge de Brume-Funeste",
	["Dreadmist Peak"] = "Pic de Brume-Funeste",
	["Dreadmurk Shore"] = "Rivage de Troubleffroi",
	["Dreadwatch Outpost"] = "Avant-poste du Guet-de-l’Effroi",
	["Dream Bough"] = "Bosquet du Rêve",
	["Dreamer's Rest"] = "Repos du Rêveur",
	["Dreamer's Rock"] = "Rocher du Rêveur",
	Drudgetown = "Trimeville",
	["Drygulch Ravine"] = "Ravin Asséché",
	["Drywhisker Gorge"] = "Gorge des Sèches-moustaches",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Col de Dun Baldar",
	["Dun Baldar Tunnel"] = "Tunnel de Dun Baldar",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Niffelem",
	["Dunemaul Compound"] = "Base des Cognedunes",
	["Dunemaul Recruitment Camp"] = "Camp de recrutement Cognedune",
	["Dunwald Holdout"] = "Butte-Dunwald",
	["Dunwald Hovel"] = "Taudis des Dunwald",
	["Dunwald Market Row"] = "Allée du Marché de Dunwald",
	["Dunwald Ruins"] = "Ruines de Dunwald",
	["Dunwald Town Square"] = "Place centrale de Dunwald",
	["Durnholde Keep"] = "Donjon de Fort-de-Durn",
	Durotar = "Durotar",
	Duskhaven = "Havre-du-Soir",
	["Duskhowl Den"] = "Tanière des Hurlesoir",
	["Duskmist Shore"] = "Rivage de Brume-soir",
	["Duskwither Grounds"] = "Terres de Ternesoir",
	["Duskwither Spire"] = "Flèche de Ternesoir",
	Duskwood = "Bois de la Pénombre",
	["Dustbelch Grotto"] = "Grotte de Crache-poussière",
	["Dustfire Valley"] = "Vallée des Escarbilles",
	["Dustquill Ravine"] = "Ravin de Plumepoussière",
	["Dustwallow Bay"] = "Baie d'Âprefange",
	["Dustwallow Marsh"] = "Marécage d'Âprefange",
	["Dustwind Cave"] = "Caverne des Terrevent",
	["Dustwind Dig"] = "Site de fouilles de la Bourrasque",
	["Dustwind Gulch"] = "Goulet de la Bourrasque",
	["Dwarven District"] = "Quartier des Nains",
	["Eagle's Eye"] = "Oeil de l'aigle",
	["Earth Song Falls"] = "Chutes de Chanteterre",
	["Earthshatter Cavern"] = "Caverne de Brise-terre",
	["East Garrison"] = "Garnison de l'Est",
	["East Pillar"] = "Pilier Est",
	["East Sanctum"] = "Sanctum Oriental",
	["East Spire"] = "Flèche Est",
	["East Supply Caravan"] = "Caravane de ravitaillement de l'Est",
	["Eastern Bridge"] = "Pont de l'est",
	["Eastern Kingdoms"] = "Royaumes de l'est",
	["Eastern Plaguelands"] = "Maleterres de l'Est",
	["Eastern Strand"] = "Rivage Oriental",
	["Eastmoon Ruins"] = "Ruines d'Estelune",
	["Eastpoint Tower"] = "Tour du Point de l'Est",
	["Eastspark Workshop"] = "Atelier de l'Estincelle",
	["Eastvale Logging Camp"] = "Camp de bûcherons du val d'Est",
	["Eastwall Gate"] = "Porte du Mur d'Est",
	["Eastwall Tower"] = "Tour du Mur d'Est",
	["Eastwind Shore"] = "Rivage d'Estevent",
	["Ebon Hold"] = "Le fort d'Ébène",
	["Ebon Watch"] = "Guet d'Ébène",
	["Echo Cove"] = "Crique de l'Écho",
	["Echo Isles"] = "Îles de l'Écho",
	["Echo Reach"] = "Les confins de l'Écho",
	["Echo Ridge Mine"] = "Mine de la crête aux Échos",
	["Echomok Cavern"] = "Caverne d'Echomok",
	["Eclipse Point"] = "Halte de l'Éclipse",
	["Eclipsion Fields"] = "Champs Éclipsions",
	["Eco-Dome Farfield"] = "Écodôme Champlointain",
	["Eco-Dome Midrealm"] = "Écodôme Terres-Médianes",
	["Eco-Dome Skyperch"] = "Écodôme Percheciel",
	["Eco-Dome Sutheron"] = "Écodôme Sudron",
	["Elder Rise"] = "Cime des Anciens",
	["Elders' Square"] = "Place des Anciens",
	["Eldreth Row"] = "Allée d'Eldreth",
	["Eldritch Heights"] = "Les hauts Surréels",
	["Elemental Plateau"] = "Plateau Élémentaire",
	["Elementium Depths"] = "Profondeurs d'Élémentium",
	Elevator = "Ascenseur",
	["Elrendar Crossing"] = "Passage de l'Elrendar",
	["Elrendar Falls"] = "Chutes de l'Elrendar",
	["Elrendar River"] = "L'Elrendar",
	["Elwynn Forest"] = "Forêt d'Elwynn",
	["Ember Clutch"] = "Étreinte de braise",
	["Ember Spear Tower"] = "Tour Lance-de-braise",
	Emberglade = "Clairière de Braise",
	["Emberstone Mine"] = "Mine de Pierrebraise",
	["Emberstone Village"] = "Pierrebraise",
	["Emberstrife's Den"] = "Tanière de Brandeguerre",
	["Emerald Dragonshrine"] = "Sanctuaire draconique Émeraude",
	["Emerald Dream"] = "Rêve d'émeraude",
	["Emerald Forest"] = "Forêt d'Émeraude",
	["Emerald Sanctuary"] = "Sanctuaire d'émeraude",
	["Engine of the Makers"] = "Moteur des Faiseurs",
	["Engineering Labs"] = "Labos d'ingénierie",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereum Staging Grounds"] = "Lieu de rassemblement de l'Ethereum",
	["Evergreen Trading Post"] = "Comptoir des Conifères",
	Evergrove = "Bosquet Éternel",
	Everlook = "Long-Guet",
	["Eversong Woods"] = "Bois des Chants éternels",
	["Excavation Center"] = "Excavation centrale",
	["Excavation Lift"] = "Ascenseur de l'excavation",
	["Expedition Armory"] = "Armurerie de l'Expédition",
	["Expedition Base Camp"] = "Camp de base de l'Expédition",
	["Expedition Point"] = "Halte de l'Expédition",
	["Explorers' League Digsite"] = "Site de fouilles de la Ligue des explorateurs",
	["Explorers' League Outpost"] = "Avant-poste de la Ligue des explorateurs",
	["Eye of the Storm"] = "L'Œil du cyclone",
	["Fairbreeze Village"] = "Brise-Clémente",
	["Fairbridge Strand"] = "Rivage de Pontgallant",
	["Falcon Watch"] = "Guet de l'Épervier",
	["Falconwing Inn"] = "Auberge de l'Épervier",
	["Falconwing Square"] = "Place de l'Épervier",
	["Faldir's Cove"] = "Crique de Faldir",
	["Falfarren River"] = "La Falfarren",
	["Fall of Return"] = "Hall du retour",
	["Fallen Sky Lake"] = "Lac Tombeciel",
	["Fallen Sky Ridge"] = "Crête Tombeciel",
	["Fallen Temple of Ahn'kahet"] = "Temple déchu d'Ahn'kahet",
	["Fallow Sanctuary"] = "Sanctuaire des Friches",
	["Fallowmere Inn"] = "Auberge d'Aiguebrune",
	["Falls of Ymiron"] = "Chutes d'Ymiron",
	["Falthrien Academy"] = "Académie de Falthrien",
	Familiars = "Familiers",
	["Faol's Rest"] = "Repos de Faol",
	["Far Watch Post"] = "Poste de Guet-Lointain",
	["Fargaze Mesa"] = "Mesa de Mireloin",
	["Fargodeep Mine"] = "Mine de Fondugouffre",
	Farm = "Ferme",
	Farshire = "Comté-Lointaine",
	["Farshire Fields"] = "Champs de Comté-Lointaine",
	["Farshire Lighthouse"] = "Phare de Comté-Lointaine",
	["Farshire Mine"] = "Mine de Comté-Lointaine",
	["Farson Hold"] = "Bastion de Farson",
	["Farstrider Enclave"] = "Enclave des Pérégrins",
	["Farstrider Lodge"] = "Pavillon des Pérégrins",
	["Farstrider Retreat"] = "Retraite des Pérégrins",
	["Farstriders' Enclave"] = "Enclave des Pérégrins",
	["Farstriders' Square"] = "Place des Pérégrins",
	["Farwatcher's Glen"] = "Vallon du Long-Guetteur",
	["Featherbeard's Hovel"] = "Taudis de Barbe-de-plumes",
	Feathermoon = "Pennelune",
	["Feathermoon Stronghold"] = "Bastion de Pennelune",
	["Fel Reaver Ruins"] = "Ruines des Saccageurs gangrenés",
	["Fel Rock"] = "Gangreroche",
	["Felfire Hill"] = "Colline Gangrefeu",
	["Felpaw Village"] = "Village de Gangrepatte",
	["Felspark Ravine"] = "Ravin de Gangrétincelle",
	["Felstone Field"] = "Champ de Gangrepierre",
	Felwood = "Gangrebois",
	["Fenris Isle"] = "Île de Fenris",
	["Fenris Keep"] = "Donjon de Fenris",
	["Feral Scar Vale"] = "Val des Griffes farouches",
	Feralas = "Féralas",
	["Feralfen Village"] = "Tourbe-Farouche",
	["Festering Pools"] = "Les bassins Purulents",
	["Festival Lane"] = "Allée du festival",
	["Feth's Way"] = "Voie de Feth",
	["Field of Strife"] = "Champ Sanglant",
	["Fields of Blood"] = "Champs du Sang",
	["Fields of Honor"] = "Champs d'Honneur",
	Filming = "On filme",
	["Fire Plume Ridge"] = "Crête de la Fournaise",
	["Fire Scar Shrine"] = "Sanctuaire de Scarfeu",
	["Fire Stone Mesa"] = "Mesa de Pierrefeu",
	["Firebeard Cemetery"] = "Cimetière de Barbe-en-feu",
	["Firebeard's Patrol"] = "Patrouille de Barbe-en-feu",
	["Firegut Furnace"] = "Fournaise Brûlentrailles",
	Firelands = "Terres de Feu",
	["Firelands Forgeworks"] = "Haut-fourneau des terres de Feu",
	["Firelands Hatchery"] = "Couvoir des terres de Feu",
	["Fireplume Peak"] = "Pic du Panache de feu",
	["Fireplume Trench"] = "Tranchée du Panache de feu",
	["Firestone Point"] = "Halte de Pierre-feu",
	["Firewatch Ridge"] = "Crête de Guet-du-Feu",
	["Firewing Point"] = "Halte Aile-de-feu",
	["First Bank of Kezan"] = "Banque Centrale de Kezan",
	["First Legion Forward Camp"] = "Camp avancé de la Première légion",
	["First to Your Aid"] = "Premier à votre secours",
	["Fishing Village"] = "Village de pêcheurs",
	["Fizzcrank Airstrip"] = "Piste d'atterrissage de Spumelevier",
	["Fizzcrank Pumping Station"] = "Station de pompage de Spumelevier",
	["Fizzle & Pozzik's Speedbarge"] = "Péniche de course de Féplouf et Pozzik",
	["Fjorn's Anvil"] = "L'enclume de Fjorn",
	["Flame Crest"] = "Corniche des Flammes",
	Flamebreach = "Flammebrèche",
	["Flamestar Post"] = "Poste de Flammétoile",
	["Flamewatch Tower"] = "Tour Guetteflamme",
	["Flavor - Stormwind Harbor - Stop"] = "Ambiance - Port de Hurlevent - Arrivée",
	["Fleshrender's Workshop"] = "Atelier de tranchechair",
	["Foothold Citadel"] = "Citadelle de Theramore",
	["Footman's Armory"] = "Armurerie des fantassins",
	["Force Interior"] = "Force intérieure",
	["Fordragon Hold"] = "Bastion Fordragon",
	["Forest Song"] = "Chant des forêts",
	["Forest's Edge"] = "La Lisière",
	["Forest's Edge Post"] = "Poste de la Lisière",
	["Forge Base: Gehenna"] = "Base de forge : Géhenne",
	["Forge Base: Oblivion"] = "Base de forge : Oubli",
	["Forge Camp: Anger"] = "Camp de forge : Colère",
	["Forge Camp: Fear"] = "Camp de forge : Peur",
	["Forge Camp: Hate"] = "Camp de forge : Haine",
	["Forge Camp: Mageddon"] = "Camp de forge : Mageddon",
	["Forge Camp: Rage"] = "Camp de forge : Rage",
	["Forge Camp: Terror"] = "Camp de forge : Terreur",
	["Forge Camp: Wrath"] = "Camp de forge : Courroux",
	["Forge of Fate"] = "La forge du Destin",
	["Forgewright's Tomb"] = "Tombe du Forgebusier",
	["Forgotten Hill"] = "La colline Oubliée",
	["Forlorn Cloister"] = "Cloître solitaire",
	["Forlorn Ridge"] = "Crête lugubre",
	["Forlorn Rowe"] = "La masure Lugubre",
	["Forlorn Spire"] = "La flèche Lugubre",
	["Forlorn Woods"] = "Bois Lugubre",
	["Formation Grounds"] = "Champ d'Entraînement",
	["Forsaken Forward Command"] = "Quartier général avancé des Réprouvés",
	["Forsaken High Command"] = "Haut-commandement Réprouvé",
	["Forsaken Rear Guard"] = "Arrière-garde des Réprouvés",
	["Fort Livingston"] = "Fort-Livingston",
	["Fort Triumph"] = "Fort-Triomphe",
	["Fort Wildervar"] = "Fort Hardivar",
	["Fortune's Fist"] = "Le Poing de la fortune",
	["Forward Command"] = "Quartier général Avancé",
	["Foulspore Cavern"] = "Caverne Vilespore",
	["Fractured Front"] = "Front Ravagé",
	["Fray Island"] = "Île de la Dispute",
	["Frayfeather Highlands"] = "Hautes-terres des Aigreplumes",
	["Frazzlecraz Motherlode"] = "Veine de Folcrame",
	["Freewind Post"] = "Poste de Librevent",
	["Frenzyheart Hill"] = "Colline de Frénécœur",
	["Frenzyheart River"] = "Rivière de Frénécœur",
	["Frigid Breach"] = "Brèche Algide",
	["Frost Dagger Pass"] = "Défilé de la Dague de givre",
	["Frostblade Pass"] = "Passe de Givrelame",
	["Frostblade Peak"] = "Pic de Givrelame",
	["Frostclaw Den"] = "Tanière Griffe-de-Givre",
	["Frostfield Lake"] = "Lac du Champ-gelé",
	["Frostfire Hot Springs"] = "Sources de Givrefeu",
	["Frostfloe Deep"] = "Gouffre du Sérac",
	["Frostgrip's Hollow"] = "Creux de Poignegivre",
	Frosthold = "Fort du Givre",
	["Frosthowl Cavern"] = "Caverne des Hurlegivres",
	["Frostmane Front"] = "Front Crins-de-givre",
	["Frostmane Hold"] = "Repaire des Crins-de-givre",
	["Frostmane Retreat"] = "Retraite des Crins-de-givre",
	Frostmourne = "Deuillegivre",
	["Frostmourne Cavern"] = "Caverne de Deuillegivre",
	["Frostsaber Rock"] = "Roc des Sabres-de-Givre",
	["Frostwhisper Gorge"] = "Gorge du Blanc murmure",
	["Frostwing Halls"] = "Salles de l'Aile de givre",
	["Frostwolf Graveyard"] = "Cimetière Loup-de-givre",
	["Frostwolf Keep"] = "Donjon Loup-de-givre",
	["Frostwolf Pass"] = "Col Loup-de-givre",
	["Frostwolf Tunnel"] = "Tunnel des Loups-de-givre",
	["Frostwolf Village"] = "Village Loup-de-givre",
	["Frozen Reach"] = "Les confins Gelés",
	["Fungal Deep"] = "Les profondeurs Fongiques",
	["Fungal Rock"] = "Rocher Fongique",
	["Funggor Cavern"] = "Caverne de Funggor",
	["Furien's Post"] = "Poste de Furien",
	["Furlbrow's Pumpkin Farm"] = "Ferme de potirons des Froncebouille",
	["Furnace of Hate"] = "Fournaise de la haine",
	["Furywing's Perch"] = "Perchoir d'Aile-furie",
	Fuselight = "Lumèche",
	["Fuselight-by-the-Sea"] = "Lumèche-sur-Mer",
	["GM Island"] = "Île des MJ",
	Gadgetzan = "Gadgetzan",
	["Gahrron's Withering"] = "La Flétrissure de Gahrron",
	["Galak Hold"] = "Repaire des Galak",
	["Galakrond's Rest"] = "Le Repos de Galakrond",
	["Galardell Valley"] = "Vallée de Galardell",
	["Galen's Fall"] = "Chute de Galen",
	["Galerek's Remorse"] = "Le remords de Galerek",
	["Galewatch Lighthouse"] = "Phare de Garde-trombe",
	["Gallery of Treasures"] = "Galerie des trésors",
	["Gallows' Corner"] = "Fourche du Gibet",
	["Gallows' End Tavern"] = "La taverne des Pendus",
	["Gallywix Docks"] = "Quais de Gallywix",
	["Gallywix Labor Mine"] = "Mine de travail de Gallywix",
	["Gallywix Pleasure Palace"] = "Palais des plaisirs de Gallywix",
	["Gallywix's Villa"] = "Villa de Gallywix",
	["Gallywix's Yacht"] = "Voilier de Bisbiwix",
	["Galus' Chamber"] = "Chambre de Galus",
	["Gamesman's Hall"] = "Hall du Flambeur",
	Gammoth = "Gammoth",
	["Gar'gol's Hovel"] = "Taudis de Gar'gol",
	Garadar = "Garadar",
	Garm = "Garm",
	["Garm's Bane"] = "Plaie-de-Garm",
	["Garm's Rise"] = "Cime de Garm",
	["Garren's Haunt"] = "Antre de Garren",
	["Garrison Armory"] = "Armurerie de la garnison",
	["Garrosh's Landing"] = "Point d'accostage de Garrosh",
	["Garvan's Reef"] = "Récif de Garvan",
	["Gate of Echoes"] = "Porte des Échos",
	["Gate of Hamatep"] = "Porte d'Hamatep",
	["Gate of Lightning"] = "Porte de la Foudre",
	["Gate of the Blue Sapphire"] = "Porte du Saphir bleu",
	["Gate of the Green Emerald"] = "Porte de l'Émeraude verte",
	["Gate of the Purple Amethyst"] = "Porte de l'Améthyste violette",
	["Gate of the Red Sun"] = "Porte du Soleil rouge",
	["Gate of the Yellow Moon"] = "Porte de la Lune jaune",
	["Gates of Ahn'Qiraj"] = "Portes d'Ahn'Qiraj",
	["Gates of Ironforge"] = "Portes de Forgefer",
	["Gates of Sothann"] = "Portes de Sothann",
	["Gauntlet of Flame"] = "Le Défi de la flamme",
	["Gavin's Naze"] = "Promontoire de Gavin",
	["Geezle's Camp"] = "Camp de Geezle",
	["Gelkis Village"] = "Village des Gelkis",
	["General Goods"] = "Fournitures générales",
	["General's Terrace"] = "Terrasse du Général",
	["Ghost Walker Post"] = "Poste de Rôdeur-fantôme",
	["Ghostblade Post"] = "Poste de la Lame-fantôme",
	Ghostlands = "Les terres Fantômes",
	["Giant's Run"] = "La piste des Géants",
	["Giants' Run"] = "La piste des Géants",
	["Gillijim's Isle"] = "Île de Gillijim",
	["Gilnean Coast"] = "Côte Gilnéenne",
	["Gilnean Stronghold"] = "Bastion Gilnéen",
	Gilneas = "Gilnéas",
	["Gilneas City"] = "Gilnéas",
	["Gilneas Liberation Front Base Camp"] = "Campement du Front de libération de Gilnéas",
	["Gimorak's Den"] = "Tanière de Gimorak",
	Gjalerbron = "Gjalerbron",
	Gjalerhorn = "Gjalercorne",
	["Glacial Falls"] = "Chutes Glaciales",
	["Glimmer Bay"] = "Baie Scintillante",
	["Glimmerdeep Gorge"] = "Gorge du Gouffre scintillant",
	["Glittering Strand"] = "Grève Lumineuse",
	["Glopgut's Hollow"] = "Creux des Crassentrailles",
	["Glorious Goods"] = "Fournitures glorieuses",
	Glory = "Gloire",
	["Gnarlpine Hold"] = "Camp des Pins-tordus",
	["Gnaws' Boneyard"] = "Charnier de Ronge-la-mort",
	Gnomeregan = "Gnomeregan",
	["Go'Shek Farm"] = "Ferme de Go'Shek",
	["Goblin Foundry"] = "Fonderie des gobelins",
	["Goblin Slums"] = "Bas-fonds des Gobelins",
	["Gol'Bolar Quarry"] = "Carrière de Gol'Bolar",
	["Gol'Bolar Quarry Mine"] = "Mine de la carrière de Gol’Bolar",
	["Golakka Hot Springs"] = "Sources de Golakka",
	["Gold Coast Quarry"] = "Carrière de la Côte de l'or",
	["Gold Mine"] = "Mine d'or",
	["Gold Road"] = "Route de l'Or",
	["Golden Strand"] = "Grève dorée",
	["Goldenbough Pass"] = "Passe du Rameau d'or",
	["Goldenmist Village"] = "Brume-d'or",
	Goldshire = "Comté-de-l'Or",
	["Goldtooth's Den"] = "Tanière de Dent-d'or",
	["Goodgrub Smoking Pit"] = "Fosse de fumage de Bonrata",
	["Gor'gaz Outpost"] = "Avant-poste de Gor'gaz",
	["Gordok's Seat"] = "Trône gordok",
	["Gordunni Outpost"] = "Avant-poste des Gordunni",
	["Gorefiend's Vigil"] = "Veillée de Fielsang",
	Gornia = "Gornia",
	["Gorrok's Lament"] = "Lamentation de Gorrok",
	["Gorshak War Camp"] = "Camp de guerre Gorshak",
	["Grand Magister's Asylum"] = "Asile du grand magistère",
	["Grand Promenade"] = "La Grande promenade",
	["Grangol'var Village"] = "Grangol'var",
	["Granite Springs"] = "Sources de Granit",
	["Greatwood Vale"] = "Val de Grandbois",
	["Greengill Coast"] = "Côte de Verte-branchie",
	["Greenpaw Village"] = "Village des Pattes-vertes",
	["Greenwarden's Grove"] = "Bosquet du Gardien vert",
	["Greymane Court"] = "Cour de Grisetête",
	["Greymane Manor"] = "Manoir de Grisetête",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Entrée de Grim Batol",
	["Grimesilt Dig Site"] = "Site de fouilles de Crasseboue",
	["Grimtotem Compound"] = "Base des Totems-sinistres",
	["Grimtotem Post"] = "Poste Totem-sinistre",
	Grishnath = "Grishnath",
	Grizzlemaw = "Grisegueule",
	["Grizzlepaw Ridge"] = "Falaise de Vieillegriffe",
	["Grizzly Hills"] = "Les Grisonnes",
	["Grol'dom Farm"] = "Ferme de Grol'dom",
	["Grolluk's Grave"] = "Tombe de Grolluk",
	["Grom'arsh Crash-Site"] = "Point d'impact de Grom'arsh",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Campement Grom'gol",
	["Grommash Hold"] = "Fort Grommash",
	["Grosh'gok Compound"] = "Base des Grosh'gok",
	["Grove of Aessina"] = "Bosquet d'Aessina",
	["Grove of the Ancients"] = "Bosquet des Anciens",
	["Growless Cave"] = "Caverne Stérile",
	["Gruul's Lair"] = "Le repaire de Gruul",
	["Gryphon Roost"] = "Perchoir des griffons",
	["Guardian's Library"] = "Bibliothèque du Gardien",
	Gundrak = "Gundrak",
	["Gundrak Entrance"] = "Entrée de Gundrak",
	["Gunstan's Dig"] = "Site de fouilles de Gunstan",
	["Gunstan's Post"] = "Poste de Gunstan",
	["Gunther's Retreat"] = "Retraite de Gunther",
	["Gurboggle's Ledge"] = "Escarpement de Globulle",
	["Gurubashi Arena"] = "Arène des Gurubashi",
	["Gyro-Plank Bridge"] = "Pont de Gyro-passerelles",
	["Haal'eshi Gorge"] = "Gorge Haal'eshi",
	["Hadronox's Lair"] = "Le repaire d'Hadronox",
	["Hailwood Marsh"] = "Marais de Bois-grêlé",
	Halaa = "Halaa",
	["Halaani Basin"] = "Bassin Halaani",
	["Halcyon Egress"] = "Émergence d'Halcyon",
	["Haldarr Encampment"] = "Campement des Haldarr",
	Halgrind = "Halegrince",
	["Hall of Arms"] = "Halle des armes",
	["Hall of Binding"] = "Hall des liens",
	["Hall of Blackhand"] = "Hall de Main-noire",
	["Hall of Blades"] = "La salle des épées",
	["Hall of Bones"] = "Hall des Ossements",
	["Hall of Champions"] = "Hall des Champions",
	["Hall of Command"] = "Salle de commande",
	["Hall of Crafting"] = "Chambre de l'artisanat",
	["Hall of Departure"] = "Hall du départ",
	["Hall of Explorers"] = "Hall des explorateurs",
	["Hall of Faces"] = "Hall des visages",
	["Hall of Horrors"] = "Salle des Horreurs",
	["Hall of Legends"] = "Hall des Légendes",
	["Hall of Masks"] = "Hall des masques",
	["Hall of Memories"] = "Salle des souvenirs",
	["Hall of Mysteries"] = "Hall des mystères",
	["Hall of Repose"] = "Hall de la quiétude",
	["Hall of Return"] = "Hall du retour",
	["Hall of Ritual"] = "Hall du rituel",
	["Hall of Secrets"] = "Hall des secrets",
	["Hall of Serpents"] = "Hall des serpents",
	["Hall of Stasis"] = "Hall de la stase",
	["Hall of Twilight"] = "Hall du Crépuscule",
	["Hall of the Brave"] = "Hall des Braves",
	["Hall of the Conquered Kings"] = "Salle des Rois conquis",
	["Hall of the Crafters"] = "Hall des Artisans",
	["Hall of the Crusade"] = "Salle de la Croisade",
	["Hall of the Cursed"] = "Hall des maudits",
	["Hall of the Damned"] = "Hall des damnés",
	["Hall of the Fathers"] = "La salle des Pères",
	["Hall of the Frostwolf"] = "Hall des Loups-de-givre",
	["Hall of the High Father"] = "La salle du Haut père",
	["Hall of the Keepers"] = "Hall des Gardiens",
	["Hall of the Shaper"] = "Hall du Façonneur",
	["Hall of the Stormpike"] = "Hall des Foudrepiques",
	["Hall of the Watchers"] = "Hall des Guetteurs",
	["Halls of Anguish"] = "Les salles de l'Angoisse",
	["Halls of Awakening"] = "Salles de l'Éveil",
	["Halls of Binding"] = "Salles de Lien",
	["Halls of Destruction"] = "Halls de la Destruction",
	["Halls of Lightning"] = "Les salles de Foudre",
	["Halls of Lightning Entrance"] = "Entrée des salles de Foudre",
	["Halls of Mourning"] = "Les salles du Deuil",
	["Halls of Origination"] = "Salles de l'Origine",
	["Halls of Origination Entrance"] = "Entrée des salles de l'Origine",
	["Halls of Reflection"] = "Salles des Reflets",
	["Halls of Reflection Entrance"] = "Entrée des salles des Reflets",
	["Halls of Silence"] = "Les salles du Silence",
	["Halls of Stone"] = "Les salles de Pierre",
	["Halls of Stone Entrance"] = "Entrée des salles de Pierre",
	["Halls of Strife"] = "Halls des conflits",
	["Halls of Theory"] = "Les salles de théorie",
	["Halls of the Ancestors"] = "Salles des Ancêtres",
	["Halls of the Hereafter"] = "Les salles de l'Après-vie",
	["Halls of the Law"] = "Halls de la loi",
	["Halycon's Lair"] = "Antre d'Halycon",
	Hammerfall = "Trépas-d'Orgrim",
	["Hammertoe's Digsite"] = "Site de fouilles de Martèlorteil",
	["Hammond Farmstead"] = "Ferme des Hammond",
	Hangar = "Hangar",
	["Hardknuckle Clearing"] = "Clairière des Poings-durs",
	["Hardwrench Hideaway"] = "Planque de Serrelavis",
	["Harkor's Camp"] = "Camp de Harkor",
	["Hatchet Hills"] = "Collines de la Cognée",
	Havenshire = "Havre-Comté",
	["Havenshire Farms"] = "Fermes de Havre-Comté",
	["Havenshire Lumber Mill"] = "Scierie de Havre-Comté",
	["Havenshire Mine"] = "Mine de Havre-Comté",
	["Havenshire Stables"] = "Ecuries de Havre-comté",
	["Hayward Fishery"] = "Pêcheries Hayward",
	["Headmaster's Study"] = "Bureau du proviseur",
	["Heart of Destruction"] = "Cœur de la destruction",
	["Heart's Blood Shrine"] = "Sanctuaire du Sang du cœur",
	Hearthglen = "Âtreval",
	["Heartwood Trading Post"] = "Comptoir de Cœur-du-bois",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Hellfire Basin"] = "Bassin des Flammes infernales",
	["Hellfire Citadel"] = "Citadelle des Flammes infernales",
	["Hellfire Citadel - Ramparts Entrance"] = "Citadelle des Flammes infernales - Entrée des remparts",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Citadelle des Flammes infernales - Entrée de la Fournaise du sang",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Citadelle des Flammes infernales - Entrée des salles Brisées",
	["Hellfire Citadel: Ramparts"] = "Citadelle des Flammes infernales : les Remparts",
	["Hellfire Citadel: The Blood Furnace"] = "Citadelle des Flammes infernales : la Fournaise du sang",
	["Hellfire Citadel: The Shattered Halls"] = "Citadelle des Flammes infernales : les Salles brisées",
	["Hellfire Peninsula"] = "Péninsule des Flammes infernales",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Péninsule des Flammes infernales",
	["Hellfire Peninsula - Reaver's Fall"] = "Péninsule des Flammes infernales - Trépas du saccageur",
	["Hellfire Ramparts"] = "Remparts des Flammes infernales",
	["Hellscream's Camp"] = "Campement de Hurlenfer",
	["Hellscream's Grasp"] = "Emprise de Hurlenfer",
	["Hellscream's Watch"] = "Guet de Hurlenfer",
	["Helm's Bed Lake"] = "Lac du Lit d'Helm",
	["Heroes' Vigil"] = "Veillée des héros",
	["Hetaera's Clutch"] = "Frai d'Hetaera",
	["Hewn Bog"] = "Tourbière Taillée",
	["Hibernal Cavern"] = "Caverne de l'Hibernation",
	["Hidden Path"] = "Chemin Secret",
	["High Bank"] = "Hauterive",
	["High Wilderness"] = "Les plateaux Sauvages",
	Highbank = "Hauterive",
	["Highland Forest"] = "Forêt des Hautes-terres",
	Highperch = "Haut-Perchoir",
	Hillsbrad = "Hautebrande",
	["Hillsbrad Fields"] = "Champs de Hautebrande",
	["Hillsbrad Foothills"] = "Contreforts de Hautebrande",
	["Hiri'watha Research Station"] = "Centre de recherche d'Hiri'watha",
	["Hive'Ashi"] = "Ruche'Ashi",
	["Hive'Regal"] = "Ruche'Regal",
	["Hive'Zora"] = "Ruche'Zora",
	["Hogger Hill"] = "Colline de Lardeur",
	["Hollowstone Mine"] = "Mine de la Pierre creuse",
	["Honor Hold"] = "Bastion de l'Honneur",
	["Honor Hold Mine"] = "Mine du bastion de l'Honneur",
	["Honor Point"] = "Halte de l'Honneur", -- Needs review
	["Honor's Stand"] = "Le Séjour de l'honneur",
	["Honor's Tomb"] = "Tombe de l’Honneur",
	["Horde Base Camp"] = "Camp de base de la Horde",
	["Horde Encampment"] = "Campement de la Horde",
	["Horde Keep"] = "Donjon de la Horde",
	["Horde Landing"] = "Arrivée de la Horde",
	["Horde PVP Barracks"] = "Baraquements Horde JcJ",
	["Hordemar City"] = "Cité d'Hordemar",
	["House of Edune"] = "Maison d'Edune",
	["Howling Fjord"] = "Fjord Hurlant",
	["Howling Ziggurat"] = "Ziggourat Hurlante",
	["Hrothgar's Landing"] = "Accostage de Hrothgar",
	["Hull of the Foebreaker"] = "Coque du Tranche-menace",
	["Humboldt Conflagration"] = "Déflagration de Humboldt",
	["Hunter Rise"] = "Cime des Chasseurs",
	["Hunter's Hill"] = "Colline du Chasseur",
	["Huntress of the Sun"] = "Chasseresse du soleil",
	["Huntsman's Cloister"] = "Cloître du veneur",
	Hyjal = "Hyjal",
	["Hyjal Barrow Dens"] = "Refuge des saisons d'Hyjal",
	["Hyjal Past"] = "Passé d'Hyjal",
	["Hyjal Summit"] = "Sommet d'Hyjal",
	["Ice Heart Cavern"] = "Caverne du Cœur de glace",
	["Ice Thistle Hills"] = "Collines des Chardons de glace",
	["Iceblood Garrison"] = "Garnison de Glace-sang",
	["Iceblood Graveyard"] = "Cimetière de Glace-sang",
	Icecrown = "La Couronne de glace",
	["Icecrown Citadel"] = "Citadelle de la Couronne de glace",
	["Icecrown Dungeon - Gunships"] = "Donjon de la couronne de glace - Canonnières",
	["Icecrown Glacier"] = "Glacier de la Couronne de glace",
	["Iceflow Lake"] = "Lac Glacial",
	["Icemist Falls"] = "Chutes de Brume-glace",
	["Icemist Village"] = "Brume-glace",
	["Icewing Bunker"] = "Fortin de l'Aile de glace",
	["Icewing Cavern"] = "Caverne de l'Aile de glace",
	["Icewing Pass"] = "Défilé de l'Aile de glace",
	["Idlewind Lake"] = "Lac Idlewind",
	["Igneous Depths"] = "Profondeurs ignées",
	["Illidari Point"] = "Halte Illidari",
	["Illidari Training Grounds"] = "Terrain d'entraînement Illidari",
	["Indu'le Village"] = "Indu'le",
	Inn = "Auberge",
	["Inner Sanctum"] = "Sanctum intérieur",
	["Inner Veil"] = "Voile intérieur",
	["Insidion's Perch"] = "Perchoir d'Insidion",
	["Invasion Point: Annihilator"] = "Site d'invasion : Annihilateur",
	["Invasion Point: Cataclysm"] = "Site d'invasion : Cataclysme",
	["Invasion Point: Destroyer"] = "Site d'invasion : Destructeur",
	["Invasion Point: Overlord"] = "Site d'invasion : Suzerain",
	["Iron Concourse"] = "Corridor de Fer",
	["Iron Summit"] = "Sommet de Fer",
	["Ironband's Compound"] = "Base de Baguefer",
	["Ironband's Excavation Site"] = "Excavations de Baguefer",
	["Ironbeard's Tomb"] = "Tombe de Barbe-de-fer",
	["Ironclad Cove"] = "Crique du Cuirassé",
	["Ironclad Garrison"] = "Garnison du Cuirassé",
	["Ironclad Prison"] = "Prison du Cuirassé",
	["Irondeep Mine"] = "Mine de Gouffrefer",
	Ironforge = "Forgefer",
	["Ironforge Airfield"] = "Aérodrome de Forgefer",
	["Ironstone Camp"] = "Camp Rochefer",
	["Ironstone Plateau"] = "Plateau de Rochefer",
	["Irontree Cavern"] = "Caverne d'Arbrefer",
	["Irontree Clearing"] = "Clairière d'Arbrefer",
	["Irontree Woods"] = "Bois d'Arbrefer",
	["Ironwall Dam"] = "Barrage Mur-de-fer",
	["Ironwall Rampart"] = "Rempart Mur-de-fer",
	["Ironwing Cavern"] = "Grotte Aile-de-fer",
	Iskaal = "Iskaal",
	["Island of Doctor Lapidis"] = "Île du docteur Lapidis",
	["Isle of Conquest"] = "Île des Conquérants",
	["Isle of Conquest No Man's Land"] = "No man's land de l'île des Conquérants",
	["Isle of Dread"] = "Île de l'Effroi",
	["Isle of Quel'Danas"] = "Île de Quel'Danas",
	["Isle of Tribulations"] = "Île des Tribulations",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Caverne d'Itharius",
	["Ivald's Ruin"] = "Ruines d'Ivald",
	["Ix'lar's Domain"] = "Domaine d'Ix'lar",
	["Jadefire Glen"] = "Vallon des Jadefeu",
	["Jadefire Run"] = "Défilé des Jadefeu",
	["Jademir Lake"] = "Lac Jademir",
	Jaedenar = "Jaedenar",
	["Jagged Reef"] = "Récif Déchiqueté",
	["Jagged Ridge"] = "La crête Dentelée",
	["Jagged Wastes"] = "Désert Déchiqueté",
	["Jaggedswine Farm"] = "Ferme Rêche-pourceau",
	["Jaguero Isle"] = "Île aux Jagueros",
	["Janeiro's Point"] = "Cap Janeiro",
	["Jangolode Mine"] = "Mine Veine-de-Jango",
	["Jaquero Isle"] = "Île aux jagueros",
	["Jasperlode Mine"] = "Mine Veine-de-jaspe",
	["Jeff NE Quadrant Changed"] = "Quadrant NE de Jeff modifié",
	["Jeff NW Quadrant"] = "Quadrant de Jeff NO",
	["Jeff SE Quadrant"] = "Quadrant de Jeff SE",
	["Jeff SW Quadrant"] = "Quadrant de Jeff SO",
	["Jerod's Landing"] = "Le débarcadère de Jerod",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Passage de Jintha'kalar",
	Jotunheim = "Jotunheim",
	K3 = "K3",
	["KTC Headquarters"] = "Quartier général de la SCK",
	["KTC Oil Platform"] = "Plate-forme pétrolière de la SCK",
	["Kaja'mine"] = "Kaja'mine",
	["Kaja'mite Cave"] = "Grotte de Kaja'mite",
	["Kaja'mite Cavern"] = "Caverne de Kaja'mite",
	["Kajaro Field"] = "Parc des Princes marchands",
	["Kal'ai Ruins"] = "Ruines de Kal'ai",
	Kalimdor = "Kalimdor",
	Kamagua = "Kamagua",
	["Karabor Sewers"] = "Égouts de Karabor",
	Karazhan = "Karazhan",
	["Kargathia Keep"] = "Donjon de Kargathia",
	["Karnum's Glade"] = "Clairière de Karnum",
	["Kartak's Hold"] = "Bastion de Kartak",
	Kaskala = "Kaskala",
	["Kaw's Roost"] = "Perchoir de Kaw",
	["Keel Harbor"] = "Quilleport",
	["Keelen's Trustworthy Tailoring"] = "Haute couture de Keelen",
	["Keeshan's Post"] = "Poste de Keeshan",
	["Kel'Thuzad Chamber"] = "Appartements de Kel'Thuzad",
	["Kel'Thuzad's Chamber"] = "Appartements de Kel'Thuzad",
	["Kelp'thar Forest"] = "Forêt de Varech'thar",
	["Keset Pass"] = "Passe de Keset",
	["Kessel's Crossing"] = "La croisée de Kessel",
	Kezan = "Kezan",
	Kharanos = "Kharanos",
	["Khardros' Anvil"] = "L'enclume de Khardros",
	["Khartut's Tomb"] = "Tombe de Khartut",
	["Khaz'goroth's Seat"] = "Siège de Khaz'goroth",
	["Kil'sorrow Fortress"] = "Forteresse Kil'sorrau",
	["Kili'ua's Atoll"] = "Atoll de Kili'ua",
	["King's Gate"] = "Porte du Roi",
	["King's Harbor"] = "Port-royal",
	["King's Hoard"] = "Trésor royal",
	["King's Square"] = "Place du Roi",
	["Kirin'Var Village"] = "Kirin'Var",
	Kirthaven = "Havran'iliz",
	["Kodo Graveyard"] = "Cimetière des Kodos",
	["Kodo Rock"] = "Rocher des Kodos",
	["Kolkar Village"] = "Village des Kolkars",
	Kolramas = "Kolramas",
	["Kor'kron Vanguard"] = "Avant-garde kor'kronne",
	["Kormek's Hut"] = "Hutte de Kormek",
	["Koroth's Den"] = "Tanière de Koroth",
	["Korthun's End"] = "Fin de Korthun",
	["Krasus' Landing"] = "Aire de Krasus",
	["Krazzworks Attack Zeppelin"] = "Zeppelin d'attaque du Kraazar",
	["Krolg's Hut"] = "Hutte de Krolg",
	["Krom'gar Fortress"] = "Forteresse de Krom'gar",
	["Krom's Landing"] = "Point d'ancrage de Krom",
	["Kul Tiras"] = "Kul Tiras",
	["Kul'galar Keep"] = "Donjon de Kul'galar",
	["Kurzen's Compound"] = "Base de Kurzen",
	["L'ghorek"] = "L'ghorek",
	["Lair of the Chosen"] = "Repaire de l’Élu",
	["Lake Al'Ameth"] = "Lac Al'Ameth",
	["Lake Cauldros"] = "Lac Calderos",
	["Lake Dumont"] = "Lac Dumont",
	["Lake Edunel"] = "Lac Edunel",
	["Lake Elrendar"] = "Lac Elrendar",
	["Lake Elune'ara"] = "Lac Élune'ara",
	["Lake Ere'Noru"] = "Lac Ere'Noru",
	["Lake Everstill"] = "Lac Placide",
	["Lake Falathim"] = "Lac Falathim",
	["Lake Indu'le"] = "Lac Indu'le",
	["Lake Jorune"] = "Lac Jorune",
	["Lake Kel'Theril"] = "Lac Kel'Theril",
	["Lake Kum'uya"] = "Lac Kum'uya",
	["Lake Mennar"] = "Lac Mennar",
	["Lake Mereldar"] = "Lac Mereldar",
	["Lake Nazferiti"] = "Lac Nazfériti",
	["Lake Sunspring"] = "Lac Berceau-de-l'Été",
	["Lakeridge Highway"] = "Grand-route de la crête du Lac",
	Lakeshire = "Comté-du-Lac",
	["Lakeshire Inn"] = "Auberge de Comté-du-Lac",
	["Lakeshire Town Hall"] = "Hôtel de ville de Comté-du-Lac",
	["Lakeside Landing"] = "Terrain d'atterrissage de Rive-du-lac",
	["Lakkari Tar Pits"] = "Fosses de goudron de Lakkari",
	["Land's End Beach"] = "Plage du Bout-du-Monde",
	["Landing Beach"] = "Plage de Débarquement",
	["Landing Site"] = "Site d'Atterrissage",
	["Langrom's Leather & Links"] = "Cuirs & Mailles de Langrom",
	["Largo's Overlook"] = "Surplomb de Largo",
	["Largo's Overlook Tower"] = "Tour du surplomb de Largo",
	["Lariss Pavilion"] = "Pavillon de Lariss",
	["Laughing Skull Courtyard"] = "Cour du Crâne ricanant",
	["Laughing Skull Ruins"] = "Ruines du Crâne ricanant",
	["Launch Bay"] = "Baie de lancement",
	["Legash Encampment"] = "Campement Legashi",
	["Legendary Leathers"] = "Au Dur à Cuir",
	["Legion Hold"] = "Bastion de la Légion",
	["Legion's Fate"] = "Le Destin de la Légion",
	["Legion's Rest"] = "Le Repos de la Légion",
	["Lethlor Ravine"] = "Ravin de Lethlor",
	["Leyara's Sorrow"] = "Chagrin de Leyara",
	["Library Wing"] = "Aile de la Bibliothèque",
	["Light's Breach"] = "La Brèche de Lumière",
	["Light's Dawn Cathedral"] = "Cathédrale de l'Aube de Lumière",
	["Light's Hammer"] = "Marteau de Lumière",
	["Light's Hope Chapel"] = "Chapelle de l'Espoir de Lumière",
	["Light's Point"] = "Halte de la Lumière",
	["Light's Point Tower"] = "Tour de la halte de la Lumière",
	["Light's Shield Tower"] = "Tour du bouclier de Lumière",
	["Light's Trust"] = "La Confiance de Lumière",
	Lighthouse = "Phare",
	["Lightning Ledge"] = "Escarpement de Foudre",
	["Like Clockwork"] = "Comme une horloge",
	["Lion's Pride Inn"] = "Auberge de la Fierté du Lion",
	["Livery Outpost"] = "Avant-poste de l'écurie",
	["Livery Stables"] = "Écuries",
	["Llane's Oath"] = "Serment de Llane",
	["Loading Room"] = "Salle de chargement",
	["Loch Modan"] = "Loch Modan",
	["Loch Verrall"] = "Loch Verralle",
	["Loken's Bargain"] = "Marché de Loken",
	Longshore = "Longrivage",
	["Lor'danel"] = "Lor'danel",
	["Lordamere Internment Camp"] = "Camp d'internement de Lordamere",
	["Lordamere Lake"] = "Lac Lordamere",
	["Lorthuna's Gate"] = "Porte de Lorthuna",
	["Lost Caldera"] = "La caldeira Perdue",
	["Lost City of the Tol'vir"] = "Cité perdue des Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Entrée de la cité perdue des Tol'vir",
	["Lost Isles Town in a Box"] = "Îles perdues Ville-en-Boîte",
	["Lost Isles Volcano Eruption"] = "Éruption volcanique des îles Perdues",
	["Lost Peak"] = "Le Pic-perdu",
	["Lost Point"] = "Halte Perdue",
	["Lost Rigger Cove"] = "Crique des Gréements",
	LostIsles = "Îles perdues",
	["Lothalor Woodlands"] = "Forêt de Lothalor",
	["Lower City"] = "Ville Basse",
	["Lower Silvermarsh"] = "Marécage Argenté inférieur",
	["Lower Veil Shil'ak"] = "Voile Shil'ak inférieur",
	["Lower Wilds"] = "Étendues Sauvages",
	["Lumber Mill"] = "Scierie",
	["Lushwater Oasis"] = "Oasis Luxuriante",
	["Lydell's Ambush"] = "Embuscade de Lydell",
	["M.A.C. Diver"] = "Plongeur C.O.U.A.C.",
	["Maelstrom Zone"] = "Région du maelström",
	["Maestra's Post"] = "Poste de Maestra",
	["Maexxna's Nest"] = "Nid de Maexxna",
	["Mag'har Grounds"] = "Terres Mag'har",
	["Mag'har Post"] = "Poste Mag'har",
	["Mag'hari Procession"] = "Procession Mag'hari",
	["Mage Quarter"] = "Quartier des Mages",
	["Mage Tower"] = "Tour des Mages",
	["Magic Quarter"] = "Quartier de la Magie",
	["Magical Menagerie"] = "Ménagerie magique",
	["Magister's Terrace"] = "Terrasse des magistères",
	["Magisters Gate"] = "Porte du Magistère",
	["Magisters' Terrace"] = "Terrasse des Magistères",
	["Magisters' Terrace Entrance"] = "Entrée de la terrasse des Magistères",
	["Magma Fields"] = "Champs de Magma",
	["Magma Springs"] = "Sources de Magma",
	["Magmadar Cavern"] = "Caverne de Magmadar",
	["Magmaw's Fissure"] = "Fissure de Magmagueule",
	Magmoth = "Magmoth",
	["Magnamoth Caverns"] = "Cavernes de Magnamoth",
	["Magram Territory"] = "Territoire Magram",
	["Magtheridon's Lair"] = "Repaire de Magtheridon",
	["Magus Commerce Exchange"] = "La halle des Mages",
	["Main Gate"] = "Porte principale",
	["Main Hall"] = "Grand hall",
	["Maker's Ascent"] = "Ascension des Faiseurs",
	["Maker's Overlook"] = "Surplomb du Faiseur",
	["Maker's Perch"] = "Perchoir du Faiseur",
	["Makers' Overlook"] = "Surplomb du Faiseur",
	["Makers' Perch"] = "Perchoir du Faiseur",
	["Malaka'jin"] = "Malaka'jin",
	["Malden's Orchard"] = "Verger de Malden",
	Maldraz = "Maldraz",
	["Malfurion's Breach"] = "Brèche de Malfurion",
	["Malicia's Outpost"] = "Avant-poste de Malicia",
	["Malykriss: The Vile Hold"] = "Malykriss : le Fort infâme",
	["Mam'toth Crater"] = "Cratère de Mam'toth",
	["Mana Tombs"] = "Tombes-mana",
	["Mana-Tombs"] = "Tombes-mana",
	["Manaforge Ara"] = "Manaforge Ara",
	["Manaforge B'naar"] = "Manaforge B'naar",
	["Manaforge Coruu"] = "Manaforge Coruu",
	["Manaforge Duro"] = "Manaforge Duro",
	["Manaforge Ultris"] = "Manaforge Ultris",
	["Mandokir's Domain"] = "Domaine de Mandokir",
	["Mannoroc Coven"] = "Convent de Mannoroc",
	["Manor Mistmantle"] = "Manoir Mantebrume",
	["Mantle Rock"] = "Roche du Manteau",
	["Map Chamber"] = "Chambre des cartes",
	["Mar'at"] = "Mar'at",
	Maraudon = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon - Entrée des chutes de Chanteterre",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon - Entrée de la caverne Vilespore",
	["Mardenholde Keep"] = "Donjon de Mardenholde",
	["Market Row"] = "Allée du marché",
	["Marshal's Refuge"] = "Refuge des Marshal",
	["Marshal's Stand"] = "Camp retranché des Marshal",
	["Marshlight Lake"] = "Lac des Furoles",
	["Marshtide Watch"] = "Guet de l'Estran",
	["Maruadon - The Wicked Grotto Entrance"] = "Maraudon - Entrée de la grotte Maudite",
	["Mast Room"] = "Salle du Mât",
	["Master's Terrace"] = "Terrasse du maître",
	["Masters' Gate"] = "Porte des Maîtres",
	["Maw of Lycanthoth"] = "Gueule de Lycanthoth",
	["Maw of Neltharion"] = "Gueule de Neltharion",
	["Maw of the Void"] = "Gueule du Vide",
	["Mazra'Alor"] = "Mazra'Alor",
	Mazthoril = "Mazthoril",
	["Medivh's Chambers"] = "Appartements de Medivh",
	["Menagerie Wreckage"] = "Débris de la ménagerie",
	["Menethil Bay"] = "Baie de Menethil",
	["Menethil Harbor"] = "Port de Menethil",
	["Menethil Keep"] = "Donjon de Menethil",
	["Merchant Square"] = "Place des Marchands",
	["Mid Point Station"] = "Poste de la Halte du centre",
	Middenvale = "Ordeval",
	["Midrealm Post"] = "Comptoir des Terres-médianes",
	["Midwall Lift"] = "Ascenseur de Mimuraille",
	["Mightstone Quarry"] = "Carrière de Pierres de pouvoir",
	["Military District"] = "Secteur Militaire",
	["Mimir's Workshop"] = "Atelier de Mimir",
	Mine = "Mine",
	Mines = "Les Mines",
	["Mirage Abyss"] = "Abysse des Mirages",
	["Mirage Flats"] = "Vallée des Mirages",
	["Mirage Raceway"] = "Piste des Mirages",
	["Mirkfallon Lake"] = "Lac Mirkfallon",
	["Mirkfallon Post"] = "Poste de Mirkfallon",
	["Mirror Lake"] = "Lac Miroir",
	["Mirror Lake Orchard"] = "Verger du lac Miroir",
	["Mist's Edge"] = "La lisière des Brumes",
	["Mistcaller's Cave"] = "Grotte du mandebrume",
	["Mistvale Valley"] = "Valbrume",
	["Mistwhisper Refuge"] = "Le refuge de Murmebrume",
	["Misty Pine Refuge"] = "Refuge de Brumepins",
	["Misty Reed Post"] = "Poste de Brumejonc",
	["Misty Reed Strand"] = "Grève de Brumejonc",
	["Misty Ridge"] = "Crête Brumeuse",
	["Misty Shore"] = "Rivage Brumeux",
	["Misty Valley"] = "Vallée des Brumes",
	["Miwana's Longhouse"] = "Maison longue de Miwana",
	["Mizjah Ruins"] = "Ruines de Mizjah",
	["Mo'grosh Stronghold"] = "Bastion des Mo'grosh",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Port-Moa'ki",
	["Moggle Point"] = "Cap Moggle",
	["Mok'Doom"] = "Mok'Deuil",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Mok'Nathal",
	["Mold Foundry"] = "La fonderie",
	["Molten Core"] = "Cœur du Magma",
	["Molten Front"] = "Front du Magma",
	["Moon Horror Den"] = "Antre de l'Horreur lunaire",
	Moonbrook = "Ruisselune",
	Moonglade = "Reflet-de-Lune",
	["Moongraze Woods"] = "Bois Frôle-lune",
	["Moonrest Gardens"] = "Jardins de Repos-de-Lune",
	["Moonshrine Ruins"] = "Ruines d’Écrin-de-Lune",
	["Moonshrine Sanctum"] = "Sanctuaire d’Écrin-de-Lune",
	["Moontouched Den"] = "Tanière des Frôlelunes",
	["Moonwell of Cleansing"] = "Puits de Lune de purification",
	["Moonwell of Purity"] = "Puits de Lune de pureté",
	["Moonwing Den"] = "Tanière Aile-de-lune",
	["Mor'shan Base Camp"] = "Campement de Mor'shan",
	["Mord'rethar: The Death Gate"] = "Mord'rethar : la Porte de la Mort",
	["Morgan's Plot"] = "Le lopin de Morgan",
	["Morgan's Vigil"] = "Veille de Morgan",
	["Morlos'Aran"] = "Morlos'Aran",
	["Mortal's Demise"] = "Trépas du mortel",
	["Mortwake's Tower"] = "Tour de Morteveille",
	["Mosh'Ogg Ogre Mound"] = "Tertre des Ogres mosh'Ogg",
	["Mosshide Fen"] = "Marais des Poils-moussus",
	["Mosswalker Village"] = "Marchemousse",
	["Mossy Pile"] = "Tertre Moussu",
	["Mount Akher"] = "Mont Akher",
	["Mount Hyjal"] = "Mont Hyjal",
	["Mount Hyjal Phase 1"] = "Mont Hyjal Phase 1",
	["Mountainfoot Strip Mine"] = "Mine à ciel ouvert du Puy-du-Pied",
	Mudsprocket = "Bourbe-à-brac",
	Mulgore = "Mulgore",
	["Murder Row"] = "Allée du meurtre",
	["Murkdeep Cavern"] = "Caverne de Fondeboue",
	["Mystral Lake"] = "Lac Mystral",
	Mystwood = "Bois Brumeux",
	Nagrand = "Nagrand",
	["Nagrand Arena"] = "Arène de Nagrand",
	Nahom = "Nahom",
	["Nar'shola Terrace"] = "Terrasse de Nar'shola",
	["Narvir's Cradle"] = "Le Berceau de Narvir",
	["Nasam's Talon"] = "La serre de Nasam",
	["Nat's Landing"] = "Point d'accostage de Nat",
	Naxxanar = "Naxxanar",
	Naxxramas = "Naxxramas",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak : les profondeurs Oubliées",
	["Nazj'vel"] = "Nazj'vel",
	Nazzivian = "Nazzivian",
	["Needlerock Chasm"] = "Gouffre de Rochepointe",
	["Needlerock Slag"] = "Scories-de-Rochepointe",
	["Nefarian's Lair"] = "Antre de Nefarian",
	["Nefarian�s Lair"] = "Antre de Nefarian",
	["Neferset City"] = "Neferset",
	["Neferset City Outskirts"] = "Faubourgs de Neferset",
	["Nek'mani Wellspring"] = "Fontaine des Nek'mani",
	["Neptulon's Rise"] = "Cime de Neptulon",
	["Nesingwary Base Camp"] = "Camp de base de Nesingwary",
	["Nesingwary Safari"] = "Safari de Nesingwary",
	["Nesingwary's Expedition"] = "Expédition de Nesingwary",
	Nespirah = "Nespirah",
	["Nestlewood Hills"] = "Collines des Nidebois",
	["Nestlewood Thicket"] = "Fourré des Nidebois",
	["Nethander Stead"] = "Ferme des Nethander",
	["Nethergarde Keep"] = "Rempart-du-Néant",
	["Nethergarde Mines"] = "Mines de Rempart-du-Néant",
	["Nethergarde Supply Camps"] = "Camps de ravitaillement de Rempart-du-Néant",
	Netherspace = "Néantespace",
	Netherstone = "Pierre-de-Néant",
	Netherstorm = "Raz-de-Néant",
	["Netherweb Ridge"] = "Crête de Toile-néant",
	["Netherwing Fields"] = "Champs de l'Aile-du-Néant",
	["Netherwing Ledge"] = "Escarpement de l'Aile-du-Néant",
	["Netherwing Mines"] = "Mines de l'Aile-du-Néant",
	["Netherwing Pass"] = "Défilé de l'Aile-du-Néant",
	["New Agamand"] = "Nouvelle-Agamand",
	["New Agamand Inn"] = "Auberge de la Nouvelle-Agamand",
	["New Avalon"] = "Nouvelle-Avalon",
	["New Avalon Fields"] = "Champs de la Nouvelle-Avalon",
	["New Avalon Forge"] = "Forge de la Nouvelle-Avalon",
	["New Avalon Orchard"] = "Vergers de la Nouvelle-Avalon",
	["New Avalon Town Hall"] = "Hôtel de ville de la Nouvelle-Avalon",
	["New Hearthglen"] = "Nouvelle-Âtreval",
	["New Kargath"] = "Nouvelle-Kargath",
	["New Thalanaar"] = "Nouvelle-Thalanaar",
	["New Tinkertown"] = "La Nouvelle-Brikabrok",
	["Nexus Legendary"] = "Nexus (légendaire)",
	Nidavelir = "Nidavelir",
	["Nidvar Stair"] = "Escalier de Nidvar",
	Nifflevar = "Nifflevar",
	["Night Elf Village"] = "Village elfe de la nuit",
	["Night Run"] = "Défilé de la nuit",
	["Night Web's Hollow"] = "Grottes des Tisse-nuit",
	Nighthaven = "Havrenuit",
	["Nightmare Depths"] = "Profondeurs du Cauchemar",
	["Nightmare Scar"] = "Balafre du Cauchemar",
	["Nightmare Vale"] = "Vallée des Cauchemars",
	["Nightsong Woods"] = "Bois de Chantenuit",
	["Nijel's Point"] = "Combe de Nijel",
	["Nimbus Rise"] = "Cime du Nimbus",
	["Njord's Breath Bay"] = "Baie du Souffle de Njord",
	["Njorn Stair"] = "Escalier de Njorn",
	["Njorndar Village"] = "Njorndar",
	["Noonshade Ruins"] = "Ruines d'Ombre-du-Zénith",
	Nordrassil = "Nordrassil",
	["Nordrassil Inn"] = "Auberge de Nordrassil",
	["Nordune Ridge"] = "Crête de Nordune",
	["North Common Hall"] = "Les communs du nord",
	["North Gate Outpost"] = "Avant-poste de la Porte Nord",
	["North Gate Pass"] = "Passage de la Porte Nord",
	["North Point Station"] = "Poste de la Halte du Nord",
	["North Point Tower"] = "Tour de la Halte Nord",
	["North Sanctum"] = "Sanctum Septentrional",
	["North Spear Tower"] = "Tour de la Lance du Nord",
	["North Tide's Beachhead"] = "Tête de pont de la Côte Nord",
	["North Tide's Run"] = "La côte Nord",
	Northdale = "Valnord",
	["Northern Barrens"] = "Tarides du Nord",
	["Northern Headlands"] = "L'éminence du Nord",
	["Northern Rampart"] = "Rempart du Nord",
	["Northern Rocketway"] = "Fusorail nord",
	["Northern Rocketway Exchange"] = "Station Nord du fusorail",
	["Northern Stranglethorn"] = "Strangleronce septentrionale",
	["Northfold Manor"] = "Manoir de Nordclos",
	["Northgate Breach"] = "Brèche de la Porte",
	["Northgate River"] = "Fleuve de la Porte",
	["Northgate Woods"] = "Bois de la Porte",
	["Northmaul Tower"] = "Tour Nord-sanglante",
	["Northpass Tower"] = "Tour du Col du Nord",
	Northrend = "Norfendre",
	["Northridge Lumber Camp"] = "Camp de bûcherons de la Crête du Nord",
	["Northshire Abbey"] = "Abbaye de Comté-du-Nord",
	["Northshire River"] = "Fleuve Comté-du-Nord",
	["Northshire Valley"] = "Vallée de Comté-du-Nord",
	["Northshire Vineyards"] = "Vignoble de Comté-du-Nord",
	["Northwatch Expedition Base Camp"] = "Camp de base de l'expédition de Guet-du-Nord",
	["Northwatch Expedition Base Camp Inn"] = "Auberge du camp de base de l'expédition de Guet-du-Nord",
	["Northwatch Foothold"] = "Tête de pont de Guet-du-Nord",
	["Northwatch Hold"] = "Fort de Guet-du-Nord",
	["Northwind Cleft"] = "Faille de Norsevent",
	["Nozzlepot's Outpost"] = "Avant-poste de Potuyère",
	["Nozzlerust Post"] = "Poste de Rouilletuyère",
	["O'Breen's Camp"] = "Camp de O'Breen",
	["Oasis of Vir'sar"] = "Oasis de Vir'sar",
	["Oasis of the Fallen Prophet"] = "Oasis du Prophète déchu",
	["Obelisk of the Moon"] = "Obélisque de la Lune",
	["Obelisk of the Stars"] = "Obélisque des Étoiles",
	["Obelisk of the Sun"] = "Obélisque du Soleil",
	["Observance Hall"] = "Salle d'observance",
	["Observation Grounds"] = "Terrain d'observation",
	["Obsidia's Perch"] = "Perchoir d'Obsidia",
	["Obsidian Breakers"] = "Brisants d'Obsidienne",
	["Obsidian Dragonshrine"] = "Sanctuaire draconique Obsidien",
	["Obsidian Forest"] = "Forêt Obsidienne",
	["Obsidian Lair"] = "Repaire Obsidien",
	["Odesyus' Landing"] = "Point d'accostage d'Odesyus",
	["Ogri'la"] = "Ogri'la",
	["Old Hillsbrad Foothills"] = "Contreforts de Hautebrande d'antan",
	["Old Ironforge"] = "Vieux Forgefer",
	["Old Town"] = "Vieille ville",
	Olembas = "Olembas",
	["Olivia's Pond"] = "Étang d'Olivia",
	["Olsen's Farthing"] = "Essarts des Olsen",
	["One More Glass"] = "Un dernier pour la route",
	Oneiros = "Oneiros",
	["Onslaught Base Camp"] = "Camp de base de l'Assaut",
	["Onslaught Harbor"] = "Port de l'Assaut",
	["Onyxia's Lair"] = "Repaire d'Onyxia",
	["Oomlot Village"] = "Oomlot",
	Oostan = "Oostan",
	["Oostan Nord"] = "Oostan Nord",
	["Oostan Ost"] = "Oostan Ost",
	["Oostan Sor"] = "Oostan Sor",
	["Opening of the Dark Portal"] = "Ouverture de la Porte des ténèbres",
	["Opening of the Dark Portal Entrance"] = "Entrée de l'Ouverture de la Porte des ténèbres",
	["Oratory of the Damned"] = "Oratoire des damnés",
	["Orebor Harborage"] = "Havre d'Orebor",
	["Orendil's Retreat"] = "Retraite d'Orendil",
	["Orgrim's Hammer"] = "Le Marteau d'Orgrim",
	Orgrimmar = "Orgrimmar",
	["Orgrimmar Rear Gate"] = "Porte d'Azshara",
	["Orgrimmar Rocketway Exchange"] = "Station d'Orgrimmar du fusorail",
	["Oronok's Farm"] = "Ferme d'Oronok",
	Orsis = "Orsis",
	["Ortell's Hideout"] = "La planque d'Ortell",
	["Oshu'gun"] = "Oshu'gun",
	Outland = "Outreterre",
	["Overgrown Camp"] = "Camp envahi par la végétation",
	["Owl Wing Thicket"] = "Fourré de l'Aile de la chouette",
	["Pal'ea"] = "Pal'ea",
	["Palemane Rock"] = "Rocher des Crins-pâles",
	["Parhelion Plaza"] = "Place Parhélion",
	["Passage of Lost Fiends"] = "Passage des Démons perdus",
	["Path of Uther"] = "Voie d'Uther",
	["Path of the Titans"] = "Voie des Titans",
	["Pattymack Land"] = "Terres de Pattymack",
	["Pauper's Walk"] = "Croisée du pauvre",
	["Pestilent Scar"] = "Balafre Pestilentielle",
	["Petitioner's Chamber"] = "Chambre du Requérant",
	["Pilgrim's Precipice"] = "Précipice du Pèlerin",
	["Pincer X2"] = "Pinceur X-2",
	["Pit of Fangs"] = "Abîme des Crocs",
	["Pit of Saron"] = "Fosse de Saron",
	["Pit of Saron Entrance"] = "Entrée de la fosse de Saron",
	["Plaguelands: The Scarlet Enclave"] = "Maleterres : l'enclave Écarlate",
	["Plaguemist Ravine"] = "Ravin de Pestebrume",
	Plaguewood = "Pestebois",
	["Plaguewood Tower"] = "Tour de Pestebois",
	["Plain of Echoes"] = "Plaine des Échos",
	["Plain of Shards"] = "Plaine des Éclats",
	["Plains of Nasam"] = "Les plaines de Nasam",
	["Pod Cluster"] = "Grappe de capsules",
	["Pod Wreckage"] = "Débris de Capsule",
	["Poison Falls"] = "Chutes empoisonnées",
	["Pool of Tears"] = "Bassin des Larmes",
	["Pool of Twisted Reflections"] = "Bassin des Reflets distordus",
	["Pools of Aggonar"] = "Bassins d'Aggonar",
	["Pools of Arlithrien"] = "Bassins d'Arlithrien",
	["Pools of Jin'Alai"] = "Bassins de Jin'Alai",
	["Pools of Zha'Jin"] = "Bassins de Zha'Jin",
	["Portal Clearing"] = "Clairière du Portail",
	["Prison of Immol'thar"] = "Prison d'Immol'thar",
	["Programmer Isle"] = "Île des Programmeurs",
	["Promontory Point"] = "Le Promontoire",
	["Prospector's Point"] = "Pointe du Prospecteur",
	["Protectorate Watch Post"] = "Poste de garde du Protectorat",
	["Purespring Cavern"] = "Caverne de la Source pure",
	["Purgation Isle"] = "Île de la Purification",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Laboratoire des Désopilantes atrocités alchimiques de Putricide",
	["Pyrewood Chapel"] = "Chapelle de Bois-du-Bûcher",
	["Pyrewood Inn"] = "Auberge de Bois-du-Bûcher",
	["Pyrewood Town Hall"] = "Hôtel de ville de Bois-du-Bûcher",
	["Pyrewood Village"] = "Bois-du-Bûcher",
	["Pyrox Flats"] = "Plaine de Pyrox",
	["Quagg Ridge"] = "Crête des Boues",
	Quarry = "Carrière",
	["Quartzite Basin"] = "Bassin de Quartzite",
	["Queen's Gate"] = "Porte de la Reine",
	["Quel'Danil Lodge"] = "Gîte de Quel'Danil",
	["Quel'Delar's Rest"] = "Repos de Quel'Delar",
	["Quel'Dormir Gardens"] = "Jardins de Quel'Dormir",
	["Quel'Dormir Temple"] = "Temple de Quel'Dormir",
	["Quel'Dormir Terrace"] = "Terrasse de Quel'Dormir",
	["Quel'Lithien Lodge"] = "Gîte de Quel'Lithien",
	["Quel'thalas"] = "Quel'thalas",
	["Raastok Glade"] = "Clairière de Raastok",
	["Raceway Ruins"] = "Ruines de la Piste",
	["Rage Fang Shrine"] = "Sanctuaire du Croc rageur",
	["Rage Scar Hold"] = "Repaire des Griffes féroces",
	["Rageclaw Den"] = "Tanière Grifferage",
	["Rageclaw Lake"] = "Lac Grifferage",
	["Ragefeather Ridge"] = "Crête des Rageplumes",
	["Ragefire Chasm"] = "Gouffre de Ragefeu",
	["Ragnaros' Lair"] = "Antre de Ragnaros",
	["Ragnaros' Reach"] = "Emprise de Ragnaros",
	["Rainspeaker Canopy"] = "La canopée Parlepluie",
	["Rainspeaker Rapids"] = "Rapides Parlepluie",
	Ramkahen = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Avant-poste de la légion Ramkahen",
	["Rampart of Skulls"] = "Rempart des Crânes",
	["Ranazjar Isle"] = "Île de Ranazjar",
	["Raptor Pens"] = "Enclos à raptors",
	["Raptor Ridge"] = "Crête des Raptors",
	["Raptor Rise"] = "Cime des Raptors",
	Ratchet = "Cabestan",
	["Rated Eye of the Storm"] = "L'Œil du cyclone coté",
	["Ravaged Caravan"] = "Caravane dévastée",
	["Ravaged Crypt"] = "Crypte dévastée",
	["Ravaged Twilight Camp"] = "Camp du Crépuscule ravagé",
	["Raven Hill"] = "Colline-aux-Corbeaux",
	["Raven Hill Cemetery"] = "Cimetière de Colline-aux-Corbeaux",
	["Raven's Watch"] = "Guet du Corbeau",
	["Raven's Wood"] = "Bois aux Corbeaux",
	["Ravencrest Monument"] = "Colosse de Crête-du-corbeau",
	["Ravenholdt Manor"] = "Manoir de Ravenholdt",
	["Raynewood Retreat"] = "Retraite de Raynebois",
	["Raynewood Tower"] = "Tour de Raynebois",
	["Razaan's Landing"] = "Point d'ancrage de Razaan",
	["Razor Hill"] = "Tranchecolline",
	["Razor Hill Barracks"] = "Caserne de Tranchecolline",
	["Razor Ridge"] = "Tranchecrête",
	["Razorfen Downs"] = "Souilles de Tranchebauge",
	["Razorfen Downs Entrance"] = "Entrée des souilles de Tranchebauge",
	["Razorfen Kraul"] = "Kraal de Tranchebauge",
	["Razorfen Kraul Entrance"] = "Entrée du kraal de Tranchebauge",
	["Razormane Grounds"] = "Terres des Tranchecrins",
	["Razorscale's Aerie"] = "Nichoir de Tranchécaille",
	["Razorthorn Rise"] = "Éminence de Tranchépine",
	["Razorthorn Shelf"] = "Saillie de Tranchépine",
	["Razorthorn Trail"] = "Piste de Tranchépine",
	["Razorwind Canyon"] = "Canyon de Tranchevent",
	["Reaver's Fall"] = "Le Trépas du saccageur",
	["Reavers' Hall"] = "Salle des saccageurs",
	["Rebel Camp"] = "Camp Rebelle",
	["Red Cloud Mesa"] = "Mesa de Nuage rouge",
	["Red Rocks"] = "Rochers Rouges",
	["Redpine Dell"] = "Cluse des Rougepins",
	["Redridge Canyons"] = "Canyons des Carmines",
	["Redridge Mountains"] = "Les Carmines",
	["Redwood Trading Post"] = "Comptoir du Cèdre",
	Refinery = "Raffinerie",
	["Refuge Pointe"] = "Refuge de l'Ornière",
	["Refugee Caravan"] = "Caravane de réfugiés",
	["Reliquary of Agony"] = "Reliquaire d'agonie",
	["Reliquary of Pain"] = "Reliquaire de souffrance",
	["Remains of Iris Lake"] = "Vestiges du lac Iris",
	["Remains of the Fleet"] = "Vestiges de la flotte",
	["Remtravel's Excavation"] = "Excavations de Songerrance",
	["Render's Camp"] = "Camp des Étripeurs",
	["Render's Crater"] = "Cratère des Étripeurs",
	["Render's Rock"] = "Rocher des Etripeurs",
	["Render's Valley"] = "Vallée des Étripeurs",
	["Rethban Caverns"] = "Cavernes de Rethban",
	["Rethress Sanctum"] = "Sanctuaire de Rethress",
	Reuse = "Réutiliser",
	["Revantusk Village"] = "Village des Vengebroches",
	["Rhea's Camp"] = "Campement de Rhea",
	["Rhyolith Plateau"] = "Plateau de Rhyolith",
	["Ricket's Folly"] = "La Folie de Ricket",
	["Ridge of Madness"] = "Crête de la Folie",
	["Ridgepoint Tower"] = "Tour de la Crête",
	["Rim of the World"] = "Bord-du-monde",
	["Ring of Judgement"] = "L'arène du Jugement",
	["Ring of Observance"] = "Cercle d'observance",
	["Ring of the Elements"] = "Cercle des éléments",
	["Ring of the Law"] = "Cercle de la loi",
	["Riplash Ruins"] = "Ruines des Courcinglants",
	["Riplash Strand"] = "Grève des Courcinglants",
	["Rise of Suffering"] = "Cime de Souffrance",
	["Rise of the Defiler"] = "Cime du Souilleur",
	["Ritual Chamber of Akali"] = "Chambre rituelle d'Akali",
	["Rivendark's Perch"] = "Perchoir de Clivenuit",
	Rivenwood = "Clivebois",
	["River's Heart"] = "Le Cœur du fleuve",
	["Rock of Durotan"] = "Rocher de Durotan",
	["Rockpool Village"] = "Rochecave",
	["Rocktusk Farm"] = "Ferme Brochepierre",
	["Roguefeather Den"] = "Tanière des Volplumes",
	["Rogues' Quarter"] = "Quartier des Voleurs",
	["Rohemdal Pass"] = "Passe de Rohemdal",
	["Roland's Doom"] = "Destin de Roland",
	["Rotbrain Encampment"] = "Camp de Putresprit",
	["Royal Exchange Auction House"] = "Hôtel des ventes de la Bourse royale",
	["Royal Exchange Bank"] = "Banque de la Bourse royale",
	["Royal Gallery"] = "Galerie royale",
	["Royal Library"] = "Bibliothèque royale",
	["Royal Quarter"] = "Quartier royal",
	["Ruby Dragonshrine"] = "Sanctuaire draconique Rubis",
	["Ruined City Post 01"] = "Halte 1 de la ville en ruine",
	["Ruined Court"] = "La cour dévastée",
	["Ruins of Aboraz"] = "Ruines d'Aboraz",
	["Ruins of Ahmtul"] = "Ruines d'Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruines d'Ahn'Qiraj",
	["Ruins of Alterac"] = "Ruines d'Alterac",
	["Ruins of Ammon"] = "Ruines d'Ammon",
	["Ruins of Arkkoran"] = "Ruines d'Arkkoran",
	["Ruins of Auberdine"] = "Ruines d'Auberdine",
	["Ruins of Baa'ri"] = "Ruines de Baa'ri",
	["Ruins of Constellas"] = "Ruines de Constellas",
	["Ruins of Drak'Zin"] = "Ruines de Drak'Zin",
	["Ruins of Drakgor"] = "Ruines de Drakgor",
	["Ruins of Eldarath"] = "Ruines d'Eldarath",
	["Ruins of Eldra'nath"] = "Ruines d'Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruines d'Eldre'thar",
	["Ruins of Enkaat"] = "Ruines d'Enkaat",
	["Ruins of Farahlon"] = "Ruines de Farahlon",
	["Ruins of Feathermoon"] = "Ruines de Pennelune",
	["Ruins of Gilneas"] = "Ruines de Gilnéas",
	["Ruins of Gilneas City"] = "Ruines de Gilnéas (ville)",
	["Ruins of Isildien"] = "Ruines d'Isildien",
	["Ruins of Jubuwal"] = "Ruines de Jubuwal",
	["Ruins of Karabor"] = "Ruines de Karabor",
	["Ruins of Kargath"] = "Ruines de Kargath",
	["Ruins of Khintaset"] = "Ruines de Khintaset",
	["Ruins of Lar'donir"] = "Ruines de Lar'donir",
	["Ruins of Lordaeron"] = "Ruines de Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruines de Loreth'Aran",
	["Ruins of Lornesta"] = "Ruines de Lornesta",
	["Ruins of Mathystra"] = "Ruines de Mathystra",
	["Ruins of Nordressa"] = "Ruines de Nordressa",
	["Ruins of Ravenwind"] = "Ruines de Vent-du-Corbeau",
	["Ruins of Sha'naar"] = "Ruines de Sha'naar",
	["Ruins of Shandaral"] = "Ruines de Shandaral",
	["Ruins of Silvermoon"] = "Ruines de Lune-d'argent",
	["Ruins of Solarsal"] = "Ruines de Solarsal",
	["Ruins of Southshore"] = "Ruines d'Austrivage",
	["Ruins of Taurajo"] = "Ruines de Taurajo",
	["Ruins of Tethys"] = "Ruines de Téthys",
	["Ruins of Thaurissan"] = "Ruines de Thaurissan",
	["Ruins of Thelserai Temple"] = "Ruines du temple de Thelserai",
	["Ruins of Uldum"] = "Ruines d'Uldum",
	["Ruins of Vashj'elan"] = "Ruines de Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruines de Vashj'ir",
	["Ruins of Zul'Kunda"] = "Ruines de Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruines de Zul'Mamwe",
	["Ruins of the Scarlet Enclave"] = "Ruines de l'enclave Écarlate",
	["Runestone Falithas"] = "Pierre runique Falithas",
	["Runestone Shan'dor"] = "Pierre runique Shan'dor",
	["Runeweaver Square"] = "Place Tisserune",
	["Rustberg Village"] = "Rouillemont",
	["Rustmaul Dive Site"] = "Site de plongée de Cognerouille",
	["Rut'theran Village"] = "Rut'theran",
	["Rutsak's Guard"] = "Garde de Rutsak",
	["Ruuan Weald"] = "Sylve Ruuan",
	["Ruuna's Camp"] = "Camp de Ruuna",
	["Ruuzel's Isle"] = "Île de Ruuzel",
	["Rygna's Lair"] = "Repaire de Rygna",
	["SI:7"] = "SI:7",
	["STV Diamond Mine BG"] = "CdB Mine de diamants",
	["Sable Ridge"] = "Crête Fuligineuse",
	["Sahket Wastes"] = "Désert de Sahket",
	["Saldean's Farm"] = "Ferme des Saldean",
	["Saltheril's Haven"] = "Havre de Saltheril",
	["Saltspray Glen"] = "Vallon des Embruns",
	["Sanctuary of Malorne"] = "Sanctuaire de Malorne",
	["Sanctuary of Shadows"] = "Sanctuaire des ombres",
	["Sanctum of Reanimation"] = "Sanctum de Réanimation",
	["Sanctum of Shadows"] = "Sanctum des ombres",
	["Sanctum of the Ascended"] = "Sanctum de l'Ascension",
	["Sanctum of the Fallen God"] = "Sanctuaire du dieu déchu",
	["Sanctum of the Moon"] = "Sanctum de la Lune",
	["Sanctum of the Prophets"] = "Sanctum des Prophètes",
	["Sanctum of the South Wind"] = "Sanctum du Vent du Sud",
	["Sanctum of the Stars"] = "Sanctum des Étoiles",
	["Sanctum of the Sun"] = "Sanctum du Soleil",
	["Sands of Nasam"] = "Sables de Nasam",
	["Sandsorrow Watch"] = "Guet de Tristesable",
	["Sandy Beach"] = "Plage Sablonneuse",
	["Sanguine Chamber"] = "Salle sanguine",
	["Sapphire Hive"] = "La ruche de Saphir",
	["Sapphiron's Lair"] = "Repaire de Saphiron",
	["Sar'theris Strand"] = "Grève de Sar'theris",
	["Saragosa's Landing"] = "Aire de Saragosa",
	["Sardor Isle"] = "Île de Sardor",
	Sargeron = "Sargeron",
	["Saronite Mines"] = "Mines de Saronite",
	Satyrnaar = "Satyrnaar",
	["Savage Ledge"] = "L'escarpement Sauvage",
	["Scalawag Point"] = "Cap du Forban",
	["Scalding Pools"] = "Bassins Brûlants",
	["Scalebeard's Cave"] = "Caverne de Barbe-d'écailles",
	["Scalewing Shelf"] = "Saillie Ailécaille",
	["Scar of the Worldbreaker"] = "Balafre du Brise-monde",
	["Scarab Terrace"] = "Terrasse du Scarabée",
	["Scarlet Encampment"] = "Campement Écarlate",
	["Scarlet Hold"] = "Fort Écarlate",
	["Scarlet Monastery"] = "Monastère écarlate",
	["Scarlet Monastery Entrance"] = "Entrée du Monastère écarlate",
	["Scarlet Overlook"] = "Le surplomb Écarlate",
	["Scarlet Palisade"] = "Palissade Écarlate",
	["Scarlet Point"] = "Halte Écarlate",
	["Scarlet Raven Tavern"] = "Taverne du Corbeau écarlate",
	["Scarlet Tavern"] = "Taverne Écarlate",
	["Scarlet Tower"] = "Tour Écarlate",
	["Scarlet Watch Post"] = "Poste de garde de la Croisade",
	["Scarlet Watchtower"] = "Tour de guet Écarlate",
	["Scarred Terrace"] = "Terrasse Balafrée",
	["Scenario: Alcaz Island"] = "Scénario : île d’Alcaz",
	["Schnottz's Frigate"] = "Frégate de Schnottz",
	["Schnottz's Hostel"] = "Foyer de Schnottz",
	["Schnottz's Landing"] = "Accostage de Schnottz",
	Scholomance = "Scholomance",
	["Scholomance Entrance"] = "Entrée de la Scholomance",
	["School of Necromancy"] = "École de Nécromancie",
	["Scorched Gully"] = "Goulet Incendié",
	["Scott's Spooky Area"] = "Zone sinistre de Scott",
	["Scoured Reach"] = "Les confins Creusés",
	Scourgehold = "Fort-Fléau",
	Scourgeholme = "Fléaulme",
	["Scourgelord's Command"] = "Quartier général du Seigneur du Fléau",
	["Scrabblescrew's Camp"] = "Camp de Fouillevis",
	["Screaming Gully"] = "Ravine hurlante",
	["Scryer's Tier"] = "Degré des Clairvoyants",
	["Scuttle Coast"] = "Côte des Naufrages",
	Seabrush = "Frôlemer",
	["Seafarer's Tomb"] = "Tombe du marin",
	["Seal of the Sun King"] = "Sceau du roi-soleil",
	["Searing Gorge"] = "Gorge des Vents brûlants",
	["Seat of Destruction"] = "Siège de la destruction",
	["Seat of Life"] = "Siège de la vie",
	["Seat of Magic"] = "Siège de la magie",
	["Seat of Radiance"] = "Siège de la radiance",
	["Seat of the Chosen"] = "Siège de l'Élu",
	["Seat of the Naaru"] = "Siège du naaru",
	["Sen'jin Village"] = "Village de Sen'jin",
	["Sentinel Hill"] = "Colline des Sentinelles",
	["Sentinel Tower"] = "Tour des sentinelles",
	["Sentry Point"] = "Halte de la Vigie",
	Seradane = "Seradane",
	["Serpent Lake"] = "Lac des Serpents",
	["Serpent's Coil"] = "Anneaux du serpent",
	["Serpentshrine Cavern"] = "Caverne du sanctuaire du Serpent",
	["Servants' Quarters"] = "Quartiers des serviteurs",
	["Service Entrance"] = "Entrée de service",
	["Sethekk Halls"] = "Les salles des Sethekk",
	["Sethria's Roost"] = "Perchoir de Sethria",
	["Sewer Exit Pipe"] = "Tunnel de sortie des égouts",
	Sewers = "Egouts",
	["Sha'naari Wastes"] = "Le désert Sha'naari",
	["Sha'tari Base Camp"] = "Camp de base Sha'tari",
	["Sha'tari Outpost"] = "Avant-poste Sha'tari",
	Shadebough = "Ramures ombragées",
	["Shadow Grave"] = "Tombeau des Ombres",
	["Shadow Hold"] = "Fort des Ombres",
	["Shadow Labyrinth"] = "Labyrinthe des Ombres",
	["Shadow Ridge"] = "Ombrecrête",
	["Shadow Tomb"] = "Tombe des Ombres",
	["Shadow Wing Lair"] = "Repaire de l'Aile de l'ombre",
	["Shadowbreak Ravine"] = "Ravin de Brèche-de-l'Ombre",
	["Shadowfang Keep"] = "Donjon d'Ombrecroc",
	["Shadowfang Keep Entrance"] = "Entrée du donjon d'Ombrecroc",
	["Shadowfang Tower"] = "Tour d'Ombrecroc",
	["Shadowforge City"] = "Ville des Ombreforges",
	Shadowglen = "Sombrevallon",
	["Shadowlurk Ridge"] = "Crête d'Ombrerôde",
	["Shadowmoon Valley"] = "Vallée d'Ombrelune",
	["Shadowmoon Village"] = "Village d'Ombrelune",
	["Shadowprey Village"] = "Proie-de-l'Ombre",
	["Shadowshard Cavern"] = "Caverne des Ombréclats",
	["Shadowsight Tower"] = "Tour d'Ombrevue",
	["Shadowsong Shrine"] = "Sanctuaire de Chantelombre",
	["Shadowthread Cave"] = "Caverne de Sombrefil",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shady Rest Inn"] = "Auberge du Repos ombragé",
	["Shalandis Isle"] = "Île de Shalandis",
	["Shalewind Canyon"] = "Canyon Vent-de-schiste",
	["Shallow's End"] = "Les Hauts-Fonds",
	["Shalzaru's Lair"] = "Antre de Shalzaru",
	Shamanar = "Shamanar",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Terrace"] = "Terrasse du Façonneur",
	["Shartuul's Transporter"] = "Transporteur de Shartuul",
	["Shatter Point"] = "Halte du Fracas",
	["Shatter Scar Vale"] = "Val Grêlé",
	["Shattered Plains"] = "Les plaines Brisées",
	["Shattered Straits"] = "Les détroits Fracassés",
	["Shattered Sun Staging Area"] = "Zone de rassemblement du Soleil brisé",
	Shattershore = "Rivage Ravagé",
	["Shatterspear Pass"] = "Passe des Briselances",
	["Shatterspear Vale"] = "La vallée des Briselances",
	["Shatterspear War Camp"] = "Camp de guerre des Briselances",
	Shatterstone = "Ruinepierre",
	Shattrath = "Shattrath",
	["Shattrath City"] = "Shattrath",
	["Shell Beach"] = "Plage aux Coquillages",
	["Shield Hill"] = "Colline du Bouclier",
	["Shields of Silver"] = "Boucliers d'argent",
	["Shimmer Ridge"] = "Crête Scintillante",
	["Shimmering Bog"] = "La tourbière Chatoyante",
	["Shimmering Expanse"] = "Étendues Chatoyantes",
	["Shimmering Grotto"] = "Grotte Chatoyante",
	["Shindigger's Camp"] = "Camp de Croquejarret",
	["Shipwreck Shore"] = "Rivage de l’Épave",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Bassin de Sholazar",
	["Shrine of Aessina"] = "Sanctuaire d'Aessina",
	["Shrine of Aviana"] = "Sanctuaire d'Aviana",
	["Shrine of Dath'Remar"] = "Sanctuaire de Dath'Remar",
	["Shrine of Eck"] = "Sanctuaire d'Eck",
	["Shrine of Goldrinn"] = "Sanctuaire de Goldrinn",
	["Shrine of Lost Souls"] = "Sanctuaire des âmes perdues",
	["Shrine of Remulos"] = "Sanctuaire de Remulos",
	["Shrine of Scales"] = "Sanctuaire des Écailles",
	["Shrine of Thaurissan"] = "Sanctuaire de Thaurissan",
	["Shrine of Unending Light"] = "Sanctuaire de la Lumière perpétuelle",
	["Shrine of the Deceiver"] = "Sanctuaire du Trompeur",
	["Shrine of the Dormant Flame"] = "Autel de la Flamme dormante",
	["Shrine of the Eclipse"] = "Sanctuaire de l'éclipse",
	["Shrine of the Elements"] = "Autel des Éléments",
	["Shrine of the Fallen Warrior"] = "Autel du Guerrier mort",
	["Shrine of the Five Khans"] = "Sanctuaire des Cinq khans",
	["Shriveled Oasis"] = "L'oasis Tarie",
	["Shuddering Spires"] = "Flèches Frissonnantes",
	["Siege Vise"] = "L'étau du Siège",
	["Siege Workshop"] = "Atelier de siège",
	["Sifreldar Village"] = "Sifreldar",
	["Silent Vigil"] = "Veille Silencieuse",
	Silithus = "Silithus",
	["Silmyr Lake"] = "Lac Silmyr",
	["Silting Shore"] = "Rivage Envasé",
	["Silver Covenant Pavilion"] = "Pavillon du Concordat argenté",
	["Silver Stream Mine"] = "Mine du Ru d'argent",
	["Silver Tide Hollow"] = "Creux des Flots argentés",
	["Silver Tide Trench"] = "Tranchée des Flots argentés",
	Silverbrook = "Ruissargent",
	["Silverbrook Hills"] = "Collines de Ruissargent",
	["Silverlight Cavern"] = "Caverne de Luisargent",
	["Silverline Lake"] = "Lac Rivargent",
	["Silvermoon City"] = "Lune-d'argent",
	["Silvermoon City Inn"] = "Auberge de Lune-d'argent",
	["Silvermoon Finery"] = "Atours de Lune-d'argent",
	["Silvermoon Jewelery"] = "Joaillerie de Lune-d'argent",
	["Silvermoon Registry"] = "Bureau d'enregistrement de Lune-d'argent",
	["Silvermoon's Pride"] = "La Fierté de Lune-d'argent",
	["Silvermyst Isle"] = "Île de Brume-argent",
	["Silverpine Forest"] = "Forêt des Pins-Argentés",
	["Silverwind Refuge"] = "Refuge de Vent-d'Argent",
	["Silverwing Flag Room"] = "Salle du drapeau des Ailes-argent",
	["Silverwing Grove"] = "Bosquet d'Aile-argent",
	["Silverwing Hold"] = "Fort d'Aile-argent",
	["Silverwing Outpost"] = "Avant-poste d'Aile-argent",
	["Simply Enchanting"] = "Comme par enchantement",
	["Sindragosa's Fall"] = "La chute de Sindragosa",
	["Sindweller's Rise"] = "Cime de Hante-stupre",
	["Singing Ridge"] = "Crête Chantante",
	["Sinner's Folly"] = "Folie du pécheur",
	["Sira'kess Front"] = "Front de Sira'kess",
	["Sishir Canyon"] = "Canyon de Sishir",
	["Sisters Sorcerous"] = "Aux Sœurs sorcières",
	Skald = "Skald",
	["Sketh'lon Base Camp"] = "Campement Sketh'lon",
	["Sketh'lon Wreckage"] = "Débris Sketh'lon",
	["Skethyl Mountains"] = "Monts Skethyl",
	Skettis = "Skettis",
	["Skitterweb Tunnels"] = "Tunnels de Toile-grouillante",
	Skorn = "Mörg",
	["Skulk Rock"] = "Rocher de l'Affût",
	["Skulking Row"] = "Allée de la Rôdaille",
	["Skull Rock"] = "Rocher du Crâne",
	["Sky Falls"] = "Chutes du Ciel",
	["Skyguard Outpost"] = "Avant-poste de la Garde-ciel",
	["Skyline Ridge"] = "Crête de l'Horizon",
	["Skysong Lake"] = "Lac Chanteciel",
	["Slabchisel's Survey"] = "Mission de Cisepierre",
	["Slag Watch"] = "Guet des Scories",
	Slagworks = "Forgeresse",
	["Slaughter Hollow"] = "Creux du Massacre",
	["Slaughter Square"] = "Place du Massacre",
	["Sleeping Gorge"] = "Gorge Endormie",
	["Slither Rock"] = "Roc Sinueux",
	["Slitherblade Shore"] = "Rivage des Ondulames",
	["Slithering Cove"] = "Crique Sinueuse",
	["Sludgeguard Tower"] = "Tour de Gardefange",
	["Smuggler's Scar"] = "Balafre du contrebandier",
	["Snowblind Hills"] = "Collines du Voile blanc",
	["Snowblind Terrace"] = "Terrasse du Voile blanc",
	["Snowden Chalet"] = "Chalet Antre-des-Neiges",
	["Snowdrift Plains"] = "Plaines des Congères",
	["Snowfall Glade"] = "Clairière de Tombeneige",
	["Snowfall Graveyard"] = "Cimetière des Neiges",
	["Socrethar's Seat"] = "Siège de Socrethar",
	["Sofera's Naze"] = "Promontoire de Sofera",
	["Solace Glade"] = "Prairie de Solace",
	["Solliden Farmstead"] = "Ferme des Solliden",
	["Solstice Village"] = "Solstice",
	["Sorlof's Strand"] = "La grève de Sorlof",
	["Sorrow Hill"] = "Colline des Chagrins",
	["Sorrow Hill Crypt"] = "Crypte de la Colline des chagrins",
	["Sorrow Wing Point"] = "Halte Aile-du-chagrin",
	Sorrowmurk = "Noirchagrin",
	["Soulgrinder's Barrow"] = "Le refuge du Broyeur-d'âme",
	["South Common Hall"] = "Les communs du sud",
	["South Gate Outpost"] = "Avant-poste de la Porte Sud",
	["South Gate Pass"] = "Passage de la Porte Sud",
	["South Point Station"] = "Poste de la Halte du Sud",
	["South Seas"] = "Mers du Sud",
	["South Spire"] = "Flèche Sud",
	["South Tide's Run"] = "La côte Sud",
	["Southbreak Shore"] = "Rivage de Brisesud",
	["Southern Barrens"] = "Tarides du Sud",
	["Southern Gold Road"] = "Route de l'Or méridionale",
	["Southern Rampart"] = "Rempart du Sud",
	["Southern Rocketway"] = "Fusorail sud",
	["Southern Rocketway Terminus"] = "Terminus Sud du fusorail",
	["Southern Savage Coast"] = "Côte Sauvage du Sud",
	["Southfury River"] = "La Furie-du-Sud",
	["Southfury Watershed"] = "Débord de la Furie-du-Sud",
	["Southmaul Tower"] = "Tour Sud-sanglante",
	["Southmoon Ruins"] = "Ruines de Sudelune",
	["Southpoint Gate"] = "Porte de la Pointe du Midi",
	["Southpoint Tower"] = "Tour de la Pointe du Midi",
	["Southridge Beach"] = "Plage des Crêtes du sud",
	["Southsea Holdfast"] = "Redoute des mers du Sud",
	Southshore = "Austrivage",
	["Southshore Town Hall"] = "Hôtel de ville d’Austrivage",
	["Southwind Cleft"] = "Faille de Sudevent",
	["Southwind Village"] = "Village de Sudevent",
	["Sparksocket Minefield"] = "Champ de mines de Grilledouille",
	["Sparktouched Haven"] = "Le havre Touchétincelle",
	["Sparring Hall"] = "La salle d'entraînement",
	["Spearborn Encampment"] = "Campement Né-des-lances",
	Spearhead = "Fer-de-lance",
	["Speedbarge Bar"] = "Bar de la péniche de course",
	["Spinebreaker Mountains"] = "Montagnes Brise-échine",
	["Spinebreaker Pass"] = "Passage des Brise-échine",
	["Spinebreaker Post"] = "Poste de Brise-échine",
	["Spinebreaker Ridge"] = "Crête Brise-échine",
	["Spiral of Thorns"] = "Spirale des épines",
	["Spire Throne"] = "Trône du Pic",
	["Spire of Blood"] = "Flèche du Sang",
	["Spire of Decay"] = "Flèche de la Décomposition",
	["Spire of Pain"] = "Flèche de la Douleur",
	["Spirit Den"] = "Antre des Esprits",
	["Spirit Fields"] = "Champs des Esprits",
	["Spirit Rise"] = "Cime des Esprits",
	["Spirit Rock"] = "Rocher des Esprits",
	["Spitescale Cavern"] = "Caverne des Vexécailles",
	["Spitescale Cove"] = "Crique des Vexécailles",
	["Splinterspear Junction"] = "Croisement de Lance-brisée",
	Splintertree = "Bois-Brisé",
	["Splintertree Mine"] = "Mine de Bois-Brisé",
	["Splintertree Post"] = "Poste de Bois-Brisé",
	["Splithoof Crag"] = "Combe du Sabot fendu",
	["Splithoof Heights"] = "Hauteurs du Sabot fendu",
	["Splithoof Hold"] = "Bastion du Sabot fendu",
	Sporeggar = "Sporeggar",
	["Sporewind Lake"] = "Lac Ventespore",
	["Spruce Point Post"] = "Poste du cap de l'Epicéa",
	Stables = "Écuries",
	Stagalbog = "Stagalbog",
	["Stagalbog Cave"] = "Caverne de Stagalbog",
	["Stagecoach Crash Site"] = "Diligence accidentée",
	["Staghelm Point"] = "Halte de Forteramure",
	["Starbreeze Village"] = "Brise-Stellaire",
	["Stardust Spire"] = "Flèche de Chimétoile",
	["Starfall Village"] = "Pluie-d'Étoiles",
	["Stars' Rest"] = "Repos des étoiles",
	["Stasis Block: Maximus"] = "Bloc de stase : Maximus",
	["Stasis Block: Trion"] = "Bloc de stase : Trion",
	["Steam Springs"] = "Sources de Vapeur",
	["Steamwheedle Port"] = "Port Gentepression",
	["Steel Gate"] = "Porte d'Acier",
	["Steelgrill's Depot"] = "Dépôt de Grillacier",
	["Steeljaw's Caravan"] = "Caravane de Mâchoire-d'acier",
	["Steelspark Station"] = "Poste d'Étinçacier",
	["Stendel's Pond"] = "Étang de Stendel",
	["Stillpine Hold"] = "Repaire des Calmepins",
	["Stillwater Pond"] = "Étang Immobile",
	["Stillwhisper Pond"] = "Étang des Murmures-sereins",
	Stonard = "Pierrêche",
	["Stone Cairn Lake"] = "Lac du Cairn",
	["Stone Sentinel's Overlook"] = "Surplomb de la sentinelle de pierre",
	["Stonebreaker Camp"] = "Camp des Brise-pierres",
	["Stonebreaker Hold"] = "Fort des Brise-pierres",
	["Stonebull Lake"] = "Lac Taureau-de-pierre",
	Stonehearth = "Âtrepierre",
	["Stonehearth Bunker"] = "Fortin de Gîtepierre",
	["Stonehearth Graveyard"] = "Cimetière de Gîtepierre",
	["Stonehearth Outpost"] = "Avant-poste de Gîtepierre",
	["Stonemaul Hold"] = "Bastion Cognepierre",
	["Stonemaul Ruins"] = "Ruines Cognepierres",
	["Stonesplinter Valley"] = "Vallée des Brisepierre",
	["Stonetalon Bomb"] = "Bombe des Serres-rocheuses",
	["Stonetalon Mountains"] = "Les Serres-Rocheuses",
	["Stonetalon Pass"] = "Passe des Serres-Rocheuses",
	["Stonetalon Peak"] = "Pic des Serres-Rocheuses",
	["Stonewall Canyon"] = "Canyon de la Muraille",
	["Stonewall Lift"] = "Ascenseur de la Muraille",
	["Stoneward Prison"] = "Prison de Gardepierre",
	Stonewatch = "Guet-de-pierre",
	["Stonewatch Falls"] = "Chutes de Guet-de-pierre",
	["Stonewatch Keep"] = "Donjon de Guet-de-pierre",
	["Stonewatch Tower"] = "Tour de Guet-de-pierre",
	["Stonewrought Dam"] = "Barrage de Formepierre",
	["Stonewrought Pass"] = "Passage de Formepierre",
	["Storm Cliffs"] = "Falaises de la Tempête",
	["Storm Peaks"] = "Les pics Foudroyés",
	["Storm's Fury Wreckage"] = "Épave de la Furie de l'orage",
	Stormcrest = "Foudrecrête",
	["Stormfeather Outpost"] = "Avant-poste de Plumorage",
	["Stormglen Village"] = "Val-Tempête",
	["Stormpike Graveyard"] = "Cimetière Foudrepique",
	["Stormrage Barrow Dens"] = "Refuge des saisons de Malfurion",
	Stormwind = "Hurlevent",
	["Stormwind City"] = "Cité de Hurlevent",
	["Stormwind City Cemetery"] = "Cimetière de Hurlevent",
	["Stormwind City Outskirts"] = "Faubourgs de Hurlevent",
	["Stormwind Harbor"] = "Port de Hurlevent",
	["Stormwind Keep"] = "Donjon de Hurlevent",
	["Stormwind Lake"] = "Lac de Hurlevent",
	["Stormwind Mountains"] = "Monts Hurlevent",
	["Stormwind Stockade"] = "Prison de Hurlevent",
	["Stormwind Vault"] = "Banque de Hurlevent",
	["Stoutlager Inn"] = "Auberge de la Fortebière",
	Strahnbrad = "Strahnbrande",
	["Strand of the Ancients"] = "Rivage des Anciens",
	["Stranglethorn Vale"] = "Vallée de Strangleronce",
	Stratholme = "Stratholme",
	["Stratholme Entrance"] = "Entrée de Stratholme",
	["Stratholme Service Entrance"] = "Entrée de service de Stratholme",
	["Stromgarde Keep"] = "Donjon de Stromgarde",
	["Stygian Bounty"] = "Bonnet stygien",
	["Sub zone"] = "Sous-zone",
	["Sulfuron Keep"] = "Donjon de Sulfuron",
	["Sulfuron Keep Courtyard"] = "Cour du donjon de Sulfuron",
	["Sulfuron Span"] = "Viaduc de Sulfuron",
	["Sulfuron Spire"] = "Flèche de Sulfuron",
	["Sullah's Sideshow"] = "Stand de Sullah",
	["Summoners' Tomb"] = "Tombe des invocateurs",
	["Sun Rock Retreat"] = "Retraite de Roche-Soleil",
	["Sun's Reach Armory"] = "Armurerie des Confins du soleil",
	["Sun's Reach Harbor"] = "Port des Confins du soleil",
	["Sun's Reach Sanctum"] = "Sanctum des Confins du soleil",
	["Suncrown Village"] = "Solcouronne",
	["Sundown Marsh"] = "Marais du Couchant",
	["Sunfire Point"] = "Halte du Feu solaire",
	["Sunfury Hold"] = "Bastion des Solfurie",
	["Sunfury Spire"] = "Flèche de Solfurie",
	["Sungraze Peak"] = "Pic de Frôle-soleil",
	["Sunken Dig Site"] = "Site de fouilles englouti",
	["Sunken Temple"] = "Temple englouti",
	["Sunken Temple Entrance"] = "Entrée du Temple englouti",
	["Sunreaver Pavilion"] = "Pavillon de Saccage-soleil",
	["Sunreaver's Command"] = "Quartier général de Saccage-soleil",
	["Sunreaver's Sanctuary"] = "Sanctuaire de Saccage-soleil",
	["Sunsail Anchorage"] = "Mouillage des Voiles du soleil",
	["Sunspring Post"] = "Poste de Berceau-de-l'Été",
	["Sunstone Terrace"] = "Terrasse Solpierre",
	["Sunstrider Isle"] = "Île de Haut-Soleil",
	["Sunveil Excursion"] = "Expédition de Solevoile",
	["Sunwatcher's Ridge"] = "Crête du Guette-soleil",
	["Sunwell Plateau"] = "Plateau du Puits de soleil",
	["Supply Caravan"] = "Caravane de ravitaillement",
	["Surge Needle"] = "Capteur tellurique",
	["Surveyors' Outpost"] = "Avant-poste des géomètres",
	Surwich = "Surwich",
	["Svarnos' Cell"] = "Cellule de Svarnos",
	["Swamp of Sorrows"] = "Marais des Chagrins",
	["Swamplight Manor"] = "Manoir des Flammeroles",
	["Swamprat Post"] = "Poste du Rat des marais",
	["Swiftgear Station"] = "Poste de Vifembraye",
	["Swindle Street"] = "Rue de la Fauche",
	["Swindlegrin's Dig"] = "Site de fouilles de Ricarnaque",
	["Sword's Rest"] = "Le Repos de l'épée",
	Sylvanaar = "Sylvanaar",
	["Tabetha's Farm"] = "Ferme de Tabetha",
	["Taelan's Tower"] = "Tour de Taelan",
	["Tahonda Ruins"] = "Ruines de Tahonda",
	["Tahret Grounds"] = "Terres de Tahret",
	["Tal'doren"] = "Tal'doren",
	["Talismanic Textiles"] = "Textiles talismaniques",
	["Talon Stand"] = "Séjour des serres",
	["Talonbranch Glade"] = "Clairière de Griffebranche",
	["Talondeep Pass"] = "Passe des Serres",
	["Talondeep Vale"] = "Vallée de la Perce des serres",
	Talramas = "Talramas",
	["Talrendis Point"] = "Halte de Talrendis",
	Tanaris = "Tanaris",
	["Tanaris Desert"] = "Désert de Tanaris",
	["Tanks for Everything"] = "Tank il y a de la vie",
	["Tanner Camp"] = "Camp de Tanner",
	["Tarren Mill"] = "Moulin-de-Tarren",
	["Taunka'le Village"] = "Taunka'le",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Teegan's Expedition"] = "Expédition de Teegan",
	["Tel'athion's Camp"] = "Camp de Tel'athion",
	Telaar = "Telaar",
	["Telaari Basin"] = "Bassin Telaari",
	Teldrassil = "Teldrassil",
	Telredor = "Telredor",
	["Tempest Bridge"] = "Pont de la Tempête",
	["Tempest Keep"] = "Donjon de la Tempête",
	["Tempest Keep - The Arcatraz Entrance"] = "Donjon de la Tempête - Entrée de l'Arcatraz",
	["Tempest Keep - The Botanica Entrance"] = "Donjon de la Tempête - Entrée de la Botanica",
	["Tempest Keep - The Mechanar Entrance"] = "Donjon de la Tempête - Entrée du Méchanar",
	["Tempest Keep: The Arcatraz"] = "Donjon de la Tempête : l'Arcatraz",
	["Tempest Keep: The Botanica"] = "Donjon de la Tempête : la Botanica",
	["Tempest Keep: The Mechanar"] = "Donjon de la Tempête : le Méchanar",
	["Tempest's Reach"] = "Confins de la Tourmente",
	["Temple City of En'kilah"] = "Ville-temple d'En'kilah",
	["Temple Hall"] = "Hall du Temple",
	["Temple Summit"] = "Sommet du temple",
	["Temple of Ahn'Qiraj"] = "Le temple d'Ahn'Qiraj",
	["Temple of Arkkoran"] = "Temple d'Arkkoran",
	["Temple of Asaad"] = "Temple d'Asaad",
	["Temple of Bethekk"] = "Temple de Bethekk",
	["Temple of Earth"] = "Temple de la Terre",
	["Temple of Invention"] = "Temple de l'Innovation",
	["Temple of Life"] = "Temple de la Vie",
	["Temple of Order"] = "Temple de l'Ordre",
	["Temple of Storms"] = "Temple des Tempêtes",
	["Temple of Telhamat"] = "Temple de Telhamat",
	["Temple of Uldum"] = "Temple d'Uldum",
	["Temple of Winter"] = "Temple de l'Hiver",
	["Temple of Wisdom"] = "Temple de la Sagesse",
	["Temple of Zin-Malor"] = "Temple de Zin-Malor",
	["Temple of the Forgotten"] = "Temple des oubliés",
	["Temple of the Moon"] = "Temple de la Lune",
	["Tenebrous Cavern"] = "Caverne Ténébreuse",
	["Terokk's Rest"] = "Repos de Terokk",
	["Terokkar Forest"] = "Forêt de Terokkar",
	["Terrace of Light"] = "Terrasse de la Lumière",
	["Terrace of Repose"] = "Terrasse de la Quiétude",
	["Terrace of the Augurs"] = "Terrasse des Augures",
	["Terrace of the Makers"] = "Terrasse des Faiseurs",
	["Terrace of the Sun"] = "Terrasse du soleil",
	["Terror Run"] = "Coteaux de la Terreur",
	["Terror Wing Path"] = "Chemin de l'Aile de la terreur",
	Terrordale = "Val-Terreur",
	["Terrorweb Tunnel"] = "Tunnel de Tisse-terreur",
	["Tethris Aran"] = "Tethris Aran",
	["Thal'darah Grove"] = "Bosquet de Thal'darah",
	["Thal'darah Overlook"] = "Surplomb de Thal'darah",
	Thalanaar = "Thalanaar",
	["Thalassian Pass"] = "Passe Thalassienne",
	["Thalassian Range"] = "Chaîne Thalassienne",
	["Thandol Span"] = "Viaduc de Thandol",
	["Thargad's Camp"] = "Camp de Thargad",
	["The Abandoned Reach"] = "Les confins Abandonnés",
	["The Abyssal Maw"] = "La Gueule des abysses",
	["The Abyssal Shelf"] = "La saillie Abyssale",
	["The Admiral's Den"] = "La tanière de l'Amiral",
	["The Agronomical Apothecary"] = "L'apothicaire agronomique",
	["The Alliance Valiants' Ring"] = "La lice des vaillants de l'Alliance",
	["The Altar of Damnation"] = "L'autel de la Damnation",
	["The Altar of Shadows"] = "L'autel des Ombres",
	["The Altar of Zul"] = "L'Autel de Zul",
	["The Ancient Grove"] = "Le bosquet Antique",
	["The Ancient Lift"] = "L'Antique élévateur",
	["The Antechamber"] = "L'antichambre",
	["The Anvil of Conflagration"] = "Enclume de la Déflagration",
	["The Anvil of Flame"] = "Enclume des Flammes",
	["The Apothecarium"] = "L'Apothicarium",
	["The Arachnid Quarter"] = "Le quartier des Arachnides",
	["The Arcanium"] = "L'Arcanium",
	["The Arcatraz"] = "L'Arcatraz",
	["The Archivum"] = "L'Archivum",
	["The Argent Stand"] = "Le séjour d'Argent",
	["The Argent Valiants' Ring"] = "La lice des vaillants d'Argent",
	["The Argent Vanguard"] = "L'avant-garde d'Argent",
	["The Arsenal Absolute"] = "L'Arsenal absolu",
	["The Aspirants' Ring"] = "La lice des aspirants",
	["The Assembly Chamber"] = "Salle capitulaire",
	["The Assembly of Iron"] = "L'assemblée du Fer",
	["The Athenaeum"] = "L'Athenaeum",
	["The Avalanche"] = "L'Avalanche",
	["The Azure Front"] = "Le front Azur",
	["The Bank of Dalaran"] = "Banque de Dalaran",
	["The Bank of Silvermoon"] = "Banque de Lune-d'argent",
	["The Banquet Hall"] = "La salle de banquet",
	["The Barrier Hills"] = "La Barrière",
	["The Bastion of Twilight"] = "Le bastion du Crépuscule",
	["The Battle for Gilneas"] = "La bataille de Gilnéas",
	["The Battle for Gilneas (Old City Map)"] = "La bataille de Gilnéas (ancienne carte de la ville)",
	["The Battle for Mount Hyjal"] = "La bataille du mont Hyjal",
	["The Battleboar Pen"] = "Enclos des Sangliers de guerre",
	["The Battlefront"] = "La Ligne de front",
	["The Bazaar"] = "Le Bazar",
	["The Beer Garden"] = "La guinguette",
	["The Bite"] = "La Morsure",
	["The Black Breach"] = "La brèche Noire",
	["The Black Market"] = "Le marché Noir",
	["The Black Morass"] = "Le Noir marécage",
	["The Black Temple"] = "Le temple Noir",
	["The Black Vault"] = "La Voûte noire",
	["The Blackwald"] = "La forêt Noire",
	["The Blazing Strand"] = "La grève Flamboyante",
	["The Blight Line"] = "La Ligne de la désolation",
	["The Blighted Pool"] = "L'étang Chancreux",
	["The Blood Furnace"] = "La Fournaise du sang",
	["The Blood Trail"] = "La traînée de Sang",
	["The Bloodcursed Reef"] = "Le récif du Sang maudit",
	["The Bloodmire"] = "Le bourbier Sanglant",
	["The Bloodoath"] = "Le Serment de sang",
	["The Bloodwash"] = "Le reflux Sanglant",
	["The Bombardment"] = "Le Bombardement",
	["The Bone Pile"] = "Le Tas d'os",
	["The Bone Wastes"] = "Le désert des Ossements",
	["The Bonefields"] = "Les champs d'Ossements",
	["The Bones of Nozronn"] = "Les os de Nozronn",
	["The Boneyard"] = "Le Charnier",
	["The Borean Wall"] = "Le mur Boréen",
	["The Botanica"] = "La Botanica",
	["The Bradshaw Mill"] = "Le moulin de Bradshaw",
	["The Breach"] = "La Brèche",
	["The Briny Cutter"] = "Le Fend-les-flots",
	["The Briny Pinnacle"] = "Cime Saumâtre",
	["The Broken Bluffs"] = "Les pitons Brisés",
	["The Broken Front"] = "Le front Brisé",
	["The Broken Hall"] = "Le Hall brisé",
	["The Broken Hills"] = "Les collines brisées",
	["The Broken Stair"] = "L'Escalier brisé",
	["The Broken Temple"] = "Le temple Brisé",
	["The Brood Pit"] = "La Fosse des couvées",
	["The Broodmother's Nest"] = "Le nid de la Mère des couvées",
	["The Bulwark"] = "La Barricade",
	["The Burning Corridor"] = "Le couloir Brûlant",
	["The Butchery"] = "La Boucherie",
	["The Cache of Madness"] = "L’antre de la Folie",
	["The Caller's Chamber"] = "La chambre de l'Invocateur",
	["The Canals"] = "Les Canaux",
	["The Cape of Stranglethorn"] = "Cap Strangleronce",
	["The Carrion Fields"] = "Les champs de la Charogne",
	["The Catacombs"] = "Les catacombes",
	["The Cauldron"] = "Le Chaudron",
	["The Cauldron of Flames"] = "Le Chaudron des flammes",
	["The Cave"] = "La Grotte",
	["The Celestial Planetarium"] = "Le planétarium céleste",
	["The Celestial Watch"] = "Le Guet céleste",
	["The Cemetary"] = "Le Cimetière",
	["The Cerebrillum"] = "Le Cervellium",
	["The Charred Vale"] = "Le val Calciné",
	["The Chilled Quagmire"] = "Le bourbier Glacial",
	["The Circle of Cinders"] = "Le cercle des Braises",
	["The Circle of Life"] = "Le cercle de Vie",
	["The Circle of Suffering"] = "Cercle de Souffrance",
	["The Clash of Thunder"] = "Le Fracas du tonnerre",
	["The Clean Zone"] = "La zone propre",
	["The Cleft"] = "La Faille",
	["The Clockwerk Run"] = "La Fuite du temps",
	["The Clutch"] = "L'Étreinte",
	["The Coil"] = "L'Anneau",
	["The Colossal Forge"] = "La Forge colossale",
	["The Comb"] = "Les Rayons",
	["The Commons"] = "Les communs",
	["The Conflagration"] = "La Déflagration",
	["The Conquest Pit"] = "La fosse des Conquérants",
	["The Conservatory"] = "Le jardin d'hiver",
	["The Conservatory of Life"] = "Le jardin de la Vie",
	["The Construct Quarter"] = "Le quartier des Assemblages",
	["The Cooper Residence"] = "La résidence des Tonnelier",
	["The Corridors of Ingenuity"] = "Les couloirs d'Ingéniosité",
	["The Court of Bones"] = "La cour des Ossements",
	["The Court of Skulls"] = "La cour des Crânes",
	["The Coven"] = "Le Convent",
	["The Creeping Ruin"] = "Les ruines aux Rampants",
	["The Crimson Cathedral"] = "La cathédrale Cramoisie",
	["The Crimson Dawn"] = "L'Aube cramoisie",
	["The Crimson Hall"] = "La salle Cramoisie",
	["The Crimson Reach"] = "Les confins Cramoisis",
	["The Crimson Throne"] = "Le Trône cramoisi",
	["The Crimson Veil"] = "La Voile cramoisie",
	["The Crossroads"] = "La Croisée",
	["The Crucible"] = "Le Creuset",
	["The Crucible of Flame"] = "Le Creuset des flammes",
	["The Crumbling Waste"] = "La Désagrégation",
	["The Cryo-Core"] = "Le Cryocœur",
	["The Crystal Hall"] = "Hall de Cristal",
	["The Crystal Shore"] = "Le rivage de Cristal",
	["The Crystal Vale"] = "La vallée des Cristaux",
	["The Crystal Vice"] = "L'Étau de cristal",
	["The Culling of Stratholme"] = "L'Épuration de Stratholme",
	["The Culling of Stratholme Entrance"] = "L'entrée de l'Épuration de Stratholme",
	["The Cursed Landing"] = "L’accostage Maudit",
	["The Dagger Hills"] = "Les collines de la Dague",
	["The Damsel's Luck"] = "La Chance de la demoiselle",
	["The Dark Approach"] = "La Sombre marche",
	["The Dark Defiance"] = "Le Noir défi",
	["The Dark Portal"] = "La porte des Ténèbres",
	["The Darkened Bank"] = "La rive Sombre",
	["The Darkwood"] = "Le Sombrebois",
	["The Dawnchaser"] = "Le Chasselaube",
	["The Dawning Isles"] = "Les îles de l'Aube",
	["The Dawning Square"] = "Place du Point-du-jour",
	["The Dead Acre"] = "L'acre Mort",
	["The Dead Field"] = "Le champ des Morts",
	["The Dead Fields"] = "Les champs des Morts",
	["The Dead Mire"] = "La Morte-bourbe",
	["The Dead Scar"] = "La Malebrèche",
	["The Deadmines"] = "Les Mortemines",
	["The Deathforge"] = "La Forgemort",
	["The Deathknell Graves"] = "Les tombeaux du Glas",
	["The Decrepit Fields"] = "Les champs Délabrés",
	["The Decrepit Flow"] = "Le courant Stagnant",
	["The Deep Reaches"] = "Le Fin-fond",
	["The Defiled Chapel"] = "La chapelle Profanée",
	["The Den"] = "L'Antre",
	["The Den of Flame"] = "L'antre des Flammes",
	["The Dens of Dying"] = "Les tanières du Trépas",
	["The Dens of the Dying"] = "Les tanières du Trépas",
	["The Descent into Madness"] = "La Descente dans la folie",
	["The Desecrated Altar"] = "L'autel Désacralisé",
	["The Devil's Terrace"] = "La terrasse du Diable",
	["The Devouring Breach"] = "La brèche Dévorante",
	["The Domicile"] = "Le Domicile",
	["The Dor'Danil Barrow Den"] = "Le refuge des saisons de Dor'danil",
	["The Dormitory"] = "Le dortoir",
	["The Drag"] = "La Herse",
	["The Dragon Wastes"] = "Le désert des Dragons",
	["The Dragonmurk"] = "Le cloaque aux Dragons",
	["The Drain"] = "La Vidange",
	["The Dranosh'ar Blockade"] = "Barricade de Dranosh'ar",
	["The Drowned Reef"] = "Le récif Englouti",
	["The Drowned Sacellum"] = "Le sacellum Englouti",
	["The Dry Hills"] = "Les collines Arides",
	["The Dust Plains"] = "Les plaines de Poussière",
	["The Dustbowl"] = "Vallée de la Poussière",
	["The Eastern Earthshrine"] = "Le sanctuaire Terrestre de l'Est",
	["The Emerald Summit"] = "Le sommet d'Émeraude",
	["The Escape From Durnholde"] = "L'évasion de Fort-de-Durn",
	["The Escape from Durnholde Entrance"] = "Entrée de l'évasion de Fort-de-Durn",
	["The Eventide"] = "Le Brunant",
	["The Exodar"] = "L'Exodar",
	["The Eye"] = "L'Œil",
	["The Eye of Eternity"] = "L'Œil de l'éternité",
	["The Eye of the Vortex"] = "L'Œil du Vortex",
	["The Farstrider Lodge"] = "Le pavillon des Pérégrins",
	["The Fel Pits"] = "Les Gangrefosses",
	["The Fetid Pool"] = "Le bassin Fétide",
	["The Filthy Animal"] = "À la sale bête",
	["The Firehawk"] = "Le Faucon-de-feu",
	["The Flamewake"] = "Le Sillage des flammes",
	["The Fleshwerks"] = "La Charognerie",
	["The Flood Plains"] = "Les plaines Inondées",
	["The Fold"] = "Le Repli",
	["The Foot Steppes"] = "Le Pied-Mont",
	["The Foothill Caverns"] = "Les cavernes des Contreforts",
	["The Forbidding Sea"] = "La mer Interdite",
	["The Forest of Shadows"] = "La forêt des Ombres",
	["The Forge of Souls"] = "La Forge des Âmes",
	["The Forge of Souls Entrance"] = "Entrée de la forge des Âmes",
	["The Forge of Supplication"] = "Forge de la Supplique",
	["The Forge of Wills"] = "La Forge des volontés",
	["The Forgotten Coast"] = "La côte Oubliée",
	["The Forgotten Overlook"] = "Le surplomb Oublié",
	["The Forgotten Pool"] = "Les bassins Oubliés",
	["The Forgotten Pools"] = "Les bassins Oubliés",
	["The Forgotten Shore"] = "La côte Oubliée",
	["The Forlorn Cavern"] = "La caverne Lugubre",
	["The Forlorn Mine"] = "La mine Lugubre",
	["The Forsaken Front"] = "Le front des Réprouvés",
	["The Foul Pool"] = "Le bassin Souillé",
	["The Frigid Tomb"] = "La tombe Algide",
	["The Frost Queen's Lair"] = "Le repaire de la reine du Givre",
	["The Frostwing Halls"] = "Les salles de l'Aile de givre",
	["The Frozen Glade"] = "La clairière Gelée",
	["The Frozen Halls"] = "Les salles Gelées",
	["The Frozen Mine"] = "La mine Gelée",
	["The Frozen Sea"] = "La mer Gelée",
	["The Frozen Throne"] = "Le Trône de glace",
	["The Fungal Vale"] = "La vallée des Fongus",
	["The Furnace"] = "La Fournaise",
	["The Gaping Chasm"] = "Le gouffre Béant",
	["The Gate of Unending Cycles"] = "La porte des Cycles infinis",
	["The Gatehouse"] = "La Conciergerie",
	["The Gauntlet"] = "Le Défi",
	["The Geyser Fields"] = "Les champs de Geysers",
	["The Gilded Gate"] = "La Porte dorée",
	["The Glimmering Pillar"] = "Le pilier Scintillant",
	["The Golden Plains"] = "Les plaines Dorées",
	["The Grand Ballroom"] = "La grande salle de bal",
	["The Grand Vestibule"] = "Grand Vestibule",
	["The Great Arena"] = "La Grande arène",
	["The Great Divide"] = "La Grande division",
	["The Great Fissure"] = "La Grande fissure",
	["The Great Forge"] = "La Grande forge",
	["The Great Gate"] = "La Grande porte",
	["The Great Lift"] = "La Grande élévation",
	["The Great Ossuary"] = "Le Grand ossuaire",
	["The Great Sea"] = "La Grande mer",
	["The Great Tree"] = "Le Grand arbre",
	["The Green Belt"] = "La Ceinture verte",
	["The Greymane Wall"] = "Le mur de Grisetête",
	["The Grim Guzzler"] = "Le Sinistre écluseur",
	["The Grinding Quarry"] = "La Carrière grinçante",
	["The Grizzled Den"] = "L'antre Gris",
	["The Guardhouse"] = "Le Corps de garde",
	["The Guest Chambers"] = "Les Appartements des hôtes",
	["The Gullet"] = "Le Gosier",
	["The Half Shell"] = "La Demi-coquille",
	["The Hall of Blood"] = "Le hall du Sang",
	["The Hall of Gears"] = "Le Hall des engrenages",
	["The Hall of Lights"] = "Le Hall des lumières",
	["The Hall of Respite"] = "Les salles du Répit",
	["The Halls of Reanimation"] = "Les salles de réanimation",
	["The Halls of Winter"] = "Les salles de l'Hiver",
	["The Hand of Gul'dan"] = "La Main de Gul'dan",
	["The Harborage"] = "Le havre Boueux",
	["The Hatchery"] = "La chambre des Œufs",
	["The Headland"] = "L'Avancée",
	["The Headlands"] = "L'Éminence",
	["The Heap"] = "Le Monceau",
	["The Heart of Acherus"] = "Le cœur d'Achérus",
	["The Hidden Clutch"] = "La Couvée cachée",
	["The Hidden Grove"] = "Le bosquet Caché",
	["The Hidden Hollow"] = "Le creux Caché",
	["The Hidden Passage"] = "Le passage secret",
	["The Hidden Reach"] = "La voie cachée",
	["The Hidden Reef"] = "Le récif Caché",
	["The High Path"] = "Le Haut chemin",
	["The High Road"] = "La Haute-route",
	["The High Seat"] = "Le Haut Siège",
	["The Hinterlands"] = "Les Hinterlands",
	["The Hoard"] = "Le Trésor",
	["The Hole"] = "Le Trou",
	["The Horde Valiants' Ring"] = "La lice des vaillants de la Horde",
	["The Horsemen's Assembly"] = "L'assemblée des Cavaliers",
	["The Howling Hollow"] = "Le creux Hurlant",
	["The Howling Oak"] = "Le Chêne hurlant",
	["The Howling Vale"] = "Le val Hurlant",
	["The Hunter's Reach"] = "La Portée du chasseur",
	["The Hushed Bank"] = "La rive Silencieuse",
	["The Icy Depths"] = "Les Profondeurs glacées",
	["The Immortal Coil"] = "La Glène immortelle",
	["The Imperial Seat"] = "Le Siège impérial",
	["The Infectis Scar"] = "La Balafre infecte",
	["The Inferno"] = "L'Ignescence",
	["The Inner Spire"] = "La flèche Intérieure",
	["The Intrepid"] = "L'Intrépide",
	["The Inventor's Library"] = "Bibliothèque de l'Inventeur",
	["The Iron Crucible"] = "Le creuset de Fer",
	["The Iron Hall"] = "Le Hall de fer",
	["The Iron Reaper"] = "La Faucheuse de fer",
	["The Isle of Spears"] = "L'île des Lances",
	["The Ivar Patch"] = "Le lopin d'Ivar",
	["The Jansen Stead"] = "La ferme des Jansen",
	["The Krazzworks"] = "Le Kraazar",
	["The LMS Mark II"] = "Le LMS Mod. II",
	["The Laboratory"] = "Le Laboratoire",
	["The Lagoon"] = "Le Lagon",
	["The Laughing Stand"] = "La grève Rieuse",
	["The Legerdemain Lounge"] = "L'Abracadabar",
	["The Legion Front"] = "Le front de la Légion",
	["The Librarium"] = "Le Librarium",
	["The Library"] = "La Bibliothèque",
	["The Lifebinder's Cell"] = "Cellule de la Lieuse-de-vie",
	["The Lifeblood Pillar"] = "Le pilier Sang-de-vie",
	["The Lightless Reaches"] = "Les confins Enténébrés",
	["The Living Grove"] = "Le bosquet Vivant",
	["The Living Wood"] = "Le bois Vivant",
	["The Loch"] = "Le Loch",
	["The Long Wash"] = "Le Lent reflux",
	["The Lost Fleet"] = "La flotte Perdue",
	["The Lost Fold"] = "Le Repli perdu",
	["The Lost Isles"] = "Les îles Perdues",
	["The Lost Lands"] = "Les terres Perdues",
	["The Lost Passage"] = "Le passage Perdu",
	["The Low Path"] = "Le Bas chemin",
	["The Lyceum"] = "Le Lyceum",
	["The Maclure Vineyards"] = "Les vignes des Maclure",
	["The Maelstrom"] = "Le Maelström",
	["The Maker's Overlook"] = "Surplomb du Faiseur",
	["The Maker's Rise"] = "Cime du Faiseur",
	["The Maker's Terrace"] = "La terrasse du Faiseur",
	["The Makers' Overlook"] = "Le surplomb du Faiseur",
	["The Makers' Perch"] = "Perchoir du Faiseur",
	["The Manufactory"] = "La Manufacture",
	["The Marris Stead"] = "La ferme des Marris",
	["The Marshlands"] = "La Fondrière",
	["The Masonary"] = "La Maçonnerie",
	["The Master's Cellar"] = "La cave du maître",
	["The Master's Glaive"] = "Le Glaive du maître",
	["The Maul"] = "L'Etripoir",
	["The Maw of Madness"] = "L'antre de la Folie",
	["The Mechanar"] = "Le Méchanar",
	["The Menagerie"] = "La Ménagerie",
	["The Menders' Stead"] = "Bivouac des Soigneurs",
	["The Merchant Coast"] = "La côte des Marchands",
	["The Militant Mystic"] = "Le Mystique belliqueux",
	["The Military Quarter"] = "Le quartier Militaire",
	["The Military Ward"] = "La Garde militaire",
	["The Mind's Eye"] = "La Vue de l'esprit",
	["The Mirror of Dawn"] = "Le Miroir de l'aube",
	["The Mirror of Twilight"] = "Le Miroir du crépuscule",
	["The Molsen Farm"] = "La ferme des Molsen",
	["The Molten Bridge"] = "Le pont de magma",
	["The Molten Core"] = "Le Cœur du Magma",
	["The Molten Fields"] = "Les champs Liquéfiés",
	["The Molten Flow"] = "Le courant du Magma",
	["The Molten Span"] = "Le viaduc du magma",
	["The Mor'Shan Ramparts"] = "Le rempart de Mor'shan",
	["The Mor'shan Rampart"] = "Le Rempart de Mor'shan",
	["The Mosslight Pillar"] = "Le pilier Mousselume",
	["The Mountain Den"] = "La tanière du Mont",
	["The Murder Pens"] = "Les enclos meurtriers",
	["The Mystic Ward"] = "La Garde mystique",
	["The Necrotic Vault"] = "Le caveau nécrotique",
	["The Nexus"] = "Le Nexus",
	["The Nexus Entrance"] = "Entrée du Nexus",
	["The Nightmare Scar"] = "La Balafre du Cauchemar",
	["The North Coast"] = "La côte Nord",
	["The North Sea"] = "La mer Boréale",
	["The Nosebleeds"] = "Les Gueules-Cassées",
	["The Noxious Glade"] = "La clairière Nocive",
	["The Noxious Hollow"] = "Le creux empoisonné",
	["The Noxious Lair"] = "Le repaire Nuisible",
	["The Noxious Pass"] = "La passe Nocive",
	["The Oblivion"] = "L'Oubli",
	["The Observation Ring"] = "le cercle d'observation",
	["The Obsidian Sanctum"] = "Le sanctum Obsidien",
	["The Oculus"] = "L'Oculus",
	["The Oculus Entrance"] = "Entrée de l'Oculus",
	["The Old Barracks"] = "La Vieille caserne",
	["The Old Dormitory"] = "L'ancien dortoir",
	["The Old Port Authority"] = "L'ancienne capitainerie",
	["The Opera Hall"] = "L'Opéra",
	["The Oracle Glade"] = "La clairière de l'Oracle",
	["The Outer Ring"] = "Le cercle extérieur",
	["The Overgrowth"] = "Le Lacis",
	["The Overlook"] = "Le Surplomb",
	["The Overlook Cliffs"] = "Les Hauts-Surplombs",
	["The Pale Roost"] = "Le perchoir Diaphane",
	["The Park"] = "Le Parc",
	["The Path of Anguish"] = "Le chemin de l'Angoisse",
	["The Path of Conquest"] = "La voie de la Conquête",
	["The Path of Corruption"] = "La voie de la Corruption",
	["The Path of Glory"] = "Le sentier de la Gloire",
	["The Path of Iron"] = "Le sentier du Fer",
	["The Path of the Lifewarden"] = "Le chemin de la Gardienne de la vie",
	["The Phoenix Hall"] = "Le hall du Phénix",
	["The Pillar of Ash"] = "Le Pilier de cendres",
	["The Pipe"] = "La Conduite",
	["The Pit of Criminals"] = "La Fosse des criminels",
	["The Pit of Fiends"] = "La fosse aux Démons",
	["The Pit of Narjun"] = "La fosse de Narjun",
	["The Pit of Refuse"] = "La Fosse aux ordures",
	["The Pit of Sacrifice"] = "La Fosse aux sacrifices",
	["The Pit of Scales"] = "La fosse des Écailles",
	["The Pit of the Fang"] = "La fosse du Croc",
	["The Plague Quarter"] = "Le quartier de la Peste",
	["The Plagueworks"] = "La Pesterie",
	["The Pool of Ask'ar"] = "Le Bassin d'Ask'ar",
	["The Pools of Vision"] = "Les bassins de la Vision",
	["The Prison of Yogg-Saron"] = "La prison de Yogg-Saron",
	["The Proving Grounds"] = "Le terrain d'Essai",
	["The Purple Parlor"] = "Le salon Violet",
	["The Quagmire"] = "Le Bourbier",
	["The Quaking Fields"] = "Les fonds Tremblants",
	["The Queen's Reprisal"] = "La Riposte de la reine",
	["The Raging Chasm"] = "Le gouffre Déchaîné",
	["The Rangers' Lodge"] = "Pavillon des forestiers",
	["The Red Reaches"] = "Les confins Rouges",
	["The Refectory"] = "Le réfectoire",
	["The Regrowth"] = "Le Renouveau",
	["The Reliquary"] = "Le Reliquaire",
	["The Repository"] = "Le Dépôt",
	["The Reservoir"] = "Le Réservoir",
	["The Restless Front"] = "Le front Sans-Repos",
	["The Ridge of Ancient Flame"] = "La crête de la Flamme antique",
	["The Rift"] = "La Faille",
	["The Ring of Blood"] = "L'arène de Sang",
	["The Ring of Champions"] = "La lice des Champions",
	["The Ring of Trials"] = "L'arène des Épreuves",
	["The Ring of Valor"] = "L'arène des Valeureux",
	["The Riptide"] = "Le Courant",
	["The Roiling Gardens"] = "Les jardins Mouvants",
	["The Rolling Gardens"] = "Les jardins Mouvants",
	["The Rolling Plains"] = "Les plaines Vallonnées",
	["The Rookery"] = "La colonie",
	["The Rotting Orchard"] = "Le verger Pourrissant",
	["The Royal Exchange"] = "La Bourse royale",
	["The Ruby Sanctum"] = "Le sanctum Rubis",
	["The Ruined Reaches"] = "Les confins Dévastés",
	["The Ruins of Kel'Theril"] = "Les ruines de Kel'Theril",
	["The Ruins of Ordil'Aran"] = "Les ruines d'Ordil'Aran",
	["The Ruins of Stardust"] = "Les ruines de Chimétoile",
	["The Rumble Cage"] = "La Cage des grondements",
	["The Rustmaul Dig Site"] = "Site de fouilles de Cognerouille",
	["The Sacred Grove"] = "Le bosquet Sacré",
	["The Salty Sailor Tavern"] = "La taverne du Loup de mer",
	["The Sanctum"] = "Le sanctum",
	["The Sanctum of Blood"] = "Le sanctum de Sang",
	["The Savage Coast"] = "La côte Sauvage",
	["The Savage Glen"] = "Le vallon Sauvage",
	["The Savage Thicket"] = "Le fourré Sauvage",
	["The Scalding Chasm"] = "Le gouffre Brûlant",
	["The Scalding Pools"] = "Les bassins Brûlants",
	["The Scarab Dais"] = "L'Estrade du scarabée",
	["The Scarab Wall"] = "Le mur du Scarabée",
	["The Scarlet Basilica"] = "La basilique Écarlate",
	["The Scarlet Bastion"] = "Le Bastion écarlate",
	["The Scorched Grove"] = "Le bosquet Incendié",
	["The Scorched Plain"] = "La plaine Incendiée",
	["The Scrap Field"] = "La Ferraille",
	["The Scrapyard"] = "La Ferraillerie",
	["The Screaming Hall"] = "Le hall hurlant",
	["The Screaming Reaches"] = "Les confins Hurlants",
	["The Screeching Canyon"] = "Canyon des Hurlements",
	["The Scribe of Stormwind"] = "Au scribe de Hurlevent",
	["The Scribes' Sacellum"] = "Le sacellum du scribe",
	["The Scullery"] = "Les cuisines",
	["The Sea Reaver's Run"] = "Le trajet du Saccageur des mers",
	["The Sea of Cinders"] = "La mer de Braises",
	["The Seabreach Flow"] = "Le courant de la Brèche",
	["The Sealed Hall"] = "Le Hall scellé",
	["The Searing Gateway"] = "Les portes Brûlantes",
	["The Secret Lab"] = "Le laboratoire Secret",
	["The Seer's Library"] = "Bibliothèque du Voyant",
	["The Sepulcher"] = "Le Sépulcre",
	["The Severed Span"] = "Le viaduc Rompu",
	["The Sewer"] = "Les égouts",
	["The Shadow Stair"] = "L'escalier de l'Ombre",
	["The Shadow Throne"] = "Le trône des Ombres",
	["The Shadow Vault"] = "Le caveau des Ombres",
	["The Shady Nook"] = "Le creux Ombragé",
	["The Shaper's Terrace"] = "La terrasse du Façonneur",
	["The Shattered Halls"] = "Les salles Brisées",
	["The Shattered Strand"] = "La grève Fracassée",
	["The Shattered Walkway"] = "Le passage Brisé",
	["The Shepherd's Gate"] = "La porte du Berger",
	["The Shifting Mire"] = "Le bourbier Changeant",
	["The Shimmering Deep"] = "Les profondeurs Salines",
	["The Shimmering Flats"] = "Les Salines",
	["The Shining Strand"] = "Le rivage Rayonnant",
	["The Shrine of Aessina"] = "Le sanctuaire d'Aessina",
	["The Shrine of Eldretharr"] = "Le sanctuaire d'Eldretharr",
	["The Silver Blade"] = "La Lame argentée",
	["The Silver Enclave"] = "L'enclave Argentée",
	["The Sin'loren"] = "Le Sin'loren",
	["The Singing Grove"] = "Le bosquet Chantant",
	["The Skeletal Reef"] = "Le récif Squelettique",
	["The Skittering Dark"] = "Le Grouillement",
	["The Skull Warren"] = "Le dédale du Crâne",
	["The Skunkworks"] = "La Bidouillerie",
	["The Skybreaker"] = "Le Brise-ciel",
	["The Skyreach Pillar"] = "Le pilier Confins-du-Ciel",
	["The Slag Pit"] = "La fosse aux Scories",
	["The Slaughter House"] = "L'Abattoir",
	["The Slaughtered Lamb"] = "L'Agneau assassiné",
	["The Slave Pens"] = "Les enclos aux esclaves",
	["The Slave Pits"] = "Les fosses à esclaves",
	["The Slick"] = "La Glissade",
	["The Slithering Scar"] = "La Balafre sinueuse",
	["The Slough of Dispair"] = "Le Marais du désespoir",
	["The Sludge Fen"] = "La Videfange",
	["The Sludge Fields"] = "Champs Fangeux",
	["The Sludgewerks"] = "La Vidangerie",
	["The Solar Vigil"] = "La veillée solaire",
	["The Solarium"] = "Le Solarium",
	["The Spark of Imagination"] = "L'Étincelle d'imagination",
	["The Sparkling Crawl"] = "La Serpentine étincelante",
	["The Spawning Glen"] = "Le vallon des Pontes",
	["The Spire"] = "La Flèche",
	["The Stadium"] = "Le Stade",
	["The Stagnant Oasis"] = "L'oasis Stagnante",
	["The Staidridge"] = "La corniche Austère",
	["The Stair of Destiny"] = "L'escalier du Destin",
	["The Stair of Doom"] = "L'escalier de la Fatalité",
	["The Steam Pools"] = "Les bassins de Vapeur",
	["The Steamvault"] = "Le caveau de la Vapeur",
	["The Steppe of Life"] = "Les steppes de la Vie",
	["The Steps of Fate"] = "Les marches du Destin",
	["The Stockade"] = "La Prison",
	["The Stockpile"] = "La Réserve",
	["The Stone Vault"] = "Caveau de pierre",
	["The Stonecore"] = "Le Cœur-de-Pierre",
	["The Stonecore Entrance"] = "Entrée du Cœur-de-Pierre",
	["The Stonefield Farm"] = "La ferme des Champierreux",
	["The Storehouse"] = "L'entrepôt",
	["The Storm Foundry"] = "La fonderie des Tempêtes",
	["The Storm Peaks"] = "Les pics Foudroyés",
	["The Stormbreaker"] = "Le Brise-tempête",
	["The Stormspire"] = "La Foudreflèche",
	["The Stormwright's Shelf"] = "La saillie de Forgetempête",
	["The Sun Forge"] = "La forge du Soleil",
	["The Sundered Shard"] = "L'Éclat scindé",
	["The Sundering"] = "La Fracture",
	["The Sunken Ring"] = "L'arène Engloutie",
	["The Sunspire"] = "La Flèche solaire",
	["The Suntouched Pillar"] = "Le pilier Solegrâce",
	["The Sunwell"] = "Le Puits de soleil",
	["The Swarming Pillar"] = "Le pilier grouillant",
	["The Tainted Forest"] = "La forêt Impure",
	["The Tainted Scar"] = "La Balafre impure",
	["The Talon Den"] = "L'antre des Serres",
	["The Talondeep Path"] = "La Perce des serres",
	["The Tempest Rift"] = "La faille des Tempêtes",
	["The Temple Gardens"] = "Les jardins du Temple",
	["The Temple of Atal'Hakkar"] = "Le temple d'Atal'Hakkar",
	["The Terrestrial Watchtower"] = "La tour de guet terrestre",
	["The Thornsnarl"] = "Grognépine",
	["The Threads of Fate"] = "Le Fil du destin",
	["The Threshold"] = "Le Seuil",
	["The Throne of Flame"] = "Le Trône des Flammes",
	["The Tidebreaker"] = "La Déferlante",
	["The Tidus Stair"] = "L'escalier des Marées",
	["The Tower of Arathor"] = "La tour d'Arathor",
	["The Toxic Airfield"] = "L'aérodrome Toxique",
	["The Trail of Devastation"] = "La piste Dévastée",
	["The Tranquil Grove"] = "Bosquet Paisible",
	["The Transitus Stair"] = "L'escalier Transitus",
	["The Trapper's Enclave"] = "L'enclave du Trappeur",
	["The Tribunal of Ages"] = "Le tribunal des Âges",
	["The Tundrid Hills"] = "Les collines de Tundrid",
	["The Twilight Breach"] = "La Brèche du Crépuscule",
	["The Twilight Caverns"] = "Les cavernes du Crépuscule",
	["The Twilight Citadel"] = "La citadelle du Crépuscule",
	["The Twilight Enclave"] = "L'enclave du Crépuscule",
	["The Twilight Gate"] = "La porte du Crépuscule",
	["The Twilight Gauntlet"] = "L'Épreuve du Crépuscule",
	["The Twilight Ridge"] = "La crête du Crépuscule",
	["The Twilight Rivulet"] = "Le ruisselet du Crépuscule",
	["The Twilight Withering"] = "La Flétrissure du Crépuscule",
	["The Twin Colossals"] = "Les Colosses jumeaux",
	["The Twisted Glade"] = "La clairière Tordue",
	["The Unbound Thicket"] = "Le fourré Délié",
	["The Underbelly"] = "Les Entrailles",
	["The Underbog"] = "La Basse-tourbière",
	["The Undercroft"] = "Le caveau de Zaeldarr",
	["The Underhalls"] = "Les Basses-salles",
	["The Undershell"] = "La Coquoyeuse",
	["The Uplands"] = "Les Hauteurs",
	["The Upside-down Sinners"] = "Les Pécheurs fous",
	["The Valley of Fallen Heroes"] = "La vallée des Héros défunts",
	["The Valley of Lost Hope"] = "La vallée de l'Espoir perdu",
	["The Vault of Lights"] = "La Voûte des lumières",
	["The Vector Coil"] = "La Bobine vectorielle",
	["The Veiled Cleft"] = "La faille Voilée",
	["The Veiled Sea"] = "La mer Voilée",
	["The Venture Co. Mine"] = "La mine de la KapitalRisk",
	["The Verdant Fields"] = "Les champs Verdoyants",
	["The Verdant Thicket"] = "Le fourré Verdoyant",
	["The Verne"] = "Le Verni",
	["The Verne - Bridge"] = "Le Verni - Pont",
	["The Verne - Entryway"] = "Le Verni - Entrée",
	["The Vibrant Glade"] = "La clairière Vibrante",
	["The Vice"] = "L'Étau",
	["The Vicious Vale"] = "Le val Vicieux",
	["The Viewing Room"] = "La Chambre des visions",
	["The Vile Reef"] = "Le récif Infâme",
	["The Violet Citadel"] = "La citadelle Pourpre",
	["The Violet Citadel Spire"] = "Fléche de la citadelle Pourpre",
	["The Violet Gate"] = "La porte Pourpre",
	["The Violet Hold"] = "Le fort Pourpre",
	["The Violet Spire"] = "La flèche Pourpre",
	["The Violet Tower"] = "La tour Pourpre",
	["The Vortex Fields"] = "Les champs du vortex",
	["The Vortex Pinnacle"] = "Cime du Vortex",
	["The Vortex Pinnacle Entrance"] = "Entrée de la cime du Vortex",
	["The Wailing Caverns"] = "Les cavernes des Lamentations",
	["The Wailing Ziggurat"] = "La ziggourat Gémissante",
	["The Waking Halls"] = "Les salles de l'Éveil",
	["The Warlord's Garrison"] = "La garnison du Seigneur de guerre",
	["The Warlord's Terrace"] = "La terrasse du Seigneur de guerre",
	["The Warp Fields"] = "Les champs de Distorsion",
	["The Warp Piston"] = "Le Piston de distorsion",
	["The Wavecrest"] = "Le Hautevague",
	["The Weathered Nook"] = "La niche Érodée",
	["The Weeping Cave"] = "La grotte des Pleurs",
	["The Western Earthshrine"] = "Le sanctuaire Terrestre de l'Ouest",
	["The Westrift"] = "La Faille-Ouest",
	["The Whelping Downs"] = "Butte aux Dragonnets",
	["The Whipple Estate"] = "Le domaine de Whipple",
	["The Wicked Coil"] = "La Spirale pernicieuse",
	["The Wicked Grotto"] = "La grotte Maudite",
	["The Widow's Clutch"] = "Le Nid de la veuve",
	["The Wild Shore"] = "Le rivage Cruel",
	["The Winding Halls"] = "Les salles Tortueuses",
	["The Windrunner"] = "Le Coursevent",
	["The Wollerton Stead"] = "Ferme des Wollerton",
	["The Wonderworks"] = "La Miraclerie",
	["The World Tree"] = "L'Arbre-Monde",
	["The Writhing Deep"] = "Gouffre Grouillant",
	["The Writhing Haunt"] = "Le repaire Putride",
	["The Yorgen Farmstead"] = "La ferme des Yorgen",
	["The Zoram Strand"] = "La grève de Zoram",
	["Thelgen Rock"] = "Rocher de Thelgen",
	Thelsamar = "Thelsamar",
	Theramore = "Theramore",
	["Theramore Isle"] = "Île de Theramore",
	["Therazane's Throne"] = "Trône de Therazane",
	["Thermal Vents"] = "Puits aérifères",
	["Thieves Camp"] = "Camp des Voleurs",
	["Thistlefur Hold"] = "Repaire des Crins-de-Chardon",
	["Thistlefur Village"] = "Village des Crins-de-Chardon",
	["Thistleshrub Valley"] = "Vallée des Chardonniers",
	["Thondroril River"] = "La Thondroril",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Mur de Thoradin",
	["Thorium Advance"] = "Base avancée du Thorium",
	["Thorium Point"] = "Halte du Thorium",
	["Thorn Hill"] = "Colline des Épines",
	["Thornfang Hill"] = "Colline de Roncecroc",
	["Thornmantle's Hideout"] = "Planque de Mantépine",
	["Thorson's Post"] = "Poste de Thorson",
	["Thorvald's Camp"] = "Camp de Thorvald",
	["Thousand Needles"] = "Mille pointes",
	Thrallmar = "Thrallmar",
	["Thrallmar Mine"] = "Mine de Thrallmar",
	["Three Corners"] = "Trois chemins",
	["Throne of Kil'jaeden"] = "Trône de Kil'jaeden",
	["Throne of Neptulon"] = "Trône de Neptulon",
	["Throne of Tides"] = "Trône des marées",
	["Throne of the Apocalypse"] = "Trône de l'Apocalypse",
	["Throne of the Damned"] = "Trône des damnés",
	["Throne of the Elements"] = "Trône des éléments",
	["Throne of the Four Winds"] = "Trône des quatre vents",
	["Throne of the Tides"] = "Trône des marées",
	["Throne of the Tides Entrance"] = "Entrée du Trône des marées",
	["Thrym's End"] = "Fin de Thrym",
	["Thunder Axe Fortress"] = "Forteresse de Hache-Tonnerre",
	["Thunder Bluff"] = "Les Pitons-du-Tonnerre",
	["Thunder Falls"] = "Chutes du Tonnerre",
	["Thunder Peak"] = "Le Pic-Tonnerre",
	["Thunder Ridge"] = "Falaises du Tonnerre",
	Thunderbluff = "Les Pitons-du-Tonnerre",
	["Thunderbrew Distillery"] = "Distillerie Tonnebière",
	Thunderfall = "Chute-tonnerre",
	["Thunderhorn Water Well"] = "Puits Corne-tonnerre",
	["Thundering Overlook"] = "Le surplomb Foudroyant",
	["Thunderlord Stronghold"] = "Bastion des Sire-tonnerre",
	Thundermar = "Tonnemar",
	["Thundermar Ruins"] = "Ruines de Tonnemar",
	["Thunderstrike Mountain"] = "Mont Frappe-tonnerre",
	["Thunk's Abode"] = "Demeure de Thunk",
	["Thuron's Livery"] = "Écurie de Thuron",
	["Tidefury Cove"] = "Crique du Mascaret",
	["Tides' Hollow"] = "Creux des marées",
	["Timbermaw Hold"] = "Repaire des Grumegueules",
	["Timbermaw Post"] = "Poste des Grumegueules",
	["Tinker Town"] = "Brikabrok",
	["Tinkers' Court"] = "Cour du Bricoleur",
	["Tiragarde Keep"] = "Donjon de Tiragarde",
	["Tirisfal Glades"] = "Clairières de Tirisfal",
	["Tirth's Haunt"] = "Antre de Tirth",
	["Tkashi Ruins"] = "Ruines de Tkashi",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Péninsule de Tol Barad",
	["Tomb of Lights"] = "Tombeau des Lumières",
	["Tomb of the Ancients"] = "Tombeau des Anciens",
	["Tomb of the Earthrager"] = "Tombeau de l'Enrageterre",
	["Tomb of the Lost Kings"] = "Tombeau des Rois perdus",
	["Tomb of the Sun King"] = "Tombeau du roi-soleil",
	["Tomb of the Watchers"] = "Tombeau des Gardiens",
	["Tombs of the Precursors"] = "Tombes des Précurseurs",
	["Tome of the Unrepentant"] = "Tome du Relaps",
	["Tor'Watha"] = "Tor'Watha",
	["Tor'kren Farm"] = "Ferme de Tor'kren",
	["Torp's Farm"] = "Ferme de Torp",
	["Torseg's Rest"] = "Le Repos de Torseg",
	["Toryl Estate"] = "Domaine de Toryl",
	["Toshley's Station"] = "Poste de Toshley",
	["Tower Point"] = "Tour de la Halte",
	["Tower Watch"] = "Tour de guet",
	["Tower of Althalaxx"] = "Tour d'Althalaxx",
	["Tower of Azora"] = "Tour d'Azora",
	["Tower of Eldara"] = "Tour d'Eldara",
	["Tower of Estulan"] = "Tour d'Estulan",
	["Tower of Ilgalar"] = "Tour d'Ilgalar",
	["Tower of the Damned"] = "Tour des Damnés",
	["Town Square"] = "Place Centrale",
	["Town-In-A-Box"] = "Ville-en-Boîte",
	["Trade District"] = "Quartier commerçant",
	["Trade Quarter"] = "Quartier des Marchands",
	["Trader's Tier"] = "L'Étage des commerces",
	["Tradesmen's Terrace"] = "Terrasse des Marchands",
	["Train Depot"] = "Dépôt des trains",
	["Training Grounds"] = "Terrain d’entraînement",
	["Traitor's Cove"] = "Crique du traître",
	["Tranquil Coast"] = "Côte Tranquille",
	["Tranquil Gardens Cemetery"] = "Cimetière des Jardins paisibles",
	["Tranquil Shore"] = "Rivage Paisible",
	["Tranquil Wash"] = "Le reflux Tranquille",
	Tranquillien = "Tranquillien",
	Transborea = "Transborée",
	["Transitus Shield"] = "Bouclier Transitus",
	["Transport: Alliance Gunship"] = "Transport : canonnière de l'Alliance",
	["Transport: Alliance Gunship (IGB)"] = "Transport: canonnière de l'Alliance (IGB)",
	["Transport: Horde Gunship"] = "Transport : canonnière de la Horde",
	["Transport: Horde Gunship (IGB)"] = "Transport : canonnière de la Horde(IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "Transport : ascenseur Onyxia/Nefarian",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Transport : le Grand vent (raid de la Couronne de glace)",
	["Trelleum Mine"] = "Mine de Trelleum",
	["Trial of Fire"] = "L'Épreuve du Feu",
	["Trial of Frost"] = "L'Épreuve du Givre",
	["Trial of Shadow"] = "L'Épreuve de l'Ombre",
	["Trial of the Champion"] = "L'épreuve du champion",
	["Trial of the Champion Entrance"] = "Entrée de l'Épreuve du champion",
	["Trial of the Crusader"] = "L'épreuve du croisé",
	["Trogma's Claim"] = "La Prétention de Trogma",
	["Trollbane Hall"] = "Manoir de Trollemort",
	["Trophy Hall"] = "Salle du Trophée",
	["Trueshot Point"] = "Pointe de Tir-précis",
	["Tuluman's Landing"] = "Point d'ancrage de Tuluman",
	Tuurem = "Tuurem",
	["Twilight Aerie"] = "Nichoir du Crépuscule",
	["Twilight Altar of Storms"] = "Autel des tempêtes du Crépuscule",
	["Twilight Base Camp"] = "Camp de base du Crépuscule",
	["Twilight Bulwark"] = "Barricade du Crépuscule",
	["Twilight Camp"] = "Campement du Crépuscule",
	["Twilight Command Post"] = "Poste de commandement du Crépuscule",
	["Twilight Crossing"] = "Carrefour du Crépuscule",
	["Twilight Forge"] = "La forge du Crépuscule",
	["Twilight Grove"] = "Bosquet crépusculaire",
	["Twilight Highlands"] = "Hautes-terres du Crépuscule",
	["Twilight Highlands Phased Entrance"] = "Entrée phasée des Hautes-terres du Crépuscule",
	["Twilight Outpost"] = "Avant-poste du Crépuscule",
	["Twilight Overlook"] = "Surplomb du Crépuscule",
	["Twilight Post"] = "Poste du Crépuscule",
	["Twilight Precipice"] = "Précipice du Crépuscule",
	["Twilight Shore"] = "Rivage du Crépuscule",
	["Twilight Terrace"] = "Terrasse du Crépuscule",
	["Twilight Vale"] = "Vallée du Crépuscule",
	["Twilight's Run"] = "Défilé du Crépuscule",
	["Twin Peaks"] = "Pics-Jumeaux",
	["Twin Shores"] = "Rivages Jumeaux",
	["Twin Spire Ruins"] = "Ruines des Flèches jumelles",
	["Twinbraid's Patrol"] = "Patrouille de Doublenattes",
	["Twisting Nether"] = "Le Néant distordu",
	["Tyr's Hand"] = "Main de Tyr",
	["Tyr's Hand Abbey"] = "Abbaye de la Main de Tyr",
	["Tyr's Terrace"] = "Terrasse de Tyr",
	["Ufrang's Hall"] = "Salle d'Ufrang",
	Uldaman = "Uldaman",
	["Uldaman Entrance"] = "Entrée d'Uldaman",
	Uldis = "Uldis",
	Ulduar = "Ulduar",
	["Ulduar Raid - Interior - Insertion Point"] = "Raid d'Ulduar - Intérieur - Point d'insertion",
	["Ulduar Raid - Iron Concourse"] = "Raid d'Ulduar - Corridor de fer",
	Uldum = "Uldum",
	["Uldum Phase Oasis"] = "Oasis phasée d'Uldum",
	["Uldum Phased Entrance"] = "Entrée phasée d'Uldum",
	["Umbrafen Lake"] = "Lac Umbretourbe",
	["Umbrafen Village"] = "Umbretourbe",
	["Un'Goro Crater"] = "Cratère d'Un'Goro",
	Undercity = "Fossoyeuse",
	["Underlight Canyon"] = "Canyon de Terradiance",
	["Underlight Mines"] = "Mines de Terradiance",
	["Unearthed Grounds"] = "Terres Exhumées",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Garrison"] = "Garnison inflexible",
	["Upper Silvermarsh"] = "Marécage Argenté supérieur",
	["Upper Veil Shil'ak"] = "Voile Shil'ak supérieur",
	["Ursoc's Den"] = "Tanière d'Ursoc",
	Ursolan = "Ursolan",
	["Utgarde Catacombs"] = "Catacombes d'Utgarde",
	["Utgarde Keep"] = "Donjon d'Utgarde",
	["Utgarde Keep Entrance"] = "Entrée du donjon d'Utgarde",
	["Utgarde Pinnacle"] = "Cime d'Utgarde",
	["Utgarde Pinnacle Entrance"] = "Entrée de la cime d'Utgarde",
	["Uther's Tomb"] = "Tombeau d'Uther",
	["Valaar's Berth"] = "Amarrage de Valaar",
	["Valgan's Field"] = "Champ de Valgan",
	Valgarde = "Valgarde",
	["Valgarde Port"] = "Port-Valgarde",
	Valhalas = "Valhalas",
	["Valiance Keep"] = "Donjon de la Bravoure",
	["Valiance Landing Camp"] = "Terrain d'atterrissage de la Bravoure",
	Valkyrion = "Valkyrion",
	["Valley Of Heroes"] = "Vallée des Héros",
	["Valley of Ancient Winters"] = "La vallée des Anciens hivers",
	["Valley of Ashes"] = "Vallées des Cendres",
	["Valley of Bones"] = "Vallée des Ossements",
	["Valley of Echoes"] = "Vallée des Échos",
	["Valley of Fangs"] = "Vallée des Crocs",
	["Valley of Heroes"] = "Vallée des Héros",
	["Valley of Honor"] = "Vallée de l’Honneur",
	["Valley of Kings"] = "Vallée des Rois",
	["Valley of Spears"] = "Vallée des Lances",
	["Valley of Spirits"] = "Vallée des Esprits",
	["Valley of Strength"] = "Vallée de la Force",
	["Valley of Trials"] = "Vallée des Épreuves",
	["Valley of Wisdom"] = "Vallée de la Sagesse",
	["Valley of the Bloodfuries"] = "Vallée des Rouges-furies",
	["Valley of the Watchers"] = "Vallée des Guetteurs",
	["Valor's Rest"] = "Le Repos des vaillants",
	Valormok = "Valormok",
	["Valorwind Lake"] = "Lac Vent-vaillant",
	["Vanguard Infirmary"] = "Infirmerie de l'avant-garde",
	["Vanndir Encampment"] = "Campement de Vanndir",
	["Vargoth's Retreat"] = "Retraite de Vargoth",
	["Vashj'elan Spawning Pool"] = "Bassin de ponte de Vashj'elan",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Archavon"] = "Caveau d'Archavon",
	["Vault of Ironforge"] = "Chambre forte de Forgefer",
	["Vault of the Ravenian"] = "Caveau du Voracien",
	["Vault of the Shadowflame"] = "Caveau de l'Ombreflamme",
	["Veil Ala'rak"] = "Voile Ala'rak",
	["Veil Harr'ik"] = "Voile Harr'ik",
	["Veil Lashh"] = "Voile Lashh",
	["Veil Lithic"] = "Voile Lithic",
	["Veil Reskk"] = "Voile Reskk",
	["Veil Rhaze"] = "Voile Rhaze",
	["Veil Ruuan"] = "Voile Ruuan",
	["Veil Sethekk"] = "Voile Sethekk",
	["Veil Shalas"] = "Voile Shalas",
	["Veil Shienor"] = "Voile Shienor",
	["Veil Skith"] = "Voile Skith",
	["Veil Vekh"] = "Voile Vekh",
	["Vekhaar Stand"] = "Le séjour de Vekhaar",
	["Velaani's Arcane Goods"] = "Articles arcaniques de Velaani",
	["Vendetta Point"] = "Halte de la Vendetta",
	["Vengeance Landing"] = "Accostage de la Vengeance",
	["Vengeance Landing Inn"] = "Auberge de l'accostage de la Vengeance",
	["Vengeance Landing Inn, Howling Fjord"] = "Auberge de l'accostage de la Vengeance, fjord Hurlant",
	["Vengeance Lift"] = "Ascenseur de la vengeance",
	["Vengeance Pass"] = "Défilé de la Vengeance",
	["Vengeance Wake"] = "Le Vogue-Vengeance",
	Venomspite = "Vexevenin",
	["Venomweb Vale"] = "Vallée de Tissevenin",
	["Venture Bay"] = "Baie de la KapitalRisk",
	["Venture Co. Base Camp"] = "Campement de la KapitalRisk",
	["Venture Co. Operations Center"] = "Centre d'opérations de la KapitalRisk",
	["Verdant Highlands"] = "Hautes-terres Verdoyantes",
	["Verdantis River"] = "La Verdantis",
	["Veridian Point"] = "Cap viridien",
	["Verlok Stand"] = "Séjour des verloks",
	["Vermillion Redoubt"] = "La redoute Vermillon",
	["Verrall Delta"] = "Delta de la Verralle",
	["Verrall River"] = "La Verralle",
	["Victor's Point"] = "Halte de la Victoire",
	["Vileprey Village"] = "Vileproie",
	["Vim'gol's Circle"] = "Le cercle de Vim'gol",
	["Vindicator's Rest"] = "Repos du redresseur de torts",
	["Violet Citadel Balcony"] = "Balcon de la citadelle Pourpre",
	["Violet Hold"] = "Le fort Pourpre",
	["Violet Hold Entrance"] = "Entrée du fort Pourpre",
	["Violet Stand"] = "Le Séjour pourpre",
	["Vir'naal Dam"] = "Barrage de la Vir'naal",
	["Vir'naal Lake"] = "Lac de la Vir'naal",
	["Vir'naal Oasis"] = "Oasis de la Vir'naal",
	["Vir'naal River"] = "La Vir'naal",
	["Vir'naal River Delta"] = "Delta de la Vir'naal",
	["Void Ridge"] = "Crête du Vide",
	["Voidwind Plateau"] = "Le plateau Vent-du-Vide",
	["Volcanoth's Lair"] = "Repaire de Volcanoth",
	["Voldrin's Hold"] = "Bastion de Voldrin",
	Voldrune = "Voldrune",
	["Voldrune Dwelling"] = "Logis de Voldrune",
	Voltarus = "Voltarus",
	["Vordrassil Pass"] = "Passe de Vordrassil",
	["Vordrassil's Heart"] = "Cœur de Vordrassil",
	["Vordrassil's Limb"] = "Branche de Vordrassil",
	["Vordrassil's Tears"] = "Larmes de Vordrassil",
	["Vortex Pinnacle"] = "Cime du Vortex",
	["Vortex Summit"] = "Sommet du Vortex",
	["Vul'Gol Ogre Mound"] = "Tertre des Ogres vul'gol",
	["Vyletongue Seat"] = "Siège de Vylelangue",
	["Wahl Cottage"] = "Cottage des Wahl",
	["Wailing Caverns"] = "Cavernes des Lamentations",
	["Walk of Elders"] = "Promenade des Anciens",
	["War Quarter"] = "Quartier de la Guerre",
	["War Room"] = "Salle de guerre",
	["Warbringer's Ring"] = "L'arène du Porteguerre",
	["Warchief's Lookout"] = "Poste de guet du Chef de guerre",
	["Warden's Cage"] = "La Cage de la gardienne",
	["Warden's Chambers"] = "Chambres du Gardien",
	["Warden's Vigil"] = "Veille des Gardiens",
	["Warmaul Hill"] = "Colline des Cogneguerre",
	["Warpwood Quarter"] = "Quartier de Crochebois",
	["Warrior's Terrace"] = "Terrasse des Guerriers",
	["Warsong Camp"] = "Camp chanteguerre",
	["Warsong Farms Outpost"] = "Avant-poste des Fermes chanteguerres",
	["Warsong Flag Room"] = "Salle du drapeau des Chanteguerres",
	["Warsong Granary"] = "Grenier Chanteguerre",
	["Warsong Gulch"] = "Goulet des Chanteguerres",
	["Warsong Hold"] = "Bastion Chanteguerre",
	["Warsong Jetty"] = "Jetée Chanteguerre",
	["Warsong Labor Camp"] = "Camp de travail Chanteguerre",
	["Warsong Lumber Camp"] = "Camp de bûcherons Chanteguerre",
	["Warsong Lumber Mill"] = "Scierie des Chanteguerres",
	["Warsong Slaughterhouse"] = "Abattoir Chanteguerre",
	["Watchers' Terrace"] = "Terrasse des Guetteurs",
	["Waterspring Field"] = "Champ des Puisatiers",
	Waterworks = "Moulin à eau",
	["Wavestrider Beach"] = "Plage des Déferlantes",
	["Wayfarer's Rest"] = "Au repos du voyageur",
	Waygate = "Portail d'Accès",
	["Wayne's Refuge"] = "Refuge de Wayne",
	["Weazel's Crater"] = "Cratère de Fouignard",
	["Webwinder Hollow"] = "Creux des Tisseuses",
	["Webwinder Path"] = "Sentier des Tisseuses",
	["Weeping Quarry"] = "Carrière des Larmes",
	["Well of the Forgotten"] = "Puits de l'Oublié",
	["Wellson Shipyard"] = "Chantier naval de Wellson",
	["Wellspring Hovel"] = "Taudis d'Aigue-vive",
	["Wellspring Lake"] = "Lac d'Aigue-vive",
	["Wellspring River"] = "L'Aigue-vive",
	["West Garrison"] = "Garnison de l'Ouest",
	["West Pillar"] = "Pilier Ouest",
	["West Point Station"] = "Poste de la Halte de l'Ouest",
	["West Point Tower"] = "Tour du Cap Ouest",
	["West Sanctum"] = "Sanctum Occidental",
	["West Spear Tower"] = "Tour de la Lance de l'Ouest",
	["West Spire"] = "Flèche Ouest",
	["Westbrook Garrison"] = "Garnison du ruisseau de l’Ouest",
	["Western Bridge"] = "Pont de l'ouest",
	["Western Plaguelands"] = "Maleterres de l'Ouest",
	["Western Strand"] = "Rivage Occidental",
	Westfall = "Marche de l'Ouest",
	["Westfall Brigade"] = "Brigade de la marche de l'Ouest",
	["Westfall Brigade Encampment"] = "Campement de la brigade de la marche de l'Ouest",
	["Westfall Lighthouse"] = "Phare de l'Ouest",
	["Westguard Inn"] = "Auberge de la Garde de l'ouest",
	["Westguard Keep"] = "Donjon de la Garde de l'Ouest",
	["Westguard Turret"] = "Tourelle de la Garde de l'Ouest",
	["Westreach Summit"] = "Sommet Occidental",
	["Westspark Workshop"] = "Atelier de l'Ouestincelle",
	["Westwind Lift"] = "Ascenseur de Ponevent",
	["Westwind Refugee Camp"] = "Camp de réfugiés de Ponevent",
	Wetlands = "Les Paluns",
	["Whelgar's Excavation Site"] = "Excavations de Whelgar",
	["Whelgar's Retreat"] = "Retraite de Whelgar",
	["Whisper Gulch"] = "Goulet des Murmures",
	["Whispering Forest"] = "Forêt des Murmures",
	["Whispering Gardens"] = "Jardins des Murmures",
	["Whispering Shore"] = "Rivage des Murmures",
	["Whisperwind Grove"] = "Bosquet de Murmevent",
	["Whistling Grove"] = "Bosquet Sifflant",
	["White Pine Trading Post"] = "Comptoir du Pin blanc",
	["Whitebeard's Encampment"] = "Campement de Blanchebarbe",
	["Whitereach Post"] = "Poste de Blanc-relais",
	["Wild Overlook"] = "Surplomb Sauvage",
	["Wild Shore"] = "Le rivage Cruel",
	["Wildbend River"] = "La Sinueuse",
	["Wildervar Mine"] = "Mine Hardivar",
	["Wildflame Point"] = "Halte de Flamme-Sauvage",
	["Wildgrowth Mangal"] = "Mangrove de la Croissance sauvage",
	["Wildhammer Flag Room"] = "Salle du drapeau des Marteaux-hardis",
	["Wildhammer Keep"] = "Donjon des Marteaux-hardis",
	["Wildhammer Stronghold"] = "Bastion Marteau-hardi",
	["Wildheart Point"] = "Halte de Cœur-Sauvage",
	["Wildmane Water Well"] = "Puits Crin-sauvage",
	["Wildpaw Cavern"] = "Caverne des Follepattes",
	["Wildpaw Ridge"] = "Crête des Follepattes",
	["Wildwind Lake"] = "Lac des Rafales",
	["Wildwind Path"] = "Sentier du Vent-sauvage",
	["Wildwind Peak"] = "Pic Vent-sauvage",
	["Windbreak Canyon"] = "Canyon de Brisevent",
	["Windfury Ridge"] = "Crête des Furies-des-vents",
	["Windrunner Spire"] = "Flèche de Coursevent",
	["Windrunner Village"] = "Coursevent",
	["Windrunner's Overlook"] = "Surplomb de Coursevent",
	["Windshear Crag"] = "Combe des Cisailles",
	["Windshear Heights"] = "Hauts des Cisailles",
	["Windshear Hold"] = "Bastion des Cisailles",
	["Windshear Mine"] = "Mine des Cisailles",
	["Windshear Valley"] = "Vallée des Cisailles",
	["Windy Bluffs"] = "Les pitons Venteux",
	["Windyreed Pass"] = "Passe de Ventejonc",
	["Windyreed Village"] = "Ventejonc",
	["Winter's Breath Lake"] = "Lac du Souffle de l'hiver",
	["Winter's Edge Tower"] = "Tour Bornehiver",
	["Winter's Heart"] = "Cœur de l'hiver",
	["Winter's Terrace"] = "Terrasse de l'Hiver",
	["Winterax Hold"] = "Repaire des Haches-d’hiver",
	["Winterfall Village"] = "Village des Tombe-hiver",
	["Winterfin Caverns"] = "Cavernes des Ailerons-d'hiver",
	["Winterfin Retreat"] = "Retraite des Ailerons-d'hiver",
	["Winterfin Village"] = "Aileron-d'hiver",
	["Wintergarde Crypt"] = "Crypte de Garde-hiver",
	["Wintergarde Keep"] = "Donjon de Garde-hiver",
	["Wintergarde Mausoleum"] = "Mausolée de Garde-hiver",
	["Wintergarde Mine"] = "Mine de Garde-hiver",
	Wintergrasp = "Joug-d'hiver",
	["Wintergrasp Fortress"] = "Forteresse de Joug-d'hiver",
	["Wintergrasp River"] = "Le Joug-d'hiver",
	["Winterhoof Water Well"] = "Puits Sabot-d'Hiver",
	Winterspring = "Berceau-de-l'Hiver",
	["Witch Hill"] = "Colline des Sorcières",
	["Witch's Sanctum"] = "Sanctum de la Sorcière",
	["Witherbark Caverns"] = "Cavernes Fanécorces",
	["Witherbark Village"] = "Fanécorce",
	["Withering Thicket"] = "Le fourré Flétri",
	["Wizard Row"] = "Allée des Sorciers",
	["Wizard's Sanctum"] = "Sanctuaire du sorcier",
	["Wolf's Run"] = "Piste du Loup",
	["Wood's End Cabin"] = "Cabane de Bout-du-bois",
	["Woodpaw Den"] = "Tanière des Griffebois",
	["Woodpaw Hills"] = "Collines des Griffebois",
	Workshop = "Atelier",
	["Workshop Entrance"] = "Entrée de l'atelier",
	["World's End Tavern"] = "Taverne de la fin du monde",
	["Wrathscale Lair"] = "Repaire des Irécailles",
	["Wrathscale Point"] = "Cap des Irécailles",
	["Wreckage of the Silver Dawning"] = "Épave de l'Aube argentée",
	["Writhing Mound"] = "Monticule Grouillant",
	Wyrmbog = "Tourbière du Ver",
	["Wyrmbreaker's Rookery"] = "La colonie de Brise-wyrm",
	["Wyrmrest Temple"] = "Temple du Repos du ver",
	["Wyrms' Bend"] = "Tournant du Wyrm",
	["Wyrmscar Island"] = "Île Balafre-du-ver",
	["Wyrmskull Bridge"] = "Pont Crâne-du-ver",
	["Wyrmskull Tunnel"] = "Tunnel Crâne-du-ver",
	["Wyrmskull Village"] = "Crâne-du-ver",
	["X-2 Pincer"] = "Pinceur X-2",
	Xavian = "Xavian",
	Ymirheim = "Ymirheim",
	["Ymiron's Seat"] = "Siège d'Ymiron",
	["Yojamba Isle"] = "Île de Yojamba",
	["Yowler's Den"] = "Tanière de Couineur",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Grave"] = "Tombe de Zaetar",
	["Zalashji's Den"] = "La tanière de Zalashji",
	["Zalazane's Fall"] = "Chute de Zalazane",
	["Zane's Eye Crater"] = "Cratère de l'Oeil de Zane",
	["Zangar Ridge"] = "Crête de Zangar",
	Zangarmarsh = "Marécage de Zangar",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zeppelin Crash"] = "L'Épave du zeppelin",
	Zeramas = "Zeramas",
	["Zeth'Gor"] = "Zeth'Gor",
	["Ziata'jai Ruins"] = "Ruines de Ziata'jai",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Planque de Zim'bo",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Bastion de Zol'Maz",
	["Zoram'gar Outpost"] = "Avant-poste de Zoram'gar",
	["Zul'Aman"] = "Zul'Aman",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Entrée de Zul'Farrak",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Ruines de Zuuldaia",
}

elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "Basislager der 7. Legion",
	["7th Legion Front"] = "Front der 7. Legion",
	["7th Legion Submarine"] = "U-Boot der 7. Legion",
	["A Hero's Welcome"] = "Zum Gefeierten Helden",
	["Abandoned Armory"] = "Verlassenes Rüstlager",
	["Abandoned Camp"] = "Verlassenes Lager",
	["Abandoned Mine"] = "Verlassene Mine",
	["Abandoned Reef"] = "Das Verlassene Riff",
	["Abyssal Breach"] = "Wirbelnder Abgrund",
	["Abyssal Depths"] = "Abyssische Tiefen",
	["Abyssal Halls"] = "Die Abyssalhallen",
	["Abyssal Maw"] = "Meeresschlund",
	["Abyssal Maw Exterior"] = "Der Meeresschlund",
	["Abyssal Sands"] = "Die Ewigen Sande",
	["Abyssion's Lair"] = "Abyssions Hort",
	["Access Shaft Zeon"] = "Zugangsschacht Zeon",
	["Acherus: The Ebon Hold"] = "Acherus: Die Schwarze Festung",
	["Addle's Stead"] = "Addles Siedlung",
	["Aderic's Repose"] = "Aderics Ruhestätte",
	["Aerie Peak"] = "Nistgipfel",
	["Aeris Landing"] = "Aerissteg",
	["Agamand Family Crypt"] = "Gruft der Familie Agamand",
	["Agamand Mills"] = "Agamands Mühlen",
	["Agmar's Hammer"] = "Agmars Hammer",
	["Agmond's End"] = "Agmondkuppe",
	["Agol'watha"] = "Agol'watha",
	["Ahn Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Tempel von Ahn'Qiraj",
	["Ahn'Qiraj Terrace"] = "Terrasse von Ahn'Qiraj",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj: Das Gefallene Königreich",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet: Das Alte Königreich",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Eingang zu Ahn'kahet: Das Alte Königreich",
	["Akhenet Fields"] = "Felder von Akhenet",
	["Aku'mai's Lair"] = "Aku'mais Unterschlupf",
	["Alabaster Shelf"] = "Alabasterschelf",
	["Alcaz Island"] = "Insel Alcaz",
	["Aldor Rise"] = "Aldorhöhe",
	Aldrassil = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar: Das Tor der Verwüstung",
	["Alexston Farmstead"] = "Alexstons Bauernhof",
	["Algaz Gate"] = "Algaz-Tor",
	["Algaz Station"] = "Station Algaz",
	["All That Glitters Prospecting Co."] = "Prospektorunternehmen Alles was Glänzt",
	["Allen Farmstead"] = "Allens Bauernhof",
	["Allerian Post"] = "Allerias Posten",
	["Allerian Stronghold"] = "Allerias Feste",
	["Alliance Base"] = "Basis der Allianz",
	["Alliance Beachhead"] = "Landespitze der Allianz",
	["Alliance Keep"] = "Allianzfestung",
	["Alliance Mercenary Ship to Vashj'ir"] = "Allianzsöldnerschiff nach Vashj'ir",
	["Alliance PVP Barracks"] = "Allianz PvP Kaserne",
	["Alonsus Chapel"] = "Alonsuskapelle",
	["Altar of Ascension"] = "Altar des Aufstiegs",
	["Altar of Har'koa"] = "Altar von Har'koa",
	["Altar of Mam'toth"] = "Altar von Mam'toth",
	["Altar of Quetz'lun"] = "Altar von Quetz'lun",
	["Altar of Rhunok"] = "Altar von Rhunok",
	["Altar of Sha'tar"] = "Altar der Sha'tar",
	["Altar of Sseratus"] = "Altar von Sseratus",
	["Altar of Storms"] = "Altar der Stürme",
	["Altar of Twilight"] = "Zwielichtaltar",
	["Altar of the Blood God"] = "Altar des Blutgottes",
	["Alterac Mountains"] = "Alteracgebirge",
	["Alterac Valley"] = "Alteractal",
	["Alther's Mill"] = "Althers Mühle",
	["Amani Catacombs"] = "Amanikatakomben",
	["Amani Mountains"] = "Amanigebirge",
	["Amani Pass"] = "Amanipass",
	["Amber Ledge"] = "Bernsteinflöz",
	Ambermill = "Mühlenbern",
	["Amberpine Lodge"] = "Ammertannhütte",
	["Ambershard Cavern"] = "Bernsteinsplitterhöhle",
	["Amberstill Ranch"] = "Gehöft Bernruh",
	["Amberweb Pass"] = "Goldweberpass",
	["Ameth'Aran"] = "Ameth'Aran",
	["Ammen Fields"] = "Am'menfelder",
	["Ammen Ford"] = "Am'menfluss",
	["Ammen Vale"] = "Am'mental",
	["Amphitheater of Anguish"] = "Amphitheater der Agonie",
	["Ampitheater of Anguish"] = "Amphitheater der Agonie",
	["An'daroth"] = "An'daroth",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Ancestral Grounds"] = "Ahnengrund",
	["Ancient Zul'Gurub"] = "Altes Zul'Gurub",
	["Andilien Estate"] = "Andiliens Grund",
	Andorhal = "Andorhal",
	Andruk = "Andruk",
	["Angerfang Encampment"] = "Lager der Grollhauer",
	["Ango'rosh Grounds"] = "Grund der Ango'rosh",
	["Ango'rosh Stronghold"] = "Festung der Ango'rosh",
	["Angor Fortress"] = "Festung Angor",
	["Angrathar the Wrath Gate"] = "Angrathar, Pforte des Zorns",
	["Angrathar the Wrathgate"] = "Angrathar, Pforte des Zorns",
	["Antonidas Memorial"] = "Antonidas' Denkmal",
	["Anvil of Conflagration"] = "Amboss der Feuersbrunst",
	Anvilmar = "Ambossar",
	["Apex Point"] = "Der Apex",
	["Apocryphan's Rest"] = "Apocryphans Ruheplatz",
	["Apothecary Camp"] = "Apothekerlager",
	["Arathi Basin"] = "Arathibecken",
	["Arathi Highlands"] = "Arathihochland",
	["Arcane Pinnacle"] = "Die Arkane Spitze",
	["Archmage Vargoth's Retreat"] = "Erzmagier Vargoths Rückzugsort",
	["Area 52"] = "Area 52",
	["Arena Floor"] = "Arenagrund",
	["Argent Pavilion"] = "Argentumpavillon",
	["Argent Stand"] = "Argentumwache",
	["Argent Tournament Grounds"] = "Argentumturnierplatz",
	["Argent Vanguard"] = "Argentumvorhut",
	["Ariden's Camp"] = "Aridens Lager",
	["Arikara's Needle"] = "Arikaras Nadel",
	["Arklon Ruins"] = "Ruinen von Arklon",
	["Arklonis Ridge"] = "Arklonisgrat",
	["Arriga Footbridge"] = "Arrigabrücke",
	["Arsad Trade Post"] = "Handelsposten Arsad",
	["Ascendant's Rise"] = "Anhöhe des Aszendenten",
	["Ashen Fields"] = "Die Aschenfelder",
	["Ashen Lake"] = "Aschensee",
	Ashenvale = "Eschental",
	["Ashwood Lake"] = "Eschenholzsee",
	["Ashwood Post"] = "Eschenholzposten",
	["Aspen Grove Post"] = "Posten des Espenhains",
	Astranaar = "Astranaar",
	["Ata'mal Terrace"] = "Terrasse von Ata'mal",
	Athenaeum = "Athenaeum",
	["Atulhet's Tomb"] = "Atulhets Grab",
	["Auberdine Refugee Camp"] = "Flüchtlingslager von Auberdine",
	["Auchenai Crypts"] = "Auchenaikrypta",
	["Auchenai Grounds"] = "Auchenaigründe",
	Auchindoun = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Eingang zur Auchenaikrypta",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Eingang zur Managruft",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Eingang zu den Sethekkhallen",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Eingang zum Schattenlabyrinth",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun: Auchenaikrypta",
	["Auchindoun: Mana-Tombs"] = "Auchindoun: Managruft",
	["Auchindoun: Sethekk Halls"] = "Auchindoun: Sethekkhallen",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun: Schattenlabyrinth",
	["Auren Falls"] = "Aurenfälle",
	["Auren Ridge"] = "Aurenkamm",
	["Avalanchion's Vault"] = "Lavinius' Gewölbe",
	Aviary = "Voliere",
	["Axis of Alignment"] = "Achse der Ausrichtung",
	Axxarien = "Axxarien",
	["Azjol-Nerub"] = "Azjol-Nerub",
	["Azjol-Nerub Entrance"] = "Eingang nach Azjol-Nerub",
	Azshara = "Azshara",
	["Azshara Crater"] = "Krater von Azshara",
	["Azure Dragonshrine"] = "Azurdrachenschrein",
	["Azure Watch"] = "Azurwacht",
	["Azurebreeze Coast"] = "Azurblaue Küste",
	["Azurelode Mine"] = "Der Azurschacht",
	["Azuremyst Isle"] = "Azurmythosinsel",
	Badlands = "Ödland",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Ausgrabungsstätte von Bael Modan",
	["Bael'dun Digsite"] = "Grabungsstätte von Bael'dun",
	["Bael'dun Keep"] = "Burg Bael'dun",
	["Baelgun's Excavation Site"] = "Baelguns Ausgrabungsstätte",
	["Bahrum's Post"] = "Bahrums Posten",
	["Bal'lal Ruins"] = "Ruinen von Bal'lal",
	["Balargarde Fortress"] = "Festung Balargarde",
	Baleheim = "Quälheim",
	["Balejar Watch"] = "Balejarwacht",
	["Balia'mah Ruins"] = "Ruinen von Balia'mah",
	["Balnir Farmstead"] = "Balnirs Bauernhof",
	Bambala = "Bambala",
	["Ban'Thallow Barrow Den"] = "Grabhügel von Ban'Thallow",
	["Ban'ethil Barrow Den"] = "Grabhügel von Ban'ethil",
	["Ban'ethil Barrow Descent"] = "Abstieg in den Grabhügel von Ban'ethil",
	["Ban'ethil Hollow"] = "Lichtung von Ban'ethil",
	["Band of Acceleration"] = "Ring der Akzeleration",
	["Band of Alignment"] = "Ring der Abgleichung",
	["Band of Transmutation"] = "Ring der Transmutation",
	["Band of Variance"] = "Ring der Varianz",
	Bank = "Bank",
	["Baradin Base Camp"] = "Baradinbasislager",
	["Baradin Bay"] = "Baradinbucht",
	["Baradin Hold"] = "Baradinfestung",
	Barbershop = "Barbier",
	["Barov Family Vault"] = "Gruft der Familie Barov",
	["Bash'ir Landing"] = "Landeplatz von Bash'ir",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Einsturz von Bashal'Aran",
	["Bastion Antechamber"] = "Vorkammer der Bastion",
	["Bathran's Haunt"] = "Bathrans Schlupfwinkel",
	["Battle Ring"] = "Kampfring",
	Battlescar = "Kriegsnarbe",
	["Battlescar Spire"] = "Kriegsnarbenwarte",
	["Battlescar Valley"] = "Kriegsnarbental",
	["Bay of Storms"] = "Die Bucht der Stürme",
	["Bear's Head"] = "Bärenkopf",
	["Beauty's Lair"] = "Bellas Unterschlupf",
	["Beezil's Wreck"] = "Beezils Wrack",
	["Befouled Terrace"] = "Besudelte Terrasse",
	["Beggar's Haunt"] = "Bettlerschlupfwinkel",
	["Beneath The Double Rainbow"] = "Unter dem doppelten Regenbogen",
	["Beren's Peril"] = "Berens List",
	["Bernau's Happy Fun Land"] = "Bernaus Lustiges Paradies",
	["Beryl Coast"] = "Beryllküste",
	["Beryl Egress"] = "Beryllaufstieg",
	["Beryl Point"] = "Beryllspitze",
	["Beth'mora Ridge"] = "Beth'moragrat",
	["Beth'tilac's Lair"] = "Beth'tilacs Unterschlupf",
	["Biel'aran Ridge"] = "Biel'arangrat",
	["Bilgewater Harbor"] = "Bilgewasserhafen",
	["Bilgewater Lumber Yard"] = "Bilgewässer Rodungsfläche",
	["Bilgewater Port"] = "Der Bilgepier",
	["Bitter Reaches"] = "Bittere Landzunge",
	["Bittertide Lake"] = "Bittertidensee",
	["Black Channel Marsh"] = "Schwarzkanalmarschen",
	["Black Drake Roost"] = "Schwarzdrachennest",
	["Black Temple"] = "Der Schwarze Tempel",
	["Black Tooth Hovel"] = "Schwarzzahnunterschlupf",
	["Blackchar Cave"] = "Schwarzbrandhöhle",
	["Blackfathom Camp"] = "Lager bei der tiefschwarzen Grotte",
	["Blackfathom Deeps"] = "Tiefschwarze Grotte",
	["Blackfathom Deeps Entrance"] = "Eingang zur Tiefschwarzen Grotte",
	["Blackhoof Village"] = "Dorf der Schwarzhufe",
	["Blackhorn's Penance"] = "Schwarzhorns Buße",
	["Blackmaw Hold"] = "Schwarzschlundfeste",
	["Blackriver Logging Camp"] = "Holzfällerlager Schwarzwasser",
	["Blackrock Caverns"] = "Schwarzfelshöhlen",
	["Blackrock Caverns Entrance"] = "Eingang zu den Schwarzfelshöhlen",
	["Blackrock Depths"] = "Schwarzfelstiefen",
	["Blackrock Depths Entrance"] = "Eingang zu den Schwarzfelstiefen",
	["Blackrock Mountain"] = "Der Schwarzfels",
	["Blackrock Pass"] = "Schwarzfelspass",
	["Blackrock Spire"] = "Schwarzfelsspitze",
	["Blackrock Spire Entrance"] = "Eingang zur Schwarzfelsspitze",
	["Blackrock Stadium"] = "Schwarzfelsstadion",
	["Blackrock Stronghold"] = "Schwarzfelsfestung",
	["Blacksilt Shore"] = "Schwarzschlammküste",
	Blacksmith = "Schmiede",
	["Blackstone Span"] = "Schwarzsteinübergang",
	Blackwatch = "Die Schwarzwacht",
	["Blackwater Cove"] = "Schwarzmeerbucht",
	["Blackwater Shipwrecks"] = "Schiffswracks der Schwarzmeerräuber",
	["Blackwind Lake"] = "Schattenwindsee",
	["Blackwind Landing"] = "Schattenwindlager",
	["Blackwind Valley"] = "Schattenwindtal",
	["Blackwing Coven"] = "Pechschwingenkoven",
	["Blackwing Descent"] = "Pechschwingenabstieg",
	["Blackwing Lair"] = "Pechschwingenhort",
	["Blackwolf River"] = "Schwarzwolfschnellen",
	["Blackwood Camp"] = "Lager der Schwarzfelle",
	["Blackwood Den"] = "Bau der Schwarzfelle",
	["Blackwood Lake"] = "Faulholzsee",
	["Blade Tooth Canyon"] = "Säbelzahnschlucht",
	["Blade's Edge Arena"] = "Arena des Schergrats",
	["Blade's Edge Mountains"] = "Schergrat",
	["Bladed Gulch"] = "Messerschlucht",
	["Bladefist Bay"] = "Messerbucht",
	["Blades & Axes"] = "Klingen & Äxte",
	["Blades' Run"] = "Säbelflucht",
	["Bladespire Grounds"] = "Grund der Speerspießer",
	["Bladespire Hold"] = "Wehr der Speerspießer",
	["Bladespire Outpost"] = "Außenposten der Speerspießer",
	Bladewood = "Messerwinkel",
	["Blasted Lands"] = "Verwüstete Lande",
	["Bleeding Hollow Ruins"] = "Ruinen des Blutenden Auges",
	["Bleeding Vale"] = "Blutklamm",
	["Bleeding Ziggurat"] = "Die Blutende Ziggurat",
	["Blistering Pool"] = "Kochender Teich",
	["Blood Elf Tower"] = "Blutelfenturm",
	["Blood Watch"] = "Blutwacht",
	["Bloodcurse Isle"] = "Insel des Blutfluchs",
	["Bloodfen Burrow"] = "Blutsumpfbau",
	Bloodgulch = "Blutschlucht",
	["Bloodhoof Village"] = "Dorf der Bluthufe",
	["Bloodmaul Camp"] = "Lager der Blutschläger",
	["Bloodmaul Outpost"] = "Außenposten der Blutschläger",
	["Bloodmaul Ravine"] = "Blutschlägerklamm",
	["Bloodmoon Isle"] = "Blutmondinsel",
	["Bloodmyst Isle"] = "Blutmythosinsel",
	["Bloodscale Enclave"] = "Enklave der Blutschuppen",
	["Bloodscale Grounds"] = "Blutschuppengrund",
	["Bloodspore Plains"] = "Blutsporenprärie",
	["Bloodtalon Shore"] = "Blutkrallenküste",
	["Bloodtooth Camp"] = "Blutreißers Lager",
	["Bloodvenom Falls"] = "Die Blutgiftfälle",
	["Bloodvenom Post"] = "Blutgiftposten",
	["Bloodvenom River"] = "Blutgiftbach",
	["Bloodwash Cavern"] = "Höhle der Blutbrandung",
	["Bloodwash Fighting Pits"] = "Kampfplatz der Blutbrandung",
	["Bloodwash Shrine"] = "Schrein der Blutbrandung",
	["Bloodwatcher Point"] = "Blutwächterposten",
	["Blue Sky Logging Grounds"] = "Holzfällerposten Blauhimmel",
	Bluefen = "Blaumoor",
	["Bluegill Marsh"] = "Blaukiemenmarschen",
	["Bluff of the South Wind"] = "Felsen des Südwinds",
	["Bogen's Ledge"] = "Bogens Kante",
	Bogpaddle = "Kraulsumpf",
	["Boha'mu Ruins"] = "Ruinen von Boha'mu",
	["Bolgan's Hole"] = "Bolgans Loch",
	["Bolyun's Camp"] = "Bolyuns Lager",
	["Bonechewer Ruins"] = "Ruinen der Knochenmalmer",
	["Bones of Grakkarond"] = "Knochen von Grakkarond",
	["Bonesnap's Camp"] = "Knochenknackers Lager",
	["Bootlegger Outpost"] = "Schmugglerposten",
	["Booty Bay"] = "Beutebucht",
	["Bor'gorok Outpost"] = "Bor'goroks Außenposten",
	["Bor's Breath"] = "Bors Atem",
	["Bor's Breath River"] = "Bors Atemstrom",
	["Bor's Fall"] = "Bors Sturz",
	["Bor's Fury"] = "Bors Zorn",
	["Borean Tundra"] = "Naglvar",
	["Borune Ruins"] = "Ruinen von Borune",
	["Bough Shadow"] = "Schattengrün",
	["Boulder Hills"] = "Felshügel",
	["Boulder Lode Mine"] = "Felsadermine",
	["Boulder'gor"] = "Fels'gor",
	["Boulder'mok"] = "Fels'mok",
	["Bouldercrag's Refuge"] = "Bergfels' Zuflucht",
	["Boulderfist Hall"] = "Halle der Felsfäuste",
	["Boulderfist Outpost"] = "Außenposten der Felsfäuste",
	["Boulderslide Cavern"] = "Steinschlaghöhle",
	["Boulderslide Ravine"] = "Steinschlagklamm",
	["Brackenwall Village"] = "Brackenwall",
	["Brackwell Pumpkin Patch"] = "Brackbrunns Kürbisbeet",
	["Brambleblade Ravine"] = "Dornrankenklamm",
	Bramblescar = "Dornennarbe",
	["Brann's Base-Camp"] = "Branns Basislager",
	["Brashtide Attack Fleet"] = "Trümmerflutangriffsflotte",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Trümmerflutangriffsflotte",
	["Brave Wind Mesa"] = "Heldenwindebene",
	["Brazie Farmstead"] = "Brazies Bauernhof",
	["Brewnall Village"] = "Bräuhall",
	["Bridge of Souls"] = "Brücke der Seelen",
	["Brightwater Lake"] = "Blendwassersee",
	["Brightwood Grove"] = "Schattenhain",
	Brill = "Brill",
	["Brill Town Hall"] = "Rathaus von Brill",
	["Bristlelimb Enclave"] = "Enklave der Sichelklauen",
	["Bristlelimb Village"] = "Dorf der Sichelklauen",
	["Broken Commons"] = "Die Zerstörte Allmende",
	["Broken Hill"] = "Die Trümmerbastion",
	["Broken Pillar"] = "Zerbrochene Säule",
	["Broken Spear Village"] = "Bruchspeeringen",
	["Broken Wilds"] = "Zerschlagene Wildnis",
	["Bronze Dragonshrine"] = "Bronzedrachenschrein",
	["Bronzebeard Encampment"] = "Bronzebarts Lager",
	["Browman Mill"] = "Braumanns Mühle",
	["Brunnhildar Village"] = "Brunnhildar",
	["Bucklebree Farm"] = "Hof Schildhöh",
	["Budd's Dig"] = "Budds Ausgrabung",
	["Burning Blade Coven"] = "Koven der Brennenden Klinge",
	["Burning Blade Ruins"] = "Ruinen der Brennenden Klinge",
	["Burning Steppes"] = "Brennende Steppe",
	["Butcher's Stand"] = "Metzgerstand",
	["Caer Darrow"] = "Darrowehr",
	["Caldemere Lake"] = "Kaldemaarsee",
	["Calston Estate"] = "Calstonanwesen",
	["Camp Aparaje"] = "Camp Aparaje",
	["Camp Ataya"] = "Camp Ataya",
	["Camp Boff"] = "Camp Boff",
	["Camp Cagg"] = "Camp Cagg",
	["Camp E'thok"] = "Camp E'thok",
	["Camp Everstill"] = "Immerruhlager",
	["Camp Kosh"] = "Camp Kosh",
	["Camp Mojache"] = "Camp Mojache",
	["Camp Mojache Longhouse"] = "Langhaus von Camp Mojache",
	["Camp Narache"] = "Camp Narache",
	["Camp Onequah"] = "Camp Oneqwah",
	["Camp Oneqwah"] = "Camp Oneqwah",
	["Camp Sungraze"] = "Sonnenweidenlager",
	["Camp Tunka'lo"] = "Camp Tunka'lo",
	["Camp Una'fe"] = "Camp Una'fe",
	["Camp Winterhoof"] = "Lager der Winterhufe",
	["Camp Wurg"] = "Camp Wurg",
	["Camp of Boom"] = "Lager von Dr. Bumm",
	Canals = "Kanäle",
	["Cannon's Inferno"] = "Artillerius' Inferno",
	["Cantrips & Crows"] = "Zur Zauberkrähe",
	["Cape of Lost Hope"] = "Kap der Verlorenen Hoffnung",
	["Cape of Stranglethorn"] = "Schlingendornkap",
	["Capital Gardens"] = "Hauptstadtgärten",
	["Carrion Hill"] = "Aashügel",
	["Cartier & Co. Fine Jewelry"] = "Juwelier 'Cartier & Co.'",
	Cataclysm = "Cataclysm",
	["Cathedral Quarter"] = "Kathedralenviertel",
	["Cathedral Square"] = "Kathedralenplatz",
	["Cathedral of Darkness"] = "Kathedrale der Dunkelheit",
	["Cathedral of Light"] = "Kathedrale des Lichts",
	["Cauldros Isle"] = "Kaldrosinsel",
	["Cave of Mam'toth"] = "Höhle von Mam'toth",
	["Cavern of Mists"] = "Höhle der Nebel",
	["Caverns of Time"] = "Höhlen der Zeit",
	["Celestial Ridge"] = "Sternensturz",
	["Cenarion Enclave"] = "Die Enklave des Cenarius",
	["Cenarion Hold"] = "Burg Cenarius",
	["Cenarion Post"] = "Posten des Cenarius",
	["Cenarion Refuge"] = "Zuflucht des Cenarius",
	["Cenarion Thicket"] = "Cenariusdickicht",
	["Cenarion Watchpost"] = "Wachposten des Cenarius",
	["Cenarion Wildlands"] = "Cenariuswildnis",
	["Central Bridge"] = "Zentrale Brücke",
	["Chamber of Ancient Relics"] = "Kammer der Uralten Relikte",
	["Chamber of Atonement"] = "Kammer der Buße",
	["Chamber of Battle"] = "Kammer der Schlachten",
	["Chamber of Blood"] = "Kammer des Bluts",
	["Chamber of Command"] = "Kommandoraum",
	["Chamber of Enchantment"] = "Kammer der Verzauberung",
	["Chamber of Fanatics"] = "Kammer der Fanatiker",
	["Chamber of Incineration"] = "Kammer der Einäscherung",
	["Chamber of Prophecy"] = "Kammer der Prophezeiung",
	["Chamber of Respite"] = "Kammer der Erholung",
	["Chamber of Summoning"] = "Kammer der Beschwörung",
	["Chamber of the Aspects"] = "Kammer der Aspekte",
	["Chamber of the Dreamer"] = "Kammer des Träumers",
	["Chamber of the Moon"] = "Kammer des Mondes",
	["Chamber of the Restless"] = "Kammer der Ruhelosen",
	["Chamber of the Stars"] = "Kammer der Sterne",
	["Chamber of the Sun"] = "Kammer der Sonne",
	["Champion's Hall"] = "Halle des Champions",
	["Champions' Hall"] = "Halle der Champions",
	["Chapel Gardens"] = "Kapellengarten",
	["Chapel Yard"] = "Kapellenhof",
	["Chapel of the Crimson Flame"] = "Kapelle der Scharlachroten Flamme",
	["Charred Outpost"] = "Niedergebrannter Außenposten",
	["Charred Rise"] = "Kohlschwarze Anhöhe",
	["Chill Breeze Valley"] = "Frosthauchtal",
	["Chillmere Coast"] = "Küste des Frostmaares",
	["Chillwind Camp"] = "Zugwindlager",
	["Chillwind Point"] = "Zugwindspitze",
	Chiselgrip = "Meißelgriff",
	["Churning Gulch"] = "Grabenschlucht",
	["Circle of Blood"] = "Der Zirkel des Blutes",
	["Circle of Blood Arena"] = "Arena des Zirkels des Blutes",
	["Circle of East Binding"] = "Kreis der Östlichen Bindung",
	["Circle of Inner Binding"] = "Kreis der Inneren Bindung",
	["Circle of Outer Binding"] = "Kreis der Äußeren Bindung",
	["Circle of Thorns"] = "Zirkel der Dornen",
	["Circle of West Binding"] = "Kreis der Westlichen Bindung",
	["Circle of Wills"] = "Kreis der Mächte",
	City = "Hauptstädte",
	["City of Ironforge"] = "Eisenschmiede",
	["Clan Watch"] = "Klanwacht",
	["Cleft of Shadow"] = "Die Kluft der Schatten",
	["Cliffspring Falls"] = "Klippenquellfälle",
	["Cliffspring Hollow"] = "Klippenquellgrotte",
	["Cliffspring River"] = "Klippenquell",
	["Cliffwalker Post"] = "Klippenläuferposten",
	["Cloudtop Terrace"] = "Wolkendomterrasse",
	["Coast of Echoes"] = "Echoküste",
	["Coast of Idols"] = "Küste der Götzen",
	["Coilfang - The Slave Pens Entrance"] = "Echsenkessel - Eingang zu den Sklavenunterkünften",
	["Coilfang - The Steamvault Entrance"] = "Echsenkessel - Eingang zur Dampfkammer",
	["Coilfang - The Underbog Entrance"] = "Echsenkessel - Eingang zum Tiefensumpf",
	["Coilfang Reservoir"] = "Der Echsenkessel",
	["Coilfang: Serpentshrine Cavern"] = "Echsenkessel: Höhle des Schlangenschreins",
	["Coilfang: The Slave Pens"] = "Echsenkessel: Sklavenunterkünfte",
	["Coilfang: The Steamvault"] = "Echsenkessel: Dampfkammer",
	["Coilfang: The Underbog"] = "Echsenkessel: Tiefensumpf",
	["Coilskar Cistern"] = "Zisterne der Echsennarbe",
	["Coilskar Point"] = "Echsennarbe",
	["Cold Hearth Manor"] = "Das Verlassene Anwesen",
	Coldarra = "Coldarra",
	["Coldarra Ledge"] = "Kaltarrarücken",
	["Coldridge Pass"] = "Eisklamm",
	["Coldridge Valley"] = "Eisklammtal",
	["Coldrock Quarry"] = "Froststeinbruch",
	["Coldtooth Mine"] = "Eisbeißermine",
	["Coldwind Heights"] = "Kaltwindanhöhen",
	["Coldwind Pass"] = "Kaltwindpass",
	["Collin's Test"] = "Collin's Test",
	["Command Center"] = "Kommandozentrale",
	["Commons Hall"] = "Versammlungshalle",
	["Condemned Halls"] = "Verdammte Hallen",
	["Conquest Hold"] = "Burg Siegeswall",
	["Containment Core"] = "Eindämmungskern",
	["Cooper Residence"] = "Coopers Residenz",
	["Coral Garden"] = "Korallengarten",
	["Cordell's Enchanting"] = "Cordells Verzauberungen",
	["Corin's Crossing"] = "Corins Kreuzung",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar: Das Tor des Schreckens",
	["Corrahn's Dagger"] = "Corrahns Dolch",
	Cosmowrench = "Kosmozang",
	["Court of the Highborne"] = "Hof der Hochgeborenen",
	["Court of the Sun"] = "Sonnenhof",
	["Courtyard of the Ancients"] = "Hof der Uralten",
	["Cradle of the Ancients"] = "Wiege der Uralten",
	["Craftsmen's Terrace"] = "Die Terrasse der Handwerker",
	["Crag of the Everliving"] = "Klippe der Ewiglebenden",
	["Cragpool Lake"] = "Felskesselsee",
	["Crash Site"] = "Absturzstelle",
	["Crescent Hall"] = "Mondsichelhalle",
	["Crimson Expanse"] = "Rubinspanne",
	["Crimson Watch"] = "Purpurwacht",
	Crossroads = "Das Wegekreuz",
	["Crowley Orchard"] = "Crowleys Obstgarten",
	["Crowley Stable Grounds"] = "Crowleys Stallungen",
	["Crown Guard Tower"] = "Turm der Kronenwache",
	["Crucible of Carnage"] = "Schmelztiegel des Gemetzels",
	["Crumbling Depths"] = "Bruchtiefen",
	["Crumbling Stones"] = "Die Brechenden Steine",
	["Crusader Forward Camp"] = "Lager der Kreuzfahrer",
	["Crusader Outpost"] = "Außenposten der Kreuzzügler",
	["Crusader's Armory"] = "Waffenkammer der Kreuzzügler",
	["Crusader's Chapel"] = "Kapelle der Kreuzzügler",
	["Crusader's Landing"] = "Hafen des Kreuzzüglers",
	["Crusader's Outpost"] = "Außenposten der Kreuzzügler",
	["Crusader's Run"] = "Kreuzfahrerpass",
	["Crusader's Spire"] = "Kreuzfahrerturm",
	["Crusaders' Pinnacle"] = "Kreuzfahrerturm",
	["Crusaders' Square"] = "Kreuzzüglerplatz",
	Crushblow = "Schmetterschlagposten",
	["Crushcog's Arsenal"] = "Ritzelstoß' Arsenal",
	["Crushridge Hold"] = "Trümmergrathöhle",
	Crypt = "Gruft",
	["Crypt of Remembrance"] = "Krypta der Erinnerung",
	["Crystal Lake"] = "Kristallsee",
	["Crystal Spine"] = "Kristallrücken",
	["Crystalline Quarry"] = "Kristallsteinbruch",
	["Crystalsong Forest"] = "Kristallsangwald",
	["Crystalvein Mine"] = "Kristalladermine",
	["Crystalweb Cavern"] = "Kristallnetzhöhle",
	["Curiosities & Moore"] = "Kuriositäten & Meer",
	["Cursed Depths"] = "Verfluchte Tiefen",
	["Cursed Hollow"] = "Verfluchtes Dunkel",
	["Cut-Throat Alley"] = "Halsabschneidergasse",
	["Cyclone Summit"] = "Zyklonspitze",
	["D-Block"] = "Block D",
	["D.E.H.T.A. Encampment"] = "Lager der D.E.H.T.A.",
	["Dabyrie's Farmstead"] = "Bauernhof der Dabyries",
	["Dagger Pass"] = "Dolchpass",
	["Daggercap Bay"] = "Dolchbucht",
	["Daggerfen Village"] = "Dolchfenn",
	["Daggermaw Canyon"] = "Dolchrachenklamm",
	Dalaran = "Dalaran",
	["Dalaran Arena"] = "Arena von Dalaran",
	["Dalaran City"] = "Dalaran",
	["Dalaran Crater"] = "Dalarankrater",
	["Dalaran Floating Rocks"] = "Fliegende Felsen von Dalaran",
	["Dalaran Island"] = "Insel Dalaran",
	["Dalaran Merchant's Bank"] = "Händlerbank von Dalaran",
	["Dalaran Sewers"] = "Kanalisation von Dalaran",
	["Dalaran Visitor Center"] = "Besucherzentrum von Dalaran",
	["Dalson's Farm"] = "Dalsons Hof",
	["Damplight Cavern"] = "Feuchtlichthöhle",
	["Damplight Chamber"] = "Dunstlichtkammer",
	["Dandred's Fold"] = "Dandreds Senke",
	["Dargath's Demise"] = "Dargaths Niedergang",
	["Dark Iron Highway"] = "Dunkeleisenstraße",
	["Darkbreak Cove"] = "Dämmerbucht",
	["Darkcloud Pinnacle"] = "Düsterwolkengipfel",
	["Darkcrest Enclave"] = "Enklave der Dunkelkämme",
	["Darkcrest Shore"] = "Küste der Dunkelkämme",
	["Darkmist Cavern"] = "Graunebelhöhlen",
	["Darkmist Ruins"] = "Graunebelruinen",
	Darkshire = "Dunkelhain",
	["Darkshire Town Hall"] = "Rathaus von Dunkelhain",
	Darkshore = "Dunkelküste",
	["Darkspear Hold"] = "Dunkelspeerfeste",
	["Darkspear Isle"] = "Dunkelspeerinsel",
	["Darkspear Shore"] = "Dunkelspeerküste",
	["Darkspear Strand"] = "Strand der Dunkelspeere",
	["Darkspear Training Grounds"] = "Übungsgelände der Dunkelspeere",
	["Darkwhisper Gorge"] = "Die Flüsternde Schlucht",
	["Darkwhisper Pass"] = "Der Flüsternde Pass",
	["Darnassian Base Camp"] = "Darnassisches Basislager",
	Darnassus = "Darnassus",
	["Darrow Hill"] = "Darrohügel",
	["Darrowmere Lake"] = "Darromersee",
	Darrowshire = "Darroheim",
	["Darrowshire Hunting Grounds"] = "Jagdgrund von Darroheim",
	["Darsok's Outpost"] = "Darsoks Außenposten",
	["Dawn's Reach"] = "Dämmerkuppe",
	["Dawning Lane"] = "Dämmerweg",
	["Dawning Wood Catacombs"] = "Katakomben des Morgenwaldes",
	["Dawnrise Expedition"] = "Morgendunstexpedition",
	["Dawnstar Spire"] = "Morgensternturm",
	["Dawnstar Village"] = "Morgenstern",
	["Dead Man's Hole"] = "Dead Man's Hole",
	["Deadeye Shore"] = "Killrogs Küste",
	["Deadman's Crossing"] = "Totmannsfurt",
	Deadmines = "Todesminen",
	["Deadwind Pass"] = "Gebirgspass der Totenwinde",
	["Deadwind Ravine"] = "Schlucht der Totenwinde",
	["Deadwood Village"] = "Lager der Totenwaldfelle",
	["Death Cultist Base Camp"] = "Basislager der Todeskultisten",
	["Death's Breach"] = "Die Todesbresche",
	["Death's Door"] = "Schwelle des Todes",
	["Death's Hand Encampment"] = "Lager der Todeshand",
	["Death's Rise"] = "Todesanhöhe",
	["Death's Stand"] = "Todeswehr",
	["Death's Step"] = "Treppe des Schnitters",
	["Death's Watch Waystation"] = "Wegstation Todeswacht",
	["Deathbringer's Rise"] = "Dom des Todesbringers",
	["Deathforge Tower"] = "Turm der Todesschmiede",
	Deathknell = "Todesend",
	Deatholme = "Die Todesfestung",
	["Deathspeaker's Watch"] = "Todessprechers Wacht",
	["Deathwing's Fall"] = "Todesschwinges Sturz",
	["Deep Blue Observatory"] = "Tiefseeobservatorium",
	["Deep Elem Mine"] = "Tiefenfelsmine",
	["Deepfin Ridge"] = "Tiefenflossengrat",
	Deepholm = "Tiefenheim",
	["Deephome Ceiling"] = "Tiefenheim",
	["Deepmist Grotto"] = "Tiefennebelgrotte",
	["Deeprun Tram"] = "Tiefenbahn",
	["Deepwater Tavern"] = "Tiefenwassertaverne",
	["Defias Hideout"] = "Versteck der Defias",
	["Defiler's Den"] = "Die Entweihte Feste",
	["Demon Fall Canyon"] = "Dämonensturz",
	["Demon Fall Ridge"] = "Dämonenstieg",
	["Demont's Place"] = "Demonts Heim",
	["Den of Dying"] = "Höhlen des Todes",
	["Den of Haal'esh"] = "Haal'eshbau",
	["Den of Iniquity"] = "Sündenpfuhl",
	["Den of Mortal Delights"] = "Hof der Irdischen Gelüste",
	["Den of Sseratus"] = "Bau von Sseratus",
	["Den of the Caller"] = "Höhlenbau des Rufenden",
	["Den of the Devourer"] = "Versteck des Verschlingers",
	["Den of the Disciples"] = "Schlupfwinkel der Jünger",
	["Den of the Unholy"] = "Höhlenbau des Unheiligen",
	["Derelict Caravan"] = "Die Herrenlose Karawane",
	["Derelict Manor"] = "Heruntergekommenes Anwesen",
	["Derelict Strand"] = "Verlassener Strand",
	["Designer Island"] = "Designer-Insel",
	Desolace = "Desolace",
	["Desolation Hold"] = "Ödnisfeste",
	["Detention Block"] = "Gefängnisblock",
	["Development Land"] = "Entwicklungsland",
	["Diamondhead River"] = "Diamantschnellen",
	["Dig One"] = "Grabung Eins",
	["Dig Three"] = "Grabung Drei",
	["Dig Two"] = "Grabung Zwei",
	["Dire Maul"] = "Düsterbruch",
	["Dire Maul - Capital Gardens Entrance"] = "Düsterbruch - Eingang zu den Hauptstadtgärten",
	["Dire Maul - Gordok Commons Entrance"] = "Düsterbruch - Eingang zun den Gordokhallen",
	["Dire Maul - Warpwood Quarter Entrance"] = "Düsterbruch - Eingang zum Überwucherten Palast",
	["Dire Strait"] = "Die Bedrängnis",
	["Direforge Hill"] = "Hügel der Düsterschmiede",
	["Direhorn Post"] = "Grollhornposten",
	Docks = "Docks",
	Dolanaar = "Dolanaar",
	["Donna's Kitty Shack"] = "Donnas Kätzchenkiste",
	["Doom's Vigil"] = "Verdammniswacht",
	["Dorian's Outpost"] = "Dorians Außenposten",
	["Draco'dar"] = "Draco'dar",
	["Draenei Ruins"] = "Draeneiruinen",
	["Draenethyst Mine"] = "Draenethystmine",
	["Draenil'dur Village"] = "Draenil'dur",
	["Dragon's Fall"] = "Drachensturz",
	["Dragon's Mouth"] = "Drachenschlund",
	Dragonblight = "Drachenöde",
	["Dragonflayer Pens"] = "Stallungen der Drachenschinder",
	["Dragonmaw Base Camp"] = "Basislager des Drachenmals",
	["Dragonmaw Flag Room"] = "Flaggenraum des Drachenmalklans",
	["Dragonmaw Forge"] = "Schmiede des Drachenmals",
	["Dragonmaw Fortress"] = "Festung des Drachenmals",
	["Dragonmaw Garrison"] = "Garnison des Drachenmals",
	["Dragonmaw Gates"] = "Tore des Drachenmals",
	["Dragonmaw Pass"] = "Drachenmalpass",
	["Dragonmaw Port"] = "Hafen des Drachenmals",
	["Dragonmaw Skyway"] = "Himmelspfad des Drachenmals",
	["Dragonmaw Stronghold"] = "Festung des Drachenmals",
	["Dragons' End"] = "Drachenend",
	["Dragonspine Peaks"] = "Drachenwirbelgipfel",
	["Dragonspine Ridge"] = "Drachenwirbelgrat",
	["Dragonspine Tributary"] = "Drachenwirbelzufluss",
	["Dragonspire Hall"] = "Drachenspitzhalle",
	["Drak'Agal"] = "Drak'Agal",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Drak'Marsee",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Felder von Drak'Sotra",
	["Drak'Tharon Keep"] = "Feste von Drak'Tharon",
	["Drak'Tharon Keep Entrance"] = "Eingang zur Feste Drak'Tharon",
	["Drak'Tharon Overlook"] = "Aussichtspunkt von Drak'Tharon",
	["Drak'atal Passage"] = "Passage von Drak'atal",
	["Drak'ural"] = "Drak'ural",
	["Draka's Fury"] = "Drakas Furor",
	["Drakil'jin Ruins"] = "Ruinen von Drakil'jin",
	["Draknid Lair"] = "Unterschlupf der Drakniden",
	["Dreadmaul Furnace"] = "Schreckensfelssenke",
	["Dreadmaul Hold"] = "Feste Schreckensfels",
	["Dreadmaul Post"] = "Schreckensfelsposten",
	["Dreadmaul Rock"] = "Schreckensfels",
	["Dreadmist Camp"] = "Glutnebellager",
	["Dreadmist Den"] = "Glutnebelbau",
	["Dreadmist Peak"] = "Glutnebelgipfel",
	["Dreadmurk Shore"] = "Schreckensmoorküste",
	["Dreadwatch Outpost"] = "Schreckenswacht",
	["Dream Bough"] = "Traumgeäst",
	["Dreamer's Rest"] = "Träumersruh",
	["Dreamer's Rock"] = "Träumerstein",
	Drudgetown = "Malocherviertel",
	["Drygulch Ravine"] = "Staubwindklamm",
	["Drywhisker Gorge"] = "Schlucht der Trockenstoppel",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Pass von Dun Baldar",
	["Dun Baldar Tunnel"] = "Tunnel von Dun Baldar",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Niffelem",
	["Dunemaul Compound"] = "Truppenlager der Dünenbrecher",
	["Dunemaul Recruitment Camp"] = "Rekrutierungslager der Dünenbrecher",
	["Dunwald Holdout"] = "Bastion von Dunwald",
	["Dunwald Hovel"] = "Hütten von Dunwald",
	["Dunwald Market Row"] = "Marktgasse von Dunwald",
	["Dunwald Ruins"] = "Ruinen von Dunwald",
	["Dunwald Town Square"] = "Ratsplatz von Dunwald",
	["Durnholde Keep"] = "Burg Durnholde",
	Durotar = "Durotar",
	Duskhaven = "Dämmerhafen",
	["Duskhowl Den"] = "Grauheulerbau",
	["Duskmist Shore"] = "Abendnebelküste",
	["Duskwither Grounds"] = "Nachtschimmergrund",
	["Duskwither Spire"] = "Nachtschimmerturm",
	Duskwood = "Dämmerwald",
	["Dustbelch Grotto"] = "Die Staubspeiergrotte",
	["Dustfire Valley"] = "Staubfeuertal",
	["Dustquill Ravine"] = "Staubstachelschlucht",
	["Dustwallow Bay"] = "Bucht der Düstermarschen",
	["Dustwallow Marsh"] = "Düstermarschen",
	["Dustwind Cave"] = "Staubwindhöhle",
	["Dustwind Dig"] = "Staubwindausgrabung",
	["Dustwind Gulch"] = "Staubwindschlucht",
	["Dwarven District"] = "Zwergendistrikt",
	["Eagle's Eye"] = "Adlerauge",
	["Earth Song Falls"] = "Fälle des Irdenen Gesangs",
	["Earthshatter Cavern"] = "Erdspaltergrotte",
	["East Garrison"] = "Ostgarnison",
	["East Pillar"] = "Ostsäule",
	["East Sanctum"] = "Sanktum des Ostens",
	["East Spire"] = "Ostturm",
	["East Supply Caravan"] = "Östliche Versorgungskarawane",
	["Eastern Bridge"] = "Östliche Brücke",
	["Eastern Kingdoms"] = "Östliche Königreiche",
	["Eastern Plaguelands"] = "Die Östlichen Pestländer",
	["Eastern Strand"] = "Oststrand",
	["Eastmoon Ruins"] = "Ostmondruinen",
	["Eastpoint Tower"] = "Ostwachtturm",
	["Eastspark Workshop"] = "Werkstatt Ostfunk",
	["Eastvale Logging Camp"] = "Holzfällerlager des Osttals",
	["Eastwall Gate"] = "Ostwalltor",
	["Eastwall Tower"] = "Ostwallturm",
	["Eastwind Shore"] = "Ostwindküste",
	["Ebon Hold"] = "Schwarze Festung",
	["Ebon Watch"] = "Schwarze Wacht",
	["Echo Cove"] = "Echobucht",
	["Echo Isles"] = "Die Echoinseln",
	["Echo Reach"] = "Echoweiten",
	["Echo Ridge Mine"] = "Echokammmine",
	["Echomok Cavern"] = "Echomokhöhle",
	["Eclipse Point"] = "Stätte der Mondfinsternis",
	["Eclipsion Fields"] = "Felder der Mondfinsternis",
	["Eco-Dome Farfield"] = "Biokuppel Fernfeld",
	["Eco-Dome Midrealm"] = "Biokuppel Mittelreich",
	["Eco-Dome Skyperch"] = "Biokuppel Himmelssitz",
	["Eco-Dome Sutheron"] = "Biokuppel Sutheron",
	["Elder Rise"] = "Die Anhöhe der Ältesten",
	["Elders' Square"] = "Ältestenplatz",
	["Eldreth Row"] = "Eldrethgasse",
	["Eldritch Heights"] = "Düsterhöhen",
	["Elemental Plateau"] = "Elementarplateau",
	["Elementium Depths"] = "Elementiumtiefen",
	Elevator = "Aufzug",
	["Elrendar Crossing"] = "Elrendarkreuzung",
	["Elrendar Falls"] = "Elrendarfälle",
	["Elrendar River"] = "Der Elrendar",
	["Elwynn Forest"] = "Wald von Elwynn",
	["Ember Clutch"] = "Glutstätte",
	["Ember Spear Tower"] = "Glutspeerturm",
	Emberglade = "Glutgrund",
	["Emberstone Mine"] = "Glutsteinmine",
	["Emberstone Village"] = "Glutstein",
	["Emberstrife's Den"] = "Aschenschwinges Bau",
	["Emerald Dragonshrine"] = "Smaragddrachenschrein",
	["Emerald Dream"] = "Smaragdgrüner Traum",
	["Emerald Forest"] = "Smaragdwald",
	["Emerald Sanctuary"] = "Smaragdrefugium",
	["Engine of the Makers"] = "Maschine der Schöpfer",
	["Engineering Labs"] = "Ingenieurslabore",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereum Staging Grounds"] = "Stützpunkt des Astraleums",
	["Evergreen Trading Post"] = "Handelsposten Immergrün",
	Evergrove = "Der Ewige Hain",
	Everlook = "Ewige Warte",
	["Eversong Woods"] = "Immersangwald",
	["Excavation Center"] = "Ausgrabungszentrum",
	["Excavation Lift"] = "Aufzug an der Ausgrabungsstätte",
	["Expedition Armory"] = "Expeditionsrüstlager",
	["Expedition Base Camp"] = "Basislager der Expedition",
	["Expedition Point"] = "Expeditionsposten",
	["Explorers' League Digsite"] = "Grabungsstätte der Forscherliga",
	["Explorers' League Outpost"] = "Außenposten der Forscherliga",
	["Eye of the Storm"] = "Auge des Sturms",
	["Fairbreeze Village"] = "Morgenluft",
	["Fairbridge Strand"] = "Morgentaustrand",
	["Falcon Watch"] = "Falkenwacht",
	["Falconwing Inn"] = "Gasthaus des Falkenplatzes",
	["Falconwing Square"] = "Falkenplatz",
	["Faldir's Cove"] = "Die Faldirbucht",
	["Falfarren River"] = "Der Falfarren",
	["Fall of Return"] = "Sturz der Wiederkehr",
	["Fallen Sky Lake"] = "Himmelssturzsee",
	["Fallen Sky Ridge"] = "Himmelssturzgrat",
	["Fallen Temple of Ahn'kahet"] = "Der Gefallene Tempel Ahn'kahet",
	["Fallow Sanctuary"] = "Zuflucht der Verirrten",
	["Fallowmere Inn"] = "Brachweiherschenke",
	["Falls of Ymiron"] = "Ymironfälle",
	["Falthrien Academy"] = "Akademie von Faltherien",
	Familiars = "Familiare",
	["Faol's Rest"] = "Faols Ruheplatz",
	["Far Watch Post"] = "Fernwacht",
	["Fargaze Mesa"] = "Horizontmesa",
	["Fargodeep Mine"] = "Tiefenschachtmine",
	Farm = "Hof",
	Farshire = "Fernhain",
	["Farshire Fields"] = "Weiden von Fernhain",
	["Farshire Lighthouse"] = "Leuchtturm von Fernhain",
	["Farshire Mine"] = "Mine von Fernhain",
	["Farson Hold"] = "Farsonfestung",
	["Farstrider Enclave"] = "Enklave der Weltenwanderer",
	["Farstrider Lodge"] = "Jagdhütte der Weltenwanderer",
	["Farstrider Retreat"] = "Zuflucht der Weltenwanderer",
	["Farstriders' Enclave"] = "Enklave der Weltenwanderer",
	["Farstriders' Square"] = "Platz der Weltenwanderer",
	["Farwatcher's Glen"] = "Weitblicktal",
	["Featherbeard's Hovel"] = "Federbarts Hütte",
	Feathermoon = "Mondfederfeste",
	["Feathermoon Stronghold"] = "Mondfederfeste",
	["Fel Reaver Ruins"] = "Teufelshäscherruinen",
	["Fel Rock"] = "Teufelsfels",
	["Felfire Hill"] = "Dämonenhügel",
	["Felpaw Village"] = "Revier der Teufelspfoten",
	["Felspark Ravine"] = "Teufelsfunkenklamm",
	["Felstone Field"] = "Teufelssteinfeld",
	Felwood = "Teufelswald",
	["Fenris Isle"] = "Insel Fenris",
	["Fenris Keep"] = "Burg Fenris",
	["Feral Scar Vale"] = "Wildschrammtal",
	Feralas = "Feralas",
	["Feralfen Village"] = "Wildfenn",
	["Festering Pools"] = "Eiterteiche",
	["Festival Lane"] = "Feststraße",
	["Feth's Way"] = "Feths Pfad",
	["Field of Strife"] = "Feld des Kampfes",
	["Fields of Blood"] = "Felder des Blutes",
	["Fields of Honor"] = "Felder der Ehre",
	Filming = "Filmen",
	["Fire Plume Ridge"] = "Feuersäulengrat",
	["Fire Scar Shrine"] = "Schrein des Sengenden Feuers",
	["Fire Stone Mesa"] = "Steinflammenebene",
	["Firebeard Cemetery"] = "Feuerbarts Friedhof",
	["Firebeard's Patrol"] = "Feuerbarts Patrouille",
	["Firegut Furnace"] = "Ofen der Feuermägen",
	Firelands = "Feuerlande",
	["Firelands Forgeworks"] = "Schmiedewerk der Feuerlande",
	["Firelands Hatchery"] = "Brutstätte der Feuerlande",
	["Fireplume Peak"] = "Schwarzrauchgipfel",
	["Fireplume Trench"] = "Der Schwarzrauchgraben",
	["Firestone Point"] = "Flammensteinspitze",
	["Firewatch Ridge"] = "Feuerwachtgrat",
	["Firewing Point"] = "Posten der Feuerschwingen",
	["First Bank of Kezan"] = "Erste Bank von Kezan",
	["First Legion Forward Camp"] = "Vorhutslager der Ersten Legion",
	["First to Your Aid"] = "Die Helfende Hand",
	["Fishing Village"] = "Fischerdorf",
	["Fizzcrank Airstrip"] = "Landebahn Kurbelzisch",
	["Fizzcrank Pumping Station"] = "Kurbelzischs Pumpstation",
	["Fizzle & Pozzik's Speedbarge"] = "Fizzels & Pozziks Turbodampfer",
	["Fjorn's Anvil"] = "Fjorns Amboss",
	["Flame Crest"] = "Flammenkamm",
	Flamebreach = "Flammenbresche",
	["Flamestar Post"] = "Flammensternposten",
	["Flamewatch Tower"] = "Flammenaugenturm",
	["Flavor - Stormwind Harbor - Stop"] = "Hafen von Sturmwind - Stop",
	["Fleshrender's Workshop"] = "Werkstatt des Fleischfetzers",
	["Foothold Citadel"] = "Wehrzitadelle",
	["Footman's Armory"] = "Waffenkammer des Fußsoldaten",
	["Force Interior"] = "Das Innere der Macht",
	["Fordragon Hold"] = "Feste Fordragon",
	["Forest Song"] = "Waldeslied",
	["Forest's Edge"] = "Der Waldrand",
	["Forest's Edge Post"] = "Posten des Waldrands",
	["Forge Base: Gehenna"] = "Konstruktionsbasis: Gehenna",
	["Forge Base: Oblivion"] = "Konstruktionsbasis: Vergessenheit",
	["Forge Camp: Anger"] = "Konstruktionslager: Groll",
	["Forge Camp: Fear"] = "Konstruktionslager: Furcht",
	["Forge Camp: Hate"] = "Konstruktionslager: Hass",
	["Forge Camp: Mageddon"] = "Konstruktionslager: Mageddon",
	["Forge Camp: Rage"] = "Konstruktionslager: Zorn",
	["Forge Camp: Terror"] = "Konstruktionslager: Terror",
	["Forge Camp: Wrath"] = "Konstruktionslager: Wut",
	["Forge of Fate"] = "Schmiede des Schicksals",
	["Forgewright's Tomb"] = "Schmiedevaters Grabmal",
	["Forgotten Hill"] = "Vergessener Hügel",
	["Forlorn Cloister"] = "Unglückseliger Kreuzgang",
	["Forlorn Ridge"] = "Der Einsame Grat",
	["Forlorn Rowe"] = "Das Verlassene Gut",
	["Forlorn Spire"] = "Der Einsame Turm",
	["Forlorn Woods"] = "Die Trostlosen Wälder",
	["Formation Grounds"] = "Gestaltungsgelände",
	["Forsaken Forward Command"] = "Gefechtsstand der Verlassenen",
	["Forsaken High Command"] = "Kommandozentrale der Verlassenen",
	["Forsaken Rear Guard"] = "Die Rückendeckung der Verlassenen",
	["Fort Livingston"] = "Fort Livingston",
	["Fort Triumph"] = "Triumphfeste",
	["Fort Wildervar"] = "Fort Wildervar",
	["Fortune's Fist"] = "Schicksalsfaust",
	["Forward Command"] = "Gefechtsstand",
	["Foulspore Cavern"] = "Faulsporenhöhle",
	["Fractured Front"] = "Zerrissene Front",
	["Fray Island"] = "Prügeleiland",
	["Frayfeather Highlands"] = "Fransenfederhochland",
	["Frazzlecraz Motherlode"] = "Frazzelcraz' Hauptader",
	["Freewind Post"] = "Freiwindposten",
	["Frenzyheart Hill"] = "Hügel der Wildherzen",
	["Frenzyheart River"] = "Strom der Wildherzen",
	["Frigid Breach"] = "Die Eisbresche",
	["Frost Dagger Pass"] = "Frostdolchpass",
	["Frostblade Pass"] = "Frostklingenpass",
	["Frostblade Peak"] = "Frostklingengipfel",
	["Frostclaw Den"] = "Frostklauenbau",
	["Frostfield Lake"] = "Frostfeldsee",
	["Frostfire Hot Springs"] = "Die Frostfeuerquellen",
	["Frostfloe Deep"] = "Frostschollentiefen",
	["Frostgrip's Hollow"] = "Frostgriffs Höhle",
	Frosthold = "Eisfestung",
	["Frosthowl Cavern"] = "Heulende Frosthöhle",
	["Frostmane Front"] = "Frontlinie der Frostmähnen",
	["Frostmane Hold"] = "Höhle der Frostmähnen",
	["Frostmane Retreat"] = "Zuflucht der Frostmähnen",
	Frostmourne = "Frostgram",
	["Frostmourne Cavern"] = "Frostgramhöhlen",
	["Frostsaber Rock"] = "Frostsäblerfelsen",
	["Frostwhisper Gorge"] = "Frosthauchschlucht",
	["Frostwing Halls"] = "Die Frostschwingenhallen",
	["Frostwolf Graveyard"] = "Friedhof der Frostwölfe",
	["Frostwolf Keep"] = "Burg Frostwolf",
	["Frostwolf Pass"] = "Frostwolfpass",
	["Frostwolf Tunnel"] = "Frostwolftunnel",
	["Frostwolf Village"] = "Dorf der Frostwölfe",
	["Frozen Reach"] = "Die Gefrorenen Weiten",
	["Fungal Deep"] = "Fungustiefe",
	["Fungal Rock"] = "Fungusfels",
	["Funggor Cavern"] = "Funggorhöhle",
	["Furien's Post"] = "Furiens Posten",
	["Furlbrow's Pumpkin Farm"] = "Brauenwirbels Kürbishof",
	["Furnace of Hate"] = "Brennofen des Hasses",
	["Furywing's Perch"] = "Zornschwinges Hort",
	Fuselight = "Luntenbrand",
	["Fuselight-by-the-Sea"] = "Luntenbrand-am-Meer",
	["GM Island"] = "GM-Insel",
	Gadgetzan = "Gadgetzan",
	["Gahrron's Withering"] = "Gahrrons Trauerfeld",
	["Galak Hold"] = "Galakhöhle",
	["Galakrond's Rest"] = "Galakronds Ruhestätte",
	["Galardell Valley"] = "Galardelltal",
	["Galen's Fall"] = "Galens Sturz",
	["Galerek's Remorse"] = "Galereks Sühne",
	["Galewatch Lighthouse"] = "Leuchtturm der Sturmwacht",
	["Gallery of Treasures"] = "Galerie der Schätze",
	["Gallows' Corner"] = "Galgeneck",
	["Gallows' End Tavern"] = "Taverne Zur Galgenschlinge",
	["Gallywix Docks"] = "Gallywix' Docks",
	["Gallywix Labor Mine"] = "Gallywix' Fronmine",
	["Gallywix Pleasure Palace"] = "Gallywix' Lustschloss",
	["Gallywix's Villa"] = "Gallywix' Villa",
	["Gallywix's Yacht"] = "Gallywix' Yacht",
	["Galus' Chamber"] = "Galus' Kammer",
	["Gamesman's Hall"] = "Halle der Spiele",
	Gammoth = "Gammut",
	["Gar'gol's Hovel"] = "Gar'gols Unterschlupf",
	Garadar = "Garadar",
	Garm = "Garm",
	["Garm's Bane"] = "Garms Bann",
	["Garm's Rise"] = "Garms Erhebung",
	["Garren's Haunt"] = "Garrens Schlupfwinkel",
	["Garrison Armory"] = "Garnisonswaffenkammer",
	["Garrosh's Landing"] = "Garroshs Landeplatz",
	["Garvan's Reef"] = "Garvans Riff",
	["Gate of Echoes"] = "Tor der Echos",
	["Gate of Hamatep"] = "Hamateps Tor",
	["Gate of Lightning"] = "Tor der Blitze",
	["Gate of the Blue Sapphire"] = "Tor des Saphirhimmels",
	["Gate of the Green Emerald"] = "Tor des Smaragdhorizonts",
	["Gate of the Purple Amethyst"] = "Tor des Amethyststerns",
	["Gate of the Red Sun"] = "Tor der Rubinsonne",
	["Gate of the Yellow Moon"] = "Tor des Goldmondes",
	["Gates of Ahn'Qiraj"] = "Tore von Ahn'Qiraj",
	["Gates of Ironforge"] = "Tore von Eisenschmiede",
	["Gates of Sothann"] = "Tore von Sothann",
	["Gauntlet of Flame"] = "Lauf der Flamme",
	["Gavin's Naze"] = "Gavins Landspitze",
	["Geezle's Camp"] = "Geezles Lager",
	["Gelkis Village"] = "Dorf der Gelkis",
	["General Goods"] = "Gemischtwaren",
	["General's Terrace"] = "Terrasse des Generals",
	["Ghost Walker Post"] = "Geistwandlerposten",
	["Ghostblade Post"] = "Geisterklingenposten",
	Ghostlands = "Geisterlande",
	["Giant's Run"] = "Plateau der Riesen",
	["Giants' Run"] = "Plateau der Riesen",
	["Gillijim's Isle"] = "Gillijims Insel",
	["Gilnean Coast"] = "Gilnearische Küste",
	["Gilnean Stronghold"] = "Gilnearische Feste",
	Gilneas = "Gilneas",
	["Gilneas City"] = "Gilneas",
	["Gilneas Liberation Front Base Camp"] = "Vorderes Basislager der Gilnearischen Befreiungsfront",
	["Gimorak's Den"] = "Gimoraks Bau",
	Gjalerbron = "Gjalerbron",
	Gjalerhorn = "Gjalerhorn",
	["Glacial Falls"] = "Eiswasserfälle",
	["Glimmer Bay"] = "Glimmerbucht",
	["Glimmerdeep Gorge"] = "Glimmertiefenschlucht",
	["Glittering Strand"] = "Glimmerstrand",
	["Glopgut's Hollow"] = "Stopfwampes Anhöhe",
	["Glorious Goods"] = "Wunderbare Waren",
	Glory = "Glorie",
	["Gnarlpine Hold"] = "Höhle der Knarzklauen",
	["Gnaws' Boneyard"] = "Nagers Friedhof",
	Gnomeregan = "Gnomeregan",
	["Go'Shek Farm"] = "Go'Sheks Hof",
	["Goblin Foundry"] = "Goblingießerei",
	["Goblin Slums"] = "Die Goblinslums",
	["Gol'Bolar Quarry"] = "Steinbruch von Gol'Bolar",
	["Gol'Bolar Quarry Mine"] = "Gol'Bolarmine",
	["Golakka Hot Springs"] = "Die Heißen Quellen von Golakka",
	["Gold Coast Quarry"] = "Der Goldküstensteinbruch",
	["Gold Mine"] = "Goldmine",
	["Gold Road"] = "Goldstraße",
	["Golden Strand"] = "Der Goldene Strand",
	["Goldenbough Pass"] = "Goldblattpass",
	["Goldenmist Village"] = "Goldnebel",
	Goldshire = "Goldhain",
	["Goldtooth's Den"] = "Goldzahns Höhle",
	["Goodgrub Smoking Pit"] = "Gutmampfs Räuchergrube",
	["Gor'gaz Outpost"] = "Außenposten von Gor'gaz",
	["Gordok's Seat"] = "Gordoks Sitz",
	["Gordunni Outpost"] = "Außenposten der Gordunni",
	["Gorefiend's Vigil"] = "Blutschattens Wacht",
	Gornia = "Gornia",
	["Gorrok's Lament"] = "Gorroks Klage",
	["Gorshak War Camp"] = "Kriegslager Gorshak",
	["Grand Magister's Asylum"] = "Zuflucht des Großmagisters",
	["Grand Promenade"] = "Große Promenade",
	["Grangol'var Village"] = "Grangol'var",
	["Granite Springs"] = "Granitquell",
	["Greatwood Vale"] = "Hochwipfeltal",
	["Greengill Coast"] = "Küste der Grünkiemen",
	["Greenpaw Village"] = "Laubtatzenlichtung",
	["Greenwarden's Grove"] = "Hain des Sumpfhüters",
	["Greymane Court"] = "Graumähnenhof",
	["Greymane Manor"] = "Graumähnenanwesen",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Eingang nach Grim Batol",
	["Grimesilt Dig Site"] = "Rußschlacks Grabungsstätte",
	["Grimtotem Compound"] = "Truppenlager der Grimmtotem",
	["Grimtotem Post"] = "Posten der Grimmtotem",
	Grishnath = "Grishnath",
	Grizzlemaw = "Grauschlund",
	["Grizzlepaw Ridge"] = "Grautatzengrat",
	["Grizzly Hills"] = "Grizzlyhügel",
	["Grol'dom Farm"] = "Grol'doms Hof",
	["Grolluk's Grave"] = "Grolluks Grab",
	["Grom'arsh Crash-Site"] = "Absturzstelle Grom'ash",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Basislager Grom'gol",
	["Grommash Hold"] = "Feste Grommash",
	["Grosh'gok Compound"] = "Das Lager von Grosh'gok",
	["Grove of Aessina"] = "Hain von Aessina",
	["Grove of the Ancients"] = "Hain der Uralten",
	["Growless Cave"] = "Eisfellhöhle",
	["Gruul's Lair"] = "Gruuls Unterschlupf",
	["Gryphon Roost"] = "Greifenhorst",
	["Guardian's Library"] = "Bibliothek des Wächters",
	Gundrak = "Gundrak",
	["Gundrak Entrance"] = "Eingang nach Gundrak",
	["Gunstan's Dig"] = "Gunstans Grabung",
	["Gunstan's Post"] = "Gunstans Posten",
	["Gunther's Retreat"] = "Gunthers Zufluchtsort",
	["Gurboggle's Ledge"] = "Gurboggels Fels",
	["Gurubashi Arena"] = "Arena der Gurubashi",
	["Gyro-Plank Bridge"] = "Gyroplankenbrücke",
	["Haal'eshi Gorge"] = "Schlucht der Haal'eshi",
	["Hadronox's Lair"] = "Hadronox' Hort",
	["Hailwood Marsh"] = "Hagelwaldmoor",
	Halaa = "Halaa",
	["Halaani Basin"] = "Halaanibecken",
	["Halcyon Egress"] = "Der Halcyonaufstieg",
	["Haldarr Encampment"] = "Lager der Haldarr",
	Halgrind = "Halgrind",
	["Hall of Arms"] = "Halle der Waffen",
	["Hall of Binding"] = "Halle der Bindung",
	["Hall of Blackhand"] = "Schwarzfausthalle",
	["Hall of Blades"] = "Halle der Messer",
	["Hall of Bones"] = "Halle der Knochen",
	["Hall of Champions"] = "Halle der Helden",
	["Hall of Command"] = "Halle des Befehls",
	["Hall of Crafting"] = "Halle des Handwerks",
	["Hall of Departure"] = "Halle des Abschieds",
	["Hall of Explorers"] = "Die Halle der Forscher",
	["Hall of Faces"] = "Halle der Gesichter",
	["Hall of Horrors"] = "Hallen des Grauens",
	["Hall of Legends"] = "Halle der Legenden",
	["Hall of Masks"] = "Halle der Masken",
	["Hall of Memories"] = "Halle der Erinnerungen",
	["Hall of Mysteries"] = "Halle der Mysterien",
	["Hall of Repose"] = "Halle der Muße",
	["Hall of Return"] = "Halle der Wiederkehr",
	["Hall of Ritual"] = "Halle des Rituals",
	["Hall of Secrets"] = "Halle der Geheimnisse",
	["Hall of Serpents"] = "Halle der Schlangen",
	["Hall of Stasis"] = "Halle der Stasis",
	["Hall of Twilight"] = "Halle des Zwielichts",
	["Hall of the Brave"] = "Halle der Kriegerhelden",
	["Hall of the Conquered Kings"] = "Halle der Bezwungenen Könige",
	["Hall of the Crafters"] = "Halle der Handwerker",
	["Hall of the Crusade"] = "Halle des Kreuzzugs",
	["Hall of the Cursed"] = "Halle der Verfluchten",
	["Hall of the Damned"] = "Halle der Verdammten",
	["Hall of the Fathers"] = "Halle der Vorväter",
	["Hall of the Frostwolf"] = "Halle der Frostwölfe",
	["Hall of the High Father"] = "Halle des Hohen Vaters",
	["Hall of the Keepers"] = "Halle der Bewahrer",
	["Hall of the Shaper"] = "Halle des Formers",
	["Hall of the Stormpike"] = "Halle der Sturmlanzen",
	["Hall of the Watchers"] = "Halle der Behüter",
	["Halls of Anguish"] = "Hallen der Pein",
	["Halls of Awakening"] = "Hallen des Erwachens",
	["Halls of Binding"] = "Hallen der Bindung",
	["Halls of Destruction"] = "Hallen der Zerstörung",
	["Halls of Lightning"] = "Hallen der Blitze",
	["Halls of Lightning Entrance"] = "Eingang zu den Hallen der Blitze",
	["Halls of Mourning"] = "Hallen der Trauer",
	["Halls of Origination"] = "Hallen des Ursprungs",
	["Halls of Origination Entrance"] = "Eingang zu den Hallen des Ursprungs",
	["Halls of Reflection"] = "Hallen der Reflexion",
	["Halls of Reflection Entrance"] = "Eingang zu den Hallen der Reflexion",
	["Halls of Silence"] = "Hallen des Schweigens",
	["Halls of Stone"] = "Hallen des Steins",
	["Halls of Stone Entrance"] = "Eingang zu den Hallen des Steins",
	["Halls of Strife"] = "Hallen des Zwists",
	["Halls of Theory"] = "Hallen der Theorie",
	["Halls of the Ancestors"] = "Hallen der Vorfahren",
	["Halls of the Hereafter"] = "Hallen des Jenseits",
	["Halls of the Law"] = "Halle des Gesetzes",
	["Halycon's Lair"] = "Halycons Hort",
	Hammerfall = "Hammerfall",
	["Hammertoe's Digsite"] = "Hammerzehs Grabungsstätte",
	["Hammond Farmstead"] = "Hammonds Bauernhof",
	Hangar = "Hangar",
	["Hardknuckle Clearing"] = "Lichtung der Hartknöchel",
	["Hardwrench Hideaway"] = "Hartzangs Versteck",
	["Harkor's Camp"] = "Harkors Lager",
	["Hatchet Hills"] = "Die Axthügel",
	Havenshire = "Havenau",
	["Havenshire Farms"] = "Höfe von Havenau",
	["Havenshire Lumber Mill"] = "Sägewerk von Havenau",
	["Havenshire Mine"] = "Mine von Havenau",
	["Havenshire Stables"] = "Ställe von Havenau",
	["Hayward Fishery"] = "Fischerei Hayward",
	["Headmaster's Study"] = "Arbeitszimmer des Direktors",
	["Heart of Destruction"] = "Herz der Zerstörung",
	["Heart's Blood Shrine"] = "Schrein des Herzensblutes",
	Hearthglen = "Herdweiler",
	["Heartwood Trading Post"] = "Handelsposten Kernholz",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Hellfire Basin"] = "Höllenfeuerbecken",
	["Hellfire Citadel"] = "Höllenfeuerzitadelle",
	["Hellfire Citadel - Ramparts Entrance"] = "Höllenfeuerzitadelle - Eingang zum Bollwerk",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Höllenfeuerzitadelle - Eingang zum Blutkessel",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Höllenfeuerzitadelle - Eingang zu den Zerschmetterten Hallen",
	["Hellfire Citadel: Ramparts"] = "Höllenfeuerzitadelle: Bollwerk",
	["Hellfire Citadel: The Blood Furnace"] = "Höllenfeuerzitadelle: Blutkessel",
	["Hellfire Citadel: The Shattered Halls"] = "Höllenfeuerzitadelle: Zerschmetterte Hallen",
	["Hellfire Peninsula"] = "Höllenfeuerhalbinsel",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Höllenfeuerhalbinsel - Lager - Landzunge",
	["Hellfire Peninsula - Reaver's Fall"] = "Höllenfeuerhalbinsel - Häschersturz",
	["Hellfire Ramparts"] = "Höllenfeuerbollwerk",
	["Hellscream's Camp"] = "Höllschreis Lager",
	["Hellscream's Grasp"] = "Höllschreis Griff",
	["Hellscream's Watch"] = "Höllschreis Wacht",
	["Helm's Bed Lake"] = "Helmsbettsee",
	["Heroes' Vigil"] = "Heldenwache",
	["Hetaera's Clutch"] = "Hetaeras Gelege",
	["Hewn Bog"] = "Prügelsumpf",
	["Hibernal Cavern"] = "Überwinterungshöhle",
	["Hidden Path"] = "Verborgener Pfad",
	["High Bank"] = "Hochstade",
	["High Wilderness"] = "Die Obere Wildnis",
	Highbank = "Hochstade",
	["Highland Forest"] = "Hochlandwald",
	Highperch = "Der Steilhang",
	Hillsbrad = "Hügellandhof",
	["Hillsbrad Fields"] = "Die Felder des Hügellands",
	["Hillsbrad Foothills"] = "Vorgebirge des Hügellands",
	["Hiri'watha Research Station"] = "Forschungsstation Hiri'watha",
	["Hive'Ashi"] = "Bau des Ashischwarms",
	["Hive'Regal"] = "Bau des Regalschwarms",
	["Hive'Zora"] = "Bau des Zoraschwarms",
	["Hogger Hill"] = "Hoggerhügel",
	["Hollowstone Mine"] = "Hohlsteinmine",
	["Honor Hold"] = "Ehrenfeste",
	["Honor Hold Mine"] = "Mine",
	["Honor Point"] = "Ehrenposten ",
	["Honor's Stand"] = "Ehrenwacht",
	["Honor's Tomb"] = "Ehrengrabmal",
	["Horde Base Camp"] = "Basislager der Horde",
	["Horde Encampment"] = "Lager der Horde",
	["Horde Keep"] = "Hordenfestung",
	["Horde Landing"] = "Landeplatz der Horde",
	["Horde PVP Barracks"] = "Horde PvP Kaserne",
	["Hordemar City"] = "Hordemar",
	["House of Edune"] = "Haus von Edune",
	["Howling Fjord"] = "Der Heulende Fjord",
	["Howling Ziggurat"] = "Die Heulende Ziggurat",
	["Hrothgar's Landing"] = "Hrothgars Landestelle",
	["Hull of the Foebreaker"] = "Rumpf der Feindbrecher",
	["Humboldt Conflagration"] = "Die Humboldtfeuersbrunst",
	["Hunter Rise"] = "Die Anhöhe der Jäger",
	["Hunter's Hill"] = "Jägerhügel",
	["Huntress of the Sun"] = "Jägerin der Sonne",
	["Huntsman's Cloister"] = "Kreuzgang des Jägers",
	Hyjal = "Hyjal",
	["Hyjal Barrow Dens"] = "Die Grabhügel des Hyjal",
	["Hyjal Past"] = "Hyjal der Vergangenheit",
	["Hyjal Summit"] = "Hyjalgipfel",
	["Ice Heart Cavern"] = "Eiskernhöhlen",
	["Ice Thistle Hills"] = "Eisdistelberge",
	["Iceblood Garrison"] = "Eisblutgarnison",
	["Iceblood Graveyard"] = "Eisblutfriedhof",
	Icecrown = "Eiskrone",
	["Icecrown Citadel"] = "Eiskronenzitadelle",
	["Icecrown Dungeon - Gunships"] = "Eiskronen-Dungeon - Kanonenschiffe",
	["Icecrown Glacier"] = "Eiskronengletscher",
	["Iceflow Lake"] = "Eiswellensee",
	["Icemist Falls"] = "Eisnebelfälle",
	["Icemist Village"] = "Eisnebel",
	["Icewing Bunker"] = "Eisschwingenbunker",
	["Icewing Cavern"] = "Eisschwingenhöhle",
	["Icewing Pass"] = "Eisschwingenpass",
	["Idlewind Lake"] = "Idlewindsee",
	["Igneous Depths"] = "Die Feurigen Tiefen",
	["Illidari Point"] = "Stätte der Illidari",
	["Illidari Training Grounds"] = "Ausbildungsgelände der Illidari",
	["Indu'le Village"] = "Indu'le",
	Inn = "Gasthaus",
	["Inner Sanctum"] = "Inneres Sanktum",
	["Inner Veil"] = "Der Innere Zwist",
	["Insidion's Perch"] = "Insidions Hort",
	["Invasion Point: Annihilator"] = "Invasionspunkt: Vernichter",
	["Invasion Point: Cataclysm"] = "Invasionspunkt: Katastrophe",
	["Invasion Point: Destroyer"] = "Invasionspunkt: Zerstörer",
	["Invasion Point: Overlord"] = "Invasionspunkt: Oberanführer",
	["Iron Concourse"] = "Der Eisenstau",
	["Iron Summit"] = "Eisengipfel",
	["Ironband's Compound"] = "Eisenbands Truppenlager",
	["Ironband's Excavation Site"] = "Eisenbands Ausgrabungsstätte",
	["Ironbeard's Tomb"] = "Eisenbarts Grabmal",
	["Ironclad Cove"] = "Eiserne Bucht",
	["Ironclad Garrison"] = "Eiserne Garnison",
	["Ironclad Prison"] = "Eisernes Gefängnis",
	["Irondeep Mine"] = "Eisentiefenmine",
	Ironforge = "Eisenschmiede",
	["Ironforge Airfield"] = "Flugplatz von Eisenschmiede",
	["Ironstone Camp"] = "Eisensteinlager",
	["Ironstone Plateau"] = "Eisensteinplateau",
	["Irontree Cavern"] = "Eisenwaldhöhle",
	["Irontree Clearing"] = "Eisenwaldlichtung",
	["Irontree Woods"] = "Der Eisenwald",
	["Ironwall Dam"] = "Eisenwalldamm",
	["Ironwall Rampart"] = "Eisenwallbollwerk",
	["Ironwing Cavern"] = "Eisenschwingenhöhle",
	Iskaal = "Iskaal",
	["Island of Doctor Lapidis"] = "Insel des Doktor Lapidis",
	["Isle of Conquest"] = "Insel der Eroberung",
	["Isle of Conquest No Man's Land"] = "Niemandsland auf der Insel der Eroberung",
	["Isle of Dread"] = "Die Insel des Schreckens",
	["Isle of Quel'Danas"] = "Insel von Quel'Danas",
	["Isle of Tribulations"] = "Insel des Martyriums",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Itharius' Höhle",
	["Ivald's Ruin"] = "Ivalds Ruine",
	["Ix'lar's Domain"] = "Ix'lars Domäne",
	["Jadefire Glen"] = "Jadefeuertal",
	["Jadefire Run"] = "Jadefeuerschlucht",
	["Jademir Lake"] = "Jademirsee",
	Jaedenar = "Jaedenar",
	["Jagged Reef"] = "Gezacktes Riff",
	["Jagged Ridge"] = "Zackengrat",
	["Jagged Wastes"] = "Zackenwüste",
	["Jaggedswine Farm"] = "Scheckeneberhof",
	["Jaguero Isle"] = "Die Insel Jaguero",
	["Janeiro's Point"] = "Janeirospitze",
	["Jangolode Mine"] = "Der Jangoschacht",
	["Jaquero Isle"] = "Die Insel Jaguero",
	["Jasperlode Mine"] = "Jaspismine",
	["Jeff NE Quadrant Changed"] = "Jeff NO-Quadrant geändert",
	["Jeff NW Quadrant"] = "Jeff NW-Quadrant",
	["Jeff SE Quadrant"] = "Jeff SO-Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW-Quadrant",
	["Jerod's Landing"] = "Jerods Anlegestelle",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Jintha'kalarpassage",
	Jotunheim = "Jotunheim",
	K3 = "K3",
	["KTC Headquarters"] = "Hauptgeschäftssitz der HGK",
	["KTC Oil Platform"] = "Ölplattform der HGK",
	["Kaja'mine"] = "Kaja'mine",
	["Kaja'mite Cave"] = "Kaja'mithöhle",
	["Kaja'mite Cavern"] = "Kaja'mithöhle",
	["Kajaro Field"] = "Kajarofeld",
	["Kal'ai Ruins"] = "Ruinen von Kal'ai",
	Kalimdor = "Kalimdor",
	Kamagua = "Kamagua",
	["Karabor Sewers"] = "Kanäle von Karabor",
	Karazhan = "Karazhan",
	["Kargathia Keep"] = "Burg Kargathia",
	["Karnum's Glade"] = "Karnums Lichtung",
	["Kartak's Hold"] = "Kartaks Stellung",
	Kaskala = "Kaskala",
	["Kaw's Roost"] = "Kraas Ruhestätte",
	["Keel Harbor"] = "Kielwasser",
	["Keelen's Trustworthy Tailoring"] = "Keelens tadellose Schneiderei",
	["Keeshan's Post"] = "Keeshans Posten",
	["Kel'Thuzad Chamber"] = "Kel'Thuzads Gemächer",
	["Kel'Thuzad's Chamber"] = "Kel'Thuzads Gemächer",
	["Kelp'thar Forest"] = "Tang'tharwald",
	["Keset Pass"] = "Kesetpass",
	["Kessel's Crossing"] = "Kessels Wegelager",
	Kezan = "Kezan",
	Kharanos = "Kharanos",
	["Khardros' Anvil"] = "Khardros' Amboss",
	["Khartut's Tomb"] = "Grab des Khartut",
	["Khaz'goroth's Seat"] = "Khaz'goroths Sitz",
	["Kil'sorrow Fortress"] = "Festung Kil'sorge",
	["Kili'ua's Atoll"] = "Kili'uas Atoll",
	["King's Gate"] = "Königstor",
	["King's Harbor"] = "Königshafen",
	["King's Hoard"] = "Königslager",
	["King's Square"] = "Königsplatz",
	["Kirin'Var Village"] = "Kirin'Var",
	Kirthaven = "Kirthafen",
	["Kodo Graveyard"] = "Der Kodofriedhof",
	["Kodo Rock"] = "Kodofels",
	["Kolkar Village"] = "Kolkar",
	Kolramas = "Kolramas",
	["Kor'kron Vanguard"] = "Vorposten der Kor'kron",
	["Kormek's Hut"] = "Kormeks Hütte",
	["Koroth's Den"] = "Koroths Bau",
	["Korthun's End"] = "Korthuns Ende",
	["Krasus' Landing"] = "Krasus' Landeplatz",
	["Krazzworks Attack Zeppelin"] = "Angriffszeppelin der Krazzwerke",
	["Krolg's Hut"] = "Krolgs Hütte",
	["Krom'gar Fortress"] = "Festung Krom'gar",
	["Krom's Landing"] = "Kroms Landeplatz",
	["Kul Tiras"] = "Kul Tiras",
	["Kul'galar Keep"] = "Feste Kul'galar",
	["Kurzen's Compound"] = "Kurzens Truppenlager",
	["L'ghorek"] = "L'ghorek",
	["Lair of the Chosen"] = "Unterschlupf des Auserwählten",
	["Lake Al'Ameth"] = "Al'Amethsee",
	["Lake Cauldros"] = "Kaldrossee",
	["Lake Dumont"] = "Dumontsee",
	["Lake Edunel"] = "Edunelsee",
	["Lake Elrendar"] = "Elrendarsee",
	["Lake Elune'ara"] = "See von Elune'ara",
	["Lake Ere'Noru"] = "See von Ere'Noru",
	["Lake Everstill"] = "Der Immerruhsee",
	["Lake Falathim"] = "Falathimsee",
	["Lake Indu'le"] = "Wasser von Indu'le",
	["Lake Jorune"] = "Jorunesee",
	["Lake Kel'Theril"] = "Kel'Therilsee",
	["Lake Kum'uya"] = "Kum'uyasee",
	["Lake Mennar"] = "Mennarsee",
	["Lake Mereldar"] = "Mereldarsee",
	["Lake Nazferiti"] = "Der Nazferitisee",
	["Lake Sunspring"] = "Sonnenwindsee",
	["Lakeridge Highway"] = "Uferpfad",
	Lakeshire = "Seenhain",
	["Lakeshire Inn"] = "Gasthaus von Seenhain",
	["Lakeshire Town Hall"] = "Rathaus von Seenhain",
	["Lakeside Landing"] = "Landeplatz am See",
	["Lakkari Tar Pits"] = "Teergruben von Lakkari",
	["Land's End Beach"] = "Landendestrand",
	["Landing Beach"] = "Anlandestrand",
	["Landing Site"] = "Landeplatz",
	["Langrom's Leather & Links"] = "Langroms Leder & Ketten",
	["Largo's Overlook"] = "Largos Warte",
	["Largo's Overlook Tower"] = "Turm von Largos Warte",
	["Lariss Pavilion"] = "Larisspavillon",
	["Laughing Skull Courtyard"] = "Hof des Lachenden Schädels",
	["Laughing Skull Ruins"] = "Ruinen des Lachenden Schädels",
	["Launch Bay"] = "Startrampe",
	["Legash Encampment"] = "Lager der Legashi",
	["Legendary Leathers"] = "Legendäre Leder",
	["Legion Hold"] = "Feste der Legion",
	["Legion's Fate"] = "Verhängnis der Legion",
	["Legion's Rest"] = "Ruhestatt der Legion",
	["Lethlor Ravine"] = "Die Lethlorklamm",
	["Leyara's Sorrow"] = "Leyaras Trauer",
	["Library Wing"] = "Bibliotheksflügel",
	["Light's Breach"] = "Lichtbresche",
	["Light's Dawn Cathedral"] = "Kathedrale des Erwachenden Lichts",
	["Light's Hammer"] = "Hammer des Lichts",
	["Light's Hope Chapel"] = "Kapelle des Hoffnungsvollen Lichts",
	["Light's Point"] = "Lichtgipfel",
	["Light's Point Tower"] = "Lichtgipfelturm",
	["Light's Shield Tower"] = "Lichtschildturm",
	["Light's Trust"] = "Die Lichtwarte",
	Lighthouse = "Leuchtturm",
	["Lightning Ledge"] = "Gewittersims",
	["Like Clockwork"] = "Auf die Sekunde",
	["Lion's Pride Inn"] = "Gasthaus Zur Höhle des Löwen",
	["Livery Outpost"] = "Pferdewechselstation",
	["Livery Stables"] = "Nobelställe",
	["Llane's Oath"] = "Llanes Schwur",
	["Loading Room"] = "Laderaum",
	["Loch Modan"] = "Loch Modan",
	["Loch Verrall"] = "Loch Verrall",
	["Loken's Bargain"] = "Lokens Handel",
	Longshore = "Die Endlose Küste",
	["Lor'danel"] = "Lor'danel",
	["Lordamere Internment Camp"] = "Lordamere-Internierungslager",
	["Lordamere Lake"] = "Der Lordameresee",
	["Lorthuna's Gate"] = "Lorthunas Tor",
	["Lost Caldera"] = "Verlorene Caldera",
	["Lost City of the Tol'vir"] = "Die Verlorene Stadt der Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Eingang zur Verlorenen Stadt der Tol'vir",
	["Lost Isles Town in a Box"] = "Die Verlorenen Inseln",
	["Lost Isles Volcano Eruption"] = "Die Verlorenen Inseln",
	["Lost Peak"] = "Verlorener Gipfel",
	["Lost Point"] = "Die Verlassene Wacht",
	["Lost Rigger Cove"] = "Mast- und Schotbucht",
	LostIsles = "Die Verlorenen Inseln",
	["Lothalor Woodlands"] = "Waldländer von Lothalor",
	["Lower City"] = "Unteres Viertel",
	["Lower Silvermarsh"] = "Untere Silbermarschen",
	["Lower Veil Shil'ak"] = "Unteres Shil'akversteck",
	["Lower Wilds"] = "Die Untere Wildnis",
	["Lumber Mill"] = "Sägewerk",
	["Lushwater Oasis"] = "Die Blühende Oase",
	["Lydell's Ambush"] = "Lydells Hinterhalt",
	["M.A.C. Diver"] = "M.A.C. Dyver",
	["Maelstrom Zone"] = "Die Mahlstromzone",
	["Maestra's Post"] = "Maestras Posten",
	["Maexxna's Nest"] = "Maexxnas Nest",
	["Mag'har Grounds"] = "Grund der Mag'har",
	["Mag'har Post"] = "Posten der Mag'har",
	["Mag'hari Procession"] = "Mag'harische Prozession",
	["Mage Quarter"] = "Das Magierviertel",
	["Mage Tower"] = "Magierturm",
	["Magic Quarter"] = "Magieviertel",
	["Magical Menagerie"] = "Magische Menagerie",
	["Magister's Terrace"] = "Terrasse der Magister",
	["Magisters Gate"] = "Magistertor",
	["Magisters' Terrace"] = "Terrasse der Magister",
	["Magisters' Terrace Entrance"] = "Eingang zur Terrasse der Magister",
	["Magma Fields"] = "Magmafelder",
	["Magma Springs"] = "Die Magmaquellen",
	["Magmadar Cavern"] = "Magmadarhöhle",
	["Magmaw's Fissure"] = "Magmauls Kluft",
	Magmoth = "Magmut",
	["Magnamoth Caverns"] = "Magnamuthöhlen",
	["Magram Territory"] = "Territorium der Magram",
	["Magtheridon's Lair"] = "Magtheridons Kammer",
	["Magus Commerce Exchange"] = "Handelsmarkt der Magier",
	["Main Gate"] = "Haupttor",
	["Main Hall"] = "Haupthalle",
	["Maker's Ascent"] = "Aufstieg des Schöpfers",
	["Maker's Overlook"] = "Warte des Schöpfers",
	["Maker's Perch"] = "Hort der Schöpfer",
	["Makers' Overlook"] = "Warte der Schöpfer",
	["Makers' Perch"] = "Hort der Schöpfer",
	["Malaka'jin"] = "Malaka'jin",
	["Malden's Orchard"] = "Maldens Obsthain",
	Maldraz = "Maldraz",
	["Malfurion's Breach"] = "Malfurions Bresche",
	["Malicia's Outpost"] = "Malicias Außenposten",
	["Malykriss: The Vile Hold"] = "Malykriss: Die Unheilvolle Festung",
	["Mam'toth Crater"] = "Krater Mam'toth",
	["Mana Tombs"] = "Managruft",
	["Mana-Tombs"] = "Managruft",
	["Manaforge Ara"] = "Manaschmiede Ara",
	["Manaforge B'naar"] = "Manaschmiede B'naar",
	["Manaforge Coruu"] = "Manaschmiede Coruu",
	["Manaforge Duro"] = "Manaschmiede Duro",
	["Manaforge Ultris"] = "Manaschmiede Ultris",
	["Mandokir's Domain"] = "Mandokirs Reich",
	["Mannoroc Coven"] = "Zirkel der Mannoroc",
	["Manor Mistmantle"] = "Anwesen der Dunstmantels",
	["Mantle Rock"] = "Mantelfels",
	["Map Chamber"] = "Kartenkammer",
	["Mar'at"] = "Mar'at",
	Maraudon = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon - Eingang zu den Fällen des Irdenen Gesangs",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon - Eingang zur Faulsporenhöhle",
	["Mardenholde Keep"] = "Burg Mardenholde",
	["Market Row"] = "Marktgasse",
	["Marshal's Refuge"] = "Marschalls Zuflucht",
	["Marshal's Stand"] = "Marschalls Wehr",
	["Marshlight Lake"] = "Sumpflichtsee",
	["Marshtide Watch"] = "Sumpftidenwacht",
	["Maruadon - The Wicked Grotto Entrance"] = "Maraudon - Eingang zur Tückischen Grotte",
	["Mast Room"] = "Mastraum",
	["Master's Terrace"] = "Terrasse des Meisters",
	["Masters' Gate"] = "Tor der Meister",
	["Maw of Lycanthoth"] = "Schlund von Lycanthoth",
	["Maw of Neltharion"] = "Neltharions Schlund",
	["Maw of the Void"] = "Maul der Leere",
	["Mazra'Alor"] = "Mazra'Alor",
	Mazthoril = "Mazthoril",
	["Medivh's Chambers"] = "Medivhs Gemächer",
	["Menagerie Wreckage"] = "Menagerietrümmer",
	["Menethil Bay"] = "Bucht von Menethil",
	["Menethil Harbor"] = "Hafen von Menethil",
	["Menethil Keep"] = "Burg Menethil",
	["Merchant Square"] = "Händlerplatz",
	["Mid Point Station"] = "Zentralstation",
	Middenvale = "Trümmerfall",
	["Midrealm Post"] = "Mittelreichposten",
	["Midwall Lift"] = "Aufzug am Hauptwall",
	["Mightstone Quarry"] = "Großfelsbruch",
	["Military District"] = "Militärviertel",
	["Mimir's Workshop"] = "Mimirs Werkstatt",
	Mine = "Mine",
	Mines = "Minen",
	["Mirage Abyss"] = "Illusionenschlund",
	["Mirage Flats"] = "Illusionenebene",
	["Mirage Raceway"] = "Illusionenrennbahn",
	["Mirkfallon Lake"] = "Mirkfallonsee",
	["Mirkfallon Post"] = "Mirkfallonposten",
	["Mirror Lake"] = "Spiegelsee",
	["Mirror Lake Orchard"] = "Obsthain am Spiegelsee",
	["Mist's Edge"] = "Nebelrand",
	["Mistcaller's Cave"] = "Höhle des Nebelrufers",
	["Mistvale Valley"] = "Nebeltal",
	["Mistwhisper Refuge"] = "Zuflucht der Nebelflüsterer",
	["Misty Pine Refuge"] = "Nebelfichtenzuflucht",
	["Misty Reed Post"] = "Nebelschilfposten",
	["Misty Reed Strand"] = "Nebelschilfstrand",
	["Misty Ridge"] = "Nebelpass",
	["Misty Shore"] = "Nebelufer",
	["Misty Valley"] = "Das Neblige Tal",
	["Miwana's Longhouse"] = "Miwanas Langhaus",
	["Mizjah Ruins"] = "Ruinen von Mizjah",
	["Mo'grosh Stronghold"] = "Festung Mo'grosh",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Hafen Moa'ki",
	["Moggle Point"] = "Moggelspitze",
	["Mok'Doom"] = "Mok'Doom",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Dorf der Mok'Nathal",
	["Mold Foundry"] = "Formgießerei",
	["Molten Core"] = "Geschmolzener Kern",
	["Molten Front"] = "Geschmolzene Front",
	["Moon Horror Den"] = "Mondschreckensbau",
	Moonbrook = "Mondbruch",
	Moonglade = "Mondlichtung",
	["Moongraze Woods"] = "Mondweidenwald",
	["Moonrest Gardens"] = "Mondruhgärten",
	["Moonshrine Ruins"] = "Mondschreinruine",
	["Moonshrine Sanctum"] = "Mondschreinsanktum",
	["Moontouched Den"] = "Mondbestrahlter Bau",
	["Moonwell of Cleansing"] = "Mondbrunnen der Läuterung",
	["Moonwell of Purity"] = "Mondbrunnen der Reinheit",
	["Moonwing Den"] = "Mondschwingenbau",
	["Mor'shan Base Camp"] = "Stützpunkt Mor'shan",
	["Mord'rethar: The Death Gate"] = "Mord'rethar: Das Tor des Todes",
	["Morgan's Plot"] = "Morgans Grund",
	["Morgan's Vigil"] = "Morgans Wacht",
	["Morlos'Aran"] = "Morlos'Aran",
	["Mortal's Demise"] = "Untergang des Sterblichen",
	["Mortwake's Tower"] = "Jagdrufs Turm",
	["Mosh'Ogg Ogre Mound"] = "Ogerhügel der Mosh'Ogg",
	["Mosshide Fen"] = "Moosfellmoor",
	["Mosswalker Village"] = "Mooswandlerdorf",
	["Mossy Pile"] = "Mooshügel",
	["Mount Akher"] = "Der Berg Akher",
	["Mount Hyjal"] = "Hyjal",
	["Mount Hyjal Phase 1"] = "Hyjal",
	["Mountainfoot Strip Mine"] = "Tagebau am Gebirgsfuß",
	Mudsprocket = "Morastwinkel",
	Mulgore = "Mulgore",
	["Murder Row"] = "Mördergasse",
	["Murkdeep Cavern"] = "Finstergrundhöhle",
	["Mystral Lake"] = "Mystralsee",
	Mystwood = "Mythoswald",
	Nagrand = "Nagrand",
	["Nagrand Arena"] = "Arena von Nagrand",
	Nahom = "Nahom",
	["Nar'shola Terrace"] = "Terrasse von Nar'shola",
	["Narvir's Cradle"] = "Narvirs Wiege",
	["Nasam's Talon"] = "Nasams Klaue",
	["Nat's Landing"] = "Nats Angelplatz",
	Naxxanar = "Naxxanar",
	Naxxramas = "Naxxramas",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak: Die Vergessenen Tiefen",
	["Nazj'vel"] = "Nazj'vel",
	Nazzivian = "Nazzivian",
	["Needlerock Chasm"] = "Nadelfelsschlucht",
	["Needlerock Slag"] = "Nadelfelsbruch",
	["Nefarian's Lair"] = "Nefarians Unterschlupf",
	["Nefarian�s Lair"] = "Nefarians Unterschlupf",
	["Neferset City"] = "Neferset",
	["Neferset City Outskirts"] = "Außenbezirke von Neferset",
	["Nek'mani Wellspring"] = "Nek'maniquellbrunnen",
	["Neptulon's Rise"] = "Neptulons Erhebung",
	["Nesingwary Base Camp"] = "Nesingwarys Basislager",
	["Nesingwary Safari"] = "Nesingwarys Safari",
	["Nesingwary's Expedition"] = "Nesingwarys Expedition",
	Nespirah = "Nespirah",
	["Nestlewood Hills"] = "Nistelhügel",
	["Nestlewood Thicket"] = "Nisteldickicht",
	["Nethander Stead"] = "Nethandersiedlung",
	["Nethergarde Keep"] = "Burg Nethergarde",
	["Nethergarde Mines"] = "Minen von Nethergarde",
	["Nethergarde Supply Camps"] = "Versorgungslager von Nethergarde",
	Netherspace = "Netherraum",
	Netherstone = "Netherstein",
	Netherstorm = "Nethersturm",
	["Netherweb Ridge"] = "Netherweberkamm",
	["Netherwing Fields"] = "Netherschwingenfelder",
	["Netherwing Ledge"] = "Netherschwingenscherbe",
	["Netherwing Mines"] = "Netherschwingenminen",
	["Netherwing Pass"] = "Netherschwingenpass",
	["New Agamand"] = "Neu-Agamand",
	["New Agamand Inn"] = "Gasthaus von Neu-Agamand",
	["New Avalon"] = "Neu-Avalon",
	["New Avalon Fields"] = "Felder von Neu-Avalon",
	["New Avalon Forge"] = "Schmiede von Neu-Avalon",
	["New Avalon Orchard"] = "Obsthain von Neu-Avalon",
	["New Avalon Town Hall"] = "Rathaus von Neu-Avalon",
	["New Hearthglen"] = "Neuherdweiler",
	["New Kargath"] = "Neu-Kargath",
	["New Thalanaar"] = "Neu-Thalanaar",
	["New Tinkertown"] = "Neu-Tüftlerstadt",
	["Nexus Legendary"] = "Der Nexus (Legendäre Waffe)",
	Nidavelir = "Nidavelir",
	["Nidvar Stair"] = "Nidvarstieg",
	Nifflevar = "Niffelvar",
	["Night Elf Village"] = "Nachtelfendorf",
	["Night Run"] = "Nachtflucht",
	["Night Web's Hollow"] = "Nachtwebergrund",
	Nighthaven = "Nachthafen",
	["Nightmare Depths"] = "Die Alptraumtiefen",
	["Nightmare Scar"] = "Die Alptraumnarbe",
	["Nightmare Vale"] = "Alptraumtal",
	["Nightsong Woods"] = "Nachtweisenwald",
	["Nijel's Point"] = "Die Nijelspitze",
	["Nimbus Rise"] = "Nimbusanhöhe",
	["Njord's Breath Bay"] = "Bucht des Njordatems",
	["Njorn Stair"] = "Njornstieg",
	["Njorndar Village"] = "Njorndar",
	["Noonshade Ruins"] = "Tagschattenruinen",
	Nordrassil = "Nordrassil",
	["Nordrassil Inn"] = "Gasthaus zu Nordrassil",
	["Nordune Ridge"] = "Nordunegrat",
	["North Common Hall"] = "Nördliche Bankenhalle",
	["North Gate Outpost"] = "Nordtoraußenposten",
	["North Gate Pass"] = "Nordtorpass",
	["North Point Station"] = "Nordstation",
	["North Point Tower"] = "Nordwacht",
	["North Sanctum"] = "Sanktum des Nordens",
	["North Spear Tower"] = "Nordspeerturm",
	["North Tide's Beachhead"] = "Nördliche Gezeitenbucht",
	["North Tide's Run"] = "Nördlicher Gezeitenstrom",
	Northdale = "Nordtal",
	["Northern Barrens"] = "Nördliches Brachland",
	["Northern Headlands"] = "Die Nordmark",
	["Northern Rampart"] = "Nördliches Bollwerk",
	["Northern Rocketway"] = "Nördliche Raketenbahn",
	["Northern Rocketway Exchange"] = "Nördlicher Umschlagplatz der Raketenbahn",
	["Northern Stranglethorn"] = "Nördliches Schlingendorntal",
	["Northfold Manor"] = "Nordhof",
	["Northgate Breach"] = "Nordtorbresche",
	["Northgate River"] = "Nordtorfluss",
	["Northgate Woods"] = "Nordtorwald",
	["Northmaul Tower"] = "Nordschlägerturm",
	["Northpass Tower"] = "Nordpassturm",
	Northrend = "Nordend",
	["Northridge Lumber Camp"] = "Sägewerk des Nordkamms",
	["Northshire Abbey"] = "Abtei von Nordhain",
	["Northshire River"] = "Nordhainfluss",
	["Northshire Valley"] = "Nordhaintal",
	["Northshire Vineyards"] = "Weinberge von Nordhain",
	["Northwatch Expedition Base Camp"] = "Basislager der Nordwachtexpedition",
	["Northwatch Expedition Base Camp Inn"] = "Gasthaus der Nordwachtexpedition",
	["Northwatch Foothold"] = "Vorposten der Nordwacht",
	["Northwatch Hold"] = "Feste Nordwacht",
	["Northwind Cleft"] = "Nordwindkluft",
	["Nozzlepot's Outpost"] = "Düsentopfs Außenposten",
	["Nozzlerust Post"] = "Düsenrostposten",
	["O'Breen's Camp"] = "O'Breens Lager",
	["Oasis of Vir'sar"] = "Oase Vir'sar",
	["Oasis of the Fallen Prophet"] = "Oase des gefallenen Propheten",
	["Obelisk of the Moon"] = "Obelisk des Mondes",
	["Obelisk of the Stars"] = "Obelisk der Sterne",
	["Obelisk of the Sun"] = "Obelisk der Sonne",
	["Observance Hall"] = "Beobachtungshalle",
	["Observation Grounds"] = "Beobachtungsplatz",
	["Obsidia's Perch"] = "Obsidias Hort",
	["Obsidian Breakers"] = "Obsidianbrecher",
	["Obsidian Dragonshrine"] = "Obsidiandrachenschrein",
	["Obsidian Forest"] = "Obsidianwald",
	["Obsidian Lair"] = "Obsidianhort",
	["Odesyus' Landing"] = "Odesyus' Ankerplatz",
	["Ogri'la"] = "Ogri'la",
	["Old Hillsbrad Foothills"] = "Vorgebirge des Alten Hügellands",
	["Old Ironforge"] = "Altstadt von Eisenschmiede",
	["Old Town"] = "Altstadt",
	Olembas = "Olembas",
	["Olivia's Pond"] = "Olivias Teich",
	["Olsen's Farthing"] = "Olsens Acker",
	["One More Glass"] = "Noch ein Gläschen",
	Oneiros = "Oneiros",
	["Onslaught Base Camp"] = "Basislager des Ansturms",
	["Onslaught Harbor"] = "Hafen des Ansturms",
	["Onyxia's Lair"] = "Onyxias Hort",
	["Oomlot Village"] = "Oomlot",
	Oostan = "Oostan",
	["Oostan Nord"] = "Oostan-Nord",
	["Oostan Ost"] = "Oostan-Ost",
	["Oostan Sor"] = "Oostan-Sor",
	["Opening of the Dark Portal"] = "Öffnung des Dunklen Portals",
	["Opening of the Dark Portal Entrance"] = "Eingang zur Öffnung des Dunklen Portals",
	["Oratory of the Damned"] = "Oratorium der Verdammten",
	["Orebor Harborage"] = "Oreborzuflucht",
	["Orendil's Retreat"] = "Orendils Zuflucht",
	["Orgrim's Hammer"] = "Orgrims Hammer",
	Orgrimmar = "Orgrimmar",
	["Orgrimmar Rear Gate"] = "Hinteres Tor von Orgrimmar",
	["Orgrimmar Rocketway Exchange"] = "Umschlagplatz der Raketenbahn von Orgrimmar",
	["Oronok's Farm"] = "Oronoks Hof",
	Orsis = "Orsis",
	["Ortell's Hideout"] = "Ortells Unterschlupf",
	["Oshu'gun"] = "Oshu'gun",
	Outland = "Scherbenwelt",
	["Overgrown Camp"] = "Überwachsenes Lager",
	["Owl Wing Thicket"] = "Eulenflügeldickicht",
	["Pal'ea"] = "Pal'ea",
	["Palemane Rock"] = "Bleichmähnenfels",
	["Parhelion Plaza"] = "Parhelionplaza",
	["Passage of Lost Fiends"] = "Pass der Verlorenen Geister",
	["Path of Uther"] = "Pfad Uthers",
	["Path of the Titans"] = "Pfad der Titanen",
	["Pattymack Land"] = "Pattymack-Land",
	["Pauper's Walk"] = "Bettlergasse",
	["Pestilent Scar"] = "Pestilenznarbe",
	["Petitioner's Chamber"] = "Bittstellerraum",
	["Pilgrim's Precipice"] = "Pilgerklippe",
	["Pincer X2"] = "Zange X2",
	["Pit of Fangs"] = "Fangzahngrube",
	["Pit of Saron"] = "Grube von Saron",
	["Pit of Saron Entrance"] = "Eingang zur Grube von Saron",
	["Plaguelands: The Scarlet Enclave"] = "Pestländer: Die Scharlachrote Enklave",
	["Plaguemist Ravine"] = "Seuchennebelklamm",
	Plaguewood = "Der Pestwald",
	["Plaguewood Tower"] = "Pestwaldturm",
	["Plain of Echoes"] = "Ebene der Echos",
	["Plain of Shards"] = "Splitterebene",
	["Plains of Nasam"] = "Ebene von Nasam",
	["Pod Cluster"] = "Kapselteil",
	["Pod Wreckage"] = "Kapselwrack",
	["Poison Falls"] = "Giftfälle",
	["Pool of Tears"] = "Tränenteich",
	["Pool of Twisted Reflections"] = "Teich der Entstellten Spiegelungen",
	["Pools of Aggonar"] = "Teiche von Aggonar",
	["Pools of Arlithrien"] = "Teiche von Arlithrien",
	["Pools of Jin'Alai"] = "Teiche von Jin'Alai",
	["Pools of Zha'Jin"] = "Teiche von Zha'Jin",
	["Portal Clearing"] = "Portalsicherung",
	["Prison of Immol'thar"] = "Das Gefängnis von Immol'thar",
	["Programmer Isle"] = "Programmierer-Insel",
	["Promontory Point"] = "Das Kap",
	["Prospector's Point"] = "Prospektorat",
	["Protectorate Watch Post"] = "Wachposten des Protektorats",
	["Purespring Cavern"] = "Reinquellhöhle",
	["Purgation Isle"] = "Fegefeuerinsel",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Seuchenmords Laboratorium der Alchemistischen Schrecken und Späße",
	["Pyrewood Chapel"] = "Kapelle von Lohenscheit",
	["Pyrewood Inn"] = "Gasthaus von Lohenscheit",
	["Pyrewood Town Hall"] = "Rathaus von Lohenscheit",
	["Pyrewood Village"] = "Lohenscheit",
	["Pyrox Flats"] = "Pyroxebenen",
	["Quagg Ridge"] = "Quaggkamm",
	Quarry = "Steinbruch",
	["Quartzite Basin"] = "Quarzitbecken",
	["Queen's Gate"] = "Königinnentor",
	["Quel'Danil Lodge"] = "Jagdhütte Quel'Danil",
	["Quel'Delar's Rest"] = "Quel'Delars Ruh",
	["Quel'Dormir Gardens"] = "Gärten von Quel'Dormir",
	["Quel'Dormir Temple"] = "Tempel von Quel'Dormir",
	["Quel'Dormir Terrace"] = "Terrasse von Quel'Dormir",
	["Quel'Lithien Lodge"] = "Jagdhütte Quel'Lithien",
	["Quel'thalas"] = "Quel'Thalas",
	["Raastok Glade"] = "Raastokgrund",
	["Raceway Ruins"] = "Rennbahnruinen",
	["Rage Fang Shrine"] = "Schrein des Grollfangs",
	["Rage Scar Hold"] = "Wutschrammfeste",
	["Rageclaw Den"] = "Zornklauenbau",
	["Rageclaw Lake"] = "Zornklauensee",
	["Ragefeather Ridge"] = "Rachfederkamm",
	["Ragefire Chasm"] = "Der Flammenschlund",
	["Ragnaros' Lair"] = "Ragnaros' Unterschlupf",
	["Ragnaros' Reach"] = "Ragnaros' Ebenen",
	["Rainspeaker Canopy"] = "Baldachin der Regenrufer",
	["Rainspeaker Rapids"] = "Katarakt der Regenrufer",
	Ramkahen = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Außenposten der Legion von Ramkahen",
	["Rampart of Skulls"] = "Das Schädelbollwerk",
	["Ranazjar Isle"] = "Die Insel Ranazjar",
	["Raptor Pens"] = "Raptorstallungen",
	["Raptor Ridge"] = "Raptorgrat",
	["Raptor Rise"] = "Raptorenbuckel",
	Ratchet = "Ratschet",
	["Rated Eye of the Storm"] = "Gewertetes Auge des Sturms",
	["Ravaged Caravan"] = "Überfallene Karawane",
	["Ravaged Crypt"] = "Verwüstete Krypta",
	["Ravaged Twilight Camp"] = "Verwüsteter Stützpunkt des Schattenhammers",
	["Raven Hill"] = "Rabenflucht",
	["Raven Hill Cemetery"] = "Friedhof von Rabenflucht",
	["Raven's Watch"] = "Rabenwacht",
	["Raven's Wood"] = "Rabenwald",
	["Ravencrest Monument"] = "Rabenkrones Monument",
	["Ravenholdt Manor"] = "Rabenholdtanwesen",
	["Raynewood Retreat"] = "Rajenbaum",
	["Raynewood Tower"] = "Rajenbaumturm",
	["Razaan's Landing"] = "Razaans Landeplatz",
	["Razor Hill"] = "Klingenhügel",
	["Razor Hill Barracks"] = "Kaserne von Klingenhügel",
	["Razor Ridge"] = "Messergrat",
	["Razorfen Downs"] = "Hügel der Klingenhauer",
	["Razorfen Downs Entrance"] = "Eingang zum Hügeln der Klingenhauer",
	["Razorfen Kraul"] = "Kral der Klingenhauer",
	["Razorfen Kraul Entrance"] = "Eingang zum Kral der Klingenhauer",
	["Razormane Grounds"] = "Revier der Klingenmähnen",
	["Razorscale's Aerie"] = "Klingenschuppes Kanzel",
	["Razorthorn Rise"] = "Messerdornhöhe",
	["Razorthorn Shelf"] = "Messerdornbank",
	["Razorthorn Trail"] = "Messerdornpfad",
	["Razorwind Canyon"] = "Klingenschlucht",
	["Reaver's Fall"] = "Häschersturz",
	["Reavers' Hall"] = "Halle der Häscher",
	["Rebel Camp"] = "Rebellenlager",
	["Red Cloud Mesa"] = "Hochwolkenebene",
	["Red Rocks"] = "Teufelsfelsen",
	["Redpine Dell"] = "Rotkiefersenke",
	["Redridge Canyons"] = "Rotkammschlucht",
	["Redridge Mountains"] = "Rotkammgebirge",
	["Redwood Trading Post"] = "Handelsposten von Rotholz",
	Refinery = "Raffinerie",
	["Refuge Pointe"] = "Die Zuflucht",
	["Refugee Caravan"] = "Flüchtlingskarawane",
	["Reliquary of Agony"] = "Reliquie der Pein",
	["Reliquary of Pain"] = "Reliquiar des Schmerzes",
	["Remains of Iris Lake"] = "Überreste des Irissees",
	["Remains of the Fleet"] = "Überreste der Flotte",
	["Remtravel's Excavation"] = "Wirrbarts Ausgrabung",
	["Render's Camp"] = "Renders Lager",
	["Render's Crater"] = "Renders Krater",
	["Render's Rock"] = "Renders Fels",
	["Render's Valley"] = "Renders Tal",
	["Rethban Caverns"] = "Rethbanhöhlen",
	["Rethress Sanctum"] = "Rethress' Sanktum",
	Reuse = "Reuse",
	["Revantusk Village"] = "Dorf der Bruchhauer",
	["Rhea's Camp"] = "Rheas Lager",
	["Rhyolith Plateau"] = "Rhyolithplateau",
	["Ricket's Folly"] = "Rickets Torheit",
	["Ridge of Madness"] = "Grat des Wahnsinns",
	["Ridgepoint Tower"] = "Kammwacht",
	["Rim of the World"] = "Rand der Welt",
	["Ring of Judgement"] = "Ring des Richturteils",
	["Ring of Observance"] = "Ring der Beobachtung",
	["Ring of the Elements"] = "Ring der Elemente",
	["Ring of the Law"] = "Ring des Gesetzes",
	["Riplash Ruins"] = "Ruinen der Peitschennarbe",
	["Riplash Strand"] = "Strand der Peitschennarbe",
	["Rise of Suffering"] = "Anhöhe des Leidens",
	["Rise of the Defiler"] = "Anhöhe des Entweihers",
	["Ritual Chamber of Akali"] = "Ritualkammer von Akali",
	["Rivendark's Perch"] = "Nachtreißers Hort",
	Rivenwood = "Bruchwald",
	["River's Heart"] = "Flussnabel",
	["Rock of Durotan"] = "Fels von Durotan",
	["Rockpool Village"] = "Steinteich",
	["Rocktusk Farm"] = "Felshauerhof",
	["Roguefeather Den"] = "Bau der Wildfedern",
	["Rogues' Quarter"] = "Schurkenviertel",
	["Rohemdal Pass"] = "Rohemdalpass",
	["Roland's Doom"] = "Rolands Verdammnis",
	["Rotbrain Encampment"] = "Lager der Moderhirne",
	["Royal Exchange Auction House"] = "Auktionshaus des Königlichen Markts",
	["Royal Exchange Bank"] = "Bank des Königlichen Markts",
	["Royal Gallery"] = "Königliche Galerie",
	["Royal Library"] = "Königliche Bibliothek",
	["Royal Quarter"] = "Königsviertel",
	["Ruby Dragonshrine"] = "Rubindrachenschrein",
	["Ruined City Post 01"] = "Ruinenstadt 01",
	["Ruined Court"] = "Verfallener Gerichtssaal",
	["Ruins of Aboraz"] = "Ruinen von Aboraz",
	["Ruins of Ahmtul"] = "Ruinen von Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruinen von Ahn'Qiraj",
	["Ruins of Alterac"] = "Die Ruinen von Alterac",
	["Ruins of Ammon"] = "Ruinen von Ammon",
	["Ruins of Arkkoran"] = "Ruinen von Arkkoran",
	["Ruins of Auberdine"] = "Ruinen von Auberdine",
	["Ruins of Baa'ri"] = "Ruinen von Baa'ri",
	["Ruins of Constellas"] = "Ruinen von Constellas",
	["Ruins of Drak'Zin"] = "Ruinen von Drak'Zin",
	["Ruins of Drakgor"] = "Ruinen von Drakgor",
	["Ruins of Eldarath"] = "Ruinen von Eldarath",
	["Ruins of Eldra'nath"] = "Ruinen von Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruinen von Eldre'thar",
	["Ruins of Enkaat"] = "Ruinen von Enkaat",
	["Ruins of Farahlon"] = "Ruinen von Farahlon",
	["Ruins of Feathermoon"] = "Ruinen der Mondfederfeste",
	["Ruins of Gilneas"] = "Ruinen von Gilneas",
	["Ruins of Gilneas City"] = "Ruinen von Gilneas",
	["Ruins of Isildien"] = "Ruinen von Isildien",
	["Ruins of Jubuwal"] = "Ruinen von Jubuwal",
	["Ruins of Karabor"] = "Ruinen von Karabor",
	["Ruins of Kargath"] = "Ruinen von Kargath",
	["Ruins of Khintaset"] = "Ruinen von Khintaset",
	["Ruins of Lar'donir"] = "Ruinen von Lar'donir",
	["Ruins of Lordaeron"] = "Ruinen von Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruinen von Loreth'Aran",
	["Ruins of Lornesta"] = "Ruinen von Lornesta",
	["Ruins of Mathystra"] = "Ruinen von Mathystra",
	["Ruins of Nordressa"] = "Ruinen von Nordressa",
	["Ruins of Ravenwind"] = "Ruinen von Rabenwind",
	["Ruins of Sha'naar"] = "Ruinen von Sha'naar",
	["Ruins of Shandaral"] = "Ruinen von Shandaral",
	["Ruins of Silvermoon"] = "Ruinen von Silbermond",
	["Ruins of Solarsal"] = "Ruinen von Solarsal",
	["Ruins of Southshore"] = "Ruinen von Süderstade",
	["Ruins of Taurajo"] = "Überreste von Camp Taurajo",
	["Ruins of Tethys"] = "Ruinen von Tethys",
	["Ruins of Thaurissan"] = "Die Ruinen von Thaurissan",
	["Ruins of Thelserai Temple"] = "Ruinen des Thelseraitempels",
	["Ruins of Uldum"] = "Ruinen von Uldum",
	["Ruins of Vashj'elan"] = "Ruinen von Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruinen von Vashj'ir",
	["Ruins of Zul'Kunda"] = "Ruinen von Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruinen von Zul'Mamwe",
	["Ruins of the Scarlet Enclave"] = "Ruinen der Scharlachroten Enklave",
	["Runestone Falithas"] = "Runenstein Falithas",
	["Runestone Shan'dor"] = "Runenstein Shan'dor",
	["Runeweaver Square"] = "Runenweberplatz",
	["Rustberg Village"] = "Rostberg",
	["Rustmaul Dive Site"] = "Rostnagels Tauchplatz",
	["Rut'theran Village"] = "Rut'theran",
	["Rutsak's Guard"] = "Rutaks Wacht",
	["Ruuan Weald"] = "Ruuanwald",
	["Ruuna's Camp"] = "Ruunas Lager",
	["Ruuzel's Isle"] = "Ruuzels Insel",
	["Rygna's Lair"] = "Rygnas Hort",
	["SI:7"] = "SI:7",
	["STV Diamond Mine BG"] = "STV Diamond Mine BG",
	["Sable Ridge"] = "Säbelrücken",
	["Sahket Wastes"] = "Sahketwüste",
	["Saldean's Farm"] = "Saldeans Hof",
	["Saltheril's Haven"] = "Saltherils Hafen",
	["Saltspray Glen"] = "Salzgischtschlucht",
	["Sanctuary of Malorne"] = "Heiligtum von Malorne",
	["Sanctuary of Shadows"] = "Zuflucht der Schatten",
	["Sanctum of Reanimation"] = "Sanktum der Reanimation",
	["Sanctum of Shadows"] = "Sanktum des Schattens",
	["Sanctum of the Ascended"] = "Sanktum der Aszendenten",
	["Sanctum of the Fallen God"] = "Sanktum des Gefallenen Gottes",
	["Sanctum of the Moon"] = "Sanktum des Mondes",
	["Sanctum of the Prophets"] = "Sanktum der Propheten",
	["Sanctum of the South Wind"] = "Sanktum des Südwinds",
	["Sanctum of the Stars"] = "Sanktum der Sterne",
	["Sanctum of the Sun"] = "Sanktum der Sonne",
	["Sands of Nasam"] = "Sande von Nasam",
	["Sandsorrow Watch"] = "Sandmarterwache",
	["Sandy Beach"] = "Der Sandstrand",
	["Sanguine Chamber"] = "Sanguiskammer",
	["Sapphire Hive"] = "Saphirschwarm",
	["Sapphiron's Lair"] = "Saphirons Hort",
	["Sar'theris Strand"] = "Sar'therisstrand",
	["Saragosa's Landing"] = "Saragosas Landeplatz",
	["Sardor Isle"] = "Insel Sardor",
	Sargeron = "Sargeron",
	["Saronite Mines"] = "Saronitminen",
	Satyrnaar = "Satyrnaar",
	["Savage Ledge"] = "Wilde Klippe",
	["Scalawag Point"] = "Halunkeneck",
	["Scalding Pools"] = "Siedende Teiche",
	["Scalebeard's Cave"] = "Schuppenbarts Höhle",
	["Scalewing Shelf"] = "Schuppenflügelbank",
	["Scar of the Worldbreaker"] = "Narbe des Weltenbrechers",
	["Scarab Terrace"] = "Skarabäusterrasse",
	["Scarlet Encampment"] = "Scharlachrote Lagerstatt",
	["Scarlet Hold"] = "Scharlachrote Festung",
	["Scarlet Monastery"] = "Scharlachrotes Kloster",
	["Scarlet Monastery Entrance"] = "Eingang zum Scharlachroten Kloster",
	["Scarlet Overlook"] = "Scharlachroter Rundblick",
	["Scarlet Palisade"] = "Scharlachrote Palisade",
	["Scarlet Point"] = "Scharlachrote Wacht",
	["Scarlet Raven Tavern"] = "Taverne Zum Roten Raben",
	["Scarlet Tavern"] = "Scharlachrote Taverne",
	["Scarlet Tower"] = "Scharlachroter Turm",
	["Scarlet Watch Post"] = "Scharlachroter Wachposten",
	["Scarlet Watchtower"] = "Scharlachroter Wachturm",
	["Scarred Terrace"] = "Zerfurchte Terrasse",
	["Scenario: Alcaz Island"] = "Szenario: Insel Alcaz",
	["Schnottz's Frigate"] = "Schnottz' Fregatte",
	["Schnottz's Hostel"] = "Schnottz' Herberge",
	["Schnottz's Landing"] = "Schnottz' Landeplatz",
	Scholomance = "Scholomance",
	["Scholomance Entrance"] = "Eingang nach Scholomance",
	["School of Necromancy"] = "Schule der Totenbeschwörung",
	["Scorched Gully"] = "Versengte Rinne",
	["Scott's Spooky Area"] = "Scotts Unheimliches Gebiet",
	["Scoured Reach"] = "Geschliffener Schlund",
	Scourgehold = "Geißelfeste",
	Scourgeholme = "Geißelholme",
	["Scourgelord's Command"] = "Order des Geißelfürsten",
	["Scrabblescrew's Camp"] = "Schraubenbuddels Lager",
	["Screaming Gully"] = "Kreischende Schlucht",
	["Scryer's Tier"] = "Sehertreppe",
	["Scuttle Coast"] = "Schipperküste",
	Seabrush = "Meeresdickicht",
	["Seafarer's Tomb"] = "Seefahrergrab",
	["Seal of the Sun King"] = "Siegel des Sonnenkönigs",
	["Searing Gorge"] = "Sengende Schlucht",
	["Seat of Destruction"] = "Stätte des Chaos",
	["Seat of Life"] = "Stätte des Lebens",
	["Seat of Magic"] = "Stätte der Magie",
	["Seat of Radiance"] = "Stätte des Glanzes",
	["Seat of the Chosen"] = "Sitz der Auserwählten",
	["Seat of the Naaru"] = "Sitz der Naaru",
	["Sen'jin Village"] = "Sen'jin",
	["Sentinel Hill"] = "Späherkuppe",
	["Sentinel Tower"] = "Späherturm",
	["Sentry Point"] = "Späherwacht",
	Seradane = "Seradane",
	["Serpent Lake"] = "Schlangensee",
	["Serpent's Coil"] = "Schlangenschlinge",
	["Serpentshrine Cavern"] = "Höhle des Schlangenschreins",
	["Servants' Quarters"] = "Bedienstetenunterkünfte",
	["Service Entrance"] = "Bediensteteneingang",
	["Sethekk Halls"] = "Sethekkhallen",
	["Sethria's Roost"] = "Sethrias Nest",
	["Sewer Exit Pipe"] = "Kanalisationsausgangsrohr",
	Sewers = "Die Abwasserkanäle",
	["Sha'naari Wastes"] = "Weiten von Sha'naari",
	["Sha'tari Base Camp"] = "Basislager der Sha'tari",
	["Sha'tari Outpost"] = "Außenposten der Sha'tari",
	Shadebough = "Schattengeäst",
	["Shadow Grave"] = "Schattengrab",
	["Shadow Hold"] = "Schattenfeste",
	["Shadow Labyrinth"] = "Schattenlabyrinth",
	["Shadow Ridge"] = "Schattenkamm",
	["Shadow Tomb"] = "Schattengrab",
	["Shadow Wing Lair"] = "Schattenschwingenunterschlupf",
	["Shadowbreak Ravine"] = "Schattenklamm",
	["Shadowfang Keep"] = "Burg Schattenfang",
	["Shadowfang Keep Entrance"] = "Eingang zur Burg Schattenfang",
	["Shadowfang Tower"] = "Schattenfangturm",
	["Shadowforge City"] = "Die Schattenschmiede",
	Shadowglen = "Laubschattental",
	["Shadowlurk Ridge"] = "Schattenlauergrat",
	["Shadowmoon Valley"] = "Schattenmondtal",
	["Shadowmoon Village"] = "Schattenmond",
	["Shadowprey Village"] = "Schattenflucht",
	["Shadowshard Cavern"] = "Schattensplitterhöhle",
	["Shadowsight Tower"] = "Schattenblickturm",
	["Shadowsong Shrine"] = "Schattensangschrein",
	["Shadowthread Cave"] = "Schattenweberhöhle",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shady Rest Inn"] = "Gasthaus Zur Süßen Ruh",
	["Shalandis Isle"] = "Die Insel Shalandis",
	["Shalewind Canyon"] = "Schieferwindtal",
	["Shallow's End"] = "Der Tiefgang",
	["Shalzaru's Lair"] = "Shalzarus Unterschlupf",
	Shamanar = "Shamanar",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Terrace"] = "Terrasse des Formers",
	["Shartuul's Transporter"] = "Shartuuls Transporter",
	["Shatter Point"] = "Trümmerposten",
	["Shatter Scar Vale"] = "Narbengrund",
	["Shattered Plains"] = "Zerschlagene Weiten",
	["Shattered Straits"] = "Straße der Trümmer",
	["Shattered Sun Staging Area"] = "Sammelpunkt der Zerschmetterten Sonne",
	Shattershore = "Havarieküste",
	["Shatterspear Pass"] = "Splitterspeerpass",
	["Shatterspear Vale"] = "Splitterspeertal",
	["Shatterspear War Camp"] = "Kriegslager der Splitterspeere",
	Shatterstone = "Trümmerstein",
	Shattrath = "Shattrath",
	["Shattrath City"] = "Shattrath",
	["Shell Beach"] = "Muschelschalenstrand",
	["Shield Hill"] = "Schildhügel",
	["Shields of Silver"] = "Silberne Schilde",
	["Shimmer Ridge"] = "Schimmergrat",
	["Shimmering Bog"] = "Schimmersumpf",
	["Shimmering Expanse"] = "Schimmernde Weiten",
	["Shimmering Grotto"] = "Die Schimmernde Grotte",
	["Shindigger's Camp"] = "Kniegräbers Lager",
	["Shipwreck Shore"] = "Schiffbruchküste",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Sholazarbecken",
	["Shrine of Aessina"] = "Schrein von Aessina",
	["Shrine of Aviana"] = "Schrein von Aviana",
	["Shrine of Dath'Remar"] = "Schrein von Dath'Remar",
	["Shrine of Eck"] = "Schrein von Eck",
	["Shrine of Goldrinn"] = "Schrein von Goldrinn",
	["Shrine of Lost Souls"] = "Schrein der Verlorenen Seelen",
	["Shrine of Remulos"] = "Schrein von Remulos",
	["Shrine of Scales"] = "Schrein der Schuppen",
	["Shrine of Thaurissan"] = "Schrein von Thaurissan",
	["Shrine of Unending Light"] = "Schrein des Endlosen Lichts",
	["Shrine of the Deceiver"] = "Schrein des Betrügers",
	["Shrine of the Dormant Flame"] = "Schrein der Schlafenden Flamme",
	["Shrine of the Eclipse"] = "Schrein der Finsternis",
	["Shrine of the Elements"] = "Schrein der Elemente",
	["Shrine of the Fallen Warrior"] = "Schrein des Gefallenen Kriegers",
	["Shrine of the Five Khans"] = "Der Schrein der Fünf Khans",
	["Shriveled Oasis"] = "Verdorrte Oase",
	["Shuddering Spires"] = "Berstende Säulen",
	["Siege Vise"] = "Belagerungszwinge",
	["Siege Workshop"] = "Belagerungswerkstatt",
	["Sifreldar Village"] = "Sifreldar",
	["Silent Vigil"] = "Die Stille Nachtwache",
	Silithus = "Silithus",
	["Silmyr Lake"] = "Silmyrsee",
	["Silting Shore"] = "Schlickerküste",
	["Silver Covenant Pavilion"] = "Silberbundpavillon",
	["Silver Stream Mine"] = "Silberbachmine",
	["Silver Tide Hollow"] = "Silberfluthöhle",
	["Silver Tide Trench"] = "Silberflutgraben",
	Silverbrook = "Silberwasser",
	["Silverbrook Hills"] = "Silberwasserhügel",
	["Silverlight Cavern"] = "Silberlichthöhle",
	["Silverline Lake"] = "Silberwellensee",
	["Silvermoon City"] = "Silbermond",
	["Silvermoon City Inn"] = "Gasthaus von Silbermond",
	["Silvermoon Finery"] = "Silbermonds Zeitgeist",
	["Silvermoon Jewelery"] = "Juwelier von Silbermond",
	["Silvermoon Registry"] = "Meldeamt von Silbermond",
	["Silvermoon's Pride"] = "Silbermonds Stolz",
	["Silvermyst Isle"] = "Silbermythosinsel",
	["Silverpine Forest"] = "Silberwald",
	["Silverwind Refuge"] = "Silberwindzuflucht",
	["Silverwing Flag Room"] = "Flaggenraum der Silberschwingen",
	["Silverwing Grove"] = "Hain der Silberschwingen",
	["Silverwing Hold"] = "Feste der Silberschwingen",
	["Silverwing Outpost"] = "Außenposten der Silberschwingen",
	["Simply Enchanting"] = "Einfach Verzaubernd!",
	["Sindragosa's Fall"] = "Sindragosas Sturz",
	["Sindweller's Rise"] = "Sündschwelgers Anhöhe",
	["Singing Ridge"] = "Der Singende Bergrücken",
	["Sinner's Folly"] = "Sündenbabel",
	["Sira'kess Front"] = "Frontlinie der Sira'kess",
	["Sishir Canyon"] = "Sishircanyon",
	["Sisters Sorcerous"] = "Zauberhafte Schwestern",
	Skald = "Skald",
	["Sketh'lon Base Camp"] = "Basislager der Sketh'lon",
	["Sketh'lon Wreckage"] = "Wrack der Sketh'lon",
	["Skethyl Mountains"] = "Skethylberge",
	Skettis = "Skettis",
	["Skitterweb Tunnels"] = "Listspinnertunnel",
	Skorn = "Skorn",
	["Skulk Rock"] = "Lauerfels",
	["Skulking Row"] = "Lauergasse",
	["Skull Rock"] = "Die Knochenhöhle",
	["Sky Falls"] = "Himmelsfälle",
	["Skyguard Outpost"] = "Außenposten der Himmelswache",
	["Skyline Ridge"] = "Horizontgrat",
	["Skysong Lake"] = "Himmelsweisensee",
	["Slabchisel's Survey"] = "Fliesmeißels Messtation",
	["Slag Watch"] = "Schlackenwacht",
	Slagworks = "Erzraffinerie",
	["Slaughter Hollow"] = "Schlächtergrotte",
	["Slaughter Square"] = "Schlächterplatz",
	["Sleeping Gorge"] = "Die Schlummernde Schlucht",
	["Slither Rock"] = "Schlitterfels",
	["Slitherblade Shore"] = "Strand der Zackenkämme",
	["Slithering Cove"] = "Die Wuchernde Bucht",
	["Sludgeguard Tower"] = "Schlickwachtturm",
	["Smuggler's Scar"] = "Schmugglerschmiss",
	["Snowblind Hills"] = "Blendschneehügel",
	["Snowblind Terrace"] = "Blendschneeterrasse",
	["Snowden Chalet"] = "Schneewehs Berghütte",
	["Snowdrift Plains"] = "Die Verschneiten Ebenen",
	["Snowfall Glade"] = "Schneewehenlichtung",
	["Snowfall Graveyard"] = "Schneewehenfriedhof",
	["Socrethar's Seat"] = "Socrethars Sitz",
	["Sofera's Naze"] = "Soferas Landspitze",
	["Solace Glade"] = "Die Trostlichtung",
	["Solliden Farmstead"] = "Sollidens Bauernhof",
	["Solstice Village"] = "Julheim",
	["Sorlof's Strand"] = "Sorlofs Strand",
	["Sorrow Hill"] = "Trauerhügel",
	["Sorrow Hill Crypt"] = "Krypta des Trauerhügels",
	["Sorrow Wing Point"] = "Stätte der Gramschwingen",
	Sorrowmurk = "Sorgendunkel",
	["Soulgrinder's Barrow"] = "Hügel des Seelenschänders",
	["South Common Hall"] = "Südliche Bankenhalle",
	["South Gate Outpost"] = "Südtoraußenposten",
	["South Gate Pass"] = "Südtorpass",
	["South Point Station"] = "Südstation",
	["South Seas"] = "Die Südlichen Meere",
	["South Spire"] = "Südturm",
	["South Tide's Run"] = "Südlicher Gezeitenstrom",
	["Southbreak Shore"] = "Südbrandung",
	["Southern Barrens"] = "Südliches Brachland",
	["Southern Gold Road"] = "Südliche Goldstraße",
	["Southern Rampart"] = "Südliches Bollwerk",
	["Southern Rocketway"] = "Südliche Raketenbahn",
	["Southern Rocketway Terminus"] = "Südliche Endhaltestelle der Raketenbahn",
	["Southern Savage Coast"] = "Südliche Ungezähmte Küste",
	["Southfury River"] = "Der Südstrom",
	["Southfury Watershed"] = "Die Südstromaue",
	["Southmaul Tower"] = "Südschlägerturm",
	["Southmoon Ruins"] = "Südmondruinen",
	["Southpoint Gate"] = "Südwachttor",
	["Southpoint Tower"] = "Südwacht",
	["Southridge Beach"] = "Südklippenufer",
	["Southsea Holdfast"] = "Südmeerstützpunkt",
	Southshore = "Süderstade",
	["Southshore Town Hall"] = "Rathaus von Süderstade",
	["Southwind Cleft"] = "Südwindkluft",
	["Southwind Village"] = "Südwindposten",
	["Sparksocket Minefield"] = "Funksockels Minenfeld",
	["Sparktouched Haven"] = "Zuflucht der Funkenbesprühten",
	["Sparring Hall"] = "Übungshalle",
	["Spearborn Encampment"] = "Lager der Speerträger",
	Spearhead = "Speerspitze",
	["Speedbarge Bar"] = "Turbodampferbar",
	["Spinebreaker Mountains"] = "Rückenbrecherberge",
	["Spinebreaker Pass"] = "Rückenbrecherpass",
	["Spinebreaker Post"] = "Rückenbrecherposten",
	["Spinebreaker Ridge"] = "Rückenbrechergrat",
	["Spiral of Thorns"] = "Wendel der Dornen",
	["Spire Throne"] = "Spitzenthron",
	["Spire of Blood"] = "Säule des Blutes",
	["Spire of Decay"] = "Säule der Fäulnis",
	["Spire of Pain"] = "Säule der Pein",
	["Spirit Den"] = "Geisterhöhlenbau",
	["Spirit Fields"] = "Geisterfelder",
	["Spirit Rise"] = "Die Anhöhe der Geister",
	["Spirit Rock"] = "Geisterfelsen",
	["Spitescale Cavern"] = "Gallschuppenhöhle",
	["Spitescale Cove"] = "Bucht der Gallschuppen",
	["Splinterspear Junction"] = "Splitterspeerkreuzung",
	Splintertree = "Splitterholzposten",
	["Splintertree Mine"] = "Splitterholzmine",
	["Splintertree Post"] = "Splitterholzposten",
	["Splithoof Crag"] = "Spalthufklippe",
	["Splithoof Heights"] = "Spalthufanhöhen",
	["Splithoof Hold"] = "Spalthufhöhle",
	Sporeggar = "Sporeggar",
	["Sporewind Lake"] = "Sporenwindsee",
	["Spruce Point Post"] = "Posten des Fichtenpunkts",
	Stables = "Ställe",
	Stagalbog = "Stagalsumpf",
	["Stagalbog Cave"] = "Stagalsumpfhöhle",
	["Stagecoach Crash Site"] = "Postkutschenunfallstelle",
	["Staghelm Point"] = "Hirschhaupts Stätte",
	["Starbreeze Village"] = "Sternenhauch",
	["Stardust Spire"] = "Sternenstaubspitze",
	["Starfall Village"] = "Sternfall",
	["Stars' Rest"] = "Sternenruh",
	["Stasis Block: Maximus"] = "Stasisblock: Maximus",
	["Stasis Block: Trion"] = "Stasisblock: Trion",
	["Steam Springs"] = "Dampfquellen",
	["Steamwheedle Port"] = "Dampfdruckpier",
	["Steel Gate"] = "Das Stählerne Tor",
	["Steelgrill's Depot"] = "Stahlrosts Depot",
	["Steeljaw's Caravan"] = "Stahlkiefers Karawane",
	["Steelspark Station"] = "Station Stahlfunken",
	["Stendel's Pond"] = "Stendels Tümpel",
	["Stillpine Hold"] = "Tannenruhfeste",
	["Stillwater Pond"] = "Stillwassertümpel",
	["Stillwhisper Pond"] = "Stillwispertümpel",
	Stonard = "Steinard",
	["Stone Cairn Lake"] = "Der Steinhügelsee",
	["Stone Sentinel's Overlook"] = "Warte des Steinwächters",
	["Stonebreaker Camp"] = "Steinbrecherlager",
	["Stonebreaker Hold"] = "Steinbrecherfeste",
	["Stonebull Lake"] = "Steinbullensee",
	Stonehearth = "Steinruh",
	["Stonehearth Bunker"] = "Steinbruchbunker",
	["Stonehearth Graveyard"] = "Steinbruchfriedhof",
	["Stonehearth Outpost"] = "Steinbruchaußenposten",
	["Stonemaul Hold"] = "Festung der Steinbrecher",
	["Stonemaul Ruins"] = "Ruinen der Steinbrecher",
	["Stonesplinter Valley"] = "Splittersteintal",
	["Stonetalon Bomb"] = "Bombe des Steinkrallengebirges",
	["Stonetalon Mountains"] = "Steinkrallengebirge",
	["Stonetalon Pass"] = "Steinkrallenpass",
	["Stonetalon Peak"] = "Der Steinkrallengipfel",
	["Stonewall Canyon"] = "Steinwallschlucht",
	["Stonewall Lift"] = "Aufzug am Steinwall",
	["Stoneward Prison"] = "Steinwallgefängnis",
	Stonewatch = "Steinwacht",
	["Stonewatch Falls"] = "Steinwachtfälle",
	["Stonewatch Keep"] = "Burg Steinwacht",
	["Stonewatch Tower"] = "Turm der Steinwacht",
	["Stonewrought Dam"] = "Der Steinwerkdamm",
	["Stonewrought Pass"] = "Steinwerkpass",
	["Storm Cliffs"] = "Sturmklippen",
	["Storm Peaks"] = "Die Sturmgipfel",
	["Storm's Fury Wreckage"] = "Wrack der Sturmfuror",
	Stormcrest = "Sturmspitze",
	["Stormfeather Outpost"] = "Sturmfederposten",
	["Stormglen Village"] = "Sturmsiel",
	["Stormpike Graveyard"] = "Friedhof der Sturmlanzen",
	["Stormrage Barrow Dens"] = "Sturmgrimms Grabhügel",
	Stormwind = "Sturmwind",
	["Stormwind City"] = "Sturmwind",
	["Stormwind City Cemetery"] = "Friedhof von Sturmwind",
	["Stormwind City Outskirts"] = "Stadtrand von Sturmwind",
	["Stormwind Harbor"] = "Hafen von Sturmwind",
	["Stormwind Keep"] = "Burg Sturmwind",
	["Stormwind Lake"] = "Sturmwindsee",
	["Stormwind Mountains"] = "Berge von Sturmwind",
	["Stormwind Stockade"] = "Verlies von Sturmwind",
	["Stormwind Vault"] = "Gewölbe von Sturmwind",
	["Stoutlager Inn"] = "Gasthof Zum Starkbierlager",
	Strahnbrad = "Strahnbrad",
	["Strand of the Ancients"] = "Strand der Uralten",
	["Stranglethorn Vale"] = "Schlingendorntal",
	Stratholme = "Stratholme",
	["Stratholme Entrance"] = "Eingang von Stratholme",
	["Stratholme Service Entrance"] = "Dienstboteneingang von Stratholme",
	["Stromgarde Keep"] = "Burg Stromgarde",
	["Stygian Bounty"] = "Höllenjuwel",
	["Sub zone"] = "Subzone",
	["Sulfuron Keep"] = "Sulfuronfestung",
	["Sulfuron Keep Courtyard"] = "Innenhof der Sulfuronfestung",
	["Sulfuron Span"] = "Sulfuronspanne",
	["Sulfuron Spire"] = "Sulfuronspitze",
	["Sullah's Sideshow"] = "Sullahs Fahrender Zirkus",
	["Summoners' Tomb"] = "Gruft der Beschwörer",
	["Sun Rock Retreat"] = "Sonnenfels",
	["Sun's Reach Armory"] = "Waffenkammer der Sonnenweiten",
	["Sun's Reach Harbor"] = "Hafen der Sonnenweiten",
	["Sun's Reach Sanctum"] = "Sanktum der Sonnenweiten",
	["Suncrown Village"] = "Sonnenkuppe",
	["Sundown Marsh"] = "Sonnenwendmarschen",
	["Sunfire Point"] = "Sonnenfeuergrund",
	["Sunfury Hold"] = "Sonnenzornposten",
	["Sunfury Spire"] = "Sonnenzornturm",
	["Sungraze Peak"] = "Sonnenhügel",
	["Sunken Dig Site"] = "Versunkene Ausgrabungsstätte",
	["Sunken Temple"] = "Versunkener Tempel",
	["Sunken Temple Entrance"] = "Eingang des Versunkenen Tempels",
	["Sunreaver Pavilion"] = "Sonnenhäscherpavillon",
	["Sunreaver's Command"] = "Sonnenhäschers Schar",
	["Sunreaver's Sanctuary"] = "Sonnenhäschers Zuflucht",
	["Sunsail Anchorage"] = "Ankerplatz der Sonnensegel",
	["Sunspring Post"] = "Sonnenwindposten",
	["Sunstone Terrace"] = "Sonnensteinterrasse",
	["Sunstrider Isle"] = "Insel der Sonnenwanderer",
	["Sunveil Excursion"] = "Sonnenschleiers Exkursionstrupp",
	["Sunwatcher's Ridge"] = "Sonnenbehütergrat",
	["Sunwell Plateau"] = "Sonnenbrunnenplateau",
	["Supply Caravan"] = "Versorgungskarawane",
	["Surge Needle"] = "Trichternadel",
	["Surveyors' Outpost"] = "Feldmesserposten",
	Surwich = "Surwich",
	["Svarnos' Cell"] = "Svarnos' Zelle",
	["Swamp of Sorrows"] = "Sümpfe des Elends",
	["Swamplight Manor"] = "Irrlichtanwesen",
	["Swamprat Post"] = "Sumpfrattenposten",
	["Swiftgear Station"] = "Schnellschalts Station",
	["Swindle Street"] = "Gaunergasse",
	["Swindlegrin's Dig"] = "Schwindelgrins' Grabungsstätte",
	["Sword's Rest"] = "Schwertruh",
	Sylvanaar = "Sylvanaar",
	["Tabetha's Farm"] = "Tabethas Hof",
	["Taelan's Tower"] = "Taelans Turm",
	["Tahonda Ruins"] = "Ruinen von Tahonda",
	["Tahret Grounds"] = "Tahretgründe",
	["Tal'doren"] = "Tal'doren",
	["Talismanic Textiles"] = "Glück bringende Textilien",
	["Talon Stand"] = "Krallenhoch",
	["Talonbranch Glade"] = "Nachtlaublichtung",
	["Talondeep Pass"] = "Steinkrallenpass",
	["Talondeep Vale"] = "Steinkrallental",
	Talramas = "Talramas",
	["Talrendis Point"] = "Talrendisspitze",
	Tanaris = "Tanaris",
	["Tanaris Desert"] = "Tanariswüste",
	["Tanks for Everything"] = "Plattenladen",
	["Tanner Camp"] = "Gerbers Lager",
	["Tarren Mill"] = "Tarrens Mühle",
	["Taunka'le Village"] = "Taunka'le",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Teegan's Expedition"] = "Teegans Expedition",
	["Tel'athion's Camp"] = "Tel'athions Lager",
	Telaar = "Telaar",
	["Telaari Basin"] = "Telaaribecken",
	Teldrassil = "Teldrassil",
	Telredor = "Telredor",
	["Tempest Bridge"] = "Brücke der Stürme",
	["Tempest Keep"] = "Festung der Stürme",
	["Tempest Keep - The Arcatraz Entrance"] = "Festung der Stürme - Eingang zur Arkatraz",
	["Tempest Keep - The Botanica Entrance"] = "Festung der Stürme - Eingang zur Botanika",
	["Tempest Keep - The Mechanar Entrance"] = "Festung der Stürme - Eingang zur Mechanar",
	["Tempest Keep: The Arcatraz"] = "Festung der Stürme: Die Arkatraz",
	["Tempest Keep: The Botanica"] = "Festung der Stürme: Die Botanika",
	["Tempest Keep: The Mechanar"] = "Festung der Stürme: Die Mechanar",
	["Tempest's Reach"] = "Witterfront",
	["Temple City of En'kilah"] = "Tempelstadt En'kilah",
	["Temple Hall"] = "Tempelhalle",
	["Temple Summit"] = "Tempelspitze",
	["Temple of Ahn'Qiraj"] = "Tempel von Ahn'Qiraj",
	["Temple of Arkkoran"] = "Der Tempel von Arkkoran",
	["Temple of Asaad"] = "Tempel von Asaad",
	["Temple of Bethekk"] = "Tempel von Bethekk",
	["Temple of Earth"] = "Tempel der Erde",
	["Temple of Invention"] = "Tempel des Erfindungsreichtums",
	["Temple of Life"] = "Tempel des Lebens",
	["Temple of Order"] = "Tempel der Ordnung",
	["Temple of Storms"] = "Tempel der Stürme",
	["Temple of Telhamat"] = "Tempel von Telhamat",
	["Temple of Uldum"] = "Tempel von Uldum",
	["Temple of Winter"] = "Tempel des Winters",
	["Temple of Wisdom"] = "Tempel der Weisheit",
	["Temple of Zin-Malor"] = "Tempel von Zin-Malor",
	["Temple of the Forgotten"] = "Tempel der Vergessenen",
	["Temple of the Moon"] = "Tempel des Mondes",
	["Tenebrous Cavern"] = "Schattenhöhle",
	["Terokk's Rest"] = "Terokks Ruh",
	["Terokkar Forest"] = "Wälder von Terokkar",
	["Terrace of Light"] = "Terrasse des Lichts",
	["Terrace of Repose"] = "Terrasse der Muße",
	["Terrace of the Augurs"] = "Terrasse der Weissager",
	["Terrace of the Makers"] = "Terrasse der Schöpfer",
	["Terrace of the Sun"] = "Terrasse der Sonne",
	["Terror Run"] = "Terrorflucht",
	["Terror Wing Path"] = "Schreckenspfad",
	Terrordale = "Schreckenstal",
	["Terrorweb Tunnel"] = "Schreckenstunnel",
	["Tethris Aran"] = "Tethris Aran",
	["Thal'darah Grove"] = "Hain von Thal'darah",
	["Thal'darah Overlook"] = "Aussicht von Tal'darah",
	Thalanaar = "Thalanaar",
	["Thalassian Pass"] = "Thalassischer Pass",
	["Thalassian Range"] = "Thalassische Weide",
	["Thandol Span"] = "Thandolübergang",
	["Thargad's Camp"] = "Thargads Lager",
	["The Abandoned Reach"] = "Die Verlassenen Weiten",
	["The Abyssal Maw"] = "Der Meeresschlund",
	["The Abyssal Shelf"] = "Die Abyssische Untiefe",
	["The Admiral's Den"] = "Admiralsunterschlupf",
	["The Agronomical Apothecary"] = "Das Agrarwissenschaftliche Apothekarium",
	["The Alliance Valiants' Ring"] = "Der Ring der Recken der Allianz",
	["The Altar of Damnation"] = "Altar der Verdammnis",
	["The Altar of Shadows"] = "Altar der Schatten",
	["The Altar of Zul"] = "Der Altar von Zul",
	["The Ancient Grove"] = "Der Uralte Hain",
	["The Ancient Lift"] = "Der Uralte Aufzug",
	["The Antechamber"] = "Die Vorkammer",
	["The Anvil of Conflagration"] = "Der Amboss der Feuersbrunst",
	["The Anvil of Flame"] = "Der Amboss des Feuers",
	["The Apothecarium"] = "Das Apothekarium",
	["The Arachnid Quarter"] = "Das Arachnidenviertel",
	["The Arcanium"] = "Das Arkanium",
	["The Arcatraz"] = "Die Arkatraz",
	["The Archivum"] = "Das Archivum",
	["The Argent Stand"] = "Argentumwache",
	["The Argent Valiants' Ring"] = "Der Ring der Recken des Argentumkreuzzugs",
	["The Argent Vanguard"] = "Die Argentumvorhut",
	["The Arsenal Absolute"] = "Das Absolute Arsenal",
	["The Aspirants' Ring"] = "Der Ring der Streiter",
	["The Assembly Chamber"] = "Die Versammlungskammer",
	["The Assembly of Iron"] = "Die Versammlung des Eisens",
	["The Athenaeum"] = "Das Athenaeum",
	["The Avalanche"] = "Die Lawine",
	["The Azure Front"] = "Die Azurfront",
	["The Bank of Dalaran"] = "Die Bank von Dalaran",
	["The Bank of Silvermoon"] = "Die Bank von Silbermond",
	["The Banquet Hall"] = "Der Bankettsaal",
	["The Barrier Hills"] = "Die Hügelwand",
	["The Bastion of Twilight"] = "Die Bastion des Zwielichts",
	["The Battle for Gilneas"] = "Die Schlacht um Gilneas",
	["The Battle for Gilneas (Old City Map)"] = "Die Schlacht um Gilneas (Karte der Altstadt)",
	["The Battle for Mount Hyjal"] = "Die Schlacht um den Hyjal",
	["The Battleboar Pen"] = "Kriegseberpferch",
	["The Battlefront"] = "Die Schlachtenfront",
	["The Bazaar"] = "Der Basar",
	["The Beer Garden"] = "Der Biergarten",
	["The Bite"] = "Der Biss",
	["The Black Breach"] = "Der Schwarze Riss",
	["The Black Market"] = "Der Schwarzmarkt",
	["The Black Morass"] = "Der Schwarze Morast",
	["The Black Temple"] = "Der Schwarze Tempel",
	["The Black Vault"] = "Das Schwarze Gewölbe",
	["The Blackwald"] = "Der Schwarzforst",
	["The Blazing Strand"] = "Der Lodernde Strand",
	["The Blight Line"] = "Die Seuchenfront",
	["The Blighted Pool"] = "Der Verseuchte Teich",
	["The Blood Furnace"] = "Der Blutkessel",
	["The Blood Trail"] = "Der Blutpfad",
	["The Bloodcursed Reef"] = "Das Riff des Blutfluchs",
	["The Bloodmire"] = "Der Blutsumpf",
	["The Bloodoath"] = "Die Blutschwur",
	["The Bloodwash"] = "Blutbrandung",
	["The Bombardment"] = "Das Bombardement",
	["The Bone Pile"] = "Der Knochenhaufen",
	["The Bone Wastes"] = "Die Knochenwüste",
	["The Bonefields"] = "Die Knochenfelder",
	["The Bones of Nozronn"] = "Die Knochen von Nozronn",
	["The Boneyard"] = "Der Totenacker",
	["The Borean Wall"] = "Der Boreanische Wall",
	["The Botanica"] = "Die Botanika",
	["The Bradshaw Mill"] = "Die Bradshawmühle",
	["The Breach"] = "Die Bresche",
	["The Briny Cutter"] = "Der Salzkutter",
	["The Briny Pinnacle"] = "Die Salzzinne",
	["The Broken Bluffs"] = "Der Felssturz",
	["The Broken Front"] = "Die Zerbrochene Front",
	["The Broken Hall"] = "Die Verheerte Halle",
	["The Broken Hills"] = "Die Zerklüfteten Hügel",
	["The Broken Stair"] = "Die Eingestürzte Treppe",
	["The Broken Temple"] = "Der Zerbrochene Tempel",
	["The Brood Pit"] = "Die Brutgrube",
	["The Broodmother's Nest"] = "Das Nest der Brutmutter",
	["The Bulwark"] = "Das Bollwerk",
	["The Burning Corridor"] = "Der Brennende Korridor",
	["The Butchery"] = "Der Schlachthof",
	["The Cache of Madness"] = "Der Hort des Wahnsinns",
	["The Caller's Chamber"] = "Der Bittstellerraum",
	["The Canals"] = "Die Kanäle",
	["The Cape of Stranglethorn"] = "Das Schlingendornkap",
	["The Carrion Fields"] = "Die Aasfelder",
	["The Catacombs"] = "Die Katakomben",
	["The Cauldron"] = "Der Kessel",
	["The Cauldron of Flames"] = "Der Flammenkessel",
	["The Cave"] = "Die Höhle",
	["The Celestial Planetarium"] = "Das Himmlische Planetarium",
	["The Celestial Watch"] = "Die Himmelswacht",
	["The Cemetary"] = "Der Friedhof",
	["The Cerebrillum"] = "Das Cerebrillum",
	["The Charred Vale"] = "Das Verbrannte Tal",
	["The Chilled Quagmire"] = "Der Kühle Sumpf",
	["The Circle of Cinders"] = "Der Aschenzirkel",
	["The Circle of Life"] = "Der Kreis des Lebens",
	["The Circle of Suffering"] = "Der Kreis des Leidens",
	["The Clash of Thunder"] = "Der Donnerschlag",
	["The Clean Zone"] = "Die Saubere Zone",
	["The Cleft"] = "Die Kluft",
	["The Clockwerk Run"] = "Die Uhrwerkgasse",
	["The Clutch"] = "Die Umklammerung",
	["The Coil"] = "Die Windung",
	["The Colossal Forge"] = "Die Kolossale Schmiede",
	["The Comb"] = "Die Wabenkammer",
	["The Commons"] = "Versammlungshalle",
	["The Conflagration"] = "Der Großbrand",
	["The Conquest Pit"] = "Die Siegeswallgrube",
	["The Conservatory"] = "Das Konservatorium",
	["The Conservatory of Life"] = "Das Konservatorium des Lebens",
	["The Construct Quarter"] = "Das Konstruktviertel",
	["The Cooper Residence"] = "Coopers Residenz",
	["The Corridors of Ingenuity"] = "Die Korridore des Scharfsinns",
	["The Court of Bones"] = "Der Hof der Knochen",
	["The Court of Skulls"] = "Der Hof der Schädel",
	["The Coven"] = "Der Koven",
	["The Creeping Ruin"] = "Die Gruselruinen",
	["The Crimson Cathedral"] = "Die Scharlachrote Kathedrale",
	["The Crimson Dawn"] = "Die Scharlachroter Morgen",
	["The Crimson Hall"] = "Die Blutrote Halle",
	["The Crimson Reach"] = "Die Purpurbrandung",
	["The Crimson Throne"] = "Der Purpurthron",
	["The Crimson Veil"] = "Die Purpurschleier",
	["The Crossroads"] = "Das Wegekreuz",
	["The Crucible"] = "Der Schmelztiegel",
	["The Crucible of Flame"] = "Schmelztiegel der Flammen",
	["The Crumbling Waste"] = "Die Schwindende Weite",
	["The Cryo-Core"] = "Der Kryokern",
	["The Crystal Hall"] = "Die Kristallhalle",
	["The Crystal Shore"] = "Das Kristallufer",
	["The Crystal Vale"] = "Das Kristalltal",
	["The Crystal Vice"] = "Die Kristallschlucht",
	["The Culling of Stratholme"] = "Das Ausmerzen von Stratholme",
	["The Culling of Stratholme Entrance"] = "Eingang zum Ausmerzen von Stratholme",
	["The Cursed Landing"] = "Der Verfluchte Landeplatz",
	["The Dagger Hills"] = "Die Dolchhügel",
	["The Damsel's Luck"] = "Die Maid im Glück",
	["The Dark Approach"] = "Der Dunkle Zugang",
	["The Dark Defiance"] = "Die Dunkle Rebellin",
	["The Dark Portal"] = "Das Dunkle Portal",
	["The Darkened Bank"] = "Das Dunkle Ufer",
	["The Darkwood"] = "Der Finsterwald",
	["The Dawnchaser"] = "Die Morgensturm",
	["The Dawning Isles"] = "Die Morgeninseln",
	["The Dawning Square"] = "Platz der Morgenröte",
	["The Dead Acre"] = "Der Todesacker",
	["The Dead Field"] = "Das Todesfeld",
	["The Dead Fields"] = "Die Toten Felder",
	["The Dead Mire"] = "Das Todesmoor",
	["The Dead Scar"] = "Die Todesschneise",
	["The Deadmines"] = "Die Todesminen",
	["The Deathforge"] = "Die Todesschmiede",
	["The Deathknell Graves"] = "Die Gräber von Todesend",
	["The Decrepit Fields"] = "Die Verfallenen Felder",
	["The Decrepit Flow"] = "Der Versiegende Strom",
	["The Deep Reaches"] = "Die Ausufernden Tiefen",
	["The Defiled Chapel"] = "Die Entweihte Kapelle",
	["The Den"] = "Der Höhlenbau",
	["The Den of Flame"] = "Der Flammenbau",
	["The Dens of Dying"] = "Die Höhlen des Todes",
	["The Dens of the Dying"] = "Höhlen des Todes",
	["The Descent into Madness"] = "Der Abstieg in den Wahnsinn",
	["The Desecrated Altar"] = "Der Entweihte Altar",
	["The Devil's Terrace"] = "Die Terrasse des Teufels",
	["The Devouring Breach"] = "Der Verschlingende Riss",
	["The Domicile"] = "Das Domizil",
	["The Dor'Danil Barrow Den"] = "Grabhügel von Dor'Danil",
	["The Dormitory"] = "Der Schlafsaal",
	["The Drag"] = "Die Gasse",
	["The Dragon Wastes"] = "Die Dracheneiswüste",
	["The Dragonmurk"] = "Das Drachendüster",
	["The Drain"] = "Der Abfluss",
	["The Dranosh'ar Blockade"] = "Die Blockade von Dranosh'ar",
	["The Drowned Reef"] = "Das Versunkene Riff",
	["The Drowned Sacellum"] = "Die Versunkene Weihekammer",
	["The Dry Hills"] = "Die Trockenen Hügel",
	["The Dust Plains"] = "Die Staubebenen",
	["The Dustbowl"] = "Das Staubbecken",
	["The Eastern Earthshrine"] = "Der Östliche Erdschrein",
	["The Emerald Summit"] = "Der Smaragdgipfel",
	["The Escape From Durnholde"] = "Die Flucht von Durnholde",
	["The Escape from Durnholde Entrance"] = "Eingang zur Flucht von Durnholde",
	["The Eventide"] = "Die Abendruh",
	["The Exodar"] = "Die Exodar",
	["The Eye"] = "Das Auge",
	["The Eye of Eternity"] = "Das Auge der Ewigkeit",
	["The Eye of the Vortex"] = "Das Auge des Vortex",
	["The Farstrider Lodge"] = "Jagdhütte der Weltenwanderer",
	["The Fel Pits"] = "Die Teufelsgruben",
	["The Fetid Pool"] = "Der Faulige Teich",
	["The Filthy Animal"] = "Das Rattenloch",
	["The Firehawk"] = "Die Feuerfalke",
	["The Flamewake"] = "Die Flammenschneise",
	["The Fleshwerks"] = "Die Fleischwerke",
	["The Flood Plains"] = "Die Flutebenen",
	["The Fold"] = "Der Bruch",
	["The Foot Steppes"] = "Die Fußmarschen",
	["The Foothill Caverns"] = "Die Vorgebirgshöhlen",
	["The Forbidding Sea"] = "Das Verbotene Meer",
	["The Forest of Shadows"] = "Der Schattenwald",
	["The Forge of Souls"] = "Die Seelenschmiede",
	["The Forge of Souls Entrance"] = "Eingang zur Seelenschmiede",
	["The Forge of Supplication"] = "Die Schmiede der Unterwerfung",
	["The Forge of Wills"] = "Die Seelenschmiede",
	["The Forgotten Coast"] = "Die Vergessene Küste",
	["The Forgotten Overlook"] = "Die Vergessene Warte",
	["The Forgotten Pool"] = "Der Vergessene Teich",
	["The Forgotten Pools"] = "Die Vergessenen Teiche",
	["The Forgotten Shore"] = "Der Vergessene Strand",
	["The Forlorn Cavern"] = "Das Düstere Viertel",
	["The Forlorn Mine"] = "Die Verlassene Mine",
	["The Forsaken Front"] = "Frontlinie der Verlassenen",
	["The Foul Pool"] = "Der Besudelte Teich",
	["The Frigid Tomb"] = "Das Eisige Grab",
	["The Frost Queen's Lair"] = "Der Hort der Frostkönigin",
	["The Frostwing Halls"] = "Die Frostschwingenhallen",
	["The Frozen Glade"] = "Gefrorene Lichtung",
	["The Frozen Halls"] = "Die Gefrorenen Hallen",
	["The Frozen Mine"] = "Die Gefrorene Mine",
	["The Frozen Sea"] = "Die Gefrorene See",
	["The Frozen Throne"] = "Der Frostthron",
	["The Fungal Vale"] = "Das Fungustal",
	["The Furnace"] = "Der Schmelzofen",
	["The Gaping Chasm"] = "Die Klaffende Schlucht",
	["The Gate of Unending Cycles"] = "Tor der Ewigen Zyklen",
	["The Gatehouse"] = "Das Torhaus",
	["The Gauntlet"] = "Der Spießrutenlauf",
	["The Geyser Fields"] = "Die Geysirfelder",
	["The Gilded Gate"] = "Das Vergoldete Tor",
	["The Glimmering Pillar"] = "Die Schimmersäule",
	["The Golden Plains"] = "Die Goldenen Ebenen",
	["The Grand Ballroom"] = "Der Große Ballsaal",
	["The Grand Vestibule"] = "Das Große Vestibül",
	["The Great Arena"] = "Die Große Arena",
	["The Great Divide"] = "Der Große Graben",
	["The Great Fissure"] = "Die Große Kluft",
	["The Great Forge"] = "Die Große Schmiede",
	["The Great Gate"] = "Die Große Pforte",
	["The Great Lift"] = "Der Große Aufzug",
	["The Great Ossuary"] = "Das Große Ossuarium",
	["The Great Sea"] = "Das Große Meer",
	["The Great Tree"] = "Der Große Baum",
	["The Green Belt"] = "Der Grüne Gürtel",
	["The Greymane Wall"] = "Der Graumähnenwall",
	["The Grim Guzzler"] = "Zum Grimmigen Säufer",
	["The Grinding Quarry"] = "Der Mahlsteinbruch",
	["The Grizzled Den"] = "Der Graufelsbau",
	["The Guardhouse"] = "Die Wachstube",
	["The Guest Chambers"] = "Die Gästezimmer",
	["The Gullet"] = "Der Rachen",
	["The Half Shell"] = "Die Halbmuschel",
	["The Hall of Blood"] = "Die Halle des Blutes",
	["The Hall of Gears"] = "Die Halle der Zahnräder",
	["The Hall of Lights"] = "Galerie der Schätze",
	["The Hall of Respite"] = "Die Halle der Ruhe",
	["The Halls of Reanimation"] = "Die Hallen der Wiederbelebung",
	["The Halls of Winter"] = "Die Hallen des Winters",
	["The Hand of Gul'dan"] = "Die Hand von Gul'dan",
	["The Harborage"] = "Der Sichere Hafen",
	["The Hatchery"] = "Die Brutstätte",
	["The Headland"] = "Die Landzunge",
	["The Headlands"] = "Die Mark",
	["The Heap"] = "Der Hügel",
	["The Heart of Acherus"] = "Das Herz von Acherus",
	["The Hidden Clutch"] = "Das Versteckte Gelege",
	["The Hidden Grove"] = "Der Versteckte Hain",
	["The Hidden Hollow"] = "Die Versteckte Senke",
	["The Hidden Passage"] = "Der Versteckte Durchgang",
	["The Hidden Reach"] = "Der Versteckte Zugang",
	["The Hidden Reef"] = "Das Versteckte Riff",
	["The High Path"] = "Der Hochpfad",
	["The High Road"] = "Der Höhenpfad",
	["The High Seat"] = "Der Hohe Sitz",
	["The Hinterlands"] = "Hinterland",
	["The Hoard"] = "Der Hort",
	["The Hole"] = "Das Loch",
	["The Horde Valiants' Ring"] = "Der Ring der Recken der Horde",
	["The Horsemen's Assembly"] = "Das Reiterkonzil",
	["The Howling Hollow"] = "Die Heulende Senke",
	["The Howling Oak"] = "Die Heulende Eiche",
	["The Howling Vale"] = "Das Heulende Tal",
	["The Hunter's Reach"] = "Die Weiten des Jägers",
	["The Hushed Bank"] = "Das Stille Ufer",
	["The Icy Depths"] = "Die Eisigen Tiefen",
	["The Immortal Coil"] = "Die Ewiger Kreislauf",
	["The Imperial Seat"] = "Der Kaiserliche Sitz",
	["The Infectis Scar"] = "Die Infektnarbe",
	["The Inferno"] = "Das Inferno",
	["The Inner Spire"] = "Die Innere Spitze",
	["The Intrepid"] = "Die Kühnheit",
	["The Inventor's Library"] = "Die Bibliothek des Erfinders",
	["The Iron Crucible"] = "Der Eiserne Schmelztiegel",
	["The Iron Hall"] = "Die Eisenhalle",
	["The Iron Reaper"] = "Die Eisenrächer",
	["The Isle of Spears"] = "Die Insel der Speere",
	["The Ivar Patch"] = "Das Ivarfeld",
	["The Jansen Stead"] = "Jansens Hof",
	["The Krazzworks"] = "Die Krazzwerke",
	["The LMS Mark II"] = "Die LMS Mark II",
	["The Laboratory"] = "Das Labor",
	["The Lagoon"] = "Die Lagune",
	["The Laughing Stand"] = "Der Lachende Stützpunkt",
	["The Legerdemain Lounge"] = "Zum Zauberkasten",
	["The Legion Front"] = "Die Front der Legion",
	["The Librarium"] = "Das Librarium",
	["The Library"] = "Die Bibliothek",
	["The Lifebinder's Cell"] = "Die Zelle der Lebensbinderin",
	["The Lifeblood Pillar"] = "Die Lebensblutsäule",
	["The Lightless Reaches"] = "Die Lichtlosen Weiten",
	["The Living Grove"] = "Der Lebende Hain",
	["The Living Wood"] = "Der Lebende Wald",
	["The Loch"] = "Der Loch",
	["The Long Wash"] = "Der Lange Strand",
	["The Lost Fleet"] = "Die Verlorene Flotte",
	["The Lost Fold"] = "Die Verlorene Furt",
	["The Lost Isles"] = "Die Verlorenen Inseln",
	["The Lost Lands"] = "Die Verlorenen Lande",
	["The Lost Passage"] = "Die Verlorene Passage",
	["The Low Path"] = "Der Niederpfad",
	["The Lyceum"] = "Das Lyzeum",
	["The Maclure Vineyards"] = "Weinberge der Maclures",
	["The Maelstrom"] = "Der Mahlstrom",
	["The Maker's Overlook"] = "Die Warte des Schöpfers",
	["The Maker's Rise"] = "Die Anhöhe des Schöpfers",
	["The Maker's Terrace"] = "Terrasse des Schöpfers",
	["The Makers' Overlook"] = "Die Warte der Schöpfer",
	["The Makers' Perch"] = "Hort der Schöpfer",
	["The Manufactory"] = "Die Manufaktur",
	["The Marris Stead"] = "Marris' Siedlung",
	["The Marshlands"] = "Die Marschen",
	["The Masonary"] = "Die Freimaurerei",
	["The Master's Cellar"] = "Der Keller des Meisters",
	["The Master's Glaive"] = "Die Meistergleve",
	["The Maul"] = "Die Schlägergrube",
	["The Maw of Madness"] = "Der Schlund des Wahnsinns",
	["The Mechanar"] = "Die Mechanar",
	["The Menagerie"] = "Die Menagerie",
	["The Menders' Stead"] = "Die Stätte der Heiler",
	["The Merchant Coast"] = "Die Händlerküste",
	["The Militant Mystic"] = "Der Militante Mystiker",
	["The Military Quarter"] = "Das Militärviertel",
	["The Military Ward"] = "Das Militärviertel",
	["The Mind's Eye"] = "Das Gedankenauge",
	["The Mirror of Dawn"] = "Spiegel der Morgenröte",
	["The Mirror of Twilight"] = "Der Zwielichtspiegel",
	["The Molsen Farm"] = "Molsens Hof",
	["The Molten Bridge"] = "Die Geschmolzene Brücke",
	["The Molten Core"] = "Der Geschmolzene Kern",
	["The Molten Fields"] = "Die Geschmolzenen Felder",
	["The Molten Flow"] = "Der Geschmolzene Strom",
	["The Molten Span"] = "Der Geschmolzene Übergang",
	["The Mor'Shan Ramparts"] = "Schutzwall von Mor'shan",
	["The Mor'shan Rampart"] = "Schutzwall von Mor'shan",
	["The Mosslight Pillar"] = "Die Mooslichtsäule",
	["The Mountain Den"] = "Die Berghöhle",
	["The Murder Pens"] = "Die Mörderpferche",
	["The Mystic Ward"] = "Das Mystikerviertel",
	["The Necrotic Vault"] = "Die Nekrotische Kammer",
	["The Nexus"] = "Der Nexus",
	["The Nexus Entrance"] = "Eingang zum Nexus",
	["The Nightmare Scar"] = "Die Alptraumnarbe",
	["The North Coast"] = "Die Nordküste",
	["The North Sea"] = "Das Nordmeer",
	["The Nosebleeds"] = "Das Nasenbluten",
	["The Noxious Glade"] = "Das Giftige Tal",
	["The Noxious Hollow"] = "Die Giftige Senke",
	["The Noxious Lair"] = "Der Giftige Unterschlupf",
	["The Noxious Pass"] = "Der Giftpass",
	["The Oblivion"] = "Die Ewige Vergessenheit",
	["The Observation Ring"] = "Der Beobachtungsring",
	["The Obsidian Sanctum"] = "Das Obsidiansanktum",
	["The Oculus"] = "Das Oculus",
	["The Oculus Entrance"] = "Eingang zum Oculus",
	["The Old Barracks"] = "Die Alte Kaserne",
	["The Old Dormitory"] = "Der Alte Schlafsaal",
	["The Old Port Authority"] = "Die Alte Hafenbehörde",
	["The Opera Hall"] = "Der Opernsaal",
	["The Oracle Glade"] = "Die Lichtung des Orakels",
	["The Outer Ring"] = "Der Äußere Ring",
	["The Overgrowth"] = "Die Überwucherung",
	["The Overlook"] = "Der Rundblick",
	["The Overlook Cliffs"] = "Die Aussichtsklippen",
	["The Pale Roost"] = "Der Bleiche Hort",
	["The Park"] = "Der Park",
	["The Path of Anguish"] = "Der Pfad der Pein",
	["The Path of Conquest"] = "Der Pfad der Eroberung",
	["The Path of Corruption"] = "Der Pfad der Verderbnis",
	["The Path of Glory"] = "Der Pfad des Ruhms",
	["The Path of Iron"] = "Der Eisenpfad",
	["The Path of the Lifewarden"] = "Der Pfad der Lebenswächterin",
	["The Phoenix Hall"] = "Die Phönixhalle",
	["The Pillar of Ash"] = "Die Aschensäule",
	["The Pipe"] = "Das Rohr",
	["The Pit of Criminals"] = "Die Grube der Verbrecher",
	["The Pit of Fiends"] = "Die Schreckensgrube",
	["The Pit of Narjun"] = "Die Grube von Narjun",
	["The Pit of Refuse"] = "Die Grube der Weigerung",
	["The Pit of Sacrifice"] = "Die Grube der Opferung",
	["The Pit of Scales"] = "Die Schuppengrube",
	["The Pit of the Fang"] = "Die Reißzahngrube",
	["The Plague Quarter"] = "Das Seuchenviertel",
	["The Plagueworks"] = "Die Seuchenwerke",
	["The Pool of Ask'ar"] = "Der Teich von Ask'ar",
	["The Pools of Vision"] = "Die Teiche der Visionen",
	["The Prison of Yogg-Saron"] = "Das Gefängnis von Yogg-Saron",
	["The Proving Grounds"] = "Die Versuchsgründe",
	["The Purple Parlor"] = "Der Purpursalon",
	["The Quagmire"] = "Der Morast",
	["The Quaking Fields"] = "Die Bebenden Felder",
	["The Queen's Reprisal"] = "Die Vergeltung ihrer Majestät",
	["The Raging Chasm"] = "Der Rasende Schlund",
	["The Rangers' Lodge"] = "Die Waldläuferhütte",
	["The Red Reaches"] = "Die Roten Weiten",
	["The Refectory"] = "Das Warenlager",
	["The Regrowth"] = "Der Geheilte Hyjal",
	["The Reliquary"] = "Die Archäologische Akademie",
	["The Repository"] = "Das Warenlager",
	["The Reservoir"] = "Das Reservoir",
	["The Restless Front"] = "Die Rastlose Front",
	["The Ridge of Ancient Flame"] = "Der Grat der Urtümlichen Flamme",
	["The Rift"] = "Der Riss",
	["The Ring of Blood"] = "Der Ring des Blutes",
	["The Ring of Champions"] = "Der Ring der Champions",
	["The Ring of Trials"] = "Der Ring der Prüfung",
	["The Ring of Valor"] = "Der Ring der Ehre",
	["The Riptide"] = "Die Springflut",
	["The Roiling Gardens"] = "Die Aufwühlenden Gärten",
	["The Rolling Gardens"] = "Die Aufwühlenden Gärten",
	["The Rolling Plains"] = "Die Wogenden Ebenen",
	["The Rookery"] = "Der Krähenhorst",
	["The Rotting Orchard"] = "Der Verrottende Obstgarten",
	["The Royal Exchange"] = "Der Königliche Markt",
	["The Ruby Sanctum"] = "Das Rubinsanktum",
	["The Ruined Reaches"] = "Die Verfallenen Gegenden",
	["The Ruins of Kel'Theril"] = "Die Ruinen von Kel'Theril",
	["The Ruins of Ordil'Aran"] = "Die Ruinen von Ordil'Aran",
	["The Ruins of Stardust"] = "Die Sternenstaubruinen",
	["The Rumble Cage"] = "Der Rumblekäfig",
	["The Rustmaul Dig Site"] = "Rostnagels Grabungsstätte",
	["The Sacred Grove"] = "Der Heilige Hain",
	["The Salty Sailor Tavern"] = "Taverne Zum Salzigen Seemann",
	["The Sanctum"] = "Das Sanktum",
	["The Sanctum of Blood"] = "Das Sanktum des Blutes",
	["The Savage Coast"] = "Die Ungezähmte Küste",
	["The Savage Glen"] = "Die Wilde Schlucht",
	["The Savage Thicket"] = "Das Wilde Dickicht",
	["The Scalding Chasm"] = "Der Brühgraben",
	["The Scalding Pools"] = "Die Siedenden Teiche",
	["The Scarab Dais"] = "Die Skarabäushöhe",
	["The Scarab Wall"] = "Der Skarabäuswall",
	["The Scarlet Basilica"] = "Die Scharlachrote Basilika",
	["The Scarlet Bastion"] = "Die Scharlachrote Bastion",
	["The Scorched Grove"] = "Der Versengte Hain",
	["The Scorched Plain"] = "Die Verbrannte Ebene",
	["The Scrap Field"] = "Das Trümmerfeld",
	["The Scrapyard"] = "Der Schrottplatz",
	["The Screaming Hall"] = "Die Schreiende Halle",
	["The Screaming Reaches"] = "Die Schreienden Weiten",
	["The Screeching Canyon"] = "Der Kreischende Canyon",
	["The Scribe of Stormwind"] = "Der Schriftgelehrte von Sturmwind",
	["The Scribes' Sacellum"] = "Das Sacellum der Schreiber",
	["The Scullery"] = "Die Küche",
	["The Sea Reaver's Run"] = "Die Straße der Meerhäscher",
	["The Sea of Cinders"] = "Das Meer der Asche",
	["The Seabreach Flow"] = "Der Meeresklammstrom",
	["The Sealed Hall"] = "Die Versiegelte Halle",
	["The Searing Gateway"] = "Das Sengende Tor",
	["The Secret Lab"] = "Das Geheimlabor",
	["The Seer's Library"] = "Bibliothek der Seher",
	["The Sepulcher"] = "Das Grabmal",
	["The Severed Span"] = "Der Geteilte Übergang",
	["The Sewer"] = "Der Kanal",
	["The Shadow Stair"] = "Die Schattentreppe",
	["The Shadow Throne"] = "Der Schattenthron",
	["The Shadow Vault"] = "Das Schattengewölbe",
	["The Shady Nook"] = "Der Schattenwinkel",
	["The Shaper's Terrace"] = "Die Terrasse des Formers",
	["The Shattered Halls"] = "Die Zerschmetterten Hallen",
	["The Shattered Strand"] = "Strand der Trümmer",
	["The Shattered Walkway"] = "Der Zerschmetterte Gang",
	["The Shepherd's Gate"] = "Hirtentor",
	["The Shifting Mire"] = "Der Wabersumpf",
	["The Shimmering Deep"] = "Die Schimmernde Tiefe",
	["The Shimmering Flats"] = "Die Schimmernde Ebene",
	["The Shining Strand"] = "Der Leuchtende Strand",
	["The Shrine of Aessina"] = "Der Schrein von Aessina",
	["The Shrine of Eldretharr"] = "Der Schrein von Eldretharr",
	["The Silver Blade"] = "Die Silberklinge",
	["The Silver Enclave"] = "Die Silberne Enklave",
	["The Sin'loren"] = "Die Sin'loren",
	["The Singing Grove"] = "Der Singende Hain",
	["The Skeletal Reef"] = "Das Skelettriff",
	["The Skittering Dark"] = "Das Huschdunkel",
	["The Skull Warren"] = "Schädelhöhle",
	["The Skunkworks"] = "Die Stinkwerke",
	["The Skybreaker"] = "Die Himmelsbrecher",
	["The Skyreach Pillar"] = "Die Himmelszeltsäule",
	["The Slag Pit"] = "Die Schlackengrube",
	["The Slaughter House"] = "Das Schlachthaus",
	["The Slaughtered Lamb"] = "Zum Geschlachteten Lamm",
	["The Slave Pens"] = "Die Sklavenunterkünfte",
	["The Slave Pits"] = "Die Sklavengruben",
	["The Slick"] = "Der Schlickstand",
	["The Slithering Scar"] = "Die Wuchernde Narbe",
	["The Slough of Dispair"] = "Die Sumpf der Verzweiflung",
	["The Sludge Fen"] = "Das Schlickmoor",
	["The Sludge Fields"] = "Die Schlickfelder",
	["The Sludgewerks"] = "Die Schlickwerke",
	["The Solar Vigil"] = "Die Solarwacht",
	["The Solarium"] = "Solaris",
	["The Spark of Imagination"] = "Der Funke der Imagination",
	["The Sparkling Crawl"] = "Der Glitzernde Kriechgang",
	["The Spawning Glen"] = "Das Pilzgeflecht",
	["The Spire"] = "Die Bastion",
	["The Stadium"] = "Das Stadion",
	["The Stagnant Oasis"] = "Die Brackige Oase",
	["The Staidridge"] = "Der Nimbusrücken",
	["The Stair of Destiny"] = "Die Stufen des Schicksals",
	["The Stair of Doom"] = "Die Stufen der Verdammnis",
	["The Steam Pools"] = "Die Dampfteiche",
	["The Steamvault"] = "Die Dampfkammer",
	["The Steppe of Life"] = "Die Lebendige Steppe",
	["The Steps of Fate"] = "Die Schicksalsstiege",
	["The Stockade"] = "Das Verlies",
	["The Stockpile"] = "Das Vorratslager",
	["The Stone Vault"] = "Das Steingewölbe",
	["The Stonecore"] = "Der Steinerne Kern",
	["The Stonecore Entrance"] = "Eingang zum Steinernen Kern",
	["The Stonefield Farm"] = "Hof der Steinfelds",
	["The Storehouse"] = "Das Lagerhaus",
	["The Storm Foundry"] = "Die Wiege des Sturms",
	["The Storm Peaks"] = "Die Sturmgipfel",
	["The Stormbreaker"] = "Die Sturmbrecher",
	["The Stormspire"] = "Die Sturmsäule",
	["The Stormwright's Shelf"] = "Das Sturmherrenschelf",
	["The Sun Forge"] = "Die Sonnenschmiede",
	["The Sundered Shard"] = "Die Versprengte Scherbe",
	["The Sundering"] = "Die Zerschlagung",
	["The Sunken Ring"] = "Der Versunkene Ring",
	["The Sunspire"] = "Der Sonnenturm",
	["The Suntouched Pillar"] = "Die Sonnenstrahlsäule",
	["The Sunwell"] = "Der Sonnenbrunnen",
	["The Swarming Pillar"] = "Die Schwarmsäule",
	["The Tainted Forest"] = "Der Besudelte Wald",
	["The Tainted Scar"] = "Die Faulende Narbe",
	["The Talon Den"] = "Der Krallenbau",
	["The Talondeep Path"] = "Der Steinkrallenpfad",
	["The Tempest Rift"] = "Kluft der Stürme",
	["The Temple Gardens"] = "Die Tempelgärten",
	["The Temple of Atal'Hakkar"] = "Der Tempel von Atal'Hakkar",
	["The Terrestrial Watchtower"] = "Der Irdische Wachturm",
	["The Thornsnarl"] = "Der Dornknoten",
	["The Threads of Fate"] = "Die Fäden des Schicksals",
	["The Threshold"] = "Die Schwelle",
	["The Throne of Flame"] = "Der Flammenthron",
	["The Tidebreaker"] = "Die Gezeitenbrecher",
	["The Tidus Stair"] = "Der Tidustritt",
	["The Tower of Arathor"] = "Der Turm von Arathor",
	["The Toxic Airfield"] = "Der Toxische Flugplatz",
	["The Trail of Devastation"] = "Der Pfad der Verwüstung",
	["The Tranquil Grove"] = "Der Friedvolle Hain",
	["The Transitus Stair"] = "Die Transitustreppe",
	["The Trapper's Enclave"] = "Die Enklave der Jäger",
	["The Tribunal of Ages"] = "Das Tribunal der Zeitalter",
	["The Tundrid Hills"] = "Die Tundridhügel",
	["The Twilight Breach"] = "Der Schattenriss",
	["The Twilight Caverns"] = "Die Zwielichthöhlen",
	["The Twilight Citadel"] = "Die Schattenzitadelle",
	["The Twilight Enclave"] = "Die Zwielichtenklave",
	["The Twilight Gate"] = "Das Schattentor",
	["The Twilight Gauntlet"] = "Feuerprobe des Schattenhammers",
	["The Twilight Ridge"] = "Zwielichthöhe",
	["The Twilight Rivulet"] = "Der Zwielichtbach",
	["The Twilight Withering"] = "Schattenödnis",
	["The Twin Colossals"] = "Die Zwillingskolosse",
	["The Twisted Glade"] = "Siechende Lichtung",
	["The Unbound Thicket"] = "Unbändiges Dickicht",
	["The Underbelly"] = "Die Schattenseite",
	["The Underbog"] = "Der Tiefensumpf",
	["The Undercroft"] = "Das Tiefgewölbe",
	["The Underhalls"] = "Das Kellergewölbe",
	["The Undershell"] = "Muscheltiefe",
	["The Uplands"] = "Das Oberland",
	["The Upside-down Sinners"] = "Die Umgekehrten Sünder",
	["The Valley of Fallen Heroes"] = "Das Tal der Gefallenen Helden",
	["The Valley of Lost Hope"] = "Das Tal der Verlorenen Hoffnung",
	["The Vault of Lights"] = "Die Halle des Lichts",
	["The Vector Coil"] = "Die Vektorspule",
	["The Veiled Cleft"] = "Die Verhüllte Kluft",
	["The Veiled Sea"] = "Das Verhüllte Meer",
	["The Venture Co. Mine"] = "Die Mine der Venture Co.",
	["The Verdant Fields"] = "Die Saftgrünen Felder",
	["The Verdant Thicket"] = "Das Saftgrüne Dickicht",
	["The Verne"] = "Die Verne",
	["The Verne - Bridge"] = "Die Verne - Brücke",
	["The Verne - Entryway"] = "Die Verne - Eingang",
	["The Vibrant Glade"] = "Lebendige Lichtung",
	["The Vice"] = "Das Joch",
	["The Vicious Vale"] = "Das Kleine Horrortal",
	["The Viewing Room"] = "Der Vorführraum",
	["The Vile Reef"] = "Das Finstere Riff",
	["The Violet Citadel"] = "Die Violette Zitadelle",
	["The Violet Citadel Spire"] = "Turm der Violetten Zitadelle",
	["The Violet Gate"] = "Das Violette Tor",
	["The Violet Hold"] = "Die Violette Festung",
	["The Violet Spire"] = "Der Violette Turm",
	["The Violet Tower"] = "Der Violette Turm",
	["The Vortex Fields"] = "Die Vortexfelder",
	["The Vortex Pinnacle"] = "Der Vortexgipfel",
	["The Vortex Pinnacle Entrance"] = "Eingang zum Vortexgipfel",
	["The Wailing Caverns"] = "Die Höhlen des Wehklagens",
	["The Wailing Ziggurat"] = "Die Klagende Ziggurat",
	["The Waking Halls"] = "Die Hallen des Erwachens",
	["The Warlord's Garrison"] = "Die Garnison des Kriegsherren",
	["The Warlord's Terrace"] = "Die Terrasse des Kriegsherren",
	["The Warp Fields"] = "Die Sphärenfelder",
	["The Warp Piston"] = "Die Warpgondel",
	["The Wavecrest"] = "Die Schaumkrone",
	["The Weathered Nook"] = "Der Wetterwinkel",
	["The Weeping Cave"] = "Die Weinende Höhle",
	["The Western Earthshrine"] = "Der Westliche Erdschrein",
	["The Westrift"] = "Die Westklamm",
	["The Whelping Downs"] = "Die Schlupfhügel",
	["The Whipple Estate"] = "Anwesen der Whipples",
	["The Wicked Coil"] = "Die Serpentine",
	["The Wicked Grotto"] = "Die Tückische Grotte",
	["The Widow's Clutch"] = "Das Gelege der Witwe",
	["The Wild Shore"] = "Die Wilde Küste",
	["The Winding Halls"] = "Die Gewundenen Hallen",
	["The Windrunner"] = "Die Windläufer",
	["The Wollerton Stead"] = "Wollertons Bauernhof",
	["The Wonderworks"] = "Die Wunderwerke",
	["The World Tree"] = "Der Weltenbaum",
	["The Writhing Deep"] = "Die Gewundene Tiefe",
	["The Writhing Haunt"] = "Das Trostlose Feld",
	["The Yorgen Farmstead"] = "Yorgens Bauernhof",
	["The Zoram Strand"] = "Der Zoramstrand",
	["Thelgen Rock"] = "Thelgenfelsen",
	Thelsamar = "Thelsamar",
	Theramore = "Theramore",
	["Theramore Isle"] = "Die Insel Theramore",
	["Therazane's Throne"] = "Therazanes Thron",
	["Thermal Vents"] = "Thermalquelle",
	["Thieves Camp"] = "Diebeslager",
	["Thistlefur Hold"] = "Höhle der Distelfelle",
	["Thistlefur Village"] = "Lager der Distelfelle",
	["Thistleshrub Valley"] = "Disteltal",
	["Thondroril River"] = "Thondroril",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Thoradinswall",
	["Thorium Advance"] = "Thoriumvorstoß",
	["Thorium Point"] = "Thoriumspitze",
	["Thorn Hill"] = "Dornenhügel",
	["Thornfang Hill"] = "Dornnebelhügel",
	["Thornmantle's Hideout"] = "Dornmantels Versteck",
	["Thorson's Post"] = "Thorsons Posten",
	["Thorvald's Camp"] = "Thorvalds Lager",
	["Thousand Needles"] = "Tausend Nadeln",
	Thrallmar = "Thrallmar",
	["Thrallmar Mine"] = "Mine von Thrallmar",
	["Three Corners"] = "Drei Ecken",
	["Throne of Kil'jaeden"] = "Kil'jaedens Thron",
	["Throne of Neptulon"] = "Thron von Neptulon",
	["Throne of Tides"] = "Thron der Gezeiten",
	["Throne of the Apocalypse"] = "Thron der Apokalypse",
	["Throne of the Damned"] = "Thron der Verdammten",
	["Throne of the Elements"] = "Thron der Elemente",
	["Throne of the Four Winds"] = "Thron der Vier Winde",
	["Throne of the Tides"] = "Thron der Gezeiten",
	["Throne of the Tides Entrance"] = "Eingang zum Thron der Gezeiten",
	["Thrym's End"] = "Thryms Ende",
	["Thunder Axe Fortress"] = "Festung Donneraxt",
	["Thunder Bluff"] = "Donnerfels",
	["Thunder Falls"] = "Donnerfälle",
	["Thunder Peak"] = "Donnergipfel",
	["Thunder Ridge"] = "Donnergrat",
	Thunderbluff = "Donnerfels",
	["Thunderbrew Distillery"] = "Brauerei Donnerbräu",
	Thunderfall = "Donnerfall",
	["Thunderhorn Water Well"] = "Brunnen der Donnerhörner",
	["Thundering Overlook"] = "Donnernde Aussicht",
	["Thunderlord Stronghold"] = "Donnerfeste",
	Thundermar = "Donnermar",
	["Thundermar Ruins"] = "Ruinen von Donnermar",
	["Thunderstrike Mountain"] = "Berg Donnerschlag",
	["Thunk's Abode"] = "Thunks Heimstatt",
	["Thuron's Livery"] = "Thurons Aufzucht",
	["Tidefury Cove"] = "Tidenbucht",
	["Tides' Hollow"] = "Gezeitenhöhle",
	["Timbermaw Hold"] = "Holzschlundfeste",
	["Timbermaw Post"] = "Holzschlundposten",
	["Tinker Town"] = "Tüftlerstadt",
	["Tinkers' Court"] = "Tüftlerhof",
	["Tiragarde Keep"] = "Burg Tiragarde",
	["Tirisfal Glades"] = "Tirisfal",
	["Tirth's Haunt"] = "Tirths Heimsuchung",
	["Tkashi Ruins"] = "Ruinen von Tkashi",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Halbinsel von Tol Barad",
	["Tomb of Lights"] = "Grab des Lichts",
	["Tomb of the Ancients"] = "Grab der Uralten",
	["Tomb of the Earthrager"] = "Grab des Erdwüters",
	["Tomb of the Lost Kings"] = "Gruft der Verlorenen Könige",
	["Tomb of the Sun King"] = "Grab des Sonnenkönigs",
	["Tomb of the Watchers"] = "Grab der Behüter",
	["Tombs of the Precursors"] = "Gräber der Wegbereiter",
	["Tome of the Unrepentant"] = "Foliant der Reuelosen",
	["Tor'Watha"] = "Tor'Watha",
	["Tor'kren Farm"] = "Tor'krens Hof",
	["Torp's Farm"] = "Torps Bauernhof",
	["Torseg's Rest"] = "Torsegs Ruheplatz",
	["Toryl Estate"] = "Toryls Grund",
	["Toshley's Station"] = "Toshleys Station",
	["Tower Point"] = "Turmstellung",
	["Tower Watch"] = "Turmwacht",
	["Tower of Althalaxx"] = "Turm von Althalaxx",
	["Tower of Azora"] = "Turm von Azora",
	["Tower of Eldara"] = "Turm von Eldara",
	["Tower of Estulan"] = "Turm von Estulan",
	["Tower of Ilgalar"] = "Der Turm von Ilgalar",
	["Tower of the Damned"] = "Turm der Verdammten",
	["Town Square"] = "Ratsplatz",
	["Town-In-A-Box"] = "Instastadt",
	["Trade District"] = "Handelsdistrikt",
	["Trade Quarter"] = "Handwerksviertel",
	["Trader's Tier"] = "Händlertreppe",
	["Tradesmen's Terrace"] = "Die Terrasse der Händler",
	["Train Depot"] = "Zugdepot",
	["Training Grounds"] = "Ausbildungsgelände",
	["Traitor's Cove"] = "Verräterbucht",
	["Tranquil Coast"] = "Stille Küste",
	["Tranquil Gardens Cemetery"] = "Der Friedhof Stille Gärten",
	["Tranquil Shore"] = "Die Stille Küste",
	["Tranquil Wash"] = "Der Stille Strand",
	Tranquillien = "Tristessa",
	Transborea = "Transborea",
	["Transitus Shield"] = "Transitus Shield",
	["Transport: Alliance Gunship"] = "Transport: Kanonenboot der Allianz",
	["Transport: Alliance Gunship (IGB)"] = "Transport: Kanonenboot der Allianz (IGB)",
	["Transport: Horde Gunship"] = "Transport: Kanonenboot der Horde",
	["Transport: Horde Gunship (IGB)"] = "Transport: Kanonenboot der Horde (IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "Transport: Onyxia/Nefarian-Fahrstuhl",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Transport: Die Stürmische Macht",
	["Trelleum Mine"] = "Trelleummine",
	["Trial of Fire"] = "Prüfung des Feuers",
	["Trial of Frost"] = "Prüfung des Frosts",
	["Trial of Shadow"] = "Prüfung des Schattens",
	["Trial of the Champion"] = "Prüfung des Champions",
	["Trial of the Champion Entrance"] = "Eingang zur Prüfung des Champions",
	["Trial of the Crusader"] = "Prüfung des Kreuzfahrers",
	["Trogma's Claim"] = "Trogmas Besitz",
	["Trollbane Hall"] = "Trollbanns Halle",
	["Trophy Hall"] = "Trophäenhalle",
	["Trueshot Point"] = "Volltrefferposten",
	["Tuluman's Landing"] = "Tulumans Landeplatz",
	Tuurem = "Tuurem",
	["Twilight Aerie"] = "Zwielichthorst",
	["Twilight Altar of Storms"] = "Zwielichtaltar der Stürme",
	["Twilight Base Camp"] = "Basislager des Schattenhammers",
	["Twilight Bulwark"] = "Schattenbollwerk",
	["Twilight Camp"] = "Stützpunkt des Schattenhammers",
	["Twilight Command Post"] = "Schattenkommandoposten",
	["Twilight Crossing"] = "Zwielichtkreuzung",
	["Twilight Forge"] = "Zwielichtschmiede",
	["Twilight Grove"] = "Zwielichtshain",
	["Twilight Highlands"] = "Schattenhochland",
	["Twilight Highlands Phased Entrance"] = "Twilight Highlands Phased Entrance",
	["Twilight Outpost"] = "Außenposten des Schattenhammers",
	["Twilight Overlook"] = "Zwielichtwarte",
	["Twilight Post"] = "Posten des Schattenhammers",
	["Twilight Precipice"] = "Zwielichthang",
	["Twilight Shore"] = "Zwielichtufer",
	["Twilight Terrace"] = "Zwielichtterrasse",
	["Twilight Vale"] = "Zwielichttal",
	["Twilight's Run"] = "Kavernen des Schattenhammers",
	["Twin Peaks"] = "Zwillingsgipfel",
	["Twin Shores"] = "Zwillingsküste",
	["Twin Spire Ruins"] = "Ruinen der Zwillingsspitze",
	["Twinbraid's Patrol"] = "Doppelzopfs Patrouille",
	["Twisting Nether"] = "Wirbelnder Nether",
	["Tyr's Hand"] = "Tyrs Hand",
	["Tyr's Hand Abbey"] = "Abtei von Tyrs Hand",
	["Tyr's Terrace"] = "Tyrs Terrasse",
	["Ufrang's Hall"] = "Ufrangs Halle",
	Uldaman = "Uldaman",
	["Uldaman Entrance"] = "Eingang nach Uldaman",
	Uldis = "Uldis",
	Ulduar = "Ulduar",
	["Ulduar Raid - Interior - Insertion Point"] = "Ulduar Raid - Inneres - Startpunkt",
	["Ulduar Raid - Iron Concourse"] = "Ulduar Raid - Der Eisenstau",
	Uldum = "Uldum",
	["Uldum Phase Oasis"] = "Uldum Phase Oasis",
	["Uldum Phased Entrance"] = "Uldum Phased Entrance",
	["Umbrafen Lake"] = "Umbrafennsee",
	["Umbrafen Village"] = "Umbrafenn",
	["Un'Goro Crater"] = "Krater von Un'Goro",
	Undercity = "Unterstadt",
	["Underlight Canyon"] = "Tiefenlichtkluft",
	["Underlight Mines"] = "Grubenlichtminen",
	["Unearthed Grounds"] = "Grabstätte",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Garrison"] = "Die Unnachgiebige Garnison",
	["Upper Silvermarsh"] = "Obere Silbermarschen",
	["Upper Veil Shil'ak"] = "Oberes Shil'akversteck",
	["Ursoc's Den"] = "Ursocs Höhle",
	Ursolan = "Ursolan",
	["Utgarde Catacombs"] = "Katakomben von Utgarde",
	["Utgarde Keep"] = "Burg Utgarde",
	["Utgarde Keep Entrance"] = "Eingang zur Burg Utgarde",
	["Utgarde Pinnacle"] = "Turm Utgarde",
	["Utgarde Pinnacle Entrance"] = "Eingang zum Turm Utgarde",
	["Uther's Tomb"] = "Uthers Grabmal",
	["Valaar's Berth"] = "Valaars Steg",
	["Valgan's Field"] = "Valgans Feld",
	Valgarde = "Valgarde",
	["Valgarde Port"] = "Hafen von Valgarde",
	Valhalas = "Valhalas",
	["Valiance Keep"] = "Valianzfeste",
	["Valiance Landing Camp"] = "Valianzlager",
	Valkyrion = "Valkyrion",
	["Valley Of Heroes"] = "Tal der Helden",
	["Valley of Ancient Winters"] = "Das Uralte Wintertal",
	["Valley of Ashes"] = "Tal der Asche",
	["Valley of Bones"] = "Tal der Knochen",
	["Valley of Echoes"] = "Tal der Echos",
	["Valley of Fangs"] = "Fangzahntal",
	["Valley of Heroes"] = "Das Tal der Helden",
	["Valley of Honor"] = "Tal der Ehre",
	["Valley of Kings"] = "Tal der Könige",
	["Valley of Spears"] = "Tal der Speere",
	["Valley of Spirits"] = "Tal der Geister",
	["Valley of Strength"] = "Tal der Stärke",
	["Valley of Trials"] = "Tal der Prüfungen",
	["Valley of Wisdom"] = "Tal der Weisheit",
	["Valley of the Bloodfuries"] = "Tal der Blutfurien",
	["Valley of the Watchers"] = "Tal der Behüter",
	["Valor's Rest"] = "Heldenwacht",
	Valormok = "Valormok",
	["Valorwind Lake"] = "Ehrenwindsee",
	["Vanguard Infirmary"] = "Feldlazarett der Vorhut",
	["Vanndir Encampment"] = "Vanndirlager",
	["Vargoth's Retreat"] = "Erzmagier Vargoths Rückzugsort",
	["Vashj'elan Spawning Pool"] = "Laichbecken von Vashj'elan",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Archavon"] = "Archavons Kammer",
	["Vault of Ironforge"] = "Tresor von Eisenschmiede",
	["Vault of the Ravenian"] = "Gewölbe des Raveniers",
	["Vault of the Shadowflame"] = "Gewölbe der Schattenflamme",
	["Veil Ala'rak"] = "Ala'rakversteck",
	["Veil Harr'ik"] = "Harr'ikversteck",
	["Veil Lashh"] = "Lashhversteck",
	["Veil Lithic"] = "Lithicversteck",
	["Veil Reskk"] = "Reskkversteck",
	["Veil Rhaze"] = "Rhazeversteck",
	["Veil Ruuan"] = "Ruuanversteck",
	["Veil Sethekk"] = "Sethekkversteck",
	["Veil Shalas"] = "Shalasversteck",
	["Veil Shienor"] = "Shienorversteck",
	["Veil Skith"] = "Skithversteck",
	["Veil Vekh"] = "Vekhversteck",
	["Vekhaar Stand"] = "Vekhaar",
	["Velaani's Arcane Goods"] = "Velannis Arkanarien",
	["Vendetta Point"] = "Vendettakuppe",
	["Vengeance Landing"] = "Hafen der Vergeltung",
	["Vengeance Landing Inn"] = "Gasthaus des Hafens der Vergeltung",
	["Vengeance Landing Inn, Howling Fjord"] = "Gasthaus des Hafens der Vergeltung, Heulender Fjord",
	["Vengeance Lift"] = "Blutklammlift",
	["Vengeance Pass"] = "Pass der Vergeltung",
	["Vengeance Wake"] = "Sog der Vergeltung",
	Venomspite = "Gallgrimm",
	["Venomweb Vale"] = "Giftwebertal",
	["Venture Bay"] = "Venturebucht",
	["Venture Co. Base Camp"] = "Stützpunkt der Venture Co.",
	["Venture Co. Operations Center"] = "Arbeitszentrale der Venture Co.",
	["Verdant Highlands"] = "Das Tiefgrüne Hochland",
	["Verdantis River"] = "Verdantis",
	["Veridian Point"] = "Viridiangrund",
	["Verlok Stand"] = "Wacht Verlok",
	["Vermillion Redoubt"] = "Zinnoberredute - Schattenhochland",
	["Verrall Delta"] = "Flussdelta des Verrall",
	["Verrall River"] = "Verrall",
	["Victor's Point"] = "Gipfel des Siegers",
	["Vileprey Village"] = "Vil'prajidorf",
	["Vim'gol's Circle"] = "Vim'gols Kreis",
	["Vindicator's Rest"] = "Verteidigers Ruh'",
	["Violet Citadel Balcony"] = "Balkon der Violetten Zitadelle",
	["Violet Hold"] = "Violette Festung",
	["Violet Hold Entrance"] = "Eingang zur Violetten Festung",
	["Violet Stand"] = "Die Violette Wacht",
	["Vir'naal Dam"] = "Vir'naaldamm",
	["Vir'naal Lake"] = "Der Vir'naalsee",
	["Vir'naal Oasis"] = "Die Vir'naaloase",
	["Vir'naal River"] = "Der Vir'naal",
	["Vir'naal River Delta"] = "Das Vir'naaldelta",
	["Void Ridge"] = "Leerengrat",
	["Voidwind Plateau"] = "Leerenwindplateau",
	["Volcanoth's Lair"] = "Volcanoths Hort",
	["Voldrin's Hold"] = "Voldrins Mut",
	Voldrune = "Voldrune",
	["Voldrune Dwelling"] = "Voldrunenbehausung",
	Voltarus = "Voltarus",
	["Vordrassil Pass"] = "Pass von Vordrassil",
	["Vordrassil's Heart"] = "Vordrassils Herz",
	["Vordrassil's Limb"] = "Vordrassils Ast",
	["Vordrassil's Tears"] = "Vordrassils Tränen",
	["Vortex Pinnacle"] = "Der Vortexgipfel",
	["Vortex Summit"] = "Vortexgipfel",
	["Vul'Gol Ogre Mound"] = "Ogerhort Vul'Gol",
	["Vyletongue Seat"] = "Schlangenzunges Sitz",
	["Wahl Cottage"] = "Wahls Landhaus",
	["Wailing Caverns"] = "Höhlen des Wehklagens",
	["Walk of Elders"] = "Straße der Urahnen",
	["War Quarter"] = "Kriegsviertel",
	["War Room"] = "Kriegsraum",
	["Warbringer's Ring"] = "Ring des Kriegshetzers",
	["Warchief's Lookout"] = "Spähposten des Kriegshäuptlings",
	["Warden's Cage"] = "Kerker des Wächters",
	["Warden's Chambers"] = "Räume des Warters",
	["Warden's Vigil"] = "Hüterwacht",
	["Warmaul Hill"] = "Totschlägerhügel",
	["Warpwood Quarter"] = "Wucherborkenviertel",
	["Warrior's Terrace"] = "Die Terrasse der Krieger",
	["Warsong Camp"] = "Kriegshymnenlager",
	["Warsong Farms Outpost"] = "Höfe des Kriegshymnenklans",
	["Warsong Flag Room"] = "Flaggenraum des Kriegshymnenklans",
	["Warsong Granary"] = "Kornkammer des Kriegshymnenklans",
	["Warsong Gulch"] = "Kriegshymnenschlucht",
	["Warsong Hold"] = "Kriegshymnenfeste",
	["Warsong Jetty"] = "Landebrücke des Kriegshymnenklans",
	["Warsong Labor Camp"] = "Lager des Kriegshymnenklans",
	["Warsong Lumber Camp"] = "Holzfällerlager des Kriegshymnenklans",
	["Warsong Lumber Mill"] = "Sägewerk des Kriegshymnenklans",
	["Warsong Slaughterhouse"] = "Schlachthof des Kriegshymnenklans",
	["Watchers' Terrace"] = "Terrasse der Wächter",
	["Waterspring Field"] = "Wasserfeld",
	Waterworks = "Wasserwerke",
	["Wavestrider Beach"] = "Wellenschreiterstrand",
	["Wayfarer's Rest"] = "Wanderers Ruh'",
	Waygate = "Das Tor",
	["Wayne's Refuge"] = "Waynes Zuflucht",
	["Weazel's Crater"] = "Weazels Krater",
	["Webwinder Hollow"] = "Weberkuhle",
	["Webwinder Path"] = "Weberpass",
	["Weeping Quarry"] = "Der Tränenbruch",
	["Well of the Forgotten"] = "Brunnen der Vergessenen",
	["Wellson Shipyard"] = "Wellsons Werft",
	["Wellspring Hovel"] = "Die Hütte am Quell",
	["Wellspring Lake"] = "Quellsee",
	["Wellspring River"] = "Quellfluss",
	["West Garrison"] = "Westgarnison",
	["West Pillar"] = "Westsäule",
	["West Point Station"] = "Weststation",
	["West Point Tower"] = "Westwacht",
	["West Sanctum"] = "Sanktum des Westens",
	["West Spear Tower"] = "Westspeerturm",
	["West Spire"] = "Westturm",
	["Westbrook Garrison"] = "Weststromgarnison",
	["Western Bridge"] = "Westliche Brücke",
	["Western Plaguelands"] = "Westliche Pestländer",
	["Western Strand"] = "Weststrand",
	Westfall = "Westfall",
	["Westfall Brigade"] = "Westfallbrigade",
	["Westfall Brigade Encampment"] = "Lager der Westfallbrigade",
	["Westfall Lighthouse"] = "Der Leuchtturm von Westfall",
	["Westguard Inn"] = "Gasthaus der Westwacht",
	["Westguard Keep"] = "Westwacht",
	["Westguard Turret"] = "Turm der Westwacht",
	["Westreach Summit"] = "Der Westliche Gipfel",
	["Westspark Workshop"] = "Werkstatt Westfunk",
	["Westwind Lift"] = "Aufzug am Flüchtlingslager",
	["Westwind Refugee Camp"] = "Flüchtlingslager von Westwind",
	Wetlands = "Sumpfland",
	["Whelgar's Excavation Site"] = "Whelgars Ausgrabungsstätte",
	["Whelgar's Retreat"] = "Whelgars Zuflucht",
	["Whisper Gulch"] = "Flüsterschlucht",
	["Whispering Forest"] = "Der Flüsternde Wald",
	["Whispering Gardens"] = "Flüstergärten",
	["Whispering Shore"] = "Die Flüsternde Küste",
	["Whisperwind Grove"] = "Wisperwindhain",
	["Whistling Grove"] = "Der Rauschende Hain",
	["White Pine Trading Post"] = "Handelsposten Weißkiefer",
	["Whitebeard's Encampment"] = "Weißbarts Lager",
	["Whitereach Post"] = "Weißgipfelposten",
	["Wild Overlook"] = "Die Wilde Aussicht",
	["Wild Shore"] = "Die Wilden Ufer",
	["Wildbend River"] = "Wildschnellen",
	["Wildervar Mine"] = "Mine von Wildervar",
	["Wildflame Point"] = "Wildflammenspitze",
	["Wildgrowth Mangal"] = "Wildwuchsmangal",
	["Wildhammer Flag Room"] = "Flaggenraum des Wildhammerklans",
	["Wildhammer Keep"] = "Burg Wildhammer",
	["Wildhammer Stronghold"] = "Wildhammerfeste",
	["Wildheart Point"] = "Wildherzens Lager",
	["Wildmane Water Well"] = "Brunnen der Wildmähnen",
	["Wildpaw Cavern"] = "Höhle der Wildpfoten",
	["Wildpaw Ridge"] = "Wildpfotengrat",
	["Wildwind Lake"] = "Wildwindsee",
	["Wildwind Path"] = "Wildwindpfad",
	["Wildwind Peak"] = "Wildwindgipfel",
	["Windbreak Canyon"] = "Schlucht der Heulenden Winde",
	["Windfury Ridge"] = "Windfurienkamm",
	["Windrunner Spire"] = "Windläuferturm",
	["Windrunner Village"] = "Windläuferdorf",
	["Windrunner's Overlook"] = "Windläufers Warte",
	["Windshear Crag"] = "Die Scherwindklippe",
	["Windshear Heights"] = "Scherwindhöhen",
	["Windshear Hold"] = "Scherwindfestung",
	["Windshear Mine"] = "Scherwindmine",
	["Windshear Valley"] = "Scherwindtal",
	["Windy Bluffs"] = "Die Windigen Klippen",
	["Windyreed Pass"] = "Schilftanzpass",
	["Windyreed Village"] = "Schilftanz",
	["Winter's Breath Lake"] = "Winterhauchsee",
	["Winter's Edge Tower"] = "Wintersturzturm",
	["Winter's Heart"] = "Winterherz",
	["Winter's Terrace"] = "Terrasse des Winters",
	["Winterax Hold"] = "Feste der Winterax",
	["Winterfall Village"] = "Lager der Winterfelle",
	["Winterfin Caverns"] = "Höhlen der Winterflossen",
	["Winterfin Retreat"] = "Zuflucht der Winterflossen",
	["Winterfin Village"] = "Dorf der Winterflossen",
	["Wintergarde Crypt"] = "Gruft von Wintergarde",
	["Wintergarde Keep"] = "Feste Wintergarde",
	["Wintergarde Mausoleum"] = "Mausoleum von Wintergarde",
	["Wintergarde Mine"] = "Minen von Wintergarde",
	Wintergrasp = "Tausendwintersee",
	["Wintergrasp Fortress"] = "Tausendwinterfestung",
	["Wintergrasp River"] = "Tausendwinterfluss",
	["Winterhoof Water Well"] = "Brunnen der Winterhufe",
	Winterspring = "Winterquell",
	["Witch Hill"] = "Hexenhügel",
	["Witch's Sanctum"] = "Sanktum der Hexe",
	["Witherbark Caverns"] = "Höhlen der Bleichborken",
	["Witherbark Village"] = "Lager der Bleichborken",
	["Withering Thicket"] = "Das Welkende Dickicht",
	["Wizard Row"] = "Zaubergasse",
	["Wizard's Sanctum"] = "Magiersanktum",
	["Wolf's Run"] = "Wolfsschlucht",
	["Wood's End Cabin"] = "Waldrandhütte",
	["Woodpaw Den"] = "Waldpfotenbau",
	["Woodpaw Hills"] = "Waldpfotenhügel",
	Workshop = "Werkstatt",
	["Workshop Entrance"] = "Eingang zur Werkstatt",
	["World's End Tavern"] = "Taverne Weltenend",
	["Wrathscale Lair"] = "Hassprankenzuflucht",
	["Wrathscale Point"] = "Hassprankenterritorium",
	["Wreckage of the Silver Dawning"] = "Wrack der Silbermorgen",
	["Writhing Mound"] = "Der Gequälte Hügel",
	Wyrmbog = "Der Drachensumpf",
	["Wyrmbreaker's Rookery"] = "Wyrmbrechers Hort",
	["Wyrmrest Temple"] = "Wyrmruhtempel",
	["Wyrms' Bend"] = "Die Wyrmbiege",
	["Wyrmscar Island"] = "Insel Drachenfels",
	["Wyrmskull Bridge"] = "Brücke des Wyrmschädels",
	["Wyrmskull Tunnel"] = "Tunnel des Wyrmschädels",
	["Wyrmskull Village"] = "Wyrmskol",
	["X-2 Pincer"] = "X-2-Kneifer",
	Xavian = "Xavian",
	Ymirheim = "Ymirheim",
	["Ymiron's Seat"] = "Ymirons Sitz",
	["Yojamba Isle"] = "Die Insel Yojamba",
	["Yowler's Den"] = "Jaulers Höhle",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Grave"] = "Zaetars Grab",
	["Zalashji's Den"] = "Zalashjis Bau",
	["Zalazane's Fall"] = "Zalazanes Sturz",
	["Zane's Eye Crater"] = "Zanes Augenkrater",
	["Zangar Ridge"] = "Zangarkamm",
	Zangarmarsh = "Zangarmarschen",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zeppelin Crash"] = "Zeppelinabsturzstelle",
	Zeramas = "Zeramas",
	["Zeth'Gor"] = "Zeth'Gor",
	["Ziata'jai Ruins"] = "Ruinen von Ziata'jai",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Zim'bos Versteck",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Festung Zol'Maz",
	["Zoram'gar Outpost"] = "Außenposten von Zoram'gar",
	["Zul'Aman"] = "Zul'Aman",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Eingang nach Zul'Farrak",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Ruinen von Zuuldaia",
}

elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "7군단 주둔지",
	["7th Legion Front"] = "7군단 전초지",
	["7th Legion Submarine"] = "7군단 잠수함",
	["A Hero's Welcome"] = "영웅의 쉼터 여관",
	["Abandoned Armory"] = "버려진 무기고",
	["Abandoned Camp"] = "버려진 야영지",
	["Abandoned Mine"] = "버려진 광산",
	["Abandoned Reef"] = "버려진 모래톱",
	["Abyssal Breach"] = "심연의 틈",
	["Abyssal Depths"] = "심연의 나락",
	["Abyssal Halls"] = "심연의 전당",
	["Abyssal Maw"] = "심연의 구렁",
	["Abyssal Maw Exterior"] = "심연의 구렁 외부",
	["Abyssal Sands"] = "끝없는 사막",
	["Abyssion's Lair"] = "어비시온의 보금자리",
	["Access Shaft Zeon"] = "지온 작업 갱도",
	["Acherus: The Ebon Hold"] = "아케루스: 칠흑의 요새",
	["Addle's Stead"] = "애들 농장",
	["Aderic's Repose"] = "아데릭의 안식처",
	["Aerie Peak"] = "맹금의 봉우리",
	["Aeris Landing"] = "에어리스 착륙지",
	["Agamand Family Crypt"] = "아가만드가 납골당",
	["Agamand Mills"] = "아가만드 제분소",
	["Agmar's Hammer"] = "아그마르의 망치",
	["Agmond's End"] = "아그몬드의 최후",
	["Agol'watha"] = "아골와타",
	["Ahn Qiraj"] = "안퀴라즈",
	["Ahn'Qiraj"] = "안퀴라즈",
	["Ahn'Qiraj Temple"] = "안퀴라즈 사원",
	["Ahn'Qiraj Terrace"] = "안퀴라즈 정원",
	["Ahn'Qiraj: The Fallen Kingdom"] = "안퀴라즈: 무너진 왕국",
	["Ahn'kahet: The Old Kingdom"] = "안카헤트: 고대 왕국",
	["Ahn'kahet: The Old Kingdom Entrance"] = "안카헤트: 고대 왕국 입구",
	["Akhenet Fields"] = "아케네트 농장",
	["Aku'mai's Lair"] = "아쿠마이의 둥지",
	["Alabaster Shelf"] = "무쇠 벼랑",
	["Alcaz Island"] = "알카즈 섬",
	["Aldor Rise"] = "알도르 마루",
	Aldrassil = "알드랏실",
	["Aldur'thar: The Desolation Gate"] = "알두르타르: 황폐의 관문",
	["Alexston Farmstead"] = "알렉스턴 농장",
	["Algaz Gate"] = "알가즈 관문",
	["Algaz Station"] = "알가즈 주둔지",
	["All That Glitters Prospecting Co."] = "반짝이 수집광",
	["Allen Farmstead"] = "알렌 농장",
	["Allerian Post"] = "알레리아 초소",
	["Allerian Stronghold"] = "알레리아 성채",
	["Alliance Base"] = "얼라이언스 주둔지",
	["Alliance Beachhead"] = "얼라이언스 교두보",
	["Alliance Keep"] = "얼라이언스 요새",
	["Alliance Mercenary Ship to Vashj'ir"] = "바쉬르행 얼라이언스 용병선",
	["Alliance PVP Barracks"] = "얼라이언스 연합 병영",
	["Alonsus Chapel"] = "알론서스 교회",
	["Altar of Ascension"] = "승천의 제단",
	["Altar of Har'koa"] = "하르코아의 제단",
	["Altar of Mam'toth"] = "맘토스의 제단",
	["Altar of Quetz'lun"] = "쿠에츠룬의 제단",
	["Altar of Rhunok"] = "루노크의 제단",
	["Altar of Sha'tar"] = "샤타르 제단",
	["Altar of Sseratus"] = "세라투스의 제단",
	["Altar of Storms"] = "폭풍의 제단",
	["Altar of Twilight"] = "황혼의 제단",
	["Altar of the Blood God"] = "혈신의 제단",
	["Alterac Mountains"] = "알터랙 산맥",
	["Alterac Valley"] = "알터랙 계곡",
	["Alther's Mill"] = "앨더의 제재소",
	["Amani Catacombs"] = "아마니 지하묘지",
	["Amani Mountains"] = "아마니 산맥",
	["Amani Pass"] = "아마니 고개",
	["Amber Ledge"] = "호박석 절벽",
	Ambermill = "호박색 농장",
	["Amberpine Lodge"] = "호박빛소나무 오두막",
	["Ambershard Cavern"] = "호박석 동굴",
	["Amberstill Ranch"] = "앰버스틸 목장",
	["Amberweb Pass"] = "호박그물 고개",
	["Ameth'Aran"] = "아메스아란",
	["Ammen Fields"] = "암멘 들판",
	["Ammen Ford"] = "암멘 여울",
	["Ammen Vale"] = "암멘 골짜기",
	["Amphitheater of Anguish"] = "고뇌의 투기장",
	["Ampitheater of Anguish"] = "고뇌의 투기장",
	["An'daroth"] = "안다로스",
	["An'owyn"] = "안오윈",
	["An'telas"] = "안텔라스",
	["Ancestral Grounds"] = "선조의 터",
	["Ancient Zul'Gurub"] = "고대 줄구룹",
	["Andilien Estate"] = "안딜리엔 영지",
	Andorhal = "안돌할",
	Andruk = "안드루크",
	["Angerfang Encampment"] = "성난송곳니 야영지",
	["Ango'rosh Grounds"] = "앙고로쉬 영토",
	["Ango'rosh Stronghold"] = "앙고로쉬 소굴",
	["Angor Fortress"] = "고통의 요새",
	["Angrathar the Wrath Gate"] = "분노의 관문 앙그라타르",
	["Angrathar the Wrathgate"] = "분노의 관문 앙그라타르",
	["Antonidas Memorial"] = "안토니다스 기념지",
	["Anvil of Conflagration"] = "용암천지의 모루",
	Anvilmar = "앤빌마",
	["Apex Point"] = "태양 향점",
	["Apocryphan's Rest"] = "아포크리판의 안식처",
	["Apothecary Camp"] = "연금술사 야영지",
	["Arathi Basin"] = "아라시 분지",
	["Arathi Highlands"] = "아라시 고원",
	["Arcane Pinnacle"] = "비전 봉우리",
	["Archmage Vargoth's Retreat"] = "대마법사 바르고스의 은거지",
	["Area 52"] = "52번 구역",
	["Arena Floor"] = "투기장",
	["Argent Pavilion"] = "은빛십자군 막사",
	["Argent Stand"] = "은빛십자군 격전지",
	["Argent Tournament Grounds"] = "은빛십자군 마상시합 광장",
	["Argent Vanguard"] = "은빛십자군 선봉기지",
	["Ariden's Camp"] = "아리덴의 야영지",
	["Arikara's Needle"] = "아리카라의 봉우리",
	["Arklon Ruins"] = "알클론 폐허",
	["Arklonis Ridge"] = "아클로니스 마루",
	["Arriga Footbridge"] = "아리가 교각",
	["Arsad Trade Post"] = "알사드 교역 거점",
	["Ascendant's Rise"] = "승천의 마루",
	["Ashen Fields"] = "잿빛 벌판",
	["Ashen Lake"] = "잿빛 호수",
	Ashenvale = "잿빛 골짜기",
	["Ashwood Lake"] = "잿빛나무 호수",
	["Ashwood Post"] = "잿빛나무 초소",
	["Aspen Grove Post"] = "미루나무 숲 초소",
	Astranaar = "아스트라나르",
	["Ata'mal Terrace"] = "아타말 언덕",
	Athenaeum = "도서관",
	["Atulhet's Tomb"] = "아툴헤트의 무덤",
	["Auberdine Refugee Camp"] = "아우버다인 피난민 야영지",
	["Auchenai Crypts"] = "아키나이 납골당",
	["Auchenai Grounds"] = "아키나이 영지",
	Auchindoun = "아킨둔",
	["Auchindoun - Auchenai Crypts Entrance"] = "아킨둔 - 아키나이 납골당 입구",
	["Auchindoun - Mana-Tombs Entrance"] = "아킨둔 - 마나 무덤 입구",
	["Auchindoun - Sethekk Halls Entrance"] = "아킨둔 - 세데크 전당 입구",
	["Auchindoun - Shadow Labyrinth Entrance"] = "아킨둔 - 어둠의 미궁 입구",
	["Auchindoun: Auchenai Crypts"] = "아킨둔: 아키나이 납골당",
	["Auchindoun: Mana-Tombs"] = "아킨둔: 마나 무덤",
	["Auchindoun: Sethekk Halls"] = "아킨둔: 세데크 전당",
	["Auchindoun: Shadow Labyrinth"] = "아킨둔: 어둠의 미궁",
	["Auren Falls"] = "아우렌 폭포",
	["Auren Ridge"] = "아우렌 마루",
	["Avalanchion's Vault"] = "아발란치온의 석굴",
	Aviary = "박쥐 사육장",
	["Axis of Alignment"] = "정렬의 축",
	Axxarien = "악사리엔",
	["Azjol-Nerub"] = "아졸네룹",
	["Azjol-Nerub Entrance"] = "아졸네룹 입구",
	Azshara = "아즈샤라",
	["Azshara Crater"] = "아즈샤라 분화구",
	["Azure Dragonshrine"] = "청금석 용제단",
	["Azure Watch"] = "하늘 감시초소",
	["Azurebreeze Coast"] = "하늘바람 해안",
	["Azurelode Mine"] = "청금석 광산",
	["Azuremyst Isle"] = "하늘안개 섬",
	Badlands = "황야의 땅",
	["Bael Modan"] = "바엘 모단",
	["Bael Modan Excavation"] = "바엘 모단 발굴현장",
	["Bael'dun Digsite"] = "바엘던 발굴현장",
	["Bael'dun Keep"] = "바엘던 요새",
	["Baelgun's Excavation Site"] = "바엘군의 발굴현장",
	["Bahrum's Post"] = "바룸의 초소",
	["Bal'lal Ruins"] = "발랄 폐허",
	["Balargarde Fortress"] = "발라르가드 요새",
	Baleheim = "베일하임",
	["Balejar Watch"] = "베일야르 감시초소",
	["Balia'mah Ruins"] = "발리아마 폐허",
	["Balnir Farmstead"] = "발니르 농장",
	Bambala = "밤발라",
	["Ban'Thallow Barrow Den"] = "반탈로우 지하굴",
	["Ban'ethil Barrow Den"] = "바네실 지하굴",
	["Ban'ethil Barrow Descent"] = "바네실 지하굴 내리막길",
	["Ban'ethil Hollow"] = "바네실 동굴",
	["Band of Acceleration"] = "가속의 고리",
	["Band of Alignment"] = "정렬의 고리",
	["Band of Transmutation"] = "변환의 고리",
	["Band of Variance"] = "변화의 고리",
	Bank = "은행",
	["Baradin Base Camp"] = "바라딘 주둔지",
	["Baradin Bay"] = "바라딘 만",
	["Baradin Hold"] = "바라딘 요새",
	Barbershop = "미용실",
	["Barov Family Vault"] = "바로브 가문 납골당",
	["Bash'ir Landing"] = "바시르 영지",
	["Bashal'Aran"] = "바샬아란",
	["Bashal'Aran Collapse"] = "바샬아란 붕괴지",
	["Bastion Antechamber"] = "요새 대기실",
	["Bathran's Haunt"] = "배스랜 서식지",
	["Battle Ring"] = "전투장",
	Battlescar = "전투의 흉터",
	["Battlescar Spire"] = "전투의 흉터 첨탑",
	["Battlescar Valley"] = "전투의 흉터 계곡",
	["Bay of Storms"] = "폭풍의 만",
	["Bear's Head"] = "곰마루",
	["Beauty's Lair"] = "아름이의 보금자리",
	["Beezil's Wreck"] = "비질의 추락지",
	["Befouled Terrace"] = "더럽혀진 단상",
	["Beggar's Haunt"] = "부랑자 소굴",
	["Beneath The Double Rainbow"] = "쌍무지개 마을",
	["Beren's Peril"] = "베렌의 동굴",
	["Bernau's Happy Fun Land"] = "버나우의 놀이동산",
	["Beryl Coast"] = "녹주석 해안",
	["Beryl Egress"] = "녹주석 출구",
	["Beryl Point"] = "녹주석 거점",
	["Beth'mora Ridge"] = "베스모라 마루",
	["Beth'tilac's Lair"] = "베스틸락의 둥지",
	["Biel'aran Ridge"] = "비엘아란 마루",
	["Bilgewater Harbor"] = "빌지워터 항만",
	["Bilgewater Lumber Yard"] = "빌지워터 야적장",
	["Bilgewater Port"] = "빌지워터 항구",
	["Bitter Reaches"] = "시련의 산마루",
	["Bittertide Lake"] = "거센물결 호수",
	["Black Channel Marsh"] = "검은바닥 습지대",
	["Black Drake Roost"] = "검은 비룡 보금자리",
	["Black Temple"] = "검은 사원",
	["Black Tooth Hovel"] = "검은니 오두막",
	["Blackchar Cave"] = "검은재 동굴",
	["Blackfathom Camp"] = "검은심연 야영지",
	["Blackfathom Deeps"] = "검은심연 나락",
	["Blackfathom Deeps Entrance"] = "검은심연 나락 입구",
	["Blackhoof Village"] = "검은발굽 마을",
	["Blackhorn's Penance"] = "블랙혼의 참회지",
	["Blackmaw Hold"] = "검은아귀 요새",
	["Blackriver Logging Camp"] = "검은강 벌목지",
	["Blackrock Caverns"] = "검은바위 동굴",
	["Blackrock Caverns Entrance"] = "검은바위 동굴 입구",
	["Blackrock Depths"] = "검은바위 나락",
	["Blackrock Depths Entrance"] = "검은바위 나락 입구",
	["Blackrock Mountain"] = "검은바위 산",
	["Blackrock Pass"] = "검은바위 고개",
	["Blackrock Spire"] = "검은바위 첨탑",
	["Blackrock Spire Entrance"] = "검은바위 첨탑 입구",
	["Blackrock Stadium"] = "검은바위 투기장",
	["Blackrock Stronghold"] = "검은바위 요새",
	["Blacksilt Shore"] = "검은진흙 해안",
	Blacksmith = "대장간",
	["Blackstone Span"] = "검은돌 교각",
	Blackwatch = "어둠의 감시초소",
	["Blackwater Cove"] = "검은바다 만",
	["Blackwater Shipwrecks"] = "검은바다 난파지",
	["Blackwind Lake"] = "검은바람 호수",
	["Blackwind Landing"] = "검은바람 비행기지",
	["Blackwind Valley"] = "검은바람 계곡",
	["Blackwing Coven"] = "검은날개 소굴",
	["Blackwing Descent"] = "검은날개 강림지",
	["Blackwing Lair"] = "검은날개 둥지",
	["Blackwolf River"] = "검은늑대 강",
	["Blackwood Camp"] = "검은나무 야영지",
	["Blackwood Den"] = "검은나무 소굴",
	["Blackwood Lake"] = "검은나무 호수",
	["Blade Tooth Canyon"] = "칼날이빨 대협곡",
	["Blade's Edge Arena"] = "칼날 산맥 투기장",
	["Blade's Edge Mountains"] = "칼날 산맥",
	["Bladed Gulch"] = "칼날 협곡",
	["Bladefist Bay"] = "칼날주먹 만",
	["Blades & Axes"] = "칼과 도끼 전문점",
	["Blades' Run"] = "칼날 고개",
	["Bladespire Grounds"] = "칼날첨탑 영토",
	["Bladespire Hold"] = "칼날첨탑 요새",
	["Bladespire Outpost"] = "칼날첨탑 전초기지",
	Bladewood = "칼날숲",
	["Blasted Lands"] = "저주받은 땅",
	["Bleeding Hollow Ruins"] = "피눈물 폐허",
	["Bleeding Vale"] = "피투성이 계곡",
	["Bleeding Ziggurat"] = "피투성이 지구라트",
	["Blistering Pool"] = "부글거리는 웅덩이",
	["Blood Elf Tower"] = "블러드 엘프 경비탑",
	["Blood Watch"] = "핏빛 감시초소",
	["Bloodcurse Isle"] = "핏빛저주의 섬",
	["Bloodfen Burrow"] = "붉은늪지 동굴",
	Bloodgulch = "피투성이 협곡",
	["Bloodhoof Village"] = "블러드후프 마을",
	["Bloodmaul Camp"] = "피망치 야영지",
	["Bloodmaul Outpost"] = "피망치 전초기지",
	["Bloodmaul Ravine"] = "피망치 협곡",
	["Bloodmoon Isle"] = "핏빛달 섬",
	["Bloodmyst Isle"] = "핏빛안개 섬",
	["Bloodscale Enclave"] = "피비늘 군락",
	["Bloodscale Grounds"] = "피비늘 영토",
	["Bloodspore Plains"] = "핏빛포자 평원",
	["Bloodtalon Shore"] = "붉은발톱 해안",
	["Bloodtooth Camp"] = "핏빛이빨 야영지",
	["Bloodvenom Falls"] = "피멍울 폭포",
	["Bloodvenom Post"] = "피멍울 초소",
	["Bloodvenom River"] = "피멍울 강",
	["Bloodwash Cavern"] = "핏빛여울 동굴",
	["Bloodwash Fighting Pits"] = "핏빛여울 전투 구덩이",
	["Bloodwash Shrine"] = "핏빛여울 제단",
	["Bloodwatcher Point"] = "피감시자 거점",
	["Blue Sky Logging Grounds"] = "푸른 하늘 벌목장",
	Bluefen = "푸른늪지",
	["Bluegill Marsh"] = "푸른아가미 습지대",
	["Bluff of the South Wind"] = "남풍의 절벽",
	["Bogen's Ledge"] = "보겐의 절벽",
	Bogpaddle = "수렁진흙탕",
	["Boha'mu Ruins"] = "보하무 폐허",
	["Bolgan's Hole"] = "볼간의 굴",
	["Bolyun's Camp"] = "볼윤의 야영지",
	["Bonechewer Ruins"] = "해골이빨 폐허",
	["Bones of Grakkarond"] = "그락카론드의 무덤",
	["Bonesnap's Camp"] = "본스냅 야영지",
	["Bootlegger Outpost"] = "밀조장이 전초기지",
	["Booty Bay"] = "무법항",
	["Bor'gorok Outpost"] = "보르고로크 전초기지",
	["Bor's Breath"] = "보르의 숨결",
	["Bor's Breath River"] = "보르의 숨결 강",
	["Bor's Fall"] = "보르의 폭포",
	["Bor's Fury"] = "보르의 분노호",
	["Borean Tundra"] = "북풍의 땅",
	["Borune Ruins"] = "보룬 폐허",
	["Bough Shadow"] = "어둠의 나무",
	["Boulder Hills"] = "바위 언덕",
	["Boulder Lode Mine"] = "호박돌 광산",
	["Boulder'gor"] = "돌주먹 언덕",
	["Boulder'mok"] = "볼더모크",
	["Bouldercrag's Refuge"] = "볼더크랙의 은거처",
	["Boulderfist Hall"] = "돌주먹 소굴",
	["Boulderfist Outpost"] = "돌주먹 전초기지",
	["Boulderslide Cavern"] = "구릉바위 동굴",
	["Boulderslide Ravine"] = "구릉바위 협곡",
	["Brackenwall Village"] = "담쟁이 마을",
	["Brackwell Pumpkin Patch"] = "브랙웰 호박밭",
	["Brambleblade Ravine"] = "칼날가시 협곡",
	Bramblescar = "가시덩굴 벌판",
	["Brann's Base-Camp"] = "브란의 기지",
	["Brashtide Attack Fleet"] = "난폭파도 공격 함대",
	["Brashtide Attack Fleet (Force Outdoors)"] = "난폭파도 공격 함대 (외부 부대)",
	["Brave Wind Mesa"] = "용사의 바람절벽",
	["Brazie Farmstead"] = "브레이지 농장",
	["Brewnall Village"] = "브루날 마을",
	["Bridge of Souls"] = "영혼의 다리",
	["Brightwater Lake"] = "청명 호수",
	["Brightwood Grove"] = "밝은나무 숲",
	Brill = "브릴",
	["Brill Town Hall"] = "브릴 마을회관",
	["Bristlelimb Enclave"] = "뾰족가지 군락",
	["Bristlelimb Village"] = "뾰족가지 마을",
	["Broken Commons"] = "파괴된 광장",
	["Broken Hill"] = "무너진 언덕",
	["Broken Pillar"] = "무너진 기둥",
	["Broken Spear Village"] = "부러진창 마을",
	["Broken Wilds"] = "파괴된 벌판",
	["Bronze Dragonshrine"] = "청동 용제단",
	["Bronzebeard Encampment"] = "브론즈비어드 야영지",
	["Browman Mill"] = "브라우만 제분소",
	["Brunnhildar Village"] = "브룬힐다르 마을",
	["Bucklebree Farm"] = "버클브리 농장",
	["Budd's Dig"] = "버드의 발굴지",
	["Burning Blade Coven"] = "불타는 칼날단 소굴",
	["Burning Blade Ruins"] = "불타는 칼날단 폐허",
	["Burning Steppes"] = "불타는 평원",
	["Butcher's Stand"] = "집행자의 보루",
	["Caer Darrow"] = "카엘 다로우",
	["Caldemere Lake"] = "칼더미어 호수",
	["Calston Estate"] = "칼스턴 영지",
	["Camp Aparaje"] = "아파라제 야영지",
	["Camp Ataya"] = "아타야 야영지",
	["Camp Boff"] = "보프 야영지",
	["Camp Cagg"] = "카그 야영지",
	["Camp E'thok"] = "에톡 야영지",
	["Camp Everstill"] = "영원고요 야영지",
	["Camp Kosh"] = "코쉬 야영지",
	["Camp Mojache"] = "모자케 야영지",
	["Camp Mojache Longhouse"] = "모자케 야영지 공동주택",
	["Camp Narache"] = "나라체 야영지",
	["Camp Onequah"] = "원크와 야영지",
	["Camp Oneqwah"] = "원크와 야영지",
	["Camp Sungraze"] = "해넘이 기지",
	["Camp Tunka'lo"] = "툰카로 야영지",
	["Camp Una'fe"] = "우나페 야영지",
	["Camp Winterhoof"] = "겨울발굽 야영지",
	["Camp Wurg"] = "우르그 야영지",
	["Camp of Boom"] = "붐의 야영지",
	Canals = "용수로",
	["Cannon's Inferno"] = "군주 캐논의 지옥불",
	["Cantrips & Crows"] = "마법과 까마귀 여관",
	["Cape of Lost Hope"] = "잃어버린 희망의 곶",
	["Cape of Stranglethorn"] = "가시덤불 곶",
	["Capital Gardens"] = "수도 정원",
	["Carrion Hill"] = "부패의 언덕",
	["Cartier & Co. Fine Jewelry"] = "까르티엘 보석공예품",
	Cataclysm = "대격변",
	["Cathedral Quarter"] = "대성당 지구",
	["Cathedral Square"] = "대성당 광장",
	["Cathedral of Darkness"] = "어둠의 대성당",
	["Cathedral of Light"] = "빛의 대성당",
	["Cauldros Isle"] = "카울드로스 섬",
	["Cave of Mam'toth"] = "맘토스의 동굴",
	["Cavern of Mists"] = "안개 동굴",
	["Caverns of Time"] = "시간의 동굴",
	["Celestial Ridge"] = "하늘 마루",
	["Cenarion Enclave"] = "세나리온 자치령",
	["Cenarion Hold"] = "세나리온 요새",
	["Cenarion Post"] = "세나리온 초소",
	["Cenarion Refuge"] = "세나리온 야영지",
	["Cenarion Thicket"] = "세나리온 수풀",
	["Cenarion Watchpost"] = "세나리온 감시초소",
	["Cenarion Wildlands"] = "세나리온 자생지",
	["Central Bridge"] = "중앙 교각",
	["Chamber of Ancient Relics"] = "고대 유물의 방",
	["Chamber of Atonement"] = "속죄의 방",
	["Chamber of Battle"] = "전투의 방",
	["Chamber of Blood"] = "피의 집회장",
	["Chamber of Command"] = "지휘의 방",
	["Chamber of Enchantment"] = "마법의 방",
	["Chamber of Fanatics"] = "광신자의 방",
	["Chamber of Incineration"] = "소각의 방",
	["Chamber of Prophecy"] = "예언의 방",
	["Chamber of Respite"] = "유예의 방",
	["Chamber of Summoning"] = "소환의 방",
	["Chamber of the Aspects"] = "위상의 방",
	["Chamber of the Dreamer"] = "꿈꾸는 자의 방",
	["Chamber of the Moon"] = "달의 방",
	["Chamber of the Restless"] = "안식을 찾지 못한 자의 석실",
	["Chamber of the Stars"] = "별의 방",
	["Chamber of the Sun"] = "해의 방",
	["Champion's Hall"] = "용사의 전당",
	["Champions' Hall"] = "용사의 전당",
	["Chapel Gardens"] = "예배당 정원",
	["Chapel Yard"] = "예배당 지구",
	["Chapel of the Crimson Flame"] = "진홍불꽃의 예배당",
	["Charred Outpost"] = "잿더미 전초기지",
	["Charred Rise"] = "잿더미 마루",
	["Chill Breeze Valley"] = "찬바람 골짜기",
	["Chillmere Coast"] = "서릿발 해안",
	["Chillwind Camp"] = "서리바람 야영지",
	["Chillwind Point"] = "서리바람 거점",
	Chiselgrip = "끌잡이 거점",
	["Churning Gulch"] = "휘몰이 협곡",
	["Circle of Blood"] = "피의 투기장",
	["Circle of Blood Arena"] = "피의 투기장",
	["Circle of East Binding"] = "동쪽 봉인의 마법진",
	["Circle of Inner Binding"] = "내부 봉인의 마법진",
	["Circle of Outer Binding"] = "외부 봉인의 마법진",
	["Circle of Thorns"] = "고난의 원",
	["Circle of West Binding"] = "서쪽 봉인의 마법진",
	["Circle of Wills"] = "의지의 투기장",
	City = "도시",
	["City of Ironforge"] = "아이언포지",
	["Clan Watch"] = "부족 초소",
	["Cleft of Shadow"] = "어둠의 틈",
	["Cliffspring Falls"] = "절벽 폭포",
	["Cliffspring Hollow"] = "폭포수 동굴",
	["Cliffspring River"] = "폭포수 강",
	["Cliffwalker Post"] = "절벽지기 초소",
	["Cloudtop Terrace"] = "구름꼭대기 정원",
	["Coast of Echoes"] = "메아리 해안",
	["Coast of Idols"] = "우상 해안",
	["Coilfang - The Slave Pens Entrance"] = "갈퀴송곳니 저수지 - 강제 노역소 입구",
	["Coilfang - The Steamvault Entrance"] = "갈퀴송곳니 저수지 - 증기 저장고 입구",
	["Coilfang - The Underbog Entrance"] = "갈퀴송곳니 저수지 - 지하수렁 입구",
	["Coilfang Reservoir"] = "갈퀴송곳니 저수지",
	["Coilfang: Serpentshrine Cavern"] = "갈퀴송곳니 저수지: 불뱀 제단",
	["Coilfang: The Slave Pens"] = "갈퀴송곳니 저수지: 강제 노역소",
	["Coilfang: The Steamvault"] = "갈퀴송곳니 저수지: 증기 저장고",
	["Coilfang: The Underbog"] = "갈퀴송곳니 저수지: 지하수렁",
	["Coilskar Cistern"] = "갈퀴흉터 저수지",
	["Coilskar Point"] = "갈퀴흉터 거점",
	["Cold Hearth Manor"] = "버려진 장원",
	Coldarra = "콜다라",
	["Coldarra Ledge"] = "콜다라 절벽",
	["Coldridge Pass"] = "눈마루 고개",
	["Coldridge Valley"] = "눈마루 골짜기",
	["Coldrock Quarry"] = "얼음바위 채석장",
	["Coldtooth Mine"] = "얼음이빨 광산",
	["Coldwind Heights"] = "눈바람 언덕",
	["Coldwind Pass"] = "눈바람 고개",
	["Collin's Test"] = "콜린의 시험용",
	["Command Center"] = "사령부",
	["Commons Hall"] = "대강당",
	["Condemned Halls"] = "낙인의 전당",
	["Conquest Hold"] = "정복의 요새",
	["Containment Core"] = "중앙 격리실",
	["Cooper Residence"] = "쿠퍼 저택",
	["Coral Garden"] = "산호 정원",
	["Cordell's Enchanting"] = "코르델의 마법부여점",
	["Corin's Crossing"] = "코린 삼거리",
	["Corp'rethar: The Horror Gate"] = "코프레타르: 공포의 관문",
	["Corrahn's Dagger"] = "코란의 비수",
	Cosmowrench = "비틀린 우주",
	["Court of the Highborne"] = "명가의 궁정",
	["Court of the Sun"] = "태양 궁정",
	["Courtyard of the Ancients"] = "고대의 안마당",
	["Cradle of the Ancients"] = "고대정령의 요람",
	["Craftsmen's Terrace"] = "장인의 정원",
	["Crag of the Everliving"] = "영생의 바위굴",
	["Cragpool Lake"] = "바위웅덩이 호수",
	["Crash Site"] = "추락 지점",
	["Crescent Hall"] = "초승달 전당",
	["Crimson Expanse"] = "진홍 벌판",
	["Crimson Watch"] = "붉은 감시초소",
	Crossroads = "십자로",
	["Crowley Orchard"] = "크롤리 과수원",
	["Crowley Stable Grounds"] = "크롤리 말 조련장",
	["Crown Guard Tower"] = "산마루 경비탑",
	["Crucible of Carnage"] = "대학살의 도가니",
	["Crumbling Depths"] = "무너지는 심연",
	["Crumbling Stones"] = "무너지는 암석",
	["Crusader Forward Camp"] = "십자군 전진기지",
	["Crusader Outpost"] = "붉은십자군 전초기지",
	["Crusader's Armory"] = "십자군 무기고",
	["Crusader's Chapel"] = "십자군 예배당",
	["Crusader's Landing"] = "십자군 정박지",
	["Crusader's Outpost"] = "십자군 전초기지",
	["Crusader's Run"] = "십자군의 터",
	["Crusader's Spire"] = "십자군 첨탑",
	["Crusaders' Pinnacle"] = "십자군 봉우리",
	["Crusaders' Square"] = "십자군 광장",
	Crushblow = "박살의 땅",
	["Crushcog's Arsenal"] = "크러쉬코그의 무기고",
	["Crushridge Hold"] = "산사태 오우거 소굴",
	Crypt = "납골당",
	["Crypt of Remembrance"] = "기념 납골당",
	["Crystal Lake"] = "수정 호수",
	["Crystal Spine"] = "수정 돌기",
	["Crystalline Quarry"] = "수정 채석장",
	["Crystalsong Forest"] = "수정노래 숲",
	["Crystalvein Mine"] = "수정 광산",
	["Crystalweb Cavern"] = "수정그물 동굴",
	["Curiosities & Moore"] = "무어의 골동품점",
	["Cursed Depths"] = "저주받은 나락",
	["Cursed Hollow"] = "저주받은 골짜기",
	["Cut-Throat Alley"] = "자객의 뒷골목",
	["Cyclone Summit"] = "회오리 꼭대기",
	["D-Block"] = "D 구역",
	["D.E.H.T.A. Encampment"] = "동물보호협회 야영지",
	["Dabyrie's Farmstead"] = "다비리 농장",
	["Dagger Pass"] = "비수 고개",
	["Daggercap Bay"] = "비수집 만",
	["Daggerfen Village"] = "비수늪 마을",
	["Daggermaw Canyon"] = "비수아귀 협곡",
	Dalaran = "달라란",
	["Dalaran Arena"] = "달라란 투기장",
	["Dalaran City"] = "달라란",
	["Dalaran Crater"] = "달라란 구덩이",
	["Dalaran Floating Rocks"] = "달라란 떠다니는 바위",
	["Dalaran Island"] = "달라란 섬",
	["Dalaran Merchant's Bank"] = "달라란 상업 은행",
	["Dalaran Sewers"] = "달라란 하수도",
	["Dalaran Visitor Center"] = "달라란 관광 안내소",
	["Dalson's Farm"] = "달슨 농장",
	["Damplight Cavern"] = "안개빛 동굴",
	["Damplight Chamber"] = "안개빛 방",
	["Dandred's Fold"] = "단드레드 장원",
	["Dargath's Demise"] = "다르가스의 최후",
	["Dark Iron Highway"] = "검은무쇠 대로",
	["Darkbreak Cove"] = "어둠돌파 만",
	["Darkcloud Pinnacle"] = "먹구름 봉우리",
	["Darkcrest Enclave"] = "암흑갈기 군락",
	["Darkcrest Shore"] = "암흑갈기 호숫가",
	["Darkmist Cavern"] = "암흑안개 굴",
	["Darkmist Ruins"] = "암흑안개 폐허",
	Darkshire = "어둠골",
	["Darkshire Town Hall"] = "어둠골 마을회관",
	Darkshore = "어둠해안",
	["Darkspear Hold"] = "검은창 요새",
	["Darkspear Isle"] = "검은창 섬",
	["Darkspear Shore"] = "검은창 해변",
	["Darkspear Strand"] = "검은창 해안",
	["Darkspear Training Grounds"] = "검은창 훈련장",
	["Darkwhisper Gorge"] = "검은속삭임 협곡",
	["Darkwhisper Pass"] = "검은속삭임 고개",
	["Darnassian Base Camp"] = "다르나서스 주둔지",
	Darnassus = "다르나서스",
	["Darrow Hill"] = "다로우 언덕",
	["Darrowmere Lake"] = "다로우미어 호수",
	Darrowshire = "다로우골",
	["Darrowshire Hunting Grounds"] = "다로우골 사냥터",
	["Darsok's Outpost"] = "다르속의 전초기지",
	["Dawn's Reach"] = "십자군 주둔지",
	["Dawning Lane"] = "새벽길",
	["Dawning Wood Catacombs"] = "새벽숲 지하묘지",
	["Dawnrise Expedition"] = "새벽녘 원정대",
	["Dawnstar Spire"] = "돈스타 첨탑",
	["Dawnstar Village"] = "돈스타 마을",
	["Dead Man's Hole"] = "사자의 구멍",
	["Deadeye Shore"] = "데드아이 해안",
	["Deadman's Crossing"] = "사자의 길",
	Deadmines = "죽음의 폐광",
	["Deadwind Pass"] = "저승바람 고개",
	["Deadwind Ravine"] = "죽음의 협곡",
	["Deadwood Village"] = "마른가지 마을",
	["Death Cultist Base Camp"] = "죽음의 이교도 주둔지",
	["Death's Breach"] = "죽음의 틈",
	["Death's Door"] = "죽음의 문",
	["Death's Hand Encampment"] = "죽음의 손 야영지",
	["Death's Rise"] = "죽음의 마루",
	["Death's Stand"] = "죽음의 언덕",
	["Death's Step"] = "죽음의 발자취",
	["Death's Watch Waystation"] = "죽음의 감시자 중계지",
	["Deathbringer's Rise"] = "죽음의 인도자 마루",
	["Deathforge Tower"] = "죽음의 괴철로 탑",
	Deathknell = "죽음의 종소리 마을",
	Deatholme = "데솔름",
	["Deathspeaker's Watch"] = "죽음예언자 감시초소",
	["Deathwing's Fall"] = "데스윙의 몰락지",
	["Deep Blue Observatory"] = "짙푸른 관측소",
	["Deep Elem Mine"] = "심원 광산",
	["Deepfin Ridge"] = "심해지느러미 마루",
	Deepholm = "심원의 영지",
	["Deephome Ceiling"] = "심원의 영지 천장",
	["Deepmist Grotto"] = "깊은안개 종유동",
	["Deeprun Tram"] = "깊은굴 지하철",
	["Deepwater Tavern"] = "깊은바다 선술집",
	["Defias Hideout"] = "데피아즈단 은신처",
	["Defiler's Den"] = "파멸의 전당",
	["Demon Fall Canyon"] = "악마벼락 협곡",
	["Demon Fall Ridge"] = "악마벼락 마루",
	["Demont's Place"] = "데몬트의 집터",
	["Den of Dying"] = "사자의 동굴",
	["Den of Haal'esh"] = "하알에쉬 소굴",
	["Den of Iniquity"] = "부정의 소굴",
	["Den of Mortal Delights"] = "향락의 소굴",
	["Den of Sseratus"] = "세라투스의 동굴",
	["Den of the Caller"] = "소환사의 방",
	["Den of the Devourer"] = "포식자의 굴",
	["Den of the Disciples"] = "사도의 동굴",
	["Den of the Unholy"] = "부정의 굴",
	["Derelict Caravan"] = "버려진 짐마차",
	["Derelict Manor"] = "버려진 장원",
	["Derelict Strand"] = "적막한 해안",
	["Designer Island"] = "디자이너의 섬",
	Desolace = "잊혀진 땅",
	["Desolation Hold"] = "황폐의 요새",
	["Detention Block"] = "감금 구역",
	["Development Land"] = "진화의 대지",
	["Diamondhead River"] = "다이아몬드 강",
	["Dig One"] = "제1 발굴지",
	["Dig Three"] = "제3 발굴지",
	["Dig Two"] = "제2 발굴지",
	["Dire Maul"] = "혈투의 전장",
	["Dire Maul - Capital Gardens Entrance"] = "혈투의 전장 - 수도 정원 입구",
	["Dire Maul - Gordok Commons Entrance"] = "혈투의 전장 - 고르독 광장 입구",
	["Dire Maul - Warpwood Quarter Entrance"] = "혈투의 전장 - 굽이나무 지구 입구",
	["Dire Strait"] = "혈투의 해협",
	["Direforge Hill"] = "공포철로 언덕",
	["Direhorn Post"] = "공포뿔 거점",
	Docks = "부두",
	Dolanaar = "돌라나르",
	["Donna's Kitty Shack"] = "도나의 고양이집",
	["Doom's Vigil"] = "멸망의 망루",
	["Dorian's Outpost"] = "도리안의 전초기지",
	["Draco'dar"] = "드라코다르",
	["Draenei Ruins"] = "드레나이 폐허",
	["Draenethyst Mine"] = "드레니시스트 광산",
	["Draenil'dur Village"] = "드레닐두르 마을",
	["Dragon's Fall"] = "용사냥 마루",
	["Dragon's Mouth"] = "용의 입",
	Dragonblight = "용의 안식처",
	["Dragonflayer Pens"] = "용약탈 우리",
	["Dragonmaw Base Camp"] = "용아귀 주둔지",
	["Dragonmaw Flag Room"] = "용아귀 깃발 보관실",
	["Dragonmaw Forge"] = "용아귀 제련소",
	["Dragonmaw Fortress"] = "용아귀 요새",
	["Dragonmaw Garrison"] = "용아귀 주둔지",
	["Dragonmaw Gates"] = "용아귀 관문",
	["Dragonmaw Pass"] = "용아귀 고개",
	["Dragonmaw Port"] = "용아귀 항구",
	["Dragonmaw Skyway"] = "용아귀 하늘길",
	["Dragonmaw Stronghold"] = "용아귀 요충지",
	["Dragons' End"] = "용의 무덤",
	["Dragonspine Peaks"] = "용돌기 봉우리",
	["Dragonspine Ridge"] = "용돌기 마루",
	["Dragonspine Tributary"] = "용돌기 강",
	["Dragonspire Hall"] = "용첨탑 전당",
	["Drak'Agal"] = "드락아갈",
	["Drak'Mabwa"] = "드락마브와",
	["Drak'Mar Lake"] = "드락마 호수",
	["Drak'Sotra"] = "드락소트라",
	["Drak'Sotra Fields"] = "드락소트라 농장",
	["Drak'Tharon Keep"] = "드락타론 성채",
	["Drak'Tharon Keep Entrance"] = "드락타론 성채 입구",
	["Drak'Tharon Overlook"] = "드락타론 전망대",
	["Drak'atal Passage"] = "드라카탈 통로",
	["Drak'ural"] = "드락우랄",
	["Draka's Fury"] = "드라카의 분노호",
	["Drakil'jin Ruins"] = "드라킬진 폐허",
	["Draknid Lair"] = "드라크니드 둥지",
	["Dreadmaul Furnace"] = "우레망치 용광로",
	["Dreadmaul Hold"] = "우레망치 요새",
	["Dreadmaul Post"] = "우레망치 주둔지",
	["Dreadmaul Rock"] = "우레망치 바위굴",
	["Dreadmist Camp"] = "공포안개 야영지",
	["Dreadmist Den"] = "공포안개 굴",
	["Dreadmist Peak"] = "공포안개 봉우리",
	["Dreadmurk Shore"] = "몸서리 해안",
	["Dreadwatch Outpost"] = "공포망루 전초기지",
	["Dream Bough"] = "꿈나무",
	["Dreamer's Rest"] = "꿈꾸는 자의 휴식처",
	["Dreamer's Rock"] = "꿈꾸는 자의 바위",
	Drudgetown = "노역마을",
	["Drygulch Ravine"] = "모래바람 협곡",
	["Drywhisker Gorge"] = "마른수염 골짜기",
	["Dubra'Jin"] = "두브라진",
	["Dun Algaz"] = "던 알가즈",
	["Dun Argol"] = "던 아르골",
	["Dun Baldar"] = "던 발다르",
	["Dun Baldar Pass"] = "던 발다르 고개",
	["Dun Baldar Tunnel"] = "던 발다르 동굴",
	["Dun Garok"] = "던 가록",
	["Dun Mandarr"] = "던 만다르",
	["Dun Modr"] = "던 모드르",
	["Dun Morogh"] = "던 모로",
	["Dun Niffelem"] = "던 니펠렘",
	["Dunemaul Compound"] = "모래망치 주둔지",
	["Dunemaul Recruitment Camp"] = "모래망치 모집 야영장",
	["Dunwald Holdout"] = "둔왈트 항거지",
	["Dunwald Hovel"] = "둔왈트 오두막",
	["Dunwald Market Row"] = "둔왈트 상가",
	["Dunwald Ruins"] = "둔왈트 폐허",
	["Dunwald Town Square"] = "둔왈트 마을 광장",
	["Durnholde Keep"] = "던홀드 요새",
	Durotar = "듀로타",
	Duskhaven = "어스름 안식처",
	["Duskhowl Den"] = "그늘울음 동굴",
	["Duskmist Shore"] = "그늘안개 해안",
	["Duskwither Grounds"] = "더스크위더 정원",
	["Duskwither Spire"] = "더스크위더 첨탑",
	Duskwood = "그늘숲",
	["Dustbelch Grotto"] = "먼지목도리 소굴",
	["Dustfire Valley"] = "먼지불 골짜기",
	["Dustquill Ravine"] = "먼지깃 협곡",
	["Dustwallow Bay"] = "먼지진흙 만",
	["Dustwallow Marsh"] = "먼지진흙 습지대",
	["Dustwind Cave"] = "먼지바람 동굴",
	["Dustwind Dig"] = "먼지바람 발굴지",
	["Dustwind Gulch"] = "먼지바람 협곡",
	["Dwarven District"] = "드워프 지구",
	["Eagle's Eye"] = "독수리의 눈",
	["Earth Song Falls"] = "대지노래 폭포",
	["Earthshatter Cavern"] = "지축이동 동굴",
	["East Garrison"] = "동쪽 주둔지",
	["East Pillar"] = "동쪽 기둥",
	["East Sanctum"] = "동부 성소",
	["East Spire"] = "동쪽 첨탑",
	["East Supply Caravan"] = "동쪽 보급 짐마차",
	["Eastern Bridge"] = "동부 교각",
	["Eastern Kingdoms"] = "동부 왕국",
	["Eastern Plaguelands"] = "동부 역병지대",
	["Eastern Strand"] = "동부 해안",
	["Eastmoon Ruins"] = "동쪽 달 폐허",
	["Eastpoint Tower"] = "동부경비 탑",
	["Eastspark Workshop"] = "동부불꽃 작업장",
	["Eastvale Logging Camp"] = "동쪽계곡 벌목지",
	["Eastwall Gate"] = "동부방벽 관문",
	["Eastwall Tower"] = "동부방벽 경비탑",
	["Eastwind Shore"] = "샛바람 해안",
	["Ebon Hold"] = "칠흑의 요새",
	["Ebon Watch"] = "칠흑의 감시초소",
	["Echo Cove"] = "메아리 동굴",
	["Echo Isles"] = "메아리 섬",
	["Echo Reach"] = "메아리치는 바다",
	["Echo Ridge Mine"] = "메아리 광산",
	["Echomok Cavern"] = "메아리 동굴",
	["Eclipse Point"] = "해그늘 주둔지",
	["Eclipsion Fields"] = "해그늘 벌판",
	["Eco-Dome Farfield"] = "외곽 생태지구",
	["Eco-Dome Midrealm"] = "중앙 생태지구",
	["Eco-Dome Skyperch"] = "하늘마루 생태지구",
	["Eco-Dome Sutheron"] = "수데론 생태지구",
	["Elder Rise"] = "장로의 봉우리",
	["Elders' Square"] = "장로의 광장",
	["Eldreth Row"] = "엘드레스 관문",
	["Eldritch Heights"] = "으스스한 언덕",
	["Elemental Plateau"] = "정령의 고원",
	["Elementium Depths"] = "엘레멘티움 나락",
	Elevator = "승강기",
	["Elrendar Crossing"] = "엘렌다르 건널목",
	["Elrendar Falls"] = "엘렌다르 폭포",
	["Elrendar River"] = "엘렌다르 강",
	["Elwynn Forest"] = "엘윈 숲",
	["Ember Clutch"] = "잿불의 손아귀",
	["Ember Spear Tower"] = "잿불창 경비탑",
	Emberglade = "잿불숲",
	["Emberstone Mine"] = "잿불석 광산",
	["Emberstone Village"] = "잿불석 마을",
	["Emberstrife's Den"] = "엠버스트라이프의 굴",
	["Emerald Dragonshrine"] = "에메랄드 용제단",
	["Emerald Dream"] = "에메랄드의 꿈",
	["Emerald Forest"] = "에메랄드 숲",
	["Emerald Sanctuary"] = "에메랄드 성소",
	["Engine of the Makers"] = "창조주의 기계",
	["Engineering Labs"] = "기계공학 연구소",
	["Ethel Rethor"] = "에텔 레소르",
	["Ethereum Staging Grounds"] = "에테리움 작전 지역",
	["Evergreen Trading Post"] = "사철나무 교역소",
	Evergrove = "영원의 숲",
	Everlook = "눈망루 마을",
	["Eversong Woods"] = "영원노래 숲",
	["Excavation Center"] = "유적발굴 지휘본부",
	["Excavation Lift"] = "유적발굴지 승강장",
	["Expedition Armory"] = "원정대 무기고",
	["Expedition Base Camp"] = "원정대 기지",
	["Expedition Point"] = "원정대 거점",
	["Explorers' League Digsite"] = "탐험가 연맹 발굴현장",
	["Explorers' League Outpost"] = "탐험가 연맹 전초기지",
	["Eye of the Storm"] = "폭풍의 눈",
	["Fairbreeze Village"] = "산들바람 마을",
	["Fairbridge Strand"] = "구름다리 해변",
	["Falcon Watch"] = "매의 감시탑",
	["Falconwing Inn"] = "매날개 여관",
	["Falconwing Square"] = "매날개 광장",
	["Faldir's Cove"] = "팔디르의 만",
	["Falfarren River"] = "팔파렌 강",
	["Fall of Return"] = "귀환의 전당",
	["Fallen Sky Lake"] = "유성 호수",
	["Fallen Sky Ridge"] = "무너진 하늘 마루",
	["Fallen Temple of Ahn'kahet"] = "무너진 안카헤트 신전",
	["Fallow Sanctuary"] = "드레노어 성역",
	["Fallowmere Inn"] = "팰로우미어 여관",
	["Falls of Ymiron"] = "이미론의 폭포",
	["Falthrien Academy"] = "팔스리엔 마법학회",
	Familiars = "친숙한 땅",
	["Faol's Rest"] = "파올의 안식처",
	["Far Watch Post"] = "천리길 경비초소",
	["Fargaze Mesa"] = "아득한 응시의 고원",
	["Fargodeep Mine"] = "개미굴 광산",
	Farm = "농장",
	Farshire = "아득골",
	["Farshire Fields"] = "아득골 농장",
	["Farshire Lighthouse"] = "아득골 등대",
	["Farshire Mine"] = "아득골 광산",
	["Farson Hold"] = "파슨 요새",
	["Farstrider Enclave"] = "원정순찰대 초소",
	["Farstrider Lodge"] = "원정순찰대 오두막",
	["Farstrider Retreat"] = "원정순찰대 산장",
	["Farstriders' Enclave"] = "원정순찰대 초소",
	["Farstriders' Square"] = "원정순찰대 광장",
	["Farwatcher's Glen"] = "천리감시자 골짜기",
	["Featherbeard's Hovel"] = "페더비어드의 오두막",
	Feathermoon = "페더문 요새",
	["Feathermoon Stronghold"] = "페더문 요새",
	["Fel Reaver Ruins"] = "지옥절단기 폐허",
	["Fel Rock"] = "악마 바위굴",
	["Felfire Hill"] = "악령불 언덕",
	["Felpaw Village"] = "악령발 마을",
	["Felspark Ravine"] = "지옥불꽃 협곡",
	["Felstone Field"] = "펠스톤 농장",
	Felwood = "악령숲",
	["Fenris Isle"] = "펜리스 섬",
	["Fenris Keep"] = "펜리스 요새",
	["Feral Scar Vale"] = "거친흉터 골짜기",
	Feralas = "페랄라스",
	["Feralfen Village"] = "야생늪 마을",
	["Festering Pools"] = "썩은 웅덩이",
	["Festival Lane"] = "축제의 거리",
	["Feth's Way"] = "페스의 길",
	["Field of Strife"] = "투쟁의 벌판",
	["Fields of Blood"] = "피의 들판",
	["Fields of Honor"] = "명예의 들판",
	Filming = "촬영",
	["Fire Plume Ridge"] = "불기둥 마루",
	["Fire Scar Shrine"] = "불타버린 신전",
	["Fire Stone Mesa"] = "부싯돌 고원",
	["Firebeard Cemetery"] = "파이어비어드 묘지",
	["Firebeard's Patrol"] = "파이어비어드의 지구대",
	["Firegut Furnace"] = "불자루 용광로",
	Firelands = "불의 땅",
	["Firelands Forgeworks"] = "불의 땅 제련작업장",
	["Firelands Hatchery"] = "불의 땅 부화장",
	["Fireplume Peak"] = "불꽃깃털 봉우리",
	["Fireplume Trench"] = "화염깃털 협곡",
	["Firestone Point"] = "화염석 거점",
	["Firewatch Ridge"] = "불망루 마루",
	["Firewing Point"] = "불꽃날개 거점",
	["First Bank of Kezan"] = "케잔 일등 은행",
	["First Legion Forward Camp"] = "1군단 전진기지",
	["First to Your Aid"] = "응급치료의 모든 것",
	["Fishing Village"] = "고기잡이 마을",
	["Fizzcrank Airstrip"] = "피즈크랭크 비행장",
	["Fizzcrank Pumping Station"] = "피즈크랭크 채굴 현장",
	["Fizzle & Pozzik's Speedbarge"] = "피즐과 포직의 쾌속선",
	["Fjorn's Anvil"] = "피요른의 모루",
	["Flame Crest"] = "화염 마루",
	Flamebreach = "불꽃틈새",
	["Flamestar Post"] = "불꽃별 초소",
	["Flamewatch Tower"] = "불꽃감시 경비탑",
	["Flavor - Stormwind Harbor - Stop"] = "스톰윈드 항구",
	["Fleshrender's Workshop"] = "살점분리자의 작업장",
	["Foothold Citadel"] = "거점 요새",
	["Footman's Armory"] = "보병 무기고",
	["Force Interior"] = "내부 강제",
	["Fordragon Hold"] = "폴드라곤 요새",
	["Forest Song"] = "숲의 노래",
	["Forest's Edge"] = "숲 가장자리",
	["Forest's Edge Post"] = "숲 가장자리 초소",
	["Forge Base: Gehenna"] = "지옥의 괴철로 주둔지",
	["Forge Base: Oblivion"] = "망각의 괴철로 주둔지",
	["Forge Camp: Anger"] = "고통의 괴철로 기지",
	["Forge Camp: Fear"] = "경악의 괴철로 기지",
	["Forge Camp: Hate"] = "증오의 괴철로 기지",
	["Forge Camp: Mageddon"] = "멸망의 괴철로 기지",
	["Forge Camp: Rage"] = "분노의 괴철로 기지",
	["Forge Camp: Terror"] = "공포의 괴철로 기지",
	["Forge Camp: Wrath"] = "격노의 괴철로 기지",
	["Forge of Fate"] = "운명의 용광로",
	["Forgewright's Tomb"] = "포지라이트의 무덤",
	["Forgotten Hill"] = "잊어버린 언덕",
	["Forlorn Cloister"] = "쓸쓸한 회랑",
	["Forlorn Ridge"] = "쓸쓸한 마루",
	["Forlorn Rowe"] = "버려진 흉가",
	["Forlorn Spire"] = "쓸쓸한 첨탑",
	["Forlorn Woods"] = "쓸쓸한 숲",
	["Formation Grounds"] = "전투대형 훈련장",
	["Forsaken Forward Command"] = "포세이큰 전방 지휘소",
	["Forsaken High Command"] = "포세이큰 고위 사령부",
	["Forsaken Rear Guard"] = "포세이큰 후방 경비소",
	["Fort Livingston"] = "리빙스턴 요새",
	["Fort Triumph"] = "승전의 요새",
	["Fort Wildervar"] = "빌더바르 요새",
	["Fortune's Fist"] = "운명의 주먹",
	["Forward Command"] = "전방 지휘소",
	["Foulspore Cavern"] = "썩은포자 동굴",
	["Fractured Front"] = "무너진 전초지",
	["Fray Island"] = "격투의 섬",
	["Frayfeather Highlands"] = "공작날개 고원",
	["Frazzlecraz Motherlode"] = "프라즐크라즈 광맥",
	["Freewind Post"] = "높새바람 봉우리",
	["Frenzyheart Hill"] = "광란심장 언덕",
	["Frenzyheart River"] = "광란심장 강",
	["Frigid Breach"] = "얼어붙은 틈",
	["Frost Dagger Pass"] = "서리비수 고개",
	["Frostblade Pass"] = "서릿날 고개",
	["Frostblade Peak"] = "서릿날 봉우리",
	["Frostclaw Den"] = "서리발톱 동굴",
	["Frostfield Lake"] = "서리평원 호수",
	["Frostfire Hot Springs"] = "얼음불꽃 온천",
	["Frostfloe Deep"] = "거대한 유빙",
	["Frostgrip's Hollow"] = "서리손아귀 동굴",
	Frosthold = "서리요새",
	["Frosthowl Cavern"] = "서리울음 동굴",
	["Frostmane Front"] = "서리갈기 싸움터",
	["Frostmane Hold"] = "서리갈기 소굴",
	["Frostmane Retreat"] = "서리갈기 은신처",
	Frostmourne = "서리한",
	["Frostmourne Cavern"] = "서리한 동굴",
	["Frostsaber Rock"] = "눈호랑이 바위",
	["Frostwhisper Gorge"] = "서리속삭임 골짜기",
	["Frostwing Halls"] = "서리날개 전당",
	["Frostwolf Graveyard"] = "서리늑대 무덤",
	["Frostwolf Keep"] = "서리늑대 요새",
	["Frostwolf Pass"] = "서리늑대 고개",
	["Frostwolf Tunnel"] = "서리늑대 동굴",
	["Frostwolf Village"] = "서리늑대 마을",
	["Frozen Reach"] = "얼어붙은 해안",
	["Fungal Deep"] = "버섯 골짜기",
	["Fungal Rock"] = "버섯 바위굴",
	["Funggor Cavern"] = "버섯 동굴",
	["Furien's Post"] = "퓨리엔의 거점",
	["Furlbrow's Pumpkin Farm"] = "펄브라우 호박밭",
	["Furnace of Hate"] = "증오의 용광로",
	["Furywing's Perch"] = "퓨리윙의 둥지",
	Fuselight = "점화등 마을",
	["Fuselight-by-the-Sea"] = "점화등 바닷가마을",
	["GM Island"] = "GM의 안식처",
	Gadgetzan = "가젯잔",
	["Gahrron's Withering"] = "가론의 흉가",
	["Galak Hold"] = "갈라크 소굴",
	["Galakrond's Rest"] = "갈라크론드의 안식처",
	["Galardell Valley"] = "갈라델 골짜기",
	["Galen's Fall"] = "갈렌의 타락지",
	["Galerek's Remorse"] = "갈레렉의 후회호",
	["Galewatch Lighthouse"] = "질풍감시 등대",
	["Gallery of Treasures"] = "보물 전시실",
	["Gallows' Corner"] = "교수대 삼거리",
	["Gallows' End Tavern"] = "교수대끝 선술집",
	["Gallywix Docks"] = "갤리윅스 부두",
	["Gallywix Labor Mine"] = "갤리윅스 노동광산",
	["Gallywix Pleasure Palace"] = "갤리윅스 아방궁",
	["Gallywix's Villa"] = "갤리윅스의 별장",
	["Gallywix's Yacht"] = "갤리윅스의 쾌속선",
	["Galus' Chamber"] = "갈루스의 방",
	["Gamesman's Hall"] = "승부사의 전당",
	Gammoth = "감모스",
	["Gar'gol's Hovel"] = "가르골의 거처",
	Garadar = "가라다르",
	Garm = "가름",
	["Garm's Bane"] = "가름의 파멸",
	["Garm's Rise"] = "가름의 마루",
	["Garren's Haunt"] = "가렌의 흉가",
	["Garrison Armory"] = "요새 무기고",
	["Garrosh's Landing"] = "가로쉬의 상륙지",
	["Garvan's Reef"] = "가반의 산호초",
	["Gate of Echoes"] = "메아리 관문",
	["Gate of Hamatep"] = "하마텝 관문",
	["Gate of Lightning"] = "번개의 관문",
	["Gate of the Blue Sapphire"] = "푸른 사파이어 관문",
	["Gate of the Green Emerald"] = "초록 에메랄드 관문",
	["Gate of the Purple Amethyst"] = "보라 자수정 관문",
	["Gate of the Red Sun"] = "붉은 태양 관문",
	["Gate of the Yellow Moon"] = "노란 달 관문",
	["Gates of Ahn'Qiraj"] = "안퀴라즈 성문",
	["Gates of Ironforge"] = "아이언포지 성문",
	["Gates of Sothann"] = "소단 관문",
	["Gauntlet of Flame"] = "불타는 시련의 통로",
	["Gavin's Naze"] = "가빈 절벽",
	["Geezle's Camp"] = "기즐의 야영지",
	["Gelkis Village"] = "겔키스 마을",
	["General Goods"] = "일용품점",
	["General's Terrace"] = "장군의 정원",
	["Ghost Walker Post"] = "침묵의 초소",
	["Ghostblade Post"] = "유령칼날 초소",
	Ghostlands = "유령의 땅",
	["Giant's Run"] = "거인의 터",
	["Giants' Run"] = "거인의 터",
	["Gillijim's Isle"] = "길리짐의 섬",
	["Gilnean Coast"] = "길니아스 해안",
	["Gilnean Stronghold"] = "길니아스 요새",
	Gilneas = "길니아스",
	["Gilneas City"] = "길니아스 시",
	["Gilneas Liberation Front Base Camp"] = "길니아스 해방전선 기지",
	["Gimorak's Den"] = "기모라크의 동굴",
	Gjalerbron = "샬레르브론",
	Gjalerhorn = "샬레르호른",
	["Glacial Falls"] = "빙하 폭포",
	["Glimmer Bay"] = "깜박임 만",
	["Glimmerdeep Gorge"] = "흐린심연 골짜기",
	["Glittering Strand"] = "반짝이는 해안",
	["Glopgut's Hollow"] = "출렁배 동굴",
	["Glorious Goods"] = "영광의 일용품점",
	Glory = "영광의 땅",
	["Gnarlpine Hold"] = "나무옹이 요새",
	["Gnaws' Boneyard"] = "질겅이의 뼈무덤",
	Gnomeregan = "놈리건",
	["Go'Shek Farm"] = "고셰크 농장",
	["Goblin Foundry"] = "고블린 주물 공장",
	["Goblin Slums"] = "고블린 뒷골목",
	["Gol'Bolar Quarry"] = "골볼라 채석장",
	["Gol'Bolar Quarry Mine"] = "골볼라 채석장",
	["Golakka Hot Springs"] = "골락카 간헐천",
	["Gold Coast Quarry"] = "황금해안 채석장",
	["Gold Mine"] = "금광",
	["Gold Road"] = "황금길",
	["Golden Strand"] = "황금 해안",
	["Goldenbough Pass"] = "황금가지 고개",
	["Goldenmist Village"] = "황금안개 마을",
	Goldshire = "황금골",
	["Goldtooth's Den"] = "황금니 소굴",
	["Goodgrub Smoking Pit"] = "굿그럽 연기 구덩이",
	["Gor'gaz Outpost"] = "고르가즈 전초기지",
	["Gordok's Seat"] = "고르독의 권좌",
	["Gordunni Outpost"] = "골두니 전초기지",
	["Gorefiend's Vigil"] = "고어핀드의 경비초소",
	Gornia = "고르니아",
	["Gorrok's Lament"] = "고로크의 슬픈 바다",
	["Gorshak War Camp"] = "고르샤크 전쟁 기지",
	["Grand Magister's Asylum"] = "대마법학자의 피신처",
	["Grand Promenade"] = "대정원",
	["Grangol'var Village"] = "그란골바르 마을",
	["Granite Springs"] = "화강암 웅덩이",
	["Greatwood Vale"] = "큰소나무 계곡",
	["Greengill Coast"] = "초록아가미 해안",
	["Greenpaw Village"] = "푸른발 마을",
	["Greenwarden's Grove"] = "신록수호자의 숲",
	["Greymane Court"] = "그레이메인 궁정",
	["Greymane Manor"] = "그레이메인 장원",
	["Grim Batol"] = "그림 바톨",
	["Grim Batol Entrance"] = "그림 바톨 입구",
	["Grimesilt Dig Site"] = "검댕가루 작업현장",
	["Grimtotem Compound"] = "그림토템 주둔지",
	["Grimtotem Post"] = "그림토템 초소",
	Grishnath = "그리쉬나스",
	Grizzlemaw = "회색구렁 요새",
	["Grizzlepaw Ridge"] = "곰발바닥 마루",
	["Grizzly Hills"] = "회색 구릉지",
	["Grol'dom Farm"] = "그롤돔 농장",
	["Grolluk's Grave"] = "그롤루크의 무덤",
	["Grom'arsh Crash-Site"] = "그롬마쉬 추락 지점",
	["Grom'gol"] = "그롬골",
	["Grom'gol Base Camp"] = "그롬골 주둔지",
	["Grommash Hold"] = "그롬마쉬 요새",
	["Grosh'gok Compound"] = "그로쉬고크 주둔지",
	["Grove of Aessina"] = "아에시나의 숲",
	["Grove of the Ancients"] = "고대정령의 숲",
	["Growless Cave"] = "침묵의 동굴",
	["Gruul's Lair"] = "그룰의 둥지",
	["Gryphon Roost"] = "그리핀 횃대",
	["Guardian's Library"] = "수호자의 도서관",
	Gundrak = "군드락",
	["Gundrak Entrance"] = "군드락 입구",
	["Gunstan's Dig"] = "건스탠의 발굴현장",
	["Gunstan's Post"] = "건스탠의 야영지",
	["Gunther's Retreat"] = "군터의 은거지",
	["Gurboggle's Ledge"] = "거보글 절벽",
	["Gurubashi Arena"] = "구루바시 투기장",
	["Gyro-Plank Bridge"] = "자이로 교각",
	["Haal'eshi Gorge"] = "하알에쉬 협곡",
	["Hadronox's Lair"] = "하드로녹스의 둥지",
	["Hailwood Marsh"] = "싸락눈숲 수렁",
	Halaa = "할라아",
	["Halaani Basin"] = "할라아니 분지",
	["Halcyon Egress"] = "평온의 출구",
	["Haldarr Encampment"] = "할다르 야영지",
	Halgrind = "할그린드",
	["Hall of Arms"] = "전투의 전당",
	["Hall of Binding"] = "속박의 전당",
	["Hall of Blackhand"] = "검은손 전당",
	["Hall of Blades"] = "칼날의 전당",
	["Hall of Bones"] = "뼈의 전당",
	["Hall of Champions"] = "용사의 전당",
	["Hall of Command"] = "지휘의 광장",
	["Hall of Crafting"] = "장인의 전당",
	["Hall of Departure"] = "출사의 전당",
	["Hall of Explorers"] = "탐험가의 전당",
	["Hall of Faces"] = "얼굴의 전당",
	["Hall of Horrors"] = "공포의 전당",
	["Hall of Legends"] = "전설의 전당",
	["Hall of Masks"] = "가면의 전당",
	["Hall of Memories"] = "기억의 전당",
	["Hall of Mysteries"] = "신비의 전당",
	["Hall of Repose"] = "영면의 전당",
	["Hall of Return"] = "귀환의 전당",
	["Hall of Ritual"] = "의식의 전당",
	["Hall of Secrets"] = "비밀의 전당",
	["Hall of Serpents"] = "뱀의 전당",
	["Hall of Stasis"] = "정지의 전당",
	["Hall of Twilight"] = "황혼의 전당",
	["Hall of the Brave"] = "용사의 전당",
	["Hall of the Conquered Kings"] = "정복당한 왕들의 전당",
	["Hall of the Crafters"] = "장인의 전당",
	["Hall of the Crusade"] = "십자군의 전당",
	["Hall of the Cursed"] = "저주받은 자의 전당",
	["Hall of the Damned"] = "저주받은 자의 전당",
	["Hall of the Fathers"] = "선조의 전당",
	["Hall of the Frostwolf"] = "서리늑대 전당",
	["Hall of the High Father"] = "고대 선조의 전당",
	["Hall of the Keepers"] = "수호자의 전당",
	["Hall of the Shaper"] = "구체자의 전당",
	["Hall of the Stormpike"] = "스톰파이크 전당",
	["Hall of the Watchers"] = "감시자의 전당",
	["Halls of Anguish"] = "고뇌의 전당",
	["Halls of Awakening"] = "각성의 전당",
	["Halls of Binding"] = "구속의 전당",
	["Halls of Destruction"] = "파괴의 전당",
	["Halls of Lightning"] = "번개의 전당",
	["Halls of Lightning Entrance"] = "번개의 전당 입구",
	["Halls of Mourning"] = "애도의 전당",
	["Halls of Origination"] = "시초의 전당",
	["Halls of Origination Entrance"] = "시초의 전당 입구",
	["Halls of Reflection"] = "투영의 전당",
	["Halls of Reflection Entrance"] = "투영의 전당 입구",
	["Halls of Silence"] = "침묵의 전당",
	["Halls of Stone"] = "돌의 전당",
	["Halls of Stone Entrance"] = "돌의 전당 입구",
	["Halls of Strife"] = "투쟁의 전당",
	["Halls of Theory"] = "이론의 전당",
	["Halls of the Ancestors"] = "선조의 전당",
	["Halls of the Hereafter"] = "내세의 전당",
	["Halls of the Law"] = "법의 전당",
	["Halycon's Lair"] = "할리콘의 둥지",
	Hammerfall = "망치 주둔지",
	["Hammertoe's Digsite"] = "해머토의 발굴현장",
	["Hammond Farmstead"] = "해몬드 농장",
	Hangar = "격납고",
	["Hardknuckle Clearing"] = "바위돌기고릴라 폐허",
	["Hardwrench Hideaway"] = "하드렌치 은신처",
	["Harkor's Camp"] = "하코르의 야영지",
	["Hatchet Hills"] = "손도끼 언덕",
	Havenshire = "안식골",
	["Havenshire Farms"] = "안식골 농장",
	["Havenshire Lumber Mill"] = "안식골 제재소",
	["Havenshire Mine"] = "안식골 광산",
	["Havenshire Stables"] = "안식골 마구간",
	["Hayward Fishery"] = "헤이워드 양어장",
	["Headmaster's Study"] = "교장의 연구실",
	["Heart of Destruction"] = "파괴의 심장",
	["Heart's Blood Shrine"] = "혈심장 제단",
	Hearthglen = "하스글렌",
	["Heartwood Trading Post"] = "심재 교역소",
	["Heb'Drakkar"] = "헤브드라카",
	["Heb'Valok"] = "헤브발로크",
	["Hellfire Basin"] = "지옥불 분지",
	["Hellfire Citadel"] = "지옥불 성채",
	["Hellfire Citadel - Ramparts Entrance"] = "지옥불 성채 - 지옥불 성루 입구",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "지옥불 성채 - 피의 용광로 입구",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "지옥불 성채 - 으스러진 손의 전당 입구",
	["Hellfire Citadel: Ramparts"] = "지옥불 성채: 지옥불 성루",
	["Hellfire Citadel: The Blood Furnace"] = "지옥불 성채: 피의 용광로",
	["Hellfire Citadel: The Shattered Halls"] = "지옥불 성채: 으스러진 손의 전당",
	["Hellfire Peninsula"] = "어둠의 문",
	["Hellfire Peninsula - Force Camp Beach Head"] = "교두보 거점",
	["Hellfire Peninsula - Reaver's Fall"] = "지옥절단기 함락지",
	["Hellfire Ramparts"] = "지옥불 성루",
	["Hellscream's Camp"] = "헬스크림 감시초소",
	["Hellscream's Grasp"] = "헬스크림의 손아귀",
	["Hellscream's Watch"] = "헬스크림 감시초소",
	["Helm's Bed Lake"] = "투구바닥 호수",
	["Heroes' Vigil"] = "수호영웅의 안식처",
	["Hetaera's Clutch"] = "헤타에라의 손아귀",
	["Hewn Bog"] = "벌거벗은 수렁",
	["Hibernal Cavern"] = "겨울 동굴",
	["Hidden Path"] = "비밀의 길",
	["High Bank"] = "높은 둑",
	["High Wilderness"] = "높은벌",
	Highbank = "높은 둑",
	["Highland Forest"] = "고원 숲",
	Highperch = "마루둥지",
	Hillsbrad = "언덕마루",
	["Hillsbrad Fields"] = "언덕마루 농장",
	["Hillsbrad Foothills"] = "언덕마루 구릉지",
	["Hiri'watha Research Station"] = "히리와타 연구 기지",
	["Hive'Ashi"] = "하이브아쉬",
	["Hive'Regal"] = "하이브레갈",
	["Hive'Zora"] = "하이브조라",
	["Hogger Hill"] = "들창코 언덕",
	["Hollowstone Mine"] = "빈돌 광산",
	["Honor Hold"] = "명예의 요새",
	["Honor Hold Mine"] = "명예의 요새 광산",
	["Honor Point"] = "명예 거점",
	["Honor's Stand"] = "명예의 감시탑",
	["Honor's Tomb"] = "명예의 무덤",
	["Horde Base Camp"] = "호드 주둔지",
	["Horde Encampment"] = "호드 야영지",
	["Horde Keep"] = "호드 요새",
	["Horde Landing"] = "호드 착륙장",
	["Horde PVP Barracks"] = "호드 연합 병영",
	["Hordemar City"] = "호드마르 도시",
	["House of Edune"] = "에듄의 집",
	["Howling Fjord"] = "울부짖는 협만",
	["Howling Ziggurat"] = "울부짖는 지구라트",
	["Hrothgar's Landing"] = "흐로스가르 상륙지",
	["Hull of the Foebreaker"] = "원수파괴자호 선체",
	["Humboldt Conflagration"] = "훔볼트 불자리",
	["Hunter Rise"] = "수렵의 봉우리",
	["Hunter's Hill"] = "수색대 언덕",
	["Huntress of the Sun"] = "태양의 여사냥꾼",
	["Huntsman's Cloister"] = "사냥꾼의 회랑",
	Hyjal = "하이잘",
	["Hyjal Barrow Dens"] = "하이잘 지하굴",
	["Hyjal Past"] = "과거의 하이잘",
	["Hyjal Summit"] = "하이잘 정상",
	["Ice Heart Cavern"] = "얼음 심장 동굴",
	["Ice Thistle Hills"] = "얼음엉겅퀴 언덕",
	["Iceblood Garrison"] = "얼음피 주둔지",
	["Iceblood Graveyard"] = "얼음피 무덤",
	Icecrown = "얼음왕관",
	["Icecrown Citadel"] = "얼음왕관 성채",
	["Icecrown Dungeon - Gunships"] = "얼음왕관 던전",
	["Icecrown Glacier"] = "얼음왕관 빙하",
	["Iceflow Lake"] = "얼음 호수",
	["Icemist Falls"] = "얼음안개 폭포",
	["Icemist Village"] = "얼음안개 마을",
	["Icewing Bunker"] = "얼음날개 참호",
	["Icewing Cavern"] = "얼음날개 동굴",
	["Icewing Pass"] = "얼음날개 고개",
	["Idlewind Lake"] = "산들바람 호수",
	["Igneous Depths"] = "타오르는 나락",
	["Illidari Point"] = "일리다리 거점",
	["Illidari Training Grounds"] = "일리다리 훈련장",
	["Indu'le Village"] = "인두르 마을",
	Inn = "여관",
	["Inner Sanctum"] = "내부 성소",
	["Inner Veil"] = "내부 장막",
	["Insidion's Perch"] = "인시디온의 둥지",
	["Invasion Point: Annihilator"] = "파멸자의 침공 거점",
	["Invasion Point: Cataclysm"] = "대재앙의 침공 거점",
	["Invasion Point: Destroyer"] = "파괴자의 침공 거점",
	["Invasion Point: Overlord"] = "대군주의 침공 거점",
	["Iron Concourse"] = "무쇠 대열 광장",
	["Iron Summit"] = "강철 멧부리",
	["Ironband's Compound"] = "아이언밴드 야영지",
	["Ironband's Excavation Site"] = "아이언밴드의 발굴현장",
	["Ironbeard's Tomb"] = "아이언비어드의 고분",
	["Ironclad Cove"] = "철갑 동굴",
	["Ironclad Garrison"] = "철갑 주둔지",
	["Ironclad Prison"] = "철갑 감옥",
	["Irondeep Mine"] = "깊은무쇠 광산",
	Ironforge = "아이언포지",
	["Ironforge Airfield"] = "아이언포지 비행장",
	["Ironstone Camp"] = "강철바위 야영지",
	["Ironstone Plateau"] = "강철바위 고원",
	["Irontree Cavern"] = "강철나무 굴",
	["Irontree Clearing"] = "강철나무 공터",
	["Irontree Woods"] = "강철나무 숲",
	["Ironwall Dam"] = "무쇠벽 둑",
	["Ironwall Rampart"] = "무쇠벽 성채",
	["Ironwing Cavern"] = "무쇠날개 동굴",
	Iskaal = "이스카알",
	["Island of Doctor Lapidis"] = "학자 라피디스의 섬",
	["Isle of Conquest"] = "정복의 섬",
	["Isle of Conquest No Man's Land"] = "정복의 섬 접근 금지",
	["Isle of Dread"] = "공포의 섬",
	["Isle of Quel'Danas"] = "쿠엘다나스 섬",
	["Isle of Tribulations"] = "고행의 섬",
	["Iso'rath"] = "이소라스",
	["Itharius's Cave"] = "이타리우스의 동굴",
	["Ivald's Ruin"] = "이발드의 폐허",
	["Ix'lar's Domain"] = "익스라의 영지",
	["Jadefire Glen"] = "비취불꽃 숲",
	["Jadefire Run"] = "비취불꽃 비탈",
	["Jademir Lake"] = "비취비늘 호수",
	Jaedenar = "제데나르",
	["Jagged Reef"] = "톱니 산호초",
	["Jagged Ridge"] = "뾰족 마루",
	["Jagged Wastes"] = "톱니 황무지",
	["Jaggedswine Farm"] = "톱니멧돼지 농장",
	["Jaguero Isle"] = "자구에로 섬",
	["Janeiro's Point"] = "자네이로 섬",
	["Jangolode Mine"] = "장고로드 광산",
	["Jaquero Isle"] = "자구에로 섬",
	["Jasperlode Mine"] = "벽옥맥 광산",
	["Jeff NE Quadrant Changed"] = "제프의 북동 사분면",
	["Jeff NW Quadrant"] = "제프의 북서 사분면",
	["Jeff SE Quadrant"] = "제프의 남동 사분면",
	["Jeff SW Quadrant"] = "제프의 남서 사분면",
	["Jerod's Landing"] = "제로드 선착장",
	["Jintha'Alor"] = "진타알로",
	["Jintha'kalar"] = "진타칼라르",
	["Jintha'kalar Passage"] = "진타칼라르 통로",
	Jotunheim = "요툰하임",
	K3 = "K3",
	["KTC Headquarters"] = "케잔 무역 회사 본사",
	["KTC Oil Platform"] = "케잔 무역 회사 굴착대",
	["Kaja'mine"] = "카자 광산",
	["Kaja'mite Cave"] = "카자마이트 굴",
	["Kaja'mite Cavern"] = "카자마이트 동굴",
	["Kajaro Field"] = "카자로 경기장",
	["Kal'ai Ruins"] = "칼아이 폐허",
	Kalimdor = "칼림도어",
	Kamagua = "카마구아",
	["Karabor Sewers"] = "카라보르 하수도",
	Karazhan = "카라잔",
	["Kargathia Keep"] = "카르가시아 요새",
	["Karnum's Glade"] = "카눔의 숲",
	["Kartak's Hold"] = "카르탁의 요새",
	Kaskala = "카스칼라",
	["Kaw's Roost"] = "카우의 보금자리",
	["Keel Harbor"] = "용골 항구",
	["Keelen's Trustworthy Tailoring"] = "킬렌의 믿을 수 있는 재봉술 상점",
	["Keeshan's Post"] = "키샨의 전초기지",
	["Kel'Thuzad Chamber"] = "켈투자드의 방",
	["Kel'Thuzad's Chamber"] = "켈투자드의 방",
	["Kelp'thar Forest"] = "켈프타르 숲",
	["Keset Pass"] = "케세트 고개",
	["Kessel's Crossing"] = "케셀의 길목",
	Kezan = "케잔",
	Kharanos = "카라노스",
	["Khardros' Anvil"] = "카드로스의 모루",
	["Khartut's Tomb"] = "카르투트의 무덤",
	["Khaz'goroth's Seat"] = "카즈고로스의 왕좌",
	["Kil'sorrow Fortress"] = "킬소로우 요새",
	["Kili'ua's Atoll"] = "킬리우아의 산호섬",
	["King's Gate"] = "왕의 관문",
	["King's Harbor"] = "왕의 항구",
	["King's Hoard"] = "보물 저장실",
	["King's Square"] = "왕의 광장",
	["Kirin'Var Village"] = "키린바르 마을",
	Kirthaven = "영면의 안식처",
	["Kodo Graveyard"] = "코도 무덤",
	["Kodo Rock"] = "코도 바위",
	["Kolkar Village"] = "콜카르 마을",
	Kolramas = "콜라마스",
	["Kor'kron Vanguard"] = "코르크론 선봉기지",
	["Kormek's Hut"] = "코르메크의 오두막",
	["Koroth's Den"] = "코로스의 동굴",
	["Korthun's End"] = "코르툰의 최후",
	["Krasus' Landing"] = "크라서스 착륙장",
	["Krazzworks Attack Zeppelin"] = "크라즈작업장 공격 비행선",
	["Krolg's Hut"] = "크롤그의 오두막",
	["Krom'gar Fortress"] = "크롬가르 요새",
	["Krom's Landing"] = "크롬의 정박지",
	["Kul Tiras"] = "쿨 티라스",
	["Kul'galar Keep"] = "쿨갈라르 성채",
	["Kurzen's Compound"] = "쿠르젠 주둔지",
	["L'ghorek"] = "고레크",
	["Lair of the Chosen"] = "선택받은 자의 보금자리",
	["Lake Al'Ameth"] = "알아메스 호수",
	["Lake Cauldros"] = "카울드로스 호수",
	["Lake Dumont"] = "듀몬트 호수",
	["Lake Edunel"] = "에듀넬 호수",
	["Lake Elrendar"] = "엘렌다르 호수",
	["Lake Elune'ara"] = "엘룬아라 호수",
	["Lake Ere'Noru"] = "에레노루 호수",
	["Lake Everstill"] = "영원고요 호수",
	["Lake Falathim"] = "팔라딤 호수",
	["Lake Indu'le"] = "인두르 호수",
	["Lake Jorune"] = "조룬 호수",
	["Lake Kel'Theril"] = "켈테릴 호수",
	["Lake Kum'uya"] = "쿰우야 호수",
	["Lake Mennar"] = "멘나르 호수",
	["Lake Mereldar"] = "메렐다르 호수",
	["Lake Nazferiti"] = "나즈페리티 호수",
	["Lake Sunspring"] = "태양여울 호수",
	["Lakeridge Highway"] = "호수마루 오솔길",
	Lakeshire = "호숫골",
	["Lakeshire Inn"] = "호숫골 여관",
	["Lakeshire Town Hall"] = "호숫골 마을회관",
	["Lakeside Landing"] = "호반의 착륙장",
	["Lakkari Tar Pits"] = "락카리 잿구덩이",
	["Land's End Beach"] = "끝자락 해안",
	["Landing Beach"] = "해안 선착장",
	["Landing Site"] = "착륙지",
	["Langrom's Leather & Links"] = "랭롬의 가죽 및 사슬 방어구 상점",
	["Largo's Overlook"] = "라르고 전망대",
	["Largo's Overlook Tower"] = "라르고 전망대 탑",
	["Lariss Pavilion"] = "라리스 정자",
	["Laughing Skull Courtyard"] = "웃는 해골 광장",
	["Laughing Skull Ruins"] = "웃는 해골 폐허",
	["Launch Bay"] = "출격실",
	["Legash Encampment"] = "레가쉬 야영지",
	["Legendary Leathers"] = "전설의 가죽방어구",
	["Legion Hold"] = "불타는 군단 요새",
	["Legion's Fate"] = "군단의 운명",
	["Legion's Rest"] = "군단의 안식처",
	["Lethlor Ravine"] = "레슬로 협곡",
	["Leyara's Sorrow"] = "레이아라의 슬픔",
	["Library Wing"] = "서재",
	["Light's Breach"] = "빛의 틈",
	["Light's Dawn Cathedral"] = "새벽빛 대성당",
	["Light's Hammer"] = "빛의 망치",
	["Light's Hope Chapel"] = "희망의 빛 예배당",
	["Light's Point"] = "빛의 거점",
	["Light's Point Tower"] = "빛의 거점탑",
	["Light's Shield Tower"] = "빛의 방패 경비탑",
	["Light's Trust"] = "믿음의 빛 거점",
	Lighthouse = "등대",
	["Lightning Ledge"] = "번개치는 절벽",
	["Like Clockwork"] = "나사 풀린 태엽",
	["Lion's Pride Inn"] = "사자무리 여관",
	["Livery Outpost"] = "말훈련 전초기지",
	["Livery Stables"] = "마구간",
	["Llane's Oath"] = "레인의 서약지",
	["Loading Room"] = "선적실",
	["Loch Modan"] = "모단 호수",
	["Loch Verrall"] = "베랄 호수",
	["Loken's Bargain"] = "로켄의 거래물",
	Longshore = "기나긴 해안",
	["Lor'danel"] = "로르다넬",
	["Lordamere Internment Camp"] = "로다미어 포로수용소",
	["Lordamere Lake"] = "로다미어 호수",
	["Lorthuna's Gate"] = "로르투나의 문",
	["Lost Caldera"] = "잃어버린 함몰지",
	["Lost City of the Tol'vir"] = "톨비르의 잃어버린 도시",
	["Lost City of the Tol'vir Entrance"] = "톨비르의 잃어버린 도시 입구",
	["Lost Isles Town in a Box"] = "잃어버린 섬 상자 마을",
	["Lost Isles Volcano Eruption"] = "잃어버린 섬 화산 분출",
	["Lost Peak"] = "잃어버린 봉우리",
	["Lost Point"] = "버려진 경비탑",
	["Lost Rigger Cove"] = "해적단 소굴",
	LostIsles = "잃어버린 섬",
	["Lothalor Woodlands"] = "로탈로르 숲",
	["Lower City"] = "고난의 거리",
	["Lower Silvermarsh"] = "은빛늪지 하류",
	["Lower Veil Shil'ak"] = "장막의 쉴라크",
	["Lower Wilds"] = "낮은벌",
	["Lumber Mill"] = "제재소",
	["Lushwater Oasis"] = "푸른 오아시스",
	["Lydell's Ambush"] = "리델의 매복지",
	["M.A.C. Diver"] = "M.A.C. 잠수지",
	["Maelstrom Zone"] = "소용돌이 지역",
	["Maestra's Post"] = "마에스트라 주둔지",
	["Maexxna's Nest"] = "맥스나의 둥지",
	["Mag'har Grounds"] = "마그하르 영토",
	["Mag'har Post"] = "마그하르 거점",
	["Mag'hari Procession"] = "마그하리 행렬",
	["Mage Quarter"] = "마법사 지구",
	["Mage Tower"] = "마법사 탑",
	["Magic Quarter"] = "마법 지구",
	["Magical Menagerie"] = "마법 동물원",
	["Magister's Terrace"] = "마법학자의 정원",
	["Magisters Gate"] = "마법학자 관문",
	["Magisters' Terrace"] = "마법학자의 정원",
	["Magisters' Terrace Entrance"] = "마법학자의 정원 입구",
	["Magma Fields"] = "용암 지대",
	["Magma Springs"] = "용암 간헐천",
	["Magmadar Cavern"] = "마그마다르 용암굴",
	["Magmaw's Fissure"] = "용암아귀의 균열",
	Magmoth = "마그모스",
	["Magnamoth Caverns"] = "마그나모스 동글",
	["Magram Territory"] = "마그람 영토",
	["Magtheridon's Lair"] = "마그테리돈의 둥지",
	["Magus Commerce Exchange"] = "마법사 교역소",
	["Main Gate"] = "정문",
	["Main Hall"] = "주전당",
	["Maker's Ascent"] = "창조주의 오르막길",
	["Maker's Overlook"] = "창조주의 전망대",
	["Maker's Perch"] = "창조주의 감시대",
	["Makers' Overlook"] = "창조주의 전망대",
	["Makers' Perch"] = "창조주의 감시대",
	["Malaka'jin"] = "말라카진",
	["Malden's Orchard"] = "말덴의 과수원",
	Maldraz = "말드라즈",
	["Malfurion's Breach"] = "말퓨리온의 돌파구",
	["Malicia's Outpost"] = "말리시아의 전초기지",
	["Malykriss: The Vile Hold"] = "말리크리스: 타락의 요새",
	["Mam'toth Crater"] = "맘토스 분화구",
	["Mana Tombs"] = "마나 무덤",
	["Mana-Tombs"] = "마나 무덤",
	["Manaforge Ara"] = "아라 마나괴철로",
	["Manaforge B'naar"] = "브나르 마나괴철로",
	["Manaforge Coruu"] = "코루 마나괴철로",
	["Manaforge Duro"] = "듀로 마나괴철로",
	["Manaforge Ultris"] = "울트리스 마나괴철로",
	["Mandokir's Domain"] = "만도키르의 영지",
	["Mannoroc Coven"] = "만노로크 소굴",
	["Manor Mistmantle"] = "미스트맨틀 장원",
	["Mantle Rock"] = "바람막이 바위",
	["Map Chamber"] = "발굴 지도실",
	["Mar'at"] = "말아트",
	Maraudon = "마라우돈",
	["Maraudon - Earth Song Falls Entrance"] = "마라우돈 - 대지노래 폭포 입구",
	["Maraudon - Foulspore Cavern Entrance"] = "마라우돈 - 썩은포자 동굴 입구",
	["Mardenholde Keep"] = "마르덴홀드 요새",
	["Market Row"] = "상가",
	["Marshal's Refuge"] = "마샬의 야영지",
	["Marshal's Stand"] = "마샬의 격전지",
	["Marshlight Lake"] = "수렁등불 호수",
	["Marshtide Watch"] = "습지너울 감시초소",
	["Maruadon - The Wicked Grotto Entrance"] = "마라우돈 - 악의 동굴 입구",
	["Mast Room"] = "목재 작업장",
	["Master's Terrace"] = "주인의 테라스",
	["Masters' Gate"] = "지배자의 관문",
	["Maw of Lycanthoth"] = "라이칸토스의 턱",
	["Maw of Neltharion"] = "넬타리온의 턱",
	["Maw of the Void"] = "공허의 구렁텅이",
	["Mazra'Alor"] = "마즈라알로",
	Mazthoril = "마즈소릴",
	["Medivh's Chambers"] = "메디브의 방",
	["Menagerie Wreckage"] = "화물선 잔해",
	["Menethil Bay"] = "메네실 만",
	["Menethil Harbor"] = "메네실 항구",
	["Menethil Keep"] = "메네실 요새",
	["Merchant Square"] = "상업 지구",
	["Mid Point Station"] = "중부 거점",
	Middenvale = "무지렁이 골짜기",
	["Midrealm Post"] = "중앙 생태지구 주둔지",
	["Midwall Lift"] = "중앙벽 승강장",
	["Mightstone Quarry"] = "퇴마석 채석장",
	["Military District"] = "군사 지구",
	["Mimir's Workshop"] = "미미르의 작업장",
	Mine = "광산",
	Mines = "광산",
	["Mirage Abyss"] = "신기루 심연",
	["Mirage Flats"] = "신기루 벌판",
	["Mirage Raceway"] = "신기루 경주장",
	["Mirkfallon Lake"] = "땅거미 호수",
	["Mirkfallon Post"] = "땅거미 주둔지",
	["Mirror Lake"] = "거울 호수",
	["Mirror Lake Orchard"] = "거울 호수 과수원",
	["Mist's Edge"] = "안개 해안",
	["Mistcaller's Cave"] = "안개부름이의 동굴",
	["Mistvale Valley"] = "안개계곡 골짜기",
	["Mistwhisper Refuge"] = "안개속삭임 야영지",
	["Misty Pine Refuge"] = "안개소나무 은거처",
	["Misty Reed Post"] = "안개갈대 주둔지",
	["Misty Reed Strand"] = "안개갈대 해안",
	["Misty Ridge"] = "안개 마루",
	["Misty Shore"] = "물안개 호숫가",
	["Misty Valley"] = "안개 골짜기",
	["Miwana's Longhouse"] = "미와나의 공동주택",
	["Mizjah Ruins"] = "미즈자 폐허",
	["Mo'grosh Stronghold"] = "모그로쉬 소굴",
	["Moa'ki"] = "모아키 항구",
	["Moa'ki Harbor"] = "모아키 항구",
	["Moggle Point"] = "모글 야영지",
	["Mok'Doom"] = "모크둠",
	["Mok'Gordun"] = "모크골둔",
	["Mok'Nathal Village"] = "모크나탈 마을",
	["Mold Foundry"] = "거푸집 주조소",
	["Molten Core"] = "화산 심장부",
	["Molten Front"] = "녹아내린 전초지",
	["Moon Horror Den"] = "공포의 달빛 동굴",
	Moonbrook = "달빛시내 마을",
	Moonglade = "달숲",
	["Moongraze Woods"] = "달새김 숲",
	["Moonrest Gardens"] = "달쉼터 정원",
	["Moonshrine Ruins"] = "달의 제단 폐허",
	["Moonshrine Sanctum"] = "달의 제단 성소",
	["Moontouched Den"] = "달빛마루 동굴",
	["Moonwell of Cleansing"] = "정화의 달샘",
	["Moonwell of Purity"] = "정화의 달샘",
	["Moonwing Den"] = "달날개 소굴",
	["Mor'shan Base Camp"] = "몰샨 주둔지",
	["Mord'rethar: The Death Gate"] = "모드레타르: 죽음의 관문",
	["Morgan's Plot"] = "모건의 터",
	["Morgan's Vigil"] = "모건의 망루",
	["Morlos'Aran"] = "모를로스아란",
	["Mortal's Demise"] = "필멸자의 최후",
	["Mortwake's Tower"] = "몰트웨이크의 탑",
	["Mosh'Ogg Ogre Mound"] = "모쉬오그 오우거 소굴",
	["Mosshide Fen"] = "이끼가죽 수렁",
	["Mosswalker Village"] = "이끼걸음 마을",
	["Mossy Pile"] = "이끼 더미",
	["Mount Akher"] = "아케르 산",
	["Mount Hyjal"] = "하이잘 산",
	["Mount Hyjal Phase 1"] = "하이잘 산 1단계",
	["Mountainfoot Strip Mine"] = "산기슭 노천광산",
	Mudsprocket = "진흙톱니 거점",
	Mulgore = "멀고어",
	["Murder Row"] = "죽음의 골목",
	["Murkdeep Cavern"] = "먹구렁 동굴",
	["Mystral Lake"] = "미스트랄 호수",
	Mystwood = "안개숲",
	Nagrand = "나그란드",
	["Nagrand Arena"] = "나그란드 투기장",
	Nahom = "나홈",
	["Nar'shola Terrace"] = "나르숄라 계단지",
	["Narvir's Cradle"] = "나르비르의 요람",
	["Nasam's Talon"] = "나삼의 발톱",
	["Nat's Landing"] = "내트의 정박지",
	Naxxanar = "낙사나르",
	Naxxramas = "낙스라마스",
	["Naz'anak: The Forgotten Depths"] = "나즈아낙: 망각의 심연",
	["Nazj'vel"] = "나즈벨",
	Nazzivian = "나지비안",
	["Needlerock Chasm"] = "가시바위 협곡",
	["Needlerock Slag"] = "가시바위 잔여지",
	["Nefarian's Lair"] = "네파리안의 둥지",
	["Nefarian�s Lair"] = "네파리안의 둥지",
	["Neferset City"] = "네페르세트 도시",
	["Neferset City Outskirts"] = "네페르세트 도시 교외",
	["Nek'mani Wellspring"] = "네크마니 수원지",
	["Neptulon's Rise"] = "넵튤론의 오름길",
	["Nesingwary Base Camp"] = "네싱워리 주둔지",
	["Nesingwary Safari"] = "네싱워리 탐험대",
	["Nesingwary's Expedition"] = "네싱워리 원정대",
	Nespirah = "네스피라",
	["Nestlewood Hills"] = "다닥나무 언덕",
	["Nestlewood Thicket"] = "다닥나무 숲",
	["Nethander Stead"] = "네산더 농장",
	["Nethergarde Keep"] = "네더가드 요새",
	["Nethergarde Mines"] = "네더가드 광산",
	["Nethergarde Supply Camps"] = "네더가드 보급 기지",
	Netherspace = "황천의 영역",
	Netherstone = "황천의 돌무지",
	Netherstorm = "황천의 폭풍",
	["Netherweb Ridge"] = "황천그물 마루",
	["Netherwing Fields"] = "황천날개 벌판",
	["Netherwing Ledge"] = "황천날개 마루",
	["Netherwing Mines"] = "황천날개 광산",
	["Netherwing Pass"] = "황천날개 고개",
	["New Agamand"] = "신 아가만드",
	["New Agamand Inn"] = "신 아가만드 여관",
	["New Avalon"] = "신 아발론",
	["New Avalon Fields"] = "신 아발론 농장",
	["New Avalon Forge"] = "신 아발론 대장간",
	["New Avalon Orchard"] = "신 아발론 과수원",
	["New Avalon Town Hall"] = "신 아발론 마을회관",
	["New Hearthglen"] = "신 하스글렌",
	["New Kargath"] = "신 카르가스",
	["New Thalanaar"] = "신 탈라나르",
	["New Tinkertown"] = "신 땜장이 마을",
	["Nexus Legendary"] = "마력의 탑 전설",
	Nidavelir = "니다벨리르",
	["Nidvar Stair"] = "니드바르 계단",
	Nifflevar = "니플바르",
	["Night Elf Village"] = "나이트 엘프 마을",
	["Night Run"] = "어둠의 터",
	["Night Web's Hollow"] = "검은그물 거미굴",
	Nighthaven = "밤의 안식처",
	["Nightmare Depths"] = "악몽의 나락",
	["Nightmare Scar"] = "악몽의 흉터",
	["Nightmare Vale"] = "악몽의 골짜기",
	["Nightsong Woods"] = "별빛노래 숲",
	["Nijel's Point"] = "나이젤의 야영지",
	["Nimbus Rise"] = "빛구름 마루",
	["Njord's Breath Bay"] = "요르드의 숨결 만",
	["Njorn Stair"] = "요른 계단",
	["Njorndar Village"] = "요른다르 마을",
	["Noonshade Ruins"] = "해그늘 폐허",
	Nordrassil = "놀드랏실",
	["Nordrassil Inn"] = "놀드랏실 여관",
	["Nordune Ridge"] = "노르둔 마루",
	["North Common Hall"] = "북쪽 대전당",
	["North Gate Outpost"] = "북부 관문 전초기지",
	["North Gate Pass"] = "북부 관문 통행로",
	["North Point Station"] = "북부 거점",
	["North Point Tower"] = "북부 경비탑",
	["North Sanctum"] = "북부 성소",
	["North Spear Tower"] = "북부창 경비탑",
	["North Tide's Beachhead"] = "북부 해안 교두보",
	["North Tide's Run"] = "북부 해안가",
	Northdale = "노스데일",
	["Northern Barrens"] = "북부 불모의 땅",
	["Northern Headlands"] = "북부 마루터기",
	["Northern Rampart"] = "북쪽 성루",
	["Northern Rocketway"] = "북부 로켓길",
	["Northern Rocketway Exchange"] = "북부 로켓길 교역소",
	["Northern Stranglethorn"] = "북부 가시덤불",
	["Northfold Manor"] = "북부습곡 장원",
	["Northgate Breach"] = "북문 틈",
	["Northgate River"] = "북문 강",
	["Northgate Woods"] = "북문 숲",
	["Northmaul Tower"] = "북녘망치 탑",
	["Northpass Tower"] = "북부관문 경비탑",
	Northrend = "노스렌드",
	["Northridge Lumber Camp"] = "북마루 벌목지",
	["Northshire Abbey"] = "북녘골 수도원",
	["Northshire River"] = "북녘골 강",
	["Northshire Valley"] = "북녘골 계곡",
	["Northshire Vineyards"] = "북녘골 포도밭",
	["Northwatch Expedition Base Camp"] = "북부감시 원정대 기지",
	["Northwatch Expedition Base Camp Inn"] = "북부감시 원정대 기지 여관",
	["Northwatch Foothold"] = "북부감시 거점",
	["Northwatch Hold"] = "북부감시 요새",
	["Northwind Cleft"] = "북새바람 동굴",
	["Nozzlepot's Outpost"] = "노즐팟의 전초기지",
	["Nozzlerust Post"] = "녹주둥이 전초기지",
	["O'Breen's Camp"] = "오브린의 야영지",
	["Oasis of Vir'sar"] = "비르사르 오아시스",
	["Oasis of the Fallen Prophet"] = "쓰러진 예언자의 오아시스",
	["Obelisk of the Moon"] = "달의 방첨탑",
	["Obelisk of the Stars"] = "별의 방첨탑",
	["Obelisk of the Sun"] = "해의 방첨탑",
	["Observance Hall"] = "규율의 전당",
	["Observation Grounds"] = "관측 지구",
	["Obsidia's Perch"] = "옵시디아의 둥지",
	["Obsidian Breakers"] = "흑요석 파괴자",
	["Obsidian Dragonshrine"] = "흑요석 용제단",
	["Obsidian Forest"] = "흑요석 숲",
	["Obsidian Lair"] = "흑요석 둥지",
	["Odesyus' Landing"] = "오디시우스의 정박지",
	["Ogri'la"] = "오그릴라",
	["Old Hillsbrad Foothills"] = "옛 언덕마루 구릉지",
	["Old Ironforge"] = "구 아이언포지",
	["Old Town"] = "구 시가지",
	Olembas = "올렘바스",
	["Olivia's Pond"] = "올리비아의 연못",
	["Olsen's Farthing"] = "올슨 농장",
	["One More Glass"] = "한 잔 더 상점",
	Oneiros = "오네이로스",
	["Onslaught Base Camp"] = "붉은돌격대 주둔지",
	["Onslaught Harbor"] = "붉은돌격대 항구",
	["Onyxia's Lair"] = "오닉시아의 둥지",
	["Oomlot Village"] = "움로트 마을",
	Oostan = "우스탄",
	["Oostan Nord"] = "우스탄 놀드",
	["Oostan Ost"] = "우스탄 오스트",
	["Oostan Sor"] = "우스탄 소르",
	["Opening of the Dark Portal"] = "어둠의 문 열기",
	["Opening of the Dark Portal Entrance"] = "어둠의 문 열기 입구",
	["Oratory of the Damned"] = "저주받은 자들의 기도실",
	["Orebor Harborage"] = "오레보르 피난처",
	["Orendil's Retreat"] = "오렌딜 수행지",
	["Orgrim's Hammer"] = "오그림의 망치호",
	Orgrimmar = "오그리마",
	["Orgrimmar Rear Gate"] = "오그리마 뒷문",
	["Orgrimmar Rocketway Exchange"] = "오그리마 로켓길 교역소",
	["Oronok's Farm"] = "오로노크의 농장",
	Orsis = "오르시스",
	["Ortell's Hideout"] = "오르텔의 은신처",
	["Oshu'gun"] = "오슈군",
	Outland = "아웃랜드",
	["Overgrown Camp"] = "우거진 야영지",
	["Owl Wing Thicket"] = "올빼미날개 숲",
	["Pal'ea"] = "팔에아",
	["Palemane Rock"] = "회색갈기 바위굴",
	["Parhelion Plaza"] = "무리해 광장",
	["Passage of Lost Fiends"] = "잃어버린 악마의 통로",
	["Path of Uther"] = "우서의 길",
	["Path of the Titans"] = "티탄의 길",
	["Pattymack Land"] = "패티맥의 땅",
	["Pauper's Walk"] = "빈민가",
	["Pestilent Scar"] = "전염의 흉터",
	["Petitioner's Chamber"] = "왕국 민원실",
	["Pilgrim's Precipice"] = "순례자의 낭떠러지",
	["Pincer X2"] = "쌍집게발호",
	["Pit of Fangs"] = "송곳니 구덩이",
	["Pit of Saron"] = "사론의 구덩이",
	["Pit of Saron Entrance"] = "사론의 구덩이 입구",
	["Plaguelands: The Scarlet Enclave"] = "동부 역병지대: 붉은십자군 초소",
	["Plaguemist Ravine"] = "역병안개 협곡",
	Plaguewood = "역병숲",
	["Plaguewood Tower"] = "역병숲 경비탑",
	["Plain of Echoes"] = "메아리 평원",
	["Plain of Shards"] = "수정 들판",
	["Plains of Nasam"] = "나삼의 평원",
	["Pod Cluster"] = "탈출선 착륙지",
	["Pod Wreckage"] = "탈출선 잔해",
	["Poison Falls"] = "맹독 폭포",
	["Pool of Tears"] = "눈물의 연못",
	["Pool of Twisted Reflections"] = "뒤틀린 환영의 웅덩이",
	["Pools of Aggonar"] = "아고나르의 웅덩이",
	["Pools of Arlithrien"] = "아리스리엔 연못",
	["Pools of Jin'Alai"] = "진알라이의 웅덩이",
	["Pools of Zha'Jin"] = "자진의 웅덩이",
	["Portal Clearing"] = "차원문 폐허",
	["Prison of Immol'thar"] = "이몰타르의 감옥",
	["Programmer Isle"] = "프로그래머의 섬",
	["Promontory Point"] = "낭떠러지 거점",
	["Prospector's Point"] = "발굴단 거점",
	["Protectorate Watch Post"] = "자유연합 경비초소",
	["Purespring Cavern"] = "맑은샘 동굴",
	["Purgation Isle"] = "속죄의 섬",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "공포와 재미가 넘치는 퓨트리사이드의 연금술 실험실",
	["Pyrewood Chapel"] = "장작나무 예배당",
	["Pyrewood Inn"] = "장작나무 여관",
	["Pyrewood Town Hall"] = "장작나무 마을회관",
	["Pyrewood Village"] = "장작나무 마을",
	["Pyrox Flats"] = "휘석 평원",
	["Quagg Ridge"] = "쿠아그 마루",
	Quarry = "채석장",
	["Quartzite Basin"] = "규암 분지",
	["Queen's Gate"] = "여왕의 관문",
	["Quel'Danil Lodge"] = "쿠엘다닐 오두막",
	["Quel'Delar's Rest"] = "쿠엘델라의 쉼터",
	["Quel'Dormir Gardens"] = "쿠엘도르미르 정원",
	["Quel'Dormir Temple"] = "쿠엘도르미르 사원",
	["Quel'Dormir Terrace"] = "쿠엘도르미르 단상",
	["Quel'Lithien Lodge"] = "쿠엘리시엔 오두막",
	["Quel'thalas"] = "쿠엘탈라스",
	["Raastok Glade"] = "라스토크 숲",
	["Raceway Ruins"] = "경주장 폐허",
	["Rage Fang Shrine"] = "분노의 송곳니 제단",
	["Rage Scar Hold"] = "무쇠설인 소굴",
	["Rageclaw Den"] = "성난발톱 소굴",
	["Rageclaw Lake"] = "성난발톱 호수",
	["Ragefeather Ridge"] = "성난깃털 마루",
	["Ragefire Chasm"] = "성난불길 협곡",
	["Ragnaros' Lair"] = "라그나로스의 둥지",
	["Ragnaros' Reach"] = "라그나로스의 세력지",
	["Rainspeaker Canopy"] = "구름몰이 거처",
	["Rainspeaker Rapids"] = "구름몰이 여울목",
	Ramkahen = "람카헨",
	["Ramkahen Legion Outpost"] = "람카헨 군단 전초기지",
	["Rampart of Skulls"] = "해골 망루",
	["Ranazjar Isle"] = "라나즈자르 섬",
	["Raptor Pens"] = "랩터 우리",
	["Raptor Ridge"] = "랩터 마루",
	["Raptor Rise"] = "랩터 마루",
	Ratchet = "톱니항",
	["Rated Eye of the Storm"] = "평점제 폭풍의 눈",
	["Ravaged Caravan"] = "습격당한 짐마차 행렬",
	["Ravaged Crypt"] = "파괴된 납골당",
	["Ravaged Twilight Camp"] = "파괴된 황혼의 야영지",
	["Raven Hill"] = "까마귀 언덕",
	["Raven Hill Cemetery"] = "까마귀 언덕 묘지",
	["Raven's Watch"] = "까마귀 망루",
	["Raven's Wood"] = "까마귀 숲",
	["Ravencrest Monument"] = "레이븐크레스트 기념비",
	["Ravenholdt Manor"] = "라벤홀트 장원",
	["Raynewood Retreat"] = "레인나무 은신처",
	["Raynewood Tower"] = "레인나무 탑",
	["Razaan's Landing"] = "라잔의 영지",
	["Razor Hill"] = "칼바위 언덕",
	["Razor Hill Barracks"] = "칼바위 언덕 병영",
	["Razor Ridge"] = "칼날 마루",
	["Razorfen Downs"] = "가시덩굴 구릉",
	["Razorfen Downs Entrance"] = "가시덩굴 구릉 입구",
	["Razorfen Kraul"] = "가시덩굴 우리",
	["Razorfen Kraul Entrance"] = "가시덩굴 우리 입구",
	["Razormane Grounds"] = "서슬갈기 영토",
	["Razorscale's Aerie"] = "칼날비늘의 둥지",
	["Razorthorn Rise"] = "서슬가시 언덕",
	["Razorthorn Shelf"] = "서슬가시 벼랑",
	["Razorthorn Trail"] = "서슬가시 고개",
	["Razorwind Canyon"] = "칼끝바람 협곡",
	["Reaver's Fall"] = "지옥절단기 함락지",
	["Reavers' Hall"] = "파괴자의 전당",
	["Rebel Camp"] = "반란군 야영지",
	["Red Cloud Mesa"] = "붉은구름 고원",
	["Red Rocks"] = "붉은 바위 언덕",
	["Redpine Dell"] = "붉은소나무 골짜기",
	["Redridge Canyons"] = "붉은마루 협곡",
	["Redridge Mountains"] = "붉은마루 산맥",
	["Redwood Trading Post"] = "붉은나무 교역소",
	Refinery = "정제소",
	["Refuge Pointe"] = "임시 주둔지",
	["Refugee Caravan"] = "피난민 행렬",
	["Reliquary of Agony"] = "고뇌의 성물함",
	["Reliquary of Pain"] = "고통의 성물함",
	["Remains of Iris Lake"] = "아이리스 호수의 흔적",
	["Remains of the Fleet"] = "함대의 잔해",
	["Remtravel's Excavation"] = "렘트래블의 발굴현장",
	["Render's Camp"] = "약탈의 야영지",
	["Render's Crater"] = "약탈의 분화구",
	["Render's Rock"] = "약탈의 바위굴",
	["Render's Valley"] = "약탈의 계곡",
	["Rethban Caverns"] = "레스밴 동굴",
	["Rethress Sanctum"] = "레스리스 성소",
	Reuse = "재사용",
	["Revantusk Village"] = "깨진엄니 마을",
	["Rhea's Camp"] = "레아의 야영지",
	["Rhyolith Plateau"] = "라이올리스 고원",
	["Ricket's Folly"] = "리켓의 로켓 썰매",
	["Ridge of Madness"] = "광기의 마루",
	["Ridgepoint Tower"] = "마루목 감시탑",
	["Rim of the World"] = "세상의 테두리",
	["Ring of Judgement"] = "심판의 투기장",
	["Ring of Observance"] = "규율의 광장",
	["Ring of the Elements"] = "정령의 너른땅",
	["Ring of the Law"] = "법의 심판장",
	["Riplash Ruins"] = "채찍파도 폐허",
	["Riplash Strand"] = "채찍파도 해안",
	["Rise of Suffering"] = "고통의 언덕",
	["Rise of the Defiler"] = "파멸자의 봉우리",
	["Ritual Chamber of Akali"] = "아칼리의 의식의 방",
	["Rivendark's Perch"] = "리븐다크의 둥지",
	Rivenwood = "비틀린 숲",
	["River's Heart"] = "강의 심장부",
	["Rock of Durotan"] = "듀로탄 바위",
	["Rockpool Village"] = "바위웅덩이 마을",
	["Rocktusk Farm"] = "바위엄니 농장",
	["Roguefeather Den"] = "하피 동굴",
	["Rogues' Quarter"] = "도적 지구",
	["Rohemdal Pass"] = "로헴달 고개",
	["Roland's Doom"] = "롤랜드 광산",
	["Rotbrain Encampment"] = "썩은뇌수 야영지",
	["Royal Exchange Auction House"] = "왕궁 교역소 경매장",
	["Royal Exchange Bank"] = "왕궁 교역소 은행",
	["Royal Gallery"] = "왕실 회랑",
	["Royal Library"] = "왕실 도서관",
	["Royal Quarter"] = "왕실",
	["Ruby Dragonshrine"] = "루비 용제단",
	["Ruined City Post 01"] = "줄드락 폐허",
	["Ruined Court"] = "버려진 궁정",
	["Ruins of Aboraz"] = "아보라즈의 폐허",
	["Ruins of Ahmtul"] = "암툴 폐허",
	["Ruins of Ahn'Qiraj"] = "안퀴라즈 폐허",
	["Ruins of Alterac"] = "알터랙 폐허",
	["Ruins of Ammon"] = "암몬 폐허",
	["Ruins of Arkkoran"] = "아크코란의 폐허",
	["Ruins of Auberdine"] = "아우버다인 폐허",
	["Ruins of Baa'ri"] = "바아리 폐허",
	["Ruins of Constellas"] = "콘스텔라스 폐허",
	["Ruins of Drak'Zin"] = "드락진 폐허",
	["Ruins of Drakgor"] = "드락고르 폐허",
	["Ruins of Eldarath"] = "엘다라스 폐허",
	["Ruins of Eldra'nath"] = "엘드라나스 폐허",
	["Ruins of Eldre'thar"] = "엘드레타르 폐허",
	["Ruins of Enkaat"] = "엔카트 폐허",
	["Ruins of Farahlon"] = "파랄론 폐허",
	["Ruins of Feathermoon"] = "페더문 폐허",
	["Ruins of Gilneas"] = "길니아스 폐허",
	["Ruins of Gilneas City"] = "길니아스 시 폐허",
	["Ruins of Isildien"] = "이실디엔 폐허",
	["Ruins of Jubuwal"] = "주부왈의 폐허",
	["Ruins of Karabor"] = "카라보르 폐허",
	["Ruins of Kargath"] = "카르가스 폐허",
	["Ruins of Khintaset"] = "킨타세트 폐허",
	["Ruins of Lar'donir"] = "라르도니르 폐허",
	["Ruins of Lordaeron"] = "로데론의 폐허",
	["Ruins of Loreth'Aran"] = "로레스아란 폐허",
	["Ruins of Lornesta"] = "로른스타의 폐허",
	["Ruins of Mathystra"] = "마시스트라 폐허",
	["Ruins of Nordressa"] = "놀드렛사의 폐허",
	["Ruins of Ravenwind"] = "까마귀바람 폐허",
	["Ruins of Sha'naar"] = "샤나르 폐허",
	["Ruins of Shandaral"] = "샨다랄 폐허",
	["Ruins of Silvermoon"] = "실버문 폐허",
	["Ruins of Solarsal"] = "솔라살 폐허",
	["Ruins of Southshore"] = "남녘해안 폐허",
	["Ruins of Taurajo"] = "타우라조 폐허",
	["Ruins of Tethys"] = "테시스의 폐허",
	["Ruins of Thaurissan"] = "타우릿산의 폐허",
	["Ruins of Thelserai Temple"] = "텔세라이 사원 폐허",
	["Ruins of Uldum"] = "울둠 폐허",
	["Ruins of Vashj'elan"] = "바쉬엘란 폐허",
	["Ruins of Vashj'ir"] = "바쉬르 폐허",
	["Ruins of Zul'Kunda"] = "줄쿤다의 폐허",
	["Ruins of Zul'Mamwe"] = "줄맘웨의 폐허",
	["Ruins of the Scarlet Enclave"] = "붉은십자군 폐허",
	["Runestone Falithas"] = "팔리타스 마법석",
	["Runestone Shan'dor"] = "샨도르 마법석",
	["Runeweaver Square"] = "룬위버 광장",
	["Rustberg Village"] = "녹슨산림 마을",
	["Rustmaul Dive Site"] = "녹슨망치 잠수지",
	["Rut'theran Village"] = "루테란 마을",
	["Rutsak's Guard"] = "루트삭의 경비소",
	["Ruuan Weald"] = "루안 숲",
	["Ruuna's Camp"] = "루나의 야영지",
	["Ruuzel's Isle"] = "루젤의 섬",
	["Rygna's Lair"] = "라이그나의 둥지",
	["SI:7"] = "SI:7",
	["STV Diamond Mine BG"] = "STV 다이아몬드 광산 전장",
	["Sable Ridge"] = "검은담비 마루",
	["Sahket Wastes"] = "사케트 황무지",
	["Saldean's Farm"] = "살딘 농장",
	["Saltheril's Haven"] = "살데릴의 안식처",
	["Saltspray Glen"] = "소금물 습지대",
	["Sanctuary of Malorne"] = "말로른의 성역",
	["Sanctuary of Shadows"] = "어둠의 성역",
	["Sanctum of Reanimation"] = "부활의 성소",
	["Sanctum of Shadows"] = "어둠의 성소",
	["Sanctum of the Ascended"] = "승천자의 성소",
	["Sanctum of the Fallen God"] = "죽은 신의 성소",
	["Sanctum of the Moon"] = "달의 성소",
	["Sanctum of the Prophets"] = "예언자의 성소",
	["Sanctum of the South Wind"] = "남풍의 성소",
	["Sanctum of the Stars"] = "별의 성소",
	["Sanctum of the Sun"] = "태양의 성소",
	["Sands of Nasam"] = "나삼의 갯벌",
	["Sandsorrow Watch"] = "슬픈모래 감시탑",
	["Sandy Beach"] = "모래사장",
	["Sanguine Chamber"] = "붉은 방",
	["Sapphire Hive"] = "사파이어 부화장",
	["Sapphiron's Lair"] = "서리고룡의 방",
	["Sar'theris Strand"] = "살데리스 해안",
	["Saragosa's Landing"] = "사라고사의 영지",
	["Sardor Isle"] = "살도르 섬",
	Sargeron = "살게론",
	["Saronite Mines"] = "사로나이트 광산",
	Satyrnaar = "사티르나르",
	["Savage Ledge"] = "야만전사의 절벽",
	["Scalawag Point"] = "해적 야영지",
	["Scalding Pools"] = "끓어오르는 웅덩이",
	["Scalebeard's Cave"] = "비늘수염 동굴",
	["Scalewing Shelf"] = "비늘날개 절벽",
	["Scar of the Worldbreaker"] = "세계파괴자의 흉터",
	["Scarab Terrace"] = "스카라베 정원",
	["Scarlet Encampment"] = "진홍빛 야영지",
	["Scarlet Hold"] = "붉은십자군 요새",
	["Scarlet Monastery"] = "붉은십자군 수도원",
	["Scarlet Monastery Entrance"] = "붉은십자군 수도원 입구",
	["Scarlet Overlook"] = "붉은십자군 전망대",
	["Scarlet Palisade"] = "단홍빛 울타리",
	["Scarlet Point"] = "붉은돌격대 초소",
	["Scarlet Raven Tavern"] = "진홍 까마귀 선술집",
	["Scarlet Tavern"] = "붉은십자군 선술집",
	["Scarlet Tower"] = "붉은십자군 경비탑",
	["Scarlet Watch Post"] = "붉은십자군 경비초소",
	["Scarlet Watchtower"] = "진홍빛 감시탑",
	["Scarred Terrace"] = "상처받은 단상",
	["Scenario: Alcaz Island"] = "각본: 알카즈 섬",
	["Schnottz's Frigate"] = "슈노츠의 구축함",
	["Schnottz's Hostel"] = "슈노츠의 쉼터",
	["Schnottz's Landing"] = "슈노츠 비행기지",
	Scholomance = "스칼로맨스",
	["Scholomance Entrance"] = "스칼로맨스 입구",
	["School of Necromancy"] = "강령술 학교",
	["Scorched Gully"] = "불타버린 협곡",
	["Scott's Spooky Area"] = "스콧의 으스스한 지역",
	["Scoured Reach"] = "세찬물결 굽이",
	Scourgehold = "스컬지 요새",
	Scourgeholme = "스컬지홀름",
	["Scourgelord's Command"] = "스컬지군주의 지휘소",
	["Scrabblescrew's Camp"] = "스크래블스크류의 야영지",
	["Screaming Gully"] = "울부짖는 협곡",
	["Scryer's Tier"] = "점술가 언덕",
	["Scuttle Coast"] = "가라앉은 해안",
	Seabrush = "바다덤불",
	["Seafarer's Tomb"] = "뱃사람의 무덤",
	["Seal of the Sun King"] = "태양왕의 봉인",
	["Searing Gorge"] = "이글거리는 협곡",
	["Seat of Destruction"] = "파괴의 보좌",
	["Seat of Life"] = "생명의 보좌",
	["Seat of Magic"] = "마법의 보좌",
	["Seat of Radiance"] = "광휘의 보좌",
	["Seat of the Chosen"] = "선택받은 자의 보좌",
	["Seat of the Naaru"] = "나루의 보좌",
	["Sen'jin Village"] = "센진 마을",
	["Sentinel Hill"] = "감시의 언덕",
	["Sentinel Tower"] = "감시탑",
	["Sentry Point"] = "감시초소",
	Seradane = "세라데인",
	["Serpent Lake"] = "물갈퀴 호수",
	["Serpent's Coil"] = "뱀의 보금자리",
	["Serpentshrine Cavern"] = "불뱀 제단",
	["Servants' Quarters"] = "하인 숙소",
	["Service Entrance"] = "공무용 입구",
	["Sethekk Halls"] = "세데크 전당",
	["Sethria's Roost"] = "세스리아의 보금자리",
	["Sewer Exit Pipe"] = "하수도 배출관",
	Sewers = "하수구",
	["Sha'naari Wastes"] = "샤나아리 황무지",
	["Sha'tari Base Camp"] = "샤타리 주둔지",
	["Sha'tari Outpost"] = "샤타리 전초기지",
	Shadebough = "그늘가지",
	["Shadow Grave"] = "암흑의 무덤",
	["Shadow Hold"] = "어둠의 요새",
	["Shadow Labyrinth"] = "어둠의 미궁",
	["Shadow Ridge"] = "어둠 마루",
	["Shadow Tomb"] = "어둠의 무덤",
	["Shadow Wing Lair"] = "그림자날개 둥지",
	["Shadowbreak Ravine"] = "동트는 협곡",
	["Shadowfang Keep"] = "그림자송곳니 성채",
	["Shadowfang Keep Entrance"] = "그림자송곳니 성채 입구",
	["Shadowfang Tower"] = "그림자송곳니 탑",
	["Shadowforge City"] = "어둠괴철로 도시",
	Shadowglen = "그늘 협곡",
	["Shadowlurk Ridge"] = "그림자그늘 마루",
	["Shadowmoon Valley"] = "어둠달 골짜기",
	["Shadowmoon Village"] = "어둠달 마을",
	["Shadowprey Village"] = "그늘수렵 마을",
	["Shadowshard Cavern"] = "음영석 동굴",
	["Shadowsight Tower"] = "그늘눈 경비탑",
	["Shadowsong Shrine"] = "섀도송 제단",
	["Shadowthread Cave"] = "그늘 거미굴",
	["Shadra'Alor"] = "샤드라알로",
	["Shady Rest Inn"] = "그늘 쉼터 여관",
	["Shalandis Isle"] = "샬란디스 섬",
	["Shalewind Canyon"] = "혈암풍 협곡",
	["Shallow's End"] = "여울의 끝자락",
	["Shalzaru's Lair"] = "샬자루의 둥지",
	Shamanar = "샤마나르",
	["Shaol'watha"] = "샤올와타",
	["Shaper's Terrace"] = "구체자의 정원",
	["Shartuul's Transporter"] = "샤툴의 순간이동기",
	["Shatter Point"] = "징검다리 거점",
	["Shatter Scar Vale"] = "불벼락 골짜기",
	["Shattered Plains"] = "부서진 평원",
	["Shattered Straits"] = "부서진 해협",
	["Shattered Sun Staging Area"] = "무너진 태양 집결지",
	Shattershore = "산산조각 바닷가",
	["Shatterspear Pass"] = "뾰족창 고개",
	["Shatterspear Vale"] = "뾰족창 골짜기",
	["Shatterspear War Camp"] = "뾰족창 전쟁 기지",
	Shatterstone = "산산조각바위",
	Shattrath = "샤트라스",
	["Shattrath City"] = "샤트라스",
	["Shell Beach"] = "조개껍질 해안",
	["Shield Hill"] = "방패 언덕",
	["Shields of Silver"] = "은빛 방패 상점",
	["Shimmer Ridge"] = "아지랑이 마루",
	["Shimmering Bog"] = "흐린빛 수렁",
	["Shimmering Expanse"] = "흐린빛 벌판",
	["Shimmering Grotto"] = "흐린빛 종유동",
	["Shindigger's Camp"] = "신디거의 야영지",
	["Shipwreck Shore"] = "난파 해안",
	["Shok'Thokar"] = "쇼크토카르",
	["Sholazar Basin"] = "숄라자르 분지",
	["Shrine of Aessina"] = "아에시나의 제단",
	["Shrine of Aviana"] = "아비아나의 제단",
	["Shrine of Dath'Remar"] = "다트리마의 제단",
	["Shrine of Eck"] = "엑크의 제단",
	["Shrine of Goldrinn"] = "골드린의 제단",
	["Shrine of Lost Souls"] = "길 잃은 영혼의 제단",
	["Shrine of Remulos"] = "레물로스의 제단",
	["Shrine of Scales"] = "비늘 제단",
	["Shrine of Thaurissan"] = "타우릿산의 제단",
	["Shrine of Unending Light"] = "영원한 빛의 제단",
	["Shrine of the Deceiver"] = "기만자의 사원",
	["Shrine of the Dormant Flame"] = "희미한 불꽃의 제단",
	["Shrine of the Eclipse"] = "일식 제단",
	["Shrine of the Elements"] = "정령의 제단",
	["Shrine of the Fallen Warrior"] = "전사한 용사의 제단",
	["Shrine of the Five Khans"] = "다섯 칸의 제단",
	["Shriveled Oasis"] = "말라빠진 오아시스",
	["Shuddering Spires"] = "몸서리 첨탑",
	["Siege Vise"] = "공성 격전장",
	["Siege Workshop"] = "공성 작업장",
	["Sifreldar Village"] = "시프렐다르 마을",
	["Silent Vigil"] = "침묵의 망루",
	Silithus = "실리더스",
	["Silmyr Lake"] = "실미르 호수",
	["Silting Shore"] = "개펄 해안",
	["Silver Covenant Pavilion"] = "은빛 서약단 막사",
	["Silver Stream Mine"] = "은여울 광산",
	["Silver Tide Hollow"] = "은빛 너울 동굴",
	["Silver Tide Trench"] = "은빛 너울 협곡",
	Silverbrook = "은빛시내 마을",
	["Silverbrook Hills"] = "은빛시내 언덕",
	["Silverlight Cavern"] = "은빛 동굴",
	["Silverline Lake"] = "희망의 호수",
	["Silvermoon City"] = "실버문",
	["Silvermoon City Inn"] = "실버문 여관",
	["Silvermoon Finery"] = "실버문 의복 상점",
	["Silvermoon Jewelery"] = "실버문 보석상점",
	["Silvermoon Registry"] = "실버문 길드 사무소",
	["Silvermoon's Pride"] = "실버문의 긍지호",
	["Silvermyst Isle"] = "은빛안개 섬",
	["Silverpine Forest"] = "은빛소나무 숲",
	["Silverwind Refuge"] = "실바람 산장",
	["Silverwing Flag Room"] = "은빛날개 깃발 보관실",
	["Silverwing Grove"] = "은빛날개 숲",
	["Silverwing Hold"] = "은빛날개 요새",
	["Silverwing Outpost"] = "은빛날개 전초기지",
	["Simply Enchanting"] = "마법부여 전문점",
	["Sindragosa's Fall"] = "신드라고사의 추락지",
	["Sindweller's Rise"] = "신드웰러 마루",
	["Singing Ridge"] = "노래하는 마루",
	["Sinner's Folly"] = "불신자의 만용호",
	["Sira'kess Front"] = "시라케스 전초지",
	["Sishir Canyon"] = "시쉬르 협곡",
	["Sisters Sorcerous"] = "자매 마술사",
	Skald = "불타버린 언덕",
	["Sketh'lon Base Camp"] = "스케슬론 주둔지",
	["Sketh'lon Wreckage"] = "스케슬론 폐허",
	["Skethyl Mountains"] = "스키실 산맥",
	Skettis = "스케티스",
	["Skitterweb Tunnels"] = "그물걸이 통로",
	Skorn = "스코른",
	["Skulk Rock"] = "굼벵이 바위굴",
	["Skulking Row"] = "위험한 거리",
	["Skull Rock"] = "해골 바위굴",
	["Sky Falls"] = "하늘 폭포",
	["Skyguard Outpost"] = "하늘경비대 전초기지",
	["Skyline Ridge"] = "지평선 마루",
	["Skysong Lake"] = "하늘노래 호수",
	["Slabchisel's Survey"] = "슬랩치즐의 측량지",
	["Slag Watch"] = "잿가루 감시초소",
	Slagworks = "잿가루작업장",
	["Slaughter Hollow"] = "살육의 동굴",
	["Slaughter Square"] = "학살의 광장",
	["Sleeping Gorge"] = "수면의 협곡",
	["Slither Rock"] = "뱀갈퀴 바위굴",
	["Slitherblade Shore"] = "뱀갈퀴 해안",
	["Slithering Cove"] = "갈래굽이 만",
	["Sludgeguard Tower"] = "진흙방비 탑",
	["Smuggler's Scar"] = "밀수업자의 흉터",
	["Snowblind Hills"] = "설맹의 언덕",
	["Snowblind Terrace"] = "설맹의 언덕 길목",
	["Snowden Chalet"] = "눈구덩이 오두막",
	["Snowdrift Plains"] = "눈더미 평원",
	["Snowfall Glade"] = "눈사태 숲",
	["Snowfall Graveyard"] = "눈사태 무덤",
	["Socrethar's Seat"] = "소크레타르의 옥좌",
	["Sofera's Naze"] = "소페라 절벽",
	["Solace Glade"] = "위안의 숲",
	["Solliden Farmstead"] = "솔리덴 농장",
	["Solstice Village"] = "극지 마을",
	["Sorlof's Strand"] = "소를로프의 해안",
	["Sorrow Hill"] = "슬픔의 언덕",
	["Sorrow Hill Crypt"] = "슬픔의 언덕 납골당",
	["Sorrow Wing Point"] = "슬픔의 날개 거점",
	Sorrowmurk = "슬픔의 그늘",
	["Soulgrinder's Barrow"] = "영혼분쇄자의 은신처",
	["South Common Hall"] = "남쪽 대전당",
	["South Gate Outpost"] = "남부 관문 전초기지",
	["South Gate Pass"] = "남부 관문 통행로",
	["South Point Station"] = "남부 거점",
	["South Seas"] = "남쪽 바다",
	["South Spire"] = "남쪽 첨탑",
	["South Tide's Run"] = "남부 해안가",
	["Southbreak Shore"] = "거친파도 해안",
	["Southern Barrens"] = "남부 불모의 땅",
	["Southern Gold Road"] = "남부 황금길",
	["Southern Rampart"] = "남쪽 성루",
	["Southern Rocketway"] = "남부 로켓길",
	["Southern Rocketway Terminus"] = "남부 로켓길 종착지",
	["Southern Savage Coast"] = "폭풍 해안 남부",
	["Southfury River"] = "성난남녘 강",
	["Southfury Watershed"] = "성난남녘 분수령",
	["Southmaul Tower"] = "남녘망치 탑",
	["Southmoon Ruins"] = "남쪽 달 폐허",
	["Southpoint Gate"] = "남부경비 관문",
	["Southpoint Tower"] = "남부경비 탑",
	["Southridge Beach"] = "남녘마루 해안",
	["Southsea Holdfast"] = "남쪽바다 철통절벽",
	Southshore = "남녘해안",
	["Southshore Town Hall"] = "남녘해안 마을회관",
	["Southwind Cleft"] = "마파람 동굴",
	["Southwind Village"] = "마파람 마을",
	["Sparksocket Minefield"] = "스파크소켓의 지뢰밭",
	["Sparktouched Haven"] = "번개불꽃 안식처",
	["Sparring Hall"] = "훈련의 전당",
	["Spearborn Encampment"] = "작살사냥꾼 야영지",
	Spearhead = "최전선",
	["Speedbarge Bar"] = "쾌속선 주점",
	["Spinebreaker Mountains"] = "해골망치 산맥",
	["Spinebreaker Pass"] = "해골망치 고개",
	["Spinebreaker Post"] = "해골망치 초소",
	["Spinebreaker Ridge"] = "해골망치 마루",
	["Spiral of Thorns"] = "가시덩굴 소용돌이",
	["Spire Throne"] = "첨탑 사령실",
	["Spire of Blood"] = "피의 첨탑",
	["Spire of Decay"] = "부패의 첨탑",
	["Spire of Pain"] = "고통의 첨탑",
	["Spirit Den"] = "정기의 동굴",
	["Spirit Fields"] = "정기의 들판",
	["Spirit Rise"] = "정기의 봉우리",
	["Spirit Rock"] = "정기 바위",
	["Spitescale Cavern"] = "원한비늘 동굴",
	["Spitescale Cove"] = "원한비늘 만",
	["Splinterspear Junction"] = "부러진창 교차로",
	Splintertree = "토막나무",
	["Splintertree Mine"] = "토막나무 광산",
	["Splintertree Post"] = "토막나무 주둔지",
	["Splithoof Crag"] = "갈래발굽 바윗골",
	["Splithoof Heights"] = "갈래발굽 언덕",
	["Splithoof Hold"] = "갈래발굽 소굴",
	Sporeggar = "스포어가르",
	["Sporewind Lake"] = "포자바람 호수",
	["Spruce Point Post"] = "전나무 거점 주둔지",
	Stables = "마구간",
	Stagalbog = "진흙수렁",
	["Stagalbog Cave"] = "진흙수렁 동굴",
	["Stagecoach Crash Site"] = "역마차 충돌 지점",
	["Staghelm Point"] = "스태그헬름 거점",
	["Starbreeze Village"] = "별바람 마을",
	["Stardust Spire"] = "별가루 첨탑",
	["Starfall Village"] = "별똥별 마을",
	["Stars' Rest"] = "별의 쉼터",
	["Stasis Block: Maximus"] = "막시무스 감금 구역",
	["Stasis Block: Trion"] = "트리온 감금 구역",
	["Steam Springs"] = "증기 온천",
	["Steamwheedle Port"] = "스팀휘들 항구",
	["Steel Gate"] = "강철 관문",
	["Steelgrill's Depot"] = "스틸그릴의 정비소",
	["Steeljaw's Caravan"] = "스틸조의 짐마차",
	["Steelspark Station"] = "강철불꽃 거점",
	["Stendel's Pond"] = "스텐들의 연못",
	["Stillpine Hold"] = "너울소나무 요새",
	["Stillwater Pond"] = "청정 연못",
	["Stillwhisper Pond"] = "잔잔한 속삭임 연못",
	Stonard = "스토나드",
	["Stone Cairn Lake"] = "돌무덤 호수",
	["Stone Sentinel's Overlook"] = "바위 파수대의 전망대",
	["Stonebreaker Camp"] = "돌망치 야영지",
	["Stonebreaker Hold"] = "돌망치 요새",
	["Stonebull Lake"] = "황소바위 호수",
	Stonehearth = "돌난로",
	["Stonehearth Bunker"] = "돌난로 참호",
	["Stonehearth Graveyard"] = "돌난로 무덤",
	["Stonehearth Outpost"] = "돌난로 전초기지",
	["Stonemaul Hold"] = "돌망치 요새",
	["Stonemaul Ruins"] = "돌망치 폐허",
	["Stonesplinter Valley"] = "가루바위 골짜기",
	["Stonetalon Bomb"] = "돌발톱 폭탄",
	["Stonetalon Mountains"] = "돌발톱 산맥",
	["Stonetalon Pass"] = "돌발톱 고개",
	["Stonetalon Peak"] = "돌발톱 봉우리",
	["Stonewall Canyon"] = "돌담 협곡",
	["Stonewall Lift"] = "절벽 승강장",
	["Stoneward Prison"] = "바위봉쇄 감옥",
	Stonewatch = "돌망루 요새",
	["Stonewatch Falls"] = "돌망루 언덕",
	["Stonewatch Keep"] = "돌망루 요새",
	["Stonewatch Tower"] = "돌망루 탑",
	["Stonewrought Dam"] = "돌다지 댐",
	["Stonewrought Pass"] = "돌다지 고개",
	["Storm Cliffs"] = "폭풍 절벽",
	["Storm Peaks"] = "폭풍우 봉우리",
	["Storm's Fury Wreckage"] = "폭풍 강타호 잔해",
	Stormcrest = "폭풍마루",
	["Stormfeather Outpost"] = "폭풍깃털 전초기지",
	["Stormglen Village"] = "폭풍협곡 마을",
	["Stormpike Graveyard"] = "스톰파이크 무덤",
	["Stormrage Barrow Dens"] = "스톰레이지 지하굴",
	Stormwind = "스톰윈드",
	["Stormwind City"] = "스톰윈드",
	["Stormwind City Cemetery"] = "스톰윈드 묘지",
	["Stormwind City Outskirts"] = "스톰윈드 교외",
	["Stormwind Harbor"] = "스톰윈드 항구",
	["Stormwind Keep"] = "스톰윈드 왕궁",
	["Stormwind Lake"] = "스톰윈드 호수",
	["Stormwind Mountains"] = "스톰윈드 산맥",
	["Stormwind Stockade"] = "스톰윈드 지하감옥",
	["Stormwind Vault"] = "스톰윈드 은행",
	["Stoutlager Inn"] = "스타우트라거 여관",
	Strahnbrad = "스트란브래드",
	["Strand of the Ancients"] = "고대의 해안",
	["Stranglethorn Vale"] = "가시덤불 골짜기",
	Stratholme = "스트라솔름",
	["Stratholme Entrance"] = "스트라솔름 입구",
	["Stratholme Service Entrance"] = "스트라솔름 공무용 입구",
	["Stromgarde Keep"] = "스트롬가드 요새",
	["Stygian Bounty"] = "저승의 자비호",
	["Sub zone"] = "세부 지역",
	["Sulfuron Keep"] = "설퍼론 요새",
	["Sulfuron Keep Courtyard"] = "설퍼론 요새 광장",
	["Sulfuron Span"] = "설퍼론 교각",
	["Sulfuron Spire"] = "설퍼론 첨탑",
	["Sullah's Sideshow"] = "술라의 소공연장",
	["Summoners' Tomb"] = "소환사의 무덤",
	["Sun Rock Retreat"] = "해바위 야영지",
	["Sun's Reach Armory"] = "태양너울 무기고",
	["Sun's Reach Harbor"] = "태양너울 항구",
	["Sun's Reach Sanctum"] = "태양너울 성소",
	["Suncrown Village"] = "태양왕관 마을",
	["Sundown Marsh"] = "해몰이 늪",
	["Sunfire Point"] = "태양불꽃 거점",
	["Sunfury Hold"] = "성난태양 주둔지",
	["Sunfury Spire"] = "성난태양 첨탑",
	["Sungraze Peak"] = "해넘이 봉우리",
	["Sunken Dig Site"] = "가라앉은 발굴현장",
	["Sunken Temple"] = "가라앉은 사원",
	["Sunken Temple Entrance"] = "가라앉은 사원 입구",
	["Sunreaver Pavilion"] = "선리버 막사",
	["Sunreaver's Command"] = "선리버 지휘초소",
	["Sunreaver's Sanctuary"] = "선리버 성소",
	["Sunsail Anchorage"] = "해돋이 부두",
	["Sunspring Post"] = "태양여울 주둔지",
	["Sunstone Terrace"] = "태양석 단상",
	["Sunstrider Isle"] = "선스트라이더 섬",
	["Sunveil Excursion"] = "해가림 탐험지",
	["Sunwatcher's Ridge"] = "태양감시자 마루",
	["Sunwell Plateau"] = "태양샘 고원",
	["Supply Caravan"] = "보급 짐마차",
	["Surge Needle"] = "폭풍 바늘",
	["Surveyors' Outpost"] = "측량사의 전초기지",
	Surwich = "수르위치",
	["Svarnos' Cell"] = "스바노스의 감옥",
	["Swamp of Sorrows"] = "슬픔의 늪",
	["Swamplight Manor"] = "늪지기 오두막",
	["Swamprat Post"] = "늪쥐 감시초소",
	["Swiftgear Station"] = "날쌘톱니 기지",
	["Swindle Street"] = "덤터기 거리",
	["Swindlegrin's Dig"] = "스윈들그린의 채굴현장",
	["Sword's Rest"] = "검의 안식처",
	Sylvanaar = "실바나르",
	["Tabetha's Farm"] = "타베사의 농장",
	["Taelan's Tower"] = "탤런의 탑",
	["Tahonda Ruins"] = "타혼다 폐허",
	["Tahret Grounds"] = "타레트 영토",
	["Tal'doren"] = "탈도렌",
	["Talismanic Textiles"] = "마법의 옷가게",
	["Talon Stand"] = "갈퀴발톱 언덕",
	["Talonbranch Glade"] = "갈퀴가지 숲",
	["Talondeep Pass"] = "갈퀴자국 고개",
	["Talondeep Vale"] = "갈퀴자국 골짜기",
	Talramas = "탈라마스",
	["Talrendis Point"] = "탈렌디스 초소",
	Tanaris = "타나리스",
	["Tanaris Desert"] = "타나리스 사막",
	["Tanks for Everything"] = "무적의 방어구 상점",
	["Tanner Camp"] = "무두장이 야영지",
	["Tarren Mill"] = "타렌 제분소",
	["Taunka'le Village"] = "타운카르 마을",
	["Tazz'Alaor"] = "타즈알라올",
	["Teegan's Expedition"] = "티간의 원정대",
	["Tel'athion's Camp"] = "텔아시온의 야영지",
	Telaar = "텔라아르",
	["Telaari Basin"] = "텔라아리 분지",
	Teldrassil = "텔드랏실",
	Telredor = "텔레도르",
	["Tempest Bridge"] = "폭풍우 함교",
	["Tempest Keep"] = "폭풍우 요새",
	["Tempest Keep - The Arcatraz Entrance"] = "폭풍우 요새 - 알카트라즈 입구",
	["Tempest Keep - The Botanica Entrance"] = "폭풍우 요새 - 신록의 정원 입구",
	["Tempest Keep - The Mechanar Entrance"] = "폭풍우 요새 - 메카나르 입구",
	["Tempest Keep: The Arcatraz"] = "폭풍우 요새: 알카트라즈",
	["Tempest Keep: The Botanica"] = "폭풍우 요새: 신록의 정원",
	["Tempest Keep: The Mechanar"] = "폭풍우 요새: 메카나르",
	["Tempest's Reach"] = "폭풍우 해안",
	["Temple City of En'kilah"] = "엔킬라 사원",
	["Temple Hall"] = "신전 전당",
	["Temple Summit"] = "사원 정상",
	["Temple of Ahn'Qiraj"] = "안퀴라즈 사원",
	["Temple of Arkkoran"] = "아크코란의 신전",
	["Temple of Asaad"] = "아사드 사원",
	["Temple of Bethekk"] = "베데크 신전",
	["Temple of Earth"] = "대지의 사원",
	["Temple of Invention"] = "발명의 신전",
	["Temple of Life"] = "생명의 신전",
	["Temple of Order"] = "질서의 신전",
	["Temple of Storms"] = "폭풍의 신전",
	["Temple of Telhamat"] = "텔하마트 사원",
	["Temple of Uldum"] = "울둠 사원",
	["Temple of Winter"] = "겨울의 신전",
	["Temple of Wisdom"] = "지혜의 신전",
	["Temple of Zin-Malor"] = "진말로의 신전",
	["Temple of the Forgotten"] = "망자의 신전",
	["Temple of the Moon"] = "달의 신전",
	["Tenebrous Cavern"] = "음침한 동굴",
	["Terokk's Rest"] = "테로크의 안식처",
	["Terokkar Forest"] = "테로카르 숲",
	["Terrace of Light"] = "빛의 정원",
	["Terrace of Repose"] = "평온의 정원",
	["Terrace of the Augurs"] = "전조의 단상",
	["Terrace of the Makers"] = "창조주의 거처",
	["Terrace of the Sun"] = "태양의 정원",
	["Terror Run"] = "공포의 터",
	["Terror Wing Path"] = "공포의 날개 골짜기",
	Terrordale = "테러데일",
	["Terrorweb Tunnel"] = "공포의 거미굴",
	["Tethris Aran"] = "테드리스 아란",
	["Thal'darah Grove"] = "탈다라 숲",
	["Thal'darah Overlook"] = "탈다라 전망대",
	Thalanaar = "탈라나르",
	["Thalassian Pass"] = "탈라시안 고개",
	["Thalassian Range"] = "탈라시안 산줄기",
	["Thandol Span"] = "탄돌 교각",
	["Thargad's Camp"] = "타르가드 야영지",
	["The Abandoned Reach"] = "버려진 해안",
	["The Abyssal Maw"] = "심연의 구렁",
	["The Abyssal Shelf"] = "심연의 절벽",
	["The Admiral's Den"] = "제독의 동굴",
	["The Agronomical Apothecary"] = "농업공학 연금술점",
	["The Alliance Valiants' Ring"] = "얼라이언스 용맹전사의 투기장",
	["The Altar of Damnation"] = "저주의 제단",
	["The Altar of Shadows"] = "어둠의 제단",
	["The Altar of Zul"] = "줄의 제단",
	["The Ancient Grove"] = "고대 숲",
	["The Ancient Lift"] = "고대 승강장",
	["The Antechamber"] = "대기실",
	["The Anvil of Conflagration"] = "용암천지의 모루",
	["The Anvil of Flame"] = "불꽃 모루",
	["The Apothecarium"] = "연금술 실험실",
	["The Arachnid Quarter"] = "거미 지구",
	["The Arcanium"] = "비전 소환실",
	["The Arcatraz"] = "알카트라즈",
	["The Archivum"] = "고대 기록관",
	["The Argent Stand"] = "은빛십자군 격전지",
	["The Argent Valiants' Ring"] = "은빛십자군 용맹전사의 투기장",
	["The Argent Vanguard"] = "은빛십자군 선봉기지",
	["The Arsenal Absolute"] = "절대무기",
	["The Aspirants' Ring"] = "지원자의 투기장",
	["The Assembly Chamber"] = "회합실",
	["The Assembly of Iron"] = "무쇠 회합실",
	["The Athenaeum"] = "도서관",
	["The Avalanche"] = "눈사태 언덕",
	["The Azure Front"] = "하늘빛 전초지",
	["The Bank of Dalaran"] = "달라란 은행",
	["The Bank of Silvermoon"] = "실버문 은행",
	["The Banquet Hall"] = "연회장",
	["The Barrier Hills"] = "울타리 언덕",
	["The Bastion of Twilight"] = "황혼의 요새",
	["The Battle for Gilneas"] = "길니아스 전투지",
	["The Battle for Gilneas (Old City Map)"] = "길니아스 전투지 (구 도시 지도)",
	["The Battle for Mount Hyjal"] = "하이잘 산 전투",
	["The Battleboar Pen"] = "전투멧돼지 우리",
	["The Battlefront"] = "최전선",
	["The Bazaar"] = "시장",
	["The Beer Garden"] = "노천 술집",
	["The Bite"] = "에이는 땅",
	["The Black Breach"] = "검은 틈",
	["The Black Market"] = "암시장",
	["The Black Morass"] = "검은늪",
	["The Black Temple"] = "검은 사원",
	["The Black Vault"] = "검은 금고",
	["The Blackwald"] = "검은숲",
	["The Blazing Strand"] = "타오르는 해안",
	["The Blight Line"] = "파멸의 역병지",
	["The Blighted Pool"] = "파멸의 웅덩이",
	["The Blood Furnace"] = "피의 용광로",
	["The Blood Trail"] = "핏방울 오솔길",
	["The Bloodcursed Reef"] = "핏빛저주의 산호초",
	["The Bloodmire"] = "피구렁",
	["The Bloodoath"] = "피의 맹세호",
	["The Bloodwash"] = "핏빛여울",
	["The Bombardment"] = "폭격지",
	["The Bone Pile"] = "뼈의 산",
	["The Bone Wastes"] = "해골 무덤",
	["The Bonefields"] = "뼈의 언덕",
	["The Bones of Nozronn"] = "노즈론의 무덤",
	["The Boneyard"] = "뼈무덤",
	["The Borean Wall"] = "북풍의 벽",
	["The Botanica"] = "신록의 정원",
	["The Bradshaw Mill"] = "브래드쇼 제재소",
	["The Breach"] = "거대한 틈",
	["The Briny Cutter"] = "갯바람호",
	["The Briny Pinnacle"] = "소금바위 봉우리",
	["The Broken Bluffs"] = "부서진 절벽",
	["The Broken Front"] = "파괴된 싸움터",
	["The Broken Hall"] = "파괴된 전당",
	["The Broken Hills"] = "뒤틀린 언덕",
	["The Broken Stair"] = "부서진 계단",
	["The Broken Temple"] = "파괴된 신전",
	["The Brood Pit"] = "부화의 구덩이",
	["The Broodmother's Nest"] = "여왕 둥지",
	["The Bulwark"] = "보루",
	["The Burning Corridor"] = "불타는 회랑",
	["The Butchery"] = "도살장",
	["The Cache of Madness"] = "광란의 은닉처",
	["The Caller's Chamber"] = "강령술 집회장",
	["The Canals"] = "대운하",
	["The Cape of Stranglethorn"] = "가시덤불 곶",
	["The Carrion Fields"] = "부패의 벌판",
	["The Catacombs"] = "지하묘지",
	["The Cauldron"] = "용광로",
	["The Cauldron of Flames"] = "불길의 가마솥",
	["The Cave"] = "동굴",
	["The Celestial Planetarium"] = "별자리 투영관",
	["The Celestial Watch"] = "천문대",
	["The Cemetary"] = "묘지",
	["The Cerebrillum"] = "두뇌실",
	["The Charred Vale"] = "잿더미 계곡",
	["The Chilled Quagmire"] = "얼어붙은 수렁",
	["The Circle of Cinders"] = "잿더미 땅",
	["The Circle of Life"] = "생명의 순환계",
	["The Circle of Suffering"] = "고통의 투기장",
	["The Clash of Thunder"] = "천둥의 울림",
	["The Clean Zone"] = "정화 지역",
	["The Cleft"] = "바위 동굴",
	["The Clockwerk Run"] = "태엽장치 통로",
	["The Clutch"] = "구속의 손아귀",
	["The Coil"] = "증오의 똬리",
	["The Colossal Forge"] = "거대 제련실",
	["The Comb"] = "안퀴라즈 둥지",
	["The Commons"] = "광장",
	["The Conflagration"] = "끝없는 불길",
	["The Conquest Pit"] = "정복의 요새 투기장",
	["The Conservatory"] = "고요의 정원",
	["The Conservatory of Life"] = "생명의 정원",
	["The Construct Quarter"] = "피조물 지구",
	["The Cooper Residence"] = "쿠퍼 저택",
	["The Corridors of Ingenuity"] = "창의성의 회랑",
	["The Court of Bones"] = "뼈의 궁정",
	["The Court of Skulls"] = "해골 궁정",
	["The Coven"] = "집회실",
	["The Creeping Ruin"] = "굼벵이 폐허",
	["The Crimson Cathedral"] = "진홍빛 성당",
	["The Crimson Dawn"] = "진홍빛 서광호",
	["The Crimson Hall"] = "진홍빛 전당",
	["The Crimson Reach"] = "진홍 해안",
	["The Crimson Throne"] = "진홍십자군 사령실",
	["The Crimson Veil"] = "주홍빛 장막호",
	["The Crossroads"] = "십자로",
	["The Crucible"] = "폭풍의 도가니",
	["The Crucible of Flame"] = "불꽃의 도가니",
	["The Crumbling Waste"] = "부서진 잔해",
	["The Cryo-Core"] = "극저온 핵",
	["The Crystal Hall"] = "수정 전당",
	["The Crystal Shore"] = "수정 해안",
	["The Crystal Vale"] = "수정 골짜기",
	["The Crystal Vice"] = "수정 계곡",
	["The Culling of Stratholme"] = "옛 스트라솔름",
	["The Culling of Stratholme Entrance"] = "옛 스트라솔름 입구",
	["The Cursed Landing"] = "저주받은 선착장",
	["The Dagger Hills"] = "비수 언덕",
	["The Damsel's Luck"] = "아가씨의 행운호",
	["The Dark Approach"] = "어둠의 진입로",
	["The Dark Defiance"] = "어둠의 도전호",
	["The Dark Portal"] = "어둠의 문",
	["The Darkened Bank"] = "어스름 강둑",
	["The Darkwood"] = "어둠숲",
	["The Dawnchaser"] = "새벽추적자호",
	["The Dawning Isles"] = "여명의 섬",
	["The Dawning Square"] = "새벽 광장",
	["The Dead Acre"] = "메마른 논밭",
	["The Dead Field"] = "죽음의 농장",
	["The Dead Fields"] = "죽음의 들판",
	["The Dead Mire"] = "죽음의 늪",
	["The Dead Scar"] = "죽음의 흉터",
	["The Deadmines"] = "죽음의 폐광",
	["The Deathforge"] = "죽음의 괴철로",
	["The Deathknell Graves"] = "죽음의 종소리 무덤",
	["The Decrepit Fields"] = "오래된 들판",
	["The Decrepit Flow"] = "이울어진 물줄기",
	["The Deep Reaches"] = "깊은 산마루",
	["The Defiled Chapel"] = "부정한 예배당",
	["The Den"] = "동굴 막사",
	["The Den of Flame"] = "화염의 둥지",
	["The Dens of Dying"] = "사자의 동굴",
	["The Dens of the Dying"] = "사자의 동굴",
	["The Descent into Madness"] = "광기의 내리막길",
	["The Desecrated Altar"] = "모독의 제단",
	["The Devil's Terrace"] = "악마의 단상",
	["The Devouring Breach"] = "탐식의 틈",
	["The Domicile"] = "거주지",
	["The Dor'Danil Barrow Den"] = "도르다닐 지하굴",
	["The Dormitory"] = "거주 지구",
	["The Drag"] = "골목길",
	["The Dragon Wastes"] = "용의 황무지",
	["The Dragonmurk"] = "용의 늪",
	["The Drain"] = "배수로",
	["The Dranosh'ar Blockade"] = "드라노쉬아르 봉쇄선",
	["The Drowned Reef"] = "가라앉은 산호초",
	["The Drowned Sacellum"] = "가라앉은 제단",
	["The Dry Hills"] = "메마른 언덕",
	["The Dust Plains"] = "먼지 언덕",
	["The Dustbowl"] = "먼지받이",
	["The Eastern Earthshrine"] = "동부 대지제단",
	["The Emerald Summit"] = "에메랄드 정상",
	["The Escape From Durnholde"] = "던홀드 탈출",
	["The Escape from Durnholde Entrance"] = "던홀드 탈출 입구",
	["The Eventide"] = "어스름 거리",
	["The Exodar"] = "엑소다르",
	["The Eye"] = "눈",
	["The Eye of Eternity"] = "영원의 눈",
	["The Eye of the Vortex"] = "소용돌이의 눈",
	["The Farstrider Lodge"] = "원정순찰대 오두막",
	["The Fel Pits"] = "지옥의 구덩이",
	["The Fetid Pool"] = "악취나는 웅덩이",
	["The Filthy Animal"] = "불결한 야수 여관",
	["The Firehawk"] = "불꽃매호",
	["The Flamewake"] = "불꽃의 흔적",
	["The Fleshwerks"] = "살덩이작업장",
	["The Flood Plains"] = "범람 평야",
	["The Fold"] = "습곡",
	["The Foot Steppes"] = "눈봉우리 분지",
	["The Foothill Caverns"] = "구릉지 동굴",
	["The Forbidding Sea"] = "성난 바다",
	["The Forest of Shadows"] = "그늘진 수풀",
	["The Forge of Souls"] = "영혼의 제련소",
	["The Forge of Souls Entrance"] = "영혼의 제련소 입구",
	["The Forge of Supplication"] = "탄원의 용광로",
	["The Forge of Wills"] = "의지의 용광로",
	["The Forgotten Coast"] = "잊혀진 해안",
	["The Forgotten Overlook"] = "잊혀진 전망대",
	["The Forgotten Pool"] = "잊혀진 웅덩이",
	["The Forgotten Pools"] = "잊혀진 웅덩이",
	["The Forgotten Shore"] = "망각의 해변",
	["The Forlorn Cavern"] = "쓸쓸한 뒷골목",
	["The Forlorn Mine"] = "쓸쓸한 광산",
	["The Forsaken Front"] = "포세이큰 전초지",
	["The Foul Pool"] = "타락의 웅덩이",
	["The Frigid Tomb"] = "얼어붙은 무덤",
	["The Frost Queen's Lair"] = "서리 여왕의 둥지",
	["The Frostwing Halls"] = "서리날개 전당",
	["The Frozen Glade"] = "얼어붙은 숲",
	["The Frozen Halls"] = "얼어붙은 전당",
	["The Frozen Mine"] = "얼어붙은 광산",
	["The Frozen Sea"] = "얼어붙은 바다",
	["The Frozen Throne"] = "얼어붙은 왕좌",
	["The Fungal Vale"] = "곰팡이 계곡",
	["The Furnace"] = "용광로",
	["The Gaping Chasm"] = "모래지옥 협곡",
	["The Gate of Unending Cycles"] = "영원한 순환의 관문",
	["The Gatehouse"] = "현관",
	["The Gauntlet"] = "투쟁의 거리",
	["The Geyser Fields"] = "간헐천 지대",
	["The Gilded Gate"] = "빛나는 관문",
	["The Glimmering Pillar"] = "미명의 봉우리",
	["The Golden Plains"] = "황금 초원",
	["The Grand Ballroom"] = "대무도회장",
	["The Grand Vestibule"] = "수도원 현관",
	["The Great Arena"] = "대형 투기장",
	["The Great Divide"] = "거대한 분수령",
	["The Great Fissure"] = "거대한 균열",
	["The Great Forge"] = "대용광로",
	["The Great Gate"] = "대 관문",
	["The Great Lift"] = "구름 승강장",
	["The Great Ossuary"] = "대형 납골당",
	["The Great Sea"] = "대해",
	["The Great Tree"] = "거대 고목",
	["The Green Belt"] = "녹지대",
	["The Greymane Wall"] = "그레이메인 성벽",
	["The Grim Guzzler"] = "험상궂은 주정뱅이 선술집",
	["The Grinding Quarry"] = "갈음질 채석장",
	["The Grizzled Den"] = "은빛 동굴",
	["The Guardhouse"] = "위병소",
	["The Guest Chambers"] = "객실",
	["The Gullet"] = "예비 갱도",
	["The Half Shell"] = "반쪽 껍질",
	["The Hall of Blood"] = "피의 전당",
	["The Hall of Gears"] = "톱니바퀴의 전당",
	["The Hall of Lights"] = "빛의 회랑",
	["The Hall of Respite"] = "유예의 전당",
	["The Halls of Reanimation"] = "부활의 전당",
	["The Halls of Winter"] = "겨울의 전당",
	["The Hand of Gul'dan"] = "굴단의 손아귀",
	["The Harborage"] = "피난처",
	["The Hatchery"] = "부화장",
	["The Headland"] = "마루터기",
	["The Headlands"] = "마루터기",
	["The Heap"] = "고철더미",
	["The Heart of Acherus"] = "아케루스 심장부",
	["The Hidden Clutch"] = "숨겨진 손아귀",
	["The Hidden Grove"] = "숨겨진 숲",
	["The Hidden Hollow"] = "숨겨진 동굴",
	["The Hidden Passage"] = "숨겨진 통로",
	["The Hidden Reach"] = "비밀 장소",
	["The Hidden Reef"] = "숨은 산호초",
	["The High Path"] = "높은길",
	["The High Road"] = "높은 길",
	["The High Seat"] = "왕좌",
	["The Hinterlands"] = "동부 내륙지",
	["The Hoard"] = "병참부",
	["The Hole"] = "깊은 구멍",
	["The Horde Valiants' Ring"] = "호드 용맹전사의 투기장",
	["The Horsemen's Assembly"] = "기사단 회합실",
	["The Howling Hollow"] = "울부짖는 동굴",
	["The Howling Oak"] = "울부짖는 참나무",
	["The Howling Vale"] = "울부짖는 골짜기",
	["The Hunter's Reach"] = "사냥꾼의 활시위",
	["The Hushed Bank"] = "고요의 강둑",
	["The Icy Depths"] = "얼어붙은 심연",
	["The Immortal Coil"] = "불멸의 똬리호",
	["The Imperial Seat"] = "옥좌",
	["The Infectis Scar"] = "오염의 흉터",
	["The Inferno"] = "지옥불",
	["The Inner Spire"] = "내부 첨탑",
	["The Intrepid"] = "용감무쌍호",
	["The Inventor's Library"] = "발명가의 도서관",
	["The Iron Crucible"] = "무쇠 용광로",
	["The Iron Hall"] = "철의 전당",
	["The Iron Reaper"] = "무쇠 사신호",
	["The Isle of Spears"] = "작살잡이 섬",
	["The Ivar Patch"] = "이바르 호박밭",
	["The Jansen Stead"] = "얀센 농장",
	["The Krazzworks"] = "크라즈작업장",
	["The LMS Mark II"] = "LMS 2호",
	["The Laboratory"] = "연구소",
	["The Lagoon"] = "바다자리 호수",
	["The Laughing Stand"] = "웃음소리 해안",
	["The Legerdemain Lounge"] = "요술쟁이 휴게실",
	["The Legion Front"] = "군단 전초지",
	["The Librarium"] = "기록 보존소",
	["The Library"] = "도서관",
	["The Lifebinder's Cell"] = "생명의 어머니 석실",
	["The Lifeblood Pillar"] = "생명의 피 봉우리",
	["The Lightless Reaches"] = "어두컴컴 굽이",
	["The Living Grove"] = "생명의 숲",
	["The Living Wood"] = "생명의 숲",
	["The Loch"] = "대호수",
	["The Long Wash"] = "침식지",
	["The Lost Fleet"] = "잃어버린 해안",
	["The Lost Fold"] = "잃어버린 언덕",
	["The Lost Isles"] = "잃어버린 섬",
	["The Lost Lands"] = "잃어버린 땅",
	["The Lost Passage"] = "잃어버린 통로",
	["The Low Path"] = "낮은길",
	["The Lyceum"] = "훈련강당",
	["The Maclure Vineyards"] = "매클루어 포도밭",
	["The Maelstrom"] = "혼돈의 소용돌이",
	["The Maker's Overlook"] = "창조주의 전망대",
	["The Maker's Rise"] = "창조주의 오름길",
	["The Maker's Terrace"] = "창조주의 정원",
	["The Makers' Overlook"] = "창조주의 전망대",
	["The Makers' Perch"] = "창조주의 감시대",
	["The Manufactory"] = "제조 공장",
	["The Marris Stead"] = "매리스 농장",
	["The Marshlands"] = "늪지대",
	["The Masonary"] = "석공 작업장",
	["The Master's Cellar"] = "지배자의 지하실",
	["The Master's Glaive"] = "지배자의 고대검",
	["The Maul"] = "검투장",
	["The Maw of Madness"] = "광기의 구렁텅이",
	["The Mechanar"] = "메카나르",
	["The Menagerie"] = "박물관",
	["The Menders' Stead"] = "치유사의 처소",
	["The Merchant Coast"] = "무역 해안",
	["The Militant Mystic"] = "신비스러운 투사의 무기점",
	["The Military Quarter"] = "군사 지구",
	["The Military Ward"] = "군사 지구",
	["The Mind's Eye"] = "마음의 눈",
	["The Mirror of Dawn"] = "새벽의 거울",
	["The Mirror of Twilight"] = "황혼의 거울",
	["The Molsen Farm"] = "몰센 농장",
	["The Molten Bridge"] = "작열하는 다리",
	["The Molten Core"] = "화산 심장부",
	["The Molten Fields"] = "녹아내린 들판",
	["The Molten Flow"] = "녹아내린 용암",
	["The Molten Span"] = "작열하는 교각",
	["The Mor'Shan Ramparts"] = "몰샨의 망루",
	["The Mor'shan Rampart"] = "몰샨의 망루",
	["The Mosslight Pillar"] = "이끼빛 봉우리",
	["The Mountain Den"] = "산속 동굴",
	["The Murder Pens"] = "학살의 울타리",
	["The Mystic Ward"] = "마법 지구",
	["The Necrotic Vault"] = "죽음의 감옥",
	["The Nexus"] = "마력의 탑",
	["The Nexus Entrance"] = "마력의 탑 입구",
	["The Nightmare Scar"] = "악몽의 흉터",
	["The North Coast"] = "북부 해안",
	["The North Sea"] = "북해",
	["The Nosebleeds"] = "혈전의 땅",
	["The Noxious Glade"] = "맹독의 숲",
	["The Noxious Hollow"] = "맹독의 동굴",
	["The Noxious Lair"] = "맹독의 둥지",
	["The Noxious Pass"] = "맹독의 길",
	["The Oblivion"] = "망각호",
	["The Observation Ring"] = "관찰 지구",
	["The Obsidian Sanctum"] = "흑요석 성소",
	["The Oculus"] = "마력의 눈",
	["The Oculus Entrance"] = "마력의 눈 입구",
	["The Old Barracks"] = "옛 병영",
	["The Old Dormitory"] = "옛 거주 지구",
	["The Old Port Authority"] = "구 항만공사",
	["The Opera Hall"] = "오페라 극장",
	["The Oracle Glade"] = "신탁의 숲",
	["The Outer Ring"] = "외곽 지구",
	["The Overgrowth"] = "우거진 땅",
	["The Overlook"] = "전망대",
	["The Overlook Cliffs"] = "전망대 절벽",
	["The Pale Roost"] = "으스름 보금자리",
	["The Park"] = "스톰윈드 공원",
	["The Path of Anguish"] = "고통의 길",
	["The Path of Conquest"] = "정복의 길",
	["The Path of Corruption"] = "타락의 길",
	["The Path of Glory"] = "영광의 길",
	["The Path of Iron"] = "무쇠단의 길",
	["The Path of the Lifewarden"] = "생명 감시자의 길",
	["The Phoenix Hall"] = "불사조 전당",
	["The Pillar of Ash"] = "잿빛 기둥",
	["The Pipe"] = "도관",
	["The Pit of Criminals"] = "범죄의 소굴",
	["The Pit of Fiends"] = "악마의 구덩이",
	["The Pit of Narjun"] = "나르준의 구덩이",
	["The Pit of Refuse"] = "앙금의 구덩이",
	["The Pit of Sacrifice"] = "희생의 구덩이",
	["The Pit of Scales"] = "비늘 구덩이",
	["The Pit of the Fang"] = "송곳니 구덩이",
	["The Plague Quarter"] = "역병 지구",
	["The Plagueworks"] = "역병작업장",
	["The Pool of Ask'ar"] = "아스카르 연못",
	["The Pools of Vision"] = "예언의 웅덩이",
	["The Prison of Yogg-Saron"] = "요그사론의 감옥",
	["The Proving Grounds"] = "발명품 실험장",
	["The Purple Parlor"] = "화려한 응접실",
	["The Quagmire"] = "먼지 수렁",
	["The Quaking Fields"] = "전율하는 들판",
	["The Queen's Reprisal"] = "여왕의 복수호",
	["The Raging Chasm"] = "분노의 협곡",
	["The Rangers' Lodge"] = "순찰대 오두막",
	["The Red Reaches"] = "붉은 굽이",
	["The Refectory"] = "대강당",
	["The Regrowth"] = "재생의 땅",
	["The Reliquary"] = "성골 보관실",
	["The Repository"] = "지식의 보고",
	["The Reservoir"] = "안퀴라즈 저장실",
	["The Restless Front"] = "안식 없는 전초지",
	["The Ridge of Ancient Flame"] = "고대의 불꽃 마루",
	["The Rift"] = "균열의 공간",
	["The Ring of Blood"] = "피의 투기장",
	["The Ring of Champions"] = "용사의 투기장",
	["The Ring of Trials"] = "시험의 투기장",
	["The Ring of Valor"] = "용맹의 투기장",
	["The Riptide"] = "격정의 파도호",
	["The Roiling Gardens"] = "휘도는 정원",
	["The Rolling Gardens"] = "휘도는 정원",
	["The Rolling Plains"] = "구릉 초원",
	["The Rookery"] = "부화장",
	["The Rotting Orchard"] = "오염된 과수원",
	["The Royal Exchange"] = "왕궁 교역소",
	["The Ruby Sanctum"] = "루비 성소",
	["The Ruined Reaches"] = "버려진 착륙장",
	["The Ruins of Kel'Theril"] = "켈테릴의 폐허",
	["The Ruins of Ordil'Aran"] = "오르딜아란의 폐허",
	["The Ruins of Stardust"] = "별가루의 폐허",
	["The Rumble Cage"] = "싸움 우리",
	["The Rustmaul Dig Site"] = "녹슨망치 발굴현장",
	["The Sacred Grove"] = "신성한 숲",
	["The Salty Sailor Tavern"] = "뱃사공의 선술집",
	["The Sanctum"] = "성소",
	["The Sanctum of Blood"] = "피의 성소",
	["The Savage Coast"] = "폭풍 해안",
	["The Savage Glen"] = "야만의 골짜기",
	["The Savage Thicket"] = "야만의 숲",
	["The Scalding Chasm"] = "끓어오르는 협곡",
	["The Scalding Pools"] = "끓어오르는 웅덩이",
	["The Scarab Dais"] = "스카라베 제단",
	["The Scarab Wall"] = "스카라베 성벽",
	["The Scarlet Basilica"] = "붉은십자군 대성당",
	["The Scarlet Bastion"] = "붉은십자군 성채",
	["The Scorched Grove"] = "불타버린 숲",
	["The Scorched Plain"] = "불타버린 평원",
	["The Scrap Field"] = "고철 지대",
	["The Scrapyard"] = "고철 야적장",
	["The Screaming Hall"] = "울부짖는 전당",
	["The Screaming Reaches"] = "비명굽이 산마루",
	["The Screeching Canyon"] = "비명 협곡",
	["The Scribe of Stormwind"] = "스톰인드 각인소",
	["The Scribes' Sacellum"] = "각인사의 성소",
	["The Scullery"] = "주방",
	["The Sea Reaver's Run"] = "바다 학살자의 터",
	["The Sea of Cinders"] = "잿더미 바다",
	["The Seabreach Flow"] = "바닷길 여울",
	["The Sealed Hall"] = "봉인된 전당",
	["The Searing Gateway"] = "이글거리는 관문",
	["The Secret Lab"] = "비밀 실험실",
	["The Seer's Library"] = "현자의 도서관",
	["The Sepulcher"] = "공동묘지",
	["The Severed Span"] = "부러진 교각",
	["The Sewer"] = "배수로",
	["The Shadow Stair"] = "어둠의 계단",
	["The Shadow Throne"] = "어둠의 왕좌",
	["The Shadow Vault"] = "어둠의 무기고",
	["The Shady Nook"] = "그늘 동굴",
	["The Shaper's Terrace"] = "구체자의 정원",
	["The Shattered Halls"] = "으스러진 손의 전당",
	["The Shattered Strand"] = "조각난 해안",
	["The Shattered Walkway"] = "부서진 산책로",
	["The Shepherd's Gate"] = "수호자의 관문",
	["The Shifting Mire"] = "변화의 늪",
	["The Shimmering Deep"] = "흐린빛 구덩이",
	["The Shimmering Flats"] = "소금 평원",
	["The Shining Strand"] = "반짝이는 호숫가",
	["The Shrine of Aessina"] = "아에시나의 제단",
	["The Shrine of Eldretharr"] = "엘드레사르 제단",
	["The Silver Blade"] = "은빛 칼날호",
	["The Silver Enclave"] = "은빛 자치구",
	["The Sin'loren"] = "신로렌호",
	["The Singing Grove"] = "노래하는 숲",
	["The Skeletal Reef"] = "해골 암초",
	["The Skittering Dark"] = "암흑 땅거미굴",
	["The Skull Warren"] = "해골 밀집지",
	["The Skunkworks"] = "비밀 실험실",
	["The Skybreaker"] = "하늘파괴자호",
	["The Skyreach Pillar"] = "하늘길 봉우리",
	["The Slag Pit"] = "잿가루 채석장",
	["The Slaughter House"] = "도살장",
	["The Slaughtered Lamb"] = "어둠의 희생양 선술집",
	["The Slave Pens"] = "강제 노역소",
	["The Slave Pits"] = "노예 구덩이",
	["The Slick"] = "매끈한 땅",
	["The Slithering Scar"] = "갈래굽이 구렁",
	["The Slough of Dispair"] = "절망의 구덩이",
	["The Sludge Fen"] = "진흙 늪",
	["The Sludge Fields"] = "진흙 농장",
	["The Sludgewerks"] = "진흙작업장",
	["The Solar Vigil"] = "태양 망루",
	["The Solarium"] = "태양의 전당",
	["The Spark of Imagination"] = "상상의 작업실",
	["The Sparkling Crawl"] = "광채의 흔적",
	["The Spawning Glen"] = "부화의 골짜기",
	["The Spire"] = "첨탑",
	["The Stadium"] = "경기장",
	["The Stagnant Oasis"] = "죽은 오아시스",
	["The Staidridge"] = "평온마루",
	["The Stair of Destiny"] = "운명의 계단",
	["The Stair of Doom"] = "파멸의 계단",
	["The Steam Pools"] = "증기 웅덩이",
	["The Steamvault"] = "증기 저장고",
	["The Steppe of Life"] = "생명의 평원",
	["The Steps of Fate"] = "운명의 계단",
	["The Stockade"] = "스톰윈드 지하감옥",
	["The Stockpile"] = "보급창",
	["The Stone Vault"] = "지하 석실",
	["The Stonecore"] = "바위심장부",
	["The Stonecore Entrance"] = "바위심장부 입구",
	["The Stonefield Farm"] = "스톤필드 농장",
	["The Storehouse"] = "창고",
	["The Storm Foundry"] = "폭풍 주조소",
	["The Storm Peaks"] = "폭풍우 봉우리",
	["The Stormbreaker"] = "폭풍파괴자호",
	["The Stormspire"] = "폭풍 첨탑",
	["The Stormwright's Shelf"] = "폭풍전령 바위",
	["The Sun Forge"] = "태양 괴철로",
	["The Sundered Shard"] = "조각난 파편",
	["The Sundering"] = "세계의 분리",
	["The Sunken Ring"] = "가라앉은 경기장",
	["The Sunspire"] = "태양 첨탑",
	["The Suntouched Pillar"] = "해마루 봉우리",
	["The Sunwell"] = "태양샘",
	["The Swarming Pillar"] = "벌레무리 기둥",
	["The Tainted Forest"] = "오염된 숲",
	["The Tainted Scar"] = "타락의 흉터",
	["The Talon Den"] = "갈퀴발톱굴",
	["The Talondeep Path"] = "갈퀴자국 토굴길",
	["The Tempest Rift"] = "폭풍우 균열",
	["The Temple Gardens"] = "신전 정원",
	["The Temple of Atal'Hakkar"] = "아탈학카르 신전",
	["The Terrestrial Watchtower"] = "현세의 감시탑",
	["The Thornsnarl"] = "가시타래",
	["The Threads of Fate"] = "운명의 실타래",
	["The Threshold"] = "문턱",
	["The Throne of Flame"] = "불꽃의 왕좌",
	["The Tidebreaker"] = "너울파괴자호",
	["The Tidus Stair"] = "타이더스 계단",
	["The Tower of Arathor"] = "아라소르의 탑",
	["The Toxic Airfield"] = "맹독 비행장",
	["The Trail of Devastation"] = "참담한 오솔길",
	["The Tranquil Grove"] = "고요한 숲",
	["The Transitus Stair"] = "변위의 계단",
	["The Trapper's Enclave"] = "덫사냥꾼 자치구",
	["The Tribunal of Ages"] = "시대의 심판장",
	["The Tundrid Hills"] = "툰드리드 언덕",
	["The Twilight Breach"] = "황혼의 틈",
	["The Twilight Caverns"] = "황혼 동굴",
	["The Twilight Citadel"] = "황혼 성채",
	["The Twilight Enclave"] = "황혼 자치구",
	["The Twilight Gate"] = "황혼 관문",
	["The Twilight Gauntlet"] = "황혼의 시련",
	["The Twilight Ridge"] = "황혼의 마루",
	["The Twilight Rivulet"] = "황혼의 개울",
	["The Twilight Withering"] = "황혼의 마른땅",
	["The Twin Colossals"] = "쌍둥이 바위산",
	["The Twisted Glade"] = "뒤틀린 숲",
	["The Unbound Thicket"] = "해방의 숲",
	["The Underbelly"] = "마법의 뒤안길",
	["The Underbog"] = "지하수렁",
	["The Undercroft"] = "지하 납골당",
	["The Underhalls"] = "지하 전당",
	["The Undershell"] = "지하껍질",
	["The Uplands"] = "고원",
	["The Upside-down Sinners"] = "속죄의 방",
	["The Valley of Fallen Heroes"] = "전사한 영웅의 계곡",
	["The Valley of Lost Hope"] = "잃어버린 희망의 계곡",
	["The Vault of Lights"] = "빛의 전당",
	["The Vector Coil"] = "벡터 코일",
	["The Veiled Cleft"] = "장막의 틈",
	["The Veiled Sea"] = "장막의 바다",
	["The Venture Co. Mine"] = "투자개발회사 광산",
	["The Verdant Fields"] = "신록의 들판",
	["The Verdant Thicket"] = "신록의 숲",
	["The Verne"] = "베른호",
	["The Verne - Bridge"] = "베른호 - 함교",
	["The Verne - Entryway"] = "베른호 - 출입 통로",
	["The Vibrant Glade"] = "활력의 숲",
	["The Vice"] = "악의 소굴",
	["The Vicious Vale"] = "악의 골짜기",
	["The Viewing Room"] = "스칼로맨스 강당",
	["The Vile Reef"] = "썩은내 산호초",
	["The Violet Citadel"] = "보랏빛 성채",
	["The Violet Citadel Spire"] = "보랏빛 성채 첨탑",
	["The Violet Gate"] = "보랏빛 관문",
	["The Violet Hold"] = "보랏빛 요새",
	["The Violet Spire"] = "보랏빛 첨탑",
	["The Violet Tower"] = "보랏빛 탑",
	["The Vortex Fields"] = "소용돌이 지대",
	["The Vortex Pinnacle"] = "소용돌이 누각",
	["The Vortex Pinnacle Entrance"] = "소용돌이 누각 입구",
	["The Wailing Caverns"] = "통곡의 동굴",
	["The Wailing Ziggurat"] = "통곡의 지구라트",
	["The Waking Halls"] = "각성의 전당",
	["The Warlord's Garrison"] = "대장군의 주둔지",
	["The Warlord's Terrace"] = "대장군의 단상",
	["The Warp Fields"] = "일그러진 벌판",
	["The Warp Piston"] = "초공간 추진기",
	["The Wavecrest"] = "물마루호",
	["The Weathered Nook"] = "비바람 바위굴",
	["The Weeping Cave"] = "진흙탕 동굴",
	["The Western Earthshrine"] = "서부 대지제단",
	["The Westrift"] = "서부 균열",
	["The Whelping Downs"] = "새끼용 구릉",
	["The Whipple Estate"] = "휘플가 저택",
	["The Wicked Coil"] = "악의 똬리",
	["The Wicked Grotto"] = "악의 동굴",
	["The Widow's Clutch"] = "과부의 손아귀",
	["The Wild Shore"] = "거친 해안",
	["The Winding Halls"] = "굽이진 전당",
	["The Windrunner"] = "윈드러너호",
	["The Wollerton Stead"] = "월러튼 농장",
	["The Wonderworks"] = "신기한 장난감 상점",
	["The World Tree"] = "세계수",
	["The Writhing Deep"] = "고통의 구덩이",
	["The Writhing Haunt"] = "고통의 흉가",
	["The Yorgen Farmstead"] = "요르겐 농장",
	["The Zoram Strand"] = "조람 해안",
	["Thelgen Rock"] = "텔겐 바위굴",
	Thelsamar = "텔사마",
	Theramore = "테라모어 섬",
	["Theramore Isle"] = "테라모어 섬",
	["Therazane's Throne"] = "테라제인의 옥좌",
	["Thermal Vents"] = "열기 배출구",
	["Thieves Camp"] = "도둑 야영지",
	["Thistlefur Hold"] = "엉겅퀴 소굴",
	["Thistlefur Village"] = "엉겅퀴 마을",
	["Thistleshrub Valley"] = "덤불나무 골짜기",
	["Thondroril River"] = "톤드로릴 강",
	["Thor Modan"] = "토르 모단",
	["Thoradin's Wall"] = "소라딘의 성벽",
	["Thorium Advance"] = "토륨 진군지",
	["Thorium Point"] = "토륨 거점",
	["Thorn Hill"] = "가시덩굴 언덕",
	["Thornfang Hill"] = "가시송곳니 언덕",
	["Thornmantle's Hideout"] = "가시목도리의 은신처",
	["Thorson's Post"] = "토르손의 전초기지",
	["Thorvald's Camp"] = "토르발트의 야영지",
	["Thousand Needles"] = "버섯구름 봉우리",
	Thrallmar = "스랄마",
	["Thrallmar Mine"] = "스랄마 광산",
	["Three Corners"] = "붉은마루 삼거리",
	["Throne of Kil'jaeden"] = "킬제덴의 옥좌",
	["Throne of Neptulon"] = "넵튤론의 왕좌",
	["Throne of Tides"] = "파도의 왕좌",
	["Throne of the Apocalypse"] = "대재앙의 권좌",
	["Throne of the Damned"] = "저주받은 자의 옥좌",
	["Throne of the Elements"] = "정령의 옥좌",
	["Throne of the Four Winds"] = "네 바람의 왕좌",
	["Throne of the Tides"] = "파도의 왕좌",
	["Throne of the Tides Entrance"] = "파도의 왕좌 입구",
	["Thrym's End"] = "스림의 최후",
	["Thunder Axe Fortress"] = "천둥도끼 요새",
	["Thunder Bluff"] = "썬더 블러프",
	["Thunder Falls"] = "천둥 폭포",
	["Thunder Peak"] = "천둥 봉우리",
	["Thunder Ridge"] = "천둥 마루",
	Thunderbluff = "썬더 블러프",
	["Thunderbrew Distillery"] = "썬더브루 양조장",
	Thunderfall = "천둥 골짜기",
	["Thunderhorn Water Well"] = "썬더혼 우물",
	["Thundering Overlook"] = "천둥 전망대",
	["Thunderlord Stronghold"] = "천둥군주 요새",
	Thundermar = "썬더마",
	["Thundermar Ruins"] = "썬더마 폐허",
	["Thunderstrike Mountain"] = "천둥쐐기 산",
	["Thunk's Abode"] = "성크의 거처",
	["Thuron's Livery"] = "투론의 매타조 훈련장",
	["Tidefury Cove"] = "성난파도 만",
	["Tides' Hollow"] = "파도 동굴",
	["Timbermaw Hold"] = "나무구렁 요새",
	["Timbermaw Post"] = "나무구렁 야영지",
	["Tinker Town"] = "땜장이 마을",
	["Tinkers' Court"] = "땜장이 왕실",
	["Tiragarde Keep"] = "타이라가드 요새",
	["Tirisfal Glades"] = "티리스팔 숲",
	["Tirth's Haunt"] = "틸스의 거처",
	["Tkashi Ruins"] = "트카시 폐허",
	["Tol Barad"] = "톨 바라드",
	["Tol Barad Peninsula"] = "톨 바라드 반도",
	["Tomb of Lights"] = "빛의 무덤",
	["Tomb of the Ancients"] = "선조의 무덤",
	["Tomb of the Earthrager"] = "대지전복자의 무덤",
	["Tomb of the Lost Kings"] = "왕의 무덤",
	["Tomb of the Sun King"] = "태양왕의 무덤",
	["Tomb of the Watchers"] = "감시자의 무덤",
	["Tombs of the Precursors"] = "선도자의 무덤",
	["Tome of the Unrepentant"] = "죄악의 무덤",
	["Tor'Watha"] = "토르와타",
	["Tor'kren Farm"] = "톨크렌 농장",
	["Torp's Farm"] = "토르프의 농장",
	["Torseg's Rest"] = "토르섹의 쉼터",
	["Toryl Estate"] = "토릴 영지",
	["Toshley's Station"] = "토쉴리의 연구기지",
	["Tower Point"] = "거점 보초탑",
	["Tower Watch"] = "탑 감시초소",
	["Tower of Althalaxx"] = "알살락스의 탑",
	["Tower of Azora"] = "아조라의 탑",
	["Tower of Eldara"] = "엘다라의 탑",
	["Tower of Estulan"] = "에스툴란의 탑",
	["Tower of Ilgalar"] = "일갈라의 탑",
	["Tower of the Damned"] = "저주받은 자의 탑",
	["Town Square"] = "마을 광장",
	["Town-In-A-Box"] = "상자 마을",
	["Trade District"] = "상업 지구",
	["Trade Quarter"] = "상업 지구",
	["Trader's Tier"] = "교역 지구",
	["Tradesmen's Terrace"] = "상인의 정원",
	["Train Depot"] = "병참 보급창",
	["Training Grounds"] = "훈련장",
	["Traitor's Cove"] = "배신자의 만",
	["Tranquil Coast"] = "평온의 해안",
	["Tranquil Gardens Cemetery"] = "고요의 정원 묘지",
	["Tranquil Shore"] = "평온의 해변",
	["Tranquil Wash"] = "평온의 침식지",
	Tranquillien = "트랜퀼리엔",
	Transborea = "북풍길",
	["Transitus Shield"] = "변위의 보호막",
	["Transport: Alliance Gunship"] = "수송: 얼라이언스 비행포격선",
	["Transport: Alliance Gunship (IGB)"] = "수송: 얼라이언스 비행포격선",
	["Transport: Horde Gunship"] = "수송: 호드 비행포격선",
	["Transport: Horde Gunship (IGB)"] = "수송: 호드 비행포격선",
	["Transport: Onyxia/Nefarian Elevator"] = "이동: 오닉시아/네파리안 승강기",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "이동: 질풍호 (얼음왕관 성채 공격대)",
	["Trelleum Mine"] = "트렐리움 광산",
	["Trial of Fire"] = "불의 시험장",
	["Trial of Frost"] = "서리의 시험장",
	["Trial of Shadow"] = "암흑의 시험장",
	["Trial of the Champion"] = "용사의 시험장",
	["Trial of the Champion Entrance"] = "용사의 시험장 입구",
	["Trial of the Crusader"] = "십자군의 시험장",
	["Trogma's Claim"] = "트로그마의 점령지",
	["Trollbane Hall"] = "트롤베인 전당",
	["Trophy Hall"] = "전리품 전당",
	["Trueshot Point"] = "정조준 초소",
	["Tuluman's Landing"] = "툴루만의 교역지",
	Tuurem = "투렘",
	["Twilight Aerie"] = "황혼의 맹금요새",
	["Twilight Altar of Storms"] = "폭풍의 황혼 제단",
	["Twilight Base Camp"] = "황혼의 주둔지",
	["Twilight Bulwark"] = "황혼의 보루",
	["Twilight Camp"] = "황혼의 야영지",
	["Twilight Command Post"] = "황혼의 지휘 초소",
	["Twilight Crossing"] = "황혼의 교차점",
	["Twilight Forge"] = "황혼의 제련소",
	["Twilight Grove"] = "황혼의 숲",
	["Twilight Highlands"] = "황혼의 고원",
	["Twilight Highlands Phased Entrance"] = "황혼의 고원 단계적 입구",
	["Twilight Outpost"] = "황혼의 전초기지",
	["Twilight Overlook"] = "황혼 전망대",
	["Twilight Post"] = "황혼의 초소",
	["Twilight Precipice"] = "황혼의 낭떠러지",
	["Twilight Shore"] = "황혼 해안",
	["Twilight Terrace"] = "황혼의 단상",
	["Twilight Vale"] = "황혼의 계곡",
	["Twilight's Run"] = "황혼의 터",
	["Twin Peaks"] = "쌍둥이 봉우리",
	["Twin Shores"] = "쌍둥이 해안",
	["Twin Spire Ruins"] = "쌍둥이 첨탑 폐허",
	["Twinbraid's Patrol"] = "트윈브레이드 지구대",
	["Twisting Nether"] = "뒤틀린 황천",
	["Tyr's Hand"] = "티르의 손 수도원",
	["Tyr's Hand Abbey"] = "티르의 손 수도회당",
	["Tyr's Terrace"] = "티르의 단상",
	["Ufrang's Hall"] = "우프랑의 전당",
	Uldaman = "울다만",
	["Uldaman Entrance"] = "울다만 입구",
	Uldis = "울디스",
	Ulduar = "울두아르",
	["Ulduar Raid - Interior - Insertion Point"] = "울두아르 공격대",
	["Ulduar Raid - Iron Concourse"] = "울두아르 공격대",
	Uldum = "울둠",
	["Uldum Phase Oasis"] = "울둠 차원의 오아시스",
	["Uldum Phased Entrance"] = "울둠 단계적 입구",
	["Umbrafen Lake"] = "그늘늪 호수",
	["Umbrafen Village"] = "그늘늪 마을",
	["Un'Goro Crater"] = "운고로 분화구",
	Undercity = "언더시티",
	["Underlight Canyon"] = "미명 협곡",
	["Underlight Mines"] = "미명 광산",
	["Unearthed Grounds"] = "발굴된 땅",
	["Unu'pe"] = "우누페",
	["Unyielding Garrison"] = "불굴의 주둔지",
	["Upper Silvermarsh"] = "은빛늪지 상류",
	["Upper Veil Shil'ak"] = "장막의 쉴라크 언덕",
	["Ursoc's Den"] = "우르속의 동굴",
	Ursolan = "우르솔란",
	["Utgarde Catacombs"] = "우트가드 지하묘지",
	["Utgarde Keep"] = "우트가드 성채",
	["Utgarde Keep Entrance"] = "우트가드 성채 입구",
	["Utgarde Pinnacle"] = "우트가드 첨탑",
	["Utgarde Pinnacle Entrance"] = "우트가드 첨탑 입구",
	["Uther's Tomb"] = "우서 경의 무덤",
	["Valaar's Berth"] = "발라르의 나루",
	["Valgan's Field"] = "발간 농장",
	Valgarde = "발가드",
	["Valgarde Port"] = "발가드 항만",
	Valhalas = "발할라스",
	["Valiance Keep"] = "용맹의 성채",
	["Valiance Landing Camp"] = "용맹의 주둔지",
	Valkyrion = "발키리온",
	["Valley Of Heroes"] = "영웅의 계곡",
	["Valley of Ancient Winters"] = "고대의 겨울 계곡",
	["Valley of Ashes"] = "재의 계곡",
	["Valley of Bones"] = "뼈의 골짜기",
	["Valley of Echoes"] = "메아리 골짜기",
	["Valley of Fangs"] = "송곳니 골짜기",
	["Valley of Heroes"] = "영웅의 계곡",
	["Valley of Honor"] = "명예의 골짜기",
	["Valley of Kings"] = "왕의 계곡",
	["Valley of Spears"] = "뾰족바위 골짜기",
	["Valley of Spirits"] = "정기의 골짜기",
	["Valley of Strength"] = "힘의 골짜기",
	["Valley of Trials"] = "시험의 골짜기",
	["Valley of Wisdom"] = "지혜의 골짜기",
	["Valley of the Bloodfuries"] = "혈폭풍 일족의 골짜기",
	["Valley of the Watchers"] = "감시자의 골짜기",
	["Valor's Rest"] = "용사의 안식처",
	Valormok = "발로르모크",
	["Valorwind Lake"] = "돌개바람 호수",
	["Vanguard Infirmary"] = "선봉기지 치료소",
	["Vanndir Encampment"] = "반디르 야영지",
	["Vargoth's Retreat"] = "바르고스의 은거지",
	["Vashj'elan Spawning Pool"] = "바쉬엘란 산란못",
	["Vashj'ir"] = "바쉬르",
	["Vault of Archavon"] = "아카본 석실",
	["Vault of Ironforge"] = "아이언포지 사설금고",
	["Vault of the Ravenian"] = "라베니안 납골당",
	["Vault of the Shadowflame"] = "암흑불길 석실",
	["Veil Ala'rak"] = "장막의 알라라크",
	["Veil Harr'ik"] = "장막의 하리크",
	["Veil Lashh"] = "장막의 래쉬",
	["Veil Lithic"] = "장막의 리디크",
	["Veil Reskk"] = "장막의 레스크",
	["Veil Rhaze"] = "장막의 라제",
	["Veil Ruuan"] = "장막의 루안",
	["Veil Sethekk"] = "장막의 세데크",
	["Veil Shalas"] = "장막의 샬라스",
	["Veil Shienor"] = "장막의 쉬에노르",
	["Veil Skith"] = "장막의 스키스",
	["Veil Vekh"] = "장막의 베크",
	["Vekhaar Stand"] = "베크하르 고원",
	["Velaani's Arcane Goods"] = "벨라아니 비전 상점",
	["Vendetta Point"] = "원한의 거점",
	["Vengeance Landing"] = "복수의 상륙지",
	["Vengeance Landing Inn"] = "복수의 상륙지 여관",
	["Vengeance Landing Inn, Howling Fjord"] = "복수의 상륙지 여관 (울부짖는 협만)",
	["Vengeance Lift"] = "복수의 승강장",
	["Vengeance Pass"] = "복수의 고개",
	["Vengeance Wake"] = "복수의 흔적호",
	Venomspite = "원한의 초소",
	["Venomweb Vale"] = "독그물 골짜기",
	["Venture Bay"] = "투자개발 만",
	["Venture Co. Base Camp"] = "투자개발회사 탐사기지",
	["Venture Co. Operations Center"] = "투자개발회사 기계조작실",
	["Verdant Highlands"] = "신록의 고원",
	["Verdantis River"] = "베르단티스 강",
	["Veridian Point"] = "청록 해안",
	["Verlok Stand"] = "베를로크 바윗부리",
	["Vermillion Redoubt"] = "주홍빛 보루",
	["Verrall Delta"] = "베랄 삼각주",
	["Verrall River"] = "베랄 강",
	["Victor's Point"] = "승리자 거점",
	["Vileprey Village"] = "썩은수렵 마을",
	["Vim'gol's Circle"] = "빔골의 마법진",
	["Vindicator's Rest"] = "구원자의 안식처",
	["Violet Citadel Balcony"] = "보랏빛 성채 발코니",
	["Violet Hold"] = "보랏빛 요새",
	["Violet Hold Entrance"] = "보랏빛 요새 입구",
	["Violet Stand"] = "보랏빛 단",
	["Vir'naal Dam"] = "비르나알 둑",
	["Vir'naal Lake"] = "비르나알 호수",
	["Vir'naal Oasis"] = "비르나알 오아시스",
	["Vir'naal River"] = "비르나알 강",
	["Vir'naal River Delta"] = "비르나알 강 삼각주",
	["Void Ridge"] = "공허의 마루",
	["Voidwind Plateau"] = "공허의 바람 고원",
	["Volcanoth's Lair"] = "볼카노스의 굴",
	["Voldrin's Hold"] = "볼드린의 장악호",
	Voldrune = "볼드룬",
	["Voldrune Dwelling"] = "볼드룬 주거지",
	Voltarus = "볼타루스",
	["Vordrassil Pass"] = "볼드랏실 고개",
	["Vordrassil's Heart"] = "볼드랏실의 심장",
	["Vordrassil's Limb"] = "볼드랏실의 가지",
	["Vordrassil's Tears"] = "볼드랏실의 눈물",
	["Vortex Pinnacle"] = "소용돌이 누각",
	["Vortex Summit"] = "소용돌이 꼭대기",
	["Vul'Gol Ogre Mound"] = "벌골 오우거 소굴",
	["Vyletongue Seat"] = "바일텅의 왕좌",
	["Wahl Cottage"] = "왈 산장",
	["Wailing Caverns"] = "통곡의 동굴",
	["Walk of Elders"] = "장로의 거리",
	["War Quarter"] = "군사 지구",
	["War Room"] = "전략 회의실",
	["Warbringer's Ring"] = "전쟁인도자 광장",
	["Warchief's Lookout"] = "대족장의 망루",
	["Warden's Cage"] = "감시자의 수용소",
	["Warden's Chambers"] = "감시자의 방",
	["Warden's Vigil"] = "감시자의 망루",
	["Warmaul Hill"] = "전쟁망치 언덕",
	["Warpwood Quarter"] = "굽이나무 지구",
	["Warrior's Terrace"] = "전사의 정원",
	["Warsong Camp"] = "전쟁노래 야영지",
	["Warsong Farms Outpost"] = "전쟁노래 농장 전진기지",
	["Warsong Flag Room"] = "전쟁노래 깃발 보관실",
	["Warsong Granary"] = "전쟁노래 곡물창고",
	["Warsong Gulch"] = "전쟁노래 협곡",
	["Warsong Hold"] = "전쟁노래 요새",
	["Warsong Jetty"] = "전쟁노래 부두",
	["Warsong Labor Camp"] = "전쟁노래 노동기지",
	["Warsong Lumber Camp"] = "전쟁노래 벌목기지",
	["Warsong Lumber Mill"] = "전쟁노래 제재소",
	["Warsong Slaughterhouse"] = "전쟁노래 도살장",
	["Watchers' Terrace"] = "감시자의 정원",
	["Waterspring Field"] = "샘솟는 벌판",
	Waterworks = "수력작업장",
	["Wavestrider Beach"] = "파도타기 해안",
	["Wayfarer's Rest"] = "나그네의 쉼터",
	Waygate = "차원문",
	["Wayne's Refuge"] = "웨인의 은거처",
	["Weazel's Crater"] = "위젤의 분화구",
	["Webwinder Hollow"] = "그물누비 동굴",
	["Webwinder Path"] = "그물누비 고개",
	["Weeping Quarry"] = "진흙탕 채석장",
	["Well of the Forgotten"] = "망각의 샘",
	["Wellson Shipyard"] = "웰슨 조선소",
	["Wellspring Hovel"] = "생명의 오두막",
	["Wellspring Lake"] = "생명의 호수",
	["Wellspring River"] = "생명의 강",
	["West Garrison"] = "서쪽 주둔지",
	["West Pillar"] = "서쪽 기둥",
	["West Point Station"] = "서부 거점",
	["West Point Tower"] = "서부 경비탑",
	["West Sanctum"] = "서부 성소",
	["West Spear Tower"] = "서부창 경비탑",
	["West Spire"] = "서쪽 첨탑",
	["Westbrook Garrison"] = "서쪽시내 주둔지",
	["Western Bridge"] = "서부 교각",
	["Western Plaguelands"] = "서부 역병지대",
	["Western Strand"] = "서부 해안",
	Westfall = "서부 몰락지대",
	["Westfall Brigade"] = "서부 몰락지대 여단",
	["Westfall Brigade Encampment"] = "서부 몰락지대 여단 야영지",
	["Westfall Lighthouse"] = "서부 몰락지대 등대",
	["Westguard Inn"] = "서부경비대 여관",
	["Westguard Keep"] = "서부경비대 성채",
	["Westguard Turret"] = "서부경비대 포탑",
	["Westreach Summit"] = "하늬자락 꼭대기",
	["Westspark Workshop"] = "서부불꽃 작업장",
	["Westwind Lift"] = "서풍의 승강장",
	["Westwind Refugee Camp"] = "서풍의 피난민 행렬",
	Wetlands = "저습지",
	["Whelgar's Excavation Site"] = "웰가르의 발굴현장",
	["Whelgar's Retreat"] = "웰가르의 은거지",
	["Whisper Gulch"] = "속삭임 협곡",
	["Whispering Forest"] = "속삭임의 숲",
	["Whispering Gardens"] = "속삭임의 정원",
	["Whispering Shore"] = "속삭임의 해안",
	["Whisperwind Grove"] = "바람속삭임 숲",
	["Whistling Grove"] = "휘파람 숲",
	["White Pine Trading Post"] = "흰 소나무 교역소",
	["Whitebeard's Encampment"] = "화이트비어드 야영지",
	["Whitereach Post"] = "백사장 야영지",
	["Wild Overlook"] = "황량한 전망대",
	["Wild Shore"] = "거친 해안",
	["Wildbend River"] = "성난굽이 강",
	["Wildervar Mine"] = "빌더바르 광산",
	["Wildflame Point"] = "거친불꽃 거점",
	["Wildgrowth Mangal"] = "야생수풀 늪지대",
	["Wildhammer Flag Room"] = "와일드해머 깃발 보관실",
	["Wildhammer Keep"] = "와일드해머 요새",
	["Wildhammer Stronghold"] = "와일드해머 성채",
	["Wildheart Point"] = "거친심장 거점",
	["Wildmane Water Well"] = "와일드메인 우물",
	["Wildpaw Cavern"] = "자갈발 동굴",
	["Wildpaw Ridge"] = "자갈발 마루",
	["Wildwind Lake"] = "갈기바람 호수",
	["Wildwind Path"] = "갈기바람 길",
	["Wildwind Peak"] = "갈기바람 봉우리",
	["Windbreak Canyon"] = "갈기바람 협곡",
	["Windfury Ridge"] = "성난바람 마루",
	["Windrunner Spire"] = "윈드러너 첨탑",
	["Windrunner Village"] = "윈드러너 마을",
	["Windrunner's Overlook"] = "윈드러너 전망대",
	["Windshear Crag"] = "칼바람 바위산",
	["Windshear Heights"] = "칼바람 언덕",
	["Windshear Hold"] = "칼바람 요새",
	["Windshear Mine"] = "칼바람 광산",
	["Windshear Valley"] = "칼바람 골짜기",
	["Windy Bluffs"] = "바람 절벽",
	["Windyreed Pass"] = "바람갈대 고개",
	["Windyreed Village"] = "바람갈대 마을",
	["Winter's Breath Lake"] = "겨울의 숨결 호수",
	["Winter's Edge Tower"] = "겨울 칼날 경비탑",
	["Winter's Heart"] = "겨울의 심장",
	["Winter's Terrace"] = "겨울 단상",
	["Winterax Hold"] = "겨울도끼 요새",
	["Winterfall Village"] = "겨울눈 마을",
	["Winterfin Caverns"] = "겨울지느러미 동굴",
	["Winterfin Retreat"] = "겨울지느러미 은신처",
	["Winterfin Village"] = "겨울지느러미 마을",
	["Wintergarde Crypt"] = "윈터가드 납골당",
	["Wintergarde Keep"] = "윈터가드 성채",
	["Wintergarde Mausoleum"] = "윈터가드 묘지",
	["Wintergarde Mine"] = "윈터가드 광산",
	Wintergrasp = "겨울손아귀 호수",
	["Wintergrasp Fortress"] = "겨울손아귀 요새",
	["Wintergrasp River"] = "겨울손아귀 강",
	["Winterhoof Water Well"] = "윈터후프 우물",
	Winterspring = "여명의 설원",
	["Witch Hill"] = "마녀 언덕",
	["Witch's Sanctum"] = "마녀의 성소",
	["Witherbark Caverns"] = "마른나무껍질 동굴",
	["Witherbark Village"] = "마른나무껍질 마을",
	["Withering Thicket"] = "메마른 숲",
	["Wizard Row"] = "마법사 지구",
	["Wizard's Sanctum"] = "마법사의 성소",
	["Wolf's Run"] = "늑대의 터",
	["Wood's End Cabin"] = "막다른 숲 오두막",
	["Woodpaw Den"] = "덩굴발 소굴",
	["Woodpaw Hills"] = "덩굴발 언덕",
	Workshop = "작업장",
	["Workshop Entrance"] = "작업장 입구",
	["World's End Tavern"] = "세상의 끝 선술집",
	["Wrathscale Lair"] = "성난비늘 둥지",
	["Wrathscale Point"] = "성난비늘 거점",
	["Wreckage of the Silver Dawning"] = "은빛 새벽호의 잔해",
	["Writhing Mound"] = "고뇌의 언덕",
	Wyrmbog = "용의 둥지",
	["Wyrmbreaker's Rookery"] = "고룡파괴자의 부화장",
	["Wyrmrest Temple"] = "고룡쉼터 사원",
	["Wyrms' Bend"] = "고룡굽이",
	["Wyrmscar Island"] = "고룡흉터 섬",
	["Wyrmskull Bridge"] = "고룡해골 다리",
	["Wyrmskull Tunnel"] = "고룡해골 굴",
	["Wyrmskull Village"] = "고룡해골 마을",
	["X-2 Pincer"] = "쌍집게발호",
	Xavian = "사비안",
	Ymirheim = "이미르하임",
	["Ymiron's Seat"] = "이미론의 왕좌",
	["Yojamba Isle"] = "요잠바 섬",
	["Yowler's Den"] = "요울러의 소굴",
	["Zabra'jin"] = "자브라진",
	["Zaetar's Grave"] = "재타르의 무덤",
	["Zalashji's Den"] = "잘라쉬지의 굴",
	["Zalazane's Fall"] = "잘라제인의 몰락지",
	["Zane's Eye Crater"] = "제인의 눈동자 분화구",
	["Zangar Ridge"] = "장가르 마루",
	Zangarmarsh = "장가르 습지대",
	["Zeb'Halak"] = "제브할락",
	["Zeb'Nowa"] = "제브노와",
	["Zeb'Sora"] = "제브소라",
	["Zeb'Tela"] = "제브텔라",
	["Zeb'Watha"] = "제브와타",
	["Zeppelin Crash"] = "비행선 추락지",
	Zeramas = "제라마스",
	["Zeth'Gor"] = "제스고르",
	["Ziata'jai Ruins"] = "지아타자이 폐허",
	["Zim'Abwa"] = "짐아브와",
	["Zim'Rhuk"] = "짐루크",
	["Zim'Torga"] = "짐토르가",
	["Zim'bo's Hideout"] = "짐보의 은신처",
	["Zol'Heb"] = "졸헤브",
	["Zol'Maz Stronghold"] = "졸마즈 요새",
	["Zoram'gar Outpost"] = "조람가르 전초기지",
	["Zul'Aman"] = "줄아만",
	["Zul'Drak"] = "줄드락",
	["Zul'Farrak"] = "줄파락",
	["Zul'Farrak Entrance"] = "줄파락 입구",
	["Zul'Gurub"] = "줄구룹",
	["Zul'Mashar"] = "줄마샤르",
	["Zun'watha"] = "준와타",
	["Zuuldaia Ruins"] = "줄다이아 폐허",
}

elseif GAME_LOCALE == "esMX" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "Campamento base de la Séptima Legión",
	["7th Legion Front"] = "Frente de la Séptima Legión",
	["7th Legion Submarine"] = "Submarino de la Séptima Legión",
	["A Hero's Welcome"] = "La Bienvenida de un Héroe",
	["Abandoned Armory"] = "Armería Abandonada",
	["Abandoned Camp"] = "Campamento Abandonado",
	["Abandoned Mine"] = "Mina Abandonada",
	["Abandoned Reef"] = "Arrecife Abandonado",
	["Abyssal Breach"] = "Brecha Abisal",
	["Abyssal Depths"] = "Profundidades Abisales",
	["Abyssal Halls"] = "Cámaras Abisales",
	["Abyssal Maw"] = "Fauce Abisal",
	["Abyssal Maw Exterior"] = "Fauce Abisal Exterior",
	["Abyssal Sands"] = "Arenas Abisales",
	["Abyssion's Lair"] = "Guarida de Abismion",
	["Access Shaft Zeon"] = "Eje de Acceso Zeon",
	["Acherus: The Ebon Hold"] = "Acherus: El Bastión de Ébano",
	["Addle's Stead"] = "Granja de Addle",
	["Aderic's Repose"] = "Reposo de Aderic",
	["Aerie Peak"] = "Pico Nidal",
	["Aeris Landing"] = "Desembarco Aeris",
	["Agamand Family Crypt"] = "Cripta de la Familia Agamand",
	["Agamand Mills"] = "Molinos de Agamand",
	["Agmar's Hammer"] = "Martillo de Agmar",
	["Agmond's End"] = "El Final de Agmond",
	["Agol'watha"] = "Agol'watha",
	["Ahn Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Templo de Ahn'Qiraj",
	["Ahn'Qiraj Terrace"] = "Bancal de Ahn'Qiraj",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj: El Reino Caído",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet: El Antiguo Reino",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Ahn'kahet: Entrada de El Antiguo Reino",
	["Akhenet Fields"] = "Campos de Akhenet",
	["Aku'mai's Lair"] = "Guarida de Aku'mai",
	["Alabaster Shelf"] = "Saliente Alabastro",
	["Alcaz Island"] = "Isla de Alcaz",
	["Aldor Rise"] = "Alto Aldor",
	Aldrassil = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar: La Puerta de la Desolación",
	["Alexston Farmstead"] = "Hacienda de Alexston",
	["Algaz Gate"] = "Puerta de Algaz",
	["Algaz Station"] = "Estación de Algaz",
	["All That Glitters Prospecting Co."] = "Prospección Todo lo Que Brilla y Cía.",
	["Allen Farmstead"] = "Hacienda de Allen",
	["Allerian Post"] = "Puesto Allerian",
	["Allerian Stronghold"] = "Bastión Allerian",
	["Alliance Base"] = "Base de la Alianza",
	["Alliance Beachhead"] = "Desembarco de la Alianza",
	["Alliance Keep"] = "Fortaleza de la Alianza",
	["Alliance Mercenary Ship to Vashj'ir"] = "Barco mercenario de la Alianza a Vashj'ir",
	["Alliance PVP Barracks"] = "Cuartel JcJ de la Alianza",
	["Alonsus Chapel"] = "Capilla de Alonsus",
	["Altar of Ascension"] = "Altar de la Ascensión",
	["Altar of Har'koa"] = "Altar de Har'koa",
	["Altar of Mam'toth"] = "Altar de Mam'toth",
	["Altar of Quetz'lun"] = "Altar de Quetz'lun",
	["Altar of Rhunok"] = "Altar de Rhunok",
	["Altar of Sha'tar"] = "Altar de Sha'tar",
	["Altar of Sseratus"] = "Altar de Sseratus",
	["Altar of Storms"] = "Altar de la Tempestad",
	["Altar of Twilight"] = "Altar del Crepúsculo",
	["Altar of the Blood God"] = "Altar del Dios de la Sangre",
	["Alterac Mountains"] = "Montañas de Alterac",
	["Alterac Valley"] = "Valle de Alterac",
	["Alther's Mill"] = "Molino de Alther",
	["Amani Catacombs"] = "Catacumbas Amani",
	["Amani Mountains"] = "Montañas Amani",
	["Amani Pass"] = "Paso de Amani",
	["Amber Ledge"] = "El Saliente Ámbar",
	Ambermill = "Molino Ámbar",
	["Amberpine Lodge"] = "Refugio Pino Ámbar",
	["Ambershard Cavern"] = "Cueva Ambarina",
	["Amberstill Ranch"] = "Granja de Semperámbar",
	["Amberweb Pass"] = "Paso de Redámbar",
	["Ameth'Aran"] = "Ameth'Aran",
	["Ammen Fields"] = "Campos Ammen",
	["Ammen Ford"] = "Vado Ammen",
	["Ammen Vale"] = "Valle Ammen",
	["Amphitheater of Anguish"] = "Anfiteatro de la Angustia",
	["Ampitheater of Anguish"] = "Anfiteatro de la Angustia",
	["An'daroth"] = "An'daroth",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Ancestral Grounds"] = "Tierras Ancestrales",
	["Ancient Zul'Gurub"] = "Antiguo Zul'Gurub",
	["Andilien Estate"] = "Dominios Andilien",
	Andorhal = "Andorhal",
	Andruk = "Andruk",
	["Angerfang Encampment"] = "Campamento Dentellada",
	["Ango'rosh Grounds"] = "Dominios Ango'rosh",
	["Ango'rosh Stronghold"] = "Bastión Ango'rosh",
	["Angor Fortress"] = "Fortaleza de Angor",
	["Angrathar the Wrath Gate"] = "Angrathar la Puerta de Cólera",
	["Angrathar the Wrathgate"] = "Angrathar la Puerta de Cólera",
	["Antonidas Memorial"] = "Monumento de Antonidas",
	["Anvil of Conflagration"] = "Yunque de Conflagración",
	Anvilmar = "Yunquemar",
	["Apex Point"] = "La Cúspide",
	["Apocryphan's Rest"] = "Descanso de Apócrifo",
	["Apothecary Camp"] = "Campamento de los Boticarios",
	["Arathi Basin"] = "Cuenca de Arathi",
	["Arathi Highlands"] = "Tierras Altas de Arathi",
	["Arcane Pinnacle"] = "Pináculo Arcano",
	["Archmage Vargoth's Retreat"] = "Reposo del Archimago Vargoth",
	["Area 52"] = "Área 52",
	["Arena Floor"] = "El Suelo de la Arena",
	["Argent Pavilion"] = "Pabellón Argenta",
	["Argent Stand"] = "El Confín Argenta",
	["Argent Tournament Grounds"] = "Campos del Torneo Argenta",
	["Argent Vanguard"] = "Vanguardia Argenta",
	["Ariden's Camp"] = "Campamento de Ariden",
	["Arikara's Needle"] = "Aguja de Arikara",
	["Arklon Ruins"] = "Ruinas Arklon",
	["Arklonis Ridge"] = "Cresta Arklonis",
	["Arriga Footbridge"] = "Pasarela de Arriga",
	["Arsad Trade Post"] = "Puesto Comercial de Arsad",
	["Ascendant's Rise"] = "Alto del Ascendiente",
	["Ashen Fields"] = "Campos Cinéreos",
	["Ashen Lake"] = "Lago Cinéreo",
	Ashenvale = "Vallefresno",
	["Ashwood Lake"] = "Lago Fresno",
	["Ashwood Post"] = "Puesto Fresno",
	["Aspen Grove Post"] = "Puesto de la Alameda",
	Astranaar = "Astranaar",
	["Ata'mal Terrace"] = "Bancal de Ata'mal",
	Athenaeum = "El Athenaeum",
	["Atulhet's Tomb"] = "Tumba de Atulhet",
	["Auberdine Refugee Camp"] = "Campamento de refugiados de Auberdine",
	["Auchenai Crypts"] = "Criptas Auchenai",
	["Auchenai Grounds"] = "Tierras Auchenai",
	Auchindoun = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Entrada de las Criptas Auchenai",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Entrada de las Tumbas de Maná",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Entrada de las Salas Sethekk",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Entrada del Laberinto de las Sombras",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun: Criptas Auchenai",
	["Auchindoun: Mana-Tombs"] = "Auchindoun: Tumbas de Maná",
	["Auchindoun: Sethekk Halls"] = "Auchindoun: Salas Sethekk",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun: Laberinto de las Sombras",
	["Auren Falls"] = "Cascadas Auren",
	["Auren Ridge"] = "Cresta Auren",
	["Avalanchion's Vault"] = "Cámara de Avalanchion",
	Aviary = "El Aviario",
	["Axis of Alignment"] = "Eje de Alineación",
	Axxarien = "Axxarien",
	["Azjol-Nerub"] = "Azjol-Nerub",
	["Azjol-Nerub Entrance"] = "Entrada de Azjol-Nerub",
	Azshara = "Azshara",
	["Azshara Crater"] = "Cráter de Azshara",
	["Azure Dragonshrine"] = "Santuario de Dragones Azur",
	["Azure Watch"] = "Avanzada Azur",
	["Azurebreeze Coast"] = "Costa Bris Azur",
	["Azurelode Mine"] = "Mina Azur",
	["Azuremyst Isle"] = "Isla Bruma Azur",
	Badlands = "Tierras Inhóspitas",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Excavación de Bael Modan",
	["Bael'dun Digsite"] = "Excavación de Bael'dun",
	["Bael'dun Keep"] = "Fortaleza de Bael'dun",
	["Baelgun's Excavation Site"] = "Excavación de Baelgun",
	["Bahrum's Post"] = "Puesto de Bahrum",
	["Bal'lal Ruins"] = "Ruinas de Bal'lal",
	["Balargarde Fortress"] = "Fortaleza de Balargarde",
	Baleheim = "Baleheim",
	["Balejar Watch"] = "Avanzada Balejar",
	["Balia'mah Ruins"] = "Ruinas de Balia'mah",
	["Balnir Farmstead"] = "Hacienda Balnir",
	Bambala = "Bambala",
	["Ban'Thallow Barrow Den"] = "Túmulo de Ban'Thallow",
	["Ban'ethil Barrow Den"] = "Túmulo de Ban'ethil",
	["Ban'ethil Barrow Descent"] = "Descenso del Túmulo de Ban'ethil",
	["Ban'ethil Hollow"] = "Hondonada Ban'ethil",
	["Band of Acceleration"] = "Anillo de Aceleración",
	["Band of Alignment"] = "Anillo de Alineación",
	["Band of Transmutation"] = "Anillo de Transmutación",
	["Band of Variance"] = "Anillo de Discrepancia",
	Bank = "Banco",
	["Baradin Base Camp"] = "Campamento de Baradin",
	["Baradin Bay"] = "Bahía de Baradin",
	["Baradin Hold"] = "Bastión de Baradin",
	Barbershop = "Peluquería",
	["Barov Family Vault"] = "Cripta de la Familia Barov",
	["Bash'ir Landing"] = "Alto Bash'ir",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Ocaso de Bashal'Aran",
	["Bastion Antechamber"] = "Antecámara del Bastión",
	["Bathran's Haunt"] = "Ruinas de Bathran",
	["Battle Ring"] = "Liza",
	Battlescar = "Marca de Guerra",
	["Battlescar Spire"] = "Cumbre Marca de Guerra",
	["Battlescar Valley"] = "Valle Marca de Guerra",
	["Bay of Storms"] = "Bahía de la Tempestad",
	["Bear's Head"] = "Cabeza de Oso",
	["Beauty's Lair"] = "Guarida de Bella",
	["Beezil's Wreck"] = "Siniestro de Beezil",
	["Befouled Terrace"] = "Bancal Infecto",
	["Beggar's Haunt"] = "Refugio de los Mendigos",
	["Beneath The Double Rainbow"] = "Debajo del Arco Iris Doble",
	["Beren's Peril"] = "El Desafío de Beren",
	["Bernau's Happy Fun Land"] = "El Maravilloso Mundo de Bernau",
	["Beryl Coast"] = "Costa de Berilo",
	["Beryl Egress"] = "Egreso de Berilo",
	["Beryl Point"] = "Alto de Berilo",
	["Beth'mora Ridge"] = "Cresta de Beth'mora",
	["Beth'tilac's Lair"] = "Guarida de Beth'tilac",
	["Biel'aran Ridge"] = "Cresta de Biel'aran",
	["Bilgewater Harbor"] = "Muelle Pantoque",
	["Bilgewater Lumber Yard"] = "Almacén de Madera Pantoque",
	["Bilgewater Port"] = "Puerto Pantoque",
	["Bitter Reaches"] = "Costa Amarga",
	["Bittertide Lake"] = "Lago Olamarga",
	["Black Channel Marsh"] = "Pantano del Canal Negro",
	["Black Drake Roost"] = "Nidal del Draco Negro",
	["Black Temple"] = "El Templo Oscuro",
	["Black Tooth Hovel"] = "Cobertizo Diente Negro",
	["Blackchar Cave"] = "Cueva Tizonegro",
	["Blackfathom Camp"] = "Campamento Brazanegra",
	["Blackfathom Deeps"] = "Cavernas de Brazanegra",
	["Blackfathom Deeps Entrance"] = "Entrada de las Cavernas de Brazanegra",
	["Blackhoof Village"] = "Poblado Pezuñanegra",
	["Blackhorn's Penance"] = "Penitencia de Cuerno Negro",
	["Blackmaw Hold"] = "Bastión Faucenegra",
	["Blackriver Logging Camp"] = "Aserradero Río Negro",
	["Blackrock Caverns"] = "Cavernas de Roca Negra",
	["Blackrock Caverns Entrance"] = "Entrada de las Cavernas Roca Negra",
	["Blackrock Depths"] = "Profundidades de Roca Negra",
	["Blackrock Depths Entrance"] = "Entrada de las Profundidades de Roca Negra",
	["Blackrock Mountain"] = "Montaña Roca Negra",
	["Blackrock Pass"] = "Desfiladero de Roca Negra",
	["Blackrock Spire"] = "Cumbre de Roca Negra",
	["Blackrock Spire Entrance"] = "Entrada de la Cumbre de Roca Negra",
	["Blackrock Stadium"] = "Estadio de Roca Negra",
	["Blackrock Stronghold"] = "Bastión de Roca Negra",
	["Blacksilt Shore"] = "Costa Cienonegro",
	Blacksmith = "Herrería",
	["Blackstone Span"] = "Tramo Piedranegra",
	Blackwatch = "La Guardia Negra",
	["Blackwater Cove"] = "Cala Aguasnegras",
	["Blackwater Shipwrecks"] = "Naufragios de Aguasnegras",
	["Blackwind Lake"] = "Lago Vientonegro",
	["Blackwind Landing"] = "Alto de los Vientonegro",
	["Blackwind Valley"] = "Valle Vientonegro",
	["Blackwing Coven"] = "Aquelarre Alanegra",
	["Blackwing Descent"] = "Descenso de Alanegra",
	["Blackwing Lair"] = "Guarida de Alanegra",
	["Blackwolf River"] = "Río Lobonegro",
	["Blackwood Camp"] = "Campamento del Bosque Negro",
	["Blackwood Den"] = "Cubil del Bosque Negro",
	["Blackwood Lake"] = "Lago del Bosque Negro",
	["Blade Tooth Canyon"] = "Cañón Dientespada",
	["Blade's Edge Arena"] = "Arena Filospada",
	["Blade's Edge Mountains"] = "Montañas Filospada",
	["Bladed Gulch"] = "Barranco del Filo",
	["Bladefist Bay"] = "Bahía de Garrafilada",
	["Blades & Axes"] = "Espadas y Hachas",
	["Blades' Run"] = "Camino de las Espadas",
	["Bladespire Grounds"] = "Dominios Aguja del Filo",
	["Bladespire Hold"] = "Bastión Aguja del Filo",
	["Bladespire Outpost"] = "Avanzada Aguja del Filo",
	Bladewood = "Bosquespada",
	["Blasted Lands"] = "Las Tierras Devastadas",
	["Bleeding Hollow Ruins"] = "Ruinas Foso Sangrante",
	["Bleeding Vale"] = "Vega Sangrante",
	["Bleeding Ziggurat"] = "Zigurat Sangrante",
	["Blistering Pool"] = "Poza Virulenta",
	["Blood Elf Tower"] = "Torre de los Elfos de Sangre",
	["Blood Watch"] = "Avanzada de Sangre",
	["Bloodcurse Isle"] = "Isla Sangre Maldita",
	["Bloodfen Burrow"] = "Madriguera de los Cienorrojo",
	Bloodgulch = "Garganta de Sangre",
	["Bloodhoof Village"] = "Poblado Pezuña de Sangre",
	["Bloodmaul Camp"] = "Campamento Machacasangre",
	["Bloodmaul Outpost"] = "Avanzada Machacasangre",
	["Bloodmaul Ravine"] = "Barranco Machacasangre",
	["Bloodmoon Isle"] = "Isla Luna de Sangre",
	["Bloodmyst Isle"] = "Isla Bruma de Sangre",
	["Bloodscale Enclave"] = "Enclave Escamas de Sangre",
	["Bloodscale Grounds"] = "Tierras Escamas de Sangre",
	["Bloodspore Plains"] = "Llanuras Sanguiespora",
	["Bloodtalon Shore"] = "Costa Garrasangre",
	["Bloodtooth Camp"] = "Asentamiento Sangradientes",
	["Bloodvenom Falls"] = "Cascadas del Veneno",
	["Bloodvenom Post"] = "Puesto del Veneno",
	["Bloodvenom River"] = "Río del Veneno",
	["Bloodwash Cavern"] = "Cueva de La Playa de Sangre",
	["Bloodwash Fighting Pits"] = "Fosos de lucha de La Playa de Sangre",
	["Bloodwash Shrine"] = "Santuario de La Playa de Sangre",
	["Bloodwatcher Point"] = "Paso de Mirasangre",
	["Blue Sky Logging Grounds"] = "Aserradero Cielo Azul",
	Bluefen = "Ciénaga Azul",
	["Bluegill Marsh"] = "Pantano Branquiazul",
	["Bluff of the South Wind"] = "Cima del Viento del Sur",
	["Bogen's Ledge"] = "Arrecife de Bogen",
	Bogpaddle = "Chapaleos",
	["Boha'mu Ruins"] = "Ruinas Boha'mu",
	["Bolgan's Hole"] = "Cuenca de Bolgan",
	["Bolyun's Camp"] = "Campamento de Bolyun",
	["Bonechewer Ruins"] = "Ruinas Mascahuesos",
	["Bones of Grakkarond"] = "Huesos de Grakkarond",
	["Bonesnap's Camp"] = "Campamento Cascahueso",
	["Bootlegger Outpost"] = "Avanzada del Contrabandista",
	["Booty Bay"] = "Bahía del Botín",
	["Bor'gorok Outpost"] = "Avanzada Bor'gorok",
	["Bor's Breath"] = "Aliento de Bor",
	["Bor's Breath River"] = "Río del Aliento de Bor",
	["Bor's Fall"] = "Caída de Bor",
	["Bor's Fury"] = "La Furia de Bor",
	["Borean Tundra"] = "Tundra Boreal",
	["Borune Ruins"] = "Ruinas Borune",
	["Bough Shadow"] = "Talloumbrío",
	["Boulder Hills"] = "Colinas Pedrusco",
	["Boulder Lode Mine"] = "Mina Pedrusco",
	["Boulder'gor"] = "Roca'gor",
	["Boulder'mok"] = "Peña'mok",
	["Bouldercrag's Refuge"] = "Refugio de Pedruscón",
	["Boulderfist Hall"] = "Sala Puño de Roca",
	["Boulderfist Outpost"] = "Avanzada Puño de Roca",
	["Boulderslide Cavern"] = "Cueva del Alud",
	["Boulderslide Ravine"] = "Barranco del Alud",
	["Brackenwall Village"] = "Poblado Murohelecho",
	["Brackwell Pumpkin Patch"] = "Plantación de Calabazas de Brackwell",
	["Brambleblade Ravine"] = "Barranco Cortazarza",
	Bramblescar = "Rajazarza",
	["Brann's Base-Camp"] = "Campamento base de Brann",
	["Brashtide Attack Fleet"] = "Flota de Asalto Fuertemarea",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Flota de Asalto Fuertemarea (Fuerzas de exterior)",
	["Brave Wind Mesa"] = "Mesa de Viento Bravo",
	["Brazie Farmstead"] = "Granja de Brazie",
	["Brewnall Village"] = "Las Birras",
	["Bridge of Souls"] = "Puente de las Almas",
	["Brightwater Lake"] = "Lago Aguasclaras",
	["Brightwood Grove"] = "Arboleda del Destello",
	Brill = "Rémol",
	["Brill Town Hall"] = "Concejo de Rémol",
	["Bristlelimb Enclave"] = "Enclave Brazolanudo",
	["Bristlelimb Village"] = "Aldea Brazolanudo",
	["Broken Commons"] = "Ágora",
	["Broken Hill"] = "Cerro Tábido",
	["Broken Pillar"] = "Pilar Partido",
	["Broken Spear Village"] = "Aldea Lanza Partida",
	["Broken Wilds"] = "Landas Tábidas",
	["Bronze Dragonshrine"] = "Santuario de Dragones Bronce",
	["Bronzebeard Encampment"] = "Campamento Barbabronce",
	["Browman Mill"] = "Molino Cejifrente",
	["Brunnhildar Village"] = "Poblado Brunnhildar",
	["Bucklebree Farm"] = "La granja de Bucklebree",
	["Budd's Dig"] = "Excavación de Budd",
	["Burning Blade Coven"] = "Aquelarre del Filo Ardiente",
	["Burning Blade Ruins"] = "Ruinas Filo Ardiente",
	["Burning Steppes"] = "Las Estepas Ardientes",
	["Butcher's Stand"] = "Puesto de Carnicero",
	["Caer Darrow"] = "Castel Darrow",
	["Caldemere Lake"] = "Lago Caldemere",
	["Calston Estate"] = "Dominios de Calston",
	["Camp Aparaje"] = "Campamento Aparaje",
	["Camp Ataya"] = "Campamento Ataya",
	["Camp Boff"] = "Asentamiento Boff",
	["Camp Cagg"] = "Asentamiento Cagg",
	["Camp E'thok"] = "Campamento E'thok",
	["Camp Everstill"] = "Campamento Sempiterno",
	["Camp Kosh"] = "Asentamiento Kosh",
	["Camp Mojache"] = "Campamento Mojache",
	["Camp Mojache Longhouse"] = "Casa Comunal del Campamento Mojache",
	["Camp Narache"] = "Campamento Narache",
	["Camp Onequah"] = "Campamento Oneqwah",
	["Camp Oneqwah"] = "Campamento Oneqwah",
	["Camp Sungraze"] = "Campamento Rasguño de Sol",
	["Camp Tunka'lo"] = "Campamento Tunka'lo",
	["Camp Una'fe"] = "Campamento Una'fe",
	["Camp Winterhoof"] = "Campamento Pezuña Invernal",
	["Camp Wurg"] = "Asentamiento Wurg",
	["Camp of Boom"] = "Campamento de Bum",
	Canals = "Canales",
	["Cannon's Inferno"] = "Infierno de Cannon",
	["Cantrips & Crows"] = "Taberna de los Cuervos",
	["Cape of Lost Hope"] = "Cabo de la Esperanza Perdida",
	["Cape of Stranglethorn"] = "El Cabo de Tuercespina",
	["Capital Gardens"] = "Jardines de la Capital",
	["Carrion Hill"] = "Colina Carroña",
	["Cartier & Co. Fine Jewelry"] = "Joyería Fina Cartier y Cía.",
	Cataclysm = "Cataclysm",
	["Cathedral Quarter"] = "Barrio de la Catedral",
	["Cathedral Square"] = "Plaza de la Catedral",
	["Cathedral of Darkness"] = "Catedral de la Oscuridad",
	["Cathedral of Light"] = "Catedral de la Luz",
	["Cauldros Isle"] = "Isla Caldros",
	["Cave of Mam'toth"] = "Cueva de Mam'toth",
	["Cavern of Mists"] = "Caverna Vaharada",
	["Caverns of Time"] = "Cavernas del Tiempo",
	["Celestial Ridge"] = "Cresta Celestial",
	["Cenarion Enclave"] = "Enclave Cenarion",
	["Cenarion Hold"] = "Fuerte Cenarion",
	["Cenarion Post"] = "Puesto Cenarion",
	["Cenarion Refuge"] = "Refugio Cenarion",
	["Cenarion Thicket"] = "Matorral Cenarion",
	["Cenarion Watchpost"] = "Puesto de Vigilancia Cenarion",
	["Cenarion Wildlands"] = "Tierras Vírgenes Cenarion",
	["Central Bridge"] = "Puente Central",
	["Chamber of Ancient Relics"] = "Cámara de Reliquias Antiguas",
	["Chamber of Atonement"] = "Cámara Expiatoria",
	["Chamber of Battle"] = "Sala de la Batalla",
	["Chamber of Blood"] = "Cámara Sangrienta",
	["Chamber of Command"] = "Cámara de Mando",
	["Chamber of Enchantment"] = "Cámara del Encantamiento",
	["Chamber of Fanatics"] = "Cámara de los Fanáticos",
	["Chamber of Incineration"] = "Cámara de Incineración",
	["Chamber of Prophecy"] = "Sala de la Profecía",
	["Chamber of Respite"] = "Cámara del Descanso",
	["Chamber of Summoning"] = "Cámara de la Invocación",
	["Chamber of the Aspects"] = "Cámara de los Aspectos",
	["Chamber of the Dreamer"] = "Cámara de los Sueños",
	["Chamber of the Moon"] = "Cámara de la Luna",
	["Chamber of the Restless"] = "Cámara de los Sin Sosiego",
	["Chamber of the Stars"] = "Cámara de las Estrellas",
	["Chamber of the Sun"] = "Cámara del Sol",
	["Champion's Hall"] = "Sala de los Campeones",
	["Champions' Hall"] = "Sala de los Campeones",
	["Chapel Gardens"] = "Jardines de la Capilla",
	["Chapel Yard"] = "Patio de la Capilla",
	["Chapel of the Crimson Flame"] = "Capilla de la Llama Carmesí",
	["Charred Outpost"] = "Avanzada Carbonizada",
	["Charred Rise"] = "Alto Carbonizado",
	["Chill Breeze Valley"] = "Valle Escalofrío",
	["Chillmere Coast"] = "Costafría",
	["Chillwind Camp"] = "Campamento del Orvallo",
	["Chillwind Point"] = "Alto del Orvallo",
	Chiselgrip = "Cincelada",
	["Churning Gulch"] = "Garganta Bulliciosa",
	["Circle of Blood"] = "Anillo de Sangre",
	["Circle of Blood Arena"] = "Arena del Anillo de Sangre",
	["Circle of East Binding"] = "Círculo de Vínculo Este",
	["Circle of Inner Binding"] = "Círculo de Vínculo Interior",
	["Circle of Outer Binding"] = "Círculo de Vínculo Exterior",
	["Circle of Thorns"] = "Círculo de Espinas",
	["Circle of West Binding"] = "Círculo de Vínculo Oeste",
	["Circle of Wills"] = "Círculo de Voluntades",
	City = "Ciudad",
	["City of Ironforge"] = "Ciudad de Forjaz",
	["Clan Watch"] = "Avanzada del Clan",
	["Cleft of Shadow"] = "Circo de las Sombras",
	["Cliffspring Falls"] = "Salto de Fonroca",
	["Cliffspring Hollow"] = "Cuenca Fonroca",
	["Cliffspring River"] = "Río Fonroca",
	["Cliffwalker Post"] = "Puesto Caminarrisco",
	["Cloudtop Terrace"] = "Bancal Altonube",
	["Coast of Echoes"] = "Costa de los Ecos",
	["Coast of Idols"] = "Costa de los Ídolos",
	["Coilfang - The Slave Pens Entrance"] = "Colmillo Torcido: Entrada del Recinto de los Esclavos",
	["Coilfang - The Steamvault Entrance"] = "Colmillo Torcido: Entrada de La Cámara de Vapor",
	["Coilfang - The Underbog Entrance"] = "Colmillo Torcido: Entrada de La Sotiénaga",
	["Coilfang Reservoir"] = "Reserva Colmillo Torcido",
	["Coilfang: Serpentshrine Cavern"] = "Reserva Colmillo Torcido: Caverna Santuario Serpiente",
	["Coilfang: The Slave Pens"] = "Colmillo Torcido: Recinto de los Esclavos",
	["Coilfang: The Steamvault"] = "Colmillo Torcido: Cámara de Vapor",
	["Coilfang: The Underbog"] = "Colmillo Torcido: La Sotiénaga",
	["Coilskar Cistern"] = "Cisterna Cicatriz Espiral",
	["Coilskar Point"] = "Alto Cicatriz Espiral",
	["Cold Hearth Manor"] = "Mansión Fríogar",
	Coldarra = "Gelidar",
	["Coldarra Ledge"] = "Saliente de Gelidar",
	["Coldridge Pass"] = "Desfiladero de Crestanevada",
	["Coldridge Valley"] = "Valle de Crestanevada",
	["Coldrock Quarry"] = "Cantera Frioescollo",
	["Coldtooth Mine"] = "Mina Dentefrío",
	["Coldwind Heights"] = "Altos Viento Helado",
	["Coldwind Pass"] = "Pasaje Viento Helado",
	["Collin's Test"] = "Collin's Test",
	["Command Center"] = "Centro de Mando",
	["Commons Hall"] = "Cámara del Pueblo",
	["Condemned Halls"] = "Salas Condenadas",
	["Conquest Hold"] = "Bastión de la Conquista",
	["Containment Core"] = "Pabellón de Aislamiento",
	["Cooper Residence"] = "La Residencia Cooper",
	["Coral Garden"] = "Jardín de Coral",
	["Cordell's Enchanting"] = "Encantamientos de Cordell",
	["Corin's Crossing"] = "Cruce de Corin",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar: La Puerta del Horror",
	["Corrahn's Dagger"] = "Daga de Corrahn",
	Cosmowrench = "Cosmotirón",
	["Court of the Highborne"] = "Corte de los Altonato",
	["Court of the Sun"] = "La Corte del Sol",
	["Courtyard of the Ancients"] = "Patio de los Ancestros",
	["Cradle of the Ancients"] = "Cuna de los Ancestros",
	["Craftsmen's Terrace"] = "Bancal del Artesano",
	["Crag of the Everliving"] = "Risco de los Eternos",
	["Cragpool Lake"] = "Lago del Peñasco",
	["Crash Site"] = "Lugar del Accidente",
	["Crescent Hall"] = "Sala Creciente",
	["Crimson Expanse"] = "Extensión Carmesí",
	["Crimson Watch"] = "Atalaya Carmesí",
	Crossroads = "El Cruce",
	["Crowley Orchard"] = "Huerto de Crowley",
	["Crowley Stable Grounds"] = "Tierras del Establo de Crowley",
	["Crown Guard Tower"] = "Torre de la Corona",
	["Crucible of Carnage"] = "Crisol de Matanza",
	["Crumbling Depths"] = "Profundidades Desmoronadas",
	["Crumbling Stones"] = "Rocas Desmoronadas",
	["Crusader Forward Camp"] = "Puesto de Avanzada de los Cruzados",
	["Crusader Outpost"] = "Avanzada de los Cruzados",
	["Crusader's Armory"] = "Arsenal de los Cruzados",
	["Crusader's Chapel"] = "Capilla de los Cruzados",
	["Crusader's Landing"] = "El Tramo del Cruzado",
	["Crusader's Outpost"] = "Avanzada de los Cruzados",
	["Crusader's Run"] = "Senda del Cruzado",
	["Crusader's Spire"] = "Espiral de los Cruzados",
	["Crusaders' Pinnacle"] = "Pináculo de los Cruzados",
	["Crusaders' Square"] = "Plaza de los Cruzados",
	Crushblow = "Machacolpe",
	["Crushcog's Arsenal"] = "Arsenal de Prensadiente",
	["Crushridge Hold"] = "Dominios de los Aplastacresta",
	Crypt = "Cripta",
	["Crypt of Remembrance"] = "Cripta de los Recuerdos",
	["Crystal Lake"] = "Lago de Cristal",
	["Crystal Spine"] = "Espina de Cristal",
	["Crystalline Quarry"] = "Cantera Cristalina",
	["Crystalsong Forest"] = "Bosque Canto de Cristal",
	["Crystalvein Mine"] = "Mina de Cristal",
	["Crystalweb Cavern"] = "Caverna Red de Cristal",
	["Curiosities & Moore"] = "Curiosidades y Más",
	["Cursed Depths"] = "Profundidades Malditas",
	["Cursed Hollow"] = "Hoya Maldita",
	["Cut-Throat Alley"] = "Callejón Degolladores",
	["Cyclone Summit"] = "Cima del Ciclón",
	["D-Block"] = "Bloque D",
	["D.E.H.T.A. Encampment"] = "Campamento D.E.H.T.A.",
	["Dabyrie's Farmstead"] = "Granja de Dabyrie",
	["Dagger Pass"] = "Paso de la Daga",
	["Daggercap Bay"] = "Bahía Cubredaga",
	["Daggerfen Village"] = "Aldea Dagapantano",
	["Daggermaw Canyon"] = "Cañón Faucedaga",
	Dalaran = "Dalaran",
	["Dalaran Arena"] = "Arena de Dalaran",
	["Dalaran City"] = "Ciudad de Dalaran",
	["Dalaran Crater"] = "Cráter de Dalaran",
	["Dalaran Floating Rocks"] = "Rocas Flotantes de Dalaran",
	["Dalaran Island"] = "Isla de Dalaran",
	["Dalaran Merchant's Bank"] = "Banco de Mercaderes de Dalaran",
	["Dalaran Sewers"] = "Cloacas de Dalaran",
	["Dalaran Visitor Center"] = "Centro de Visitantes de Dalaran",
	["Dalson's Farm"] = "Granja de Dalson",
	["Damplight Cavern"] = "Caverna Luzúmida",
	["Damplight Chamber"] = "Cámara Luzúmida",
	["Dandred's Fold"] = "Redil de Dandred",
	["Dargath's Demise"] = "Óbito de Dargath",
	["Dark Iron Highway"] = "Ruta Hierro Negro",
	["Darkbreak Cove"] = "Cala de Rompeocaso",
	["Darkcloud Pinnacle"] = "Cumbre de la Nube Negra",
	["Darkcrest Enclave"] = "Enclave Cresta Oscura",
	["Darkcrest Shore"] = "Playa Crestanegra",
	["Darkmist Cavern"] = "Cueva Niebla Negra",
	["Darkmist Ruins"] = "Ruinas Niebla Negra",
	Darkshire = "Villa Oscura",
	["Darkshire Town Hall"] = "Concejo de Villa Oscura",
	Darkshore = "Costa Oscura",
	["Darkspear Hold"] = "Bastión Lanza Negra",
	["Darkspear Isle"] = "Isla Lanza Negra",
	["Darkspear Shore"] = "Costa Lanza Negra",
	["Darkspear Strand"] = "Playa Lanza Negra",
	["Darkspear Training Grounds"] = "Campo de Entrenamiento Lanza Negra",
	["Darkwhisper Gorge"] = "Garganta Negro Rumor",
	["Darkwhisper Pass"] = "Paso Negro Rumor",
	["Darnassian Base Camp"] = "Campamento Base Darnassiano",
	Darnassus = "Darnassus",
	["Darrow Hill"] = "Colinas de Darrow",
	["Darrowmere Lake"] = "Lago Darrowmere",
	Darrowshire = "Villa Darrow",
	["Darrowshire Hunting Grounds"] = "Terrenos de caza de Villa Darrow",
	["Darsok's Outpost"] = "Avanzada de Darsok",
	["Dawn's Reach"] = "Tramo del Alba",
	["Dawning Lane"] = "Calle del Alba",
	["Dawning Wood Catacombs"] = "Catacumbas del Bosque Aurora",
	["Dawnrise Expedition"] = "Expedición Alzalba",
	["Dawnstar Spire"] = "Aguja de la Estrella del Alba",
	["Dawnstar Village"] = "Poblado Estrella del Alba",
	["Dead Man's Hole"] = "El Agujero del Muerto",
	["Deadeye Shore"] = "Costa de Mortojo",
	["Deadman's Crossing"] = "Cruce de la Muerte",
	Deadmines = "Minas de la Muerte",
	["Deadwind Pass"] = "Paso de la Muerte",
	["Deadwind Ravine"] = "Barranco de la Muerte",
	["Deadwood Village"] = "Aldea Muertobosque",
	["Death Cultist Base Camp"] = "Campamento Cultor de la Muerte",
	["Death's Breach"] = "Brecha de la Muerte",
	["Death's Door"] = "Puerta de la Muerte",
	["Death's Hand Encampment"] = "Campamento Mano de la Muerte",
	["Death's Rise"] = "Ascenso de la Muerte",
	["Death's Stand"] = "Confín de la Muerte",
	["Death's Step"] = "Grada de la Muerte",
	["Death's Watch Waystation"] = "Apeadero del Ocelo de la Muerte",
	["Deathbringer's Rise"] = "Alto del Libramorte",
	["Deathforge Tower"] = "Torre de la Forja Muerta",
	Deathknell = "Camposanto",
	Deatholme = "Ciudad de la Muerte",
	["Deathspeaker's Watch"] = "Avanzada del Portavoz de la Muerte",
	["Deathwing's Fall"] = "Caída de Alamuerte",
	["Deep Blue Observatory"] = "Observatorio Azul Profundo",
	["Deep Elem Mine"] = "Mina de Elem",
	["Deepfin Ridge"] = "Cresta de Aleta Profunda",
	Deepholm = "Infralar",
	["Deephome Ceiling"] = "Bóveda de Infralar",
	["Deepmist Grotto"] = "Gruta Brumadensa",
	["Deeprun Tram"] = "Tranvía Subterráneo",
	["Deepwater Tavern"] = "Mesón Aguahonda",
	["Defias Hideout"] = "Ladronera de los Defias",
	["Defiler's Den"] = "Guarida de los Rapiñadores",
	["Demon Fall Canyon"] = "Barranco del Demonio",
	["Demon Fall Ridge"] = "Cresta del Demonio",
	["Demont's Place"] = "Paraje de Demont",
	["Den of Dying"] = "Cubil de los Moribundos",
	["Den of Haal'esh"] = "Cubil de Haal'esh",
	["Den of Iniquity"] = "Cubil de Iniquidad",
	["Den of Mortal Delights"] = "Guarida de los Placeres Mortales",
	["Den of Sseratus"] = "Cubil de Sseratus",
	["Den of the Caller"] = "Cubil del Clamor",
	["Den of the Devourer"] = "Cubil del Devorador",
	["Den of the Disciples"] = "Cubil de los Discípulos",
	["Den of the Unholy"] = "Cubil de los Impuros",
	["Derelict Caravan"] = "Caravana Derelicta",
	["Derelict Manor"] = "Mansión Derelicta",
	["Derelict Strand"] = "Playa Derelicta",
	["Designer Island"] = "Isla del Diseñador",
	Desolace = "Desolace",
	["Desolation Hold"] = "Bastión de la Desolación",
	["Detention Block"] = "Bloque de Detención",
	["Development Land"] = "Territorio en desarrollo",
	["Diamondhead River"] = "Río Diamante",
	["Dig One"] = "Excavación 1",
	["Dig Three"] = "Excavación 3",
	["Dig Two"] = "Excavación 2",
	["Dire Maul"] = "La Masacre",
	["Dire Maul - Capital Gardens Entrance"] = "La Masacre: Entrada de los Jardines de la Capital",
	["Dire Maul - Gordok Commons Entrance"] = "La Masacre: Entrada del Ágora de Gordok",
	["Dire Maul - Warpwood Quarter Entrance"] = "La Masacre: Entrada del Barrio Alabeo",
	["Dire Strait"] = "Estrecho Temible",
	["Direforge Hill"] = "Cerro Fraguaferoz",
	["Direhorn Post"] = "Puesto Cuernoatroz",
	Docks = "Muelles",
	Dolanaar = "Dolanaar",
	["Donna's Kitty Shack"] = "Casa de gatitos de Donna",
	["Doom's Vigil"] = "Vigilia de la Fatalidad",
	["Dorian's Outpost"] = "Avanzada de Dorian",
	["Draco'dar"] = "Draco'dar",
	["Draenei Ruins"] = "Ruinas Draenei",
	["Draenethyst Mine"] = "Mina Draenetista",
	["Draenil'dur Village"] = "Aldea Draenil'dur",
	["Dragon's Fall"] = "Caída del Dragón",
	["Dragon's Mouth"] = "Boca del Dragón",
	Dragonblight = "Cementerio de Dragones",
	["Dragonflayer Pens"] = "Cercado de Desuelladragones",
	["Dragonmaw Base Camp"] = "Campamento Faucedraco",
	["Dragonmaw Flag Room"] = "Sala de la Bandera Faucedraco",
	["Dragonmaw Forge"] = "Forja Faucedraco",
	["Dragonmaw Fortress"] = "Fortaleza Faucedraco",
	["Dragonmaw Garrison"] = "Cuartel Faucedraco",
	["Dragonmaw Gates"] = "Puertas Faucedraco",
	["Dragonmaw Pass"] = "Paso Faucedraco",
	["Dragonmaw Port"] = "Puerto Faucedraco",
	["Dragonmaw Skyway"] = "Ruta Aérea Faucedraco",
	["Dragonmaw Stronghold"] = "Bastión Faucedraco",
	["Dragons' End"] = "Cabo del Dragón",
	["Dragonspine Peaks"] = "Cumbres Espinazo de Dragón",
	["Dragonspine Ridge"] = "Cresta Espinazo de Dragón",
	["Dragonspine Tributary"] = "Afluente del Espinazo del Dragón",
	["Dragonspire Hall"] = "Sala Dracopico",
	["Drak'Agal"] = "Drak'Agal",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Lago Drak'Mar",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Campos Drak'Sotra",
	["Drak'Tharon Keep"] = "Fortaleza de Drak'Tharon",
	["Drak'Tharon Keep Entrance"] = "Entrada de la Fortaleza de Drak'Tharon",
	["Drak'Tharon Overlook"] = "Mirador de Drak'Tharon",
	["Drak'atal Passage"] = "Pasaje de Drak'atal",
	["Drak'ural"] = "Drak'ural",
	["Draka's Fury"] = "Furia de Draka",
	["Drakil'jin Ruins"] = "Ruinas de Drakil'jin",
	["Draknid Lair"] = "Guarida Dráknida",
	["Dreadmaul Furnace"] = "Horno Machacamiedo",
	["Dreadmaul Hold"] = "Bastión Machacamiedo",
	["Dreadmaul Post"] = "Puesto Machacamiedo",
	["Dreadmaul Rock"] = "Roca Machacamiedo",
	["Dreadmist Camp"] = "Campamento Calígine",
	["Dreadmist Den"] = "Cubil Calígine",
	["Dreadmist Peak"] = "Cima Calígine",
	["Dreadmurk Shore"] = "Playa Tenebruma",
	["Dreadwatch Outpost"] = "Avanzada Velaspanto",
	["Dream Bough"] = "Rama Oniria",
	["Dreamer's Rest"] = "Reposo de la Soñadora",
	["Dreamer's Rock"] = "Roca del Soñador",
	Drudgetown = "La Barriada",
	["Drygulch Ravine"] = "Barranco Árido",
	["Drywhisker Gorge"] = "Cañón Mostacho Seco",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Paso de Dun Baldar",
	["Dun Baldar Tunnel"] = "Túnel de Dun Baldar",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Nifflelem",
	["Dunemaul Compound"] = "Base Machacaduna",
	["Dunemaul Recruitment Camp"] = "Campo de Reclutamiento Machacaduna",
	["Dunwald Holdout"] = "Resistencia Montocre",
	["Dunwald Hovel"] = "Cobertizo Montocre",
	["Dunwald Market Row"] = "Fila del Mercado Montocre",
	["Dunwald Ruins"] = "Ruinas Montocre",
	["Dunwald Town Square"] = "Plaza Principal Montocre",
	["Durnholde Keep"] = "Castillo de Durnholde",
	Durotar = "Durotar",
	Duskhaven = "Refugio del Ocaso",
	["Duskhowl Den"] = "Cubil Aúllaocaso",
	["Duskmist Shore"] = "Costa Noctuniebla",
	["Duskwither Grounds"] = "Tierras Ocaso Marchito",
	["Duskwither Spire"] = "Aguja Ocaso Marchito",
	Duskwood = "Bosque del Ocaso",
	["Dustbelch Grotto"] = "Gruta Rotapolvo",
	["Dustfire Valley"] = "Valle Polvofuego",
	["Dustquill Ravine"] = "Barranco Pluma Polvorienta",
	["Dustwallow Bay"] = "Bahía Revolcafango",
	["Dustwallow Marsh"] = "Marjal Revolcafango",
	["Dustwind Cave"] = "Cueva Viento Seco",
	["Dustwind Dig"] = "Excavación Viento Seco",
	["Dustwind Gulch"] = "Barranco Viento Seco",
	["Dwarven District"] = "Distrito de los Enanos",
	["Eagle's Eye"] = "Ojo de Águila",
	["Earth Song Falls"] = "Cascadas del Canto de la Tierra",
	["Earthshatter Cavern"] = "Caverna Rompetierra",
	["East Garrison"] = "Cuartel del Este",
	["East Pillar"] = "Pilar Este",
	["East Sanctum"] = "Sagrario del Este",
	["East Spire"] = "Fortín del Este",
	["East Supply Caravan"] = "Caravana de Provisiones del Este",
	["Eastern Bridge"] = "Puente Oriental",
	["Eastern Kingdoms"] = "Reinos del Este",
	["Eastern Plaguelands"] = "Tierras de la Peste del Este",
	["Eastern Strand"] = "Playa del Este",
	["Eastmoon Ruins"] = "Ruinas de Lunaeste",
	["Eastpoint Tower"] = "Torre Oriental",
	["Eastspark Workshop"] = "Taller Chispa Oriental",
	["Eastvale Logging Camp"] = "Aserradero de la Vega del Este",
	["Eastwall Gate"] = "Puerta de la Muralla del Este",
	["Eastwall Tower"] = "Torre de la Muralla del Este",
	["Eastwind Shore"] = "Playa Viento Este",
	["Ebon Hold"] = "El Bastión de Ébano",
	["Ebon Watch"] = "Puesto de Vigilancia de Ébano",
	["Echo Cove"] = "Cala del Eco",
	["Echo Isles"] = "Islas del Eco",
	["Echo Reach"] = "Risco del Eco",
	["Echo Ridge Mine"] = "Mina del Eco",
	["Echomok Cavern"] = "Cueva Echomok",
	["Eclipse Point"] = "Punta Eclipse",
	["Eclipsion Fields"] = "Campos Eclipsianos",
	["Eco-Dome Farfield"] = "Ecodomo Campolejano",
	["Eco-Dome Midrealm"] = "Ecodomo de la Tierra Media",
	["Eco-Dome Skyperch"] = "Ecodomo Altocielo",
	["Eco-Dome Sutheron"] = "Ecodomo Sutheron",
	["Elder Rise"] = "Alto de los Ancestros",
	["Elders' Square"] = "Plaza de los Ancestros",
	["Eldreth Row"] = "Pasaje de Eldreth",
	["Eldritch Heights"] = "Cumbres Fantasmales",
	["Elemental Plateau"] = "Meseta Elemental",
	["Elementium Depths"] = "Profundidades de Elementium",
	Elevator = "Elevador",
	["Elrendar Crossing"] = "Cruce Elrendar",
	["Elrendar Falls"] = "Cascadas Elrendar",
	["Elrendar River"] = "Río Elrendar",
	["Elwynn Forest"] = "Bosque de Elwynn",
	["Ember Clutch"] = "Encierro Ámbar",
	["Ember Spear Tower"] = "Torre Lanza Ámbar",
	Emberglade = "El Claro de Ascuas",
	["Emberstone Mine"] = "Mina Piedra Ígnea",
	["Emberstone Village"] = "Aldea Piedra Ígnea",
	["Emberstrife's Den"] = "Cubil de Brasaliza",
	["Emerald Dragonshrine"] = "Santuario de Dragones Esmeralda",
	["Emerald Dream"] = "Sueño Esmeralda",
	["Emerald Forest"] = "Bosque Esmeralda",
	["Emerald Sanctuary"] = "Santuario Esmeralda",
	["Engine of the Makers"] = "Motor de los Creadores",
	["Engineering Labs"] = "Laboratorios de Ingeniería",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereum Staging Grounds"] = "Punto de Escala de El Etereum",
	["Evergreen Trading Post"] = "Puesto de Venta de Siempreverde",
	Evergrove = "Soto Eterno",
	Everlook = "Vista Eterna",
	["Eversong Woods"] = "Bosque Canción Eterna",
	["Excavation Center"] = "Centro de Excavación",
	["Excavation Lift"] = "Elevador de la Excavación",
	["Expedition Armory"] = "Armería de Expedición",
	["Expedition Base Camp"] = "Campamento Base de la Expedición",
	["Expedition Point"] = "Punta de Expedición",
	["Explorers' League Digsite"] = "Excavación de la Liga de Expedicionarios",
	["Explorers' League Outpost"] = "Avanzada de la Liga de Expedicionarios",
	["Eye of the Storm"] = "Ojo de la Tormenta",
	["Fairbreeze Village"] = "Aldea Brisa Pura",
	["Fairbridge Strand"] = "Playa Puentegrato",
	["Falcon Watch"] = "Avanzada del Halcón",
	["Falconwing Inn"] = "Posada Alalcón",
	["Falconwing Square"] = "Plaza Alalcón",
	["Faldir's Cove"] = "Cala de Faldir",
	["Falfarren River"] = "Río Falfarren",
	["Fall of Return"] = "Cascada del Retorno",
	["Fallen Sky Lake"] = "Lago Cielo Estrellado",
	["Fallen Sky Ridge"] = "Cresta Cielo Estrellado",
	["Fallen Temple of Ahn'kahet"] = "Templo Caído de Ahn'kahet",
	["Fallow Sanctuary"] = "Retiro Fangoso",
	["Fallowmere Inn"] = "Taberna de Merobarbecho",
	["Falls of Ymiron"] = "Cataratas de Ymiron",
	["Falthrien Academy"] = "Academia Falthrien",
	Familiars = "Familiares",
	["Faol's Rest"] = "Tumba de Faol",
	["Far Watch Post"] = "Avanzada del Puente",
	["Fargaze Mesa"] = "Colina de Vistalonga",
	["Fargodeep Mine"] = "Mina Abisal",
	Farm = "Granja",
	Farshire = "Lindeallá",
	["Farshire Fields"] = "Campos de Lindeallá",
	["Farshire Lighthouse"] = "Faro de Lindeallá",
	["Farshire Mine"] = "Mina de Lindeallá",
	["Farson Hold"] = "Fortaleza de Farson",
	["Farstrider Enclave"] = "Enclave del Errante",
	["Farstrider Lodge"] = "Cabaña del Errante",
	["Farstrider Retreat"] = "El Retiro del Errante",
	["Farstriders' Enclave"] = "Enclave del Errante",
	["Farstriders' Square"] = "Plaza del Errante",
	["Farwatcher's Glen"] = "Cañada del Vigiaconfines",
	["Featherbeard's Hovel"] = "Cobertizo de Barbapluma",
	Feathermoon = "Plumaluna",
	["Feathermoon Stronghold"] = "Bastión Plumaluna",
	["Fel Reaver Ruins"] = "Ruinas del Atracador Vil",
	["Fel Rock"] = "Roca Mácula",
	["Felfire Hill"] = "Cerro Lumbrevil",
	["Felpaw Village"] = "Poblado Zarpavil",
	["Felspark Ravine"] = "Barranco Llama Infernal",
	["Felstone Field"] = "Campo de Piedramácula",
	Felwood = "Frondavil",
	["Fenris Isle"] = "Isla de Fenris",
	["Fenris Keep"] = "Castillo de Fenris",
	["Feral Scar Vale"] = "Vega Cicatriz Feral",
	Feralas = "Feralas",
	["Feralfen Village"] = "Aldea Feropantano",
	["Festering Pools"] = "Pozas Purulentas",
	["Festival Lane"] = "Calle del Festival",
	["Feth's Way"] = "Camino de Feth",
	["Field of Strife"] = "Tierra de Disputa",
	["Fields of Blood"] = "Campos de Sangre",
	["Fields of Honor"] = "Campos de Honor",
	Filming = "Grabando",
	["Fire Plume Ridge"] = "Cresta del Penacho en Llamas",
	["Fire Scar Shrine"] = "Santuario de la Escara",
	["Fire Stone Mesa"] = "Mesa de La Piedra de Fuego",
	["Firebeard Cemetery"] = "Cementerio Barbafuego",
	["Firebeard's Patrol"] = "Patrulla de Barbafuego",
	["Firegut Furnace"] = "Horno Pirontraña",
	Firelands = "Tierras de Fuego",
	["Firelands Forgeworks"] = "Forja de las Tierras de Fuego",
	["Firelands Hatchery"] = "Criadero de las Tierras de Fuego",
	["Fireplume Peak"] = "Cima Pluma de Fuego",
	["Fireplume Trench"] = "Zanja de Penacho en Llamas",
	["Firestone Point"] = "Punta Piedra de Fuego",
	["Firewatch Ridge"] = "Cresta Vigía",
	["Firewing Point"] = "Alto Ala de Fuego",
	["First Bank of Kezan"] = "Primer Banco de Kezan",
	["First Legion Forward Camp"] = "Puesto de Avanzada de la Primera Legión",
	["First to Your Aid"] = "Te Auxiliamos los Primeros",
	["Fishing Village"] = "Aldea Pesquera",
	["Fizzcrank Airstrip"] = "Pista de Aterrizaje de Palanqueta",
	["Fizzcrank Pumping Station"] = "Estación de Bombeo de Palanqueta",
	["Fizzle & Pozzik's Speedbarge"] = "Barcódromo de Fizzle y Pozzik",
	["Fjorn's Anvil"] = "Yunque de Fjorn",
	["Flame Crest"] = "Peñasco Llamarada",
	Flamebreach = "Brecha Flama",
	["Flamestar Post"] = "Puesto Llamaestrella",
	["Flamewatch Tower"] = "Torre de la Guardia en Llamas",
	["Flavor - Stormwind Harbor - Stop"] = "Flavor - Stormwind Harbor - Stop",
	["Fleshrender's Workshop"] = "Taller del Sacrificador",
	["Foothold Citadel"] = "Ciudadela Garrida",
	["Footman's Armory"] = "Arsenal de los Soldados",
	["Force Interior"] = "Fuerza Interior",
	["Fordragon Hold"] = "Bastión de Fordragón",
	["Forest Song"] = "Canción del Bosque",
	["Forest's Edge"] = "Linde del bosque",
	["Forest's Edge Post"] = "Puesto Fronterizo del Bosque",
	["Forge Base: Gehenna"] = "Base Forja: Gehenna",
	["Forge Base: Oblivion"] = "Base Forja: Olvido",
	["Forge Camp: Anger"] = "Campamento Forja: Inquina",
	["Forge Camp: Fear"] = "Campamento Forja: Miedo",
	["Forge Camp: Hate"] = "Campamento Forja: Odio",
	["Forge Camp: Mageddon"] = "Campamento Forja: Mageddon",
	["Forge Camp: Rage"] = "Campamento Forja: Ira",
	["Forge Camp: Terror"] = "Campamento Forja: Terror",
	["Forge Camp: Wrath"] = "Campamento Forja: Cólera",
	["Forge of Fate"] = "Forja del Destino",
	["Forgewright's Tomb"] = "Tumba de Forjador",
	["Forgotten Hill"] = "Colina del Olvido",
	["Forlorn Cloister"] = "Claustro Inhóspito",
	["Forlorn Ridge"] = "Loma Desolada",
	["Forlorn Rowe"] = "Loma Inhóspita",
	["Forlorn Spire"] = "Cumbre Inhóspita",
	["Forlorn Woods"] = "El Bosque Desolado",
	["Formation Grounds"] = "Campo de Formación",
	["Forsaken Forward Command"] = "Mando Avanzado Renegado",
	["Forsaken High Command"] = "Alto Mando Renegado",
	["Forsaken Rear Guard"] = "Puesto de Retaguardia Renegado",
	["Fort Livingston"] = "Fuerte Livingston",
	["Fort Triumph"] = "Fuerte Triunfo",
	["Fort Wildervar"] = "Fuerte Vildervar",
	["Fortune's Fist"] = "Puño de la Fortuna",
	["Forward Command"] = "Mando de Vanguardia",
	["Foulspore Cavern"] = "Gruta de la Espora Fétida",
	["Fractured Front"] = "Frente Fracturado",
	["Fray Island"] = "Isla de Batalla",
	["Frayfeather Highlands"] = "Tierras Altas de Plumavieja",
	["Frazzlecraz Motherlode"] = "Filón Catacroquer",
	["Freewind Post"] = "Poblado Viento Libre",
	["Frenzyheart Hill"] = "Colina Corazón Frenético",
	["Frenzyheart River"] = "Río Corazón Frenético",
	["Frigid Breach"] = "Brecha Gélida",
	["Frost Dagger Pass"] = "Paso de la Daga Escarcha",
	["Frostblade Pass"] = "Paso Filoescarcha",
	["Frostblade Peak"] = "Pico Filoescarcha",
	["Frostclaw Den"] = "Cubil Garrascarcha",
	["Frostfield Lake"] = "Lago Campo de Escarcha",
	["Frostfire Hot Springs"] = "Baños de Fuego de Escarcha",
	["Frostfloe Deep"] = "Hondonada Témpano Gélido",
	["Frostgrip's Hollow"] = "Hondonada Puño Helado",
	Frosthold = "Fuerte Escarcha",
	["Frosthowl Cavern"] = "Caverna Aúllaescarcha",
	["Frostmane Front"] = "Frente de Peloescarcha",
	["Frostmane Hold"] = "Poblado Peloescarcha",
	["Frostmane Retreat"] = "Refugio Peloescarcha",
	Frostmourne = "Agonía de Escarcha",
	["Frostmourne Cavern"] = "Caverna Agonía de Escarcha",
	["Frostsaber Rock"] = "Roca Sable de Hielo",
	["Frostwhisper Gorge"] = "Cañón Levescarcha",
	["Frostwing Halls"] = "Las Cámaras de Alaescarcha",
	["Frostwolf Graveyard"] = "Cementerio Lobo Gélido",
	["Frostwolf Keep"] = "Bastión Lobo Gélido",
	["Frostwolf Pass"] = "Paso Lobo Gélido",
	["Frostwolf Tunnel"] = "Túnel de Lobo Gélido",
	["Frostwolf Village"] = "Aldea Lobo Gélido",
	["Frozen Reach"] = "Tramo Helado",
	["Fungal Deep"] = "Profundidades Fungal",
	["Fungal Rock"] = "Roca Fungal",
	["Funggor Cavern"] = "Caverna Funggor",
	["Furien's Post"] = "Puesto de Furion",
	["Furlbrow's Pumpkin Farm"] = "Plantación de Calabazas de Cejade",
	["Furnace of Hate"] = "Horno del Odio",
	["Furywing's Perch"] = "Nido de Alafuria",
	Fuselight = "El Diodo",
	["Fuselight-by-the-Sea"] = "El Diodo de Mar",
	["GM Island"] = "Isla de los MJ",
	Gadgetzan = "Gadgetzan",
	["Gahrron's Withering"] = "Gangrena de Gahrron",
	["Galak Hold"] = "Dominios Galak",
	["Galakrond's Rest"] = "Reposo de Galakrond",
	["Galardell Valley"] = "Valle de Galardell",
	["Galen's Fall"] = "Caída de Galen",
	["Galerek's Remorse"] = "Remordimiento de Galerek",
	["Galewatch Lighthouse"] = "Faro Velavento",
	["Gallery of Treasures"] = "Galería de los Tesoros",
	["Gallows' Corner"] = "Camino de la Horca",
	["Gallows' End Tavern"] = "Mesón La Horca",
	["Gallywix Docks"] = "Muelles de Gallywix",
	["Gallywix Labor Mine"] = "Mina de Trabajos Forzados de Gallywix",
	["Gallywix Pleasure Palace"] = "Palacete de Gallywix",
	["Gallywix's Villa"] = "Chalet de Gallywix",
	["Gallywix's Yacht"] = "Yate de Gallywix",
	["Galus' Chamber"] = "Cámara de Galus",
	["Gamesman's Hall"] = "Sala del Tablero",
	Gammoth = "Gammoth",
	["Gar'gol's Hovel"] = "Casucha de Gar'gol",
	Garadar = "Garadar",
	Garm = "Garm",
	["Garm's Bane"] = "Pesadilla de Garm",
	["Garm's Rise"] = "Alto de Garm",
	["Garren's Haunt"] = "Granja de Garren",
	["Garrison Armory"] = "Arsenal del Cuartel",
	["Garrosh's Landing"] = "Desembarco de Garrosh",
	["Garvan's Reef"] = "Arrecife de Garvan",
	["Gate of Echoes"] = "Puerta de los Ecos",
	["Gate of Hamatep"] = "Puerta de Hamatep",
	["Gate of Lightning"] = "Puerta de los Rayos",
	["Gate of the Blue Sapphire"] = "Puerta del Zafiro Azul",
	["Gate of the Green Emerald"] = "Puerta de la Esmeralda Verde",
	["Gate of the Purple Amethyst"] = "Puerta de la Amatista Púrpura",
	["Gate of the Red Sun"] = "Puerta del Sol Rojo",
	["Gate of the Yellow Moon"] = "Puerta de la Luna Amarilla",
	["Gates of Ahn'Qiraj"] = "Puerta de Ahn'Qiraj",
	["Gates of Ironforge"] = "Puertas de Forjaz",
	["Gates of Sothann"] = "Puertas de Sothann",
	["Gauntlet of Flame"] = "Guantelete de Llamas",
	["Gavin's Naze"] = "Saliente de Gavin",
	["Geezle's Camp"] = "Campamento de Geezle",
	["Gelkis Village"] = "Poblado Gelkis",
	["General Goods"] = "Víveres",
	["General's Terrace"] = "Bancal del General",
	["Ghost Walker Post"] = "Campamento del Espíritu Errante",
	["Ghostblade Post"] = "Puesto del Filo Fantasmal",
	Ghostlands = "Tierras Fantasma",
	["Giant's Run"] = "El Paso del Gigante",
	["Giants' Run"] = "El Paso del Gigante",
	["Gillijim's Isle"] = "Isla de Gillijim",
	["Gilnean Coast"] = "Costa de Gilneas",
	["Gilnean Stronghold"] = "Fortaleza de Gilneas",
	Gilneas = "Gilneas",
	["Gilneas City"] = "Ciudad de Gilneas",
	["Gilneas Liberation Front Base Camp"] = "Campamento base del Frente de Liberación de Gilneas",
	["Gimorak's Den"] = "Guarida de Gimorak",
	Gjalerbron = "Gjalerbron",
	Gjalerhorn = "Gjalercorn",
	["Glacial Falls"] = "Cascadas Glaciales",
	["Glimmer Bay"] = "Bahía Titileo",
	["Glimmerdeep Gorge"] = "Barranco Brillohondo",
	["Glittering Strand"] = "Orilla Resplandeciente",
	["Glopgut's Hollow"] = "Foso Tripal",
	["Glorious Goods"] = "Objetos Gloriosos",
	Glory = "Gloria",
	["Gnarlpine Hold"] = "Tierras de los Tuercepinos",
	["Gnaws' Boneyard"] = "Fosa de Bocados",
	Gnomeregan = "Gnomeregan",
	["Go'Shek Farm"] = "Granja Go'shek",
	["Goblin Foundry"] = "Fundición Goblin",
	["Goblin Slums"] = "Suburbios Goblin",
	["Gol'Bolar Quarry"] = "Cantera de Gol'Bolar",
	["Gol'Bolar Quarry Mine"] = "Mina Gol'Bolar",
	["Golakka Hot Springs"] = "Baños de Golakka",
	["Gold Coast Quarry"] = "Mina de la Costa del Oro",
	["Gold Mine"] = "Mina de oro",
	["Gold Road"] = "Camino del Oro",
	["Golden Strand"] = "La Ensenada Dorada",
	["Goldenbough Pass"] = "Desfiladero Ramadorada",
	["Goldenmist Village"] = "Aldea Bruma Dorada",
	Goldshire = "Villadorada",
	["Goldtooth's Den"] = "Cubil de Dientes de Oro",
	["Goodgrub Smoking Pit"] = "Foso de Humo de Buenazampa",
	["Gor'gaz Outpost"] = "Avanzada Gor'gaz",
	["Gordok's Seat"] = "Trono de Gordok",
	["Gordunni Outpost"] = "Avanzada Gordunni",
	["Gorefiend's Vigil"] = "Vigilia de Sanguino",
	Gornia = "Gornia",
	["Gorrok's Lament"] = "Lamento de Gorrok",
	["Gorshak War Camp"] = "Campamento de Guerra Gorshak",
	["Grand Magister's Asylum"] = "Asilo del Gran Magister",
	["Grand Promenade"] = "Gran Paseo",
	["Grangol'var Village"] = "Poblado Grangol'var",
	["Granite Springs"] = "Manantial de Granito",
	["Greatwood Vale"] = "Vega del Gran Bosque",
	["Greengill Coast"] = "Costa Branquia Verde",
	["Greenpaw Village"] = "Poblado Zarpaverde",
	["Greenwarden's Grove"] = "Arboleda del Guardaverde",
	["Greymane Court"] = "Patio de Cringris",
	["Greymane Manor"] = "Mansión de Cringris",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Entrada de Grim Batol",
	["Grimesilt Dig Site"] = "Excavación de Limugre",
	["Grimtotem Compound"] = "Dominios Tótem Siniestro",
	["Grimtotem Post"] = "Poblado Tótem Siniestro",
	Grishnath = "Grishnath",
	Grizzlemaw = "Fauceparda",
	["Grizzlepaw Ridge"] = "Fuerte Zarpagris",
	["Grizzly Hills"] = "Colinas Pardas",
	["Grol'dom Farm"] = "Granja de Grol'dom",
	["Grolluk's Grave"] = "Tumba de Grolluk",
	["Grom'arsh Crash-Site"] = "Lugar del accidente de Grom'arsh",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Campamento Grom'gol",
	["Grommash Hold"] = "Fuerte Grommash",
	["Grosh'gok Compound"] = "Dominios Grosh'gok",
	["Grove of Aessina"] = "Arboleda de Aessina",
	["Grove of the Ancients"] = "Páramo de los Ancianos",
	["Growless Cave"] = "Caverna Estrecha",
	["Gruul's Lair"] = "Guarida de Gruul",
	["Gryphon Roost"] = "Percha de grifo",
	["Guardian's Library"] = "Biblioteca del Guardián",
	Gundrak = "Gundrak",
	["Gundrak Entrance"] = "Entrada de Gundrak",
	["Gunstan's Dig"] = "Excavación de Dig",
	["Gunstan's Post"] = "Puesto de Gunstan",
	["Gunther's Retreat"] = "Refugio de Gunther",
	["Gurboggle's Ledge"] = "Saliente de Guraturdido",
	["Gurubashi Arena"] = "Arena Gurubashi",
	["Gyro-Plank Bridge"] = "Puente Girolámina",
	["Haal'eshi Gorge"] = "Garganta Haal'eshi",
	["Hadronox's Lair"] = "Guarida de Hadronox",
	["Hailwood Marsh"] = "Pantano Bosque del Pedrisco",
	Halaa = "Halaa",
	["Halaani Basin"] = "Cuenca Halaani",
	["Halcyon Egress"] = "Egreso Próspero",
	["Haldarr Encampment"] = "Campamento Haldarr",
	Halgrind = "Haltorboll",
	["Hall of Arms"] = "Sala de Armas",
	["Hall of Binding"] = "Sala de Vínculos",
	["Hall of Blackhand"] = "Sala de Puño Negro",
	["Hall of Blades"] = "Sala de las Espadas",
	["Hall of Bones"] = "Sala de los Huesos",
	["Hall of Champions"] = "Sala de los Campeones",
	["Hall of Command"] = "Sala de Mando",
	["Hall of Crafting"] = "Sala de los Oficios",
	["Hall of Departure"] = "Cámara de Partida",
	["Hall of Explorers"] = "Sala de los Expedicionarios",
	["Hall of Faces"] = "Sala de los Rostros",
	["Hall of Horrors"] = "Cámara de los Horrores",
	["Hall of Legends"] = "Sala de las Leyendas",
	["Hall of Masks"] = "Sala de las Máscaras",
	["Hall of Memories"] = "Cámara de los Recuerdos",
	["Hall of Mysteries"] = "Sala de los Misterios",
	["Hall of Repose"] = "Sala del Descanso",
	["Hall of Return"] = "Cámara de Regreso",
	["Hall of Ritual"] = "Sala de los Rituales",
	["Hall of Secrets"] = "Sala de los Secretos",
	["Hall of Serpents"] = "Sala de las Serpientes",
	["Hall of Stasis"] = "Cámara de Estasis",
	["Hall of Twilight"] = "Sala del Crepúsculo",
	["Hall of the Brave"] = "Bastión de los Valientes",
	["Hall of the Conquered Kings"] = "Cámara de los Reyes Conquistados",
	["Hall of the Crafters"] = "Sala de los Artesanos",
	["Hall of the Crusade"] = "Sala de la Cruzada",
	["Hall of the Cursed"] = "Sala de los Malditos",
	["Hall of the Damned"] = "Sala de los Condenados",
	["Hall of the Fathers"] = "Cámara de los Patriarcas",
	["Hall of the Frostwolf"] = "Cámara de los Lobo Gélido",
	["Hall of the High Father"] = "Cámara del Gran Padre",
	["Hall of the Keepers"] = "Sala de los Guardianes",
	["Hall of the Shaper"] = "Sala del Creador",
	["Hall of the Stormpike"] = "Cámara de los Pico Tormenta",
	["Hall of the Watchers"] = "Cámara de los Vigías",
	["Halls of Anguish"] = "Salas de Angustia",
	["Halls of Awakening"] = "Salas del Despertar",
	["Halls of Binding"] = "Sala de Vínculos",
	["Halls of Destruction"] = "Salas de la Destrucción",
	["Halls of Lightning"] = "Cámaras de Relámpagos",
	["Halls of Lightning Entrance"] = "Entrada de Cámaras de Relámpagos",
	["Halls of Mourning"] = "Salas del Luto",
	["Halls of Origination"] = "Cámaras de los Orígenes",
	["Halls of Origination Entrance"] = "Entrada de las Cámaras de los Orígenes",
	["Halls of Reflection"] = "Cámaras de Reflexión",
	["Halls of Reflection Entrance"] = "Entrada de Cámaras de Reflexión",
	["Halls of Silence"] = "Salas del Silencio",
	["Halls of Stone"] = "Cámaras de Piedra",
	["Halls of Stone Entrance"] = "Entrada de Cámaras de Piedra",
	["Halls of Strife"] = "Salas de los Conflictos",
	["Halls of Theory"] = "Galerías de la Teoría",
	["Halls of the Ancestors"] = "Salas de los Ancestros",
	["Halls of the Hereafter"] = "Salas del Más Allá",
	["Halls of the Law"] = "Salas de la Ley",
	["Halycon's Lair"] = "Guarida de Halycon",
	Hammerfall = "Sentencia",
	["Hammertoe's Digsite"] = "Excavación de Piemartillo",
	["Hammond Farmstead"] = "Hacienda de Hammond",
	Hangar = "Hangar",
	["Hardknuckle Clearing"] = "Claro Callonudillo",
	["Hardwrench Hideaway"] = "Escondrijo Malallave",
	["Harkor's Camp"] = "Campamento de Harkor",
	["Hatchet Hills"] = "Colinas Hacha",
	Havenshire = "Villa Refugio",
	["Havenshire Farms"] = "Granjas de Villa Refugio",
	["Havenshire Lumber Mill"] = "Serrería de Villa Refugio",
	["Havenshire Mine"] = "Mina de Villa Refugio",
	["Havenshire Stables"] = "Establos de Villa Refugio",
	["Hayward Fishery"] = "Caladero Hayward",
	["Headmaster's Study"] = "Sala Rectoral",
	["Heart of Destruction"] = "Corazón de Destrucción",
	["Heart's Blood Shrine"] = "Santuario Sangre de Corazón",
	Hearthglen = "Vega del Amparo",
	["Heartwood Trading Post"] = "Puesto de Venta de Duramen",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Hellfire Basin"] = "Cuenca del Fuego Infernal",
	["Hellfire Citadel"] = "Ciudadela del Fuego Infernal",
	["Hellfire Citadel - Ramparts Entrance"] = "Ciudadela del Fuego Infernal: Entrada de las Murallas",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Ciudadela del Fuego Infernal: Entrada de El Horno de Sangre",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Ciudadela del Fuego Infernal: Entrada de Las Salas Arrasadas",
	["Hellfire Citadel: Ramparts"] = "Ciudadela del Fuego Infernal: Murallas",
	["Hellfire Citadel: The Blood Furnace"] = "Ciudadela del Fuego Infernal: Horno de Sangre",
	["Hellfire Citadel: The Shattered Halls"] = "Ciudadela del Fuego Infernal: Salas Arrasadas",
	["Hellfire Peninsula"] = "Península del Fuego Infernal",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Península del Fuego Infernal - Force Camp Beach Head",
	["Hellfire Peninsula - Reaver's Fall"] = "Península del Fuego Infernal - Caída del Atracador Vil",
	["Hellfire Ramparts"] = "Murallas del Fuego Infernal",
	["Hellscream's Camp"] = "Campamento de Grito Infernal",
	["Hellscream's Grasp"] = "Dominios Grito Infernal",
	["Hellscream's Watch"] = "Avanzada Grito Infernal",
	["Helm's Bed Lake"] = "Lago de Helm",
	["Heroes' Vigil"] = "Vigilia de los Héroes",
	["Hetaera's Clutch"] = "Guarida de Hetaera",
	["Hewn Bog"] = "Ciénaga Talada",
	["Hibernal Cavern"] = "Caverna Hibernal",
	["Hidden Path"] = "Sendero Oculto",
	["High Bank"] = "Bancalto",
	["High Wilderness"] = "Altas Tierras Salvajes",
	Highbank = "Bancalto",
	["Highland Forest"] = "Bosque de las Tierras Altas",
	Highperch = "Nido Alto",
	Hillsbrad = "Trabalomas",
	["Hillsbrad Fields"] = "Campos de Trabalomas",
	["Hillsbrad Foothills"] = "Laderas de Trabalomas",
	["Hiri'watha Research Station"] = "Estación de Investigación de Hiri'watha",
	["Hive'Ashi"] = "Colmen'Ashi",
	["Hive'Regal"] = "Colmen'Regal",
	["Hive'Zora"] = "Colmen'Zora",
	["Hogger Hill"] = "Colina de Hogger",
	["Hollowstone Mine"] = "Mina Piedrahueca",
	["Honor Hold"] = "Bastión del Honor",
	["Honor Hold Mine"] = "Mina Bastión del Honor",
	["Honor Point"] = "Alto del Honor", -- Needs review
	["Honor's Stand"] = "El Alto del Honor",
	["Honor's Tomb"] = "Tumba del Honor",
	["Horde Base Camp"] = "Campamento Base de la Horda",
	["Horde Encampment"] = "Campamento de la Horda",
	["Horde Keep"] = "Fortaleza de la Horda",
	["Horde Landing"] = "Aterrizaje de la Horda",
	["Horde PVP Barracks"] = "Cuartel JcJ de la Horda",
	["Hordemar City"] = "Ciudad Hordemar",
	["House of Edune"] = "Casa de Edune",
	["Howling Fjord"] = "Fiordo Aquilonal",
	["Howling Ziggurat"] = "Zigurat Aullante",
	["Hrothgar's Landing"] = "Desembarco de Hrothgar",
	["Hull of the Foebreaker"] = "Casco del Rasgadversarios",
	["Humboldt Conflagration"] = "Conflagración de Humboldt",
	["Hunter Rise"] = "Alto de los Cazadores",
	["Hunter's Hill"] = "Cerro del Cazador",
	["Huntress of the Sun"] = "Cazadora del Sol",
	["Huntsman's Cloister"] = "Claustro del Cazador",
	Hyjal = "Hyjal",
	["Hyjal Barrow Dens"] = "Túmulos de Hyjal",
	["Hyjal Past"] = "El Pasado Hyjal",
	["Hyjal Summit"] = "La Cima Hyjal",
	["Ice Heart Cavern"] = "Caverna Corazón de Hielo",
	["Ice Thistle Hills"] = "Colinas Cardo Nevado",
	["Iceblood Garrison"] = "Baluarte Sangrehielo",
	["Iceblood Graveyard"] = "Cementerio Sangrehielo",
	Icecrown = "Corona de Hielo",
	["Icecrown Citadel"] = "Ciudadela de la Corona de Hielo",
	["Icecrown Dungeon - Gunships"] = "Mazmorra de Corona de Hielo",
	["Icecrown Glacier"] = "Glaciar Corona de Hielo",
	["Iceflow Lake"] = "Lago Glacial",
	["Icemist Falls"] = "Cataratas Bruma de Hielo",
	["Icemist Village"] = "Poblado Bruma de Hielo",
	["Icewing Bunker"] = "Búnker Ala Gélida",
	["Icewing Cavern"] = "Cueva Ala Gélida",
	["Icewing Pass"] = "Paso de Ala Gélida",
	["Idlewind Lake"] = "Lago Soplo",
	["Igneous Depths"] = "Profundidades Ígneas",
	["Illidari Point"] = "Alto Illidari",
	["Illidari Training Grounds"] = "Campo de entrenamiento Illidari",
	["Indu'le Village"] = "Poblado Indu'le",
	Inn = "Posada",
	["Inner Sanctum"] = "Sagrario Interior",
	["Inner Veil"] = "Velo Interior",
	["Insidion's Perch"] = "Nido de Insidion",
	["Invasion Point: Annihilator"] = "Punto de invasión: Aniquilador",
	["Invasion Point: Cataclysm"] = "Punto de Invasión: Cataclismo",
	["Invasion Point: Destroyer"] = "Punto de Invasión: Destructor",
	["Invasion Point: Overlord"] = "Punto de Invasión: Señor Supremo",
	["Iron Concourse"] = "Explanada de Hierro",
	["Iron Summit"] = "Cima de Hierro",
	["Ironband's Compound"] = "Complejo Vetaferro",
	["Ironband's Excavation Site"] = "Excavación de Vetaferro",
	["Ironbeard's Tomb"] = "Tumba de Barbaférrea",
	["Ironclad Cove"] = "Cala del Acorazado",
	["Ironclad Garrison"] = "Cuartel del Acorazado",
	["Ironclad Prison"] = "Prisión del Acorazado",
	["Irondeep Mine"] = "Mina Ferrohondo",
	Ironforge = "Forjaz",
	["Ironforge Airfield"] = "Base aérea de Forjaz",
	["Ironstone Camp"] = "Campamento Roca de Hierro",
	["Ironstone Plateau"] = "Meseta Roca de Hierro",
	["Irontree Cavern"] = "Caverna de Troncoferro",
	["Irontree Clearing"] = "Claro de Troncoferro",
	["Irontree Woods"] = "Bosque de Troncoferro",
	["Ironwall Dam"] = "Presa del Muro de Hierro",
	["Ironwall Rampart"] = "Fortificación del Muro de Hierro",
	["Ironwing Cavern"] = "Caverna de Alahierro",
	Iskaal = "Iskaal",
	["Island of Doctor Lapidis"] = "Isla del Doctor Lapidis",
	["Isle of Conquest"] = "Isla de la Conquista",
	["Isle of Conquest No Man's Land"] = "Tierra de Nadie de Isla de la Conquista",
	["Isle of Dread"] = "Isla del Terror",
	["Isle of Quel'Danas"] = "Isla de Quel'Danas",
	["Isle of Tribulations"] = "Isla de las Tribulaciones",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Cueva de Itharius",
	["Ivald's Ruin"] = "Ruinas de Ivald",
	["Ix'lar's Domain"] = "Dominio de Ix'lar",
	["Jadefire Glen"] = "Cañada Fuego de Jade",
	["Jadefire Run"] = "Camino Fuego de Jade",
	["Jademir Lake"] = "Lago Jademir",
	Jaedenar = "Jaedenar",
	["Jagged Reef"] = "Arrecife Dentado",
	["Jagged Ridge"] = "Cresta Dentada",
	["Jagged Wastes"] = "Ruinas Dentadas",
	["Jaggedswine Farm"] = "La Pocilga",
	["Jaguero Isle"] = "Isla Jaguero",
	["Janeiro's Point"] = "Cayo de Janeiro",
	["Jangolode Mine"] = "Mina de Jango",
	["Jaquero Isle"] = "Isla Jaquero",
	["Jasperlode Mine"] = "Cantera de Jaspe",
	["Jeff NE Quadrant Changed"] = "Jeff NE Quadrant Changed",
	["Jeff NW Quadrant"] = "Jeff NW Quadrant",
	["Jeff SE Quadrant"] = "Jeff SE Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW Quadrant",
	["Jerod's Landing"] = "Embarcadero de Jerod",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Pasaje de Jintha'kalar",
	Jotunheim = "Jotunheim",
	K3 = "K3",
	["KTC Headquarters"] = "Central SCK",
	["KTC Oil Platform"] = "Plataforma Petrolera SCK",
	["Kaja'mine"] = "Kaja'mina",
	["Kaja'mite Cave"] = "Cueva de Kaja'mita",
	["Kaja'mite Cavern"] = "Caverna de Kaja'mita",
	["Kajaro Field"] = "Campo Kajaro",
	["Kal'ai Ruins"] = "Ruinas de Kal'ai",
	Kalimdor = "Kalimdor",
	Kamagua = "Komawa",
	["Karabor Sewers"] = "Cloacas de Karabor",
	Karazhan = "Karazhan",
	["Kargathia Keep"] = "Fuerte de Kargathia",
	["Karnum's Glade"] = "Claro de Karnum",
	["Kartak's Hold"] = "Bastión de Kartak",
	Kaskala = "Kashala",
	["Kaw's Roost"] = "Percha de Kaw",
	["Keel Harbor"] = "Puerto Quilla",
	["Keelen's Trustworthy Tailoring"] = "La Sastrería Fiable de Keelen",
	["Keeshan's Post"] = "Puesto de Keeshan",
	["Kel'Thuzad Chamber"] = "Cámara de Kel'Thuzad",
	["Kel'Thuzad's Chamber"] = "Cámara de Kel'Thuzad",
	["Kelp'thar Forest"] = "Bosque Kelp'thar",
	["Keset Pass"] = "Paso de Keset",
	["Kessel's Crossing"] = "Encrucijada de Kessel",
	Kezan = "Kezan",
	Kharanos = "Kharanos",
	["Khardros' Anvil"] = "Yunque de Khardros",
	["Khartut's Tomb"] = "Tumba de Khartut",
	["Khaz'goroth's Seat"] = "Trono de Khaz'goroth",
	["Kil'sorrow Fortress"] = "Fortaleza Mata'penas",
	["Kili'ua's Atoll"] = "Atolón de Kili'ua",
	["King's Gate"] = "Puerta del Rey",
	["King's Harbor"] = "Puerto del Rey",
	["King's Hoard"] = "Reservas del Rey",
	["King's Square"] = "Plaza del Rey",
	["Kirin'Var Village"] = "Poblado Kirin'Var",
	Kirthaven = "Kirthaven",
	["Kodo Graveyard"] = "Cementerio de Kodos",
	["Kodo Rock"] = "Roca de los Kodos",
	["Kolkar Village"] = "Poblado Kolkar",
	Kolramas = "Kolramas",
	["Kor'kron Vanguard"] = "Vanguardia Kor'kron",
	["Kormek's Hut"] = "Cabaña de Kormek",
	["Koroth's Den"] = "Cubil de Koroth",
	["Korthun's End"] = "Fin de Korthun",
	["Krasus' Landing"] = "Alto de Krasus",
	["Krazzworks Attack Zeppelin"] = "Zepelín de ataque de La Krazzería",
	["Krolg's Hut"] = "Cabaña de Krolg",
	["Krom'gar Fortress"] = "Fortaleza Krom'gar",
	["Krom's Landing"] = "Puerto de Krom",
	["Kul Tiras"] = "Kul Tiras",
	["Kul'galar Keep"] = "Fortaleza de Kul'galar",
	["Kurzen's Compound"] = "Base de Kurzen",
	["L'ghorek"] = "L'ghorek",
	["Lair of the Chosen"] = "Guarida de los Elegidos",
	["Lake Al'Ameth"] = "Lago Al'Ameth",
	["Lake Cauldros"] = "Lago Caldros",
	["Lake Dumont"] = "Lago Dumont",
	["Lake Edunel"] = "Lago Edunel",
	["Lake Elrendar"] = "Lago Elrendar",
	["Lake Elune'ara"] = "Lago Elune'ara",
	["Lake Ere'Noru"] = "Lago Ere'Noru",
	["Lake Everstill"] = "Lago Sempiterno",
	["Lake Falathim"] = "Lago Falathim",
	["Lake Indu'le"] = "Lago Indu'le",
	["Lake Jorune"] = "Lago Jorune",
	["Lake Kel'Theril"] = "Lago Kel'Theril",
	["Lake Kum'uya"] = "Lago Kum'uya",
	["Lake Mennar"] = "Lago Mennar",
	["Lake Mereldar"] = "Lago Mereldar",
	["Lake Nazferiti"] = "Lago Nazferiti",
	["Lake Sunspring"] = "Lago Primasol",
	["Lakeridge Highway"] = "Camino del Lago",
	Lakeshire = "Villa del Lago",
	["Lakeshire Inn"] = "Posada de Villa del Lago",
	["Lakeshire Town Hall"] = "Concejo de Villa del Lago",
	["Lakeside Landing"] = "Pista del Lago",
	["Lakkari Tar Pits"] = "Fosas de Alquitrán Lakkari",
	["Land's End Beach"] = "Playa Finisterrae",
	["Landing Beach"] = "Playa de Desembarco",
	["Landing Site"] = "Lugar del Desembarco",
	["Langrom's Leather & Links"] = "Cuero y Eslabones de Langrom",
	["Largo's Overlook"] = "Alto de Largo",
	["Largo's Overlook Tower"] = "Torre del Alto de Largo",
	["Lariss Pavilion"] = "Pabellón de Lariss",
	["Laughing Skull Courtyard"] = "Patio Riecráneos",
	["Laughing Skull Ruins"] = "Ruinas Riecráneos",
	["Launch Bay"] = "Aeropuerto",
	["Legash Encampment"] = "Campamento Legashi",
	["Legendary Leathers"] = "Pieles Legendarias",
	["Legion Hold"] = "Bastión de la Legión",
	["Legion's Fate"] = "Destino de la Legión",
	["Legion's Rest"] = "Reposo de la Legión",
	["Lethlor Ravine"] = "Barranco Lethlor",
	["Leyara's Sorrow"] = "Pesar de Leyara",
	["Library Wing"] = "Ala de la Biblioteca",
	["Light's Breach"] = "Brecha de la Luz",
	["Light's Dawn Cathedral"] = "Catedral del Alba",
	["Light's Hammer"] = "Martillo de la Luz",
	["Light's Hope Chapel"] = "Capilla de la Esperanza de la Luz",
	["Light's Point"] = "Punta de la Luz",
	["Light's Point Tower"] = "Torre de la Punta de la Luz",
	["Light's Shield Tower"] = "Torre del Escudo de la Luz",
	["Light's Trust"] = "Confianza de la Luz",
	Lighthouse = "Faro",
	["Lightning Ledge"] = "Saliente de Relámpagos",
	["Like Clockwork"] = "Como un Reloj",
	["Lion's Pride Inn"] = "Posada Orgullo de León",
	["Livery Outpost"] = "Avanzada de la Caballería",
	["Livery Stables"] = "Caballerizas",
	["Llane's Oath"] = "Juramento de Llane",
	["Loading Room"] = "Zona de Carga",
	["Loch Modan"] = "Loch Modan",
	["Loch Verrall"] = "Loch Verrall",
	["Loken's Bargain"] = "Acuerdo de Loken",
	Longshore = "Playa Larga",
	["Lor'danel"] = "Lor'danel",
	["Lordamere Internment Camp"] = "Campo de Reclusión de Lordamere",
	["Lordamere Lake"] = "Lago Lordamere",
	["Lorthuna's Gate"] = "Puerta de Lorthuna",
	["Lost Caldera"] = "Caldera Perdida",
	["Lost City of the Tol'vir"] = "Ciudad Perdida de los Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Entrada de la Ciudad Perdida de los Tol'vir",
	["Lost Isles Town in a Box"] = "Ciudad de Bolsillo de Las Islas Perdidas",
	["Lost Isles Volcano Eruption"] = "Erupción de Volcán de Las Islas Perdidas",
	["Lost Peak"] = "Pico Perdido",
	["Lost Point"] = "Punta Perdida",
	["Lost Rigger Cove"] = "Cala del Aparejo Perdido",
	LostIsles = "Las Islas Perdidas",
	["Lothalor Woodlands"] = "Bosque Lothalor",
	["Lower City"] = "Bajo Arrabal",
	["Lower Silvermarsh"] = "Marjal Argenta Inferior",
	["Lower Veil Shil'ak"] = "Velo Shil'ak Bajo",
	["Lower Wilds"] = "Bajas Tierras Salvajes",
	["Lumber Mill"] = "Aserradero",
	["Lushwater Oasis"] = "Oasis Aguaverde",
	["Lydell's Ambush"] = "Emboscada de Lydell",
	["M.A.C. Diver"] = "Otilius",
	["Maelstrom Zone"] = "Zona de La Vorágine",
	["Maestra's Post"] = "Atalaya de Maestra",
	["Maexxna's Nest"] = "Nido de Maexxna",
	["Mag'har Grounds"] = "Dominios Mag'har",
	["Mag'har Post"] = "Puesto Mag'har",
	["Mag'hari Procession"] = "Procesión Mag'hari",
	["Mage Quarter"] = "Barrio de los Magos",
	["Mage Tower"] = "Torre de los Magos",
	["Magic Quarter"] = "Barrio de la Magia",
	["Magical Menagerie"] = "Arca Mágica",
	["Magister's Terrace"] = "Bancal del Magister",
	["Magisters Gate"] = "Puerta Magister",
	["Magisters' Terrace"] = "Bancal del Magister",
	["Magisters' Terrace Entrance"] = "Entrada del Bancal del Magister",
	["Magma Fields"] = "Campos de Magma",
	["Magma Springs"] = "Fuentes de Magma",
	["Magmadar Cavern"] = "Cueva Magmadar",
	["Magmaw's Fissure"] = "Fisura de Faucemagma",
	Magmoth = "Magmoth",
	["Magnamoth Caverns"] = "Cavernas Magnamoth",
	["Magram Territory"] = "Territorio Magram",
	["Magtheridon's Lair"] = "Guarida de Magtheridon",
	["Magus Commerce Exchange"] = "Mercado de Magos",
	["Main Gate"] = "Entrada Principal",
	["Main Hall"] = "Sala Principal",
	["Maker's Ascent"] = "Ascenso del Hacedor",
	["Maker's Overlook"] = "El Mirador de los Creadores",
	["Maker's Perch"] = "Pedestal del Creador",
	["Makers' Overlook"] = "El Mirador de los Creadores",
	["Makers' Perch"] = "El Pedestal de los Creadores",
	["Malaka'jin"] = "Malaka'jin",
	["Malden's Orchard"] = "Huerta de Malden",
	Maldraz = "Maldraz",
	["Malfurion's Breach"] = "Brecha de Malfurion",
	["Malicia's Outpost"] = "Avanzada de Malicia",
	["Malykriss: The Vile Hold"] = "Malykriss: El Bastión Inmundo",
	["Mam'toth Crater"] = "Cráter de Mam'toth",
	["Mana Tombs"] = "Tumbas de Maná",
	["Mana-Tombs"] = "Tumbas de Maná",
	["Manaforge Ara"] = "Forja de Maná Ara",
	["Manaforge B'naar"] = "Forja de Maná B'naar",
	["Manaforge Coruu"] = "Forja de Maná Coruu",
	["Manaforge Duro"] = "Forja de Maná Duro",
	["Manaforge Ultris"] = "Forja de Maná Ultris",
	["Mandokir's Domain"] = "Dominios de Mandokir",
	["Mannoroc Coven"] = "Aquelarre Mannoroc",
	["Manor Mistmantle"] = "Mansión Mantoniebla",
	["Mantle Rock"] = "Rocamanto",
	["Map Chamber"] = "Cámara del Mapa",
	["Mar'at"] = "Mar'at",
	Maraudon = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon: Entrada de las Cascadas del Canto de la Tierra",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon: Entrada de la Gruta de la Espora Fétida",
	["Mardenholde Keep"] = "Fortaleza de Mardenholde",
	["Market Row"] = "Fila del Mercado",
	["Marshal's Refuge"] = "Refugio de Marshal",
	["Marshal's Stand"] = "Alto de Marshal",
	["Marshlight Lake"] = "Lago Luz Pantanosa",
	["Marshtide Watch"] = "Avanzada Marea Pantanosa",
	["Maruadon - The Wicked Grotto Entrance"] = "Maraudon: Entrada de La Gruta Maligna",
	["Mast Room"] = "Sala del Mástil",
	["Master's Terrace"] = "El Bancal del Maestro",
	["Masters' Gate"] = "Puerta de los Maestros",
	["Maw of Lycanthoth"] = "Fauces de Lycanthoth",
	["Maw of Neltharion"] = "Fauces de Neltharion",
	["Maw of the Void"] = "Fauces del Vórtice",
	["Mazra'Alor"] = "Mazra'Alor",
	Mazthoril = "Mazthoril",
	["Medivh's Chambers"] = "Estancias de Medivh",
	["Menagerie Wreckage"] = "Restos del Arca",
	["Menethil Bay"] = "Bahía de Menethil",
	["Menethil Harbor"] = "Puerto de Menethil",
	["Menethil Keep"] = "Castillo de Menethil",
	["Merchant Square"] = "Plaza de los Mercaderes",
	["Mid Point Station"] = "Estación de la Punta Central",
	Middenvale = "Mediavega",
	["Midrealm Post"] = "Puesto de la Tierra Media",
	["Midwall Lift"] = "Elevador del Muro Central",
	["Mightstone Quarry"] = "Cantera de Piedra de Poderío",
	["Military District"] = "Distrito Militar",
	["Mimir's Workshop"] = "Taller de Mimir",
	Mine = "Mina",
	Mines = "Minas",
	["Mirage Abyss"] = "Abismo del Espejismo",
	["Mirage Flats"] = "Explanada del Espejismo",
	["Mirage Raceway"] = "Circuito del Espejismo",
	["Mirkfallon Lake"] = "Lago Mirkfallon",
	["Mirkfallon Post"] = "Puesto Mirkfallon",
	["Mirror Lake"] = "Lago Espejo",
	["Mirror Lake Orchard"] = "Vergel del Lago Espejo",
	["Mist's Edge"] = "Cabo de la Niebla",
	["Mistcaller's Cave"] = "Cueva del Clamaneblina",
	["Mistvale Valley"] = "Valle del Velo de Bruma",
	["Mistwhisper Refuge"] = "Refugio Susurraneblina",
	["Misty Pine Refuge"] = "Refugio Pinobruma",
	["Misty Reed Post"] = "Puesto Juncobruma",
	["Misty Reed Strand"] = "Playa Juncobruma",
	["Misty Ridge"] = "Cresta Brumosa",
	["Misty Shore"] = "Costa de la Neblina",
	["Misty Valley"] = "Valle Brumoso",
	["Miwana's Longhouse"] = "Casa Comunal de Miwana",
	["Mizjah Ruins"] = "Ruinas de Mizjah",
	["Mo'grosh Stronghold"] = "Fortaleza de Mo'grosh",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Puerto Moa'ki",
	["Moggle Point"] = "Cabo Moggle",
	["Mok'Doom"] = "Mok'Doom",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Aldea Mok'Nathal",
	["Mold Foundry"] = "Fundición del Molde",
	["Molten Core"] = "Núcleo de Magma",
	["Molten Front"] = "Frente de Magma",
	["Moon Horror Den"] = "Cubil del Horror de la Luna",
	Moonbrook = "Arroyo de la Luna",
	Moonglade = "Claro de la Luna",
	["Moongraze Woods"] = "Bosque Pasto Lunar",
	["Moonrest Gardens"] = "Jardines Reposo Lunar",
	["Moonshrine Ruins"] = "Ruinas del Santuario Lunar",
	["Moonshrine Sanctum"] = "Sagrario Lunar",
	["Moontouched Den"] = "Cubil Lunadón",
	["Moonwell of Cleansing"] = "Poza de la Luna de Purificación",
	["Moonwell of Purity"] = "Poza de la Luna de Pureza",
	["Moonwing Den"] = "Túmulo Lunala",
	["Mor'shan Base Camp"] = "Campamento de Mor'shan",
	["Mord'rethar: The Death Gate"] = "Mord'rethar: La Puerta de la Muerte",
	["Morgan's Plot"] = "Terreno de Morgan",
	["Morgan's Vigil"] = "Vigilia de Morgan",
	["Morlos'Aran"] = "Morlos'Aran",
	["Mortal's Demise"] = "Óbito del Mortal",
	["Mortwake's Tower"] = "Torre de Mortoalerta",
	["Mosh'Ogg Ogre Mound"] = "Túmulo Ogro Mosh'Ogg",
	["Mosshide Fen"] = "Pantano Pellejomusgo",
	["Mosswalker Village"] = "Poblado Caminamoho",
	["Mossy Pile"] = "Pilote Musgoso",
	["Mount Akher"] = "Monte Akher",
	["Mount Hyjal"] = "Monte Hyjal",
	["Mount Hyjal Phase 1"] = "Mount Hyjal Phase 1",
	["Mountainfoot Strip Mine"] = "Cantera de la Ladera",
	Mudsprocket = "Piñón de Barro",
	Mulgore = "Mulgore",
	["Murder Row"] = "El Frontal de la Muerte",
	["Murkdeep Cavern"] = "Caverna Negrasombra",
	["Mystral Lake"] = "Lago Mystral",
	Mystwood = "Bosque Bruma",
	Nagrand = "Nagrand",
	["Nagrand Arena"] = "Arena de Nagrand",
	Nahom = "Nahom",
	["Nar'shola Terrace"] = "Bancal de Nar'shola",
	["Narvir's Cradle"] = "Cuna de Narvir",
	["Nasam's Talon"] = "Garfa de Nasam",
	["Nat's Landing"] = "Embarcadero de Nat",
	Naxxanar = "Naxxanar",
	Naxxramas = "Naxxramas",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak: Las Profundidades Olvidadas",
	["Nazj'vel"] = "Nazj'vel",
	Nazzivian = "Nazzivian",
	["Needlerock Chasm"] = "Sima Rocaguja",
	["Needlerock Slag"] = "Fosa Rocaguja",
	["Nefarian's Lair"] = "Guarida de Nefarian",
	["Nefarian�s Lair"] = "Guarida de Nefarian",
	["Neferset City"] = "Ciudad de Neferset",
	["Neferset City Outskirts"] = "Afueras de la Ciudad de Neferset",
	["Nek'mani Wellspring"] = "Manantial Nek'mani",
	["Neptulon's Rise"] = "Alto de Neptulon",
	["Nesingwary Base Camp"] = "Campamento Base de Nesingwary",
	["Nesingwary Safari"] = "Safari Nesingwary",
	["Nesingwary's Expedition"] = "Expedición de Nesingwary",
	Nespirah = "Nespirah",
	["Nestlewood Hills"] = "Colinas Cubrebosque",
	["Nestlewood Thicket"] = "Matorral Cubrebosque",
	["Nethander Stead"] = "Granja Nethander",
	["Nethergarde Keep"] = "Castillo de Nethergarde",
	["Nethergarde Mines"] = "Minas de Nethergarde",
	["Nethergarde Supply Camps"] = "Campamento de Suministros de Nethergarde",
	Netherspace = "Espacio Abisal",
	Netherstone = "Piedra Abisal",
	Netherstorm = "Tormenta Abisal",
	["Netherweb Ridge"] = "Cresta Red Abisal",
	["Netherwing Fields"] = "Campos del Ala Abisal",
	["Netherwing Ledge"] = "Arrecife del Ala Abisal",
	["Netherwing Mines"] = "Minas del Ala Abisal",
	["Netherwing Pass"] = "Desfiladero del Ala Abisal",
	["New Agamand"] = "Nuevo Agamand",
	["New Agamand Inn"] = "Posada de Nuevo Agamand",
	["New Avalon"] = "Nuevo Avalon",
	["New Avalon Fields"] = "Campos de Nuevo Avalon",
	["New Avalon Forge"] = "Forja de Nuevo Avalon",
	["New Avalon Orchard"] = "Huerto de Nuevo Avalon",
	["New Avalon Town Hall"] = "Concejo de Nuevo Avalon",
	["New Hearthglen"] = "Nueva Vega del Amparo",
	["New Kargath"] = "Nuevo Kargath",
	["New Thalanaar"] = "Nueva Thalanaar",
	["New Tinkertown"] = "Nueva Ciudad Manitas",
	["Nexus Legendary"] = "Legendario del Nexo",
	Nidavelir = "Nidavelir",
	["Nidvar Stair"] = "Escalera de Nidvar",
	Nifflevar = "Nafsavar",
	["Night Elf Village"] = "Villa Elfo de la Noche",
	["Night Run"] = "Senda de la Noche",
	["Night Web's Hollow"] = "Hoya Nocturácnidas",
	Nighthaven = "Amparo de la Noche",
	["Nightmare Depths"] = "Profundidades de Pesadilla",
	["Nightmare Scar"] = "Paraje Pesadilla",
	["Nightmare Vale"] = "Vega Pesadilla",
	["Nightsong Woods"] = "Bosque Arrullanoche",
	["Nijel's Point"] = "Punta de Nijel",
	["Nimbus Rise"] = "Alto de Nimbo",
	["Njord's Breath Bay"] = "Bahía Aliento de Njord",
	["Njorn Stair"] = "Escalera de Njorn",
	["Njorndar Village"] = "Poblado Njorndar",
	["Noonshade Ruins"] = "Ruinas Sombrasol",
	Nordrassil = "Nordrassil",
	["Nordrassil Inn"] = "Posada de Nordrassil",
	["Nordune Ridge"] = "Cresta Nordune",
	["North Common Hall"] = "Sala Comunal Norte",
	["North Gate Outpost"] = "Avanzada de la Puerta Norte",
	["North Gate Pass"] = "Paso de la Puerta Norte",
	["North Point Station"] = "Estación de la Punta Norte",
	["North Point Tower"] = "Torre de la Punta Norte",
	["North Sanctum"] = "Sagrario del Norte",
	["North Spear Tower"] = "Torre Lanza del Norte",
	["North Tide's Beachhead"] = "Desembarco Mareanorte",
	["North Tide's Run"] = "Cala Mareanorte",
	Northdale = "Vallenorte",
	["Northern Barrens"] = "Los Baldíos del Norte",
	["Northern Headlands"] = "Cabos del Norte",
	["Northern Rampart"] = "Muralla Norte",
	["Northern Rocketway"] = "Cohetepista del Norte",
	["Northern Rocketway Exchange"] = "Intercambiador de la Cohetepista del Norte",
	["Northern Stranglethorn"] = "Norte de la Vega de Tuercespina",
	["Northfold Manor"] = "Mansión Redilnorte",
	["Northgate Breach"] = "Brecha de la Puerta del Norte",
	["Northgate River"] = "Río de la Puerta del Norte",
	["Northgate Woods"] = "Bosque de la Puerta del Norte",
	["Northmaul Tower"] = "Torre Quiebranorte",
	["Northpass Tower"] = "Torre del Paso Norte",
	Northrend = "Rasganorte",
	["Northridge Lumber Camp"] = "Aserradero Crestanorte",
	["Northshire Abbey"] = "Abadía de Villanorte",
	["Northshire River"] = "Río de Villanorte",
	["Northshire Valley"] = "Valle de Villanorte",
	["Northshire Vineyards"] = "Viñedos de Villanorte",
	["Northwatch Expedition Base Camp"] = "Campamento Base de la Expedición del Fuerte del Norte",
	["Northwatch Expedition Base Camp Inn"] = "Taberna del Campamento Base de la Expedición del Fuerte del Norte",
	["Northwatch Foothold"] = "Ciudadela del Fuerte del Norte",
	["Northwatch Hold"] = "Fuerte del Norte",
	["Northwind Cleft"] = "Grieta del Viento Norte",
	["Nozzlepot's Outpost"] = "Avanzada de Ollaboquilla",
	["Nozzlerust Post"] = "Puesto Boquilla Oxidada",
	["O'Breen's Camp"] = "Campamento de O'Breen",
	["Oasis of Vir'sar"] = "Oasis de Vir'sar",
	["Oasis of the Fallen Prophet"] = "Oasis del Profeta Caído",
	["Obelisk of the Moon"] = "Obelisco de la Luna",
	["Obelisk of the Stars"] = "Obelisco de las Estrellas",
	["Obelisk of the Sun"] = "Obelisco del Sol",
	["Observance Hall"] = "Cámara de Observancia",
	["Observation Grounds"] = "Sector de Observación",
	["Obsidia's Perch"] = "Nido de Obsidia",
	["Obsidian Breakers"] = "Rompiente Obsidiana",
	["Obsidian Dragonshrine"] = "Santuario de Dragones Obsidiana",
	["Obsidian Forest"] = "Bosque Obsidiana",
	["Obsidian Lair"] = "Guarida Obsidiana",
	["Odesyus' Landing"] = "Desembarco de Odesyus",
	["Ogri'la"] = "Ogri'la",
	["Old Hillsbrad Foothills"] = "Antiguas Laderas de Trabalomas",
	["Old Ironforge"] = "Antigua Forjaz",
	["Old Town"] = "Casco Antiguo",
	Olembas = "Olembas",
	["Olivia's Pond"] = "Estanque de Olivia",
	["Olsen's Farthing"] = "Finca de Olsen",
	["One More Glass"] = "Una Copa Más",
	Oneiros = "Oneiros",
	["Onslaught Base Camp"] = "Campamento del Embate",
	["Onslaught Harbor"] = "Puerto del Embate",
	["Onyxia's Lair"] = "Guarida de Onyxia",
	["Oomlot Village"] = "Poblado Oomlot",
	Oostan = "Oostan",
	["Oostan Nord"] = "Oostan Nord",
	["Oostan Ost"] = "Oostan Ost",
	["Oostan Sor"] = "Oostan Sor",
	["Opening of the Dark Portal"] = "Apertura de El Portal Oscuro",
	["Opening of the Dark Portal Entrance"] = "Entrada de la Apertura de El Portal Oscuro",
	["Oratory of the Damned"] = "Oratorio de los Malditos",
	["Orebor Harborage"] = "Puerto Orebor",
	["Orendil's Retreat"] = "Refugio de Orendil",
	["Orgrim's Hammer"] = "Martillo de Orgrim",
	Orgrimmar = "Orgrimmar",
	["Orgrimmar Rear Gate"] = "Puerta Trasera de Orgrimmar",
	["Orgrimmar Rocketway Exchange"] = "Intercambiador de la Cohetepista de Orgrimmar",
	["Oronok's Farm"] = "Granja de Oronok",
	Orsis = "Orsis",
	["Ortell's Hideout"] = "Guarida de Ortell",
	["Oshu'gun"] = "Oshu'gun",
	Outland = "Terrallende",
	["Overgrown Camp"] = "Campamento Hojarasca",
	["Owl Wing Thicket"] = "Matorral del Ala del Búho",
	["Pal'ea"] = "Pal'ea",
	["Palemane Rock"] = "Roca Crines Pálidas",
	["Parhelion Plaza"] = "Plaza del Parhelio",
	["Passage of Lost Fiends"] = "Pasaje de los Malignos Perdidos",
	["Path of Uther"] = "Senda de Uther",
	["Path of the Titans"] = "Senda de los Titanes",
	["Pattymack Land"] = "Tierra de Pattymack",
	["Pauper's Walk"] = "Camino del Indigente",
	["Pestilent Scar"] = "Cicatriz Pestilente",
	["Petitioner's Chamber"] = "Cámaras de los Ruegos",
	["Pilgrim's Precipice"] = "Precipicio del Peregrino",
	["Pincer X2"] = "Tenazario X2",
	["Pit of Fangs"] = "Foso de los Colmillos",
	["Pit of Saron"] = "Foso de Saron",
	["Pit of Saron Entrance"] = "Entrada del Foso de Saron",
	["Plaguelands: The Scarlet Enclave"] = "Tierras de la Peste: El Enclave Escarlata",
	["Plaguemist Ravine"] = "Barranco Bruma Enferma",
	Plaguewood = "Bosque de la Peste",
	["Plaguewood Tower"] = "Torre del Bosque de la Peste",
	["Plain of Echoes"] = "Llanura de los Ecos",
	["Plain of Shards"] = "Llanura de los Fragmentos",
	["Plains of Nasam"] = "Llanuras de Nasam",
	["Pod Cluster"] = "La Maraña de Cápsulas",
	["Pod Wreckage"] = "El Cementerio de Cápsulas",
	["Poison Falls"] = "Cascada Hedionda",
	["Pool of Tears"] = "Charca de Lágrimas",
	["Pool of Twisted Reflections"] = "Poza de los Reflejos Distorsionados",
	["Pools of Aggonar"] = "Pozas de Aggonar",
	["Pools of Arlithrien"] = "Estanques de Arlithrien",
	["Pools of Jin'Alai"] = "Pozas de Jin'Alai",
	["Pools of Zha'Jin"] = "Pozas de Zha'Jin",
	["Portal Clearing"] = "Portal del Claro",
	["Prison of Immol'thar"] = "Prisión de Immol'thar",
	["Programmer Isle"] = "Isla del Programador",
	["Promontory Point"] = "Alto del Promontorio",
	["Prospector's Point"] = "Altozano del Prospector",
	["Protectorate Watch Post"] = "Avanzada del Protectorado",
	["Purespring Cavern"] = "Cueva de Manantial",
	["Purgation Isle"] = "Isla del Purgatorio",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Laboratorio Horrores y Risas Alquímicas de Putricidio",
	["Pyrewood Chapel"] = "Capilla Piroleña",
	["Pyrewood Inn"] = "Posada Piroleña",
	["Pyrewood Town Hall"] = "Concejo Piroleña",
	["Pyrewood Village"] = "Aldea Piroleña",
	["Pyrox Flats"] = "Llanos de Pirox",
	["Quagg Ridge"] = "Cresta Quagg",
	Quarry = "Cantera",
	["Quartzite Basin"] = "Cuenca de Cuarcita",
	["Queen's Gate"] = "Puerta de la Reina",
	["Quel'Danil Lodge"] = "Avanzada Quel'Danil",
	["Quel'Delar's Rest"] = "Reposo de Quel'Delar",
	["Quel'Dormir Gardens"] = "Jardines de Quel'Dormir",
	["Quel'Dormir Temple"] = "Templo de Quel'Dormir",
	["Quel'Dormir Terrace"] = "Bancal de Quel'Dormir",
	["Quel'Lithien Lodge"] = "Refugio Quel'Lithien",
	["Quel'thalas"] = "Quel'thalas",
	["Raastok Glade"] = "Claro Raastok",
	["Raceway Ruins"] = "Ruinas del Circuito",
	["Rage Fang Shrine"] = "Santuario Colmillo Iracundo",
	["Rage Scar Hold"] = "Dominios de los Cicatriz de Rabia",
	["Rageclaw Den"] = "Guarida de Garrafuria",
	["Rageclaw Lake"] = "Lago de Garrafuria",
	["Ragefeather Ridge"] = "Loma Plumira",
	["Ragefire Chasm"] = "Sima Ígnea",
	["Ragnaros' Lair"] = "Guarida de Ragnaros",
	["Ragnaros' Reach"] = "Tramo de Ragnaros",
	["Rainspeaker Canopy"] = "Canope de Hablalluvia",
	["Rainspeaker Rapids"] = "Rápidos de Hablalluvia",
	Ramkahen = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Avanzada de la Legión Ramkahen",
	["Rampart of Skulls"] = "La Muralla de las Calaveras",
	["Ranazjar Isle"] = "Isla Ranazjar",
	["Raptor Pens"] = "Cercado de Raptores",
	["Raptor Ridge"] = "Colina del Raptor",
	["Raptor Rise"] = "Alto de Raptores",
	Ratchet = "Trinquete",
	["Rated Eye of the Storm"] = "Ojo de la Tormenta puntuado",
	["Ravaged Caravan"] = "Caravana Devastada",
	["Ravaged Crypt"] = "Cripta Devastada",
	["Ravaged Twilight Camp"] = "Campamento Crepúsculo Devastado",
	["Raven Hill"] = "Cerro del Cuervo",
	["Raven Hill Cemetery"] = "Cementerio del Cerro del Cuervo",
	["Raven's Watch"] = "Guardia del Cuervo",
	["Raven's Wood"] = "Bosque del Cuervo",
	["Ravencrest Monument"] = "Monumento Cresta Cuervo",
	["Ravenholdt Manor"] = "Mansión Ravenholdt",
	["Raynewood Retreat"] = "Refugio de la Algaba",
	["Raynewood Tower"] = "Torre de la Algaba",
	["Razaan's Landing"] = "Zona de Aterrizaje Razaan",
	["Razor Hill"] = "Cerrotajo",
	["Razor Hill Barracks"] = "Cuartel de Cerrotajo",
	["Razor Ridge"] = "Loma Tajo",
	["Razorfen Downs"] = "Zahúrda Rajacieno",
	["Razorfen Downs Entrance"] = "Entrada de Zahúrda Rajacieno",
	["Razorfen Kraul"] = "Horado Rajacieno",
	["Razorfen Kraul Entrance"] = "Entrada de Horado Rajacieno",
	["Razormane Grounds"] = "Tierras Crines de Acero",
	["Razorscale's Aerie"] = "Nidal de Tajoescama",
	["Razorthorn Rise"] = "Alto Rajaespina",
	["Razorthorn Shelf"] = "Saliente Rajaespina",
	["Razorthorn Trail"] = "Senda Rajaespina",
	["Razorwind Canyon"] = "Cañón del Ventajo",
	["Reaver's Fall"] = "Caída del Atracador Vil",
	["Reavers' Hall"] = "Cámara de los Atracadores",
	["Rebel Camp"] = "Asentamiento Rebelde",
	["Red Cloud Mesa"] = "Mesa de la Nube Roja",
	["Red Rocks"] = "Roca Roja",
	["Redpine Dell"] = "Valle Pinorrojo",
	["Redridge Canyons"] = "Cañones de Crestagrana",
	["Redridge Mountains"] = "Montañas Crestagrana",
	["Redwood Trading Post"] = "Puesto de Venta de Madera Roja",
	Refinery = "Refinería",
	["Refuge Pointe"] = "Refugio de la Zaga",
	["Refugee Caravan"] = "Caravana de Refugiados",
	["Reliquary of Agony"] = "Relicario de Agonía",
	["Reliquary of Pain"] = "Relicario de Dolor",
	["Remains of Iris Lake"] = "Ruinas del Lago Iris",
	["Remains of the Fleet"] = "Restos de la Flota",
	["Remtravel's Excavation"] = "Excavación de Tripirrem",
	["Render's Camp"] = "Campamento de Render",
	["Render's Crater"] = "Cráter de Render",
	["Render's Rock"] = "Roca de Render",
	["Render's Valley"] = "Valle de Render",
	["Rethban Caverns"] = "Cavernas de Rethban",
	["Rethress Sanctum"] = "Sagrario de Rethress",
	Reuse = "Reutilizar",
	["Revantusk Village"] = "Poblado Sañadiente",
	["Rhea's Camp"] = "Campamento de Rhea",
	["Rhyolith Plateau"] = "Meseta de Piroclasto",
	["Ricket's Folly"] = "Locura de Ricket",
	["Ridge of Madness"] = "Cresta de la Locura",
	["Ridgepoint Tower"] = "Torre de la Peña",
	["Rim of the World"] = "Límite del Mundo",
	["Ring of Judgement"] = "El Círculo del Juicio",
	["Ring of Observance"] = "Círculo de la Observancia",
	["Ring of the Elements"] = "Círculo de los Elementos",
	["Ring of the Law"] = "Círculo de la Ley",
	["Riplash Ruins"] = "Ruinas Tralladón",
	["Riplash Strand"] = "Litoral Tralladón",
	["Rise of Suffering"] = "Alto del Sufrimiento",
	["Rise of the Defiler"] = "Alto de los Rapiñadores",
	["Ritual Chamber of Akali"] = "Cámara de Rituales de Akali",
	["Rivendark's Perch"] = "Nido de Desgarro Oscuro",
	Rivenwood = "El Bosque Hendido",
	["River's Heart"] = "Corazón del Río",
	["Rock of Durotan"] = "Roca de Durotan",
	["Rockpool Village"] = "Aldea Pozarroca",
	["Rocktusk Farm"] = "Granja Rocamuela",
	["Roguefeather Den"] = "Guarida Malapluma",
	["Rogues' Quarter"] = "Barrio de los Pícaros",
	["Rohemdal Pass"] = "Paso de Rohemdal",
	["Roland's Doom"] = "Condena de Roland",
	["Rotbrain Encampment"] = "Campamento Pudrecerebro",
	["Royal Exchange Auction House"] = "Casa de subastas de Intercambio Real",
	["Royal Exchange Bank"] = "Banco Real de Cambio",
	["Royal Gallery"] = "Galería Real",
	["Royal Library"] = "Archivo Real",
	["Royal Quarter"] = "Barrio Real",
	["Ruby Dragonshrine"] = "Santuario de Dragones Rubí",
	["Ruined City Post 01"] = "Puesto 01 de la Ciudad en Ruinas",
	["Ruined Court"] = "Patio en Ruinas",
	["Ruins of Aboraz"] = "Ruinas de Aboraz",
	["Ruins of Ahmtul"] = "Ruinas de Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruinas de Ahn'Qiraj",
	["Ruins of Alterac"] = "Ruinas de Alterac",
	["Ruins of Ammon"] = "Ruinas de Ammon",
	["Ruins of Arkkoran"] = "Ruinas de Arkkoran",
	["Ruins of Auberdine"] = "Ruinas de Auberdine",
	["Ruins of Baa'ri"] = "Ruinas de Baa'ri",
	["Ruins of Constellas"] = "Ruinas de Constellas",
	["Ruins of Drak'Zin"] = "Ruinas de Drak'Zin",
	["Ruins of Drakgor"] = "Ruinas de Drakgor",
	["Ruins of Eldarath"] = "Ruinas de Eldarath",
	["Ruins of Eldra'nath"] = "Ruinas de Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruinas de Eldre'thar",
	["Ruins of Enkaat"] = "Ruinas de Enkaat",
	["Ruins of Farahlon"] = "Ruinas de Farahlon",
	["Ruins of Feathermoon"] = "Ruinas de Plumaluna",
	["Ruins of Gilneas"] = "Ruinas de Gilneas",
	["Ruins of Gilneas City"] = "Ruinas de la Ciudad de Gilneas",
	["Ruins of Isildien"] = "Ruinas de Isildien",
	["Ruins of Jubuwal"] = "Ruinas de Jubuwal",
	["Ruins of Karabor"] = "Ruinas de Karabor",
	["Ruins of Kargath"] = "Ruinas de Kargath",
	["Ruins of Khintaset"] = "Ruinas de Khintaset",
	["Ruins of Lar'donir"] = "Ruinas de Lar'donir",
	["Ruins of Lordaeron"] = "Ruinas de Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruinas de Loreth'Aran",
	["Ruins of Lornesta"] = "Ruinas de Lornesta",
	["Ruins of Mathystra"] = "Ruinas de Mathystra",
	["Ruins of Nordressa"] = "Ruinas de Nordressa",
	["Ruins of Ravenwind"] = "Ruinas de Viento Azabache",
	["Ruins of Sha'naar"] = "Ruinas de Sha'naar",
	["Ruins of Shandaral"] = "Ruinas de Shandaral",
	["Ruins of Silvermoon"] = "Ruinas de Lunargenta",
	["Ruins of Solarsal"] = "Ruinas de Solarsal",
	["Ruins of Southshore"] = "Ruinas de Costasur",
	["Ruins of Taurajo"] = "Ruinas de Taurajo",
	["Ruins of Tethys"] = "Ruinas de Tethys",
	["Ruins of Thaurissan"] = "Ruinas de Thaurissan",
	["Ruins of Thelserai Temple"] = "Ruinas del Templo Thelserai",
	["Ruins of Uldum"] = "Ruinas de Uldum",
	["Ruins of Vashj'elan"] = "Ruinas de Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruinas de Vashj'ir",
	["Ruins of Zul'Kunda"] = "Ruinas de Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruinas de Zul'Mamwe",
	["Ruins of the Scarlet Enclave"] = "Ruinas de El Enclave Escarlata",
	["Runestone Falithas"] = "Piedra Rúnica Falithas",
	["Runestone Shan'dor"] = "Piedra Rúnica Shan'dor",
	["Runeweaver Square"] = "Plaza Tejerruna",
	["Rustberg Village"] = "Aldea Monrojo",
	["Rustmaul Dive Site"] = "Excavación Oximelena",
	["Rut'theran Village"] = "Aldea Rut'theran",
	["Rutsak's Guard"] = "Guardia de Rutsak",
	["Ruuan Weald"] = "Foresta Ruuan",
	["Ruuna's Camp"] = "Campamento de Ruuna",
	["Ruuzel's Isle"] = "Isla de Ruuzel",
	["Rygna's Lair"] = "Guarida de Rygna",
	["SI:7"] = "IV:7",
	["STV Diamond Mine BG"] = "CB Mina de Diamantes STV",
	["Sable Ridge"] = "Cumbre Cebellina",
	["Sahket Wastes"] = "Ruinas de Sahket",
	["Saldean's Farm"] = "Finca de Saldean",
	["Saltheril's Haven"] = "Refugio de Saltheril",
	["Saltspray Glen"] = "Cañada Salobre",
	["Sanctuary of Malorne"] = "Santuario de Malorne",
	["Sanctuary of Shadows"] = "Santuario de las Sombras",
	["Sanctum of Reanimation"] = "Sagrario de Reanimación",
	["Sanctum of Shadows"] = "Sagrario de las Sombras",
	["Sanctum of the Ascended"] = "Sagrario de los Ascendientes",
	["Sanctum of the Fallen God"] = "Sagrario del Dios Caído",
	["Sanctum of the Moon"] = "Sagrario de la Luna",
	["Sanctum of the Prophets"] = "Sagrario de los Profetas",
	["Sanctum of the South Wind"] = "Sagrario del Viento del Sur",
	["Sanctum of the Stars"] = "Sagrario de las Estrellas",
	["Sanctum of the Sun"] = "Sagrario del Sol",
	["Sands of Nasam"] = "Arenas de Nasam",
	["Sandsorrow Watch"] = "Vigía Penas de Arena",
	["Sandy Beach"] = "Playa Arenosa",
	["Sanguine Chamber"] = "Cámara Sanguina",
	["Sapphire Hive"] = "Enjambre Zafiro",
	["Sapphiron's Lair"] = "Guarida de Sapphiron",
	["Sar'theris Strand"] = "Playa de Sar'theris",
	["Saragosa's Landing"] = "Alto de Saragosa",
	["Sardor Isle"] = "Isla de Sardor",
	Sargeron = "Sargeron",
	["Saronite Mines"] = "Minas de Saronita",
	Satyrnaar = "Satyrnaar",
	["Savage Ledge"] = "Cornisa Salvaje",
	["Scalawag Point"] = "Cabo Pillastre",
	["Scalding Pools"] = "Pozas Escaldantes",
	["Scalebeard's Cave"] = "Cueva de Barbaescamas",
	["Scalewing Shelf"] = "Plataforma Alaescama",
	["Scar of the Worldbreaker"] = "Cicatriz del Rompemundos",
	["Scarab Terrace"] = "Bancal del Escarabajo",
	["Scarlet Encampment"] = "Campamento Escarlata",
	["Scarlet Hold"] = "El Bastión Escarlata",
	["Scarlet Monastery"] = "Monasterio Escarlata",
	["Scarlet Monastery Entrance"] = "Entrada del Monasterio Escarlata",
	["Scarlet Overlook"] = "Mirador Escarlata",
	["Scarlet Palisade"] = "Acantilado Escarlata",
	["Scarlet Point"] = "Punta Escarlata",
	["Scarlet Raven Tavern"] = "Mesón del Cuervo Escarlata",
	["Scarlet Tavern"] = "Taberna Escarlata",
	["Scarlet Tower"] = "Torre Escarlata",
	["Scarlet Watch Post"] = "Atalaya Escarlata",
	["Scarlet Watchtower"] = "Torre de vigilancia Escarlata",
	["Scarred Terrace"] = "Bancal Rajado",
	["Scenario: Alcaz Island"] = "Escenario: Isla de Alcaz",
	["Schnottz's Frigate"] = "Fragata de Schnottz",
	["Schnottz's Hostel"] = "Hostal de Schnottz",
	["Schnottz's Landing"] = "Embarcadero de Schnottz",
	Scholomance = "Scholomance",
	["Scholomance Entrance"] = "Entrada de Scholomance",
	["School of Necromancy"] = "Escuela de Nigromancia",
	["Scorched Gully"] = "Quebrada del Llanto",
	["Scott's Spooky Area"] = "Escalofrío de Scott",
	["Scoured Reach"] = "Tramo de Rozas",
	Scourgehold = "Fuerte de la Plaga",
	Scourgeholme = "Ciudad de la Plaga",
	["Scourgelord's Command"] = "Dominio del Señor de la Plaga",
	["Scrabblescrew's Camp"] = "Campamento de los Mezclatornillos",
	["Screaming Gully"] = "Quebrada del Llanto",
	["Scryer's Tier"] = "Grada del Arúspice",
	["Scuttle Coast"] = "Costa de la Huida",
	Seabrush = "Malezamarina",
	["Seafarer's Tomb"] = "Tumba del Navegante",
	["Seal of the Sun King"] = "Sello del Rey Sol",
	["Searing Gorge"] = "La Garganta de Fuego",
	["Seat of Destruction"] = "Trono del Caos",
	["Seat of Life"] = "Trono de la Vida",
	["Seat of Magic"] = "Trono de la Magia",
	["Seat of Radiance"] = "Trono del Resplandor",
	["Seat of the Chosen"] = "Trono de los Elegidos",
	["Seat of the Naaru"] = "Trono de los Naaru",
	["Sen'jin Village"] = "Poblado Sen'jin",
	["Sentinel Hill"] = "Colina del Centinela",
	["Sentinel Tower"] = "Torre del Centinela",
	["Sentry Point"] = "Alto del Centinela",
	Seradane = "Seradane",
	["Serpent Lake"] = "Lago Serpiente",
	["Serpent's Coil"] = "Serpiente Enroscada",
	["Serpentshrine Cavern"] = "Caverna Santuario Serpiente",
	["Servants' Quarters"] = "Alcobas de los Sirvientes",
	["Service Entrance"] = "Entrada de Servicio",
	["Sethekk Halls"] = "Salas Sethekk",
	["Sethria's Roost"] = "Nidal de Sethria",
	["Sewer Exit Pipe"] = "Tubería de salida de las cloacas",
	Sewers = "Cloacas",
	["Sha'naari Wastes"] = "Ruinas Sha'naari",
	["Sha'tari Base Camp"] = "Campamento Sha'tari",
	["Sha'tari Outpost"] = "Avanzada Sha'tari",
	Shadebough = "Rama Sombría",
	["Shadow Grave"] = "Sepulcro Sombrío",
	["Shadow Hold"] = "Guarida Sombría",
	["Shadow Labyrinth"] = "Laberinto de las Sombras",
	["Shadow Ridge"] = "Cresta de las Sombras",
	["Shadow Tomb"] = "Tumba Umbría",
	["Shadow Wing Lair"] = "Guarida de Alasombra",
	["Shadowbreak Ravine"] = "Barranco Rompesombras",
	["Shadowfang Keep"] = "Castillo de Colmillo Oscuro",
	["Shadowfang Keep Entrance"] = "Entrada del Castillo de Colmillo Oscuro",
	["Shadowfang Tower"] = "Torre de Colmillo Oscuro",
	["Shadowforge City"] = "Ciudad Forjatiniebla",
	Shadowglen = "Cañada Umbría",
	["Shadowlurk Ridge"] = "Cresta Acechumbra",
	["Shadowmoon Valley"] = "Valle Sombraluna",
	["Shadowmoon Village"] = "Aldea Sombraluna",
	["Shadowprey Village"] = "Aldea Cazasombras",
	["Shadowshard Cavern"] = "Cueva Fragmento Oscuro",
	["Shadowsight Tower"] = "Torre de la Vista de las Sombras",
	["Shadowsong Shrine"] = "Santuario Cantosombrío",
	["Shadowthread Cave"] = "Gruta Narácnida",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shady Rest Inn"] = "Posada Reposo Umbrío",
	["Shalandis Isle"] = "Isla Shalandis",
	["Shalewind Canyon"] = "Cañón del Viento Calizo",
	["Shallow's End"] = "Confín del Bajío",
	["Shalzaru's Lair"] = "Guarida de Shalzaru",
	Shamanar = "Shamanar",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Terrace"] = "Bancal del Creador",
	["Shartuul's Transporter"] = "Transportador de Shartuul",
	["Shatter Point"] = "Puesto Devastación",
	["Shatter Scar Vale"] = "Cañada Gran Cicatriz",
	["Shattered Plains"] = "Llanuras Devastadas",
	["Shattered Straits"] = "Estrecho Devastado",
	["Shattered Sun Staging Area"] = "Zona de Escala de Sol Devastado",
	Shattershore = "Costa Quebrada",
	["Shatterspear Pass"] = "Paso Rompelanzas",
	["Shatterspear Vale"] = "Valle Rompelanzas",
	["Shatterspear War Camp"] = "Campamento de Guerra Rompelanzas",
	Shatterstone = "Ruina Pétrea",
	Shattrath = "Shattrath",
	["Shattrath City"] = "Ciudad de Shattrath",
	["Shell Beach"] = "Playa del Molusco",
	["Shield Hill"] = "Colina Escudo",
	["Shields of Silver"] = "Escudos de plata",
	["Shimmer Ridge"] = "Monte Luz",
	["Shimmering Bog"] = "Ciénaga Bruñida",
	["Shimmering Expanse"] = "Extensión Bruñida",
	["Shimmering Grotto"] = "Gruta Bruñida",
	["Shindigger's Camp"] = "Campamento Machacacanillas",
	["Shipwreck Shore"] = "Costa del Naufragio",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Cuenca de Sholazar",
	["Shrine of Aessina"] = "El Santuario de Aessina",
	["Shrine of Aviana"] = "Santuario de Aviana",
	["Shrine of Dath'Remar"] = "Santuario de Dath'Remar",
	["Shrine of Eck"] = "Santuario de Eck",
	["Shrine of Goldrinn"] = "Santuario de Goldrinn",
	["Shrine of Lost Souls"] = "Santuario de las Almas Perdidas",
	["Shrine of Remulos"] = "Santuario de Remulos",
	["Shrine of Scales"] = "Santuario de Escamas",
	["Shrine of Thaurissan"] = "Ruinas de Thaurissan",
	["Shrine of Unending Light"] = "Santuario de Luz Inagotable",
	["Shrine of the Deceiver"] = "Santuario del Impostor",
	["Shrine of the Dormant Flame"] = "Santuario de la Llama Latente",
	["Shrine of the Eclipse"] = "Santuario del Eclipse",
	["Shrine of the Elements"] = "Santuario de los Elementales",
	["Shrine of the Fallen Warrior"] = "Santuario del Guerrero Caído",
	["Shrine of the Five Khans"] = "Santuario de los Cinco Khans",
	["Shriveled Oasis"] = "Oasis Árido",
	["Shuddering Spires"] = "Agujas Estremecedoras",
	["Siege Vise"] = "Torno de Asedio",
	["Siege Workshop"] = "Taller de Asedio",
	["Sifreldar Village"] = "Poblado Sifreldar",
	["Silent Vigil"] = "Vigía Silencioso",
	Silithus = "Silithus",
	["Silmyr Lake"] = "Lago Silmyr",
	["Silting Shore"] = "La Costa de Cieno",
	["Silver Covenant Pavilion"] = "Pabellón de El Pacto de Plata",
	["Silver Stream Mine"] = "Mina de Fuenteplata",
	["Silver Tide Hollow"] = "Cuenca de Marea Argenta",
	["Silver Tide Trench"] = "Zanja de Marea Argenta",
	Silverbrook = "Arroyoplata",
	["Silverbrook Hills"] = "Colinas de Arroyoplata",
	["Silverlight Cavern"] = "Caverna Luz de Plata",
	["Silverline Lake"] = "Lago Lineargenta",
	["Silvermoon City"] = "Ciudad de Lunargenta",
	["Silvermoon City Inn"] = "Posada de Ciudad de Lunargenta",
	["Silvermoon Finery"] = "Galas de Lunargenta",
	["Silvermoon Jewelery"] = "Joyería de Lunargenta",
	["Silvermoon Registry"] = "Registro de Lunargenta",
	["Silvermoon's Pride"] = "Orgullo de Lunargenta",
	["Silvermyst Isle"] = "Isla Bruma de Plata",
	["Silverpine Forest"] = "Bosque de Argénteos",
	["Silverwind Refuge"] = "Refugio Brisa de Plata",
	["Silverwing Flag Room"] = "Sala de la Bandera de Brisa de Plata",
	["Silverwing Grove"] = "Claro Ala de Plata",
	["Silverwing Hold"] = "Bastión Ala de Plata",
	["Silverwing Outpost"] = "Avanzada Ala de Plata",
	["Simply Enchanting"] = "Simplemente Encantador",
	["Sindragosa's Fall"] = "La Caída de Sindragosa",
	["Sindweller's Rise"] = "Alto del Morapecado",
	["Singing Ridge"] = "Cresta Canto",
	["Sinner's Folly"] = "Locura del Pecador",
	["Sira'kess Front"] = "Frente de Sira'kess",
	["Sishir Canyon"] = "Cañón Sishir",
	["Sisters Sorcerous"] = "Hermanas Hechiceras",
	Skald = "Skald",
	["Sketh'lon Base Camp"] = "Campamento Sketh'lon",
	["Sketh'lon Wreckage"] = "Ruinas de Sketh'lon",
	["Skethyl Mountains"] = "Montañas Skethyl",
	Skettis = "Skettis",
	["Skitterweb Tunnels"] = "Túneles de Arácnidas",
	Skorn = "Skorn",
	["Skulk Rock"] = "Roca Oculta",
	["Skulking Row"] = "El Frontal de la Muerte",
	["Skull Rock"] = "Roca del Cráneo",
	["Sky Falls"] = "Cascadas del Cielo",
	["Skyguard Outpost"] = "Avanzada de la Guardia del Cielo",
	["Skyline Ridge"] = "Cresta Horizonte",
	["Skysong Lake"] = "Lago Son Celeste",
	["Slabchisel's Survey"] = "Peritaje de Tallalosas",
	["Slag Watch"] = "Vigía de la Escoria",
	Slagworks = "Rescoldos",
	["Slaughter Hollow"] = "Cuenca de la Matanza",
	["Slaughter Square"] = "Plaza Degolladero",
	["Sleeping Gorge"] = "Desfiladero del Letargo",
	["Slither Rock"] = "Roca Desliz",
	["Slitherblade Shore"] = "Costa Filozante",
	["Slithering Cove"] = "Cala Serpenteante",
	["Sludgeguard Tower"] = "Torre Guardalodo",
	["Smuggler's Scar"] = "Cicatriz del Contrabandista",
	["Snowblind Hills"] = "Colinas Veloneve",
	["Snowblind Terrace"] = "Bancal Veloneve",
	["Snowden Chalet"] = "Chalet Cubilnevado",
	["Snowdrift Plains"] = "Llanuras Ventisquero",
	["Snowfall Glade"] = "Claro Avalancha",
	["Snowfall Graveyard"] = "Cementerio Avalancha",
	["Socrethar's Seat"] = "Trono de Socrethar",
	["Sofera's Naze"] = "Saliente de Sofera",
	["Solace Glade"] = "Claro del Consuelo",
	["Solliden Farmstead"] = "Hacienda Solliden",
	["Solstice Village"] = "Poblado Solsticio",
	["Sorlof's Strand"] = "Playa de Sorlof",
	["Sorrow Hill"] = "Colina de las Penas",
	["Sorrow Hill Crypt"] = "Cripta de la Colina de las Penas",
	["Sorrow Wing Point"] = "Punta Alapenas",
	Sorrowmurk = "Tinieblas de las Penas",
	["Soulgrinder's Barrow"] = "Túmulo de Moledor de Almas",
	["South Common Hall"] = "Sala Comunal Sur",
	["South Gate Outpost"] = "Avanzada de la Puerta Sur",
	["South Gate Pass"] = "Paso de la Puerta Sur",
	["South Point Station"] = "Estación de la Punta Sur",
	["South Seas"] = "Mares del Sur",
	["South Spire"] = "Fortín del Sur",
	["South Tide's Run"] = "Cala Mareasur",
	["Southbreak Shore"] = "Tierras del Sur",
	["Southern Barrens"] = "Los Baldíos del Sur",
	["Southern Gold Road"] = "Camino del Oro Sur",
	["Southern Rampart"] = "Muralla Sur",
	["Southern Rocketway"] = "Cohetepista del Sur",
	["Southern Rocketway Terminus"] = "Terminal de la Cohetepista del Sur",
	["Southern Savage Coast"] = "Costa Salvaje del Sur",
	["Southfury River"] = "Río Furia del Sur",
	["Southfury Watershed"] = "Cuenca Furia del Sur",
	["Southmaul Tower"] = "Torre Quiebrasur",
	["Southmoon Ruins"] = "Ruinas de Lunasur",
	["Southpoint Gate"] = "Puerta Austral",
	["Southpoint Tower"] = "Torre Austral",
	["Southridge Beach"] = "Playa del Arrecife Sur",
	["Southsea Holdfast"] = "Sargazo de los Mares del Sur",
	Southshore = "Costasur",
	["Southshore Town Hall"] = "Cabildo de Costasur",
	["Southwind Cleft"] = "Grieta del Viento Sur",
	["Southwind Village"] = "Aldea del Viento del Sur",
	["Sparksocket Minefield"] = "Campo de Minas Encajebujía",
	["Sparktouched Haven"] = "Retiro Pavesa",
	["Sparring Hall"] = "Sala de Entrenamiento",
	["Spearborn Encampment"] = "Campamento Lanzonato",
	Spearhead = "Punta de Lanza",
	["Speedbarge Bar"] = "Bar del Barcódromo",
	["Spinebreaker Mountains"] = "Montañas Rompeloma",
	["Spinebreaker Pass"] = "Desfiladero Rompeloma",
	["Spinebreaker Post"] = "Avanzada Rompeloma",
	["Spinebreaker Ridge"] = "Cresta Rompeloma",
	["Spiral of Thorns"] = "Espiral de las Zarzas",
	["Spire Throne"] = "Trono Espiral",
	["Spire of Blood"] = "Aguja de Sangre",
	["Spire of Decay"] = "Aguja de Putrefacción",
	["Spire of Pain"] = "Aguja de Dolor",
	["Spirit Den"] = "Cubil del Espíritu",
	["Spirit Fields"] = "Campos de Espíritus",
	["Spirit Rise"] = "Alto de los Espíritus",
	["Spirit Rock"] = "Roca de los Espíritus",
	["Spitescale Cavern"] = "Caverna Escala Maliciosa",
	["Spitescale Cove"] = "Cala Escama Maliciosa",
	["Splinterspear Junction"] = "Cruce Lanzarrota",
	Splintertree = "Hachazo",
	["Splintertree Mine"] = "Mina del Hachazo",
	["Splintertree Post"] = "Puesto del Hachazo",
	["Splithoof Crag"] = "Risco Pezuña Quebrada",
	["Splithoof Heights"] = "Cumbres Pezuña Quebrada",
	["Splithoof Hold"] = "Campamento Pezuña Quebrada",
	Sporeggar = "Esporaggar",
	["Sporewind Lake"] = "Lago Espora Volante",
	["Spruce Point Post"] = "Puesto del Altozano de Píceas",
	Stables = "Establos",
	Stagalbog = "Stagalbog",
	["Stagalbog Cave"] = "Cueva Stagalbog",
	["Stagecoach Crash Site"] = "Lugar del Accidente de la Diligencia",
	["Staghelm Point"] = "Punta de Corzocelada",
	["Starbreeze Village"] = "Aldea Brisa Estelar",
	["Stardust Spire"] = "Torre del Polvo Estelar",
	["Starfall Village"] = "Aldea Estrella Fugaz",
	["Stars' Rest"] = "Reposo Estelar",
	["Stasis Block: Maximus"] = "Bloque de Estasis: Maximus",
	["Stasis Block: Trion"] = "Bloque de Estasis: Trion",
	["Steam Springs"] = "Manantiales de Vapor",
	["Steamwheedle Port"] = "Puerto Bonvapor",
	["Steel Gate"] = "Las Puertas de Acero",
	["Steelgrill's Depot"] = "Almacén de Brasacerada",
	["Steeljaw's Caravan"] = "Caravana de Quijacero",
	["Steelspark Station"] = "Estación Chispacero",
	["Stendel's Pond"] = "Estanque de Stendel",
	["Stillpine Hold"] = "Bastión Semprepino",
	["Stillwater Pond"] = "Charca Aguaserena",
	["Stillwhisper Pond"] = "Charca Plácido Susurro",
	Stonard = "Rocal",
	["Stone Cairn Lake"] = "Lago del Hito",
	["Stone Sentinel's Overlook"] = "Mirador del Centinela de Piedra",
	["Stonebreaker Camp"] = "Campamento Rompepedras",
	["Stonebreaker Hold"] = "Bastión Rompepedras",
	["Stonebull Lake"] = "Lago Toro de Piedra",
	Stonehearth = "Hogar Pétreo",
	["Stonehearth Bunker"] = "Búnker Piedrahogar",
	["Stonehearth Graveyard"] = "Cementerio Piedrahogar",
	["Stonehearth Outpost"] = "Avanzada Piedrahogar",
	["Stonemaul Hold"] = "Bastión Quebrantarrocas",
	["Stonemaul Ruins"] = "Ruinas Quebrantarrocas",
	["Stonesplinter Valley"] = "Valle Rompecantos",
	["Stonetalon Bomb"] = "Bomba del Espolón",
	["Stonetalon Mountains"] = "Sierra Espolón",
	["Stonetalon Pass"] = "Paso del Espolón",
	["Stonetalon Peak"] = "Cima del Espolón",
	["Stonewall Canyon"] = "Cañón de la Muralla",
	["Stonewall Lift"] = "Elevador del Muro de Piedra",
	["Stoneward Prison"] = "Prisión Guardapétrea",
	Stonewatch = "Petravista",
	["Stonewatch Falls"] = "Cascadas Petravista",
	["Stonewatch Keep"] = "Fuerte de Petravista",
	["Stonewatch Tower"] = "Torre de Petravista",
	["Stonewrought Dam"] = "Presa de las Tres Cabezas",
	["Stonewrought Pass"] = "Paso de Fraguapiedra",
	["Storm Cliffs"] = "Acantilados de la Tormenta",
	["Storm Peaks"] = "Las Cumbres Tormentosas",
	["Storm's Fury Wreckage"] = "Restos de la Furia de la Tormenta",
	Stormcrest = "Crestormenta",
	["Stormfeather Outpost"] = "Avanzada Tempespluma",
	["Stormglen Village"] = "Poblado Valletormenta",
	["Stormpike Graveyard"] = "Cementerio Pico Tormenta",
	["Stormrage Barrow Dens"] = "Túmulo de Tempestira",
	Stormwind = "Ventormenta",
	["Stormwind City"] = "Ciudad de Ventormenta",
	["Stormwind City Cemetery"] = "Cementerio de la Ciudad de Ventormenta",
	["Stormwind City Outskirts"] = "Afueras de la Ciudad de Ventormenta",
	["Stormwind Harbor"] = "Puerto de Ventormenta",
	["Stormwind Keep"] = "Castillo de Ventormenta",
	["Stormwind Lake"] = "Lago de Ventormenta",
	["Stormwind Mountains"] = "Montañas de Ventormenta",
	["Stormwind Stockade"] = "Mazmorras de Ventormenta",
	["Stormwind Vault"] = "Cámara de Ventormenta",
	["Stoutlager Inn"] = "Pensión La Cebada",
	Strahnbrad = "Strahnbrad",
	["Strand of the Ancients"] = "Playa de los Ancestros",
	["Stranglethorn Vale"] = "Vega de Tuercespina",
	Stratholme = "Stratholme",
	["Stratholme Entrance"] = "Entrada de Stratholme",
	["Stratholme Service Entrance"] = "Entrada de servicio de Stratholme",
	["Stromgarde Keep"] = "Castillo de Stromgarde",
	["Stygian Bounty"] = "Recompensa Estigia",
	["Sub zone"] = "Subzona",
	["Sulfuron Keep"] = "Fortaleza de Sulfuron",
	["Sulfuron Keep Courtyard"] = "Patio de la Fortaleza de Sulfuron",
	["Sulfuron Span"] = "Puente de Sulfuron",
	["Sulfuron Spire"] = "Aguja de Sulfuron",
	["Sullah's Sideshow"] = "Puesto de Sullah",
	["Summoners' Tomb"] = "Tumba del Invocador",
	["Sun Rock Retreat"] = "Refugio Roca del Sol",
	["Sun's Reach Armory"] = "Arsenal de Tramo del Sol",
	["Sun's Reach Harbor"] = "Puerto de Tramo del Sol",
	["Sun's Reach Sanctum"] = "Sagrario de Tramo del Sol",
	["Suncrown Village"] = "Aldea Corona del Sol",
	["Sundown Marsh"] = "Pantano del Ocaso",
	["Sunfire Point"] = "Punta del Fuego Solar",
	["Sunfury Hold"] = "Bastión Furia del Sol",
	["Sunfury Spire"] = "Aguja Furia del Sol",
	["Sungraze Peak"] = "Cima Rasguño de Sol",
	["Sunken Dig Site"] = "Excavación Sumergida",
	["Sunken Temple"] = "Templo Sumergido",
	["Sunken Temple Entrance"] = "Entrada del Templo Sumergido",
	["Sunreaver Pavilion"] = "Pabellón Atracasol",
	["Sunreaver's Command"] = "Dominio de los Atracasol",
	["Sunreaver's Sanctuary"] = "Santuario Atracasol",
	["Sunsail Anchorage"] = "Fondeadero Vela del Sol",
	["Sunspring Post"] = "Puesto Primasol",
	["Sunstone Terrace"] = "Bancal Piedrasol",
	["Sunstrider Isle"] = "Isla del Caminante del Sol",
	["Sunveil Excursion"] = "Excursión Velosolar",
	["Sunwatcher's Ridge"] = "Monte del Vigía del Sol",
	["Sunwell Plateau"] = "Meseta de La Fuente del Sol",
	["Supply Caravan"] = "Caravana de Provisiones",
	["Surge Needle"] = "Aguja de Flujo",
	["Surveyors' Outpost"] = "Avanzada de vigilantes",
	Surwich = "Mechasur",
	["Svarnos' Cell"] = "Celda de Svarnos",
	["Swamp of Sorrows"] = "Pantano de las Penas",
	["Swamplight Manor"] = "Mansión Cienaluz",
	["Swamprat Post"] = "Avanzada Rata del Pantano",
	["Swiftgear Station"] = "Estación Cambioveloz",
	["Swindle Street"] = "Calle del Timo",
	["Swindlegrin's Dig"] = "Excavación de Timomueca",
	["Sword's Rest"] = "Reposo de la Espada",
	Sylvanaar = "Sylvanaar",
	["Tabetha's Farm"] = "Granja de Tabetha",
	["Taelan's Tower"] = "Torre de Taelan",
	["Tahonda Ruins"] = "Ruinas de Tahonda",
	["Tahret Grounds"] = "Tierras de Tahret",
	["Tal'doren"] = "Tal'doren",
	["Talismanic Textiles"] = "Telas Talismánicas",
	["Talon Stand"] = "Alto de la Garra",
	["Talonbranch Glade"] = "Claro Ramaespolón",
	["Talondeep Pass"] = "Desfiladero del Espolón",
	["Talondeep Vale"] = "Valle del Espolón",
	Talramas = "Talramas",
	["Talrendis Point"] = "Punta Talrendis",
	Tanaris = "Tanaris",
	["Tanaris Desert"] = "Desierto de Tanaris",
	["Tanks for Everything"] = "Tanques para Todo",
	["Tanner Camp"] = "Base de Peleteros",
	["Tarren Mill"] = "Molino Tarren",
	["Taunka'le Village"] = "Poblado Taunka'le",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Teegan's Expedition"] = "Expedición de Teegan",
	["Tel'athion's Camp"] = "Campamento de Tel'athion",
	Telaar = "Telaar",
	["Telaari Basin"] = "Cuenca Telaari",
	Teldrassil = "Teldrassil",
	Telredor = "Telredor",
	["Tempest Bridge"] = "Puente de la Tempestad",
	["Tempest Keep"] = "El Castillo de la Tempestad",
	["Tempest Keep - The Arcatraz Entrance"] = "El Castillo de la Tempestad: Entrada de El Arcatraz",
	["Tempest Keep - The Botanica Entrance"] = "El Castillo de la Tempestad: Entrada de El Invernáculo",
	["Tempest Keep - The Mechanar Entrance"] = "El Castillo de la Tempestad: Entrada de El Mechanar",
	["Tempest Keep: The Arcatraz"] = "El Castillo de la Tempestad: El Arcatraz",
	["Tempest Keep: The Botanica"] = "El Castillo de la Tempestad: El Invernáculo",
	["Tempest Keep: The Mechanar"] = "El Castillo de la Tempestad: El Mechanar",
	["Tempest's Reach"] = "Tramo de la Tempestad",
	["Temple City of En'kilah"] = "Ciudad Templo de En'kilah",
	["Temple Hall"] = "Sala del Templo",
	["Temple Summit"] = "Cima del Templo",
	["Temple of Ahn'Qiraj"] = "El Templo de Ahn'Qiraj",
	["Temple of Arkkoran"] = "Templo de Arkkoran",
	["Temple of Asaad"] = "Templo de Asaad",
	["Temple of Bethekk"] = "Templo de Bethekk",
	["Temple of Earth"] = "Templo de la Tierra",
	["Temple of Invention"] = "Templo de la Invención",
	["Temple of Life"] = "Templo de la Vida",
	["Temple of Order"] = "Templo del Orden",
	["Temple of Storms"] = "Templo de las Tormentas",
	["Temple of Telhamat"] = "Templo de Telhamat",
	["Temple of Uldum"] = "Templo de Uldum",
	["Temple of Winter"] = "Templo del Invierno",
	["Temple of Wisdom"] = "Templo de Sabiduría",
	["Temple of Zin-Malor"] = "Templo de Zin-Malor",
	["Temple of the Forgotten"] = "Templo de los Olvidados",
	["Temple of the Moon"] = "Templo de la Luna",
	["Tenebrous Cavern"] = "Caverna Tenebrosa",
	["Terokk's Rest"] = "Sosiego de Terokk",
	["Terokkar Forest"] = "Bosque de Terokkar",
	["Terrace of Light"] = "Bancal de la Luz",
	["Terrace of Repose"] = "Bancal del Reposo",
	["Terrace of the Augurs"] = "Bancal de los Augurios",
	["Terrace of the Makers"] = "Bancal de los Creadores",
	["Terrace of the Sun"] = "Bancal del Sol",
	["Terror Run"] = "Camino del Terror",
	["Terror Wing Path"] = "Senda del Ala del Terror",
	Terrordale = "Valle del Terror",
	["Terrorweb Tunnel"] = "Túnel Terroarácnido",
	["Tethris Aran"] = "Tethris Aran",
	["Thal'darah Grove"] = "Arboleda de Thal'darah",
	["Thal'darah Overlook"] = "Mirador Thal'darah",
	Thalanaar = "Thalanaar",
	["Thalassian Pass"] = "Desfiladero Thalassiano",
	["Thalassian Range"] = "Campo de tiro Thalassiano",
	["Thandol Span"] = "Puente Thandol",
	["Thargad's Camp"] = "Campo de Thargad",
	["The Abandoned Reach"] = "El Tramo Abandonado",
	["The Abyssal Maw"] = "Fauce Abisal",
	["The Abyssal Shelf"] = "La Plataforma Abisal",
	["The Admiral's Den"] = "La Guarida del Almirante",
	["The Agronomical Apothecary"] = "La Botica Agronómica",
	["The Alliance Valiants' Ring"] = "La Liza de los Valerosos de la Alianza",
	["The Altar of Damnation"] = "El Altar de Condenación",
	["The Altar of Shadows"] = "El Altar de las Sombras",
	["The Altar of Zul"] = "El Altar de Zul",
	["The Ancient Grove"] = "La Antigua Arboleda",
	["The Ancient Lift"] = "El Antiguo Elevador",
	["The Antechamber"] = "La Antecámara",
	["The Anvil of Conflagration"] = "El Yunque de Conflagración",
	["The Anvil of Flame"] = "El Yunque de la Llama",
	["The Apothecarium"] = "El Apothecarium",
	["The Arachnid Quarter"] = "El Arrabal Arácnido",
	["The Arcanium"] = "El Arcanium",
	["The Arcatraz"] = "El Arcatraz",
	["The Archivum"] = "El Archivum",
	["The Argent Stand"] = "El Confín Argenta",
	["The Argent Valiants' Ring"] = "La Liza de los Valerosos Argenta",
	["The Argent Vanguard"] = "La Vanguardia Argenta",
	["The Arsenal Absolute"] = "El Arsenal Absoluto",
	["The Aspirants' Ring"] = "La Liza de los Aspirantes",
	["The Assembly Chamber"] = "La Cámara de la Asamblea",
	["The Assembly of Iron"] = "La Asamblea de Hierro",
	["The Athenaeum"] = "El Athenaeum",
	["The Avalanche"] = "La Avalancha",
	["The Azure Front"] = "El Frente Azur",
	["The Bank of Dalaran"] = "El Banco de Dalaran",
	["The Bank of Silvermoon"] = "El Banco de Lunargenta",
	["The Banquet Hall"] = "La Sala de Banquetes",
	["The Barrier Hills"] = "Las Colinas Barrera",
	["The Bastion of Twilight"] = "El Bastión del Crepúsculo",
	["The Battle for Gilneas"] = "La Batalla por Gilneas",
	["The Battle for Gilneas (Old City Map)"] = "La Batalla por Gilneas (Mapa de la antigua ciudad)",
	["The Battle for Mount Hyjal"] = "La Batalla del Monte Hyjal",
	["The Battleboar Pen"] = "El Cercado de Jabaguerreros",
	["The Battlefront"] = "El Frente de Batalla",
	["The Bazaar"] = "El Bazar",
	["The Beer Garden"] = "La Terraza",
	["The Bite"] = "La Dentellada",
	["The Black Breach"] = "La Brecha Negra",
	["The Black Market"] = "El Mercado Negro",
	["The Black Morass"] = "La Ciénaga Negra",
	["The Black Temple"] = "El Templo Oscuro",
	["The Black Vault"] = "Cámara Negra",
	["The Blackwald"] = "El Monte Negro",
	["The Blazing Strand"] = "La Playa Llameante",
	["The Blight Line"] = "La Línea de Añublo",
	["The Blighted Pool"] = "La Poza Contagiada",
	["The Blood Furnace"] = "El Horno de Sangre",
	["The Blood Trail"] = "El Reguero de Sangre",
	["The Bloodcursed Reef"] = "El Arrecife Sangre Maldita",
	["The Bloodmire"] = "Fango de Sangre",
	["The Bloodoath"] = "El Juramento de Sangre",
	["The Bloodwash"] = "La Playa de Sangre",
	["The Bombardment"] = "El Bombardeo",
	["The Bone Pile"] = "El Montón de Huesos",
	["The Bone Wastes"] = "El Vertedero de Huesos",
	["The Bonefields"] = "Los Campos de Huesos",
	["The Bones of Nozronn"] = "Los Huesos de Nozronn",
	["The Boneyard"] = "El Osario",
	["The Borean Wall"] = "La Muralla Boreal",
	["The Botanica"] = "El Invernáculo",
	["The Bradshaw Mill"] = "Molino Sotogrande",
	["The Breach"] = "La Brecha",
	["The Briny Cutter"] = "El Cúter Salobre",
	["The Briny Pinnacle"] = "El Pináculo Salobre",
	["The Broken Bluffs"] = "Riscos Quebrados",
	["The Broken Front"] = "El Frente Roto",
	["The Broken Hall"] = "Cámara Partida",
	["The Broken Hills"] = "Las Colinas Quebradas",
	["The Broken Stair"] = "La Escalera Quebrada",
	["The Broken Temple"] = "El Templo Quebrado",
	["The Brood Pit"] = "La Fosa de la Progenie",
	["The Broodmother's Nest"] = "El Nido de la Madre de Linaje",
	["The Bulwark"] = "El Baluarte",
	["The Burning Corridor"] = "El Corredor Ardiente",
	["The Butchery"] = "Carnicería",
	["The Cache of Madness"] = "El Extremo de la Locura",
	["The Caller's Chamber"] = "Cámara de la Llamada",
	["The Canals"] = "Los Canales",
	["The Cape of Stranglethorn"] = "El Cabo de Tuercespina",
	["The Carrion Fields"] = "Los Campos de Carroña",
	["The Catacombs"] = "Las Catacumbas",
	["The Cauldron"] = "La Caldera",
	["The Cauldron of Flames"] = "El Caldero de Llamas",
	["The Cave"] = "La Cueva",
	["The Celestial Planetarium"] = "El Planetario Celestial",
	["The Celestial Watch"] = "El Mirador Celestial",
	["The Cemetary"] = "El Cementerio",
	["The Cerebrillum"] = "El Cerebelo",
	["The Charred Vale"] = "La Vega Carbonizada",
	["The Chilled Quagmire"] = "El Cenagal Escalofrío",
	["The Circle of Cinders"] = "El Círculo de las Cenizas",
	["The Circle of Life"] = "El Círculo de la Vida",
	["The Circle of Suffering"] = "El Círculo de Sufrimiento",
	["The Clash of Thunder"] = "El Fragor del Trueno",
	["The Clean Zone"] = "Punto de Limpieza",
	["The Cleft"] = "La Grieta",
	["The Clockwerk Run"] = "La Rampa del Engranaje",
	["The Clutch"] = "El Encierro",
	["The Coil"] = "El Serpenteo",
	["The Colossal Forge"] = "La Forja Colosal",
	["The Comb"] = "El Panal",
	["The Commons"] = "Ágora",
	["The Conflagration"] = "La Conflagración",
	["The Conquest Pit"] = "El Foso de la Conquista",
	["The Conservatory"] = "El Vivero",
	["The Conservatory of Life"] = "El Invernadero de Vida",
	["The Construct Quarter"] = "El Arrabal de los Ensamblajes",
	["The Cooper Residence"] = "La Residencia Cooper",
	["The Corridors of Ingenuity"] = "Los Pasillos del Ingenio",
	["The Court of Bones"] = "El Patio de los Huesos",
	["The Court of Skulls"] = "La Corte de las Calaveras",
	["The Coven"] = "El Aquelarre",
	["The Creeping Ruin"] = "Las Ruinas Abyectas",
	["The Crimson Cathedral"] = "La Catedral Carmesí",
	["The Crimson Dawn"] = "El Alba Carmesí",
	["The Crimson Hall"] = "La Sala Carmesí",
	["The Crimson Reach"] = "El Tramo Carmesí",
	["The Crimson Throne"] = "El Trono Carmesí",
	["The Crimson Veil"] = "El Velo Carmesí",
	["The Crossroads"] = "El Cruce",
	["The Crucible"] = "El Crisol",
	["The Crucible of Flame"] = "El Crisol de Llamas",
	["The Crumbling Waste"] = "Las Ruinas Desmoronadas",
	["The Cryo-Core"] = "El Crionúcleo",
	["The Crystal Hall"] = "La Sala de Cristal",
	["The Crystal Shore"] = "La Costa de Cristal",
	["The Crystal Vale"] = "La Vega de Cristal",
	["The Crystal Vice"] = "Vicio de Cristal",
	["The Culling of Stratholme"] = "La Matanza de Stratholme",
	["The Culling of Stratholme Entrance"] = "Entrada de La Matanza de Stratholme",
	["The Cursed Landing"] = "El Embarcadero Maldito",
	["The Dagger Hills"] = "Las Colinas Afiladas",
	["The Damsel's Luck"] = "La Damisela Afortunada",
	["The Dark Approach"] = "El Trayecto Oscuro",
	["The Dark Defiance"] = "El Desafío Oscuro",
	["The Dark Portal"] = "El Portal Oscuro",
	["The Darkened Bank"] = "La Ribera Lóbrega",
	["The Darkwood"] = "Leñoscuro",
	["The Dawnchaser"] = "El Cazador del Albor",
	["The Dawning Isles"] = "Islas del Alba",
	["The Dawning Square"] = "La Plaza Crepuscular",
	["The Dead Acre"] = "El Campo Funesto",
	["The Dead Field"] = "El Campo Muerto",
	["The Dead Fields"] = "Los Campos Muertos",
	["The Dead Mire"] = "El Lodo Muerto",
	["The Dead Scar"] = "La Cicatriz Muerta",
	["The Deadmines"] = "Las Minas de la Muerte",
	["The Deathforge"] = "La Forja Muerta",
	["The Deathknell Graves"] = "Las Tumbas del Camposanto",
	["The Decrepit Fields"] = "Los Campos Decrépitos",
	["The Decrepit Flow"] = "La Corriente Decrépita",
	["The Deep Reaches"] = "La Hondura Insondable",
	["The Defiled Chapel"] = "La Capilla Profanada",
	["The Den"] = "El Cubil",
	["The Den of Flame"] = "Cubil de la Llama",
	["The Dens of Dying"] = "Los Cubiles de los Moribundos",
	["The Dens of the Dying"] = "Los Cubiles de los Moribundos",
	["The Descent into Madness"] = "El Descenso a la Locura",
	["The Desecrated Altar"] = "El Altar Profanado",
	["The Devil's Terrace"] = "El Altar Demoniaco",
	["The Devouring Breach"] = "La Brecha Devoradora",
	["The Domicile"] = "Domicilio",
	["The Dor'Danil Barrow Den"] = "El Túmulo de Dor'danil",
	["The Dormitory"] = "Los Dormitorios",
	["The Drag"] = "La Calle Mayor",
	["The Dragon Wastes"] = "Baldío del Dragón",
	["The Dragonmurk"] = "El Pantano del Dragón",
	["The Drain"] = "El Vaciado",
	["The Dranosh'ar Blockade"] = "El Bloqueo Dranosh'ar",
	["The Drowned Reef"] = "El Arrecife Hundido",
	["The Drowned Sacellum"] = "El Templete Sumergido",
	["The Dry Hills"] = "Las Colinas Áridas",
	["The Dust Plains"] = "Los Yermos Polvorientos",
	["The Dustbowl"] = "Terraseca",
	["The Eastern Earthshrine"] = "El Santuario de la Tierra del Este",
	["The Emerald Summit"] = "La Cumbre Esmeralda",
	["The Escape From Durnholde"] = "La Fuga de Durnholde",
	["The Escape from Durnholde Entrance"] = "Entrada de La Fuga de Durnholde",
	["The Eventide"] = "El Manto de la Noche",
	["The Exodar"] = "El Exodar",
	["The Eye"] = "El Ojo",
	["The Eye of Eternity"] = "El Ojo de la Eternidad",
	["The Eye of the Vortex"] = "El Ojo del Vórtice",
	["The Farstrider Lodge"] = "Cabaña del Errante",
	["The Fel Pits"] = "Las Fosas Viles",
	["The Fetid Pool"] = "La Poza Fétida",
	["The Filthy Animal"] = "El Animal Roñoso",
	["The Firehawk"] = "El Halcón de Fuego",
	["The Flamewake"] = "La Estela Ardiente",
	["The Fleshwerks"] = "La Factoría de Carne",
	["The Flood Plains"] = "Llanuras Anegadas",
	["The Fold"] = "El Redil",
	["The Foot Steppes"] = "Las Estepas Inferiores",
	["The Foothill Caverns"] = "Cuevas de la Ladera",
	["The Forbidding Sea"] = "Mar Adusto",
	["The Forest of Shadows"] = "El Bosque de las Sombras",
	["The Forge of Souls"] = "La Forja de Almas",
	["The Forge of Souls Entrance"] = "Entrada de La Forja de Almas",
	["The Forge of Supplication"] = "La Forja de las Súplicas",
	["The Forge of Wills"] = "La Forja de los Deseos",
	["The Forgotten Coast"] = "La Costa Olvidada",
	["The Forgotten Overlook"] = "El Mirador Olvidado",
	["The Forgotten Pool"] = "Las Charcas del Olvido",
	["The Forgotten Pools"] = "Las Charcas del Olvido",
	["The Forgotten Shore"] = "La Orilla Olvidada",
	["The Forlorn Cavern"] = "La Caverna Abandonada",
	["The Forlorn Mine"] = "La Mina Desolada",
	["The Forsaken Front"] = "El Frente Renegado",
	["The Foul Pool"] = "La Poza del Hediondo",
	["The Frigid Tomb"] = "La Tumba Gélida",
	["The Frost Queen's Lair"] = "La Guarida de la Reina de Escarcha",
	["The Frostwing Halls"] = "Las Cámaras de Alaescarcha",
	["The Frozen Glade"] = "El Claro Helado",
	["The Frozen Halls"] = "Las Cámaras Heladas",
	["The Frozen Mine"] = "La Mina Gélida",
	["The Frozen Sea"] = "El Mar Gélido",
	["The Frozen Throne"] = "El Trono Helado",
	["The Fungal Vale"] = "Cuenca Fungal",
	["The Furnace"] = "El Horno",
	["The Gaping Chasm"] = "Sima Abierta",
	["The Gate of Unending Cycles"] = "La Puerta de los Ciclos Eternos",
	["The Gatehouse"] = "Torre de Entrada",
	["The Gauntlet"] = "El Guantelete",
	["The Geyser Fields"] = "Los Campos de Géiseres",
	["The Gilded Gate"] = "La Puerta Áurea",
	["The Glimmering Pillar"] = "El Pilar Iluminado",
	["The Golden Plains"] = "Las Llanuras Doradas",
	["The Grand Ballroom"] = "El Gran Salón de Baile",
	["The Grand Vestibule"] = "El Gran Vestíbulo",
	["The Great Arena"] = "La Gran Arena",
	["The Great Divide"] = "La Gran División",
	["The Great Fissure"] = "La Gran Fisura",
	["The Great Forge"] = "La Gran Fundición",
	["The Great Gate"] = "La Gran Puerta",
	["The Great Lift"] = "El Gran Elevador",
	["The Great Ossuary"] = "El Gran Osario",
	["The Great Sea"] = "Mare Magnum",
	["The Great Tree"] = "El Gran Árbol",
	["The Green Belt"] = "La Franja Verde",
	["The Greymane Wall"] = "La Muralla de Cringris",
	["The Grim Guzzler"] = "Tragapenas",
	["The Grinding Quarry"] = "La Cantera Trituradora",
	["The Grizzled Den"] = "El Cubil Pardo",
	["The Guardhouse"] = "La Cárcel",
	["The Guest Chambers"] = "Los Aposentos de los Invitados",
	["The Gullet"] = "La Garganta",
	["The Half Shell"] = "La Media Concha",
	["The Hall of Blood"] = "La Sala de la Sangre",
	["The Hall of Gears"] = "La Sala de Máquinas",
	["The Hall of Lights"] = "La Sala de las Luces",
	["The Hall of Respite"] = "La Sala del Descanso",
	["The Halls of Reanimation"] = "Las Salas de la Reanimación",
	["The Halls of Winter"] = "Las Cámaras del Invierno",
	["The Hand of Gul'dan"] = "La Mano de Gul'dan",
	["The Harborage"] = "El Puerto",
	["The Hatchery"] = "El Criadero",
	["The Headland"] = "La Punta",
	["The Headlands"] = "Los Cabos",
	["The Heap"] = "La Pila",
	["The Heart of Acherus"] = "El Corazón de Acherus",
	["The Hidden Clutch"] = "La Guarida Oculta",
	["The Hidden Grove"] = "La Arboleda Oculta",
	["The Hidden Hollow"] = "La Hondonada Oculta",
	["The Hidden Passage"] = "El Pasaje Oculto",
	["The Hidden Reach"] = "El Tramo Oculto",
	["The Hidden Reef"] = "El Arrecife Oculto",
	["The High Path"] = "El Paso Elevado",
	["The High Road"] = "La Carretera",
	["The High Seat"] = "El Trono",
	["The Hinterlands"] = "Tierras del Interior",
	["The Hoard"] = "El Tesoro Oculto",
	["The Hole"] = "El Agujero",
	["The Horde Valiants' Ring"] = "La Liza de los Valerosos de la Horda",
	["The Horsemen's Assembly"] = "La Asamblea de los Jinetes",
	["The Howling Hollow"] = "La Hondonada Aullante",
	["The Howling Oak"] = "El Roble Quejumbroso",
	["The Howling Vale"] = "Vega del Aullido",
	["The Hunter's Reach"] = "El Tramo del Cazador",
	["The Hushed Bank"] = "La Ribera Silente",
	["The Icy Depths"] = "Las Profundidades Heladas",
	["The Immortal Coil"] = "La Espiral Inmortal",
	["The Imperial Seat"] = "El Trono Imperial",
	["The Infectis Scar"] = "La Cicatriz Purulenta",
	["The Inferno"] = "El Averno",
	["The Inner Spire"] = "Aguja Interior",
	["The Intrepid"] = "El Intrépido",
	["The Inventor's Library"] = "La Biblioteca del Inventor",
	["The Iron Crucible"] = "El Crisol de Hierro",
	["The Iron Hall"] = "Cámara de Hierro",
	["The Iron Reaper"] = "La Segadora de Hierro",
	["The Isle of Spears"] = "La Isla de las Lanzas",
	["The Ivar Patch"] = "Los Dominios de Ivar",
	["The Jansen Stead"] = "La Finca de Jansen",
	["The Krazzworks"] = "La Krazzería",
	["The LMS Mark II"] = "El LMS Mark II",
	["The Laboratory"] = "El Laboratorio",
	["The Lagoon"] = "La Laguna",
	["The Laughing Stand"] = "La Playa Rompeolas",
	["The Legerdemain Lounge"] = "Salón Juego de Manos",
	["The Legion Front"] = "La Avanzadilla de la Legión",
	["The Librarium"] = "El Librarium",
	["The Library"] = "La Biblioteca",
	["The Lifebinder's Cell"] = "La Celda de la Protectora",
	["The Lifeblood Pillar"] = "El Pilar Sangrevida",
	["The Lightless Reaches"] = "Las Costas Extintas",
	["The Living Grove"] = "La Arboleda Viviente",
	["The Living Wood"] = "El Bosque Viviente",
	["The Loch"] = "Loch Modan",
	["The Long Wash"] = "Playa del Oleaje",
	["The Lost Fleet"] = "La Flota Perdida",
	["The Lost Fold"] = "El Aprisco Perdido",
	["The Lost Isles"] = "Las Islas Perdidas",
	["The Lost Lands"] = "Las Tierras Perdidas",
	["The Lost Passage"] = "El Pasaje Perdido",
	["The Low Path"] = "El Paso Bajo",
	["The Lyceum"] = "El Lyceum",
	["The Maclure Vineyards"] = "Los Viñedos de Maclure",
	["The Maelstrom"] = "La Vorágine",
	["The Maker's Overlook"] = "El Mirador de los Creadores",
	["The Maker's Rise"] = "El Alto de los Creadores",
	["The Maker's Terrace"] = "Bancal del Hacedor",
	["The Makers' Overlook"] = "El Mirador de los Creadores",
	["The Makers' Perch"] = "El Pedestal de los Creadores",
	["The Manufactory"] = "El Taller",
	["The Marris Stead"] = "Hacienda de Marris",
	["The Marshlands"] = "Los Pantanales",
	["The Masonary"] = "El Masón",
	["The Master's Cellar"] = "El Sótano del Maestro",
	["The Master's Glaive"] = "La Espada del Maestro",
	["The Maul"] = "La Marra",
	["The Maw of Madness"] = "Las Fauces de la Locura",
	["The Mechanar"] = "El Mechanar",
	["The Menagerie"] = "La Sala de las Fieras",
	["The Menders' Stead"] = "La Finca de los Ensalmadores",
	["The Merchant Coast"] = "La Costa Mercante",
	["The Militant Mystic"] = "El Místico Militante",
	["The Military Quarter"] = "El Arrabal Militar",
	["The Military Ward"] = "La Sala Militar",
	["The Mind's Eye"] = "El Ojo de la Mente",
	["The Mirror of Dawn"] = "El Espejo del Alba",
	["The Mirror of Twilight"] = "El Espejo del Crepúsculo",
	["The Molsen Farm"] = "La Granja de Molsen",
	["The Molten Bridge"] = "Puente de Magma",
	["The Molten Core"] = "Núcleo de Magma",
	["The Molten Fields"] = "Los Campos Fundidos",
	["The Molten Flow"] = "La Corriente de Magma",
	["The Molten Span"] = "Luz de Magma",
	["The Mor'Shan Ramparts"] = "La Empalizada de Mor'shan",
	["The Mor'shan Rampart"] = "La Empalizada de Mor'shan",
	["The Mosslight Pillar"] = "El Pilar Musgoluz",
	["The Mountain Den"] = "El Cubil de la Sierra",
	["The Murder Pens"] = "El Matadero",
	["The Mystic Ward"] = "La Sala Mística",
	["The Necrotic Vault"] = "La Cripta Necrótica",
	["The Nexus"] = "El Nexo",
	["The Nexus Entrance"] = "Entrada de El Nexo",
	["The Nightmare Scar"] = "Paraje Pesadilla",
	["The North Coast"] = "La Costa Norte",
	["The North Sea"] = "El Mar del Norte",
	["The Nosebleeds"] = "La Hemorragia",
	["The Noxious Glade"] = "El Claro Ponzoñoso",
	["The Noxious Hollow"] = "Hoya Ponzoñosa",
	["The Noxious Lair"] = "La Guarida Ponzoñosa",
	["The Noxious Pass"] = "El Paso Ponzoñoso",
	["The Oblivion"] = "El Olvido",
	["The Observation Ring"] = "El Círculo de Observación",
	["The Obsidian Sanctum"] = "El Sagrario Obsidiana",
	["The Oculus"] = "El Oculus",
	["The Oculus Entrance"] = "Entrada de El Oculus",
	["The Old Barracks"] = "El Antiguo Cuartel",
	["The Old Dormitory"] = "La Vieja Residencia",
	["The Old Port Authority"] = "Autoridades del Puerto Viejo",
	["The Opera Hall"] = "La Sala de la Ópera",
	["The Oracle Glade"] = "El Claro del Oráculo",
	["The Outer Ring"] = "El Anillo Exterior",
	["The Overgrowth"] = "La Hojarasca",
	["The Overlook"] = "La Dominancia",
	["The Overlook Cliffs"] = "Los Acantilados Dominantes",
	["The Pale Roost"] = "El Nidal Pálido",
	["The Park"] = "El Parque",
	["The Path of Anguish"] = "El Camino del Tormento",
	["The Path of Conquest"] = "El Sendero de la Conquista",
	["The Path of Corruption"] = "El Sendero de la Corrupción",
	["The Path of Glory"] = "El Camino a la Gloria",
	["The Path of Iron"] = "La Senda de Hierro",
	["The Path of the Lifewarden"] = "La Senda del Guardián de Vida",
	["The Phoenix Hall"] = "La Cámara del Fénix",
	["The Pillar of Ash"] = "El Pilar de Ceniza",
	["The Pipe"] = "La Tubería",
	["The Pit of Criminals"] = "La Fosa de los Criminales",
	["The Pit of Fiends"] = "El Foso de los Mefistos",
	["The Pit of Narjun"] = "El Foso de Narjun",
	["The Pit of Refuse"] = "La Fosa del Rechazo",
	["The Pit of Sacrifice"] = "La Fosa de los Sacrificios",
	["The Pit of Scales"] = "El Foso de Escamas",
	["The Pit of the Fang"] = "El Foso del Colmillo",
	["The Plague Quarter"] = "El Arrabal de la Peste",
	["The Plagueworks"] = "Los Talleres de la Peste",
	["The Pool of Ask'ar"] = "La Alberca de Ask'ar",
	["The Pools of Vision"] = "Pozas de las Visiones",
	["The Prison of Yogg-Saron"] = "La Prisión de Yogg-Saron",
	["The Proving Grounds"] = "Terreno de Pruebas",
	["The Purple Parlor"] = "El Salón Púrpura",
	["The Quagmire"] = "El Lodazal",
	["The Quaking Fields"] = "Los Campos Convulsos",
	["The Queen's Reprisal"] = "La Represalia de la Reina",
	["The Raging Chasm"] = "La Sima Enfurecida",
	["The Rangers' Lodge"] = "El Refugio de los Forestales",
	["The Red Reaches"] = "Las Costas Rojas",
	["The Refectory"] = "El Refectorio",
	["The Regrowth"] = "El Brote",
	["The Reliquary"] = "El Relicario",
	["The Repository"] = "El Repositorio",
	["The Reservoir"] = "La Presa",
	["The Restless Front"] = "El Frente Inquieto",
	["The Ridge of Ancient Flame"] = "La Cresta de la Llama Ancestral",
	["The Rift"] = "La Falla",
	["The Ring of Blood"] = "El Círculo de Sangre",
	["The Ring of Champions"] = "La Liza de los Campeones",
	["The Ring of Trials"] = "El Círculo de los Retos",
	["The Ring of Valor"] = "El Círculo del Valor",
	["The Riptide"] = "Las Mareas Vivas",
	["The Roiling Gardens"] = "Los Jardines Turbados",
	["The Rolling Gardens"] = "Los Jardines Turbados",
	["The Rolling Plains"] = "Las Llanuras Onduladas",
	["The Rookery"] = "El Grajero",
	["The Rotting Orchard"] = "El Vergel Pútrido",
	["The Royal Exchange"] = "El Intercambio Real",
	["The Ruby Sanctum"] = "El Sagrario Rubí",
	["The Ruined Reaches"] = "Las Ruinas",
	["The Ruins of Kel'Theril"] = "Las Ruinas de Kel'Theril",
	["The Ruins of Ordil'Aran"] = "Las Ruinas de Ordil'Aran",
	["The Ruins of Stardust"] = "Las Ruinas del Polvo Estelar",
	["The Rumble Cage"] = "La Jaula del Rugido",
	["The Rustmaul Dig Site"] = "Excavación Oximelena",
	["The Sacred Grove"] = "La Arboleda Sagrada",
	["The Salty Sailor Tavern"] = "Taberna del Grumete Frito",
	["The Sanctum"] = "El Sagrario",
	["The Sanctum of Blood"] = "El Sagrario de Sangre",
	["The Savage Coast"] = "La Costa Salvaje",
	["The Savage Glen"] = "La Cañada Salvaje",
	["The Savage Thicket"] = "El Matorral Silvestre",
	["The Scalding Chasm"] = "La Sima Escaldante",
	["The Scalding Pools"] = "Las Pozas Escaldantes",
	["The Scarab Dais"] = "Estrado del Escarabajo",
	["The Scarab Wall"] = "El Muro del Escarabajo",
	["The Scarlet Basilica"] = "La Basílica Escarlata",
	["The Scarlet Bastion"] = "El Bastión Escarlata",
	["The Scorched Grove"] = "La Arboleda Agostada",
	["The Scorched Plain"] = "La Llanura Agostada",
	["The Scrap Field"] = "El Campo de Sobras",
	["The Scrapyard"] = "La Chatarrería",
	["The Screaming Hall"] = "La Sala del Grito",
	["The Screaming Reaches"] = "Cuenca de los Gritos",
	["The Screeching Canyon"] = "Cañón del Chirrido",
	["The Scribe of Stormwind"] = "El Escriba de Ventormenta",
	["The Scribes' Sacellum"] = "El Templete de los Escribas",
	["The Scullery"] = "La Sala de Limpieza",
	["The Sea Reaver's Run"] = "La Travesía del Atracamar",
	["The Sea of Cinders"] = "El Mar de las Cenizas",
	["The Seabreach Flow"] = "El Flujo de la Brecha del Mar",
	["The Sealed Hall"] = "Cámara Sellada",
	["The Searing Gateway"] = "La Puerta de Fuego",
	["The Secret Lab"] = "El Laboratorio Secreto",
	["The Seer's Library"] = "La Biblioteca del Profeta",
	["The Sepulcher"] = "El Sepulcro",
	["The Severed Span"] = "Tramoduro",
	["The Sewer"] = "La Cloaca",
	["The Shadow Stair"] = "La Escalera Umbría",
	["The Shadow Throne"] = "El Trono de las Sombras",
	["The Shadow Vault"] = "La Cámara de las Sombras",
	["The Shady Nook"] = "El Rincón Lóbrego",
	["The Shaper's Terrace"] = "El Bancal del Creador",
	["The Shattered Halls"] = "Las Salas Arrasadas",
	["The Shattered Strand"] = "La Playa Arrasada",
	["The Shattered Walkway"] = "La Pasarela Devastada",
	["The Shepherd's Gate"] = "La Puerta del Pastor",
	["The Shifting Mire"] = "Lodo Traicionero",
	["The Shimmering Deep"] = "El Piélago de Sal",
	["The Shimmering Flats"] = "El Desierto de Sal",
	["The Shining Strand"] = "La Playa Plateada",
	["The Shrine of Aessina"] = "El Santuario de Aessina",
	["The Shrine of Eldretharr"] = "Santuario de Eldretharr",
	["The Silver Blade"] = "La Espada de Plata",
	["The Silver Enclave"] = "El Enclave de Plata",
	["The Sin'loren"] = "El Sin'loren",
	["The Singing Grove"] = "La Arboleda Tonada",
	["The Skeletal Reef"] = "Arrecife de Huesos",
	["The Skittering Dark"] = "Penumbra de las Celerácnidas",
	["The Skull Warren"] = "El Laberinto de Calaveras",
	["The Skunkworks"] = "La Central Secreta",
	["The Skybreaker"] = "El Rompecielos",
	["The Skyreach Pillar"] = "El Pilar del Trecho Celestial",
	["The Slag Pit"] = "La Fosa de la Escoria",
	["The Slaughter House"] = "El Degolladero",
	["The Slaughtered Lamb"] = "El Cordero Degollado",
	["The Slave Pens"] = "Recinto de los Esclavos",
	["The Slave Pits"] = "Los Pozos de Esclavos",
	["The Slick"] = "El Escoplo",
	["The Slithering Scar"] = "La Cicatriz Serpenteante",
	["The Slough of Dispair"] = "La Ciénaga de la Desesperación",
	["The Sludge Fen"] = "El Fangal",
	["The Sludge Fields"] = "Los Campos de Lodo",
	["The Sludgewerks"] = "Los Fangados",
	["The Solar Vigil"] = "La Vigilia Solar",
	["The Solarium"] = "El Solarium",
	["The Spark of Imagination"] = "La Chispa de la Imaginación",
	["The Sparkling Crawl"] = "La Gruta Cristalina",
	["The Spawning Glen"] = "La Cañada Emergente",
	["The Spire"] = "La Aguja",
	["The Stadium"] = "El Estadium",
	["The Stagnant Oasis"] = "El Oasis Estancado",
	["The Staidridge"] = "Crestaserena",
	["The Stair of Destiny"] = "Los Peldaños del Destino",
	["The Stair of Doom"] = "La Escalera Maldita",
	["The Steam Pools"] = "Las Charcas Vaporosas",
	["The Steamvault"] = "La Cámara de Vapor",
	["The Steppe of Life"] = "Las Estepas de la Vida",
	["The Steps of Fate"] = "Los Pasos del Sino",
	["The Stockade"] = "Las Mazmorras",
	["The Stockpile"] = "Las Reservas",
	["The Stone Vault"] = "El Arca Pétrea",
	["The Stonecore"] = "El Núcleo Pétreo",
	["The Stonecore Entrance"] = "Entrada de El Núcleo Pétreo",
	["The Stonefield Farm"] = "La Granja Pedregosa",
	["The Storehouse"] = "Almacén",
	["The Storm Foundry"] = "La Fundición de la Tormenta",
	["The Storm Peaks"] = "Las Cumbres Tormentosas",
	["The Stormbreaker"] = "El Rompetormentas",
	["The Stormspire"] = "La Flecha de la Tormenta",
	["The Stormwright's Shelf"] = "La Plataforma del Tormentoso",
	["The Sun Forge"] = "La Forja del Sol",
	["The Sundered Shard"] = "El Fragmento Hendido",
	["The Sundering"] = "El Cataclismo",
	["The Sunken Ring"] = "El Anillo Sumergido",
	["The Sunspire"] = "La Aguja del Sol",
	["The Suntouched Pillar"] = "El Pilar Toquesol",
	["The Sunwell"] = "La Fuente del Sol",
	["The Swarming Pillar"] = "El Pilar de la Ascensión",
	["The Tainted Forest"] = "El Bosque Corrupto",
	["The Tainted Scar"] = "Escara Impía",
	["The Talon Den"] = "El Cubil del Espolón",
	["The Talondeep Path"] = "El Paso del Espolón",
	["The Tempest Rift"] = "La Falla de la Tempestad",
	["The Temple Gardens"] = "Los Jardines del Templo",
	["The Temple of Atal'Hakkar"] = "El Templo de Atal'Hakkar",
	["The Terrestrial Watchtower"] = "La Atalaya Terrestre",
	["The Thornsnarl"] = "El Gruñospina",
	["The Threads of Fate"] = "Los Hilos del Destino",
	["The Threshold"] = "El Umbral",
	["The Throne of Flame"] = "El Trono de la Llama",
	["The Tidebreaker"] = "El Rompemareas",
	["The Tidus Stair"] = "El Escalón de la Marea",
	["The Tower of Arathor"] = "Torre de Arathor",
	["The Toxic Airfield"] = "La Base Aérea Tóxica",
	["The Trail of Devastation"] = "La Senda de la Devastación",
	["The Tranquil Grove"] = "La Arboleda Tranquila",
	["The Transitus Stair"] = "La Escalera de Tránsito",
	["The Trapper's Enclave"] = "Enclave del Trampero",
	["The Tribunal of Ages"] = "El Tribunal de los Tiempos",
	["The Tundrid Hills"] = "Las Colinas Tundra",
	["The Twilight Breach"] = "La Brecha Crepuscular",
	["The Twilight Caverns"] = "Las Cavernas Crepusculares",
	["The Twilight Citadel"] = "La Ciudadela Crepuscular",
	["The Twilight Enclave"] = "El Enclave Crepuscular",
	["The Twilight Gate"] = "La Puerta Crepuscular",
	["The Twilight Gauntlet"] = "La Vereda Crepuscular",
	["The Twilight Ridge"] = "La Cresta del Crepúsculo",
	["The Twilight Rivulet"] = "El Riachuelo Crepuscular",
	["The Twilight Withering"] = "Quebranto Crepuscular",
	["The Twin Colossals"] = "Los Dos Colosos",
	["The Twisted Glade"] = "El Claro Retorcido",
	["The Unbound Thicket"] = "El Matorral Desatado",
	["The Underbelly"] = "Los Bajos Fondos",
	["The Underbog"] = "La Sotiénaga",
	["The Undercroft"] = "La Subgranja",
	["The Underhalls"] = "Las Cámaras Subterráneas",
	["The Undershell"] = "La Concha Subterránea",
	["The Uplands"] = "Las Tierras Altas",
	["The Upside-down Sinners"] = "Los Pecadores Boca Abajo",
	["The Valley of Fallen Heroes"] = "El Valle de los Héroes Caídos",
	["The Valley of Lost Hope"] = "El Valle de la Esperanza Perdida",
	["The Vault of Lights"] = "El Arca de las Luces",
	["The Vector Coil"] = "La Espiral Vectorial",
	["The Veiled Cleft"] = "La Grieta Velada",
	["The Veiled Sea"] = "Mar de la Bruma",
	["The Venture Co. Mine"] = "Mina Ventura y Cía.",
	["The Verdant Fields"] = "Los Verdegales",
	["The Verdant Thicket"] = "El Matorral Verde",
	["The Verne"] = "El Verne",
	["The Verne - Bridge"] = "El Verne - Puente",
	["The Verne - Entryway"] = "El Verne - Entrada",
	["The Vibrant Glade"] = "El Claro Vibrante",
	["The Vice"] = "El Vicio",
	["The Vicious Vale"] = "El Valle Atroz",
	["The Viewing Room"] = "La Sala de la Visión",
	["The Vile Reef"] = "El Arrecife Mortal",
	["The Violet Citadel"] = "La Ciudadela Violeta",
	["The Violet Citadel Spire"] = "Aguja de La Ciudadela Violeta",
	["The Violet Gate"] = "La Puerta Violeta",
	["The Violet Hold"] = "El Bastión Violeta",
	["The Violet Spire"] = "La Espiral Violeta",
	["The Violet Tower"] = "Torre Violeta",
	["The Vortex Fields"] = "Los Campos del Vórtice",
	["The Vortex Pinnacle"] = "Cumbre del Vórtice",
	["The Vortex Pinnacle Entrance"] = "Entrada de La Cumbre del Vórtice",
	["The Wailing Caverns"] = "Las Cuevas de los Lamentos",
	["The Wailing Ziggurat"] = "El Zigurat de los Lamentos",
	["The Waking Halls"] = "Las Salas del Despertar",
	["The Warlord's Garrison"] = "Cuartel del Señor de la Guerra",
	["The Warlord's Terrace"] = "El Bancal de los Señores de la Guerra",
	["The Warp Fields"] = "Los Campos Alabeados",
	["The Warp Piston"] = "El Pistón de Distorsión",
	["The Wavecrest"] = "La Cresta de la Ola",
	["The Weathered Nook"] = "El Hueco Perdido",
	["The Weeping Cave"] = "La Cueva del Llanto",
	["The Western Earthshrine"] = "El Santuario de la Tierra del Oeste",
	["The Westrift"] = "La Falla Oeste",
	["The Whelping Downs"] = "Las Colinas de los Vástagos",
	["The Whipple Estate"] = "El Raquitismo",
	["The Wicked Coil"] = "La Espiral Maldita",
	["The Wicked Grotto"] = "La Gruta Maligna",
	["The Widow's Clutch"] = "La Guarida de la Viuda",
	["The Wild Shore"] = "La Orilla Salvaje",
	["The Winding Halls"] = "Las Salas Serpenteantes",
	["The Windrunner"] = "El Brisaveloz",
	["The Wollerton Stead"] = "La Finca de Wollerton",
	["The Wonderworks"] = "Obras Asombrosas",
	["The World Tree"] = "Árbol del Mundo",
	["The Writhing Deep"] = "Las Galerías Retorcidas",
	["The Writhing Haunt"] = "El Tormento",
	["The Yorgen Farmstead"] = "La Hacienda Yorgen",
	["The Zoram Strand"] = "La Ensenada de Zoram",
	["Thelgen Rock"] = "Roca Thelgen",
	Thelsamar = "Thelsamar",
	Theramore = "Theramore",
	["Theramore Isle"] = "Isla Theramore",
	["Therazane's Throne"] = "Trono de Therazane",
	["Thermal Vents"] = "Celosía Termal",
	["Thieves Camp"] = "Campamento de Ladrones",
	["Thistlefur Hold"] = "Bastión Piel de Cardo",
	["Thistlefur Village"] = "Poblado Piel de Cardo",
	["Thistleshrub Valley"] = "Valle Cardizal",
	["Thondroril River"] = "Río Thondroril",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Muralla de Thoradin",
	["Thorium Advance"] = "Avance del Torio",
	["Thorium Point"] = "Puesto del Torio",
	["Thorn Hill"] = "Colina Espinosa",
	["Thornfang Hill"] = "Colina Colmillespinado",
	["Thornmantle's Hideout"] = "La Guarida de Mantospina",
	["Thorson's Post"] = "Puesto de Thorson",
	["Thorvald's Camp"] = "Campamento de Thorvald",
	["Thousand Needles"] = "Las Mil Agujas",
	Thrallmar = "Thrallmar",
	["Thrallmar Mine"] = "Mina de Thrallmar",
	["Three Corners"] = "Tres Caminos",
	["Throne of Kil'jaeden"] = "Trono de Kil'jaeden",
	["Throne of Neptulon"] = "Trono de Neptulon",
	["Throne of Tides"] = "Trono de las Mareas",
	["Throne of the Apocalypse"] = "Trono del Apocalipsis",
	["Throne of the Damned"] = "Trono de los Condenados",
	["Throne of the Elements"] = "El Trono de los Elementos",
	["Throne of the Four Winds"] = "Trono de los Cuatro Vientos",
	["Throne of the Tides"] = "Trono de las Mareas",
	["Throne of the Tides Entrance"] = "Entrada del Trono de las Mareas",
	["Thrym's End"] = "Fin de Thrym",
	["Thunder Axe Fortress"] = "Fortaleza del Hacha de Trueno",
	["Thunder Bluff"] = "Cima del Trueno",
	["Thunder Falls"] = "Cataratas del Trueno",
	["Thunder Peak"] = "Pico del Trueno",
	["Thunder Ridge"] = "Monte del Trueno",
	Thunderbluff = "Cima del Trueno",
	["Thunderbrew Distillery"] = "Destilería Cebatruenos",
	Thunderfall = "Truenotoño",
	["Thunderhorn Water Well"] = "Pozo Tronacuerno",
	["Thundering Overlook"] = "Mirador Atronador",
	["Thunderlord Stronghold"] = "Bastión Señor del Trueno",
	Thundermar = "Bramal",
	["Thundermar Ruins"] = "Ruinas de Bramal",
	["Thunderstrike Mountain"] = "Monte del Rayo",
	["Thunk's Abode"] = "Morada de Thunk",
	["Thuron's Livery"] = "Caballería de Thuron",
	["Tidefury Cove"] = "Cala Furiamarea",
	["Tides' Hollow"] = "Hoya Mareanorte",
	["Timbermaw Hold"] = "Bastión Fauces de Madera",
	["Timbermaw Post"] = "Puesto de los Fauces de Madera",
	["Tinker Town"] = "Ciudad Manitas",
	["Tinkers' Court"] = "Cámara Manitas",
	["Tiragarde Keep"] = "Fuerte de Tiragarde",
	["Tirisfal Glades"] = "Claros de Tirisfal",
	["Tirth's Haunt"] = "Refugio de Tirth",
	["Tkashi Ruins"] = "Ruinas de Tkashi",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Península de Tol Barad",
	["Tomb of Lights"] = "Tumba de las Luces",
	["Tomb of the Ancients"] = "Tumba de los Ancestros",
	["Tomb of the Earthrager"] = "Tumba del Terracundo",
	["Tomb of the Lost Kings"] = "Tumba de los Reyes Perdidos",
	["Tomb of the Sun King"] = "Tumba del Rey del Sol",
	["Tomb of the Watchers"] = "Tumba de los Vigías",
	["Tombs of the Precursors"] = "Tumbas de los Precursores",
	["Tome of the Unrepentant"] = "Libro de los Impenitentes",
	["Tor'Watha"] = "Tor'Watha",
	["Tor'kren Farm"] = "Granja Tor'kren",
	["Torp's Farm"] = "Granja de Torp",
	["Torseg's Rest"] = "Reposo de Torseg",
	["Toryl Estate"] = "Los Dominios Toryl",
	["Toshley's Station"] = "Estación de Toshley",
	["Tower Point"] = "Torre de la Punta",
	["Tower Watch"] = "Avanzada de la Torre",
	["Tower of Althalaxx"] = "Torre de Althalaxx",
	["Tower of Azora"] = "Torre de Azora",
	["Tower of Eldara"] = "Torre de Eldara",
	["Tower of Estulan"] = "Torre de Estulan",
	["Tower of Ilgalar"] = "Torre de Ilgalar",
	["Tower of the Damned"] = "Torre de los Condenados",
	["Town Square"] = "Plaza de la Ciudad",
	["Town-In-A-Box"] = "Ciudad de Bolsillo",
	["Trade District"] = "Distrito de Mercaderes",
	["Trade Quarter"] = "Barrio del Comercio",
	["Trader's Tier"] = "La Grada de los Mercaderes",
	["Tradesmen's Terrace"] = "Bancal de los Mercaderes",
	["Train Depot"] = "Depósito de Trenes",
	["Training Grounds"] = "Patio de Armas",
	["Traitor's Cove"] = "Cala del Traidor",
	["Tranquil Coast"] = "Costa Tranquila",
	["Tranquil Gardens Cemetery"] = "Cementerio del Jardín Sereno",
	["Tranquil Shore"] = "Orilla Tranquila",
	["Tranquil Wash"] = "Estela Tranquila",
	Tranquillien = "Tranquilien",
	Transborea = "Transborea",
	["Transitus Shield"] = "Escudo de Tránsito",
	["Transport: Alliance Gunship"] = "Transporte: Nave de Guerra de la Alianza",
	["Transport: Alliance Gunship (IGB)"] = "Transporte: Nave de Guerra de la Alianza",
	["Transport: Horde Gunship"] = "Transporte: Nave de Guerra de la Horda",
	["Transport: Horde Gunship (IGB)"] = "Transporte: Nave de Guerra de la Horda",
	["Transport: Onyxia/Nefarian Elevator"] = "Transporte: elevador Onyxia/Nefarian",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Transporte: El Viento Poderoso (Banda de Ciudadela de la Corona de Hielo)",
	["Trelleum Mine"] = "Mina Trelleum",
	["Trial of Fire"] = "Prueba del Fuego",
	["Trial of Frost"] = "Prueba de Escarcha",
	["Trial of Shadow"] = "Prueba de las Sombras",
	["Trial of the Champion"] = "Prueba del Campeón",
	["Trial of the Champion Entrance"] = "Entrada de la Prueba del Campeón",
	["Trial of the Crusader"] = "Prueba del Cruzado",
	["Trogma's Claim"] = "La Llamada de Trogma",
	["Trollbane Hall"] = "Bastión de Aterratrols",
	["Trophy Hall"] = "Cámara de los Trofeos",
	["Trueshot Point"] = "Punta Alblanco",
	["Tuluman's Landing"] = "Alto de Tuluman",
	Tuurem = "Tuurem",
	["Twilight Aerie"] = "Nidal Crepuscular",
	["Twilight Altar of Storms"] = "Altar de la Tempestad Crepuscular",
	["Twilight Base Camp"] = "Campamento Crepúsculo",
	["Twilight Bulwark"] = "Baluarte Crepuscular",
	["Twilight Camp"] = "Campamento Crepuscular",
	["Twilight Command Post"] = "Puesto de Mando Crepuscular",
	["Twilight Crossing"] = "Cruce Crepuscular",
	["Twilight Forge"] = "Forja Crepuscular",
	["Twilight Grove"] = "Arboleda del Crepúsculo",
	["Twilight Highlands"] = "Tierras Altas Crepusculares",
	["Twilight Highlands Phased Entrance"] = "Entrada de Tierras Altas Crepusculares en fase",
	["Twilight Outpost"] = "Avanzada Crepúsculo",
	["Twilight Overlook"] = "Mirador Crepuscular",
	["Twilight Post"] = "Puesto Crepúsculo",
	["Twilight Precipice"] = "Precipicio Crepuscular",
	["Twilight Shore"] = "Orilla Crepuscular",
	["Twilight Terrace"] = "Bancal Crepuscular",
	["Twilight Vale"] = "Vega Crepuscular",
	["Twilight's Run"] = "Paseo Crepúsculo",
	["Twin Peaks"] = "Cumbres Gemelas",
	["Twin Shores"] = "Las Playas Gemelas",
	["Twin Spire Ruins"] = "Ruinas de las Agujas Gemelas",
	["Twinbraid's Patrol"] = "Patrulla de Trenzado",
	["Twisting Nether"] = "El Vacío Abisal",
	["Tyr's Hand"] = "Mano de Tyr",
	["Tyr's Hand Abbey"] = "Abadía de la Mano de Tyr",
	["Tyr's Terrace"] = "Bancal de Tyr",
	["Ufrang's Hall"] = "Sala de Ufrang",
	Uldaman = "Uldaman",
	["Uldaman Entrance"] = "Entrada de Uldaman",
	Uldis = "Uldis",
	Ulduar = "Ulduar",
	["Ulduar Raid - Interior - Insertion Point"] = "Banda Ulduar: Interior: Punto de Entrada",
	["Ulduar Raid - Iron Concourse"] = "Banda Ulduar: Explanada de Hierro",
	Uldum = "Uldum",
	["Uldum Phase Oasis"] = "Oasis de fase de Uldum",
	["Uldum Phased Entrance"] = "Entrada de Uldum en fase",
	["Umbrafen Lake"] = "Lago Umbropantano",
	["Umbrafen Village"] = "Aldea Umbropantano",
	["Un'Goro Crater"] = "Cráter de Un'Goro",
	Undercity = "Entrañas",
	["Underlight Canyon"] = "Cañón Sondaluz",
	["Underlight Mines"] = "Minas Sondaluz",
	["Unearthed Grounds"] = "Campos Desenterrados",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Garrison"] = "Cuartel Implacable",
	["Upper Silvermarsh"] = "Marjal Argenta Superior",
	["Upper Veil Shil'ak"] = "Velo Shil'ak Alto",
	["Ursoc's Den"] = "El Cubil de Ursoc",
	Ursolan = "Ursolan",
	["Utgarde Catacombs"] = "Catacumbas de Utgarde",
	["Utgarde Keep"] = "Fortaleza de Utgarde",
	["Utgarde Keep Entrance"] = "Entrada de la Fortaleza de Utgarde",
	["Utgarde Pinnacle"] = "Pináculo de Utgarde",
	["Utgarde Pinnacle Entrance"] = "Entrada del Pináculo de Utgarde",
	["Uther's Tomb"] = "Tumba de Uther",
	["Valaar's Berth"] = "Atracadero de Valaar",
	["Valgan's Field"] = "Campo de Valgan",
	Valgarde = "Valgarde",
	["Valgarde Port"] = "Puerto de Valgarde",
	Valhalas = "Valhalas",
	["Valiance Keep"] = "Fortaleza Denuedo",
	["Valiance Landing Camp"] = "Campo de Aterrizaje de Denuedo",
	Valkyrion = "Valkyrion",
	["Valley Of Heroes"] = "Valle de los Héroes",
	["Valley of Ancient Winters"] = "Valle de los Viejos Inviernos",
	["Valley of Ashes"] = "Valle de las Cenizas",
	["Valley of Bones"] = "Valle de los Huesos",
	["Valley of Echoes"] = "Valle de los Ecos",
	["Valley of Fangs"] = "Valle de los Colmillos",
	["Valley of Heroes"] = "Valle de los Héroes",
	["Valley of Honor"] = "Valle del Honor",
	["Valley of Kings"] = "Valle de los Reyes",
	["Valley of Spears"] = "Valle de las Lanzas",
	["Valley of Spirits"] = "Valle de los Espíritus",
	["Valley of Strength"] = "Valle de la Fuerza",
	["Valley of Trials"] = "Valle de los Retos",
	["Valley of Wisdom"] = "Valle de la Sabiduría",
	["Valley of the Bloodfuries"] = "Valle Furia Sangrienta",
	["Valley of the Watchers"] = "Valle de los Vigías",
	["Valor's Rest"] = "Sosiego del Valor",
	Valormok = "Valormok",
	["Valorwind Lake"] = "Lago Ventobravo",
	["Vanguard Infirmary"] = "Enfermería de la Vanguardia",
	["Vanndir Encampment"] = "Campamento Vanndir",
	["Vargoth's Retreat"] = "Reposo de Vargoth",
	["Vashj'elan Spawning Pool"] = "Poza Emergente Vashj'elan",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Archavon"] = "Cámara de Archavon",
	["Vault of Ironforge"] = "Las Arcas de Forjaz",
	["Vault of the Ravenian"] = "Cámara del Devorador",
	["Vault of the Shadowflame"] = "Bóveda de la Llama de las Sombras",
	["Veil Ala'rak"] = "Velo Ala'rak",
	["Veil Harr'ik"] = "Velo Harr'ik",
	["Veil Lashh"] = "Velo Lashh",
	["Veil Lithic"] = "Velo Lítico",
	["Veil Reskk"] = "Velo Reskk",
	["Veil Rhaze"] = "Velo Rhaze",
	["Veil Ruuan"] = "Velo Ruuan",
	["Veil Sethekk"] = "Velo Sethekk",
	["Veil Shalas"] = "Velo Shalas",
	["Veil Shienor"] = "Velo Shienor",
	["Veil Skith"] = "Velo Skith",
	["Veil Vekh"] = "Velo Vekh",
	["Vekhaar Stand"] = "Alto Vekhaar",
	["Velaani's Arcane Goods"] = "Artículos arcanos de Velaani",
	["Vendetta Point"] = "Punta Vendetta",
	["Vengeance Landing"] = "Campo Venganza",
	["Vengeance Landing Inn"] = "Taberna de Campo Venganza",
	["Vengeance Landing Inn, Howling Fjord"] = "Taberna de Campo Venganza, Fiordo Aquilonal",
	["Vengeance Lift"] = "Elevador de Venganza",
	["Vengeance Pass"] = "Paso Venganza",
	["Vengeance Wake"] = "Rastro Venganza",
	Venomspite = "Rencor Venenoso",
	["Venomweb Vale"] = "Vega Venerácnidas",
	["Venture Bay"] = "Bahía Ventura",
	["Venture Co. Base Camp"] = "Base de Ventura y Cía.",
	["Venture Co. Operations Center"] = "Centro de Operaciones de Ventura y Cía.",
	["Verdant Highlands"] = "Tierras Altas Verdes",
	["Verdantis River"] = "Río Verdantis",
	["Veridian Point"] = "Punta Veridiana",
	["Verlok Stand"] = "Alto Verlok",
	["Vermillion Redoubt"] = "Reducto Bermellón",
	["Verrall Delta"] = "Delta del Verrall",
	["Verrall River"] = "Río Verrall",
	["Victor's Point"] = "Paso del Invicto",
	["Vileprey Village"] = "Poblado Presavil",
	["Vim'gol's Circle"] = "Anillo de Vim'gol",
	["Vindicator's Rest"] = "El Reposo del Vindicador",
	["Violet Citadel Balcony"] = "Balcón de la Ciudadela Violeta",
	["Violet Hold"] = "Bastión Violeta",
	["Violet Hold Entrance"] = "Entrada de El Bastión Violeta",
	["Violet Stand"] = "El Confín Violeta",
	["Vir'naal Dam"] = "Presa Vir'naal",
	["Vir'naal Lake"] = "Lago Vir'naal",
	["Vir'naal Oasis"] = "Oasis Vir'naal",
	["Vir'naal River"] = "Río Vir'naal",
	["Vir'naal River Delta"] = "Delta Vir'naal",
	["Void Ridge"] = "Cresta del Vacío",
	["Voidwind Plateau"] = "Meseta del Viento del Vacío",
	["Volcanoth's Lair"] = "Guarida de Volcanoth",
	["Voldrin's Hold"] = "Bastión de Voldrin",
	Voldrune = "Runavold",
	["Voldrune Dwelling"] = "Morada Runavold",
	Voltarus = "Voltarus",
	["Vordrassil Pass"] = "Paso de Vordrassil",
	["Vordrassil's Heart"] = "Corazón de Vordrassil",
	["Vordrassil's Limb"] = "Extremidad de Vordrassil",
	["Vordrassil's Tears"] = "Lágrimas de Vordrassil",
	["Vortex Pinnacle"] = "Cumbre del Vórtice",
	["Vortex Summit"] = "Cumbre del Vórtice",
	["Vul'Gol Ogre Mound"] = "Túmulo de Vul'Gol",
	["Vyletongue Seat"] = "Trono de Lenguavil",
	["Wahl Cottage"] = "Cabaña de Wahl",
	["Wailing Caverns"] = "Cuevas de los Lamentos",
	["Walk of Elders"] = "Camino de los Ancestros",
	["War Quarter"] = "Barrio de la Guerra",
	["War Room"] = "Sala de Mandos",
	["Warbringer's Ring"] = "Liza del Belisario",
	["Warchief's Lookout"] = "Atalaya del Jefe de Guerra",
	["Warden's Cage"] = "Jaula de la Guardiana",
	["Warden's Chambers"] = "Aposentos del Celador",
	["Warden's Vigil"] = "Vigilia del Celador",
	["Warmaul Hill"] = "Colina Mazo de Guerra",
	["Warpwood Quarter"] = "Barrio Alabeo",
	["Warrior's Terrace"] = "Bancal del Guerrero",
	["Warsong Camp"] = "Campamento Grito de Guerra",
	["Warsong Farms Outpost"] = "Avanzada de las Granjas Grito de Guerra",
	["Warsong Flag Room"] = "Sala de la Bandera Grito de Guerra",
	["Warsong Granary"] = "Granero Grito de Guerra",
	["Warsong Gulch"] = "Garganta Grito de Guerra",
	["Warsong Hold"] = "Bastión Grito de Guerra",
	["Warsong Jetty"] = "Malecón Grito de Guerra",
	["Warsong Labor Camp"] = "Campo de trabajos forzados Grito de Guerra",
	["Warsong Lumber Camp"] = "Aserradero Grito de Guerra",
	["Warsong Lumber Mill"] = "Serrería Grito de Guerra",
	["Warsong Slaughterhouse"] = "Matadero Grito de Guerra",
	["Watchers' Terrace"] = "Bancal de los Oteadores",
	["Waterspring Field"] = "Campo del Manantial",
	Waterworks = "Estación de Bombeo",
	["Wavestrider Beach"] = "Playa Baile de las Olas",
	["Wayfarer's Rest"] = "El Descanso del Caminante",
	Waygate = "Puerta",
	["Wayne's Refuge"] = "Refugio de Wayne",
	["Weazel's Crater"] = "Cráter de la Comadreja",
	["Webwinder Hollow"] = "Cuenca de las Tejedoras",
	["Webwinder Path"] = "Senda de las Tejedoras",
	["Weeping Quarry"] = "Cantera Llorosa",
	["Well of the Forgotten"] = "Pozo de los Olvidados",
	["Wellson Shipyard"] = "Astillero de Wellson",
	["Wellspring Hovel"] = "Cobertizo Primigenio",
	["Wellspring Lake"] = "Lago Primigenio",
	["Wellspring River"] = "Río Primigenio",
	["West Garrison"] = "Cuartel del Oeste",
	["West Pillar"] = "Pilar Oeste",
	["West Point Station"] = "Estación de la Punta Oeste",
	["West Point Tower"] = "Torre de la Punta Oeste",
	["West Sanctum"] = "Sagrario del Oeste",
	["West Spear Tower"] = "Torre Lanza del Oeste",
	["West Spire"] = "Fortín del Oeste",
	["Westbrook Garrison"] = "Cuartel de Arroyoeste",
	["Western Bridge"] = "Puente Occidental",
	["Western Plaguelands"] = "Tierras de la Peste del Oeste",
	["Western Strand"] = "Playa del Oeste",
	Westfall = "Páramos de Poniente",
	["Westfall Brigade"] = "Brigada de los Páramos de Poniente",
	["Westfall Brigade Encampment"] = "Campamento de la Brigada de los Páramos de Poniente",
	["Westfall Lighthouse"] = "Faro de Poniente",
	["Westguard Inn"] = "Taberna de la Guardia Oeste",
	["Westguard Keep"] = "Fortaleza de la Guardia Oeste",
	["Westguard Turret"] = "Torreta de la Guardia Oeste",
	["Westreach Summit"] = "Cima Tramo Oeste",
	["Westspark Workshop"] = "Taller Chispa Occidental",
	["Westwind Lift"] = "Elevador de Viento Oeste",
	["Westwind Refugee Camp"] = "Campo de Refugiados de Viento Oeste",
	Wetlands = "Los Humedales",
	["Whelgar's Excavation Site"] = "Excavación de Whelgar",
	["Whelgar's Retreat"] = "Retiro de Whelgar",
	["Whisper Gulch"] = "Garganta Susurro",
	["Whispering Forest"] = "Bosque susurrante",
	["Whispering Gardens"] = "Jardines de los Susurros",
	["Whispering Shore"] = "Costa Murmurante",
	["Whisperwind Grove"] = "Arboleda Susurravientos",
	["Whistling Grove"] = "Arboleda Sibilante",
	["White Pine Trading Post"] = "Puesto de Venta de Pino Blanco",
	["Whitebeard's Encampment"] = "Campamento de Barbablanca",
	["Whitereach Post"] = "Campamento del Tramo Blanco",
	["Wild Overlook"] = "Mirador Salvaje",
	["Wild Shore"] = "Orilla Salvaje",
	["Wildbend River"] = "Río Culebra",
	["Wildervar Mine"] = "Mina de Vildervar",
	["Wildflame Point"] = "Alto Punta Salvaje",
	["Wildgrowth Mangal"] = "Manglar Silvestre",
	["Wildhammer Flag Room"] = "Sala de la Bandera Martillo Salvaje",
	["Wildhammer Keep"] = "Fortaleza de los Martillo Salvaje",
	["Wildhammer Stronghold"] = "Bastión Martillo Salvaje",
	["Wildheart Point"] = "Alto de Corazón Salvaje",
	["Wildmane Water Well"] = "Pozo Ferocrín",
	["Wildpaw Cavern"] = "Caverna Zarpa Salvaje",
	["Wildpaw Ridge"] = "Risco Zarpa Salvaje",
	["Wildwind Lake"] = "Lago Ventosalvaje",
	["Wildwind Path"] = "Senda Ventosalvaje",
	["Wildwind Peak"] = "Cima Ventosalvaje",
	["Windbreak Canyon"] = "Cañón Rompevientos",
	["Windfury Ridge"] = "Cresta Viento Furioso",
	["Windrunner Spire"] = "Aguja Brisaveloz",
	["Windrunner Village"] = "Aldea Brisaveloz",
	["Windrunner's Overlook"] = "Mirador Brisaveloz",
	["Windshear Crag"] = "Risco Cortaviento",
	["Windshear Heights"] = "Altos Cortaviento",
	["Windshear Hold"] = "Bastión Cortaviento",
	["Windshear Mine"] = "Mina Cortaviento",
	["Windshear Valley"] = "Valle Cortaviento",
	["Windy Bluffs"] = "Riscos Ventosos",
	["Windyreed Pass"] = "Paso Junco Alabeado",
	["Windyreed Village"] = "Aldea Junco Alabeado",
	["Winter's Breath Lake"] = "Lago Aliento Invernal",
	["Winter's Edge Tower"] = "Torre Filoinvierno",
	["Winter's Heart"] = "Corazón del Invierno",
	["Winter's Terrace"] = "Bancal del Invierno",
	["Winterax Hold"] = "Fuerte Hacha Invernal",
	["Winterfall Village"] = "Poblado Nevada",
	["Winterfin Caverns"] = "Cavernas Aleta Invernal",
	["Winterfin Retreat"] = "Refugio Aleta Invernal",
	["Winterfin Village"] = "Poblado Aleta Invernal",
	["Wintergarde Crypt"] = "Cripta de Hibergarde",
	["Wintergarde Keep"] = "Fortaleza de Hibergarde",
	["Wintergarde Mausoleum"] = "Mausoleo de Hibergarde",
	["Wintergarde Mine"] = "Mina de Hibergarde",
	Wintergrasp = "Conquista del Invierno",
	["Wintergrasp Fortress"] = "Fortaleza de Conquista del Invierno",
	["Wintergrasp River"] = "Río Conquista del Invierno",
	["Winterhoof Water Well"] = "Pozo Pezuña Invernal",
	Winterspring = "Cuna del Invierno",
	["Witch Hill"] = "Colina de las Brujas",
	["Witch's Sanctum"] = "Sagrario de la Bruja",
	["Witherbark Caverns"] = "Cuevas Secacorteza",
	["Witherbark Village"] = "Poblado Secacorteza",
	["Withering Thicket"] = "Matorral Abrasador",
	["Wizard Row"] = "Pasaje del Zahorí",
	["Wizard's Sanctum"] = "Sagrario del Mago",
	["Wolf's Run"] = "Senda del Lobo",
	["Wood's End Cabin"] = "Cabaña de la Espesura",
	["Woodpaw Den"] = "Guarida de los Zarpaleña",
	["Woodpaw Hills"] = "Colinas Zarpaleña",
	Workshop = "Taller",
	["Workshop Entrance"] = "Entrada del Taller",
	["World's End Tavern"] = "Taberna del Fin del Mundo",
	["Wrathscale Lair"] = "Guarida Escama de Cólera",
	["Wrathscale Point"] = "Punto Escama de Cólera",
	["Wreckage of the Silver Dawning"] = "Restos del Amanecer de Plata",
	["Writhing Mound"] = "Alcor Tortuoso",
	Wyrmbog = "Ciénaga de Fuego",
	["Wyrmbreaker's Rookery"] = "Grajero de Rompevermis",
	["Wyrmrest Temple"] = "Templo del Reposo del Dragón",
	["Wyrms' Bend"] = "Recodo de Vermis",
	["Wyrmscar Island"] = "Isla Cicatriz de Vermis",
	["Wyrmskull Bridge"] = "Puente Calavermis",
	["Wyrmskull Tunnel"] = "Túnel Calavermis",
	["Wyrmskull Village"] = "Poblado Calavermis",
	["X-2 Pincer"] = "Tenazario X2",
	Xavian = "Xavian",
	Ymirheim = "Ymirheim",
	["Ymiron's Seat"] = "Trono de Ymiron",
	["Yojamba Isle"] = "Isla Yojamba",
	["Yowler's Den"] = "Cubil de Ululante",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Grave"] = "Tumba de Zaetar",
	["Zalashji's Den"] = "Guarida de Zalashji",
	["Zalazane's Fall"] = "Caída de Zalazane",
	["Zane's Eye Crater"] = "Cráter del Ojo de Zane",
	["Zangar Ridge"] = "Loma de Zangar",
	Zangarmarsh = "Marisma de Zangar",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zeppelin Crash"] = "Zepelín Caído",
	Zeramas = "Zeramas",
	["Zeth'Gor"] = "Zeth'Gor",
	["Ziata'jai Ruins"] = "Ruinas de Ziata'jai",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Guarida de Zim'bo",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Bastión de Zol'Maz",
	["Zoram'gar Outpost"] = "Avanzada de Zoram'gar",
	["Zul'Aman"] = "Zul'Aman",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Entrada de Zul'Farrak",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Ruinas Zuuldaia",
}

elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "Campamento base de la Séptima Legión",
	["7th Legion Front"] = "Frente de la Séptima Legión",
	["7th Legion Submarine"] = "Submarino de la Séptima Legión",
	["A Hero's Welcome"] = "La Bienvenida de un Héroe",
	["Abandoned Armory"] = "Armería Abandonada",
	["Abandoned Camp"] = "Campamento Abandonado",
	["Abandoned Mine"] = "Mina Abandonada",
	["Abandoned Reef"] = "Arrecife Abandonado",
	["Abyssal Breach"] = "Brecha Abisal",
	["Abyssal Depths"] = "Profundidades Abisales",
	["Abyssal Halls"] = "Cámaras Abisales",
	["Abyssal Maw"] = "Fauce Abisal",
	["Abyssal Maw Exterior"] = "Fauce Abisal Exterior",
	["Abyssal Sands"] = "Arenas Abisales",
	["Abyssion's Lair"] = "Guarida de Abismion",
	["Access Shaft Zeon"] = "Eje de Acceso Zeon",
	["Acherus: The Ebon Hold"] = "Acherus: El Bastión de Ébano",
	["Addle's Stead"] = "Granja de Addle",
	["Aderic's Repose"] = "Reposo de Aderic",
	["Aerie Peak"] = "Pico Nidal",
	["Aeris Landing"] = "Desembarco Aeris",
	["Agamand Family Crypt"] = "Cripta de la Familia Agamand",
	["Agamand Mills"] = "Molinos de Agamand",
	["Agmar's Hammer"] = "Martillo de Agmar",
	["Agmond's End"] = "El Final de Agmond",
	["Agol'watha"] = "Agol'watha",
	["Ahn Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj"] = "Ahn'Qiraj",
	["Ahn'Qiraj Temple"] = "Templo de Ahn'Qiraj",
	["Ahn'Qiraj Terrace"] = "Bancal de Ahn'Qiraj",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ahn'Qiraj: El Reino Caído",
	["Ahn'kahet: The Old Kingdom"] = "Ahn'kahet: El Antiguo Reino",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Ahn'kahet: Entrada de El Antiguo Reino",
	["Akhenet Fields"] = "Campos de Akhenet",
	["Aku'mai's Lair"] = "Guarida de Aku'mai",
	["Alabaster Shelf"] = "Saliente Alabastro",
	["Alcaz Island"] = "Isla de Alcaz",
	["Aldor Rise"] = "Alto Aldor",
	Aldrassil = "Aldrassil",
	["Aldur'thar: The Desolation Gate"] = "Aldur'thar: La Puerta de la Desolación",
	["Alexston Farmstead"] = "Hacienda de Alexston",
	["Algaz Gate"] = "Puerta de Algaz",
	["Algaz Station"] = "Estación de Algaz",
	["All That Glitters Prospecting Co."] = "Prospección Todo lo Que Brilla y Cía.",
	["Allen Farmstead"] = "Hacienda de Allen",
	["Allerian Post"] = "Puesto Allerian",
	["Allerian Stronghold"] = "Bastión Allerian",
	["Alliance Base"] = "Base de la Alianza",
	["Alliance Beachhead"] = "Desembarco de la Alianza",
	["Alliance Keep"] = "Fortaleza de la Alianza",
	["Alliance Mercenary Ship to Vashj'ir"] = "Barco mercenario de la Alianza a Vashj'ir",
	["Alliance PVP Barracks"] = "Cuartel JcJ de la Alianza",
	["Alonsus Chapel"] = "Capilla de Alonsus",
	["Altar of Ascension"] = "Altar de la Ascensión",
	["Altar of Har'koa"] = "Altar de Har'koa",
	["Altar of Mam'toth"] = "Altar de Mam'toth",
	["Altar of Quetz'lun"] = "Altar de Quetz'lun",
	["Altar of Rhunok"] = "Altar de Rhunok",
	["Altar of Sha'tar"] = "Altar de Sha'tar",
	["Altar of Sseratus"] = "Altar de Sseratus",
	["Altar of Storms"] = "Altar de la Tempestad",
	["Altar of Twilight"] = "Altar del Crepúsculo",
	["Altar of the Blood God"] = "Altar del Dios de la Sangre",
	["Alterac Mountains"] = "Montañas de Alterac",
	["Alterac Valley"] = "Valle de Alterac",
	["Alther's Mill"] = "Molino de Alther",
	["Amani Catacombs"] = "Catacumbas Amani",
	["Amani Mountains"] = "Montañas Amani",
	["Amani Pass"] = "Paso de Amani",
	["Amber Ledge"] = "El Saliente Ámbar",
	Ambermill = "Molino Ámbar",
	["Amberpine Lodge"] = "Refugio Pino Ámbar",
	["Ambershard Cavern"] = "Cueva Ambarina",
	["Amberstill Ranch"] = "Granja de Semperámbar",
	["Amberweb Pass"] = "Paso de Redámbar",
	["Ameth'Aran"] = "Ameth'Aran",
	["Ammen Fields"] = "Campos Ammen",
	["Ammen Ford"] = "Vado Ammen",
	["Ammen Vale"] = "Valle Ammen",
	["Amphitheater of Anguish"] = "Anfiteatro de la Angustia",
	["Ampitheater of Anguish"] = "Anfiteatro de la Angustia",
	["An'daroth"] = "An'daroth",
	["An'owyn"] = "An'owyn",
	["An'telas"] = "An'telas",
	["Ancestral Grounds"] = "Tierras Ancestrales",
	["Ancient Zul'Gurub"] = "Antiguo Zul'Gurub",
	["Andilien Estate"] = "Dominios Andilien",
	Andorhal = "Andorhal",
	Andruk = "Andruk",
	["Angerfang Encampment"] = "Campamento Dentellada",
	["Ango'rosh Grounds"] = "Dominios Ango'rosh",
	["Ango'rosh Stronghold"] = "Bastión Ango'rosh",
	["Angor Fortress"] = "Fortaleza de Angor",
	["Angrathar the Wrath Gate"] = "Angrathar la Puerta de Cólera",
	["Angrathar the Wrathgate"] = "Angrathar la Puerta de Cólera",
	["Antonidas Memorial"] = "Monumento de Antonidas",
	["Anvil of Conflagration"] = "Yunque de Conflagración",
	Anvilmar = "Yunquemar",
	["Apex Point"] = "La Cúspide",
	["Apocryphan's Rest"] = "Descanso de Apócrifo",
	["Apothecary Camp"] = "Campamento de los Boticarios",
	["Arathi Basin"] = "Cuenca de Arathi",
	["Arathi Highlands"] = "Tierras Altas de Arathi",
	["Arcane Pinnacle"] = "Pináculo Arcano",
	["Archmage Vargoth's Retreat"] = "Reposo del Archimago Vargoth",
	["Area 52"] = "Área 52",
	["Arena Floor"] = "El Suelo de la Arena",
	["Argent Pavilion"] = "Pabellón Argenta",
	["Argent Stand"] = "El Confín Argenta",
	["Argent Tournament Grounds"] = "Campos del Torneo Argenta",
	["Argent Vanguard"] = "Vanguardia Argenta",
	["Ariden's Camp"] = "Campamento de Ariden",
	["Arikara's Needle"] = "Aguja de Arikara",
	["Arklon Ruins"] = "Ruinas Arklon",
	["Arklonis Ridge"] = "Cresta Arklonis",
	["Arriga Footbridge"] = "Pasarela de Arriga",
	["Arsad Trade Post"] = "Puesto Comercial de Arsad",
	["Ascendant's Rise"] = "Alto del Ascendiente",
	["Ashen Fields"] = "Campos Cinéreos",
	["Ashen Lake"] = "Lago Cinéreo",
	Ashenvale = "Vallefresno",
	["Ashwood Lake"] = "Lago Fresno",
	["Ashwood Post"] = "Puesto Fresno",
	["Aspen Grove Post"] = "Puesto de la Alameda",
	Astranaar = "Astranaar",
	["Ata'mal Terrace"] = "Bancal de Ata'mal",
	Athenaeum = "El Athenaeum",
	["Atulhet's Tomb"] = "Tumba de Atulhet",
	["Auberdine Refugee Camp"] = "Campamento de refugiados de Auberdine",
	["Auchenai Crypts"] = "Criptas Auchenai",
	["Auchenai Grounds"] = "Tierras Auchenai",
	Auchindoun = "Auchindoun",
	["Auchindoun - Auchenai Crypts Entrance"] = "Auchindoun - Entrada de las Criptas Auchenai",
	["Auchindoun - Mana-Tombs Entrance"] = "Auchindoun - Entrada de las Tumbas de Maná",
	["Auchindoun - Sethekk Halls Entrance"] = "Auchindoun - Entrada de las Salas Sethekk",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Auchindoun - Entrada del Laberinto de las Sombras",
	["Auchindoun: Auchenai Crypts"] = "Auchindoun: Criptas Auchenai",
	["Auchindoun: Mana-Tombs"] = "Auchindoun: Tumbas de Maná",
	["Auchindoun: Sethekk Halls"] = "Auchindoun: Salas Sethekk",
	["Auchindoun: Shadow Labyrinth"] = "Auchindoun: Laberinto de las Sombras",
	["Auren Falls"] = "Cascadas Auren",
	["Auren Ridge"] = "Cresta Auren",
	["Avalanchion's Vault"] = "Cámara de Avalanchion",
	Aviary = "El Aviario",
	["Axis of Alignment"] = "Eje de Alineación",
	Axxarien = "Axxarien",
	["Azjol-Nerub"] = "Azjol-Nerub",
	["Azjol-Nerub Entrance"] = "Entrada de Azjol-Nerub",
	Azshara = "Azshara",
	["Azshara Crater"] = "Cráter de Azshara",
	["Azure Dragonshrine"] = "Santuario de Dragones Azur",
	["Azure Watch"] = "Avanzada Azur",
	["Azurebreeze Coast"] = "Costa Bris Azur",
	["Azurelode Mine"] = "Mina Azur",
	["Azuremyst Isle"] = "Isla Bruma Azur",
	Badlands = "Tierras Inhóspitas",
	["Bael Modan"] = "Bael Modan",
	["Bael Modan Excavation"] = "Excavación de Bael Modan",
	["Bael'dun Digsite"] = "Excavación de Bael'dun",
	["Bael'dun Keep"] = "Fortaleza de Bael'dun",
	["Baelgun's Excavation Site"] = "Excavación de Baelgun",
	["Bahrum's Post"] = "Puesto de Bahrum",
	["Bal'lal Ruins"] = "Ruinas de Bal'lal",
	["Balargarde Fortress"] = "Fortaleza de Balargarde",
	Baleheim = "Baleheim",
	["Balejar Watch"] = "Avanzada Balejar",
	["Balia'mah Ruins"] = "Ruinas de Balia'mah",
	["Balnir Farmstead"] = "Hacienda Balnir",
	Bambala = "Bambala",
	["Ban'Thallow Barrow Den"] = "Túmulo de Ban'Thallow",
	["Ban'ethil Barrow Den"] = "Túmulo de Ban'ethil",
	["Ban'ethil Barrow Descent"] = "Descenso del Túmulo de Ban'ethil",
	["Ban'ethil Hollow"] = "Hondonada Ban'ethil",
	["Band of Acceleration"] = "Anillo de Aceleración",
	["Band of Alignment"] = "Anillo de Alineación",
	["Band of Transmutation"] = "Anillo de Transmutación",
	["Band of Variance"] = "Anillo de Discrepancia",
	Bank = "Banco",
	["Baradin Base Camp"] = "Campamento de Baradin",
	["Baradin Bay"] = "Bahía de Baradin",
	["Baradin Hold"] = "Bastión de Baradin",
	Barbershop = "Peluquería",
	["Barov Family Vault"] = "Cripta de la Familia Barov",
	["Bash'ir Landing"] = "Alto Bash'ir",
	["Bashal'Aran"] = "Bashal'Aran",
	["Bashal'Aran Collapse"] = "Ocaso de Bashal'Aran",
	["Bastion Antechamber"] = "Antecámara del Bastión",
	["Bathran's Haunt"] = "Ruinas de Bathran",
	["Battle Ring"] = "Liza",
	Battlescar = "Marca de Guerra",
	["Battlescar Spire"] = "Cumbre Marca de Guerra",
	["Battlescar Valley"] = "Valle Marca de Guerra",
	["Bay of Storms"] = "Bahía de la Tempestad",
	["Bear's Head"] = "Cabeza de Oso",
	["Beauty's Lair"] = "Guarida de Bella",
	["Beezil's Wreck"] = "Siniestro de Beezil",
	["Befouled Terrace"] = "Bancal Infecto",
	["Beggar's Haunt"] = "Refugio de los Mendigos",
	["Beneath The Double Rainbow"] = "Debajo del Arco Iris Doble",
	["Beren's Peril"] = "El Desafío de Beren",
	["Bernau's Happy Fun Land"] = "El Maravilloso Mundo de Bernau",
	["Beryl Coast"] = "Costa de Berilo",
	["Beryl Egress"] = "Egreso de Berilo",
	["Beryl Point"] = "Alto de Berilo",
	["Beth'mora Ridge"] = "Cresta de Beth'mora",
	["Beth'tilac's Lair"] = "Guarida de Beth'tilac",
	["Biel'aran Ridge"] = "Cresta de Biel'aran",
	["Bilgewater Harbor"] = "Muelle Pantoque",
	["Bilgewater Lumber Yard"] = "Almacén de Madera Pantoque",
	["Bilgewater Port"] = "Puerto Pantoque",
	["Bitter Reaches"] = "Costa Amarga",
	["Bittertide Lake"] = "Lago Olamarga",
	["Black Channel Marsh"] = "Pantano del Canal Negro",
	["Black Drake Roost"] = "Nidal del Draco Negro",
	["Black Temple"] = "El Templo Oscuro",
	["Black Tooth Hovel"] = "Cobertizo Diente Negro",
	["Blackchar Cave"] = "Cueva Tizonegro",
	["Blackfathom Camp"] = "Campamento Brazanegra",
	["Blackfathom Deeps"] = "Cavernas de Brazanegra",
	["Blackfathom Deeps Entrance"] = "Entrada de las Cavernas de Brazanegra",
	["Blackhoof Village"] = "Poblado Pezuñanegra",
	["Blackhorn's Penance"] = "Penitencia de Cuerno Negro",
	["Blackmaw Hold"] = "Bastión Faucenegra",
	["Blackriver Logging Camp"] = "Aserradero Río Negro",
	["Blackrock Caverns"] = "Cavernas de Roca Negra",
	["Blackrock Caverns Entrance"] = "Entrada de las Cavernas Roca Negra",
	["Blackrock Depths"] = "Profundidades de Roca Negra",
	["Blackrock Depths Entrance"] = "Entrada de las Profundidades de Roca Negra",
	["Blackrock Mountain"] = "Montaña Roca Negra",
	["Blackrock Pass"] = "Desfiladero de Roca Negra",
	["Blackrock Spire"] = "Cumbre de Roca Negra",
	["Blackrock Spire Entrance"] = "Entrada de la Cumbre de Roca Negra",
	["Blackrock Stadium"] = "Estadio de Roca Negra",
	["Blackrock Stronghold"] = "Bastión de Roca Negra",
	["Blacksilt Shore"] = "Costa Cienonegro",
	Blacksmith = "Herrería",
	["Blackstone Span"] = "Tramo Piedranegra",
	Blackwatch = "La Guardia Negra",
	["Blackwater Cove"] = "Cala Aguasnegras",
	["Blackwater Shipwrecks"] = "Naufragios de Aguasnegras",
	["Blackwind Lake"] = "Lago Vientonegro",
	["Blackwind Landing"] = "Alto de los Vientonegro",
	["Blackwind Valley"] = "Valle Vientonegro",
	["Blackwing Coven"] = "Aquelarre Alanegra",
	["Blackwing Descent"] = "Descenso de Alanegra",
	["Blackwing Lair"] = "Guarida de Alanegra",
	["Blackwolf River"] = "Río Lobonegro",
	["Blackwood Camp"] = "Campamento del Bosque Negro",
	["Blackwood Den"] = "Cubil del Bosque Negro",
	["Blackwood Lake"] = "Lago del Bosque Negro",
	["Blade Tooth Canyon"] = "Cañón Dientespada",
	["Blade's Edge Arena"] = "Arena Filospada",
	["Blade's Edge Mountains"] = "Montañas Filospada",
	["Bladed Gulch"] = "Barranco del Filo",
	["Bladefist Bay"] = "Bahía de Garrafilada",
	["Blades & Axes"] = "Espadas y Hachas",
	["Blades' Run"] = "Camino de las Espadas",
	["Bladespire Grounds"] = "Dominios Aguja del Filo",
	["Bladespire Hold"] = "Bastión Aguja del Filo",
	["Bladespire Outpost"] = "Avanzada Aguja del Filo",
	Bladewood = "Bosquespada",
	["Blasted Lands"] = "Las Tierras Devastadas",
	["Bleeding Hollow Ruins"] = "Ruinas Foso Sangrante",
	["Bleeding Vale"] = "Vega Sangrante",
	["Bleeding Ziggurat"] = "Zigurat Sangrante",
	["Blistering Pool"] = "Poza Virulenta",
	["Blood Elf Tower"] = "Torre de los Elfos de Sangre",
	["Blood Watch"] = "Avanzada de Sangre",
	["Bloodcurse Isle"] = "Isla Sangre Maldita",
	["Bloodfen Burrow"] = "Madriguera de los Cienorrojo",
	Bloodgulch = "Garganta de Sangre",
	["Bloodhoof Village"] = "Poblado Pezuña de Sangre",
	["Bloodmaul Camp"] = "Campamento Machacasangre",
	["Bloodmaul Outpost"] = "Avanzada Machacasangre",
	["Bloodmaul Ravine"] = "Barranco Machacasangre",
	["Bloodmoon Isle"] = "Isla Luna de Sangre",
	["Bloodmyst Isle"] = "Isla Bruma de Sangre",
	["Bloodscale Enclave"] = "Enclave Escamas de Sangre",
	["Bloodscale Grounds"] = "Tierras Escamas de Sangre",
	["Bloodspore Plains"] = "Llanuras Sanguiespora",
	["Bloodtalon Shore"] = "Costa Garrasangre",
	["Bloodtooth Camp"] = "Asentamiento Sangradientes",
	["Bloodvenom Falls"] = "Cascadas del Veneno",
	["Bloodvenom Post"] = "Puesto del Veneno",
	["Bloodvenom River"] = "Río del Veneno",
	["Bloodwash Cavern"] = "Cueva de La Playa de Sangre",
	["Bloodwash Fighting Pits"] = "Fosos de lucha de La Playa de Sangre",
	["Bloodwash Shrine"] = "Santuario de La Playa de Sangre",
	["Bloodwatcher Point"] = "Paso de Mirasangre",
	["Blue Sky Logging Grounds"] = "Aserradero Cielo Azul",
	Bluefen = "Ciénaga Azul",
	["Bluegill Marsh"] = "Pantano Branquiazul",
	["Bluff of the South Wind"] = "Cima del Viento del Sur",
	["Bogen's Ledge"] = "Arrecife de Bogen",
	Bogpaddle = "Chapaleos",
	["Boha'mu Ruins"] = "Ruinas Boha'mu",
	["Bolgan's Hole"] = "Cuenca de Bolgan",
	["Bolyun's Camp"] = "Campamento de Bolyun",
	["Bonechewer Ruins"] = "Ruinas Mascahuesos",
	["Bones of Grakkarond"] = "Huesos de Grakkarond",
	["Bonesnap's Camp"] = "Campamento Cascahueso",
	["Bootlegger Outpost"] = "Avanzada del Contrabandista",
	["Booty Bay"] = "Bahía del Botín",
	["Bor'gorok Outpost"] = "Avanzada Bor'gorok",
	["Bor's Breath"] = "Aliento de Bor",
	["Bor's Breath River"] = "Río del Aliento de Bor",
	["Bor's Fall"] = "Caída de Bor",
	["Bor's Fury"] = "La Furia de Bor",
	["Borean Tundra"] = "Tundra Boreal",
	["Borune Ruins"] = "Ruinas Borune",
	["Bough Shadow"] = "Talloumbrío",
	["Boulder Hills"] = "Colinas Pedrusco",
	["Boulder Lode Mine"] = "Mina Pedrusco",
	["Boulder'gor"] = "Roca'gor",
	["Boulder'mok"] = "Peña'mok",
	["Bouldercrag's Refuge"] = "Refugio de Pedruscón",
	["Boulderfist Hall"] = "Sala Puño de Roca",
	["Boulderfist Outpost"] = "Avanzada Puño de Roca",
	["Boulderslide Cavern"] = "Cueva del Alud",
	["Boulderslide Ravine"] = "Barranco del Alud",
	["Brackenwall Village"] = "Poblado Murohelecho",
	["Brackwell Pumpkin Patch"] = "Plantación de Calabazas de Brackwell",
	["Brambleblade Ravine"] = "Barranco Cortazarza",
	Bramblescar = "Rajazarza",
	["Brann's Base-Camp"] = "Campamento base de Brann",
	["Brashtide Attack Fleet"] = "Flota de Asalto Fuertemarea",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Flota de Asalto Fuertemarea (Fuerzas de exterior)",
	["Brave Wind Mesa"] = "Mesa de Viento Bravo",
	["Brazie Farmstead"] = "Granja de Brazie",
	["Brewnall Village"] = "Las Birras",
	["Bridge of Souls"] = "Puente de las Almas",
	["Brightwater Lake"] = "Lago Aguasclaras",
	["Brightwood Grove"] = "Arboleda del Destello",
	Brill = "Rémol",
	["Brill Town Hall"] = "Concejo de Rémol",
	["Bristlelimb Enclave"] = "Enclave Brazolanudo",
	["Bristlelimb Village"] = "Aldea Brazolanudo",
	["Broken Commons"] = "Ágora",
	["Broken Hill"] = "Cerro Tábido",
	["Broken Pillar"] = "Pilar Partido",
	["Broken Spear Village"] = "Aldea Lanza Partida",
	["Broken Wilds"] = "Landas Tábidas",
	["Bronze Dragonshrine"] = "Santuario de Dragones Bronce",
	["Bronzebeard Encampment"] = "Campamento Barbabronce",
	["Browman Mill"] = "Molino Cejifrente",
	["Brunnhildar Village"] = "Poblado Brunnhildar",
	["Bucklebree Farm"] = "La granja de Bucklebree",
	["Budd's Dig"] = "Excavación de Budd",
	["Burning Blade Coven"] = "Aquelarre del Filo Ardiente",
	["Burning Blade Ruins"] = "Ruinas Filo Ardiente",
	["Burning Steppes"] = "Las Estepas Ardientes",
	["Butcher's Stand"] = "Puesto de Carnicero",
	["Caer Darrow"] = "Castel Darrow",
	["Caldemere Lake"] = "Lago Caldemere",
	["Calston Estate"] = "Dominios de Calston",
	["Camp Aparaje"] = "Campamento Aparaje",
	["Camp Ataya"] = "Campamento Ataya",
	["Camp Boff"] = "Asentamiento Boff",
	["Camp Cagg"] = "Asentamiento Cagg",
	["Camp E'thok"] = "Campamento E'thok",
	["Camp Everstill"] = "Campamento Sempiterno",
	["Camp Kosh"] = "Asentamiento Kosh",
	["Camp Mojache"] = "Campamento Mojache",
	["Camp Mojache Longhouse"] = "Casa Comunal del Campamento Mojache",
	["Camp Narache"] = "Campamento Narache",
	["Camp Onequah"] = "Campamento Oneqwah",
	["Camp Oneqwah"] = "Campamento Oneqwah",
	["Camp Sungraze"] = "Campamento Rasguño de Sol",
	["Camp Tunka'lo"] = "Campamento Tunka'lo",
	["Camp Una'fe"] = "Campamento Una'fe",
	["Camp Winterhoof"] = "Campamento Pezuña Invernal",
	["Camp Wurg"] = "Asentamiento Wurg",
	["Camp of Boom"] = "Campamento de Bum",
	Canals = "Canales",
	["Cannon's Inferno"] = "Infierno de Cannon",
	["Cantrips & Crows"] = "Taberna de los Cuervos",
	["Cape of Lost Hope"] = "Cabo de la Esperanza Perdida",
	["Cape of Stranglethorn"] = "El Cabo de Tuercespina",
	["Capital Gardens"] = "Jardines de la Capital",
	["Carrion Hill"] = "Colina Carroña",
	["Cartier & Co. Fine Jewelry"] = "Joyería Fina Cartier y Cía.",
	Cataclysm = "Cataclysm",
	["Cathedral Quarter"] = "Barrio de la Catedral",
	["Cathedral Square"] = "Plaza de la Catedral",
	["Cathedral of Darkness"] = "Catedral de la Oscuridad",
	["Cathedral of Light"] = "Catedral de la Luz",
	["Cauldros Isle"] = "Isla Caldros",
	["Cave of Mam'toth"] = "Cueva de Mam'toth",
	["Cavern of Mists"] = "Caverna Vaharada",
	["Caverns of Time"] = "Cavernas del Tiempo",
	["Celestial Ridge"] = "Cresta Celestial",
	["Cenarion Enclave"] = "Enclave Cenarion",
	["Cenarion Hold"] = "Fuerte Cenarion",
	["Cenarion Post"] = "Puesto Cenarion",
	["Cenarion Refuge"] = "Refugio Cenarion",
	["Cenarion Thicket"] = "Matorral Cenarion",
	["Cenarion Watchpost"] = "Puesto de Vigilancia Cenarion",
	["Cenarion Wildlands"] = "Tierras Vírgenes Cenarion",
	["Central Bridge"] = "Puente Central",
	["Chamber of Ancient Relics"] = "Cámara de Reliquias Antiguas",
	["Chamber of Atonement"] = "Cámara Expiatoria",
	["Chamber of Battle"] = "Sala de la Batalla",
	["Chamber of Blood"] = "Cámara Sangrienta",
	["Chamber of Command"] = "Cámara de Mando",
	["Chamber of Enchantment"] = "Cámara del Encantamiento",
	["Chamber of Fanatics"] = "Cámara de los Fanáticos",
	["Chamber of Incineration"] = "Cámara de Incineración",
	["Chamber of Prophecy"] = "Sala de la Profecía",
	["Chamber of Respite"] = "Cámara del Descanso",
	["Chamber of Summoning"] = "Cámara de la Invocación",
	["Chamber of the Aspects"] = "Cámara de los Aspectos",
	["Chamber of the Dreamer"] = "Cámara de los Sueños",
	["Chamber of the Moon"] = "Cámara de la Luna",
	["Chamber of the Restless"] = "Cámara de los Sin Sosiego",
	["Chamber of the Stars"] = "Cámara de las Estrellas",
	["Chamber of the Sun"] = "Cámara del Sol",
	["Champion's Hall"] = "Sala de los Campeones",
	["Champions' Hall"] = "Sala de los Campeones",
	["Chapel Gardens"] = "Jardines de la Capilla",
	["Chapel Yard"] = "Patio de la Capilla",
	["Chapel of the Crimson Flame"] = "Capilla de la Llama Carmesí",
	["Charred Outpost"] = "Avanzada Carbonizada",
	["Charred Rise"] = "Alto Carbonizado",
	["Chill Breeze Valley"] = "Valle Escalofrío",
	["Chillmere Coast"] = "Costafría",
	["Chillwind Camp"] = "Campamento del Orvallo",
	["Chillwind Point"] = "Alto del Orvallo",
	Chiselgrip = "Cincelada",
	["Churning Gulch"] = "Garganta Bulliciosa",
	["Circle of Blood"] = "Anillo de Sangre",
	["Circle of Blood Arena"] = "Arena del Anillo de Sangre",
	["Circle of East Binding"] = "Círculo de Vínculo Este",
	["Circle of Inner Binding"] = "Círculo de Vínculo Interior",
	["Circle of Outer Binding"] = "Círculo de Vínculo Exterior",
	["Circle of Thorns"] = "Círculo de Espinas",
	["Circle of West Binding"] = "Círculo de Vínculo Oeste",
	["Circle of Wills"] = "Círculo de Voluntades",
	City = "Ciudad",
	["City of Ironforge"] = "Ciudad de Forjaz",
	["Clan Watch"] = "Avanzada del Clan",
	["Cleft of Shadow"] = "Circo de las Sombras",
	["Cliffspring Falls"] = "Salto de Fonroca",
	["Cliffspring Hollow"] = "Cuenca Fonroca",
	["Cliffspring River"] = "Río Fonroca",
	["Cliffwalker Post"] = "Puesto Caminarrisco",
	["Cloudtop Terrace"] = "Bancal Altonube",
	["Coast of Echoes"] = "Costa de los Ecos",
	["Coast of Idols"] = "Costa de los Ídolos",
	["Coilfang - The Slave Pens Entrance"] = "Colmillo Torcido: Entrada del Recinto de los Esclavos",
	["Coilfang - The Steamvault Entrance"] = "Colmillo Torcido: Entrada de La Cámara de Vapor",
	["Coilfang - The Underbog Entrance"] = "Colmillo Torcido: Entrada de La Sotiénaga",
	["Coilfang Reservoir"] = "Reserva Colmillo Torcido",
	["Coilfang: Serpentshrine Cavern"] = "Reserva Colmillo Torcido: Caverna Santuario Serpiente",
	["Coilfang: The Slave Pens"] = "Colmillo Torcido: Recinto de los Esclavos",
	["Coilfang: The Steamvault"] = "Colmillo Torcido: Cámara de Vapor",
	["Coilfang: The Underbog"] = "Colmillo Torcido: La Sotiénaga",
	["Coilskar Cistern"] = "Cisterna Cicatriz Espiral",
	["Coilskar Point"] = "Alto Cicatriz Espiral",
	["Cold Hearth Manor"] = "Mansión Fríogar",
	Coldarra = "Gelidar",
	["Coldarra Ledge"] = "Saliente de Gelidar",
	["Coldridge Pass"] = "Desfiladero de Crestanevada",
	["Coldridge Valley"] = "Valle de Crestanevada",
	["Coldrock Quarry"] = "Cantera Frioescollo",
	["Coldtooth Mine"] = "Mina Dentefrío",
	["Coldwind Heights"] = "Altos Viento Helado",
	["Coldwind Pass"] = "Pasaje Viento Helado",
	["Collin's Test"] = "Collin's Test",
	["Command Center"] = "Centro de Mando",
	["Commons Hall"] = "Cámara del Pueblo",
	["Condemned Halls"] = "Salas Condenadas",
	["Conquest Hold"] = "Bastión de la Conquista",
	["Containment Core"] = "Pabellón de Aislamiento",
	["Cooper Residence"] = "La Residencia Cooper",
	["Coral Garden"] = "Jardín de Coral",
	["Cordell's Enchanting"] = "Encantamientos de Cordell",
	["Corin's Crossing"] = "Cruce de Corin",
	["Corp'rethar: The Horror Gate"] = "Corp'rethar: La Puerta del Horror",
	["Corrahn's Dagger"] = "Daga de Corrahn",
	Cosmowrench = "Cosmotirón",
	["Court of the Highborne"] = "Corte de los Altonato",
	["Court of the Sun"] = "La Corte del Sol",
	["Courtyard of the Ancients"] = "Patio de los Ancestros",
	["Cradle of the Ancients"] = "Cuna de los Ancestros",
	["Craftsmen's Terrace"] = "Bancal del Artesano",
	["Crag of the Everliving"] = "Risco de los Eternos",
	["Cragpool Lake"] = "Lago del Peñasco",
	["Crash Site"] = "Lugar del Accidente",
	["Crescent Hall"] = "Sala Creciente",
	["Crimson Expanse"] = "Extensión Carmesí",
	["Crimson Watch"] = "Atalaya Carmesí",
	Crossroads = "El Cruce",
	["Crowley Orchard"] = "Huerto de Crowley",
	["Crowley Stable Grounds"] = "Tierras del Establo de Crowley",
	["Crown Guard Tower"] = "Torre de la Corona",
	["Crucible of Carnage"] = "Crisol de Matanza",
	["Crumbling Depths"] = "Profundidades Desmoronadas",
	["Crumbling Stones"] = "Rocas Desmoronadas",
	["Crusader Forward Camp"] = "Puesto de Avanzada de los Cruzados",
	["Crusader Outpost"] = "Avanzada de los Cruzados",
	["Crusader's Armory"] = "Arsenal de los Cruzados",
	["Crusader's Chapel"] = "Capilla de los Cruzados",
	["Crusader's Landing"] = "El Tramo del Cruzado",
	["Crusader's Outpost"] = "Avanzada de los Cruzados",
	["Crusader's Run"] = "Senda del Cruzado",
	["Crusader's Spire"] = "Espiral de los Cruzados",
	["Crusaders' Pinnacle"] = "Pináculo de los Cruzados",
	["Crusaders' Square"] = "Plaza de los Cruzados",
	Crushblow = "Machacolpe",
	["Crushcog's Arsenal"] = "Arsenal de Prensadiente",
	["Crushridge Hold"] = "Dominios de los Aplastacresta",
	Crypt = "Cripta",
	["Crypt of Remembrance"] = "Cripta de los Recuerdos",
	["Crystal Lake"] = "Lago de Cristal",
	["Crystal Spine"] = "Espina de Cristal",
	["Crystalline Quarry"] = "Cantera Cristalina",
	["Crystalsong Forest"] = "Bosque Canto de Cristal",
	["Crystalvein Mine"] = "Mina de Cristal",
	["Crystalweb Cavern"] = "Caverna Red de Cristal",
	["Curiosities & Moore"] = "Curiosidades y Más",
	["Cursed Depths"] = "Profundidades Malditas",
	["Cursed Hollow"] = "Hoya Maldita",
	["Cut-Throat Alley"] = "Callejón Degolladores",
	["Cyclone Summit"] = "Cima del Ciclón",
	["D-Block"] = "Bloque D",
	["D.E.H.T.A. Encampment"] = "Campamento D.E.H.T.A.",
	["Dabyrie's Farmstead"] = "Granja de Dabyrie",
	["Dagger Pass"] = "Paso de la Daga",
	["Daggercap Bay"] = "Bahía Cubredaga",
	["Daggerfen Village"] = "Aldea Dagapantano",
	["Daggermaw Canyon"] = "Cañón Faucedaga",
	Dalaran = "Dalaran",
	["Dalaran Arena"] = "Arena de Dalaran",
	["Dalaran City"] = "Ciudad de Dalaran",
	["Dalaran Crater"] = "Cráter de Dalaran",
	["Dalaran Floating Rocks"] = "Rocas Flotantes de Dalaran",
	["Dalaran Island"] = "Isla de Dalaran",
	["Dalaran Merchant's Bank"] = "Banco de Mercaderes de Dalaran",
	["Dalaran Sewers"] = "Cloacas de Dalaran",
	["Dalaran Visitor Center"] = "Centro de Visitantes de Dalaran",
	["Dalson's Farm"] = "Granja de Dalson",
	["Damplight Cavern"] = "Caverna Luzúmida",
	["Damplight Chamber"] = "Cámara Luzúmida",
	["Dandred's Fold"] = "Redil de Dandred",
	["Dargath's Demise"] = "Óbito de Dargath",
	["Dark Iron Highway"] = "Ruta Hierro Negro",
	["Darkbreak Cove"] = "Cala de Rompeocaso",
	["Darkcloud Pinnacle"] = "Cumbre de la Nube Negra",
	["Darkcrest Enclave"] = "Enclave Cresta Oscura",
	["Darkcrest Shore"] = "Playa Crestanegra",
	["Darkmist Cavern"] = "Cueva Niebla Negra",
	["Darkmist Ruins"] = "Ruinas Niebla Negra",
	Darkshire = "Villa Oscura",
	["Darkshire Town Hall"] = "Concejo de Villa Oscura",
	Darkshore = "Costa Oscura",
	["Darkspear Hold"] = "Bastión Lanza Negra",
	["Darkspear Isle"] = "Isla Lanza Negra",
	["Darkspear Shore"] = "Costa Lanza Negra",
	["Darkspear Strand"] = "Playa Lanza Negra",
	["Darkspear Training Grounds"] = "Campo de Entrenamiento Lanza Negra",
	["Darkwhisper Gorge"] = "Garganta Negro Rumor",
	["Darkwhisper Pass"] = "Paso Negro Rumor",
	["Darnassian Base Camp"] = "Campamento Base Darnassiano",
	Darnassus = "Darnassus",
	["Darrow Hill"] = "Colinas de Darrow",
	["Darrowmere Lake"] = "Lago Darrowmere",
	Darrowshire = "Villa Darrow",
	["Darrowshire Hunting Grounds"] = "Terrenos de caza de Villa Darrow",
	["Darsok's Outpost"] = "Avanzada de Darsok",
	["Dawn's Reach"] = "Tramo del Alba",
	["Dawning Lane"] = "Calle del Alba",
	["Dawning Wood Catacombs"] = "Catacumbas del Bosque Aurora",
	["Dawnrise Expedition"] = "Expedición Alzalba",
	["Dawnstar Spire"] = "Aguja de la Estrella del Alba",
	["Dawnstar Village"] = "Poblado Estrella del Alba",
	["Dead Man's Hole"] = "El Agujero del Muerto",
	["Deadeye Shore"] = "Costa de Mortojo",
	["Deadman's Crossing"] = "Cruce de la Muerte",
	Deadmines = "Minas de la Muerte",
	["Deadwind Pass"] = "Paso de la Muerte",
	["Deadwind Ravine"] = "Barranco de la Muerte",
	["Deadwood Village"] = "Aldea Muertobosque",
	["Death Cultist Base Camp"] = "Campamento Cultor de la Muerte",
	["Death's Breach"] = "Brecha de la Muerte",
	["Death's Door"] = "Puerta de la Muerte",
	["Death's Hand Encampment"] = "Campamento Mano de la Muerte",
	["Death's Rise"] = "Ascenso de la Muerte",
	["Death's Stand"] = "Confín de la Muerte",
	["Death's Step"] = "Grada de la Muerte",
	["Death's Watch Waystation"] = "Apeadero del Ocelo de la Muerte",
	["Deathbringer's Rise"] = "Alto del Libramorte",
	["Deathforge Tower"] = "Torre de la Forja Muerta",
	Deathknell = "Camposanto",
	Deatholme = "Ciudad de la Muerte",
	["Deathspeaker's Watch"] = "Avanzada del Portavoz de la Muerte",
	["Deathwing's Fall"] = "Caída de Alamuerte",
	["Deep Blue Observatory"] = "Observatorio Azul Profundo",
	["Deep Elem Mine"] = "Mina de Elem",
	["Deepfin Ridge"] = "Cresta de Aleta Profunda",
	Deepholm = "Infralar",
	["Deephome Ceiling"] = "Bóveda de Infralar",
	["Deepmist Grotto"] = "Gruta Brumadensa",
	["Deeprun Tram"] = "Tranvía Subterráneo",
	["Deepwater Tavern"] = "Mesón Aguahonda",
	["Defias Hideout"] = "Ladronera de los Defias",
	["Defiler's Den"] = "Guarida de los Rapiñadores",
	["Demon Fall Canyon"] = "Barranco del Demonio",
	["Demon Fall Ridge"] = "Cresta del Demonio",
	["Demont's Place"] = "Paraje de Demont",
	["Den of Dying"] = "Cubil de los Moribundos",
	["Den of Haal'esh"] = "Cubil de Haal'esh",
	["Den of Iniquity"] = "Cubil de Iniquidad",
	["Den of Mortal Delights"] = "Guarida de los Placeres Mortales",
	["Den of Sseratus"] = "Cubil de Sseratus",
	["Den of the Caller"] = "Cubil del Clamor",
	["Den of the Devourer"] = "Cubil del Devorador",
	["Den of the Disciples"] = "Cubil de los Discípulos",
	["Den of the Unholy"] = "Cubil de los Impuros",
	["Derelict Caravan"] = "Caravana Derelicta",
	["Derelict Manor"] = "Mansión Derelicta",
	["Derelict Strand"] = "Playa Derelicta",
	["Designer Island"] = "Isla del Diseñador",
	Desolace = "Desolace",
	["Desolation Hold"] = "Bastión de la Desolación",
	["Detention Block"] = "Bloque de Detención",
	["Development Land"] = "Territorio en desarrollo",
	["Diamondhead River"] = "Río Diamante",
	["Dig One"] = "Excavación 1",
	["Dig Three"] = "Excavación 3",
	["Dig Two"] = "Excavación 2",
	["Dire Maul"] = "La Masacre",
	["Dire Maul - Capital Gardens Entrance"] = "La Masacre: Entrada de los Jardines de la Capital",
	["Dire Maul - Gordok Commons Entrance"] = "La Masacre: Entrada del Ágora de Gordok",
	["Dire Maul - Warpwood Quarter Entrance"] = "La Masacre: Entrada del Barrio Alabeo",
	["Dire Strait"] = "Estrecho Temible",
	["Direforge Hill"] = "Cerro Fraguaferoz",
	["Direhorn Post"] = "Puesto Cuernoatroz",
	Docks = "Muelles",
	Dolanaar = "Dolanaar",
	["Donna's Kitty Shack"] = "Casa de gatitos de Donna",
	["Doom's Vigil"] = "Vigilia de la Fatalidad",
	["Dorian's Outpost"] = "Avanzada de Dorian",
	["Draco'dar"] = "Draco'dar",
	["Draenei Ruins"] = "Ruinas Draenei",
	["Draenethyst Mine"] = "Mina Draenetista",
	["Draenil'dur Village"] = "Aldea Draenil'dur",
	["Dragon's Fall"] = "Caída del Dragón",
	["Dragon's Mouth"] = "Boca del Dragón",
	Dragonblight = "Cementerio de Dragones",
	["Dragonflayer Pens"] = "Cercado de Desuelladragones",
	["Dragonmaw Base Camp"] = "Campamento Faucedraco",
	["Dragonmaw Flag Room"] = "Sala de la Bandera Faucedraco",
	["Dragonmaw Forge"] = "Forja Faucedraco",
	["Dragonmaw Fortress"] = "Fortaleza Faucedraco",
	["Dragonmaw Garrison"] = "Cuartel Faucedraco",
	["Dragonmaw Gates"] = "Puertas Faucedraco",
	["Dragonmaw Pass"] = "Paso Faucedraco",
	["Dragonmaw Port"] = "Puerto Faucedraco",
	["Dragonmaw Skyway"] = "Ruta Aérea Faucedraco",
	["Dragonmaw Stronghold"] = "Bastión Faucedraco",
	["Dragons' End"] = "Cabo del Dragón",
	["Dragonspine Peaks"] = "Cumbres Espinazo de Dragón",
	["Dragonspine Ridge"] = "Cresta Espinazo de Dragón",
	["Dragonspine Tributary"] = "Afluente del Espinazo del Dragón",
	["Dragonspire Hall"] = "Sala Dracopico",
	["Drak'Agal"] = "Drak'Agal",
	["Drak'Mabwa"] = "Drak'Mabwa",
	["Drak'Mar Lake"] = "Lago Drak'Mar",
	["Drak'Sotra"] = "Drak'Sotra",
	["Drak'Sotra Fields"] = "Campos Drak'Sotra",
	["Drak'Tharon Keep"] = "Fortaleza de Drak'Tharon",
	["Drak'Tharon Keep Entrance"] = "Entrada de la Fortaleza de Drak'Tharon",
	["Drak'Tharon Overlook"] = "Mirador de Drak'Tharon",
	["Drak'atal Passage"] = "Pasaje de Drak'atal",
	["Drak'ural"] = "Drak'ural",
	["Draka's Fury"] = "Furia de Draka",
	["Drakil'jin Ruins"] = "Ruinas de Drakil'jin",
	["Draknid Lair"] = "Guarida Dráknida",
	["Dreadmaul Furnace"] = "Horno Machacamiedo",
	["Dreadmaul Hold"] = "Bastión Machacamiedo",
	["Dreadmaul Post"] = "Puesto Machacamiedo",
	["Dreadmaul Rock"] = "Roca Machacamiedo",
	["Dreadmist Camp"] = "Campamento Calígine",
	["Dreadmist Den"] = "Cubil Calígine",
	["Dreadmist Peak"] = "Cima Calígine",
	["Dreadmurk Shore"] = "Playa Tenebruma",
	["Dreadwatch Outpost"] = "Avanzada Velaspanto",
	["Dream Bough"] = "Rama Oniria",
	["Dreamer's Rest"] = "Reposo de la Soñadora",
	["Dreamer's Rock"] = "Roca del Soñador",
	Drudgetown = "La Barriada",
	["Drygulch Ravine"] = "Barranco Árido",
	["Drywhisker Gorge"] = "Cañón Mostacho Seco",
	["Dubra'Jin"] = "Dubra'Jin",
	["Dun Algaz"] = "Dun Algaz",
	["Dun Argol"] = "Dun Argol",
	["Dun Baldar"] = "Dun Baldar",
	["Dun Baldar Pass"] = "Paso de Dun Baldar",
	["Dun Baldar Tunnel"] = "Túnel de Dun Baldar",
	["Dun Garok"] = "Dun Garok",
	["Dun Mandarr"] = "Dun Mandarr",
	["Dun Modr"] = "Dun Modr",
	["Dun Morogh"] = "Dun Morogh",
	["Dun Niffelem"] = "Dun Nifflelem",
	["Dunemaul Compound"] = "Base Machacaduna",
	["Dunemaul Recruitment Camp"] = "Campo de Reclutamiento Machacaduna",
	["Dunwald Holdout"] = "Resistencia Montocre",
	["Dunwald Hovel"] = "Cobertizo Montocre",
	["Dunwald Market Row"] = "Fila del Mercado Montocre",
	["Dunwald Ruins"] = "Ruinas Montocre",
	["Dunwald Town Square"] = "Plaza Principal Montocre",
	["Durnholde Keep"] = "Castillo de Durnholde",
	Durotar = "Durotar",
	Duskhaven = "Refugio del Ocaso",
	["Duskhowl Den"] = "Cubil Aúllaocaso",
	["Duskmist Shore"] = "Costa Noctuniebla",
	["Duskwither Grounds"] = "Tierras Ocaso Marchito",
	["Duskwither Spire"] = "Aguja Ocaso Marchito",
	Duskwood = "Bosque del Ocaso",
	["Dustbelch Grotto"] = "Gruta Rotapolvo",
	["Dustfire Valley"] = "Valle Polvofuego",
	["Dustquill Ravine"] = "Barranco Pluma Polvorienta",
	["Dustwallow Bay"] = "Bahía Revolcafango",
	["Dustwallow Marsh"] = "Marjal Revolcafango",
	["Dustwind Cave"] = "Cueva Viento Seco",
	["Dustwind Dig"] = "Excavación Viento Seco",
	["Dustwind Gulch"] = "Barranco Viento Seco",
	["Dwarven District"] = "Distrito de los Enanos",
	["Eagle's Eye"] = "Ojo de Águila",
	["Earth Song Falls"] = "Cascadas del Canto de la Tierra",
	["Earthshatter Cavern"] = "Caverna Rompetierra",
	["East Garrison"] = "Cuartel del Este",
	["East Pillar"] = "Pilar Este",
	["East Sanctum"] = "Sagrario del Este",
	["East Spire"] = "Fortín del Este",
	["East Supply Caravan"] = "Caravana de Provisiones del Este",
	["Eastern Bridge"] = "Puente Oriental",
	["Eastern Kingdoms"] = "Reinos del Este",
	["Eastern Plaguelands"] = "Tierras de la Peste del Este",
	["Eastern Strand"] = "Playa del Este",
	["Eastmoon Ruins"] = "Ruinas de Lunaeste",
	["Eastpoint Tower"] = "Torre Oriental",
	["Eastspark Workshop"] = "Taller Chispa Oriental",
	["Eastvale Logging Camp"] = "Aserradero de la Vega del Este",
	["Eastwall Gate"] = "Puerta de la Muralla del Este",
	["Eastwall Tower"] = "Torre de la Muralla del Este",
	["Eastwind Shore"] = "Playa Viento Este",
	["Ebon Hold"] = "El Bastión de Ébano",
	["Ebon Watch"] = "Puesto de Vigilancia de Ébano",
	["Echo Cove"] = "Cala del Eco",
	["Echo Isles"] = "Islas del Eco",
	["Echo Reach"] = "Risco del Eco",
	["Echo Ridge Mine"] = "Mina del Eco",
	["Echomok Cavern"] = "Cueva Echomok",
	["Eclipse Point"] = "Punta Eclipse",
	["Eclipsion Fields"] = "Campos Eclipsianos",
	["Eco-Dome Farfield"] = "Ecodomo Campolejano",
	["Eco-Dome Midrealm"] = "Ecodomo de la Tierra Media",
	["Eco-Dome Skyperch"] = "Ecodomo Altocielo",
	["Eco-Dome Sutheron"] = "Ecodomo Sutheron",
	["Elder Rise"] = "Alto de los Ancestros",
	["Elders' Square"] = "Plaza de los Ancestros",
	["Eldreth Row"] = "Pasaje de Eldreth",
	["Eldritch Heights"] = "Cumbres Fantasmales",
	["Elemental Plateau"] = "Meseta Elemental",
	["Elementium Depths"] = "Profundidades de Elementium",
	Elevator = "Elevador",
	["Elrendar Crossing"] = "Cruce Elrendar",
	["Elrendar Falls"] = "Cascadas Elrendar",
	["Elrendar River"] = "Río Elrendar",
	["Elwynn Forest"] = "Bosque de Elwynn",
	["Ember Clutch"] = "Encierro Ámbar",
	["Ember Spear Tower"] = "Torre Lanza Ámbar",
	Emberglade = "El Claro de Ascuas",
	["Emberstone Mine"] = "Mina Piedra Ígnea",
	["Emberstone Village"] = "Aldea Piedra Ígnea",
	["Emberstrife's Den"] = "Cubil de Brasaliza",
	["Emerald Dragonshrine"] = "Santuario de Dragones Esmeralda",
	["Emerald Dream"] = "Sueño Esmeralda",
	["Emerald Forest"] = "Bosque Esmeralda",
	["Emerald Sanctuary"] = "Santuario Esmeralda",
	["Engine of the Makers"] = "Motor de los Creadores",
	["Engineering Labs"] = "Laboratorios de Ingeniería",
	["Ethel Rethor"] = "Ethel Rethor",
	["Ethereum Staging Grounds"] = "Punto de Escala de El Etereum",
	["Evergreen Trading Post"] = "Puesto de Venta de Siempreverde",
	Evergrove = "Soto Eterno",
	Everlook = "Vista Eterna",
	["Eversong Woods"] = "Bosque Canción Eterna",
	["Excavation Center"] = "Centro de Excavación",
	["Excavation Lift"] = "Elevador de la Excavación",
	["Expedition Armory"] = "Armería de Expedición",
	["Expedition Base Camp"] = "Campamento Base de la Expedición",
	["Expedition Point"] = "Punta de Expedición",
	["Explorers' League Digsite"] = "Excavación de la Liga de Expedicionarios",
	["Explorers' League Outpost"] = "Avanzada de la Liga de Expedicionarios",
	["Eye of the Storm"] = "Ojo de la Tormenta",
	["Fairbreeze Village"] = "Aldea Brisa Pura",
	["Fairbridge Strand"] = "Playa Puentegrato",
	["Falcon Watch"] = "Avanzada del Halcón",
	["Falconwing Inn"] = "Posada Alalcón",
	["Falconwing Square"] = "Plaza Alalcón",
	["Faldir's Cove"] = "Cala de Faldir",
	["Falfarren River"] = "Río Falfarren",
	["Fall of Return"] = "Cascada del Retorno",
	["Fallen Sky Lake"] = "Lago Cielo Estrellado",
	["Fallen Sky Ridge"] = "Cresta Cielo Estrellado",
	["Fallen Temple of Ahn'kahet"] = "Templo Caído de Ahn'kahet",
	["Fallow Sanctuary"] = "Retiro Fangoso",
	["Fallowmere Inn"] = "Taberna de Merobarbecho",
	["Falls of Ymiron"] = "Cataratas de Ymiron",
	["Falthrien Academy"] = "Academia Falthrien",
	Familiars = "Familiares",
	["Faol's Rest"] = "Tumba de Faol",
	["Far Watch Post"] = "Avanzada del Puente",
	["Fargaze Mesa"] = "Colina de Vistalonga",
	["Fargodeep Mine"] = "Mina Abisal",
	Farm = "Granja",
	Farshire = "Lindeallá",
	["Farshire Fields"] = "Campos de Lindeallá",
	["Farshire Lighthouse"] = "Faro de Lindeallá",
	["Farshire Mine"] = "Mina de Lindeallá",
	["Farson Hold"] = "Fortaleza de Farson",
	["Farstrider Enclave"] = "Enclave del Errante",
	["Farstrider Lodge"] = "Cabaña del Errante",
	["Farstrider Retreat"] = "El Retiro del Errante",
	["Farstriders' Enclave"] = "Enclave del Errante",
	["Farstriders' Square"] = "Plaza del Errante",
	["Farwatcher's Glen"] = "Cañada del Vigiaconfines",
	["Featherbeard's Hovel"] = "Cobertizo de Barbapluma",
	Feathermoon = "Plumaluna",
	["Feathermoon Stronghold"] = "Bastión Plumaluna",
	["Fel Reaver Ruins"] = "Ruinas del Atracador Vil",
	["Fel Rock"] = "Roca Mácula",
	["Felfire Hill"] = "Cerro Lumbrevil",
	["Felpaw Village"] = "Poblado Zarpavil",
	["Felspark Ravine"] = "Barranco Llama Infernal",
	["Felstone Field"] = "Campo de Piedramácula",
	Felwood = "Frondavil",
	["Fenris Isle"] = "Isla de Fenris",
	["Fenris Keep"] = "Castillo de Fenris",
	["Feral Scar Vale"] = "Vega Cicatriz Feral",
	Feralas = "Feralas",
	["Feralfen Village"] = "Aldea Feropantano",
	["Festering Pools"] = "Pozas Purulentas",
	["Festival Lane"] = "Calle del Festival",
	["Feth's Way"] = "Camino de Feth",
	["Field of Strife"] = "Tierra de Disputa",
	["Fields of Blood"] = "Campos de Sangre",
	["Fields of Honor"] = "Campos de Honor",
	Filming = "Grabando",
	["Fire Plume Ridge"] = "Cresta del Penacho en Llamas",
	["Fire Scar Shrine"] = "Santuario de la Escara",
	["Fire Stone Mesa"] = "Mesa de La Piedra de Fuego",
	["Firebeard Cemetery"] = "Cementerio Barbafuego",
	["Firebeard's Patrol"] = "Patrulla de Barbafuego",
	["Firegut Furnace"] = "Horno Pirontraña",
	Firelands = "Tierras de Fuego",
	["Firelands Forgeworks"] = "Forja de las Tierras de Fuego",
	["Firelands Hatchery"] = "Criadero de las Tierras de Fuego",
	["Fireplume Peak"] = "Cima Pluma de Fuego",
	["Fireplume Trench"] = "Zanja de Penacho en Llamas",
	["Firestone Point"] = "Punta Piedra de Fuego",
	["Firewatch Ridge"] = "Cresta Vigía",
	["Firewing Point"] = "Alto Ala de Fuego",
	["First Bank of Kezan"] = "Primer Banco de Kezan",
	["First Legion Forward Camp"] = "Puesto de Avanzada de la Primera Legión",
	["First to Your Aid"] = "Te Auxiliamos los Primeros",
	["Fishing Village"] = "Aldea Pesquera",
	["Fizzcrank Airstrip"] = "Pista de Aterrizaje de Palanqueta",
	["Fizzcrank Pumping Station"] = "Estación de Bombeo de Palanqueta",
	["Fizzle & Pozzik's Speedbarge"] = "Barcódromo de Fizzle y Pozzik",
	["Fjorn's Anvil"] = "Yunque de Fjorn",
	["Flame Crest"] = "Peñasco Llamarada",
	Flamebreach = "Brecha Flama",
	["Flamestar Post"] = "Puesto Llamaestrella",
	["Flamewatch Tower"] = "Torre de la Guardia en Llamas",
	["Flavor - Stormwind Harbor - Stop"] = "Flavor - Stormwind Harbor - Stop",
	["Fleshrender's Workshop"] = "Taller del Sacrificador",
	["Foothold Citadel"] = "Ciudadela Garrida",
	["Footman's Armory"] = "Arsenal de los Soldados",
	["Force Interior"] = "Fuerza Interior",
	["Fordragon Hold"] = "Bastión de Fordragón",
	["Forest Song"] = "Canción del Bosque",
	["Forest's Edge"] = "Linde del bosque",
	["Forest's Edge Post"] = "Puesto Fronterizo del Bosque",
	["Forge Base: Gehenna"] = "Base Forja: Gehenna",
	["Forge Base: Oblivion"] = "Base Forja: Olvido",
	["Forge Camp: Anger"] = "Campamento Forja: Inquina",
	["Forge Camp: Fear"] = "Campamento Forja: Miedo",
	["Forge Camp: Hate"] = "Campamento Forja: Odio",
	["Forge Camp: Mageddon"] = "Campamento Forja: Mageddon",
	["Forge Camp: Rage"] = "Campamento Forja: Ira",
	["Forge Camp: Terror"] = "Campamento Forja: Terror",
	["Forge Camp: Wrath"] = "Campamento Forja: Cólera",
	["Forge of Fate"] = "Forja del Destino",
	["Forgewright's Tomb"] = "Tumba de Forjador",
	["Forgotten Hill"] = "Colina del Olvido",
	["Forlorn Cloister"] = "Claustro Inhóspito",
	["Forlorn Ridge"] = "Loma Desolada",
	["Forlorn Rowe"] = "Loma Inhóspita",
	["Forlorn Spire"] = "Cumbre Inhóspita",
	["Forlorn Woods"] = "El Bosque Desolado",
	["Formation Grounds"] = "Campo de Formación",
	["Forsaken Forward Command"] = "Mando Avanzado Renegado",
	["Forsaken High Command"] = "Alto Mando Renegado",
	["Forsaken Rear Guard"] = "Puesto de Retaguardia Renegado",
	["Fort Livingston"] = "Fuerte Livingston",
	["Fort Triumph"] = "Fuerte Triunfo",
	["Fort Wildervar"] = "Fuerte Vildervar",
	["Fortune's Fist"] = "Puño de la Fortuna",
	["Forward Command"] = "Mando de Vanguardia",
	["Foulspore Cavern"] = "Gruta de la Espora Fétida",
	["Fractured Front"] = "Frente Fracturado",
	["Fray Island"] = "Isla de Batalla",
	["Frayfeather Highlands"] = "Tierras Altas de Plumavieja",
	["Frazzlecraz Motherlode"] = "Filón Catacroquer",
	["Freewind Post"] = "Poblado Viento Libre",
	["Frenzyheart Hill"] = "Colina Corazón Frenético",
	["Frenzyheart River"] = "Río Corazón Frenético",
	["Frigid Breach"] = "Brecha Gélida",
	["Frost Dagger Pass"] = "Paso de la Daga Escarcha",
	["Frostblade Pass"] = "Paso Filoescarcha",
	["Frostblade Peak"] = "Pico Filoescarcha",
	["Frostclaw Den"] = "Cubil Garrascarcha",
	["Frostfield Lake"] = "Lago Campo de Escarcha",
	["Frostfire Hot Springs"] = "Baños de Fuego de Escarcha",
	["Frostfloe Deep"] = "Hondonada Témpano Gélido",
	["Frostgrip's Hollow"] = "Hondonada Puño Helado",
	Frosthold = "Fuerte Escarcha",
	["Frosthowl Cavern"] = "Caverna Aúllaescarcha",
	["Frostmane Front"] = "Frente de Peloescarcha",
	["Frostmane Hold"] = "Poblado Peloescarcha",
	["Frostmane Retreat"] = "Refugio Peloescarcha",
	Frostmourne = "Agonía de Escarcha",
	["Frostmourne Cavern"] = "Caverna Agonía de Escarcha",
	["Frostsaber Rock"] = "Roca Sable de Hielo",
	["Frostwhisper Gorge"] = "Cañón Levescarcha",
	["Frostwing Halls"] = "Las Cámaras de Alaescarcha",
	["Frostwolf Graveyard"] = "Cementerio Lobo Gélido",
	["Frostwolf Keep"] = "Bastión Lobo Gélido",
	["Frostwolf Pass"] = "Paso Lobo Gélido",
	["Frostwolf Tunnel"] = "Túnel de Lobo Gélido",
	["Frostwolf Village"] = "Aldea Lobo Gélido",
	["Frozen Reach"] = "Tramo Helado",
	["Fungal Deep"] = "Profundidades Fungal",
	["Fungal Rock"] = "Roca Fungal",
	["Funggor Cavern"] = "Caverna Funggor",
	["Furien's Post"] = "Puesto de Furion",
	["Furlbrow's Pumpkin Farm"] = "Plantación de Calabazas de Cejade",
	["Furnace of Hate"] = "Horno del Odio",
	["Furywing's Perch"] = "Nido de Alafuria",
	Fuselight = "El Diodo",
	["Fuselight-by-the-Sea"] = "El Diodo de Mar",
	["GM Island"] = "Isla de los MJ",
	Gadgetzan = "Gadgetzan",
	["Gahrron's Withering"] = "Gangrena de Gahrron",
	["Galak Hold"] = "Dominios Galak",
	["Galakrond's Rest"] = "Reposo de Galakrond",
	["Galardell Valley"] = "Valle de Galardell",
	["Galen's Fall"] = "Caída de Galen",
	["Galerek's Remorse"] = "Remordimiento de Galerek",
	["Galewatch Lighthouse"] = "Faro Velavento",
	["Gallery of Treasures"] = "Galería de los Tesoros",
	["Gallows' Corner"] = "Camino de la Horca",
	["Gallows' End Tavern"] = "Mesón La Horca",
	["Gallywix Docks"] = "Muelles de Gallywix",
	["Gallywix Labor Mine"] = "Mina de Trabajos Forzados de Gallywix",
	["Gallywix Pleasure Palace"] = "Palacete de Gallywix",
	["Gallywix's Villa"] = "Chalet de Gallywix",
	["Gallywix's Yacht"] = "Yate de Gallywix",
	["Galus' Chamber"] = "Cámara de Galus",
	["Gamesman's Hall"] = "Sala del Tablero",
	Gammoth = "Gammoth",
	["Gar'gol's Hovel"] = "Casucha de Gar'gol",
	Garadar = "Garadar",
	Garm = "Garm",
	["Garm's Bane"] = "Pesadilla de Garm",
	["Garm's Rise"] = "Alto de Garm",
	["Garren's Haunt"] = "Granja de Garren",
	["Garrison Armory"] = "Arsenal del Cuartel",
	["Garrosh's Landing"] = "Desembarco de Garrosh",
	["Garvan's Reef"] = "Arrecife de Garvan",
	["Gate of Echoes"] = "Puerta de los Ecos",
	["Gate of Hamatep"] = "Puerta de Hamatep",
	["Gate of Lightning"] = "Puerta de los Rayos",
	["Gate of the Blue Sapphire"] = "Puerta del Zafiro Azul",
	["Gate of the Green Emerald"] = "Puerta de la Esmeralda Verde",
	["Gate of the Purple Amethyst"] = "Puerta de la Amatista Púrpura",
	["Gate of the Red Sun"] = "Puerta del Sol Rojo",
	["Gate of the Yellow Moon"] = "Puerta de la Luna Amarilla",
	["Gates of Ahn'Qiraj"] = "Puerta de Ahn'Qiraj",
	["Gates of Ironforge"] = "Puertas de Forjaz",
	["Gates of Sothann"] = "Puertas de Sothann",
	["Gauntlet of Flame"] = "Guantelete de Llamas",
	["Gavin's Naze"] = "Saliente de Gavin",
	["Geezle's Camp"] = "Campamento de Geezle",
	["Gelkis Village"] = "Poblado Gelkis",
	["General Goods"] = "Víveres",
	["General's Terrace"] = "Bancal del General",
	["Ghost Walker Post"] = "Campamento del Espíritu Errante",
	["Ghostblade Post"] = "Puesto del Filo Fantasmal",
	Ghostlands = "Tierras Fantasma",
	["Giant's Run"] = "El Paso del Gigante",
	["Giants' Run"] = "El Paso del Gigante",
	["Gillijim's Isle"] = "Isla de Gillijim",
	["Gilnean Coast"] = "Costa de Gilneas",
	["Gilnean Stronghold"] = "Fortaleza de Gilneas",
	Gilneas = "Gilneas",
	["Gilneas City"] = "Ciudad de Gilneas",
	["Gilneas Liberation Front Base Camp"] = "Campamento base del Frente de Liberación de Gilneas",
	["Gimorak's Den"] = "Guarida de Gimorak",
	Gjalerbron = "Gjalerbron",
	Gjalerhorn = "Gjalercorn",
	["Glacial Falls"] = "Cascadas Glaciales",
	["Glimmer Bay"] = "Bahía Titileo",
	["Glimmerdeep Gorge"] = "Barranco Brillohondo",
	["Glittering Strand"] = "Orilla Resplandeciente",
	["Glopgut's Hollow"] = "Foso Tripal",
	["Glorious Goods"] = "Objetos Gloriosos",
	Glory = "Gloria",
	["Gnarlpine Hold"] = "Tierras de los Tuercepinos",
	["Gnaws' Boneyard"] = "Fosa de Bocados",
	Gnomeregan = "Gnomeregan",
	["Go'Shek Farm"] = "Granja Go'shek",
	["Goblin Foundry"] = "Fundición Goblin",
	["Goblin Slums"] = "Suburbios Goblin",
	["Gol'Bolar Quarry"] = "Cantera de Gol'Bolar",
	["Gol'Bolar Quarry Mine"] = "Mina Gol'Bolar",
	["Golakka Hot Springs"] = "Baños de Golakka",
	["Gold Coast Quarry"] = "Mina de la Costa del Oro",
	["Gold Mine"] = "Mina de oro",
	["Gold Road"] = "Camino del Oro",
	["Golden Strand"] = "La Ensenada Dorada",
	["Goldenbough Pass"] = "Desfiladero Ramadorada",
	["Goldenmist Village"] = "Aldea Bruma Dorada",
	Goldshire = "Villadorada",
	["Goldtooth's Den"] = "Cubil de Dientes de Oro",
	["Goodgrub Smoking Pit"] = "Foso de Humo de Buenazampa",
	["Gor'gaz Outpost"] = "Avanzada Gor'gaz",
	["Gordok's Seat"] = "Trono de Gordok",
	["Gordunni Outpost"] = "Avanzada Gordunni",
	["Gorefiend's Vigil"] = "Vigilia de Sanguino",
	Gornia = "Gornia",
	["Gorrok's Lament"] = "Lamento de Gorrok",
	["Gorshak War Camp"] = "Campamento de Guerra Gorshak",
	["Grand Magister's Asylum"] = "Asilo del Gran Magister",
	["Grand Promenade"] = "Gran Paseo",
	["Grangol'var Village"] = "Poblado Grangol'var",
	["Granite Springs"] = "Manantial de Granito",
	["Greatwood Vale"] = "Vega del Gran Bosque",
	["Greengill Coast"] = "Costa Branquia Verde",
	["Greenpaw Village"] = "Poblado Zarpaverde",
	["Greenwarden's Grove"] = "Arboleda del Guardaverde",
	["Greymane Court"] = "Patio de Cringris",
	["Greymane Manor"] = "Mansión de Cringris",
	["Grim Batol"] = "Grim Batol",
	["Grim Batol Entrance"] = "Entrada de Grim Batol",
	["Grimesilt Dig Site"] = "Excavación de Limugre",
	["Grimtotem Compound"] = "Dominios Tótem Siniestro",
	["Grimtotem Post"] = "Poblado Tótem Siniestro",
	Grishnath = "Grishnath",
	Grizzlemaw = "Fauceparda",
	["Grizzlepaw Ridge"] = "Fuerte Zarpagris",
	["Grizzly Hills"] = "Colinas Pardas",
	["Grol'dom Farm"] = "Granja de Grol'dom",
	["Grolluk's Grave"] = "Tumba de Grolluk",
	["Grom'arsh Crash-Site"] = "Lugar del accidente de Grom'arsh",
	["Grom'gol"] = "Grom'gol",
	["Grom'gol Base Camp"] = "Campamento Grom'gol",
	["Grommash Hold"] = "Fuerte Grommash",
	["Grosh'gok Compound"] = "Dominios Grosh'gok",
	["Grove of Aessina"] = "Arboleda de Aessina",
	["Grove of the Ancients"] = "Páramo de los Ancianos",
	["Growless Cave"] = "Caverna Estrecha",
	["Gruul's Lair"] = "Guarida de Gruul",
	["Gryphon Roost"] = "Percha de grifo",
	["Guardian's Library"] = "Biblioteca del Guardián",
	Gundrak = "Gundrak",
	["Gundrak Entrance"] = "Entrada de Gundrak",
	["Gunstan's Dig"] = "Excavación de Dig",
	["Gunstan's Post"] = "Puesto de Gunstan",
	["Gunther's Retreat"] = "Refugio de Gunther",
	["Gurboggle's Ledge"] = "Saliente de Guraturdido",
	["Gurubashi Arena"] = "Arena Gurubashi",
	["Gyro-Plank Bridge"] = "Puente Girolámina",
	["Haal'eshi Gorge"] = "Garganta Haal'eshi",
	["Hadronox's Lair"] = "Guarida de Hadronox",
	["Hailwood Marsh"] = "Pantano Bosque del Pedrisco",
	Halaa = "Halaa",
	["Halaani Basin"] = "Cuenca Halaani",
	["Halcyon Egress"] = "Egreso Próspero",
	["Haldarr Encampment"] = "Campamento Haldarr",
	Halgrind = "Haltorboll",
	["Hall of Arms"] = "Sala de Armas",
	["Hall of Binding"] = "Sala de Vínculos",
	["Hall of Blackhand"] = "Sala de Puño Negro",
	["Hall of Blades"] = "Sala de las Espadas",
	["Hall of Bones"] = "Sala de los Huesos",
	["Hall of Champions"] = "Sala de los Campeones",
	["Hall of Command"] = "Sala de Mando",
	["Hall of Crafting"] = "Sala de los Oficios",
	["Hall of Departure"] = "Cámara de Partida",
	["Hall of Explorers"] = "Sala de los Expedicionarios",
	["Hall of Faces"] = "Sala de los Rostros",
	["Hall of Horrors"] = "Cámara de los Horrores",
	["Hall of Legends"] = "Sala de las Leyendas",
	["Hall of Masks"] = "Sala de las Máscaras",
	["Hall of Memories"] = "Cámara de los Recuerdos",
	["Hall of Mysteries"] = "Sala de los Misterios",
	["Hall of Repose"] = "Sala del Descanso",
	["Hall of Return"] = "Cámara de Regreso",
	["Hall of Ritual"] = "Sala de los Rituales",
	["Hall of Secrets"] = "Sala de los Secretos",
	["Hall of Serpents"] = "Sala de las Serpientes",
	["Hall of Stasis"] = "Cámara de Estasis",
	["Hall of Twilight"] = "Sala del Crepúsculo",
	["Hall of the Brave"] = "Bastión de los Valientes",
	["Hall of the Conquered Kings"] = "Cámara de los Reyes Conquistados",
	["Hall of the Crafters"] = "Sala de los Artesanos",
	["Hall of the Crusade"] = "Sala de la Cruzada",
	["Hall of the Cursed"] = "Sala de los Malditos",
	["Hall of the Damned"] = "Sala de los Condenados",
	["Hall of the Fathers"] = "Cámara de los Patriarcas",
	["Hall of the Frostwolf"] = "Cámara de los Lobo Gélido",
	["Hall of the High Father"] = "Cámara del Gran Padre",
	["Hall of the Keepers"] = "Sala de los Guardianes",
	["Hall of the Shaper"] = "Sala del Creador",
	["Hall of the Stormpike"] = "Cámara de los Pico Tormenta",
	["Hall of the Watchers"] = "Cámara de los Vigías",
	["Halls of Anguish"] = "Salas de Angustia",
	["Halls of Awakening"] = "Salas del Despertar",
	["Halls of Binding"] = "Sala de Vínculos",
	["Halls of Destruction"] = "Salas de la Destrucción",
	["Halls of Lightning"] = "Cámaras de Relámpagos",
	["Halls of Lightning Entrance"] = "Entrada de Cámaras de Relámpagos",
	["Halls of Mourning"] = "Salas del Luto",
	["Halls of Origination"] = "Cámaras de los Orígenes",
	["Halls of Origination Entrance"] = "Entrada de las Cámaras de los Orígenes",
	["Halls of Reflection"] = "Cámaras de Reflexión",
	["Halls of Reflection Entrance"] = "Entrada de Cámaras de Reflexión",
	["Halls of Silence"] = "Salas del Silencio",
	["Halls of Stone"] = "Cámaras de Piedra",
	["Halls of Stone Entrance"] = "Entrada de Cámaras de Piedra",
	["Halls of Strife"] = "Salas de los Conflictos",
	["Halls of Theory"] = "Galerías de la Teoría",
	["Halls of the Ancestors"] = "Salas de los Ancestros",
	["Halls of the Hereafter"] = "Salas del Más Allá",
	["Halls of the Law"] = "Salas de la Ley",
	["Halycon's Lair"] = "Guarida de Halycon",
	Hammerfall = "Sentencia",
	["Hammertoe's Digsite"] = "Excavación de Piemartillo",
	["Hammond Farmstead"] = "Hacienda de Hammond",
	Hangar = "Hangar",
	["Hardknuckle Clearing"] = "Claro Callonudillo",
	["Hardwrench Hideaway"] = "Escondrijo Malallave",
	["Harkor's Camp"] = "Campamento de Harkor",
	["Hatchet Hills"] = "Colinas Hacha",
	Havenshire = "Villa Refugio",
	["Havenshire Farms"] = "Granjas de Villa Refugio",
	["Havenshire Lumber Mill"] = "Serrería de Villa Refugio",
	["Havenshire Mine"] = "Mina de Villa Refugio",
	["Havenshire Stables"] = "Establos de Villa Refugio",
	["Hayward Fishery"] = "Caladero Hayward",
	["Headmaster's Study"] = "Sala Rectoral",
	["Heart of Destruction"] = "Corazón de Destrucción",
	["Heart's Blood Shrine"] = "Santuario Sangre de Corazón",
	Hearthglen = "Vega del Amparo",
	["Heartwood Trading Post"] = "Puesto de Venta de Duramen",
	["Heb'Drakkar"] = "Heb'Drakkar",
	["Heb'Valok"] = "Heb'Valok",
	["Hellfire Basin"] = "Cuenca del Fuego Infernal",
	["Hellfire Citadel"] = "Ciudadela del Fuego Infernal",
	["Hellfire Citadel - Ramparts Entrance"] = "Ciudadela del Fuego Infernal: Entrada de las Murallas",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Ciudadela del Fuego Infernal: Entrada de El Horno de Sangre",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Ciudadela del Fuego Infernal: Entrada de Las Salas Arrasadas",
	["Hellfire Citadel: Ramparts"] = "Ciudadela del Fuego Infernal: Murallas",
	["Hellfire Citadel: The Blood Furnace"] = "Ciudadela del Fuego Infernal: Horno de Sangre",
	["Hellfire Citadel: The Shattered Halls"] = "Ciudadela del Fuego Infernal: Salas Arrasadas",
	["Hellfire Peninsula"] = "Península del Fuego Infernal",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Península del Fuego Infernal - Force Camp Beach Head",
	["Hellfire Peninsula - Reaver's Fall"] = "Península del Fuego Infernal - Caída del Atracador Vil",
	["Hellfire Ramparts"] = "Murallas del Fuego Infernal",
	["Hellscream's Camp"] = "Campamento de Grito Infernal",
	["Hellscream's Grasp"] = "Dominios Grito Infernal",
	["Hellscream's Watch"] = "Avanzada Grito Infernal",
	["Helm's Bed Lake"] = "Lago de Helm",
	["Heroes' Vigil"] = "Vigilia de los Héroes",
	["Hetaera's Clutch"] = "Guarida de Hetaera",
	["Hewn Bog"] = "Ciénaga Talada",
	["Hibernal Cavern"] = "Caverna Hibernal",
	["Hidden Path"] = "Sendero Oculto",
	["High Bank"] = "Bancalto",
	["High Wilderness"] = "Altas Tierras Salvajes",
	Highbank = "Bancalto",
	["Highland Forest"] = "Bosque de las Tierras Altas",
	Highperch = "Nido Alto",
	Hillsbrad = "Trabalomas",
	["Hillsbrad Fields"] = "Campos de Trabalomas",
	["Hillsbrad Foothills"] = "Laderas de Trabalomas",
	["Hiri'watha Research Station"] = "Estación de Investigación de Hiri'watha",
	["Hive'Ashi"] = "Colmen'Ashi",
	["Hive'Regal"] = "Colmen'Regal",
	["Hive'Zora"] = "Colmen'Zora",
	["Hogger Hill"] = "Colina de Hogger",
	["Hollowstone Mine"] = "Mina Piedrahueca",
	["Honor Hold"] = "Bastión del Honor",
	["Honor Hold Mine"] = "Mina Bastión del Honor",
	["Honor Point"] = "Alto del Honor",
	["Honor's Stand"] = "El Alto del Honor",
	["Honor's Tomb"] = "Tumba del Honor",
	["Horde Base Camp"] = "Campamento Base de la Horda",
	["Horde Encampment"] = "Campamento de la Horda",
	["Horde Keep"] = "Fortaleza de la Horda",
	["Horde Landing"] = "Aterrizaje de la Horda",
	["Horde PVP Barracks"] = "Cuartel JcJ de la Horda",
	["Hordemar City"] = "Ciudad Hordemar",
	["House of Edune"] = "Casa de Edune",
	["Howling Fjord"] = "Fiordo Aquilonal",
	["Howling Ziggurat"] = "Zigurat Aullante",
	["Hrothgar's Landing"] = "Desembarco de Hrothgar",
	["Hull of the Foebreaker"] = "Casco del Rasgadversarios",
	["Humboldt Conflagration"] = "Conflagración de Humboldt",
	["Hunter Rise"] = "Alto de los Cazadores",
	["Hunter's Hill"] = "Cerro del Cazador",
	["Huntress of the Sun"] = "Cazadora del Sol",
	["Huntsman's Cloister"] = "Claustro del Cazador",
	Hyjal = "Hyjal",
	["Hyjal Barrow Dens"] = "Túmulos de Hyjal",
	["Hyjal Past"] = "El Pasado Hyjal",
	["Hyjal Summit"] = "La Cima Hyjal",
	["Ice Heart Cavern"] = "Caverna Corazón de Hielo",
	["Ice Thistle Hills"] = "Colinas Cardo Nevado",
	["Iceblood Garrison"] = "Baluarte Sangrehielo",
	["Iceblood Graveyard"] = "Cementerio Sangrehielo",
	Icecrown = "Corona de Hielo",
	["Icecrown Citadel"] = "Ciudadela de la Corona de Hielo",
	["Icecrown Dungeon - Gunships"] = "Mazmorra de Corona de Hielo",
	["Icecrown Glacier"] = "Glaciar Corona de Hielo",
	["Iceflow Lake"] = "Lago Glacial",
	["Icemist Falls"] = "Cataratas Bruma de Hielo",
	["Icemist Village"] = "Poblado Bruma de Hielo",
	["Icewing Bunker"] = "Búnker Ala Gélida",
	["Icewing Cavern"] = "Cueva Ala Gélida",
	["Icewing Pass"] = "Paso de Ala Gélida",
	["Idlewind Lake"] = "Lago Soplo",
	["Igneous Depths"] = "Profundidades Ígneas",
	["Illidari Point"] = "Alto Illidari",
	["Illidari Training Grounds"] = "Campo de entrenamiento Illidari",
	["Indu'le Village"] = "Poblado Indu'le",
	Inn = "Posada",
	["Inner Sanctum"] = "Sagrario Interior",
	["Inner Veil"] = "Velo Interior",
	["Insidion's Perch"] = "Nido de Insidion",
	["Invasion Point: Annihilator"] = "Punto de invasión: Aniquilador",
	["Invasion Point: Cataclysm"] = "Punto de Invasión: Cataclismo",
	["Invasion Point: Destroyer"] = "Punto de Invasión: Destructor",
	["Invasion Point: Overlord"] = "Punto de Invasión: Señor Supremo",
	["Iron Concourse"] = "Explanada de Hierro",
	["Iron Summit"] = "Cima de Hierro",
	["Ironband's Compound"] = "Complejo Vetaferro",
	["Ironband's Excavation Site"] = "Excavación de Vetaferro",
	["Ironbeard's Tomb"] = "Tumba de Barbaférrea",
	["Ironclad Cove"] = "Cala del Acorazado",
	["Ironclad Garrison"] = "Cuartel del Acorazado",
	["Ironclad Prison"] = "Prisión del Acorazado",
	["Irondeep Mine"] = "Mina Ferrohondo",
	Ironforge = "Forjaz",
	["Ironforge Airfield"] = "Base aérea de Forjaz",
	["Ironstone Camp"] = "Campamento Roca de Hierro",
	["Ironstone Plateau"] = "Meseta Roca de Hierro",
	["Irontree Cavern"] = "Caverna de Troncoferro",
	["Irontree Clearing"] = "Claro de Troncoferro",
	["Irontree Woods"] = "Bosque de Troncoferro",
	["Ironwall Dam"] = "Presa del Muro de Hierro",
	["Ironwall Rampart"] = "Fortificación del Muro de Hierro",
	["Ironwing Cavern"] = "Caverna de Alahierro",
	Iskaal = "Iskaal",
	["Island of Doctor Lapidis"] = "Isla del Doctor Lapidis",
	["Isle of Conquest"] = "Isla de la Conquista",
	["Isle of Conquest No Man's Land"] = "Tierra de Nadie de Isla de la Conquista",
	["Isle of Dread"] = "Isla del Terror",
	["Isle of Quel'Danas"] = "Isla de Quel'Danas",
	["Isle of Tribulations"] = "Isla de las Tribulaciones",
	["Iso'rath"] = "Iso'rath",
	["Itharius's Cave"] = "Cueva de Itharius",
	["Ivald's Ruin"] = "Ruinas de Ivald",
	["Ix'lar's Domain"] = "Dominio de Ix'lar",
	["Jadefire Glen"] = "Cañada Fuego de Jade",
	["Jadefire Run"] = "Camino Fuego de Jade",
	["Jademir Lake"] = "Lago Jademir",
	Jaedenar = "Jaedenar",
	["Jagged Reef"] = "Arrecife Dentado",
	["Jagged Ridge"] = "Cresta Dentada",
	["Jagged Wastes"] = "Ruinas Dentadas",
	["Jaggedswine Farm"] = "La Pocilga",
	["Jaguero Isle"] = "Isla Jaguero",
	["Janeiro's Point"] = "Cayo de Janeiro",
	["Jangolode Mine"] = "Mina de Jango",
	["Jaquero Isle"] = "Isla Jaquero",
	["Jasperlode Mine"] = "Cantera de Jaspe",
	["Jeff NE Quadrant Changed"] = "Jeff NE Quadrant Changed",
	["Jeff NW Quadrant"] = "Jeff NW Quadrant",
	["Jeff SE Quadrant"] = "Jeff SE Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW Quadrant",
	["Jerod's Landing"] = "Embarcadero de Jerod",
	["Jintha'Alor"] = "Jintha'Alor",
	["Jintha'kalar"] = "Jintha'kalar",
	["Jintha'kalar Passage"] = "Pasaje de Jintha'kalar",
	Jotunheim = "Jotunheim",
	K3 = "K3",
	["KTC Headquarters"] = "Central SCK",
	["KTC Oil Platform"] = "Plataforma Petrolera SCK",
	["Kaja'mine"] = "Kaja'mina",
	["Kaja'mite Cave"] = "Cueva de Kaja'mita",
	["Kaja'mite Cavern"] = "Caverna de Kaja'mita",
	["Kajaro Field"] = "Campo Kajaro",
	["Kal'ai Ruins"] = "Ruinas de Kal'ai",
	Kalimdor = "Kalimdor",
	Kamagua = "Komawa",
	["Karabor Sewers"] = "Cloacas de Karabor",
	Karazhan = "Karazhan",
	["Kargathia Keep"] = "Fuerte de Kargathia",
	["Karnum's Glade"] = "Claro de Karnum",
	["Kartak's Hold"] = "Bastión de Kartak",
	Kaskala = "Kashala",
	["Kaw's Roost"] = "Percha de Kaw",
	["Keel Harbor"] = "Puerto Quilla",
	["Keelen's Trustworthy Tailoring"] = "La Sastrería Fiable de Keelen",
	["Keeshan's Post"] = "Puesto de Keeshan",
	["Kel'Thuzad Chamber"] = "Cámara de Kel'Thuzad",
	["Kel'Thuzad's Chamber"] = "Cámara de Kel'Thuzad",
	["Kelp'thar Forest"] = "Bosque Kelp'thar",
	["Keset Pass"] = "Paso de Keset",
	["Kessel's Crossing"] = "Encrucijada de Kessel",
	Kezan = "Kezan",
	Kharanos = "Kharanos",
	["Khardros' Anvil"] = "Yunque de Khardros",
	["Khartut's Tomb"] = "Tumba de Khartut",
	["Khaz'goroth's Seat"] = "Trono de Khaz'goroth",
	["Kil'sorrow Fortress"] = "Fortaleza Mata'penas",
	["Kili'ua's Atoll"] = "Atolón de Kili'ua",
	["King's Gate"] = "Puerta del Rey",
	["King's Harbor"] = "Puerto del Rey",
	["King's Hoard"] = "Reservas del Rey",
	["King's Square"] = "Plaza del Rey",
	["Kirin'Var Village"] = "Poblado Kirin'Var",
	Kirthaven = "Kirthaven",
	["Kodo Graveyard"] = "Cementerio de Kodos",
	["Kodo Rock"] = "Roca de los Kodos",
	["Kolkar Village"] = "Poblado Kolkar",
	Kolramas = "Kolramas",
	["Kor'kron Vanguard"] = "Vanguardia Kor'kron",
	["Kormek's Hut"] = "Cabaña de Kormek",
	["Koroth's Den"] = "Cubil de Koroth",
	["Korthun's End"] = "Fin de Korthun",
	["Krasus' Landing"] = "Alto de Krasus",
	["Krazzworks Attack Zeppelin"] = "Zepelín de ataque de La Krazzería",
	["Krolg's Hut"] = "Cabaña de Krolg",
	["Krom'gar Fortress"] = "Fortaleza Krom'gar",
	["Krom's Landing"] = "Puerto de Krom",
	["Kul Tiras"] = "Kul Tiras",
	["Kul'galar Keep"] = "Fortaleza de Kul'galar",
	["Kurzen's Compound"] = "Base de Kurzen",
	["L'ghorek"] = "L'ghorek",
	["Lair of the Chosen"] = "Guarida de los Elegidos",
	["Lake Al'Ameth"] = "Lago Al'Ameth",
	["Lake Cauldros"] = "Lago Caldros",
	["Lake Dumont"] = "Lago Dumont",
	["Lake Edunel"] = "Lago Edunel",
	["Lake Elrendar"] = "Lago Elrendar",
	["Lake Elune'ara"] = "Lago Elune'ara",
	["Lake Ere'Noru"] = "Lago Ere'Noru",
	["Lake Everstill"] = "Lago Sempiterno",
	["Lake Falathim"] = "Lago Falathim",
	["Lake Indu'le"] = "Lago Indu'le",
	["Lake Jorune"] = "Lago Jorune",
	["Lake Kel'Theril"] = "Lago Kel'Theril",
	["Lake Kum'uya"] = "Lago Kum'uya",
	["Lake Mennar"] = "Lago Mennar",
	["Lake Mereldar"] = "Lago Mereldar",
	["Lake Nazferiti"] = "Lago Nazferiti",
	["Lake Sunspring"] = "Lago Primasol",
	["Lakeridge Highway"] = "Camino del Lago",
	Lakeshire = "Villa del Lago",
	["Lakeshire Inn"] = "Posada de Villa del Lago",
	["Lakeshire Town Hall"] = "Concejo de Villa del Lago",
	["Lakeside Landing"] = "Pista del Lago",
	["Lakkari Tar Pits"] = "Fosas de Alquitrán Lakkari",
	["Land's End Beach"] = "Playa Finisterrae",
	["Landing Beach"] = "Playa de Desembarco",
	["Landing Site"] = "Lugar del Desembarco",
	["Langrom's Leather & Links"] = "Cuero y Eslabones de Langrom",
	["Largo's Overlook"] = "Alto de Largo",
	["Largo's Overlook Tower"] = "Torre del Alto de Largo",
	["Lariss Pavilion"] = "Pabellón de Lariss",
	["Laughing Skull Courtyard"] = "Patio Riecráneos",
	["Laughing Skull Ruins"] = "Ruinas Riecráneos",
	["Launch Bay"] = "Aeropuerto",
	["Legash Encampment"] = "Campamento Legashi",
	["Legendary Leathers"] = "Pieles Legendarias",
	["Legion Hold"] = "Bastión de la Legión",
	["Legion's Fate"] = "Destino de la Legión",
	["Legion's Rest"] = "Reposo de la Legión",
	["Lethlor Ravine"] = "Barranco Lethlor",
	["Leyara's Sorrow"] = "Pesar de Leyara",
	["Library Wing"] = "Ala de la Biblioteca",
	["Light's Breach"] = "Brecha de la Luz",
	["Light's Dawn Cathedral"] = "Catedral del Alba",
	["Light's Hammer"] = "Martillo de la Luz",
	["Light's Hope Chapel"] = "Capilla de la Esperanza de la Luz",
	["Light's Point"] = "Punta de la Luz",
	["Light's Point Tower"] = "Torre de la Punta de la Luz",
	["Light's Shield Tower"] = "Torre del Escudo de la Luz",
	["Light's Trust"] = "Confianza de la Luz",
	Lighthouse = "Faro",
	["Lightning Ledge"] = "Saliente de Relámpagos",
	["Like Clockwork"] = "Como un Reloj",
	["Lion's Pride Inn"] = "Posada Orgullo de León",
	["Livery Outpost"] = "Avanzada de la Caballería",
	["Livery Stables"] = "Caballerizas",
	["Llane's Oath"] = "Juramento de Llane",
	["Loading Room"] = "Zona de Carga",
	["Loch Modan"] = "Loch Modan",
	["Loch Verrall"] = "Loch Verrall",
	["Loken's Bargain"] = "Acuerdo de Loken",
	Longshore = "Playa Larga",
	["Lor'danel"] = "Lor'danel",
	["Lordamere Internment Camp"] = "Campo de Reclusión de Lordamere",
	["Lordamere Lake"] = "Lago Lordamere",
	["Lorthuna's Gate"] = "Puerta de Lorthuna",
	["Lost Caldera"] = "Caldera Perdida",
	["Lost City of the Tol'vir"] = "Ciudad Perdida de los Tol'vir",
	["Lost City of the Tol'vir Entrance"] = "Entrada de la Ciudad Perdida de los Tol'vir",
	["Lost Isles Town in a Box"] = "Ciudad de Bolsillo de Las Islas Perdidas",
	["Lost Isles Volcano Eruption"] = "Erupción de Volcán de Las Islas Perdidas",
	["Lost Peak"] = "Pico Perdido",
	["Lost Point"] = "Punta Perdida",
	["Lost Rigger Cove"] = "Cala del Aparejo Perdido",
	LostIsles = "Las Islas Perdidas",
	["Lothalor Woodlands"] = "Bosque Lothalor",
	["Lower City"] = "Bajo Arrabal",
	["Lower Silvermarsh"] = "Marjal Argenta Inferior",
	["Lower Veil Shil'ak"] = "Velo Shil'ak Bajo",
	["Lower Wilds"] = "Bajas Tierras Salvajes",
	["Lumber Mill"] = "Aserradero",
	["Lushwater Oasis"] = "Oasis Aguaverde",
	["Lydell's Ambush"] = "Emboscada de Lydell",
	["M.A.C. Diver"] = "Otilius",
	["Maelstrom Zone"] = "Zona de La Vorágine",
	["Maestra's Post"] = "Atalaya de Maestra",
	["Maexxna's Nest"] = "Nido de Maexxna",
	["Mag'har Grounds"] = "Dominios Mag'har",
	["Mag'har Post"] = "Puesto Mag'har",
	["Mag'hari Procession"] = "Procesión Mag'hari",
	["Mage Quarter"] = "Barrio de los Magos",
	["Mage Tower"] = "Torre de los Magos",
	["Magic Quarter"] = "Barrio de la Magia",
	["Magical Menagerie"] = "Arca Mágica",
	["Magister's Terrace"] = "Bancal del Magister",
	["Magisters Gate"] = "Puerta Magister",
	["Magisters' Terrace"] = "Bancal del Magister",
	["Magisters' Terrace Entrance"] = "Entrada del Bancal del Magister",
	["Magma Fields"] = "Campos de Magma",
	["Magma Springs"] = "Fuentes de Magma",
	["Magmadar Cavern"] = "Cueva Magmadar",
	["Magmaw's Fissure"] = "Fisura de Faucemagma",
	Magmoth = "Magmoth",
	["Magnamoth Caverns"] = "Cavernas Magnamoth",
	["Magram Territory"] = "Territorio Magram",
	["Magtheridon's Lair"] = "Guarida de Magtheridon",
	["Magus Commerce Exchange"] = "Mercado de Magos",
	["Main Gate"] = "Entrada Principal",
	["Main Hall"] = "Sala Principal",
	["Maker's Ascent"] = "Ascenso del Hacedor",
	["Maker's Overlook"] = "El Mirador de los Creadores",
	["Maker's Perch"] = "Pedestal del Creador",
	["Makers' Overlook"] = "El Mirador de los Creadores",
	["Makers' Perch"] = "El Pedestal de los Creadores",
	["Malaka'jin"] = "Malaka'jin",
	["Malden's Orchard"] = "Huerta de Malden",
	Maldraz = "Maldraz",
	["Malfurion's Breach"] = "Brecha de Malfurion",
	["Malicia's Outpost"] = "Avanzada de Malicia",
	["Malykriss: The Vile Hold"] = "Malykriss: El Bastión Inmundo",
	["Mam'toth Crater"] = "Cráter de Mam'toth",
	["Mana Tombs"] = "Tumbas de Maná",
	["Mana-Tombs"] = "Tumbas de Maná",
	["Manaforge Ara"] = "Forja de Maná Ara",
	["Manaforge B'naar"] = "Forja de Maná B'naar",
	["Manaforge Coruu"] = "Forja de Maná Coruu",
	["Manaforge Duro"] = "Forja de Maná Duro",
	["Manaforge Ultris"] = "Forja de Maná Ultris",
	["Mandokir's Domain"] = "Dominios de Mandokir",
	["Mannoroc Coven"] = "Aquelarre Mannoroc",
	["Manor Mistmantle"] = "Mansión Mantoniebla",
	["Mantle Rock"] = "Rocamanto",
	["Map Chamber"] = "Cámara del Mapa",
	["Mar'at"] = "Mar'at",
	Maraudon = "Maraudon",
	["Maraudon - Earth Song Falls Entrance"] = "Maraudon: Entrada de las Cascadas del Canto de la Tierra",
	["Maraudon - Foulspore Cavern Entrance"] = "Maraudon: Entrada de la Gruta de la Espora Fétida",
	["Mardenholde Keep"] = "Fortaleza de Mardenholde",
	["Market Row"] = "Fila del Mercado",
	["Marshal's Refuge"] = "Refugio de Marshal",
	["Marshal's Stand"] = "Alto de Marshal",
	["Marshlight Lake"] = "Lago Luz Pantanosa",
	["Marshtide Watch"] = "Avanzada Marea Pantanosa",
	["Maruadon - The Wicked Grotto Entrance"] = "Maraudon: Entrada de La Gruta Maligna",
	["Mast Room"] = "Sala del Mástil",
	["Master's Terrace"] = "El Bancal del Maestro",
	["Masters' Gate"] = "Puerta de los Maestros",
	["Maw of Lycanthoth"] = "Fauces de Lycanthoth",
	["Maw of Neltharion"] = "Fauces de Neltharion",
	["Maw of the Void"] = "Fauces del Vórtice",
	["Mazra'Alor"] = "Mazra'Alor",
	Mazthoril = "Mazthoril",
	["Medivh's Chambers"] = "Estancias de Medivh",
	["Menagerie Wreckage"] = "Restos del Arca",
	["Menethil Bay"] = "Bahía de Menethil",
	["Menethil Harbor"] = "Puerto de Menethil",
	["Menethil Keep"] = "Castillo de Menethil",
	["Merchant Square"] = "Plaza de los Mercaderes",
	["Mid Point Station"] = "Estación de la Punta Central",
	Middenvale = "Mediavega",
	["Midrealm Post"] = "Puesto de la Tierra Media",
	["Midwall Lift"] = "Elevador del Muro Central",
	["Mightstone Quarry"] = "Cantera de Piedra de Poderío",
	["Military District"] = "Distrito Militar",
	["Mimir's Workshop"] = "Taller de Mimir",
	Mine = "Mina",
	Mines = "Minas",
	["Mirage Abyss"] = "Abismo del Espejismo",
	["Mirage Flats"] = "Explanada del Espejismo",
	["Mirage Raceway"] = "Circuito del Espejismo",
	["Mirkfallon Lake"] = "Lago Mirkfallon",
	["Mirkfallon Post"] = "Puesto Mirkfallon",
	["Mirror Lake"] = "Lago Espejo",
	["Mirror Lake Orchard"] = "Vergel del Lago Espejo",
	["Mist's Edge"] = "Cabo de la Niebla",
	["Mistcaller's Cave"] = "Cueva del Clamaneblina",
	["Mistvale Valley"] = "Valle del Velo de Bruma",
	["Mistwhisper Refuge"] = "Refugio Susurraneblina",
	["Misty Pine Refuge"] = "Refugio Pinobruma",
	["Misty Reed Post"] = "Puesto Juncobruma",
	["Misty Reed Strand"] = "Playa Juncobruma",
	["Misty Ridge"] = "Cresta Brumosa",
	["Misty Shore"] = "Costa de la Neblina",
	["Misty Valley"] = "Valle Brumoso",
	["Miwana's Longhouse"] = "Casa Comunal de Miwana",
	["Mizjah Ruins"] = "Ruinas de Mizjah",
	["Mo'grosh Stronghold"] = "Fortaleza de Mo'grosh",
	["Moa'ki"] = "Moa'ki",
	["Moa'ki Harbor"] = "Puerto Moa'ki",
	["Moggle Point"] = "Cabo Moggle",
	["Mok'Doom"] = "Mok'Doom",
	["Mok'Gordun"] = "Mok'Gordun",
	["Mok'Nathal Village"] = "Aldea Mok'Nathal",
	["Mold Foundry"] = "Fundición del Molde",
	["Molten Core"] = "Núcleo de Magma",
	["Molten Front"] = "Frente de Magma",
	["Moon Horror Den"] = "Cubil del Horror de la Luna",
	Moonbrook = "Arroyo de la Luna",
	Moonglade = "Claro de la Luna",
	["Moongraze Woods"] = "Bosque Pasto Lunar",
	["Moonrest Gardens"] = "Jardines Reposo Lunar",
	["Moonshrine Ruins"] = "Ruinas del Santuario Lunar",
	["Moonshrine Sanctum"] = "Sagrario Lunar",
	["Moontouched Den"] = "Cubil Lunadón",
	["Moonwell of Cleansing"] = "Poza de la Luna de Purificación",
	["Moonwell of Purity"] = "Poza de la Luna de Pureza",
	["Moonwing Den"] = "Túmulo Lunala",
	["Mor'shan Base Camp"] = "Campamento de Mor'shan",
	["Mord'rethar: The Death Gate"] = "Mord'rethar: La Puerta de la Muerte",
	["Morgan's Plot"] = "Terreno de Morgan",
	["Morgan's Vigil"] = "Vigilia de Morgan",
	["Morlos'Aran"] = "Morlos'Aran",
	["Mortal's Demise"] = "Óbito del Mortal",
	["Mortwake's Tower"] = "Torre de Mortoalerta",
	["Mosh'Ogg Ogre Mound"] = "Túmulo Ogro Mosh'Ogg",
	["Mosshide Fen"] = "Pantano Pellejomusgo",
	["Mosswalker Village"] = "Poblado Caminamoho",
	["Mossy Pile"] = "Pilote Musgoso",
	["Mount Akher"] = "Monte Akher",
	["Mount Hyjal"] = "Monte Hyjal",
	["Mount Hyjal Phase 1"] = "Mount Hyjal Phase 1",
	["Mountainfoot Strip Mine"] = "Cantera de la Ladera",
	Mudsprocket = "Piñón de Barro",
	Mulgore = "Mulgore",
	["Murder Row"] = "El Frontal de la Muerte",
	["Murkdeep Cavern"] = "Caverna Negrasombra",
	["Mystral Lake"] = "Lago Mystral",
	Mystwood = "Bosque Bruma",
	Nagrand = "Nagrand",
	["Nagrand Arena"] = "Arena de Nagrand",
	Nahom = "Nahom",
	["Nar'shola Terrace"] = "Bancal de Nar'shola",
	["Narvir's Cradle"] = "Cuna de Narvir",
	["Nasam's Talon"] = "Garfa de Nasam",
	["Nat's Landing"] = "Embarcadero de Nat",
	Naxxanar = "Naxxanar",
	Naxxramas = "Naxxramas",
	["Naz'anak: The Forgotten Depths"] = "Naz'anak: Las Profundidades Olvidadas",
	["Nazj'vel"] = "Nazj'vel",
	Nazzivian = "Nazzivian",
	["Needlerock Chasm"] = "Sima Rocaguja",
	["Needlerock Slag"] = "Fosa Rocaguja",
	["Nefarian's Lair"] = "Guarida de Nefarian",
	["Nefarian�s Lair"] = "Guarida de Nefarian",
	["Neferset City"] = "Ciudad de Neferset",
	["Neferset City Outskirts"] = "Afueras de la Ciudad de Neferset",
	["Nek'mani Wellspring"] = "Manantial Nek'mani",
	["Neptulon's Rise"] = "Alto de Neptulon",
	["Nesingwary Base Camp"] = "Campamento Base de Nesingwary",
	["Nesingwary Safari"] = "Safari Nesingwary",
	["Nesingwary's Expedition"] = "Expedición de Nesingwary",
	Nespirah = "Nespirah",
	["Nestlewood Hills"] = "Colinas Cubrebosque",
	["Nestlewood Thicket"] = "Matorral Cubrebosque",
	["Nethander Stead"] = "Granja Nethander",
	["Nethergarde Keep"] = "Castillo de Nethergarde",
	["Nethergarde Mines"] = "Minas de Nethergarde",
	["Nethergarde Supply Camps"] = "Campamento de Suministros de Nethergarde",
	Netherspace = "Espacio Abisal",
	Netherstone = "Piedra Abisal",
	Netherstorm = "Tormenta Abisal",
	["Netherweb Ridge"] = "Cresta Red Abisal",
	["Netherwing Fields"] = "Campos del Ala Abisal",
	["Netherwing Ledge"] = "Arrecife del Ala Abisal",
	["Netherwing Mines"] = "Minas del Ala Abisal",
	["Netherwing Pass"] = "Desfiladero del Ala Abisal",
	["New Agamand"] = "Nuevo Agamand",
	["New Agamand Inn"] = "Posada de Nuevo Agamand",
	["New Avalon"] = "Nuevo Avalon",
	["New Avalon Fields"] = "Campos de Nuevo Avalon",
	["New Avalon Forge"] = "Forja de Nuevo Avalon",
	["New Avalon Orchard"] = "Huerto de Nuevo Avalon",
	["New Avalon Town Hall"] = "Concejo de Nuevo Avalon",
	["New Hearthglen"] = "Nueva Vega del Amparo",
	["New Kargath"] = "Nuevo Kargath",
	["New Thalanaar"] = "Nueva Thalanaar",
	["New Tinkertown"] = "Nueva Ciudad Manitas",
	["Nexus Legendary"] = "Legendario del Nexo",
	Nidavelir = "Nidavelir",
	["Nidvar Stair"] = "Escalera de Nidvar",
	Nifflevar = "Nafsavar",
	["Night Elf Village"] = "Villa Elfo de la Noche",
	["Night Run"] = "Senda de la Noche",
	["Night Web's Hollow"] = "Hoya Nocturácnidas",
	Nighthaven = "Amparo de la Noche",
	["Nightmare Depths"] = "Profundidades de Pesadilla",
	["Nightmare Scar"] = "Paraje Pesadilla",
	["Nightmare Vale"] = "Vega Pesadilla",
	["Nightsong Woods"] = "Bosque Arrullanoche",
	["Nijel's Point"] = "Punta de Nijel",
	["Nimbus Rise"] = "Alto de Nimbo",
	["Njord's Breath Bay"] = "Bahía Aliento de Njord",
	["Njorn Stair"] = "Escalera de Njorn",
	["Njorndar Village"] = "Poblado Njorndar",
	["Noonshade Ruins"] = "Ruinas Sombrasol",
	Nordrassil = "Nordrassil",
	["Nordrassil Inn"] = "Posada de Nordrassil",
	["Nordune Ridge"] = "Cresta Nordune",
	["North Common Hall"] = "Sala Comunal Norte",
	["North Gate Outpost"] = "Avanzada de la Puerta Norte",
	["North Gate Pass"] = "Paso de la Puerta Norte",
	["North Point Station"] = "Estación de la Punta Norte",
	["North Point Tower"] = "Torre de la Punta Norte",
	["North Sanctum"] = "Sagrario del Norte",
	["North Spear Tower"] = "Torre Lanza del Norte",
	["North Tide's Beachhead"] = "Desembarco Mareanorte",
	["North Tide's Run"] = "Cala Mareanorte",
	Northdale = "Vallenorte",
	["Northern Barrens"] = "Los Baldíos del Norte",
	["Northern Headlands"] = "Cabos del Norte",
	["Northern Rampart"] = "Muralla Norte",
	["Northern Rocketway"] = "Cohetepista del Norte",
	["Northern Rocketway Exchange"] = "Intercambiador de la Cohetepista del Norte",
	["Northern Stranglethorn"] = "Norte de la Vega de Tuercespina",
	["Northfold Manor"] = "Mansión Redilnorte",
	["Northgate Breach"] = "Brecha de la Puerta del Norte",
	["Northgate River"] = "Río de la Puerta del Norte",
	["Northgate Woods"] = "Bosque de la Puerta del Norte",
	["Northmaul Tower"] = "Torre Quiebranorte",
	["Northpass Tower"] = "Torre del Paso Norte",
	Northrend = "Rasganorte",
	["Northridge Lumber Camp"] = "Aserradero Crestanorte",
	["Northshire Abbey"] = "Abadía de Villanorte",
	["Northshire River"] = "Río de Villanorte",
	["Northshire Valley"] = "Valle de Villanorte",
	["Northshire Vineyards"] = "Viñedos de Villanorte",
	["Northwatch Expedition Base Camp"] = "Campamento Base de la Expedición del Fuerte del Norte",
	["Northwatch Expedition Base Camp Inn"] = "Taberna del Campamento Base de la Expedición del Fuerte del Norte",
	["Northwatch Foothold"] = "Ciudadela del Fuerte del Norte",
	["Northwatch Hold"] = "Fuerte del Norte",
	["Northwind Cleft"] = "Grieta del Viento Norte",
	["Nozzlepot's Outpost"] = "Avanzada de Ollaboquilla",
	["Nozzlerust Post"] = "Puesto Boquilla Oxidada",
	["O'Breen's Camp"] = "Campamento de O'Breen",
	["Oasis of Vir'sar"] = "Oasis de Vir'sar",
	["Oasis of the Fallen Prophet"] = "Oasis del Profeta Caído",
	["Obelisk of the Moon"] = "Obelisco de la Luna",
	["Obelisk of the Stars"] = "Obelisco de las Estrellas",
	["Obelisk of the Sun"] = "Obelisco del Sol",
	["Observance Hall"] = "Cámara de Observancia",
	["Observation Grounds"] = "Sector de Observación",
	["Obsidia's Perch"] = "Nido de Obsidia",
	["Obsidian Breakers"] = "Rompiente Obsidiana",
	["Obsidian Dragonshrine"] = "Santuario de Dragones Obsidiana",
	["Obsidian Forest"] = "Bosque Obsidiana",
	["Obsidian Lair"] = "Guarida Obsidiana",
	["Odesyus' Landing"] = "Desembarco de Odesyus",
	["Ogri'la"] = "Ogri'la",
	["Old Hillsbrad Foothills"] = "Antiguas Laderas de Trabalomas",
	["Old Ironforge"] = "Antigua Forjaz",
	["Old Town"] = "Casco Antiguo",
	Olembas = "Olembas",
	["Olivia's Pond"] = "Estanque de Olivia",
	["Olsen's Farthing"] = "Finca de Olsen",
	["One More Glass"] = "Una Copa Más",
	Oneiros = "Oneiros",
	["Onslaught Base Camp"] = "Campamento del Embate",
	["Onslaught Harbor"] = "Puerto del Embate",
	["Onyxia's Lair"] = "Guarida de Onyxia",
	["Oomlot Village"] = "Poblado Oomlot",
	Oostan = "Oostan",
	["Oostan Nord"] = "Oostan Nord",
	["Oostan Ost"] = "Oostan Ost",
	["Oostan Sor"] = "Oostan Sor",
	["Opening of the Dark Portal"] = "Apertura de El Portal Oscuro",
	["Opening of the Dark Portal Entrance"] = "Entrada de la Apertura de El Portal Oscuro",
	["Oratory of the Damned"] = "Oratorio de los Malditos",
	["Orebor Harborage"] = "Puerto Orebor",
	["Orendil's Retreat"] = "Refugio de Orendil",
	["Orgrim's Hammer"] = "Martillo de Orgrim",
	Orgrimmar = "Orgrimmar",
	["Orgrimmar Rear Gate"] = "Puerta Trasera de Orgrimmar",
	["Orgrimmar Rocketway Exchange"] = "Intercambiador de la Cohetepista de Orgrimmar",
	["Oronok's Farm"] = "Granja de Oronok",
	Orsis = "Orsis",
	["Ortell's Hideout"] = "Guarida de Ortell",
	["Oshu'gun"] = "Oshu'gun",
	Outland = "Terrallende",
	["Overgrown Camp"] = "Campamento Hojarasca",
	["Owl Wing Thicket"] = "Matorral del Ala del Búho",
	["Pal'ea"] = "Pal'ea",
	["Palemane Rock"] = "Roca Crines Pálidas",
	["Parhelion Plaza"] = "Plaza del Parhelio",
	["Passage of Lost Fiends"] = "Pasaje de los Malignos Perdidos",
	["Path of Uther"] = "Senda de Uther",
	["Path of the Titans"] = "Senda de los Titanes",
	["Pattymack Land"] = "Tierra de Pattymack",
	["Pauper's Walk"] = "Camino del Indigente",
	["Pestilent Scar"] = "Cicatriz Pestilente",
	["Petitioner's Chamber"] = "Cámaras de los Ruegos",
	["Pilgrim's Precipice"] = "Precipicio del Peregrino",
	["Pincer X2"] = "Tenazario X2",
	["Pit of Fangs"] = "Foso de los Colmillos",
	["Pit of Saron"] = "Foso de Saron",
	["Pit of Saron Entrance"] = "Entrada del Foso de Saron",
	["Plaguelands: The Scarlet Enclave"] = "Tierras de la Peste: El Enclave Escarlata",
	["Plaguemist Ravine"] = "Barranco Bruma Enferma",
	Plaguewood = "Bosque de la Peste",
	["Plaguewood Tower"] = "Torre del Bosque de la Peste",
	["Plain of Echoes"] = "Llanura de los Ecos",
	["Plain of Shards"] = "Llanura de los Fragmentos",
	["Plains of Nasam"] = "Llanuras de Nasam",
	["Pod Cluster"] = "La Maraña de Cápsulas",
	["Pod Wreckage"] = "El Cementerio de Cápsulas",
	["Poison Falls"] = "Cascada Hedionda",
	["Pool of Tears"] = "Charca de Lágrimas",
	["Pool of Twisted Reflections"] = "Poza de los Reflejos Distorsionados",
	["Pools of Aggonar"] = "Pozas de Aggonar",
	["Pools of Arlithrien"] = "Estanques de Arlithrien",
	["Pools of Jin'Alai"] = "Pozas de Jin'Alai",
	["Pools of Zha'Jin"] = "Pozas de Zha'Jin",
	["Portal Clearing"] = "Portal del Claro",
	["Prison of Immol'thar"] = "Prisión de Immol'thar",
	["Programmer Isle"] = "Isla del Programador",
	["Promontory Point"] = "Alto del Promontorio",
	["Prospector's Point"] = "Altozano del Prospector",
	["Protectorate Watch Post"] = "Avanzada del Protectorado",
	["Purespring Cavern"] = "Cueva de Manantial",
	["Purgation Isle"] = "Isla del Purgatorio",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Laboratorio Horrores y Risas Alquímicas de Putricidio",
	["Pyrewood Chapel"] = "Capilla Piroleña",
	["Pyrewood Inn"] = "Posada Piroleña",
	["Pyrewood Town Hall"] = "Concejo Piroleña",
	["Pyrewood Village"] = "Aldea Piroleña",
	["Pyrox Flats"] = "Llanos de Pirox",
	["Quagg Ridge"] = "Cresta Quagg",
	Quarry = "Cantera",
	["Quartzite Basin"] = "Cuenca de Cuarcita",
	["Queen's Gate"] = "Puerta de la Reina",
	["Quel'Danil Lodge"] = "Avanzada Quel'Danil",
	["Quel'Delar's Rest"] = "Reposo de Quel'Delar",
	["Quel'Dormir Gardens"] = "Jardines de Quel'Dormir",
	["Quel'Dormir Temple"] = "Templo de Quel'Dormir",
	["Quel'Dormir Terrace"] = "Bancal de Quel'Dormir",
	["Quel'Lithien Lodge"] = "Refugio Quel'Lithien",
	["Quel'thalas"] = "Quel'thalas",
	["Raastok Glade"] = "Claro Raastok",
	["Raceway Ruins"] = "Ruinas del Circuito",
	["Rage Fang Shrine"] = "Santuario Colmillo Iracundo",
	["Rage Scar Hold"] = "Dominios de los Cicatriz de Rabia",
	["Rageclaw Den"] = "Guarida de Garrafuria",
	["Rageclaw Lake"] = "Lago de Garrafuria",
	["Ragefeather Ridge"] = "Loma Plumira",
	["Ragefire Chasm"] = "Sima Ígnea",
	["Ragnaros' Lair"] = "Guarida de Ragnaros",
	["Ragnaros' Reach"] = "Tramo de Ragnaros",
	["Rainspeaker Canopy"] = "Canope de Hablalluvia",
	["Rainspeaker Rapids"] = "Rápidos de Hablalluvia",
	Ramkahen = "Ramkahen",
	["Ramkahen Legion Outpost"] = "Avanzada de la Legión Ramkahen",
	["Rampart of Skulls"] = "La Muralla de las Calaveras",
	["Ranazjar Isle"] = "Isla Ranazjar",
	["Raptor Pens"] = "Cercado de Raptores",
	["Raptor Ridge"] = "Colina del Raptor",
	["Raptor Rise"] = "Alto de Raptores",
	Ratchet = "Trinquete",
	["Rated Eye of the Storm"] = "Ojo de la Tormenta puntuado",
	["Ravaged Caravan"] = "Caravana Devastada",
	["Ravaged Crypt"] = "Cripta Devastada",
	["Ravaged Twilight Camp"] = "Campamento Crepúsculo Devastado",
	["Raven Hill"] = "Cerro del Cuervo",
	["Raven Hill Cemetery"] = "Cementerio del Cerro del Cuervo",
	["Raven's Watch"] = "Guardia del Cuervo",
	["Raven's Wood"] = "Bosque del Cuervo",
	["Ravencrest Monument"] = "Monumento Cresta Cuervo",
	["Ravenholdt Manor"] = "Mansión Ravenholdt",
	["Raynewood Retreat"] = "Refugio de la Algaba",
	["Raynewood Tower"] = "Torre de la Algaba",
	["Razaan's Landing"] = "Zona de Aterrizaje Razaan",
	["Razor Hill"] = "Cerrotajo",
	["Razor Hill Barracks"] = "Cuartel de Cerrotajo",
	["Razor Ridge"] = "Loma Tajo",
	["Razorfen Downs"] = "Zahúrda Rajacieno",
	["Razorfen Downs Entrance"] = "Entrada de Zahúrda Rajacieno",
	["Razorfen Kraul"] = "Horado Rajacieno",
	["Razorfen Kraul Entrance"] = "Entrada de Horado Rajacieno",
	["Razormane Grounds"] = "Tierras Crines de Acero",
	["Razorscale's Aerie"] = "Nidal de Tajoescama",
	["Razorthorn Rise"] = "Alto Rajaespina",
	["Razorthorn Shelf"] = "Saliente Rajaespina",
	["Razorthorn Trail"] = "Senda Rajaespina",
	["Razorwind Canyon"] = "Cañón del Ventajo",
	["Reaver's Fall"] = "Caída del Atracador Vil",
	["Reavers' Hall"] = "Cámara de los Atracadores",
	["Rebel Camp"] = "Asentamiento Rebelde",
	["Red Cloud Mesa"] = "Mesa de la Nube Roja",
	["Red Rocks"] = "Roca Roja",
	["Redpine Dell"] = "Valle Pinorrojo",
	["Redridge Canyons"] = "Cañones de Crestagrana",
	["Redridge Mountains"] = "Montañas Crestagrana",
	["Redwood Trading Post"] = "Puesto de Venta de Madera Roja",
	Refinery = "Refinería",
	["Refuge Pointe"] = "Refugio de la Zaga",
	["Refugee Caravan"] = "Caravana de Refugiados",
	["Reliquary of Agony"] = "Relicario de Agonía",
	["Reliquary of Pain"] = "Relicario de Dolor",
	["Remains of Iris Lake"] = "Ruinas del Lago Iris",
	["Remains of the Fleet"] = "Restos de la Flota",
	["Remtravel's Excavation"] = "Excavación de Tripirrem",
	["Render's Camp"] = "Campamento de Render",
	["Render's Crater"] = "Cráter de Render",
	["Render's Rock"] = "Roca de Render",
	["Render's Valley"] = "Valle de Render",
	["Rethban Caverns"] = "Cavernas de Rethban",
	["Rethress Sanctum"] = "Sagrario de Rethress",
	Reuse = "Reutilizar",
	["Revantusk Village"] = "Poblado Sañadiente",
	["Rhea's Camp"] = "Campamento de Rhea",
	["Rhyolith Plateau"] = "Meseta de Piroclasto",
	["Ricket's Folly"] = "Locura de Ricket",
	["Ridge of Madness"] = "Cresta de la Locura",
	["Ridgepoint Tower"] = "Torre de la Peña",
	["Rim of the World"] = "Límite del Mundo",
	["Ring of Judgement"] = "El Círculo del Juicio",
	["Ring of Observance"] = "Círculo de la Observancia",
	["Ring of the Elements"] = "Círculo de los Elementos",
	["Ring of the Law"] = "Círculo de la Ley",
	["Riplash Ruins"] = "Ruinas Tralladón",
	["Riplash Strand"] = "Litoral Tralladón",
	["Rise of Suffering"] = "Alto del Sufrimiento",
	["Rise of the Defiler"] = "Alto de los Rapiñadores",
	["Ritual Chamber of Akali"] = "Cámara de Rituales de Akali",
	["Rivendark's Perch"] = "Nido de Desgarro Oscuro",
	Rivenwood = "El Bosque Hendido",
	["River's Heart"] = "Corazón del Río",
	["Rock of Durotan"] = "Roca de Durotan",
	["Rockpool Village"] = "Aldea Pozarroca",
	["Rocktusk Farm"] = "Granja Rocamuela",
	["Roguefeather Den"] = "Guarida Malapluma",
	["Rogues' Quarter"] = "Barrio de los Pícaros",
	["Rohemdal Pass"] = "Paso de Rohemdal",
	["Roland's Doom"] = "Condena de Roland",
	["Rotbrain Encampment"] = "Campamento Pudrecerebro",
	["Royal Exchange Auction House"] = "Casa de subastas de Intercambio Real",
	["Royal Exchange Bank"] = "Banco Real de Cambio",
	["Royal Gallery"] = "Galería Real",
	["Royal Library"] = "Archivo Real",
	["Royal Quarter"] = "Barrio Real",
	["Ruby Dragonshrine"] = "Santuario de Dragones Rubí",
	["Ruined City Post 01"] = "Puesto 01 de la Ciudad en Ruinas",
	["Ruined Court"] = "Patio en Ruinas",
	["Ruins of Aboraz"] = "Ruinas de Aboraz",
	["Ruins of Ahmtul"] = "Ruinas de Ahmtul",
	["Ruins of Ahn'Qiraj"] = "Ruinas de Ahn'Qiraj",
	["Ruins of Alterac"] = "Ruinas de Alterac",
	["Ruins of Ammon"] = "Ruinas de Ammon",
	["Ruins of Arkkoran"] = "Ruinas de Arkkoran",
	["Ruins of Auberdine"] = "Ruinas de Auberdine",
	["Ruins of Baa'ri"] = "Ruinas de Baa'ri",
	["Ruins of Constellas"] = "Ruinas de Constellas",
	["Ruins of Drak'Zin"] = "Ruinas de Drak'Zin",
	["Ruins of Drakgor"] = "Ruinas de Drakgor",
	["Ruins of Eldarath"] = "Ruinas de Eldarath",
	["Ruins of Eldra'nath"] = "Ruinas de Eldra'nath",
	["Ruins of Eldre'thar"] = "Ruinas de Eldre'thar",
	["Ruins of Enkaat"] = "Ruinas de Enkaat",
	["Ruins of Farahlon"] = "Ruinas de Farahlon",
	["Ruins of Feathermoon"] = "Ruinas de Plumaluna",
	["Ruins of Gilneas"] = "Ruinas de Gilneas",
	["Ruins of Gilneas City"] = "Ruinas de la Ciudad de Gilneas",
	["Ruins of Isildien"] = "Ruinas de Isildien",
	["Ruins of Jubuwal"] = "Ruinas de Jubuwal",
	["Ruins of Karabor"] = "Ruinas de Karabor",
	["Ruins of Kargath"] = "Ruinas de Kargath",
	["Ruins of Khintaset"] = "Ruinas de Khintaset",
	["Ruins of Lar'donir"] = "Ruinas de Lar'donir",
	["Ruins of Lordaeron"] = "Ruinas de Lordaeron",
	["Ruins of Loreth'Aran"] = "Ruinas de Loreth'Aran",
	["Ruins of Lornesta"] = "Ruinas de Lornesta",
	["Ruins of Mathystra"] = "Ruinas de Mathystra",
	["Ruins of Nordressa"] = "Ruinas de Nordressa",
	["Ruins of Ravenwind"] = "Ruinas de Viento Azabache",
	["Ruins of Sha'naar"] = "Ruinas de Sha'naar",
	["Ruins of Shandaral"] = "Ruinas de Shandaral",
	["Ruins of Silvermoon"] = "Ruinas de Lunargenta",
	["Ruins of Solarsal"] = "Ruinas de Solarsal",
	["Ruins of Southshore"] = "Ruinas de Costasur",
	["Ruins of Taurajo"] = "Ruinas de Taurajo",
	["Ruins of Tethys"] = "Ruinas de Tethys",
	["Ruins of Thaurissan"] = "Ruinas de Thaurissan",
	["Ruins of Thelserai Temple"] = "Ruinas del Templo Thelserai",
	["Ruins of Uldum"] = "Ruinas de Uldum",
	["Ruins of Vashj'elan"] = "Ruinas de Vashj'elan",
	["Ruins of Vashj'ir"] = "Ruinas de Vashj'ir",
	["Ruins of Zul'Kunda"] = "Ruinas de Zul'Kunda",
	["Ruins of Zul'Mamwe"] = "Ruinas de Zul'Mamwe",
	["Ruins of the Scarlet Enclave"] = "Ruinas de El Enclave Escarlata",
	["Runestone Falithas"] = "Piedra Rúnica Falithas",
	["Runestone Shan'dor"] = "Piedra Rúnica Shan'dor",
	["Runeweaver Square"] = "Plaza Tejerruna",
	["Rustberg Village"] = "Aldea Monrojo",
	["Rustmaul Dive Site"] = "Excavación Oximelena",
	["Rut'theran Village"] = "Aldea Rut'theran",
	["Rutsak's Guard"] = "Guardia de Rutsak",
	["Ruuan Weald"] = "Foresta Ruuan",
	["Ruuna's Camp"] = "Campamento de Ruuna",
	["Ruuzel's Isle"] = "Isla de Ruuzel",
	["Rygna's Lair"] = "Guarida de Rygna",
	["SI:7"] = "IV:7",
	["STV Diamond Mine BG"] = "CB Mina de Diamantes STV",
	["Sable Ridge"] = "Cumbre Cebellina",
	["Sahket Wastes"] = "Ruinas de Sahket",
	["Saldean's Farm"] = "Finca de Saldean",
	["Saltheril's Haven"] = "Refugio de Saltheril",
	["Saltspray Glen"] = "Cañada Salobre",
	["Sanctuary of Malorne"] = "Santuario de Malorne",
	["Sanctuary of Shadows"] = "Santuario de las Sombras",
	["Sanctum of Reanimation"] = "Sagrario de Reanimación",
	["Sanctum of Shadows"] = "Sagrario de las Sombras",
	["Sanctum of the Ascended"] = "Sagrario de los Ascendientes",
	["Sanctum of the Fallen God"] = "Sagrario del Dios Caído",
	["Sanctum of the Moon"] = "Sagrario de la Luna",
	["Sanctum of the Prophets"] = "Sagrario de los Profetas",
	["Sanctum of the South Wind"] = "Sagrario del Viento del Sur",
	["Sanctum of the Stars"] = "Sagrario de las Estrellas",
	["Sanctum of the Sun"] = "Sagrario del Sol",
	["Sands of Nasam"] = "Arenas de Nasam",
	["Sandsorrow Watch"] = "Vigía Penas de Arena",
	["Sandy Beach"] = "Playa Arenosa",
	["Sanguine Chamber"] = "Cámara Sanguina",
	["Sapphire Hive"] = "Enjambre Zafiro",
	["Sapphiron's Lair"] = "Guarida de Sapphiron",
	["Sar'theris Strand"] = "Playa de Sar'theris",
	["Saragosa's Landing"] = "Alto de Saragosa",
	["Sardor Isle"] = "Isla de Sardor",
	Sargeron = "Sargeron",
	["Saronite Mines"] = "Minas de Saronita",
	Satyrnaar = "Satyrnaar",
	["Savage Ledge"] = "Cornisa Salvaje",
	["Scalawag Point"] = "Cabo Pillastre",
	["Scalding Pools"] = "Pozas Escaldantes",
	["Scalebeard's Cave"] = "Cueva de Barbaescamas",
	["Scalewing Shelf"] = "Plataforma Alaescama",
	["Scar of the Worldbreaker"] = "Cicatriz del Rompemundos",
	["Scarab Terrace"] = "Bancal del Escarabajo",
	["Scarlet Encampment"] = "Campamento Escarlata",
	["Scarlet Hold"] = "El Bastión Escarlata",
	["Scarlet Monastery"] = "Monasterio Escarlata",
	["Scarlet Monastery Entrance"] = "Entrada del Monasterio Escarlata",
	["Scarlet Overlook"] = "Mirador Escarlata",
	["Scarlet Palisade"] = "Acantilado Escarlata",
	["Scarlet Point"] = "Punta Escarlata",
	["Scarlet Raven Tavern"] = "Mesón del Cuervo Escarlata",
	["Scarlet Tavern"] = "Taberna Escarlata",
	["Scarlet Tower"] = "Torre Escarlata",
	["Scarlet Watch Post"] = "Atalaya Escarlata",
	["Scarlet Watchtower"] = "Torre de vigilancia Escarlata",
	["Scarred Terrace"] = "Bancal Rajado",
	["Scenario: Alcaz Island"] = "Escenario: Isla de Alcaz",
	["Schnottz's Frigate"] = "Fragata de Schnottz",
	["Schnottz's Hostel"] = "Hostal de Schnottz",
	["Schnottz's Landing"] = "Embarcadero de Schnottz",
	Scholomance = "Scholomance",
	["Scholomance Entrance"] = "Entrada de Scholomance",
	["School of Necromancy"] = "Escuela de Nigromancia",
	["Scorched Gully"] = "Quebrada del Llanto",
	["Scott's Spooky Area"] = "Escalofrío de Scott",
	["Scoured Reach"] = "Tramo de Rozas",
	Scourgehold = "Fuerte de la Plaga",
	Scourgeholme = "Ciudad de la Plaga",
	["Scourgelord's Command"] = "Dominio del Señor de la Plaga",
	["Scrabblescrew's Camp"] = "Campamento de los Mezclatornillos",
	["Screaming Gully"] = "Quebrada del Llanto",
	["Scryer's Tier"] = "Grada del Arúspice",
	["Scuttle Coast"] = "Costa de la Huida",
	Seabrush = "Malezamarina",
	["Seafarer's Tomb"] = "Tumba del Navegante",
	["Seal of the Sun King"] = "Sello del Rey Sol",
	["Searing Gorge"] = "La Garganta de Fuego",
	["Seat of Destruction"] = "Trono del Caos",
	["Seat of Life"] = "Trono de la Vida",
	["Seat of Magic"] = "Trono de la Magia",
	["Seat of Radiance"] = "Trono del Resplandor",
	["Seat of the Chosen"] = "Trono de los Elegidos",
	["Seat of the Naaru"] = "Trono de los Naaru",
	["Sen'jin Village"] = "Poblado Sen'jin",
	["Sentinel Hill"] = "Colina del Centinela",
	["Sentinel Tower"] = "Torre del Centinela",
	["Sentry Point"] = "Alto del Centinela",
	Seradane = "Seradane",
	["Serpent Lake"] = "Lago Serpiente",
	["Serpent's Coil"] = "Serpiente Enroscada",
	["Serpentshrine Cavern"] = "Caverna Santuario Serpiente",
	["Servants' Quarters"] = "Alcobas de los Sirvientes",
	["Service Entrance"] = "Entrada de Servicio",
	["Sethekk Halls"] = "Salas Sethekk",
	["Sethria's Roost"] = "Nidal de Sethria",
	["Sewer Exit Pipe"] = "Tubería de salida de las cloacas",
	Sewers = "Cloacas",
	["Sha'naari Wastes"] = "Ruinas Sha'naari",
	["Sha'tari Base Camp"] = "Campamento Sha'tari",
	["Sha'tari Outpost"] = "Avanzada Sha'tari",
	Shadebough = "Rama Sombría",
	["Shadow Grave"] = "Sepulcro Sombrío",
	["Shadow Hold"] = "Guarida Sombría",
	["Shadow Labyrinth"] = "Laberinto de las Sombras",
	["Shadow Ridge"] = "Cresta de las Sombras",
	["Shadow Tomb"] = "Tumba Umbría",
	["Shadow Wing Lair"] = "Guarida de Alasombra",
	["Shadowbreak Ravine"] = "Barranco Rompesombras",
	["Shadowfang Keep"] = "Castillo de Colmillo Oscuro",
	["Shadowfang Keep Entrance"] = "Entrada del Castillo de Colmillo Oscuro",
	["Shadowfang Tower"] = "Torre de Colmillo Oscuro",
	["Shadowforge City"] = "Ciudad Forjatiniebla",
	Shadowglen = "Cañada Umbría",
	["Shadowlurk Ridge"] = "Cresta Acechumbra",
	["Shadowmoon Valley"] = "Valle Sombraluna",
	["Shadowmoon Village"] = "Aldea Sombraluna",
	["Shadowprey Village"] = "Aldea Cazasombras",
	["Shadowshard Cavern"] = "Cueva Fragmento Oscuro",
	["Shadowsight Tower"] = "Torre de la Vista de las Sombras",
	["Shadowsong Shrine"] = "Santuario Cantosombrío",
	["Shadowthread Cave"] = "Gruta Narácnida",
	["Shadra'Alor"] = "Shadra'Alor",
	["Shady Rest Inn"] = "Posada Reposo Umbrío",
	["Shalandis Isle"] = "Isla Shalandis",
	["Shalewind Canyon"] = "Cañón del Viento Calizo",
	["Shallow's End"] = "Confín del Bajío",
	["Shalzaru's Lair"] = "Guarida de Shalzaru",
	Shamanar = "Shamanar",
	["Shaol'watha"] = "Shaol'watha",
	["Shaper's Terrace"] = "Bancal del Creador",
	["Shartuul's Transporter"] = "Transportador de Shartuul",
	["Shatter Point"] = "Puesto Devastación",
	["Shatter Scar Vale"] = "Cañada Gran Cicatriz",
	["Shattered Plains"] = "Llanuras Devastadas",
	["Shattered Straits"] = "Estrecho Devastado",
	["Shattered Sun Staging Area"] = "Zona de Escala de Sol Devastado",
	Shattershore = "Costa Quebrada",
	["Shatterspear Pass"] = "Paso Rompelanzas",
	["Shatterspear Vale"] = "Valle Rompelanzas",
	["Shatterspear War Camp"] = "Campamento de Guerra Rompelanzas",
	Shatterstone = "Ruina Pétrea",
	Shattrath = "Shattrath",
	["Shattrath City"] = "Ciudad de Shattrath",
	["Shell Beach"] = "Playa del Molusco",
	["Shield Hill"] = "Colina Escudo",
	["Shields of Silver"] = "Escudos de plata",
	["Shimmer Ridge"] = "Monte Luz",
	["Shimmering Bog"] = "Ciénaga Bruñida",
	["Shimmering Expanse"] = "Extensión Bruñida",
	["Shimmering Grotto"] = "Gruta Bruñida",
	["Shindigger's Camp"] = "Campamento Machacacanillas",
	["Shipwreck Shore"] = "Costa del Naufragio",
	["Shok'Thokar"] = "Shok'Thokar",
	["Sholazar Basin"] = "Cuenca de Sholazar",
	["Shrine of Aessina"] = "El Santuario de Aessina",
	["Shrine of Aviana"] = "Santuario de Aviana",
	["Shrine of Dath'Remar"] = "Santuario de Dath'Remar",
	["Shrine of Eck"] = "Santuario de Eck",
	["Shrine of Goldrinn"] = "Santuario de Goldrinn",
	["Shrine of Lost Souls"] = "Santuario de las Almas Perdidas",
	["Shrine of Remulos"] = "Santuario de Remulos",
	["Shrine of Scales"] = "Santuario de Escamas",
	["Shrine of Thaurissan"] = "Ruinas de Thaurissan",
	["Shrine of Unending Light"] = "Santuario de Luz Inagotable",
	["Shrine of the Deceiver"] = "Santuario del Impostor",
	["Shrine of the Dormant Flame"] = "Santuario de la Llama Latente",
	["Shrine of the Eclipse"] = "Santuario del Eclipse",
	["Shrine of the Elements"] = "Santuario de los Elementales",
	["Shrine of the Fallen Warrior"] = "Santuario del Guerrero Caído",
	["Shrine of the Five Khans"] = "Santuario de los Cinco Khans",
	["Shriveled Oasis"] = "Oasis Árido",
	["Shuddering Spires"] = "Agujas Estremecedoras",
	["Siege Vise"] = "Torno de Asedio",
	["Siege Workshop"] = "Taller de Asedio",
	["Sifreldar Village"] = "Poblado Sifreldar",
	["Silent Vigil"] = "Vigía Silencioso",
	Silithus = "Silithus",
	["Silmyr Lake"] = "Lago Silmyr",
	["Silting Shore"] = "La Costa de Cieno",
	["Silver Covenant Pavilion"] = "Pabellón de El Pacto de Plata",
	["Silver Stream Mine"] = "Mina de Fuenteplata",
	["Silver Tide Hollow"] = "Cuenca de Marea Argenta",
	["Silver Tide Trench"] = "Zanja de Marea Argenta",
	Silverbrook = "Arroyoplata",
	["Silverbrook Hills"] = "Colinas de Arroyoplata",
	["Silverlight Cavern"] = "Caverna Luz de Plata",
	["Silverline Lake"] = "Lago Lineargenta",
	["Silvermoon City"] = "Ciudad de Lunargenta",
	["Silvermoon City Inn"] = "Posada de Ciudad de Lunargenta",
	["Silvermoon Finery"] = "Galas de Lunargenta",
	["Silvermoon Jewelery"] = "Joyería de Lunargenta",
	["Silvermoon Registry"] = "Registro de Lunargenta",
	["Silvermoon's Pride"] = "Orgullo de Lunargenta",
	["Silvermyst Isle"] = "Isla Bruma de Plata",
	["Silverpine Forest"] = "Bosque de Argénteos",
	["Silverwind Refuge"] = "Refugio Brisa de Plata",
	["Silverwing Flag Room"] = "Sala de la Bandera de Brisa de Plata",
	["Silverwing Grove"] = "Claro Ala de Plata",
	["Silverwing Hold"] = "Bastión Ala de Plata",
	["Silverwing Outpost"] = "Avanzada Ala de Plata",
	["Simply Enchanting"] = "Simplemente Encantador",
	["Sindragosa's Fall"] = "La Caída de Sindragosa",
	["Sindweller's Rise"] = "Alto del Morapecado",
	["Singing Ridge"] = "Cresta Canto",
	["Sinner's Folly"] = "Locura del Pecador",
	["Sira'kess Front"] = "Frente de Sira'kess",
	["Sishir Canyon"] = "Cañón Sishir",
	["Sisters Sorcerous"] = "Hermanas Hechiceras",
	Skald = "Skald",
	["Sketh'lon Base Camp"] = "Campamento Sketh'lon",
	["Sketh'lon Wreckage"] = "Ruinas de Sketh'lon",
	["Skethyl Mountains"] = "Montañas Skethyl",
	Skettis = "Skettis",
	["Skitterweb Tunnels"] = "Túneles de Arácnidas",
	Skorn = "Skorn",
	["Skulk Rock"] = "Roca Oculta",
	["Skulking Row"] = "El Frontal de la Muerte",
	["Skull Rock"] = "Roca del Cráneo",
	["Sky Falls"] = "Cascadas del Cielo",
	["Skyguard Outpost"] = "Avanzada de la Guardia del Cielo",
	["Skyline Ridge"] = "Cresta Horizonte",
	["Skysong Lake"] = "Lago Son Celeste",
	["Slabchisel's Survey"] = "Peritaje de Tallalosas",
	["Slag Watch"] = "Vigía de la Escoria",
	Slagworks = "Rescoldos",
	["Slaughter Hollow"] = "Cuenca de la Matanza",
	["Slaughter Square"] = "Plaza Degolladero",
	["Sleeping Gorge"] = "Desfiladero del Letargo",
	["Slither Rock"] = "Roca Desliz",
	["Slitherblade Shore"] = "Costa Filozante",
	["Slithering Cove"] = "Cala Serpenteante",
	["Sludgeguard Tower"] = "Torre Guardalodo",
	["Smuggler's Scar"] = "Cicatriz del Contrabandista",
	["Snowblind Hills"] = "Colinas Veloneve",
	["Snowblind Terrace"] = "Bancal Veloneve",
	["Snowden Chalet"] = "Chalet Cubilnevado",
	["Snowdrift Plains"] = "Llanuras Ventisquero",
	["Snowfall Glade"] = "Claro Avalancha",
	["Snowfall Graveyard"] = "Cementerio Avalancha",
	["Socrethar's Seat"] = "Trono de Socrethar",
	["Sofera's Naze"] = "Saliente de Sofera",
	["Solace Glade"] = "Claro del Consuelo",
	["Solliden Farmstead"] = "Hacienda Solliden",
	["Solstice Village"] = "Poblado Solsticio",
	["Sorlof's Strand"] = "Playa de Sorlof",
	["Sorrow Hill"] = "Colina de las Penas",
	["Sorrow Hill Crypt"] = "Cripta de la Colina de las Penas",
	["Sorrow Wing Point"] = "Punta Alapenas",
	Sorrowmurk = "Tinieblas de las Penas",
	["Soulgrinder's Barrow"] = "Túmulo de Moledor de Almas",
	["South Common Hall"] = "Sala Comunal Sur",
	["South Gate Outpost"] = "Avanzada de la Puerta Sur",
	["South Gate Pass"] = "Paso de la Puerta Sur",
	["South Point Station"] = "Estación de la Punta Sur",
	["South Seas"] = "Mares del Sur",
	["South Spire"] = "Fortín del Sur",
	["South Tide's Run"] = "Cala Mareasur",
	["Southbreak Shore"] = "Tierras del Sur",
	["Southern Barrens"] = "Los Baldíos del Sur",
	["Southern Gold Road"] = "Camino del Oro Sur",
	["Southern Rampart"] = "Muralla Sur",
	["Southern Rocketway"] = "Cohetepista del Sur",
	["Southern Rocketway Terminus"] = "Terminal de la Cohetepista del Sur",
	["Southern Savage Coast"] = "Costa Salvaje del Sur",
	["Southfury River"] = "Río Furia del Sur",
	["Southfury Watershed"] = "Cuenca Furia del Sur",
	["Southmaul Tower"] = "Torre Quiebrasur",
	["Southmoon Ruins"] = "Ruinas de Lunasur",
	["Southpoint Gate"] = "Puerta Austral",
	["Southpoint Tower"] = "Torre Austral",
	["Southridge Beach"] = "Playa del Arrecife Sur",
	["Southsea Holdfast"] = "Sargazo de los Mares del Sur",
	Southshore = "Costasur",
	["Southshore Town Hall"] = "Cabildo de Costasur",
	["Southwind Cleft"] = "Grieta del Viento Sur",
	["Southwind Village"] = "Aldea del Viento del Sur",
	["Sparksocket Minefield"] = "Campo de Minas Encajebujía",
	["Sparktouched Haven"] = "Retiro Pavesa",
	["Sparring Hall"] = "Sala de Entrenamiento",
	["Spearborn Encampment"] = "Campamento Lanzonato",
	Spearhead = "Punta de Lanza",
	["Speedbarge Bar"] = "Bar del Barcódromo",
	["Spinebreaker Mountains"] = "Montañas Rompeloma",
	["Spinebreaker Pass"] = "Desfiladero Rompeloma",
	["Spinebreaker Post"] = "Avanzada Rompeloma",
	["Spinebreaker Ridge"] = "Cresta Rompeloma",
	["Spiral of Thorns"] = "Espiral de las Zarzas",
	["Spire Throne"] = "Trono Espiral",
	["Spire of Blood"] = "Aguja de Sangre",
	["Spire of Decay"] = "Aguja de Putrefacción",
	["Spire of Pain"] = "Aguja de Dolor",
	["Spirit Den"] = "Cubil del Espíritu",
	["Spirit Fields"] = "Campos de Espíritus",
	["Spirit Rise"] = "Alto de los Espíritus",
	["Spirit Rock"] = "Roca de los Espíritus",
	["Spitescale Cavern"] = "Caverna Escala Maliciosa",
	["Spitescale Cove"] = "Cala Escama Maliciosa",
	["Splinterspear Junction"] = "Cruce Lanzarrota",
	Splintertree = "Hachazo",
	["Splintertree Mine"] = "Mina del Hachazo",
	["Splintertree Post"] = "Puesto del Hachazo",
	["Splithoof Crag"] = "Risco Pezuña Quebrada",
	["Splithoof Heights"] = "Cumbres Pezuña Quebrada",
	["Splithoof Hold"] = "Campamento Pezuña Quebrada",
	Sporeggar = "Esporaggar",
	["Sporewind Lake"] = "Lago Espora Volante",
	["Spruce Point Post"] = "Puesto del Altozano de Píceas",
	Stables = "Establos",
	Stagalbog = "Stagalbog",
	["Stagalbog Cave"] = "Cueva Stagalbog",
	["Stagecoach Crash Site"] = "Lugar del Accidente de la Diligencia",
	["Staghelm Point"] = "Punta de Corzocelada",
	["Starbreeze Village"] = "Aldea Brisa Estelar",
	["Stardust Spire"] = "Torre del Polvo Estelar",
	["Starfall Village"] = "Aldea Estrella Fugaz",
	["Stars' Rest"] = "Reposo Estelar",
	["Stasis Block: Maximus"] = "Bloque de Estasis: Maximus",
	["Stasis Block: Trion"] = "Bloque de Estasis: Trion",
	["Steam Springs"] = "Manantiales de Vapor",
	["Steamwheedle Port"] = "Puerto Bonvapor",
	["Steel Gate"] = "Las Puertas de Acero",
	["Steelgrill's Depot"] = "Almacén de Brasacerada",
	["Steeljaw's Caravan"] = "Caravana de Quijacero",
	["Steelspark Station"] = "Estación Chispacero",
	["Stendel's Pond"] = "Estanque de Stendel",
	["Stillpine Hold"] = "Bastión Semprepino",
	["Stillwater Pond"] = "Charca Aguaserena",
	["Stillwhisper Pond"] = "Charca Plácido Susurro",
	Stonard = "Rocal",
	["Stone Cairn Lake"] = "Lago del Hito",
	["Stone Sentinel's Overlook"] = "Mirador del Centinela de Piedra",
	["Stonebreaker Camp"] = "Campamento Rompepedras",
	["Stonebreaker Hold"] = "Bastión Rompepedras",
	["Stonebull Lake"] = "Lago Toro de Piedra",
	Stonehearth = "Hogar Pétreo",
	["Stonehearth Bunker"] = "Búnker Piedrahogar",
	["Stonehearth Graveyard"] = "Cementerio Piedrahogar",
	["Stonehearth Outpost"] = "Avanzada Piedrahogar",
	["Stonemaul Hold"] = "Bastión Quebrantarrocas",
	["Stonemaul Ruins"] = "Ruinas Quebrantarrocas",
	["Stonesplinter Valley"] = "Valle Rompecantos",
	["Stonetalon Bomb"] = "Bomba del Espolón",
	["Stonetalon Mountains"] = "Sierra Espolón",
	["Stonetalon Pass"] = "Paso del Espolón",
	["Stonetalon Peak"] = "Cima del Espolón",
	["Stonewall Canyon"] = "Cañón de la Muralla",
	["Stonewall Lift"] = "Elevador del Muro de Piedra",
	["Stoneward Prison"] = "Prisión Guardapétrea",
	Stonewatch = "Petravista",
	["Stonewatch Falls"] = "Cascadas Petravista",
	["Stonewatch Keep"] = "Fuerte de Petravista",
	["Stonewatch Tower"] = "Torre de Petravista",
	["Stonewrought Dam"] = "Presa de las Tres Cabezas",
	["Stonewrought Pass"] = "Paso de Fraguapiedra",
	["Storm Cliffs"] = "Acantilados de la Tormenta",
	["Storm Peaks"] = "Las Cumbres Tormentosas",
	["Storm's Fury Wreckage"] = "Restos de la Furia de la Tormenta",
	Stormcrest = "Crestormenta",
	["Stormfeather Outpost"] = "Avanzada Tempespluma",
	["Stormglen Village"] = "Poblado Valletormenta",
	["Stormpike Graveyard"] = "Cementerio Pico Tormenta",
	["Stormrage Barrow Dens"] = "Túmulo de Tempestira",
	Stormwind = "Ventormenta",
	["Stormwind City"] = "Ciudad de Ventormenta",
	["Stormwind City Cemetery"] = "Cementerio de la Ciudad de Ventormenta",
	["Stormwind City Outskirts"] = "Afueras de la Ciudad de Ventormenta",
	["Stormwind Harbor"] = "Puerto de Ventormenta",
	["Stormwind Keep"] = "Castillo de Ventormenta",
	["Stormwind Lake"] = "Lago de Ventormenta",
	["Stormwind Mountains"] = "Montañas de Ventormenta",
	["Stormwind Stockade"] = "Mazmorras de Ventormenta",
	["Stormwind Vault"] = "Cámara de Ventormenta",
	["Stoutlager Inn"] = "Pensión La Cebada",
	Strahnbrad = "Strahnbrad",
	["Strand of the Ancients"] = "Playa de los Ancestros",
	["Stranglethorn Vale"] = "Vega de Tuercespina",
	Stratholme = "Stratholme",
	["Stratholme Entrance"] = "Entrada de Stratholme",
	["Stratholme Service Entrance"] = "Entrada de servicio de Stratholme",
	["Stromgarde Keep"] = "Castillo de Stromgarde",
	["Stygian Bounty"] = "Recompensa Estigia",
	["Sub zone"] = "Subzona",
	["Sulfuron Keep"] = "Fortaleza de Sulfuron",
	["Sulfuron Keep Courtyard"] = "Patio de la Fortaleza de Sulfuron",
	["Sulfuron Span"] = "Puente de Sulfuron",
	["Sulfuron Spire"] = "Aguja de Sulfuron",
	["Sullah's Sideshow"] = "Puesto de Sullah",
	["Summoners' Tomb"] = "Tumba del Invocador",
	["Sun Rock Retreat"] = "Refugio Roca del Sol",
	["Sun's Reach Armory"] = "Arsenal de Tramo del Sol",
	["Sun's Reach Harbor"] = "Puerto de Tramo del Sol",
	["Sun's Reach Sanctum"] = "Sagrario de Tramo del Sol",
	["Suncrown Village"] = "Aldea Corona del Sol",
	["Sundown Marsh"] = "Pantano del Ocaso",
	["Sunfire Point"] = "Punta del Fuego Solar",
	["Sunfury Hold"] = "Bastión Furia del Sol",
	["Sunfury Spire"] = "Aguja Furia del Sol",
	["Sungraze Peak"] = "Cima Rasguño de Sol",
	["Sunken Dig Site"] = "Excavación Sumergida",
	["Sunken Temple"] = "Templo Sumergido",
	["Sunken Temple Entrance"] = "Entrada del Templo Sumergido",
	["Sunreaver Pavilion"] = "Pabellón Atracasol",
	["Sunreaver's Command"] = "Dominio de los Atracasol",
	["Sunreaver's Sanctuary"] = "Santuario Atracasol",
	["Sunsail Anchorage"] = "Fondeadero Vela del Sol",
	["Sunspring Post"] = "Puesto Primasol",
	["Sunstone Terrace"] = "Bancal Piedrasol",
	["Sunstrider Isle"] = "Isla del Caminante del Sol",
	["Sunveil Excursion"] = "Excursión Velosolar",
	["Sunwatcher's Ridge"] = "Monte del Vigía del Sol",
	["Sunwell Plateau"] = "Meseta de La Fuente del Sol",
	["Supply Caravan"] = "Caravana de Provisiones",
	["Surge Needle"] = "Aguja de Flujo",
	["Surveyors' Outpost"] = "Avanzada de vigilantes",
	Surwich = "Mechasur",
	["Svarnos' Cell"] = "Celda de Svarnos",
	["Swamp of Sorrows"] = "Pantano de las Penas",
	["Swamplight Manor"] = "Mansión Cienaluz",
	["Swamprat Post"] = "Avanzada Rata del Pantano",
	["Swiftgear Station"] = "Estación Cambioveloz",
	["Swindle Street"] = "Calle del Timo",
	["Swindlegrin's Dig"] = "Excavación de Timomueca",
	["Sword's Rest"] = "Reposo de la Espada",
	Sylvanaar = "Sylvanaar",
	["Tabetha's Farm"] = "Granja de Tabetha",
	["Taelan's Tower"] = "Torre de Taelan",
	["Tahonda Ruins"] = "Ruinas de Tahonda",
	["Tahret Grounds"] = "Tierras de Tahret",
	["Tal'doren"] = "Tal'doren",
	["Talismanic Textiles"] = "Telas Talismánicas",
	["Talon Stand"] = "Alto de la Garra",
	["Talonbranch Glade"] = "Claro Ramaespolón",
	["Talondeep Pass"] = "Desfiladero del Espolón",
	["Talondeep Vale"] = "Valle del Espolón",
	Talramas = "Talramas",
	["Talrendis Point"] = "Punta Talrendis",
	Tanaris = "Tanaris",
	["Tanaris Desert"] = "Desierto de Tanaris",
	["Tanks for Everything"] = "Tanques para Todo",
	["Tanner Camp"] = "Base de Peleteros",
	["Tarren Mill"] = "Molino Tarren",
	["Taunka'le Village"] = "Poblado Taunka'le",
	["Tazz'Alaor"] = "Tazz'Alaor",
	["Teegan's Expedition"] = "Expedición de Teegan",
	["Tel'athion's Camp"] = "Campamento de Tel'athion",
	Telaar = "Telaar",
	["Telaari Basin"] = "Cuenca Telaari",
	Teldrassil = "Teldrassil",
	Telredor = "Telredor",
	["Tempest Bridge"] = "Puente de la Tempestad",
	["Tempest Keep"] = "El Castillo de la Tempestad",
	["Tempest Keep - The Arcatraz Entrance"] = "El Castillo de la Tempestad: Entrada de El Arcatraz",
	["Tempest Keep - The Botanica Entrance"] = "El Castillo de la Tempestad: Entrada de El Invernáculo",
	["Tempest Keep - The Mechanar Entrance"] = "El Castillo de la Tempestad: Entrada de El Mechanar",
	["Tempest Keep: The Arcatraz"] = "El Castillo de la Tempestad: El Arcatraz",
	["Tempest Keep: The Botanica"] = "El Castillo de la Tempestad: El Invernáculo",
	["Tempest Keep: The Mechanar"] = "El Castillo de la Tempestad: El Mechanar",
	["Tempest's Reach"] = "Tramo de la Tempestad",
	["Temple City of En'kilah"] = "Ciudad Templo de En'kilah",
	["Temple Hall"] = "Sala del Templo",
	["Temple Summit"] = "Cima del Templo",
	["Temple of Ahn'Qiraj"] = "El Templo de Ahn'Qiraj",
	["Temple of Arkkoran"] = "Templo de Arkkoran",
	["Temple of Asaad"] = "Templo de Asaad",
	["Temple of Bethekk"] = "Templo de Bethekk",
	["Temple of Earth"] = "Templo de la Tierra",
	["Temple of Invention"] = "Templo de la Invención",
	["Temple of Life"] = "Templo de la Vida",
	["Temple of Order"] = "Templo del Orden",
	["Temple of Storms"] = "Templo de las Tormentas",
	["Temple of Telhamat"] = "Templo de Telhamat",
	["Temple of Uldum"] = "Templo de Uldum",
	["Temple of Winter"] = "Templo del Invierno",
	["Temple of Wisdom"] = "Templo de Sabiduría",
	["Temple of Zin-Malor"] = "Templo de Zin-Malor",
	["Temple of the Forgotten"] = "Templo de los Olvidados",
	["Temple of the Moon"] = "Templo de la Luna",
	["Tenebrous Cavern"] = "Caverna Tenebrosa",
	["Terokk's Rest"] = "Sosiego de Terokk",
	["Terokkar Forest"] = "Bosque de Terokkar",
	["Terrace of Light"] = "Bancal de la Luz",
	["Terrace of Repose"] = "Bancal del Reposo",
	["Terrace of the Augurs"] = "Bancal de los Augurios",
	["Terrace of the Makers"] = "Bancal de los Creadores",
	["Terrace of the Sun"] = "Bancal del Sol",
	["Terror Run"] = "Camino del Terror",
	["Terror Wing Path"] = "Senda del Ala del Terror",
	Terrordale = "Valle del Terror",
	["Terrorweb Tunnel"] = "Túnel Terroarácnido",
	["Tethris Aran"] = "Tethris Aran",
	["Thal'darah Grove"] = "Arboleda de Thal'darah",
	["Thal'darah Overlook"] = "Mirador Thal'darah",
	Thalanaar = "Thalanaar",
	["Thalassian Pass"] = "Desfiladero Thalassiano",
	["Thalassian Range"] = "Campo de tiro Thalassiano",
	["Thandol Span"] = "Puente Thandol",
	["Thargad's Camp"] = "Campo de Thargad",
	["The Abandoned Reach"] = "El Tramo Abandonado",
	["The Abyssal Maw"] = "Fauce Abisal",
	["The Abyssal Shelf"] = "La Plataforma Abisal",
	["The Admiral's Den"] = "La Guarida del Almirante",
	["The Agronomical Apothecary"] = "La Botica Agronómica",
	["The Alliance Valiants' Ring"] = "La Liza de los Valerosos de la Alianza",
	["The Altar of Damnation"] = "El Altar de Condenación",
	["The Altar of Shadows"] = "El Altar de las Sombras",
	["The Altar of Zul"] = "El Altar de Zul",
	["The Ancient Grove"] = "La Antigua Arboleda",
	["The Ancient Lift"] = "El Antiguo Elevador",
	["The Antechamber"] = "La Antecámara",
	["The Anvil of Conflagration"] = "El Yunque de Conflagración",
	["The Anvil of Flame"] = "El Yunque de la Llama",
	["The Apothecarium"] = "El Apothecarium",
	["The Arachnid Quarter"] = "El Arrabal Arácnido",
	["The Arcanium"] = "El Arcanium",
	["The Arcatraz"] = "El Arcatraz",
	["The Archivum"] = "El Archivum",
	["The Argent Stand"] = "El Confín Argenta",
	["The Argent Valiants' Ring"] = "La Liza de los Valerosos Argenta",
	["The Argent Vanguard"] = "La Vanguardia Argenta",
	["The Arsenal Absolute"] = "El Arsenal Absoluto",
	["The Aspirants' Ring"] = "La Liza de los Aspirantes",
	["The Assembly Chamber"] = "La Cámara de la Asamblea",
	["The Assembly of Iron"] = "La Asamblea de Hierro",
	["The Athenaeum"] = "El Athenaeum",
	["The Avalanche"] = "La Avalancha",
	["The Azure Front"] = "El Frente Azur",
	["The Bank of Dalaran"] = "El Banco de Dalaran",
	["The Bank of Silvermoon"] = "El Banco de Lunargenta",
	["The Banquet Hall"] = "La Sala de Banquetes",
	["The Barrier Hills"] = "Las Colinas Barrera",
	["The Bastion of Twilight"] = "El Bastión del Crepúsculo",
	["The Battle for Gilneas"] = "La Batalla por Gilneas",
	["The Battle for Gilneas (Old City Map)"] = "La Batalla por Gilneas (Mapa de la antigua ciudad)",
	["The Battle for Mount Hyjal"] = "La Batalla del Monte Hyjal",
	["The Battleboar Pen"] = "El Cercado de Jabaguerreros",
	["The Battlefront"] = "El Frente de Batalla",
	["The Bazaar"] = "El Bazar",
	["The Beer Garden"] = "La Terraza",
	["The Bite"] = "La Dentellada",
	["The Black Breach"] = "La Brecha Negra",
	["The Black Market"] = "El Mercado Negro",
	["The Black Morass"] = "La Ciénaga Negra",
	["The Black Temple"] = "El Templo Oscuro",
	["The Black Vault"] = "Cámara Negra",
	["The Blackwald"] = "El Monte Negro",
	["The Blazing Strand"] = "La Playa Llameante",
	["The Blight Line"] = "La Línea de Añublo",
	["The Blighted Pool"] = "La Poza Contagiada",
	["The Blood Furnace"] = "El Horno de Sangre",
	["The Blood Trail"] = "El Reguero de Sangre",
	["The Bloodcursed Reef"] = "El Arrecife Sangre Maldita",
	["The Bloodmire"] = "Fango de Sangre",
	["The Bloodoath"] = "El Juramento de Sangre",
	["The Bloodwash"] = "La Playa de Sangre",
	["The Bombardment"] = "El Bombardeo",
	["The Bone Pile"] = "El Montón de Huesos",
	["The Bone Wastes"] = "El Vertedero de Huesos",
	["The Bonefields"] = "Los Campos de Huesos",
	["The Bones of Nozronn"] = "Los Huesos de Nozronn",
	["The Boneyard"] = "El Osario",
	["The Borean Wall"] = "La Muralla Boreal",
	["The Botanica"] = "El Invernáculo",
	["The Bradshaw Mill"] = "Molino Sotogrande",
	["The Breach"] = "La Brecha",
	["The Briny Cutter"] = "El Cúter Salobre",
	["The Briny Pinnacle"] = "El Pináculo Salobre",
	["The Broken Bluffs"] = "Riscos Quebrados",
	["The Broken Front"] = "El Frente Roto",
	["The Broken Hall"] = "Cámara Partida",
	["The Broken Hills"] = "Las Colinas Quebradas",
	["The Broken Stair"] = "La Escalera Quebrada",
	["The Broken Temple"] = "El Templo Quebrado",
	["The Brood Pit"] = "La Fosa de la Progenie",
	["The Broodmother's Nest"] = "El Nido de la Madre de Linaje",
	["The Bulwark"] = "El Baluarte",
	["The Burning Corridor"] = "El Corredor Ardiente",
	["The Butchery"] = "Carnicería",
	["The Cache of Madness"] = "El Extremo de la Locura",
	["The Caller's Chamber"] = "Cámara de la Llamada",
	["The Canals"] = "Los Canales",
	["The Cape of Stranglethorn"] = "El Cabo de Tuercespina",
	["The Carrion Fields"] = "Los Campos de Carroña",
	["The Catacombs"] = "Las Catacumbas",
	["The Cauldron"] = "La Caldera",
	["The Cauldron of Flames"] = "El Caldero de Llamas",
	["The Cave"] = "La Cueva",
	["The Celestial Planetarium"] = "El Planetario Celestial",
	["The Celestial Watch"] = "El Mirador Celestial",
	["The Cemetary"] = "El Cementerio",
	["The Cerebrillum"] = "El Cerebelo",
	["The Charred Vale"] = "La Vega Carbonizada",
	["The Chilled Quagmire"] = "El Cenagal Escalofrío",
	["The Circle of Cinders"] = "El Círculo de las Cenizas",
	["The Circle of Life"] = "El Círculo de la Vida",
	["The Circle of Suffering"] = "El Círculo de Sufrimiento",
	["The Clash of Thunder"] = "El Fragor del Trueno",
	["The Clean Zone"] = "Punto de Limpieza",
	["The Cleft"] = "La Grieta",
	["The Clockwerk Run"] = "La Rampa del Engranaje",
	["The Clutch"] = "El Encierro",
	["The Coil"] = "El Serpenteo",
	["The Colossal Forge"] = "La Forja Colosal",
	["The Comb"] = "El Panal",
	["The Commons"] = "Ágora",
	["The Conflagration"] = "La Conflagración",
	["The Conquest Pit"] = "El Foso de la Conquista",
	["The Conservatory"] = "El Vivero",
	["The Conservatory of Life"] = "El Invernadero de Vida",
	["The Construct Quarter"] = "El Arrabal de los Ensamblajes",
	["The Cooper Residence"] = "La Residencia Cooper",
	["The Corridors of Ingenuity"] = "Los Pasillos del Ingenio",
	["The Court of Bones"] = "El Patio de los Huesos",
	["The Court of Skulls"] = "La Corte de las Calaveras",
	["The Coven"] = "El Aquelarre",
	["The Creeping Ruin"] = "Las Ruinas Abyectas",
	["The Crimson Cathedral"] = "La Catedral Carmesí",
	["The Crimson Dawn"] = "El Alba Carmesí",
	["The Crimson Hall"] = "La Sala Carmesí",
	["The Crimson Reach"] = "El Tramo Carmesí",
	["The Crimson Throne"] = "El Trono Carmesí",
	["The Crimson Veil"] = "El Velo Carmesí",
	["The Crossroads"] = "El Cruce",
	["The Crucible"] = "El Crisol",
	["The Crucible of Flame"] = "El Crisol de Llamas",
	["The Crumbling Waste"] = "Las Ruinas Desmoronadas",
	["The Cryo-Core"] = "El Crionúcleo",
	["The Crystal Hall"] = "La Sala de Cristal",
	["The Crystal Shore"] = "La Costa de Cristal",
	["The Crystal Vale"] = "La Vega de Cristal",
	["The Crystal Vice"] = "Vicio de Cristal",
	["The Culling of Stratholme"] = "La Matanza de Stratholme",
	["The Culling of Stratholme Entrance"] = "Entrada de La Matanza de Stratholme",
	["The Cursed Landing"] = "El Embarcadero Maldito",
	["The Dagger Hills"] = "Las Colinas Afiladas",
	["The Damsel's Luck"] = "La Damisela Afortunada",
	["The Dark Approach"] = "El Trayecto Oscuro",
	["The Dark Defiance"] = "El Desafío Oscuro",
	["The Dark Portal"] = "El Portal Oscuro",
	["The Darkened Bank"] = "La Ribera Lóbrega",
	["The Darkwood"] = "Leñoscuro",
	["The Dawnchaser"] = "El Cazador del Albor",
	["The Dawning Isles"] = "Islas del Alba",
	["The Dawning Square"] = "La Plaza Crepuscular",
	["The Dead Acre"] = "El Campo Funesto",
	["The Dead Field"] = "El Campo Muerto",
	["The Dead Fields"] = "Los Campos Muertos",
	["The Dead Mire"] = "El Lodo Muerto",
	["The Dead Scar"] = "La Cicatriz Muerta",
	["The Deadmines"] = "Las Minas de la Muerte",
	["The Deathforge"] = "La Forja Muerta",
	["The Deathknell Graves"] = "Las Tumbas del Camposanto",
	["The Decrepit Fields"] = "Los Campos Decrépitos",
	["The Decrepit Flow"] = "La Corriente Decrépita",
	["The Deep Reaches"] = "La Hondura Insondable",
	["The Defiled Chapel"] = "La Capilla Profanada",
	["The Den"] = "El Cubil",
	["The Den of Flame"] = "Cubil de la Llama",
	["The Dens of Dying"] = "Los Cubiles de los Moribundos",
	["The Dens of the Dying"] = "Los Cubiles de los Moribundos",
	["The Descent into Madness"] = "El Descenso a la Locura",
	["The Desecrated Altar"] = "El Altar Profanado",
	["The Devil's Terrace"] = "El Altar Demoniaco",
	["The Devouring Breach"] = "La Brecha Devoradora",
	["The Domicile"] = "Domicilio",
	["The Dor'Danil Barrow Den"] = "El Túmulo de Dor'danil",
	["The Dormitory"] = "Los Dormitorios",
	["The Drag"] = "La Calle Mayor",
	["The Dragon Wastes"] = "Baldío del Dragón",
	["The Dragonmurk"] = "El Pantano del Dragón",
	["The Drain"] = "El Vaciado",
	["The Dranosh'ar Blockade"] = "El Bloqueo Dranosh'ar",
	["The Drowned Reef"] = "El Arrecife Hundido",
	["The Drowned Sacellum"] = "El Templete Sumergido",
	["The Dry Hills"] = "Las Colinas Áridas",
	["The Dust Plains"] = "Los Yermos Polvorientos",
	["The Dustbowl"] = "Terraseca",
	["The Eastern Earthshrine"] = "El Santuario de la Tierra del Este",
	["The Emerald Summit"] = "La Cumbre Esmeralda",
	["The Escape From Durnholde"] = "La Fuga de Durnholde",
	["The Escape from Durnholde Entrance"] = "Entrada de La Fuga de Durnholde",
	["The Eventide"] = "El Manto de la Noche",
	["The Exodar"] = "El Exodar",
	["The Eye"] = "El Ojo",
	["The Eye of Eternity"] = "El Ojo de la Eternidad",
	["The Eye of the Vortex"] = "El Ojo del Vórtice",
	["The Farstrider Lodge"] = "Cabaña del Errante",
	["The Fel Pits"] = "Las Fosas Viles",
	["The Fetid Pool"] = "La Poza Fétida",
	["The Filthy Animal"] = "El Animal Roñoso",
	["The Firehawk"] = "El Halcón de Fuego",
	["The Flamewake"] = "La Estela Ardiente",
	["The Fleshwerks"] = "La Factoría de Carne",
	["The Flood Plains"] = "Llanuras Anegadas",
	["The Fold"] = "El Redil",
	["The Foot Steppes"] = "Las Estepas Inferiores",
	["The Foothill Caverns"] = "Cuevas de la Ladera",
	["The Forbidding Sea"] = "Mar Adusto",
	["The Forest of Shadows"] = "El Bosque de las Sombras",
	["The Forge of Souls"] = "La Forja de Almas",
	["The Forge of Souls Entrance"] = "Entrada de La Forja de Almas",
	["The Forge of Supplication"] = "La Forja de las Súplicas",
	["The Forge of Wills"] = "La Forja de los Deseos",
	["The Forgotten Coast"] = "La Costa Olvidada",
	["The Forgotten Overlook"] = "El Mirador Olvidado",
	["The Forgotten Pool"] = "Las Charcas del Olvido",
	["The Forgotten Pools"] = "Las Charcas del Olvido",
	["The Forgotten Shore"] = "La Orilla Olvidada",
	["The Forlorn Cavern"] = "La Caverna Abandonada",
	["The Forlorn Mine"] = "La Mina Desolada",
	["The Forsaken Front"] = "El Frente Renegado",
	["The Foul Pool"] = "La Poza del Hediondo",
	["The Frigid Tomb"] = "La Tumba Gélida",
	["The Frost Queen's Lair"] = "La Guarida de la Reina de Escarcha",
	["The Frostwing Halls"] = "Las Cámaras de Alaescarcha",
	["The Frozen Glade"] = "El Claro Helado",
	["The Frozen Halls"] = "Las Cámaras Heladas",
	["The Frozen Mine"] = "La Mina Gélida",
	["The Frozen Sea"] = "El Mar Gélido",
	["The Frozen Throne"] = "El Trono Helado",
	["The Fungal Vale"] = "Cuenca Fungal",
	["The Furnace"] = "El Horno",
	["The Gaping Chasm"] = "Sima Abierta",
	["The Gate of Unending Cycles"] = "La Puerta de los Ciclos Eternos",
	["The Gatehouse"] = "Torre de Entrada",
	["The Gauntlet"] = "El Guantelete",
	["The Geyser Fields"] = "Los Campos de Géiseres",
	["The Gilded Gate"] = "La Puerta Áurea",
	["The Glimmering Pillar"] = "El Pilar Iluminado",
	["The Golden Plains"] = "Las Llanuras Doradas",
	["The Grand Ballroom"] = "El Gran Salón de Baile",
	["The Grand Vestibule"] = "El Gran Vestíbulo",
	["The Great Arena"] = "La Gran Arena",
	["The Great Divide"] = "La Gran División",
	["The Great Fissure"] = "La Gran Fisura",
	["The Great Forge"] = "La Gran Fundición",
	["The Great Gate"] = "La Gran Puerta",
	["The Great Lift"] = "El Gran Elevador",
	["The Great Ossuary"] = "El Gran Osario",
	["The Great Sea"] = "Mare Magnum",
	["The Great Tree"] = "El Gran Árbol",
	["The Green Belt"] = "La Franja Verde",
	["The Greymane Wall"] = "La Muralla de Cringris",
	["The Grim Guzzler"] = "Tragapenas",
	["The Grinding Quarry"] = "La Cantera Trituradora",
	["The Grizzled Den"] = "El Cubil Pardo",
	["The Guardhouse"] = "La Cárcel",
	["The Guest Chambers"] = "Los Aposentos de los Invitados",
	["The Gullet"] = "La Garganta",
	["The Half Shell"] = "La Media Concha",
	["The Hall of Blood"] = "La Sala de la Sangre",
	["The Hall of Gears"] = "La Sala de Máquinas",
	["The Hall of Lights"] = "La Sala de las Luces",
	["The Hall of Respite"] = "La Sala del Descanso",
	["The Halls of Reanimation"] = "Las Salas de la Reanimación",
	["The Halls of Winter"] = "Las Cámaras del Invierno",
	["The Hand of Gul'dan"] = "La Mano de Gul'dan",
	["The Harborage"] = "El Puerto",
	["The Hatchery"] = "El Criadero",
	["The Headland"] = "La Punta",
	["The Headlands"] = "Los Cabos",
	["The Heap"] = "La Pila",
	["The Heart of Acherus"] = "El Corazón de Acherus",
	["The Hidden Clutch"] = "La Guarida Oculta",
	["The Hidden Grove"] = "La Arboleda Oculta",
	["The Hidden Hollow"] = "La Hondonada Oculta",
	["The Hidden Passage"] = "El Pasaje Oculto",
	["The Hidden Reach"] = "El Tramo Oculto",
	["The Hidden Reef"] = "El Arrecife Oculto",
	["The High Path"] = "El Paso Elevado",
	["The High Road"] = "La Carretera",
	["The High Seat"] = "El Trono",
	["The Hinterlands"] = "Tierras del Interior",
	["The Hoard"] = "El Tesoro Oculto",
	["The Hole"] = "El Agujero",
	["The Horde Valiants' Ring"] = "La Liza de los Valerosos de la Horda",
	["The Horsemen's Assembly"] = "La Asamblea de los Jinetes",
	["The Howling Hollow"] = "La Hondonada Aullante",
	["The Howling Oak"] = "El Roble Quejumbroso",
	["The Howling Vale"] = "Vega del Aullido",
	["The Hunter's Reach"] = "El Tramo del Cazador",
	["The Hushed Bank"] = "La Ribera Silente",
	["The Icy Depths"] = "Las Profundidades Heladas",
	["The Immortal Coil"] = "La Espiral Inmortal",
	["The Imperial Seat"] = "El Trono Imperial",
	["The Infectis Scar"] = "La Cicatriz Purulenta",
	["The Inferno"] = "El Averno",
	["The Inner Spire"] = "Aguja Interior",
	["The Intrepid"] = "El Intrépido",
	["The Inventor's Library"] = "La Biblioteca del Inventor",
	["The Iron Crucible"] = "El Crisol de Hierro",
	["The Iron Hall"] = "Cámara de Hierro",
	["The Iron Reaper"] = "La Segadora de Hierro",
	["The Isle of Spears"] = "La Isla de las Lanzas",
	["The Ivar Patch"] = "Los Dominios de Ivar",
	["The Jansen Stead"] = "La Finca de Jansen",
	["The Krazzworks"] = "La Krazzería",
	["The LMS Mark II"] = "El LMS Mark II",
	["The Laboratory"] = "El Laboratorio",
	["The Lagoon"] = "La Laguna",
	["The Laughing Stand"] = "La Playa Rompeolas",
	["The Legerdemain Lounge"] = "Salón Juego de Manos",
	["The Legion Front"] = "La Avanzadilla de la Legión",
	["The Librarium"] = "El Librarium",
	["The Library"] = "La Biblioteca",
	["The Lifebinder's Cell"] = "La Celda de la Protectora",
	["The Lifeblood Pillar"] = "El Pilar Sangrevida",
	["The Lightless Reaches"] = "Las Costas Extintas",
	["The Living Grove"] = "La Arboleda Viviente",
	["The Living Wood"] = "El Bosque Viviente",
	["The Loch"] = "Loch Modan",
	["The Long Wash"] = "Playa del Oleaje",
	["The Lost Fleet"] = "La Flota Perdida",
	["The Lost Fold"] = "El Aprisco Perdido",
	["The Lost Isles"] = "Las Islas Perdidas",
	["The Lost Lands"] = "Las Tierras Perdidas",
	["The Lost Passage"] = "El Pasaje Perdido",
	["The Low Path"] = "El Paso Bajo",
	["The Lyceum"] = "El Lyceum",
	["The Maclure Vineyards"] = "Los Viñedos de Maclure",
	["The Maelstrom"] = "La Vorágine",
	["The Maker's Overlook"] = "El Mirador de los Creadores",
	["The Maker's Rise"] = "El Alto de los Creadores",
	["The Maker's Terrace"] = "Bancal del Hacedor",
	["The Makers' Overlook"] = "El Mirador de los Creadores",
	["The Makers' Perch"] = "El Pedestal de los Creadores",
	["The Manufactory"] = "El Taller",
	["The Marris Stead"] = "Hacienda de Marris",
	["The Marshlands"] = "Los Pantanales",
	["The Masonary"] = "El Masón",
	["The Master's Cellar"] = "El Sótano del Maestro",
	["The Master's Glaive"] = "La Espada del Maestro",
	["The Maul"] = "La Marra",
	["The Maw of Madness"] = "Las Fauces de la Locura",
	["The Mechanar"] = "El Mechanar",
	["The Menagerie"] = "La Sala de las Fieras",
	["The Menders' Stead"] = "La Finca de los Ensalmadores",
	["The Merchant Coast"] = "La Costa Mercante",
	["The Militant Mystic"] = "El Místico Militante",
	["The Military Quarter"] = "El Arrabal Militar",
	["The Military Ward"] = "La Sala Militar",
	["The Mind's Eye"] = "El Ojo de la Mente",
	["The Mirror of Dawn"] = "El Espejo del Alba",
	["The Mirror of Twilight"] = "El Espejo del Crepúsculo",
	["The Molsen Farm"] = "La Granja de Molsen",
	["The Molten Bridge"] = "Puente de Magma",
	["The Molten Core"] = "Núcleo de Magma",
	["The Molten Fields"] = "Los Campos Fundidos",
	["The Molten Flow"] = "La Corriente de Magma",
	["The Molten Span"] = "Luz de Magma",
	["The Mor'Shan Ramparts"] = "La Empalizada de Mor'shan",
	["The Mor'shan Rampart"] = "La Empalizada de Mor'shan",
	["The Mosslight Pillar"] = "El Pilar Musgoluz",
	["The Mountain Den"] = "El Cubil de la Sierra",
	["The Murder Pens"] = "El Matadero",
	["The Mystic Ward"] = "La Sala Mística",
	["The Necrotic Vault"] = "La Cripta Necrótica",
	["The Nexus"] = "El Nexo",
	["The Nexus Entrance"] = "Entrada de El Nexo",
	["The Nightmare Scar"] = "Paraje Pesadilla",
	["The North Coast"] = "La Costa Norte",
	["The North Sea"] = "El Mar del Norte",
	["The Nosebleeds"] = "La Hemorragia",
	["The Noxious Glade"] = "El Claro Ponzoñoso",
	["The Noxious Hollow"] = "Hoya Ponzoñosa",
	["The Noxious Lair"] = "La Guarida Ponzoñosa",
	["The Noxious Pass"] = "El Paso Ponzoñoso",
	["The Oblivion"] = "El Olvido",
	["The Observation Ring"] = "El Círculo de Observación",
	["The Obsidian Sanctum"] = "El Sagrario Obsidiana",
	["The Oculus"] = "El Oculus",
	["The Oculus Entrance"] = "Entrada de El Oculus",
	["The Old Barracks"] = "El Antiguo Cuartel",
	["The Old Dormitory"] = "La Vieja Residencia",
	["The Old Port Authority"] = "Autoridades del Puerto Viejo",
	["The Opera Hall"] = "La Sala de la Ópera",
	["The Oracle Glade"] = "El Claro del Oráculo",
	["The Outer Ring"] = "El Anillo Exterior",
	["The Overgrowth"] = "La Hojarasca",
	["The Overlook"] = "La Dominancia",
	["The Overlook Cliffs"] = "Los Acantilados Dominantes",
	["The Pale Roost"] = "El Nidal Pálido",
	["The Park"] = "El Parque",
	["The Path of Anguish"] = "El Camino del Tormento",
	["The Path of Conquest"] = "El Sendero de la Conquista",
	["The Path of Corruption"] = "El Sendero de la Corrupción",
	["The Path of Glory"] = "El Camino a la Gloria",
	["The Path of Iron"] = "La Senda de Hierro",
	["The Path of the Lifewarden"] = "La Senda del Guardián de Vida",
	["The Phoenix Hall"] = "La Cámara del Fénix",
	["The Pillar of Ash"] = "El Pilar de Ceniza",
	["The Pipe"] = "La Tubería",
	["The Pit of Criminals"] = "La Fosa de los Criminales",
	["The Pit of Fiends"] = "El Foso de los Mefistos",
	["The Pit of Narjun"] = "El Foso de Narjun",
	["The Pit of Refuse"] = "La Fosa del Rechazo",
	["The Pit of Sacrifice"] = "La Fosa de los Sacrificios",
	["The Pit of Scales"] = "El Foso de Escamas",
	["The Pit of the Fang"] = "El Foso del Colmillo",
	["The Plague Quarter"] = "El Arrabal de la Peste",
	["The Plagueworks"] = "Los Talleres de la Peste",
	["The Pool of Ask'ar"] = "La Alberca de Ask'ar",
	["The Pools of Vision"] = "Pozas de las Visiones",
	["The Prison of Yogg-Saron"] = "La Prisión de Yogg-Saron",
	["The Proving Grounds"] = "Terreno de Pruebas",
	["The Purple Parlor"] = "El Salón Púrpura",
	["The Quagmire"] = "El Lodazal",
	["The Quaking Fields"] = "Los Campos Convulsos",
	["The Queen's Reprisal"] = "La Represalia de la Reina",
	["The Raging Chasm"] = "La Sima Enfurecida",
	["The Rangers' Lodge"] = "El Refugio de los Forestales",
	["The Red Reaches"] = "Las Costas Rojas",
	["The Refectory"] = "El Refectorio",
	["The Regrowth"] = "El Brote",
	["The Reliquary"] = "El Relicario",
	["The Repository"] = "El Repositorio",
	["The Reservoir"] = "La Presa",
	["The Restless Front"] = "El Frente Inquieto",
	["The Ridge of Ancient Flame"] = "La Cresta de la Llama Ancestral",
	["The Rift"] = "La Falla",
	["The Ring of Blood"] = "El Círculo de Sangre",
	["The Ring of Champions"] = "La Liza de los Campeones",
	["The Ring of Trials"] = "El Círculo de los Retos",
	["The Ring of Valor"] = "El Círculo del Valor",
	["The Riptide"] = "Las Mareas Vivas",
	["The Roiling Gardens"] = "Los Jardines Turbados",
	["The Rolling Gardens"] = "Los Jardines Turbados",
	["The Rolling Plains"] = "Las Llanuras Onduladas",
	["The Rookery"] = "El Grajero",
	["The Rotting Orchard"] = "El Vergel Pútrido",
	["The Royal Exchange"] = "El Intercambio Real",
	["The Ruby Sanctum"] = "El Sagrario Rubí",
	["The Ruined Reaches"] = "Las Ruinas",
	["The Ruins of Kel'Theril"] = "Las Ruinas de Kel'Theril",
	["The Ruins of Ordil'Aran"] = "Las Ruinas de Ordil'Aran",
	["The Ruins of Stardust"] = "Las Ruinas del Polvo Estelar",
	["The Rumble Cage"] = "La Jaula del Rugido",
	["The Rustmaul Dig Site"] = "Excavación Oximelena",
	["The Sacred Grove"] = "La Arboleda Sagrada",
	["The Salty Sailor Tavern"] = "Taberna del Grumete Frito",
	["The Sanctum"] = "El Sagrario",
	["The Sanctum of Blood"] = "El Sagrario de Sangre",
	["The Savage Coast"] = "La Costa Salvaje",
	["The Savage Glen"] = "La Cañada Salvaje",
	["The Savage Thicket"] = "El Matorral Silvestre",
	["The Scalding Chasm"] = "La Sima Escaldante",
	["The Scalding Pools"] = "Las Pozas Escaldantes",
	["The Scarab Dais"] = "Estrado del Escarabajo",
	["The Scarab Wall"] = "El Muro del Escarabajo",
	["The Scarlet Basilica"] = "La Basílica Escarlata",
	["The Scarlet Bastion"] = "El Bastión Escarlata",
	["The Scorched Grove"] = "La Arboleda Agostada",
	["The Scorched Plain"] = "La Llanura Agostada",
	["The Scrap Field"] = "El Campo de Sobras",
	["The Scrapyard"] = "La Chatarrería",
	["The Screaming Hall"] = "La Sala del Grito",
	["The Screaming Reaches"] = "Cuenca de los Gritos",
	["The Screeching Canyon"] = "Cañón del Chirrido",
	["The Scribe of Stormwind"] = "El Escriba de Ventormenta",
	["The Scribes' Sacellum"] = "El Templete de los Escribas",
	["The Scullery"] = "La Sala de Limpieza",
	["The Sea Reaver's Run"] = "La Travesía del Atracamar",
	["The Sea of Cinders"] = "El Mar de las Cenizas",
	["The Seabreach Flow"] = "El Flujo de la Brecha del Mar",
	["The Sealed Hall"] = "Cámara Sellada",
	["The Searing Gateway"] = "La Puerta de Fuego",
	["The Secret Lab"] = "El Laboratorio Secreto",
	["The Seer's Library"] = "La Biblioteca del Profeta",
	["The Sepulcher"] = "El Sepulcro",
	["The Severed Span"] = "Tramoduro",
	["The Sewer"] = "La Cloaca",
	["The Shadow Stair"] = "La Escalera Umbría",
	["The Shadow Throne"] = "El Trono de las Sombras",
	["The Shadow Vault"] = "La Cámara de las Sombras",
	["The Shady Nook"] = "El Rincón Lóbrego",
	["The Shaper's Terrace"] = "El Bancal del Creador",
	["The Shattered Halls"] = "Las Salas Arrasadas",
	["The Shattered Strand"] = "La Playa Arrasada",
	["The Shattered Walkway"] = "La Pasarela Devastada",
	["The Shepherd's Gate"] = "La Puerta del Pastor",
	["The Shifting Mire"] = "Lodo Traicionero",
	["The Shimmering Deep"] = "El Piélago de Sal",
	["The Shimmering Flats"] = "El Desierto de Sal",
	["The Shining Strand"] = "La Playa Plateada",
	["The Shrine of Aessina"] = "El Santuario de Aessina",
	["The Shrine of Eldretharr"] = "Santuario de Eldretharr",
	["The Silver Blade"] = "La Espada de Plata",
	["The Silver Enclave"] = "El Enclave de Plata",
	["The Sin'loren"] = "El Sin'loren",
	["The Singing Grove"] = "La Arboleda Tonada",
	["The Skeletal Reef"] = "Arrecife de Huesos",
	["The Skittering Dark"] = "Penumbra de las Celerácnidas",
	["The Skull Warren"] = "El Laberinto de Calaveras",
	["The Skunkworks"] = "La Central Secreta",
	["The Skybreaker"] = "El Rompecielos",
	["The Skyreach Pillar"] = "El Pilar del Trecho Celestial",
	["The Slag Pit"] = "La Fosa de la Escoria",
	["The Slaughter House"] = "El Degolladero",
	["The Slaughtered Lamb"] = "El Cordero Degollado",
	["The Slave Pens"] = "Recinto de los Esclavos",
	["The Slave Pits"] = "Los Pozos de Esclavos",
	["The Slick"] = "El Escoplo",
	["The Slithering Scar"] = "La Cicatriz Serpenteante",
	["The Slough of Dispair"] = "La Ciénaga de la Desesperación",
	["The Sludge Fen"] = "El Fangal",
	["The Sludge Fields"] = "Los Campos de Lodo",
	["The Sludgewerks"] = "Los Fangados",
	["The Solar Vigil"] = "La Vigilia Solar",
	["The Solarium"] = "El Solarium",
	["The Spark of Imagination"] = "La Chispa de la Imaginación",
	["The Sparkling Crawl"] = "La Gruta Cristalina",
	["The Spawning Glen"] = "La Cañada Emergente",
	["The Spire"] = "La Aguja",
	["The Stadium"] = "El Estadium",
	["The Stagnant Oasis"] = "El Oasis Estancado",
	["The Staidridge"] = "Crestaserena",
	["The Stair of Destiny"] = "Los Peldaños del Destino",
	["The Stair of Doom"] = "La Escalera Maldita",
	["The Steam Pools"] = "Las Charcas Vaporosas",
	["The Steamvault"] = "La Cámara de Vapor",
	["The Steppe of Life"] = "Las Estepas de la Vida",
	["The Steps of Fate"] = "Los Pasos del Sino",
	["The Stockade"] = "Las Mazmorras",
	["The Stockpile"] = "Las Reservas",
	["The Stone Vault"] = "El Arca Pétrea",
	["The Stonecore"] = "El Núcleo Pétreo",
	["The Stonecore Entrance"] = "Entrada de El Núcleo Pétreo",
	["The Stonefield Farm"] = "La Granja Pedregosa",
	["The Storehouse"] = "Almacén",
	["The Storm Foundry"] = "La Fundición de la Tormenta",
	["The Storm Peaks"] = "Las Cumbres Tormentosas",
	["The Stormbreaker"] = "El Rompetormentas",
	["The Stormspire"] = "La Flecha de la Tormenta",
	["The Stormwright's Shelf"] = "La Plataforma del Tormentoso",
	["The Sun Forge"] = "La Forja del Sol",
	["The Sundered Shard"] = "El Fragmento Hendido",
	["The Sundering"] = "El Cataclismo",
	["The Sunken Ring"] = "El Anillo Sumergido",
	["The Sunspire"] = "La Aguja del Sol",
	["The Suntouched Pillar"] = "El Pilar Toquesol",
	["The Sunwell"] = "La Fuente del Sol",
	["The Swarming Pillar"] = "El Pilar de la Ascensión",
	["The Tainted Forest"] = "El Bosque Corrupto",
	["The Tainted Scar"] = "Escara Impía",
	["The Talon Den"] = "El Cubil del Espolón",
	["The Talondeep Path"] = "El Paso del Espolón",
	["The Tempest Rift"] = "La Falla de la Tempestad",
	["The Temple Gardens"] = "Los Jardines del Templo",
	["The Temple of Atal'Hakkar"] = "El Templo de Atal'Hakkar",
	["The Terrestrial Watchtower"] = "La Atalaya Terrestre",
	["The Thornsnarl"] = "El Gruñospina",
	["The Threads of Fate"] = "Los Hilos del Destino",
	["The Threshold"] = "El Umbral",
	["The Throne of Flame"] = "El Trono de la Llama",
	["The Tidebreaker"] = "El Rompemareas",
	["The Tidus Stair"] = "El Escalón de la Marea",
	["The Tower of Arathor"] = "Torre de Arathor",
	["The Toxic Airfield"] = "La Base Aérea Tóxica",
	["The Trail of Devastation"] = "La Senda de la Devastación",
	["The Tranquil Grove"] = "La Arboleda Tranquila",
	["The Transitus Stair"] = "La Escalera de Tránsito",
	["The Trapper's Enclave"] = "Enclave del Trampero",
	["The Tribunal of Ages"] = "El Tribunal de los Tiempos",
	["The Tundrid Hills"] = "Las Colinas Tundra",
	["The Twilight Breach"] = "La Brecha Crepuscular",
	["The Twilight Caverns"] = "Las Cavernas Crepusculares",
	["The Twilight Citadel"] = "La Ciudadela Crepuscular",
	["The Twilight Enclave"] = "El Enclave Crepuscular",
	["The Twilight Gate"] = "La Puerta Crepuscular",
	["The Twilight Gauntlet"] = "La Vereda Crepuscular",
	["The Twilight Ridge"] = "La Cresta del Crepúsculo",
	["The Twilight Rivulet"] = "El Riachuelo Crepuscular",
	["The Twilight Withering"] = "Quebranto Crepuscular",
	["The Twin Colossals"] = "Los Dos Colosos",
	["The Twisted Glade"] = "El Claro Retorcido",
	["The Unbound Thicket"] = "El Matorral Desatado",
	["The Underbelly"] = "Los Bajos Fondos",
	["The Underbog"] = "La Sotiénaga",
	["The Undercroft"] = "La Subgranja",
	["The Underhalls"] = "Las Cámaras Subterráneas",
	["The Undershell"] = "La Concha Subterránea",
	["The Uplands"] = "Las Tierras Altas",
	["The Upside-down Sinners"] = "Los Pecadores Boca Abajo",
	["The Valley of Fallen Heroes"] = "El Valle de los Héroes Caídos",
	["The Valley of Lost Hope"] = "El Valle de la Esperanza Perdida",
	["The Vault of Lights"] = "El Arca de las Luces",
	["The Vector Coil"] = "La Espiral Vectorial",
	["The Veiled Cleft"] = "La Grieta Velada",
	["The Veiled Sea"] = "Mar de la Bruma",
	["The Venture Co. Mine"] = "Mina Ventura y Cía.",
	["The Verdant Fields"] = "Los Verdegales",
	["The Verdant Thicket"] = "El Matorral Verde",
	["The Verne"] = "El Verne",
	["The Verne - Bridge"] = "El Verne - Puente",
	["The Verne - Entryway"] = "El Verne - Entrada",
	["The Vibrant Glade"] = "El Claro Vibrante",
	["The Vice"] = "El Vicio",
	["The Vicious Vale"] = "El Valle Atroz",
	["The Viewing Room"] = "La Sala de la Visión",
	["The Vile Reef"] = "El Arrecife Mortal",
	["The Violet Citadel"] = "La Ciudadela Violeta",
	["The Violet Citadel Spire"] = "Aguja de La Ciudadela Violeta",
	["The Violet Gate"] = "La Puerta Violeta",
	["The Violet Hold"] = "El Bastión Violeta",
	["The Violet Spire"] = "La Espiral Violeta",
	["The Violet Tower"] = "Torre Violeta",
	["The Vortex Fields"] = "Los Campos del Vórtice",
	["The Vortex Pinnacle"] = "Cumbre del Vórtice",
	["The Vortex Pinnacle Entrance"] = "Entrada de La Cumbre del Vórtice",
	["The Wailing Caverns"] = "Las Cuevas de los Lamentos",
	["The Wailing Ziggurat"] = "El Zigurat de los Lamentos",
	["The Waking Halls"] = "Las Salas del Despertar",
	["The Warlord's Garrison"] = "Cuartel del Señor de la Guerra",
	["The Warlord's Terrace"] = "El Bancal de los Señores de la Guerra",
	["The Warp Fields"] = "Los Campos Alabeados",
	["The Warp Piston"] = "El Pistón de Distorsión",
	["The Wavecrest"] = "La Cresta de la Ola",
	["The Weathered Nook"] = "El Hueco Perdido",
	["The Weeping Cave"] = "La Cueva del Llanto",
	["The Western Earthshrine"] = "El Santuario de la Tierra del Oeste",
	["The Westrift"] = "La Falla Oeste",
	["The Whelping Downs"] = "Las Colinas de los Vástagos",
	["The Whipple Estate"] = "El Raquitismo",
	["The Wicked Coil"] = "La Espiral Maldita",
	["The Wicked Grotto"] = "La Gruta Maligna",
	["The Widow's Clutch"] = "La Guarida de la Viuda",
	["The Wild Shore"] = "La Orilla Salvaje",
	["The Winding Halls"] = "Las Salas Serpenteantes",
	["The Windrunner"] = "El Brisaveloz",
	["The Wollerton Stead"] = "La Finca de Wollerton",
	["The Wonderworks"] = "Obras Asombrosas",
	["The World Tree"] = "Árbol del Mundo",
	["The Writhing Deep"] = "Las Galerías Retorcidas",
	["The Writhing Haunt"] = "El Tormento",
	["The Yorgen Farmstead"] = "La Hacienda Yorgen",
	["The Zoram Strand"] = "La Ensenada de Zoram",
	["Thelgen Rock"] = "Roca Thelgen",
	Thelsamar = "Thelsamar",
	Theramore = "Theramore",
	["Theramore Isle"] = "Isla Theramore",
	["Therazane's Throne"] = "Trono de Therazane",
	["Thermal Vents"] = "Celosía Termal",
	["Thieves Camp"] = "Campamento de Ladrones",
	["Thistlefur Hold"] = "Bastión Piel de Cardo",
	["Thistlefur Village"] = "Poblado Piel de Cardo",
	["Thistleshrub Valley"] = "Valle Cardizal",
	["Thondroril River"] = "Río Thondroril",
	["Thor Modan"] = "Thor Modan",
	["Thoradin's Wall"] = "Muralla de Thoradin",
	["Thorium Advance"] = "Avance del Torio",
	["Thorium Point"] = "Puesto del Torio",
	["Thorn Hill"] = "Colina Espinosa",
	["Thornfang Hill"] = "Colina Colmillespinado",
	["Thornmantle's Hideout"] = "La Guarida de Mantospina",
	["Thorson's Post"] = "Puesto de Thorson",
	["Thorvald's Camp"] = "Campamento de Thorvald",
	["Thousand Needles"] = "Las Mil Agujas",
	Thrallmar = "Thrallmar",
	["Thrallmar Mine"] = "Mina de Thrallmar",
	["Three Corners"] = "Tres Caminos",
	["Throne of Kil'jaeden"] = "Trono de Kil'jaeden",
	["Throne of Neptulon"] = "Trono de Neptulon",
	["Throne of Tides"] = "Trono de las Mareas",
	["Throne of the Apocalypse"] = "Trono del Apocalipsis",
	["Throne of the Damned"] = "Trono de los Condenados",
	["Throne of the Elements"] = "El Trono de los Elementos",
	["Throne of the Four Winds"] = "Trono de los Cuatro Vientos",
	["Throne of the Tides"] = "Trono de las Mareas",
	["Throne of the Tides Entrance"] = "Entrada del Trono de las Mareas",
	["Thrym's End"] = "Fin de Thrym",
	["Thunder Axe Fortress"] = "Fortaleza del Hacha de Trueno",
	["Thunder Bluff"] = "Cima del Trueno",
	["Thunder Falls"] = "Cataratas del Trueno",
	["Thunder Peak"] = "Pico del Trueno",
	["Thunder Ridge"] = "Monte del Trueno",
	Thunderbluff = "Cima del Trueno",
	["Thunderbrew Distillery"] = "Destilería Cebatruenos",
	Thunderfall = "Truenotoño",
	["Thunderhorn Water Well"] = "Pozo Tronacuerno",
	["Thundering Overlook"] = "Mirador Atronador",
	["Thunderlord Stronghold"] = "Bastión Señor del Trueno",
	Thundermar = "Bramal",
	["Thundermar Ruins"] = "Ruinas de Bramal",
	["Thunderstrike Mountain"] = "Monte del Rayo",
	["Thunk's Abode"] = "Morada de Thunk",
	["Thuron's Livery"] = "Caballería de Thuron",
	["Tidefury Cove"] = "Cala Furiamarea",
	["Tides' Hollow"] = "Hoya Mareanorte",
	["Timbermaw Hold"] = "Bastión Fauces de Madera",
	["Timbermaw Post"] = "Puesto de los Fauces de Madera",
	["Tinker Town"] = "Ciudad Manitas",
	["Tinkers' Court"] = "Cámara Manitas",
	["Tiragarde Keep"] = "Fuerte de Tiragarde",
	["Tirisfal Glades"] = "Claros de Tirisfal",
	["Tirth's Haunt"] = "Refugio de Tirth",
	["Tkashi Ruins"] = "Ruinas de Tkashi",
	["Tol Barad"] = "Tol Barad",
	["Tol Barad Peninsula"] = "Península de Tol Barad",
	["Tomb of Lights"] = "Tumba de las Luces",
	["Tomb of the Ancients"] = "Tumba de los Ancestros",
	["Tomb of the Earthrager"] = "Tumba del Terracundo",
	["Tomb of the Lost Kings"] = "Tumba de los Reyes Perdidos",
	["Tomb of the Sun King"] = "Tumba del Rey del Sol",
	["Tomb of the Watchers"] = "Tumba de los Vigías",
	["Tombs of the Precursors"] = "Tumbas de los Precursores",
	["Tome of the Unrepentant"] = "Libro de los Impenitentes",
	["Tor'Watha"] = "Tor'Watha",
	["Tor'kren Farm"] = "Granja Tor'kren",
	["Torp's Farm"] = "Granja de Torp",
	["Torseg's Rest"] = "Reposo de Torseg",
	["Toryl Estate"] = "Los Dominios Toryl",
	["Toshley's Station"] = "Estación de Toshley",
	["Tower Point"] = "Torre de la Punta",
	["Tower Watch"] = "Avanzada de la Torre",
	["Tower of Althalaxx"] = "Torre de Althalaxx",
	["Tower of Azora"] = "Torre de Azora",
	["Tower of Eldara"] = "Torre de Eldara",
	["Tower of Estulan"] = "Torre de Estulan",
	["Tower of Ilgalar"] = "Torre de Ilgalar",
	["Tower of the Damned"] = "Torre de los Condenados",
	["Town Square"] = "Plaza de la Ciudad",
	["Town-In-A-Box"] = "Ciudad de Bolsillo",
	["Trade District"] = "Distrito de Mercaderes",
	["Trade Quarter"] = "Barrio del Comercio",
	["Trader's Tier"] = "La Grada de los Mercaderes",
	["Tradesmen's Terrace"] = "Bancal de los Mercaderes",
	["Train Depot"] = "Depósito de Trenes",
	["Training Grounds"] = "Patio de Armas",
	["Traitor's Cove"] = "Cala del Traidor",
	["Tranquil Coast"] = "Costa Tranquila",
	["Tranquil Gardens Cemetery"] = "Cementerio del Jardín Sereno",
	["Tranquil Shore"] = "Orilla Tranquila",
	["Tranquil Wash"] = "Estela Tranquila",
	Tranquillien = "Tranquilien",
	Transborea = "Transborea",
	["Transitus Shield"] = "Escudo de Tránsito",
	["Transport: Alliance Gunship"] = "Transporte: Nave de Guerra de la Alianza",
	["Transport: Alliance Gunship (IGB)"] = "Transporte: Nave de Guerra de la Alianza",
	["Transport: Horde Gunship"] = "Transporte: Nave de Guerra de la Horda",
	["Transport: Horde Gunship (IGB)"] = "Transporte: Nave de Guerra de la Horda",
	["Transport: Onyxia/Nefarian Elevator"] = "Transporte: elevador Onyxia/Nefarian",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Transporte: El Viento Poderoso (Banda de Ciudadela de la Corona de Hielo)",
	["Trelleum Mine"] = "Mina Trelleum",
	["Trial of Fire"] = "Prueba del Fuego",
	["Trial of Frost"] = "Prueba de Escarcha",
	["Trial of Shadow"] = "Prueba de las Sombras",
	["Trial of the Champion"] = "Prueba del Campeón",
	["Trial of the Champion Entrance"] = "Entrada de la Prueba del Campeón",
	["Trial of the Crusader"] = "Prueba del Cruzado",
	["Trogma's Claim"] = "La Llamada de Trogma",
	["Trollbane Hall"] = "Bastión de Aterratrols",
	["Trophy Hall"] = "Cámara de los Trofeos",
	["Trueshot Point"] = "Punta Alblanco",
	["Tuluman's Landing"] = "Alto de Tuluman",
	Tuurem = "Tuurem",
	["Twilight Aerie"] = "Nidal Crepuscular",
	["Twilight Altar of Storms"] = "Altar de la Tempestad Crepuscular",
	["Twilight Base Camp"] = "Campamento Crepúsculo",
	["Twilight Bulwark"] = "Baluarte Crepuscular",
	["Twilight Camp"] = "Campamento Crepuscular",
	["Twilight Command Post"] = "Puesto de Mando Crepuscular",
	["Twilight Crossing"] = "Cruce Crepuscular",
	["Twilight Forge"] = "Forja Crepuscular",
	["Twilight Grove"] = "Arboleda del Crepúsculo",
	["Twilight Highlands"] = "Tierras Altas Crepusculares",
	["Twilight Highlands Phased Entrance"] = "Entrada de Tierras Altas Crepusculares en fase",
	["Twilight Outpost"] = "Avanzada Crepúsculo",
	["Twilight Overlook"] = "Mirador Crepuscular",
	["Twilight Post"] = "Puesto Crepúsculo",
	["Twilight Precipice"] = "Precipicio Crepuscular",
	["Twilight Shore"] = "Orilla Crepuscular",
	["Twilight Terrace"] = "Bancal Crepuscular",
	["Twilight Vale"] = "Vega Crepuscular",
	["Twilight's Run"] = "Paseo Crepúsculo",
	["Twin Peaks"] = "Cumbres Gemelas",
	["Twin Shores"] = "Las Playas Gemelas",
	["Twin Spire Ruins"] = "Ruinas de las Agujas Gemelas",
	["Twinbraid's Patrol"] = "Patrulla de Trenzado",
	["Twisting Nether"] = "El Vacío Abisal",
	["Tyr's Hand"] = "Mano de Tyr",
	["Tyr's Hand Abbey"] = "Abadía de la Mano de Tyr",
	["Tyr's Terrace"] = "Bancal de Tyr",
	["Ufrang's Hall"] = "Sala de Ufrang",
	Uldaman = "Uldaman",
	["Uldaman Entrance"] = "Entrada de Uldaman",
	Uldis = "Uldis",
	Ulduar = "Ulduar",
	["Ulduar Raid - Interior - Insertion Point"] = "Banda Ulduar: Interior: Punto de Entrada",
	["Ulduar Raid - Iron Concourse"] = "Banda Ulduar: Explanada de Hierro",
	Uldum = "Uldum",
	["Uldum Phase Oasis"] = "Oasis de fase de Uldum",
	["Uldum Phased Entrance"] = "Entrada de Uldum en fase",
	["Umbrafen Lake"] = "Lago Umbropantano",
	["Umbrafen Village"] = "Aldea Umbropantano",
	["Un'Goro Crater"] = "Cráter de Un'Goro",
	Undercity = "Entrañas",
	["Underlight Canyon"] = "Cañón Sondaluz",
	["Underlight Mines"] = "Minas Sondaluz",
	["Unearthed Grounds"] = "Campos Desenterrados",
	["Unu'pe"] = "Unu'pe",
	["Unyielding Garrison"] = "Cuartel Implacable",
	["Upper Silvermarsh"] = "Marjal Argenta Superior",
	["Upper Veil Shil'ak"] = "Velo Shil'ak Alto",
	["Ursoc's Den"] = "El Cubil de Ursoc",
	Ursolan = "Ursolan",
	["Utgarde Catacombs"] = "Catacumbas de Utgarde",
	["Utgarde Keep"] = "Fortaleza de Utgarde",
	["Utgarde Keep Entrance"] = "Entrada de la Fortaleza de Utgarde",
	["Utgarde Pinnacle"] = "Pináculo de Utgarde",
	["Utgarde Pinnacle Entrance"] = "Entrada del Pináculo de Utgarde",
	["Uther's Tomb"] = "Tumba de Uther",
	["Valaar's Berth"] = "Atracadero de Valaar",
	["Valgan's Field"] = "Campo de Valgan",
	Valgarde = "Valgarde",
	["Valgarde Port"] = "Puerto de Valgarde",
	Valhalas = "Valhalas",
	["Valiance Keep"] = "Fortaleza Denuedo",
	["Valiance Landing Camp"] = "Campo de Aterrizaje de Denuedo",
	Valkyrion = "Valkyrion",
	["Valley Of Heroes"] = "Valle de los Héroes",
	["Valley of Ancient Winters"] = "Valle de los Viejos Inviernos",
	["Valley of Ashes"] = "Valle de las Cenizas",
	["Valley of Bones"] = "Valle de los Huesos",
	["Valley of Echoes"] = "Valle de los Ecos",
	["Valley of Fangs"] = "Valle de los Colmillos",
	["Valley of Heroes"] = "Valle de los Héroes",
	["Valley of Honor"] = "Valle del Honor",
	["Valley of Kings"] = "Valle de los Reyes",
	["Valley of Spears"] = "Valle de las Lanzas",
	["Valley of Spirits"] = "Valle de los Espíritus",
	["Valley of Strength"] = "Valle de la Fuerza",
	["Valley of Trials"] = "Valle de los Retos",
	["Valley of Wisdom"] = "Valle de la Sabiduría",
	["Valley of the Bloodfuries"] = "Valle Furia Sangrienta",
	["Valley of the Watchers"] = "Valle de los Vigías",
	["Valor's Rest"] = "Sosiego del Valor",
	Valormok = "Valormok",
	["Valorwind Lake"] = "Lago Ventobravo",
	["Vanguard Infirmary"] = "Enfermería de la Vanguardia",
	["Vanndir Encampment"] = "Campamento Vanndir",
	["Vargoth's Retreat"] = "Reposo de Vargoth",
	["Vashj'elan Spawning Pool"] = "Poza Emergente Vashj'elan",
	["Vashj'ir"] = "Vashj'ir",
	["Vault of Archavon"] = "Cámara de Archavon",
	["Vault of Ironforge"] = "Las Arcas de Forjaz",
	["Vault of the Ravenian"] = "Cámara del Devorador",
	["Vault of the Shadowflame"] = "Bóveda de la Llama de las Sombras",
	["Veil Ala'rak"] = "Velo Ala'rak",
	["Veil Harr'ik"] = "Velo Harr'ik",
	["Veil Lashh"] = "Velo Lashh",
	["Veil Lithic"] = "Velo Lítico",
	["Veil Reskk"] = "Velo Reskk",
	["Veil Rhaze"] = "Velo Rhaze",
	["Veil Ruuan"] = "Velo Ruuan",
	["Veil Sethekk"] = "Velo Sethekk",
	["Veil Shalas"] = "Velo Shalas",
	["Veil Shienor"] = "Velo Shienor",
	["Veil Skith"] = "Velo Skith",
	["Veil Vekh"] = "Velo Vekh",
	["Vekhaar Stand"] = "Alto Vekhaar",
	["Velaani's Arcane Goods"] = "Artículos arcanos de Velaani",
	["Vendetta Point"] = "Punta Vendetta",
	["Vengeance Landing"] = "Campo Venganza",
	["Vengeance Landing Inn"] = "Taberna de Campo Venganza",
	["Vengeance Landing Inn, Howling Fjord"] = "Taberna de Campo Venganza, Fiordo Aquilonal",
	["Vengeance Lift"] = "Elevador de Venganza",
	["Vengeance Pass"] = "Paso Venganza",
	["Vengeance Wake"] = "Rastro Venganza",
	Venomspite = "Rencor Venenoso",
	["Venomweb Vale"] = "Vega Venerácnidas",
	["Venture Bay"] = "Bahía Ventura",
	["Venture Co. Base Camp"] = "Base de Ventura y Cía.",
	["Venture Co. Operations Center"] = "Centro de Operaciones de Ventura y Cía.",
	["Verdant Highlands"] = "Tierras Altas Verdes",
	["Verdantis River"] = "Río Verdantis",
	["Veridian Point"] = "Punta Veridiana",
	["Verlok Stand"] = "Alto Verlok",
	["Vermillion Redoubt"] = "Reducto Bermellón",
	["Verrall Delta"] = "Delta del Verrall",
	["Verrall River"] = "Río Verrall",
	["Victor's Point"] = "Paso del Invicto",
	["Vileprey Village"] = "Poblado Presavil",
	["Vim'gol's Circle"] = "Anillo de Vim'gol",
	["Vindicator's Rest"] = "El Reposo del Vindicador",
	["Violet Citadel Balcony"] = "Balcón de la Ciudadela Violeta",
	["Violet Hold"] = "Bastión Violeta",
	["Violet Hold Entrance"] = "Entrada de El Bastión Violeta",
	["Violet Stand"] = "El Confín Violeta",
	["Vir'naal Dam"] = "Presa Vir'naal",
	["Vir'naal Lake"] = "Lago Vir'naal",
	["Vir'naal Oasis"] = "Oasis Vir'naal",
	["Vir'naal River"] = "Río Vir'naal",
	["Vir'naal River Delta"] = "Delta Vir'naal",
	["Void Ridge"] = "Cresta del Vacío",
	["Voidwind Plateau"] = "Meseta del Viento del Vacío",
	["Volcanoth's Lair"] = "Guarida de Volcanoth",
	["Voldrin's Hold"] = "Bastión de Voldrin",
	Voldrune = "Runavold",
	["Voldrune Dwelling"] = "Morada Runavold",
	Voltarus = "Voltarus",
	["Vordrassil Pass"] = "Paso de Vordrassil",
	["Vordrassil's Heart"] = "Corazón de Vordrassil",
	["Vordrassil's Limb"] = "Extremidad de Vordrassil",
	["Vordrassil's Tears"] = "Lágrimas de Vordrassil",
	["Vortex Pinnacle"] = "Cumbre del Vórtice",
	["Vortex Summit"] = "Cumbre del Vórtice",
	["Vul'Gol Ogre Mound"] = "Túmulo de Vul'Gol",
	["Vyletongue Seat"] = "Trono de Lenguavil",
	["Wahl Cottage"] = "Cabaña de Wahl",
	["Wailing Caverns"] = "Cuevas de los Lamentos",
	["Walk of Elders"] = "Camino de los Ancestros",
	["War Quarter"] = "Barrio de la Guerra",
	["War Room"] = "Sala de Mandos",
	["Warbringer's Ring"] = "Liza del Belisario",
	["Warchief's Lookout"] = "Atalaya del Jefe de Guerra",
	["Warden's Cage"] = "Jaula de la Guardiana",
	["Warden's Chambers"] = "Aposentos del Celador",
	["Warden's Vigil"] = "Vigilia del Celador",
	["Warmaul Hill"] = "Colina Mazo de Guerra",
	["Warpwood Quarter"] = "Barrio Alabeo",
	["Warrior's Terrace"] = "Bancal del Guerrero",
	["Warsong Camp"] = "Campamento Grito de Guerra",
	["Warsong Farms Outpost"] = "Avanzada de las Granjas Grito de Guerra",
	["Warsong Flag Room"] = "Sala de la Bandera Grito de Guerra",
	["Warsong Granary"] = "Granero Grito de Guerra",
	["Warsong Gulch"] = "Garganta Grito de Guerra",
	["Warsong Hold"] = "Bastión Grito de Guerra",
	["Warsong Jetty"] = "Malecón Grito de Guerra",
	["Warsong Labor Camp"] = "Campo de trabajos forzados Grito de Guerra",
	["Warsong Lumber Camp"] = "Aserradero Grito de Guerra",
	["Warsong Lumber Mill"] = "Serrería Grito de Guerra",
	["Warsong Slaughterhouse"] = "Matadero Grito de Guerra",
	["Watchers' Terrace"] = "Bancal de los Oteadores",
	["Waterspring Field"] = "Campo del Manantial",
	Waterworks = "Estación de Bombeo",
	["Wavestrider Beach"] = "Playa Baile de las Olas",
	["Wayfarer's Rest"] = "El Descanso del Caminante",
	Waygate = "Puerta",
	["Wayne's Refuge"] = "Refugio de Wayne",
	["Weazel's Crater"] = "Cráter de la Comadreja",
	["Webwinder Hollow"] = "Cuenca de las Tejedoras",
	["Webwinder Path"] = "Senda de las Tejedoras",
	["Weeping Quarry"] = "Cantera Llorosa",
	["Well of the Forgotten"] = "Pozo de los Olvidados",
	["Wellson Shipyard"] = "Astillero de Wellson",
	["Wellspring Hovel"] = "Cobertizo Primigenio",
	["Wellspring Lake"] = "Lago Primigenio",
	["Wellspring River"] = "Río Primigenio",
	["West Garrison"] = "Cuartel del Oeste",
	["West Pillar"] = "Pilar Oeste",
	["West Point Station"] = "Estación de la Punta Oeste",
	["West Point Tower"] = "Torre de la Punta Oeste",
	["West Sanctum"] = "Sagrario del Oeste",
	["West Spear Tower"] = "Torre Lanza del Oeste",
	["West Spire"] = "Fortín del Oeste",
	["Westbrook Garrison"] = "Cuartel de Arroyoeste",
	["Western Bridge"] = "Puente Occidental",
	["Western Plaguelands"] = "Tierras de la Peste del Oeste",
	["Western Strand"] = "Playa del Oeste",
	Westfall = "Páramos de Poniente",
	["Westfall Brigade"] = "Brigada de los Páramos de Poniente",
	["Westfall Brigade Encampment"] = "Campamento de la Brigada de los Páramos de Poniente",
	["Westfall Lighthouse"] = "Faro de Poniente",
	["Westguard Inn"] = "Taberna de la Guardia Oeste",
	["Westguard Keep"] = "Fortaleza de la Guardia Oeste",
	["Westguard Turret"] = "Torreta de la Guardia Oeste",
	["Westreach Summit"] = "Cima Tramo Oeste",
	["Westspark Workshop"] = "Taller Chispa Occidental",
	["Westwind Lift"] = "Elevador de Viento Oeste",
	["Westwind Refugee Camp"] = "Campo de Refugiados de Viento Oeste",
	Wetlands = "Los Humedales",
	["Whelgar's Excavation Site"] = "Excavación de Whelgar",
	["Whelgar's Retreat"] = "Retiro de Whelgar",
	["Whisper Gulch"] = "Garganta Susurro",
	["Whispering Forest"] = "Bosque susurrante",
	["Whispering Gardens"] = "Jardines de los Susurros",
	["Whispering Shore"] = "Costa Murmurante",
	["Whisperwind Grove"] = "Arboleda Susurravientos",
	["Whistling Grove"] = "Arboleda Sibilante",
	["White Pine Trading Post"] = "Puesto de Venta de Pino Blanco",
	["Whitebeard's Encampment"] = "Campamento de Barbablanca",
	["Whitereach Post"] = "Campamento del Tramo Blanco",
	["Wild Overlook"] = "Mirador Salvaje",
	["Wild Shore"] = "Orilla Salvaje",
	["Wildbend River"] = "Río Culebra",
	["Wildervar Mine"] = "Mina de Vildervar",
	["Wildflame Point"] = "Alto Punta Salvaje",
	["Wildgrowth Mangal"] = "Manglar Silvestre",
	["Wildhammer Flag Room"] = "Sala de la Bandera Martillo Salvaje",
	["Wildhammer Keep"] = "Fortaleza de los Martillo Salvaje",
	["Wildhammer Stronghold"] = "Bastión Martillo Salvaje",
	["Wildheart Point"] = "Alto de Corazón Salvaje",
	["Wildmane Water Well"] = "Pozo Ferocrín",
	["Wildpaw Cavern"] = "Caverna Zarpa Salvaje",
	["Wildpaw Ridge"] = "Risco Zarpa Salvaje",
	["Wildwind Lake"] = "Lago Ventosalvaje",
	["Wildwind Path"] = "Senda Ventosalvaje",
	["Wildwind Peak"] = "Cima Ventosalvaje",
	["Windbreak Canyon"] = "Cañón Rompevientos",
	["Windfury Ridge"] = "Cresta Viento Furioso",
	["Windrunner Spire"] = "Aguja Brisaveloz",
	["Windrunner Village"] = "Aldea Brisaveloz",
	["Windrunner's Overlook"] = "Mirador Brisaveloz",
	["Windshear Crag"] = "Risco Cortaviento",
	["Windshear Heights"] = "Altos Cortaviento",
	["Windshear Hold"] = "Bastión Cortaviento",
	["Windshear Mine"] = "Mina Cortaviento",
	["Windshear Valley"] = "Valle Cortaviento",
	["Windy Bluffs"] = "Riscos Ventosos",
	["Windyreed Pass"] = "Paso Junco Alabeado",
	["Windyreed Village"] = "Aldea Junco Alabeado",
	["Winter's Breath Lake"] = "Lago Aliento Invernal",
	["Winter's Edge Tower"] = "Torre Filoinvierno",
	["Winter's Heart"] = "Corazón del Invierno",
	["Winter's Terrace"] = "Bancal del Invierno",
	["Winterax Hold"] = "Fuerte Hacha Invernal",
	["Winterfall Village"] = "Poblado Nevada",
	["Winterfin Caverns"] = "Cavernas Aleta Invernal",
	["Winterfin Retreat"] = "Refugio Aleta Invernal",
	["Winterfin Village"] = "Poblado Aleta Invernal",
	["Wintergarde Crypt"] = "Cripta de Hibergarde",
	["Wintergarde Keep"] = "Fortaleza de Hibergarde",
	["Wintergarde Mausoleum"] = "Mausoleo de Hibergarde",
	["Wintergarde Mine"] = "Mina de Hibergarde",
	Wintergrasp = "Conquista del Invierno",
	["Wintergrasp Fortress"] = "Fortaleza de Conquista del Invierno",
	["Wintergrasp River"] = "Río Conquista del Invierno",
	["Winterhoof Water Well"] = "Pozo Pezuña Invernal",
	Winterspring = "Cuna del Invierno",
	["Witch Hill"] = "Colina de las Brujas",
	["Witch's Sanctum"] = "Sagrario de la Bruja",
	["Witherbark Caverns"] = "Cuevas Secacorteza",
	["Witherbark Village"] = "Poblado Secacorteza",
	["Withering Thicket"] = "Matorral Abrasador",
	["Wizard Row"] = "Pasaje del Zahorí",
	["Wizard's Sanctum"] = "Sagrario del Mago",
	["Wolf's Run"] = "Senda del Lobo",
	["Wood's End Cabin"] = "Cabaña de la Espesura",
	["Woodpaw Den"] = "Guarida de los Zarpaleña",
	["Woodpaw Hills"] = "Colinas Zarpaleña",
	Workshop = "Taller",
	["Workshop Entrance"] = "Entrada del Taller",
	["World's End Tavern"] = "Taberna del Fin del Mundo",
	["Wrathscale Lair"] = "Guarida Escama de Cólera",
	["Wrathscale Point"] = "Punto Escama de Cólera",
	["Wreckage of the Silver Dawning"] = "Restos del Amanecer de Plata",
	["Writhing Mound"] = "Alcor Tortuoso",
	Wyrmbog = "Ciénaga de Fuego",
	["Wyrmbreaker's Rookery"] = "Grajero de Rompevermis",
	["Wyrmrest Temple"] = "Templo del Reposo del Dragón",
	["Wyrms' Bend"] = "Recodo de Vermis",
	["Wyrmscar Island"] = "Isla Cicatriz de Vermis",
	["Wyrmskull Bridge"] = "Puente Calavermis",
	["Wyrmskull Tunnel"] = "Túnel Calavermis",
	["Wyrmskull Village"] = "Poblado Calavermis",
	["X-2 Pincer"] = "Tenazario X2",
	Xavian = "Xavian",
	Ymirheim = "Ymirheim",
	["Ymiron's Seat"] = "Trono de Ymiron",
	["Yojamba Isle"] = "Isla Yojamba",
	["Yowler's Den"] = "Cubil de Ululante",
	["Zabra'jin"] = "Zabra'jin",
	["Zaetar's Grave"] = "Tumba de Zaetar",
	["Zalashji's Den"] = "Guarida de Zalashji",
	["Zalazane's Fall"] = "Caída de Zalazane",
	["Zane's Eye Crater"] = "Cráter del Ojo de Zane",
	["Zangar Ridge"] = "Loma de Zangar",
	Zangarmarsh = "Marisma de Zangar",
	["Zeb'Halak"] = "Zeb'Halak",
	["Zeb'Nowa"] = "Zeb'Nowa",
	["Zeb'Sora"] = "Zeb'Sora",
	["Zeb'Tela"] = "Zeb'Tela",
	["Zeb'Watha"] = "Zeb'Watha",
	["Zeppelin Crash"] = "Zepelín Caído",
	Zeramas = "Zeramas",
	["Zeth'Gor"] = "Zeth'Gor",
	["Ziata'jai Ruins"] = "Ruinas de Ziata'jai",
	["Zim'Abwa"] = "Zim'Abwa",
	["Zim'Rhuk"] = "Zim'Rhuk",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Guarida de Zim'bo",
	["Zol'Heb"] = "Zol'Heb",
	["Zol'Maz Stronghold"] = "Bastión de Zol'Maz",
	["Zoram'gar Outpost"] = "Avanzada de Zoram'gar",
	["Zul'Aman"] = "Zul'Aman",
	["Zul'Drak"] = "Zul'Drak",
	["Zul'Farrak"] = "Zul'Farrak",
	["Zul'Farrak Entrance"] = "Entrada de Zul'Farrak",
	["Zul'Gurub"] = "Zul'Gurub",
	["Zul'Mashar"] = "Zul'Mashar",
	["Zun'watha"] = "Zun'watha",
	["Zuuldaia Ruins"] = "Ruinas Zuuldaia",
}

elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "Лагерь 7-го легиона",
	["7th Legion Front"] = "Передовая 7-го легиона",
	["7th Legion Submarine"] = "Подводная лодка 7-го легиона",
	["A Hero's Welcome"] = "Благодарность за отвагу",
	["Abandoned Armory"] = "Заброшенная оружейня",
	["Abandoned Camp"] = "Заброшенный лагерь",
	["Abandoned Mine"] = "Заброшенная шахта",
	["Abandoned Reef"] = "Запустелый риф",
	["Abyssal Breach"] = "Обрыв над бездной",
	["Abyssal Depths"] = "Бездонные глубины",
	["Abyssal Halls"] = "Глубинные залы",
	["Abyssal Maw"] = "Бездонная пучина",
	["Abyssal Maw Exterior"] = "Внешняя сторона Бездонной пучины",
	["Abyssal Sands"] = "Безбрежные пески",
	["Abyssion's Lair"] = "Логово Абиссия",
	["Access Shaft Zeon"] = "Вход в шахту Зеон",
	["Acherus: The Ebon Hold"] = "Акерус: Черный оплот",
	["Addle's Stead"] = "Участок Эддла",
	["Aderic's Repose"] = "Покой Адерика",
	["Aerie Peak"] = "Заоблачный пик",
	["Aeris Landing"] = "Небесный лагерь",
	["Agamand Family Crypt"] = "Семейная усыпальница Агамондов",
	["Agamand Mills"] = "Мельницы Агамондов",
	["Agmar's Hammer"] = "Молот Агмара",
	["Agmond's End"] = "Удел Эгмонда",
	["Agol'watha"] = "Агол'вата",
	["Ahn Qiraj"] = "Ан'Кираж",
	["Ahn'Qiraj"] = "Ан'Кираж",
	["Ahn'Qiraj Temple"] = "Храм Ан'Киража",
	["Ahn'Qiraj Terrace"] = "Терраса Ан'Киража",
	["Ahn'Qiraj: The Fallen Kingdom"] = "Ан'Кираж: Павшее Королевство",
	["Ahn'kahet: The Old Kingdom"] = "Ан'кахет: Старое Королевство",
	["Ahn'kahet: The Old Kingdom Entrance"] = "Ан'кахет: Старое Королевство",
	["Akhenet Fields"] = "Поля Акхенет",
	["Aku'mai's Lair"] = "Логово Аку'май",
	["Alabaster Shelf"] = "Алебастровый шельф",
	["Alcaz Island"] = "Остров Алькац",
	["Aldor Rise"] = "Возвышенность Алдоров",
	Aldrassil = "Альдрассил",
	["Aldur'thar: The Desolation Gate"] = "Алдур'тар: Врата Горя",
	["Alexston Farmstead"] = "Поместье Алекстона",
	["Algaz Gate"] = "Врата Альгаза",
	["Algaz Station"] = "Станция Альгаз",
	["All That Glitters Prospecting Co."] = "Все, что блестит",
	["Allen Farmstead"] = "Ферма Аллена",
	["Allerian Post"] = "Застава Аллерии",
	["Allerian Stronghold"] = "Бастион Аллерии",
	["Alliance Base"] = "База Альянса",
	["Alliance Beachhead"] = "Плацдарм Альянса",
	["Alliance Keep"] = "Крепость Альянса",
	["Alliance Mercenary Ship to Vashj'ir"] = "Корабль наемников Альянса до Вайш'ира",
	["Alliance PVP Barracks"] = "Казармы Альянса",
	["Alonsus Chapel"] = "Часовня Алонсия",
	["Altar of Ascension"] = "Алтарь Перерожденных",
	["Altar of Har'koa"] = "Алтарь Хар'коа",
	["Altar of Mam'toth"] = "Алтарь Мам'Тота",
	["Altar of Quetz'lun"] = "Алтарь Кетц'лун",
	["Altar of Rhunok"] = "Алтарь Рунока",
	["Altar of Sha'tar"] = "Алтарь Ша'тар",
	["Altar of Sseratus"] = "Алтарь Шшератуса",
	["Altar of Storms"] = "Алтарь Бурь",
	["Altar of Twilight"] = "Сумеречный алтарь",
	["Altar of the Blood God"] = "Алтарь Бога Крови",
	["Alterac Mountains"] = "Альтеракские горы",
	["Alterac Valley"] = "Альтеракская долина",
	["Alther's Mill"] = "Лесопилка Альтера",
	["Amani Catacombs"] = "Катакомбы Амани",
	["Amani Mountains"] = "Аманийские горы",
	["Amani Pass"] = "Перевал Амани",
	["Amber Ledge"] = "Янтарная гряда",
	Ambermill = "Янтарная мельница",
	["Amberpine Lodge"] = "Приют Янтарной Сосны",
	["Ambershard Cavern"] = "Пещера Янтарных Осколков",
	["Amberstill Ranch"] = "Ферма Янтарленов",
	["Amberweb Pass"] = "Перевал Янтарной Паутины",
	["Ameth'Aran"] = "Амет'Аран",
	["Ammen Fields"] = "Поля Аммен",
	["Ammen Ford"] = "Переправа Аммен",
	["Ammen Vale"] = "Долина Аммен",
	["Amphitheater of Anguish"] = "Амфитеатр Страданий",
	["Ampitheater of Anguish"] = "Амфитеатр Страданий",
	["An'daroth"] = "Ан'дарот",
	["An'owyn"] = "Ан'овин",
	["An'telas"] = "Ан'телас",
	["Ancestral Grounds"] = "Земли Предков",
	["Ancient Zul'Gurub"] = "Старый Зул'Гуруб",
	["Andilien Estate"] = "Поместье Андилиен",
	Andorhal = "Андорал",
	Andruk = "Андрук",
	["Angerfang Encampment"] = "Лагерь Злого Клыка",
	["Ango'rosh Grounds"] = "Земли Анго'рош",
	["Ango'rosh Stronghold"] = "Крепость Анго'рош",
	["Angor Fortress"] = "Крепость Ангор",
	["Angrathar the Wrath Gate"] = "Ангратар, Врата Гнева",
	["Angrathar the Wrathgate"] = "Ангратар, Врата Гнева",
	["Antonidas Memorial"] = "Памятник Антонидасу",
	["Anvil of Conflagration"] = "Огненная Наковальня",
	Anvilmar = "Старая Наковальня",
	["Apex Point"] = "Высшая Точка",
	["Apocryphan's Rest"] = "Скелет Апокрифана",
	["Apothecary Camp"] = "Аптекарский поселок",
	["Arathi Basin"] = "Низина Арати",
	["Arathi Highlands"] = "Нагорье Арати",
	["Arcane Pinnacle"] = "Волшебный замок",
	["Archmage Vargoth's Retreat"] = "Укрытие верховного мага Варгота",
	["Area 52"] = "Зона 52",
	["Arena Floor"] = "Ринг арены",
	["Argent Pavilion"] = "Серебряный павильон",
	["Argent Stand"] = "Серебряная застава",
	["Argent Tournament Grounds"] = "Ристалище Серебряного турнира",
	["Argent Vanguard"] = "Оплот Серебряного Авангарда",
	["Ariden's Camp"] = "Лагерь Аридена",
	["Arikara's Needle"] = "Шпиль Арикары",
	["Arklon Ruins"] = "Руины Арклон",
	["Arklonis Ridge"] = "Гряда Арклонис",
	["Arriga Footbridge"] = "Мост Аррига",
	["Arsad Trade Post"] = "Торговая лавка Арсад",
	["Ascendant's Rise"] = "Вершина Перерожденых",
	["Ashen Fields"] = "Пепельные поля",
	["Ashen Lake"] = "Пепельное озеро",
	Ashenvale = "Ясеневый лес",
	["Ashwood Lake"] = "Ясеневое озеро",
	["Ashwood Post"] = "Ясеневая застава",
	["Aspen Grove Post"] = "Застава Тополиной рощи",
	Astranaar = "Астранаар",
	["Ata'mal Terrace"] = "Терраса Ата'мала",
	Athenaeum = "Читальня",
	["Atulhet's Tomb"] = "Гробница Атулхета",
	["Auberdine Refugee Camp"] = "Аубердинский лагерь беженцев",
	["Auchenai Crypts"] = "Аукенайские гробницы",
	["Auchenai Grounds"] = "Аукенайские земли",
	Auchindoun = "Аукиндон",
	["Auchindoun - Auchenai Crypts Entrance"] = "Аукиндон - вход в Аукенайские гробницы",
	["Auchindoun - Mana-Tombs Entrance"] = "Аукиндон - вход в Гробницы Маны",
	["Auchindoun - Sethekk Halls Entrance"] = "Аукиндон - вход в Сетеккские залы",
	["Auchindoun - Shadow Labyrinth Entrance"] = "Аукиндон - вход в Темный лабиринт",
	["Auchindoun: Auchenai Crypts"] = "Аукиндон: Аукенайские гробницы",
	["Auchindoun: Mana-Tombs"] = "Аукиндон: Гробницы Маны",
	["Auchindoun: Sethekk Halls"] = "Аукиндон: Сетеккские залы",
	["Auchindoun: Shadow Labyrinth"] = "Аукиндон: Темный лабиринт",
	["Auren Falls"] = "Водопад Аурен",
	["Auren Ridge"] = "Гряда Аурен",
	["Avalanchion's Vault"] = "Пещера Лавиниона",
	Aviary = "Птичник",
	["Axis of Alignment"] = "Ось Выравнивания",
	Axxarien = "Аксариен",
	["Azjol-Nerub"] = "Азжол-Неруб",
	["Azjol-Nerub Entrance"] = "Вход в Азжол-Неруб",
	Azshara = "Азшара",
	["Azshara Crater"] = "Кратер Азшары",
	["Azure Dragonshrine"] = "Лазуритовое святилище драконов",
	["Azure Watch"] = "Лазурная застава",
	["Azurebreeze Coast"] = "Побережье Лазурного Ветра",
	["Azurelode Mine"] = "Лазуритовый рудник",
	["Azuremyst Isle"] = "Остров Лазурной Дымки",
	Badlands = "Бесплодные земли",
	["Bael Modan"] = "Бейл Модан",
	["Bael Modan Excavation"] = "Раскопки Бейл Модана",
	["Bael'dun Digsite"] = "Раскопки Бейл'дана",
	["Bael'dun Keep"] = "Крепость Бейл'дан",
	["Baelgun's Excavation Site"] = "Раскопки Бейлгуна",
	["Bahrum's Post"] = "Лагерь Бахрума",
	["Bal'lal Ruins"] = "Руины Бал'лал",
	["Balargarde Fortress"] = "Цитадель Балагарда",
	Baleheim = "Гибльхейм",
	["Balejar Watch"] = "Застава Баледжара",
	["Balia'mah Ruins"] = "Руины Балиа'ма",
	["Balnir Farmstead"] = "Усадьба Балнира",
	Bambala = "Бамбала",
	["Ban'Thallow Barrow Den"] = "Берлога Бен'Таллоу",
	["Ban'ethil Barrow Den"] = "Обитель Бен'этиль",
	["Ban'ethil Barrow Descent"] = "Спуск в обитель Бен'этиль",
	["Ban'ethil Hollow"] = "Лощина Бен'этиль",
	["Band of Acceleration"] = "Кольцо ускорения",
	["Band of Alignment"] = "Кольцо управления",
	["Band of Transmutation"] = "Кольцо трансмутации",
	["Band of Variance"] = "Кольцо отклонения",
	Bank = "Банк",
	["Baradin Base Camp"] = "Лагерь Барадин",
	["Baradin Bay"] = "Бухта Барадин",
	["Baradin Hold"] = "Крепость Барадин",
	Barbershop = "Парикмахерская",
	["Barov Family Vault"] = "Семейный склеп Баровых",
	["Bash'ir Landing"] = "Лагерь Баш'ира",
	["Bashal'Aran"] = "Башал'Аран",
	["Bashal'Aran Collapse"] = "Разлом Башал'Аран",
	["Bastion Antechamber"] = "Холл бастиона",
	["Bathran's Haunt"] = "Убежище Батрана",
	["Battle Ring"] = "Ринг",
	Battlescar = "Боевой Шрам",
	["Battlescar Spire"] = "Вершина Боевого Шрама",
	["Battlescar Valley"] = "Долина Боевого Шрама",
	["Bay of Storms"] = "Залив Бурь",
	["Bear's Head"] = "Медвежий угол",
	["Beauty's Lair"] = "Логово Красавицы",
	["Beezil's Wreck"] = "Место крушения дирижабля Бизила",
	["Befouled Terrace"] = "Опоганенная терраса",
	["Beggar's Haunt"] = "Приют Бродяги",
	["Beneath The Double Rainbow"] = "Сень радуги",
	["Beren's Peril"] = "Погибель Берена",
	["Bernau's Happy Fun Land"] = "Страна веселья Берно",
	["Beryl Coast"] = "Берилловое побережье",
	["Beryl Egress"] = "Берилловый Удел",
	["Beryl Point"] = "Берилловый лагерь",
	["Beth'mora Ridge"] = "Гряда Бет'мора",
	["Beth'tilac's Lair"] = "Логово Бет'тилак",
	["Biel'aran Ridge"] = "Гряда Бейл'аран",
	["Bilgewater Harbor"] = "Гавань Трюмных Вод",
	["Bilgewater Lumber Yard"] = "Вырубки картеля",
	["Bilgewater Port"] = "Порт Трюмных Вод",
	["Bitter Reaches"] = "Горькие плесы",
	["Bittertide Lake"] = "Озеро Горьких Волн",
	["Black Channel Marsh"] = "Черная трясина",
	["Black Drake Roost"] = "Гнездовье черных драконов",
	["Black Temple"] = "Черный храм",
	["Black Tooth Hovel"] = "Загон Черного Зуба",
	["Blackchar Cave"] = "Обугленная пещера",
	["Blackfathom Camp"] = "Лагерь у Непроглядной Пучины",
	["Blackfathom Deeps"] = "Непроглядная Пучина",
	["Blackfathom Deeps Entrance"] = "Непроглядная Пучина",
	["Blackhoof Village"] = "Деревня Черного Копыта",
	["Blackhorn's Penance"] = "Башня Покаяния Чернорога",
	["Blackmaw Hold"] = "Крепость Черночревов",
	["Blackriver Logging Camp"] = "Лесопилка Черноречья",
	["Blackrock Caverns"] = "Пещеры Черной горы",
	["Blackrock Caverns Entrance"] = "Пещеры Черной горы",
	["Blackrock Depths"] = "Глубины Черной горы",
	["Blackrock Depths Entrance"] = "Глубины Черной горы",
	["Blackrock Mountain"] = "Черная гора",
	["Blackrock Pass"] = "Перевал Черной горы",
	["Blackrock Spire"] = "Пик Черной горы",
	["Blackrock Spire Entrance"] = "Пик Черной горы",
	["Blackrock Stadium"] = "Стадион Черной горы",
	["Blackrock Stronghold"] = "Крепость Черной горы",
	["Blacksilt Shore"] = "Берег Черного Ила",
	Blacksmith = "Кузница",
	["Blackstone Span"] = "Провал черного камня",
	Blackwatch = "Черный дозор",
	["Blackwater Cove"] = "Бухта Черноводья",
	["Blackwater Shipwrecks"] = "Обломки судов Черноводья",
	["Blackwind Lake"] = "Озеро Черного Ветра",
	["Blackwind Landing"] = "Лагерь Черного Ветра",
	["Blackwind Valley"] = "Долина Черного Ветра",
	["Blackwing Coven"] = "Пещера Крыла Тьмы",
	["Blackwing Descent"] = "Твердыня Крыла Тьмы",
	["Blackwing Lair"] = "Логово Крыла Тьмы",
	["Blackwolf River"] = "Волчья река",
	["Blackwood Camp"] = "Лагерь Чернолесья",
	["Blackwood Den"] = "Берлога в Чернолесье",
	["Blackwood Lake"] = "Озеро Чернолесья",
	["Blade Tooth Canyon"] = "Каньон Острого Зуба",
	["Blade's Edge Arena"] = "Арена Острогорья",
	["Blade's Edge Mountains"] = "Острогорье",
	["Bladed Gulch"] = "Лощина Клинков",
	["Bladefist Bay"] = "Бухта Острорука",
	["Blades & Axes"] = "Клинки и топоры",
	["Blades' Run"] = "Скалистая тропа",
	["Bladespire Grounds"] = "Земли Камнерогов",
	["Bladespire Hold"] = "Форт Камнерогов",
	["Bladespire Outpost"] = "Застава Камнерогов",
	Bladewood = "Лес Клинков",
	["Blasted Lands"] = "Выжженные земли",
	["Bleeding Hollow Ruins"] = "Руины Кровавой Глазницы",
	["Bleeding Vale"] = "Кровоточащая долина",
	["Bleeding Ziggurat"] = "Кровоточащий зиккурат",
	["Blistering Pool"] = "Кипящий пруд",
	["Blood Elf Tower"] = "Башня эльфов крови",
	["Blood Watch"] = "Кровавая застава",
	["Bloodcurse Isle"] = "Остров Проклятой Крови",
	["Bloodfen Burrow"] = "Логово Кровавой Топи",
	Bloodgulch = "Кровавое ущелье",
	["Bloodhoof Village"] = "Деревня Кровавого Копыта",
	["Bloodmaul Camp"] = "Лагерь Кровавого Молота",
	["Bloodmaul Outpost"] = "Застава Кровавого Молота",
	["Bloodmaul Ravine"] = "Лощина Кровавого Молота",
	["Bloodmoon Isle"] = "Остров Кровавой Луны",
	["Bloodmyst Isle"] = "Остров Кровавой Дымки",
	["Bloodscale Enclave"] = "Анклав Кровавой Чешуи",
	["Bloodscale Grounds"] = "Земли Кровавой Чешуи",
	["Bloodspore Plains"] = "Равнины Кровавых Спор",
	["Bloodtalon Shore"] = "Берег Кровавого Когтя",
	["Bloodtooth Camp"] = "Лагерь Кровавого Клыка",
	["Bloodvenom Falls"] = "Водопад Отравленной Крови",
	["Bloodvenom Post"] = "Застава Отравленной Крови",
	["Bloodvenom River"] = "Река Отравленной Крови",
	["Bloodwash Cavern"] = "Пещера Кровавого Прибоя",
	["Bloodwash Fighting Pits"] = "Боевые ямы Кровавого Прибоя",
	["Bloodwash Shrine"] = "Святилище Кровавого Прибоя",
	["Bloodwatcher Point"] = "Лагерь Кровавого Взора",
	["Blue Sky Logging Grounds"] = "Лесозаготовки Синего Неба",
	Bluefen = "Синяя топь",
	["Bluegill Marsh"] = "Болота Синежабрых",
	["Bluff of the South Wind"] = "Утес Южного Ветра",
	["Bogen's Ledge"] = "Грот Богена",
	Bogpaddle = "Веслотопь",
	["Boha'mu Ruins"] = "Руины Боха'му",
	["Bolgan's Hole"] = "Пещера Болгана",
	["Bolyun's Camp"] = "Лагерь Больюна",
	["Bonechewer Ruins"] = "Руины Костеглодов",
	["Bones of Grakkarond"] = "Кости Граккаронда",
	["Bonesnap's Camp"] = "Лагерь Костехвата",
	["Bootlegger Outpost"] = "Стоянка бутлегеров",
	["Booty Bay"] = "Пиратская Бухта",
	["Bor'gorok Outpost"] = "Застава Бор'горока",
	["Bor's Breath"] = "Дыхание Бора",
	["Bor's Breath River"] = "Река Дыхания Бора",
	["Bor's Fall"] = "Водопад Бора",
	["Bor's Fury"] = "Ярость Бора",
	["Borean Tundra"] = "Борейская тундра",
	["Borune Ruins"] = "Руины Боруна",
	["Bough Shadow"] = "Тенистая Крона",
	["Boulder Hills"] = "Каменистые холмы",
	["Boulder Lode Mine"] = "Каменный карьер",
	["Boulder'gor"] = "Камен'гор",
	["Boulder'mok"] = "Камен'мок",
	["Bouldercrag's Refuge"] = "Приют Глыбоскала",
	["Boulderfist Hall"] = "Крепость Тяжелого Кулака",
	["Boulderfist Outpost"] = "Аванпост Тяжелого Кулака",
	["Boulderslide Cavern"] = "Пещера Камнепадов",
	["Boulderslide Ravine"] = "Ущелье Камнепадов",
	["Brackenwall Village"] = "Деревня Гиблотопь",
	["Brackwell Pumpkin Patch"] = "Тыквенное поле Бреквеллов",
	["Brambleblade Ravine"] = "Ежевичная лощина",
	Bramblescar = "Ежевичный овраг",
	["Brann's Base-Camp"] = "Базовый лагерь Бранна",
	["Brashtide Attack Fleet"] = "Военный флот Крушащей Волны",
	["Brashtide Attack Fleet (Force Outdoors)"] = "Военный флот Крушащей Волны",
	["Brave Wind Mesa"] = "Плато Дерзкого Ветра",
	["Brazie Farmstead"] = "Усадьба Брейзи",
	["Brewnall Village"] = "Поселок Пивоваров",
	["Bridge of Souls"] = "Мост Душ",
	["Brightwater Lake"] = "Озеро Ясноводное",
	["Brightwood Grove"] = "Светлая роща",
	Brill = "Брилл",
	["Brill Town Hall"] = "Ратуша Брилла",
	["Bristlelimb Enclave"] = "Анклав Косолапов",
	["Bristlelimb Village"] = "Деревня Косолапов",
	["Broken Commons"] = "Разоренные земли",
	["Broken Hill"] = "Изрезанный холм",
	["Broken Pillar"] = "Разбитая Колонна",
	["Broken Spear Village"] = "Деревня Сломанного Копья",
	["Broken Wilds"] = "Скалистые пустоши",
	["Bronze Dragonshrine"] = "Бронзовое святилище драконов",
	["Bronzebeard Encampment"] = "Лагерь Бронзоборода",
	["Browman Mill"] = "Лесопилка Бровача",
	["Brunnhildar Village"] = "Деревня Бруннхильдар",
	["Bucklebree Farm"] = "Ферма Баклбри",
	["Budd's Dig"] = "Раскопки Бадда",
	["Burning Blade Coven"] = "Грот Пылающего Клинка",
	["Burning Blade Ruins"] = "Руины Пылающего Клинка",
	["Burning Steppes"] = "Пылающие степи",
	["Butcher's Stand"] = "Застава кровопролития",
	["Caer Darrow"] = "Каэр Дарроу",
	["Caldemere Lake"] = "Озеро Холдомир",
	["Calston Estate"] = "Поместье Калстона",
	["Camp Aparaje"] = "Лагерь Апарахе",
	["Camp Ataya"] = "Лагерь Атайа",
	["Camp Boff"] = "Лагерь Бофф",
	["Camp Cagg"] = "Лагерь Кэгг",
	["Camp E'thok"] = "Лагерь Э'Ток",
	["Camp Everstill"] = "Лагерь Безмолвия",
	["Camp Kosh"] = "Лагерь Кош",
	["Camp Mojache"] = "Лагерь Мохаче",
	["Camp Mojache Longhouse"] = "Большой дом Мохаче",
	["Camp Narache"] = "Лагерь Нараче",
	["Camp Onequah"] = "Camp Onequah",
	["Camp Oneqwah"] = "Лагерь Уанква",
	["Camp Sungraze"] = "Лагерь Солнечного Пастбища",
	["Camp Tunka'lo"] = "Лагерь Тунка'ло",
	["Camp Una'fe"] = "Лагерь Уна'фе",
	["Camp Winterhoof"] = "Лагерь Заиндевевшего Копыта",
	["Camp Wurg"] = "Лагерь Вург",
	["Camp of Boom"] = "Лагерь Бума",
	Canals = "Каналы",
	["Cannon's Inferno"] = "Преисподняя Прожара",
	["Cantrips & Crows"] = "Ведьма и ворон",
	["Cape of Lost Hope"] = "Мыс Потерянной Надежды",
	["Cape of Stranglethorn"] = "Мыс Тернистой долины",
	["Capital Gardens"] = "Центральный сад",
	["Carrion Hill"] = "Холм Падальщика",
	["Cartier & Co. Fine Jewelry"] = "Ювелирный магазин Картье и компании",
	Cataclysm = "Cataclysm",
	["Cathedral Quarter"] = "Соборный квартал",
	["Cathedral Square"] = "Соборная площадь",
	["Cathedral of Darkness"] = "Собор Тьмы",
	["Cathedral of Light"] = "Собор Света",
	["Cauldros Isle"] = "Остров Колдрос",
	["Cave of Mam'toth"] = "Пещера Мам'тота",
	["Cavern of Mists"] = "Пещера Туманов",
	["Caverns of Time"] = "Пещеры Времени",
	["Celestial Ridge"] = "Небесная гряда",
	["Cenarion Enclave"] = "Анклав Кенария",
	["Cenarion Hold"] = "Крепость Кенария",
	["Cenarion Post"] = "Кенарийская застава",
	["Cenarion Refuge"] = "Кенарийский оплот",
	["Cenarion Thicket"] = "Перелесок Кенария",
	["Cenarion Watchpost"] = "Кенарийский караульный пост",
	["Cenarion Wildlands"] = "Кенарийские Заросли",
	["Central Bridge"] = "Центральный мост",
	["Chamber of Ancient Relics"] = "Комната древних святынь",
	["Chamber of Atonement"] = "Чертог Искупления",
	["Chamber of Battle"] = "Чертог Битвы",
	["Chamber of Blood"] = "Чертог Крови",
	["Chamber of Command"] = "Чертог Власти",
	["Chamber of Enchantment"] = "Колдовской чертог",
	["Chamber of Fanatics"] = "Комната фанатиков",
	["Chamber of Incineration"] = "Чертог Испепеления",
	["Chamber of Prophecy"] = "Зал Пророчеств",
	["Chamber of Respite"] = "Зал Покоя",
	["Chamber of Summoning"] = "Чертог Призыва",
	["Chamber of the Aspects"] = "Драконьи чертоги",
	["Chamber of the Dreamer"] = "Чертог Дремлющего",
	["Chamber of the Moon"] = "Зал Луны",
	["Chamber of the Restless"] = "Чертог Неупокоенных",
	["Chamber of the Stars"] = "Зал Звезд",
	["Chamber of the Sun"] = "Зал Солнца",
	["Champion's Hall"] = "Палаты Героев",
	["Champions' Hall"] = "Зал Защитника",
	["Chapel Gardens"] = "Церковные сады",
	["Chapel Yard"] = "Церковный двор",
	["Chapel of the Crimson Flame"] = "Часовня Багрового Пламени",
	["Charred Outpost"] = "Обуглившаяся застава",
	["Charred Rise"] = "Обугленная вершина",
	["Chill Breeze Valley"] = "Долина Промозглого Ветра",
	["Chillmere Coast"] = "Берег Стылой Межи",
	["Chillwind Camp"] = "Лагерь Промозглого Ветра",
	["Chillwind Point"] = "Берег Промозглого Ветра",
	Chiselgrip = "Узкоклинье",
	["Churning Gulch"] = "Беспокойная лощина",
	["Circle of Blood"] = "Круг Крови",
	["Circle of Blood Arena"] = "Арена в Круге Крови",
	["Circle of East Binding"] = "Восточный Круг Обуздания",
	["Circle of Inner Binding"] = "Внутренний Круг Обуздания",
	["Circle of Outer Binding"] = "Внешний Круг Обуздания",
	["Circle of Thorns"] = "Кольцо Шипов",
	["Circle of West Binding"] = "Западный Круг Обуздания",
	["Circle of Wills"] = "Круг Воли",
	City = "Город",
	["City of Ironforge"] = "Стальгорн",
	["Clan Watch"] = "Клановая Стража",
	["Cleft of Shadow"] = "Расселина Теней",
	["Cliffspring Falls"] = "Водопад Скалистый",
	["Cliffspring Hollow"] = "Скалистая пещера",
	["Cliffspring River"] = "Река Скалистая",
	["Cliffwalker Post"] = "Плато Скалоступов",
	["Cloudtop Terrace"] = "Подзвездная терраса",
	["Coast of Echoes"] = "Берег Эха",
	["Coast of Idols"] = "Берег истуканов",
	["Coilfang - The Slave Pens Entrance"] = "Кривой Клык: Узилище",
	["Coilfang - The Steamvault Entrance"] = "Кривой Клык: Паровое подземелье",
	["Coilfang - The Underbog Entrance"] = "Кривой Клык: Нижетопь",
	["Coilfang Reservoir"] = "Резервуар Кривого Клыка",
	["Coilfang: Serpentshrine Cavern"] = "Кривой Клык: Змеиное святилище",
	["Coilfang: The Slave Pens"] = "Кривой Клык: Узилище",
	["Coilfang: The Steamvault"] = "Кривой Клык: Паровое подземелье",
	["Coilfang: The Underbog"] = "Кривой Клык: Нижетопь",
	["Coilskar Cistern"] = "Водохранилище Змеиных Колец",
	["Coilskar Point"] = "Лагерь Змеиных Колец",
	["Cold Hearth Manor"] = "Поместье Остывший Очаг",
	Coldarra = "Хладарра",
	["Coldarra Ledge"] = "Кряж Хладарры",
	["Coldridge Pass"] = "Туннель Холодной долины",
	["Coldridge Valley"] = "Холодная долина",
	["Coldrock Quarry"] = "Карьер Ледяного Булыжника",
	["Coldtooth Mine"] = "Рудник Ледяного Зуба",
	["Coldwind Heights"] = "Морозные выси",
	["Coldwind Pass"] = "Перевал Холодного Ветра",
	["Collin's Test"] = "Тест Коллина",
	["Command Center"] = "Ставка Командования",
	["Commons Hall"] = "Общий зал",
	["Condemned Halls"] = "Обвалившийся зал",
	["Conquest Hold"] = "Крепость Завоевателей",
	["Containment Core"] = "Ядро Сдерживания",
	["Cooper Residence"] = "Имение Купера",
	["Coral Garden"] = "Коралловый сад",
	["Cordell's Enchanting"] = "Чародейская школа Корделлов",
	["Corin's Crossing"] = "Перекресток Корина",
	["Corp'rethar: The Horror Gate"] = "Корп'ретар: Врата Ужаса",
	["Corrahn's Dagger"] = "Уступ Коррана",
	Cosmowrench = "Космоворот",
	["Court of the Highborne"] = "Двор Высокорожденных",
	["Court of the Sun"] = "Площадь Солнца",
	["Courtyard of the Ancients"] = "Двор Древних",
	["Cradle of the Ancients"] = "Колыбель Древних",
	["Craftsmen's Terrace"] = "Терраса Ремесленников",
	["Crag of the Everliving"] = "Утес Вечноживущего",
	["Cragpool Lake"] = "Скалистое озеро",
	["Crash Site"] = "Место Крушения",
	["Crescent Hall"] = "Зал Полумесяца",
	["Crimson Expanse"] = "Багровый зал",
	["Crimson Watch"] = "Кровавый Дозор",
	Crossroads = "Перекресток",
	["Crowley Orchard"] = "Сад Краули",
	["Crowley Stable Grounds"] = "Конюшни Краули",
	["Crown Guard Tower"] = "Башня королевской стражи",
	["Crucible of Carnage"] = "Горнило Крови",
	["Crumbling Depths"] = "Гремящие глубины",
	["Crumbling Stones"] = "Гремящие камни",
	["Crusader Forward Camp"] = "Передовой лагерь рыцарей",
	["Crusader Outpost"] = "Застава Алого Ордена",
	["Crusader's Armory"] = "Оружейная рыцарей",
	["Crusader's Chapel"] = "Часовня Ордена",
	["Crusader's Landing"] = "Стоянка рыцарей",
	["Crusader's Outpost"] = "Застава Алого ордена",
	["Crusader's Run"] = "Путь Рыцаря",
	["Crusader's Spire"] = "Вершина Рыцаря",
	["Crusaders' Pinnacle"] = "Вершина Рыцарей",
	["Crusaders' Square"] = "Площадь рыцарей",
	Crushblow = "Тукмак",
	["Crushcog's Arsenal"] = "Арсенал Шестерямстера",
	["Crushridge Hold"] = "Логово Раздробленного Хребта",
	Crypt = "Склеп",
	["Crypt of Remembrance"] = "Склеп Воспоминаний",
	["Crystal Lake"] = "Озеро Хрустальное",
	["Crystal Spine"] = "Хрустальное поле",
	["Crystalline Quarry"] = "Кристальный карьер",
	["Crystalsong Forest"] = "Лес Хрустальной Песни",
	["Crystalvein Mine"] = "Хрустальная шахта",
	["Crystalweb Cavern"] = "Пещера Хрустальной Паутины",
	["Curiosities & Moore"] = "Диковины и редкости",
	["Cursed Depths"] = "Проклятые глубины",
	["Cursed Hollow"] = "Окаянная лощина",
	["Cut-Throat Alley"] = "Закоулок Головорезов",
	["Cyclone Summit"] = "Вершина Циклона",
	["D-Block"] = "Блок Д",
	["D.E.H.T.A. Encampment"] = "Лагерь Д.Э.Г.О.Ж.",
	["Dabyrie's Farmstead"] = "Усадьба Дабири",
	["Dagger Pass"] = "Перевал Клинка",
	["Daggercap Bay"] = "Бухта Кинжалов",
	["Daggerfen Village"] = "Деревня Остротопь",
	["Daggermaw Canyon"] = "Каньон Кинжальной Пасти",
	Dalaran = "Даларан",
	["Dalaran Arena"] = "Арена Даларана",
	["Dalaran City"] = "Даларан",
	["Dalaran Crater"] = "Даларанский кратер",
	["Dalaran Floating Rocks"] = "Даларанские парящие камни",
	["Dalaran Island"] = "Остров Даларан",
	["Dalaran Merchant's Bank"] = "Даларанский торговый банк",
	["Dalaran Sewers"] = "Стоки Даларана",
	["Dalaran Visitor Center"] = "Гостевые покои Даларана",
	["Dalson's Farm"] = "Ферма Далсона",
	["Damplight Cavern"] = "Грот Затуманенного Света",
	["Damplight Chamber"] = "Грот Затуманенного Света",
	["Dandred's Fold"] = "Овчарня Дандреда",
	["Dargath's Demise"] = "Погибель Даргата",
	["Dark Iron Highway"] = "Тракт Черного Железа",
	["Darkbreak Cove"] = "Темная пещера",
	["Darkcloud Pinnacle"] = "Пик Темного Облака",
	["Darkcrest Enclave"] = "Анклав Темного Гребня",
	["Darkcrest Shore"] = "Побережье Темного Гребня",
	["Darkmist Cavern"] = "Мглистая пещера",
	["Darkmist Ruins"] = "Руины Мглистой пещеры",
	Darkshire = "Темнолесье",
	["Darkshire Town Hall"] = "Ратуша Темнолесья",
	Darkshore = "Темные берега",
	["Darkspear Hold"] = "Крепость Черного Копья",
	["Darkspear Isle"] = "Остров Черного Копья",
	["Darkspear Shore"] = "Дюны Черного Копья",
	["Darkspear Strand"] = "Побережье Черного Копья",
	["Darkspear Training Grounds"] = "Тренировочная площадка Черного Копья",
	["Darkwhisper Gorge"] = "Теснина Зловещего Шепота",
	["Darkwhisper Pass"] = "Тропа Зловещего Шепота",
	["Darnassian Base Camp"] = "Лагерь дарнасских эльфов",
	Darnassus = "Дарнас",
	["Darrow Hill"] = "Холм Дарроу",
	["Darrowmere Lake"] = "Озеро Дарроумир",
	Darrowshire = "Дарроушир",
	["Darrowshire Hunting Grounds"] = "Охотничьи угодья Дарроушира",
	["Darsok's Outpost"] = "Лагерь Дарсока",
	["Dawn's Reach"] = "Рассветный край",
	["Dawning Lane"] = "Рассветная улица",
	["Dawning Wood Catacombs"] = "Катакомбы Утреннего Леса",
	["Dawnrise Expedition"] = "Экспедиция Восхода Солнца",
	["Dawnstar Spire"] = "Башня Утренней Звезды",
	["Dawnstar Village"] = "Деревня Утренней Звезды",
	["Dead Man's Hole"] = "Нора Мертвеца",
	["Deadeye Shore"] = "Взморье Мертвого Глаза",
	["Deadman's Crossing"] = "Перекресток Мертвеца",
	Deadmines = "Мертвые копи",
	["Deadwind Pass"] = "Перевал Мертвого Ветра",
	["Deadwind Ravine"] = "Овраг Мертвого Ветра",
	["Deadwood Village"] = "Деревня Мертвого Леса",
	["Death Cultist Base Camp"] = "Лагерь сектантов Смерти",
	["Death's Breach"] = "Разлом Смерти",
	["Death's Door"] = "Врата Смерти",
	["Death's Hand Encampment"] = "Лагерь Руки Смерти",
	["Death's Rise"] = "Уступ Смерти",
	["Death's Stand"] = "Стоянка Смерти",
	["Death's Step"] = "Ступени Смерти",
	["Death's Watch Waystation"] = "Лагерь стражей смерти",
	["Deathbringer's Rise"] = "Подъем Смертоносного",
	["Deathforge Tower"] = "Башня Кузницы Смерти",
	Deathknell = "Похоронный Звон",
	Deatholme = "Смертхольм",
	["Deathspeaker's Watch"] = "Застава Вестника Смерти",
	["Deathwing's Fall"] = "Кратер Смертокрыла",
	["Deep Blue Observatory"] = "Глубоководная обсерватория",
	["Deep Elem Mine"] = "Серебряный рудник",
	["Deepfin Ridge"] = "Гряда Глубинных Плавников",
	Deepholm = "Подземье",
	["Deephome Ceiling"] = "Купол Подземья",
	["Deepmist Grotto"] = "Дымчатый грот",
	["Deeprun Tram"] = "Подземный поезд",
	["Deepwater Tavern"] = "Таверна Большая вода",
	["Defias Hideout"] = "Убежище Братства Справедливости",
	["Defiler's Den"] = "Логово Осквернителя",
	["Demon Fall Canyon"] = "Каньон Гибели Демона",
	["Demon Fall Ridge"] = "Гряда Гибели Демона",
	["Demont's Place"] = "Участок Демонта",
	["Den of Dying"] = "Кельи Смерти",
	["Den of Haal'esh"] = "Логово Хаал'еш",
	["Den of Iniquity"] = "Логово Беззакония",
	["Den of Mortal Delights"] = "Приют Земных Наслаждений",
	["Den of Sseratus"] = "Нора Шшератуса",
	["Den of the Caller"] = "Зал Взывающего",
	["Den of the Devourer"] = "Логово Пожирателя",
	["Den of the Disciples"] = "Пещера учеников",
	["Den of the Unholy"] = "Убежище Нечистого",
	["Derelict Caravan"] = "Брошенный Караван",
	["Derelict Manor"] = "Заброшенное поместье",
	["Derelict Strand"] = "Обнажившееся дно",
	["Designer Island"] = "Остров Дизайнера",
	Desolace = "Пустоши",
	["Desolation Hold"] = "Крепость Отчаяния",
	["Detention Block"] = "Тюремный блок",
	["Development Land"] = "Зона разработчика",
	["Diamondhead River"] = "Река Алмазная",
	["Dig One"] = "Первый раскоп",
	["Dig Three"] = "Третий раскоп",
	["Dig Two"] = "Второй раскоп",
	["Dire Maul"] = "Забытый Город",
	["Dire Maul - Capital Gardens Entrance"] = "Забытый Город - Центральный сад",
	["Dire Maul - Gordok Commons Entrance"] = "Забытый Город - Палаты Гордока",
	["Dire Maul - Warpwood Quarter Entrance"] = "Забытый Город - Квартал Криводревов",
	["Dire Strait"] = "Зловещий пролив",
	["Direforge Hill"] = "Зловещий холм",
	["Direhorn Post"] = "Застава Дикого Рога",
	Docks = "Причал",
	Dolanaar = "Доланаар",
	["Donna's Kitty Shack"] = "Домик для кошки Донны",
	["Doom's Vigil"] = "Застава Судьбы",
	["Dorian's Outpost"] = "Форпост Дориана",
	["Draco'dar"] = "Драко'дар",
	["Draenei Ruins"] = "Дренейские руины",
	["Draenethyst Mine"] = "Дренетистовые копи",
	["Draenil'dur Village"] = "Деревня Дренил'дур",
	["Dragon's Fall"] = "Драконья погибель",
	["Dragon's Mouth"] = "Драконья Пасть",
	Dragonblight = "Драконий Погост",
	["Dragonflayer Pens"] = "Стойла укрощенных драконов",
	["Dragonmaw Base Camp"] = "Лагерь Драконьей Пасти",
	["Dragonmaw Flag Room"] = "Флаговая комната Драконьей Пасти",
	["Dragonmaw Forge"] = "Кузница Драконьей Пасти",
	["Dragonmaw Fortress"] = "Крепость Драконьей Пасти",
	["Dragonmaw Garrison"] = "Гарнизон Драконьей Пасти",
	["Dragonmaw Gates"] = "Врата Драконьей Пасти",
	["Dragonmaw Pass"] = "Тропа Драконьей Пасти",
	["Dragonmaw Port"] = "Порт Драконьей Пасти",
	["Dragonmaw Skyway"] = "Заоблачная тропа Драконьей Пасти",
	["Dragonmaw Stronghold"] = "Форт Драконьей Пасти",
	["Dragons' End"] = "Драконья Пагуба",
	["Dragonspine Peaks"] = "Драконьи пики",
	["Dragonspine Ridge"] = "Драконий хребет",
	["Dragonspine Tributary"] = "Кладовая Драконьего Хребта",
	["Dragonspire Hall"] = "Зал Драконов",
	["Drak'Agal"] = "Драк'Агал",
	["Drak'Mabwa"] = "Драк'Мабва",
	["Drak'Mar Lake"] = "Озеро Драк'Мар",
	["Drak'Sotra"] = "Драк'Сотра",
	["Drak'Sotra Fields"] = "Поля Драк'Сотры",
	["Drak'Tharon Keep"] = "Крепость Драк'Тарон",
	["Drak'Tharon Keep Entrance"] = "Крепость Драк'Тарон",
	["Drak'Tharon Overlook"] = "Дозорное укрепление Драк'Тарона",
	["Drak'atal Passage"] = "Перевал Драк'атала",
	["Drak'ural"] = "Драк'урал",
	["Draka's Fury"] = "Ярость Дреки",
	["Drakil'jin Ruins"] = "Руины Дракил'джин",
	["Draknid Lair"] = "Логово Дракнида",
	["Dreadmaul Furnace"] = "Горн Молота Ужаса",
	["Dreadmaul Hold"] = "Форт Молота Ужаса",
	["Dreadmaul Post"] = "Стоянка Молота Ужаса",
	["Dreadmaul Rock"] = "Скала Молота Ужаса",
	["Dreadmist Camp"] = "Лагерь Багрового Тумана",
	["Dreadmist Den"] = "Пещера Багрового Тумана",
	["Dreadmist Peak"] = "Вершина Багрового Тумана",
	["Dreadmurk Shore"] = "Зловещий берег",
	["Dreadwatch Outpost"] = "Зловещая застава",
	["Dream Bough"] = "Сонные Ветви",
	["Dreamer's Rest"] = "Покои Дремлющего",
	["Dreamer's Rock"] = "Скала Дремлющего",
	Drudgetown = "Рабочий квартал",
	["Drygulch Ravine"] = "Сухая лощина",
	["Drywhisker Gorge"] = "Теснина Сухоусов",
	["Dubra'Jin"] = "Дубра'джин",
	["Dun Algaz"] = "Дун Альгаз",
	["Dun Argol"] = "Дун Аргол",
	["Dun Baldar"] = "Дун Болдар",
	["Dun Baldar Pass"] = "Перевал Дун Болдар",
	["Dun Baldar Tunnel"] = "Туннель Дун Болдар",
	["Dun Garok"] = "Дун Гарок",
	["Dun Mandarr"] = "Дун Мандарр",
	["Dun Modr"] = "Дун Модр",
	["Dun Morogh"] = "Дун Морог",
	["Dun Niffelem"] = "Дун Ниффелем",
	["Dunemaul Compound"] = "Поселение Песчаного Молота",
	["Dunemaul Recruitment Camp"] = "Вербовочный лагерь Песчаного Молота",
	["Dunwald Holdout"] = "Укрытие Дунвальда",
	["Dunwald Hovel"] = "Склады Дунвальда",
	["Dunwald Market Row"] = "Рынок Дунвальда",
	["Dunwald Ruins"] = "Развалины Дунвальда",
	["Dunwald Town Square"] = "Городская площадь Дунвальда",
	["Durnholde Keep"] = "Крепость Дарнхольд",
	Durotar = "Дуротар",
	Duskhaven = "Темная Гавань",
	["Duskhowl Den"] = "Логово Ночного Воя",
	["Duskmist Shore"] = "Берег Вечернего Тумана",
	["Duskwither Grounds"] = "Земли Блеклых Сумерек",
	["Duskwither Spire"] = "Замок Блеклых Сумерек",
	Duskwood = "Сумеречный лес",
	["Dustbelch Grotto"] = "Грот Гнилобрюхих",
	["Dustfire Valley"] = "Выжженная долина",
	["Dustquill Ravine"] = "Лощина Пыльного Пера",
	["Dustwallow Bay"] = "Пылевая бухта",
	["Dustwallow Marsh"] = "Пылевые топи",
	["Dustwind Cave"] = "Пещера Пыльного Ветра",
	["Dustwind Dig"] = "Раскопки Пыльного Ветра",
	["Dustwind Gulch"] = "Лощина Пыльного Ветра",
	["Dwarven District"] = "Квартал Дворфов",
	["Eagle's Eye"] = "Орлиный глаз",
	["Earth Song Falls"] = "Поющие водопады",
	["Earthshatter Cavern"] = "Пещера землекрушителя",
	["East Garrison"] = "Восточный гарнизон",
	["East Pillar"] = "Восточная колонна",
	["East Sanctum"] = "Восточное святилище",
	["East Spire"] = "Восточный шпиль",
	["East Supply Caravan"] = "Восточный караван",
	["Eastern Bridge"] = "Восточный мост",
	["Eastern Kingdoms"] = "Восточные королевства",
	["Eastern Plaguelands"] = "Восточные Чумные земли",
	["Eastern Strand"] = "Восточное побережье",
	["Eastmoon Ruins"] = "Руины Восточной Луны",
	["Eastpoint Tower"] = "Восточная башня",
	["Eastspark Workshop"] = "Мастерская на востоке парка",
	["Eastvale Logging Camp"] = "Лесопилка Восточной долины",
	["Eastwall Gate"] = "Восточные ворота",
	["Eastwall Tower"] = "Восточная башня",
	["Eastwind Shore"] = "Побережье Восточного Ветра",
	["Ebon Hold"] = "Черный оплот",
	["Ebon Watch"] = "Черная застава",
	["Echo Cove"] = "Бухта Эха",
	["Echo Isles"] = "Острова Эха",
	["Echo Reach"] = "Край Эха",
	["Echo Ridge Mine"] = "Рудник Горного Эха",
	["Echomok Cavern"] = "Пещера Эхомок",
	["Eclipse Point"] = "Лагерь Затмения",
	["Eclipsion Fields"] = "Поля Затмения",
	["Eco-Dome Farfield"] = "Заповедник Дальнее поле",
	["Eco-Dome Midrealm"] = "Заповедник Срединные земли",
	["Eco-Dome Skyperch"] = "Заповедник Высь",
	["Eco-Dome Sutheron"] = "Заповедник Сатерон",
	["Elder Rise"] = "Вершина Старейшин",
	["Elders' Square"] = "Площадь Старейшин",
	["Eldreth Row"] = "Путь Элдрета",
	["Eldritch Heights"] = "Зловещая возвышенность",
	["Elemental Plateau"] = "Плато Стихий",
	["Elementium Depths"] = "Элементиевые глубины",
	Elevator = "Подъемник",
	["Elrendar Crossing"] = "Перекресток Элрендар",
	["Elrendar Falls"] = "Водопад Элрендар",
	["Elrendar River"] = "Река Элрендар",
	["Elwynn Forest"] = "Элвиннский лес",
	["Ember Clutch"] = "Пылающее Гнездовье",
	["Ember Spear Tower"] = "Тлеющая башня",
	Emberglade = "Тлеющая поляна",
	["Emberstone Mine"] = "Шахта Тлеющего Угля",
	["Emberstone Village"] = "Деревня Тлеющего Угля",
	["Emberstrife's Den"] = "Логово Огнебора",
	["Emerald Dragonshrine"] = "Изумрудное святилище драконов",
	["Emerald Dream"] = "Изумрудный Сон",
	["Emerald Forest"] = "Изумрудный лес",
	["Emerald Sanctuary"] = "Изумрудное святилище",
	["Engine of the Makers"] = "Машина Творцов",
	["Engineering Labs"] = "Инженерные лаборатории",
	["Ethel Rethor"] = "Этель-Ретор",
	["Ethereum Staging Grounds"] = "Испытательный полигон Эфириума",
	["Evergreen Trading Post"] = "Торговая лавка Вечнозеленого леса",
	Evergrove = "Вечная роща",
	Everlook = "Круговзор",
	["Eversong Woods"] = "Леса Вечной Песни",
	["Excavation Center"] = "Центральный раскоп",
	["Excavation Lift"] = "Подъемник у раскопок",
	["Expedition Armory"] = "Оружейная Экспедиции",
	["Expedition Base Camp"] = "Главный лагерь экспедиции",
	["Expedition Point"] = "Лагерь экспедиции",
	["Explorers' League Digsite"] = "Раскопки Лиги исследователей",
	["Explorers' League Outpost"] = "Лагерь Лиги исследователей",
	["Eye of the Storm"] = "Око Бури",
	["Fairbreeze Village"] = "Деревня Легкий Ветерок",
	["Fairbridge Strand"] = "Берег у Крепкого моста",
	["Falcon Watch"] = "Соколиный Дозор",
	["Falconwing Inn"] = "Таверна Соколиных Крыльев",
	["Falconwing Square"] = "Площадь Соколиных Крыльев",
	["Faldir's Cove"] = "Бухта Фальдира",
	["Falfarren River"] = "Река Фалфаррен",
	["Fall of Return"] = "Пропасть Возвращения",
	["Fallen Sky Lake"] = "Зеркало Небес",
	["Fallen Sky Ridge"] = "Гряда Упавшего Неба",
	["Fallen Temple of Ahn'kahet"] = "Павший храм Ан'кахета",
	["Fallow Sanctuary"] = "Болотное пристанище",
	["Fallowmere Inn"] = "Таверна Болотной Пахоты",
	["Falls of Ymiron"] = "Водопады Имирона",
	["Falthrien Academy"] = "Академия Фалтриена",
	Familiars = "Нечистое",
	["Faol's Rest"] = "Могила Фаола",
	["Far Watch Post"] = "Дальняя застава",
	["Fargaze Mesa"] = "Плато Востроглазой",
	["Fargodeep Mine"] = "Рудник Подземных Глубин",
	Farm = "Ферма",
	Farshire = "Далечье",
	["Farshire Fields"] = "Поля Далечья",
	["Farshire Lighthouse"] = "Маяк Далечья",
	["Farshire Mine"] = "Шахта Далечья",
	["Farson Hold"] = "Крепость Фарсона",
	["Farstrider Enclave"] = "Анклав Странников",
	["Farstrider Lodge"] = "Приют Странников",
	["Farstrider Retreat"] = "Обитель Странников",
	["Farstriders' Enclave"] = "Анклав Странников",
	["Farstriders' Square"] = "Площадь Странников",
	["Farwatcher's Glen"] = "Плато Наблюдателей",
	["Featherbeard's Hovel"] = "Домик Пероборода",
	Feathermoon = "Крепость Оперенной Луны",
	["Feathermoon Stronghold"] = "Крепость Оперенной Луны",
	["Fel Reaver Ruins"] = "Обломки Сквернобота",
	["Fel Rock"] = "Пещера Бесов",
	["Felfire Hill"] = "Холм Демонического Огня",
	["Felpaw Village"] = "Деревня Сквернолапов",
	["Felspark Ravine"] = "Лощина Вспышки Скверны",
	["Felstone Field"] = "Поле Джанис",
	Felwood = "Оскверненный лес",
	["Fenris Isle"] = "Остров Фенриса",
	["Fenris Keep"] = "Крепость Фенриса",
	["Feral Scar Vale"] = "Долина Свирепого Утеса",
	Feralas = "Фералас",
	["Feralfen Village"] = "Деревня Дикотопь",
	["Festering Pools"] = "Гнойные пруды",
	["Festival Lane"] = "Праздничная улица",
	["Feth's Way"] = "Путь Фета",
	["Field of Strife"] = "Поле брани",
	["Fields of Blood"] = "Кровавые поля",
	["Fields of Honor"] = "Поля Славы",
	Filming = "Съемочная площадка",
	["Fire Plume Ridge"] = "Вулкан Огненного Венца",
	["Fire Scar Shrine"] = "Святилище Огненной Расщелины",
	["Fire Stone Mesa"] = "Плато Огненного Камня",
	["Firebeard Cemetery"] = "Кладбище Огнебородов",
	["Firebeard's Patrol"] = "Дозор Огнебородов",
	["Firegut Furnace"] = "Очаг Огненного Чрева",
	Firelands = "Огненные Просторы",
	["Firelands Forgeworks"] = "Кузня Огненных Просторов",
	["Firelands Hatchery"] = "Инкубатор Огненных Просторов",
	["Fireplume Peak"] = "Пик Огненного Венца",
	["Fireplume Trench"] = "Вулкан Огненного Венца",
	["Firestone Point"] = "Кремневый лагерь",
	["Firewatch Ridge"] = "Гряда Огненной стражи",
	["Firewing Point"] = "Лагерь Огнекрылов",
	["First Bank of Kezan"] = "Первый банк Кезана",
	["First Legion Forward Camp"] = "Лагерь сопротивления первого легиона",
	["First to Your Aid"] = "Спешим на помощь",
	["Fishing Village"] = "Рыбацкий поселок",
	["Fizzcrank Airstrip"] = "Взлетная полоса Выкрутеня",
	["Fizzcrank Pumping Station"] = "Насосная станция Выкрутеня",
	["Fizzle & Pozzik's Speedbarge"] = "Гоночная баржа Пшикса и Поззика",
	["Fjorn's Anvil"] = "Наковальня Фьорна",
	["Flame Crest"] = "Пламенеющий Стяг",
	Flamebreach = "Огненный портал",
	["Flamestar Post"] = "Лагерь Пламени Звезд",
	["Flamewatch Tower"] = "Башня Огненного Дозора",
	["Flavor - Stormwind Harbor - Stop"] = "Flavor - Stormwind Harbor - Stop",
	["Fleshrender's Workshop"] = "Мастерская Плотереза",
	["Foothold Citadel"] = "Цитадель",
	["Footman's Armory"] = "Оружейная пехотинцев",
	["Force Interior"] = "Интерьер силы",
	["Fordragon Hold"] = "Крепость Фордрагона",
	["Forest Song"] = "Лесная Песнь",
	["Forest's Edge"] = "Лесная опушка",
	["Forest's Edge Post"] = "Застава на опушке",
	["Forge Base: Gehenna"] = "База Легиона: Геенна",
	["Forge Base: Oblivion"] = "База Легиона: Забвение",
	["Forge Camp: Anger"] = "Лагерь Легиона: Злоба",
	["Forge Camp: Fear"] = "Лагерь Легиона: Страх",
	["Forge Camp: Hate"] = "Лагерь Легиона: Ненависть",
	["Forge Camp: Mageddon"] = "Лагерь Легиона: Магеддон",
	["Forge Camp: Rage"] = "Лагерь Легиона: Ярость",
	["Forge Camp: Terror"] = "Лагерь Легиона: Ужас",
	["Forge Camp: Wrath"] = "Лагерь Легиона: Гнев",
	["Forge of Fate"] = "Кузня судьбы",
	["Forgewright's Tomb"] = "Гробница Искусника",
	["Forgotten Hill"] = "Забытый холм",
	["Forlorn Cloister"] = "Покинутый скит",
	["Forlorn Ridge"] = "Одинокая вершина",
	["Forlorn Rowe"] = "Покинутая усадьба",
	["Forlorn Spire"] = "Одинокая башня",
	["Forlorn Woods"] = "Опустевшие леса",
	["Formation Grounds"] = "Плац",
	["Forsaken Forward Command"] = "Передовой отряд Отрекшихся",
	["Forsaken High Command"] = "Ставка Отрекшихся",
	["Forsaken Rear Guard"] = "Арьергард Отрекшихся",
	["Fort Livingston"] = "Форт Ливингстон",
	["Fort Triumph"] = "Форт Триумфа",
	["Fort Wildervar"] = "Крепость Вилдервар",
	["Fortune's Fist"] = "Рука Судьбы",
	["Forward Command"] = "Передовая ставка",
	["Foulspore Cavern"] = "Зловонная пещера",
	["Fractured Front"] = "Разбитая передовая",
	["Fray Island"] = "Остров Битв",
	["Frayfeather Highlands"] = "Высокогорье Блеклых Перьев",
	["Frazzlecraz Motherlode"] = "Шахтерский городок Дранфикса",
	["Freewind Post"] = "Застава Вольного Ветра",
	["Frenzyheart Hill"] = "Холм Бешеного Сердца",
	["Frenzyheart River"] = "Река Бешеного Сердца",
	["Frigid Breach"] = "Хладный разлом",
	["Frost Dagger Pass"] = "Перевал Ледяного Клинка",
	["Frostblade Pass"] = "Перевал Ледяного Клинка",
	["Frostblade Peak"] = "Вершина Ледяного Клинка",
	["Frostclaw Den"] = "Логово Ледяного Когтя",
	["Frostfield Lake"] = "Промерзшее озеро",
	["Frostfire Hot Springs"] = "Источники Ледяного огня",
	["Frostfloe Deep"] = "Ледяные глубины",
	["Frostgrip's Hollow"] = "Лощина Ледохвата",
	Frosthold = "Ледяная крепость",
	["Frosthowl Cavern"] = "Пещера Ледяного Воя",
	["Frostmane Front"] = "Передовая Мерзлогривов",
	["Frostmane Hold"] = "Форт Мерзлогривов",
	["Frostmane Retreat"] = "Укрытие Мерзлогривов",
	Frostmourne = "Ледяная Скорбь",
	["Frostmourne Cavern"] = "Пещера Ледяной Скорби",
	["Frostsaber Rock"] = "Уступ Ледопардов",
	["Frostwhisper Gorge"] = "Теснина Ледяного Шепота",
	["Frostwing Halls"] = "Залы Ледокрылых",
	["Frostwolf Graveyard"] = "Кладбище Северного Волка",
	["Frostwolf Keep"] = "Крепость Северного Волка",
	["Frostwolf Pass"] = "Перевал Северного Волка",
	["Frostwolf Tunnel"] = "Туннель Северного Волка",
	["Frostwolf Village"] = "Деревня Северного Волка",
	["Frozen Reach"] = "Студеный предел",
	["Fungal Deep"] = "Грибные Глубины",
	["Fungal Rock"] = "Пещера Лишайников",
	["Funggor Cavern"] = "Пещера Грибгор",
	["Furien's Post"] = "Пост Фуриена",
	["Furlbrow's Pumpkin Farm"] = "Тыквенная ферма Хмуроброва",
	["Furnace of Hate"] = "Горнило Ненависти",
	["Furywing's Perch"] = "Гнездовье Ярокрыла",
	Fuselight = "Фюзель",
	["Fuselight-by-the-Sea"] = "Фюзель-на-водах",
	["GM Island"] = "Остров ГМ",
	Gadgetzan = "Прибамбасск",
	["Gahrron's Withering"] = "Пустошь Гаррона",
	["Galak Hold"] = "Форт Галак",
	["Galakrond's Rest"] = "Покой Галакронда",
	["Galardell Valley"] = "Долина Галарделл",
	["Galen's Fall"] = "Удел Галена",
	["Galerek's Remorse"] = "Раскаяние Галерека",
	["Galewatch Lighthouse"] = "Штормовой маяк",
	["Gallery of Treasures"] = "Сокровищница",
	["Gallows' Corner"] = "Перекресток Висельников",
	["Gallows' End Tavern"] = "Таверна Петля висельника",
	["Gallywix Docks"] = "Верфь Галливикса",
	["Gallywix Labor Mine"] = "Исправительная шахта Галливикса",
	["Gallywix Pleasure Palace"] = "Дворец удовольствий Галливикса",
	["Gallywix's Villa"] = "Вилла Галливикса",
	["Gallywix's Yacht"] = "Яхта Галливикса",
	["Galus' Chamber"] = "Зал Галия",
	["Gamesman's Hall"] = "Игровой зал",
	Gammoth = "Гаммот",
	["Gar'gol's Hovel"] = "Схрон Гар'гола",
	Garadar = "Гарадар",
	Garm = "Гарм",
	["Garm's Bane"] = "Побоище Гарма",
	["Garm's Rise"] = "Подъем Гарма",
	["Garren's Haunt"] = "Ферма Гаррена",
	["Garrison Armory"] = "Мастерские Гарнизона",
	["Garrosh's Landing"] = "Лагерь Гарроша",
	["Garvan's Reef"] = "Риф Гарвана",
	["Gate of Echoes"] = "Врата эха",
	["Gate of Hamatep"] = "Врата Хаматепа",
	["Gate of Lightning"] = "Врата молнии",
	["Gate of the Blue Sapphire"] = "Врата Синего Сапфира",
	["Gate of the Green Emerald"] = "Врата Зеленого Изумруда",
	["Gate of the Purple Amethyst"] = "Врата Лилового Аметиста",
	["Gate of the Red Sun"] = "Врата Красного Солнца",
	["Gate of the Yellow Moon"] = "Врата Желтой Луны",
	["Gates of Ahn'Qiraj"] = "Врата Ан'Киража",
	["Gates of Ironforge"] = "Врата Стальгорна",
	["Gates of Sothann"] = "Врата Созанна",
	["Gauntlet of Flame"] = "Испытание Огнем",
	["Gavin's Naze"] = "Возвышенность Гэвина",
	["Geezle's Camp"] = "Лагерь Гизла",
	["Gelkis Village"] = "Деревня Гелкис",
	["General Goods"] = "Потребительские товары",
	["General's Terrace"] = "Терраса Генерала",
	["Ghost Walker Post"] = "Застава Скитающихся Духов",
	["Ghostblade Post"] = "Застава Призрачного Клинка",
	Ghostlands = "Призрачные земли",
	["Giant's Run"] = "Тропа великанов",
	["Giants' Run"] = "Тропа Великанов",
	["Gillijim's Isle"] = "Остров Гиллиджима",
	["Gilnean Coast"] = "Побережье Гилнеаса",
	["Gilnean Stronghold"] = "Гилнеасский лагерь",
	Gilneas = "Гилнеас",
	["Gilneas City"] = "Гилнеас",
	["Gilneas Liberation Front Base Camp"] = "Лагерь фронта освобождения Гилнеаса",
	["Gimorak's Den"] = "Логово Гиморака",
	Gjalerbron = "Гьялерброн",
	Gjalerhorn = "Гьялерхорн",
	["Glacial Falls"] = "Ледопады",
	["Glimmer Bay"] = "Мерцающая бухта",
	["Glimmerdeep Gorge"] = "Теснина Мерцающих Глубин",
	["Glittering Strand"] = "Сверкающее взморье",
	["Glopgut's Hollow"] = "Ложбина клана Помойных Потрохов",
	["Glorious Goods"] = "Великолепные товары",
	Glory = "Слава",
	["Gnarlpine Hold"] = "Лагерь у Кривой Сосны",
	["Gnaws' Boneyard"] = "Двор Костеглода",
	Gnomeregan = "Гномреган",
	["Go'Shek Farm"] = "Ферма Го'Шека",
	["Goblin Foundry"] = "Гоблинский цех",
	["Goblin Slums"] = "Гоблинские трущобы",
	["Gol'Bolar Quarry"] = "Карьер Гол'Болар",
	["Gol'Bolar Quarry Mine"] = "Карьер Гол'Болар",
	["Golakka Hot Springs"] = "Горячие источники Голакка",
	["Gold Coast Quarry"] = "Прииск на Золотом Берегу",
	["Gold Mine"] = "Золотой рудник",
	["Gold Road"] = "Золотой Путь",
	["Golden Strand"] = "Золотистое взморье",
	["Goldenbough Pass"] = "Тропа Золотой Ветви",
	["Goldenmist Village"] = "Деревня Золотистой Дымки",
	Goldshire = "Златоземье",
	["Goldtooth's Den"] = "Берлога Фикса",
	["Goodgrub Smoking Pit"] = "Коптильня Скороцапа",
	["Gor'gaz Outpost"] = "Форт Гор'газ",
	["Gordok's Seat"] = "Трон Гордока",
	["Gordunni Outpost"] = "Поселение Гордунни",
	["Gorefiend's Vigil"] = "Пост Кровожада",
	Gornia = "Горния",
	["Gorrok's Lament"] = "Курган Горрока",
	["Gorshak War Camp"] = "Военный лагерь Горшака",
	["Grand Magister's Asylum"] = "Пристанище Великого Магистра",
	["Grand Promenade"] = "Центральная аллея",
	["Grangol'var Village"] = "Деревня Грангол'вар",
	["Granite Springs"] = "Гранитные ключи",
	["Greatwood Vale"] = "Долина Высокого леса",
	["Greengill Coast"] = "Залив Зеленожабрых",
	["Greenpaw Village"] = "Деревня Зеленой Лапы",
	["Greenwarden's Grove"] = "Роща Стража Природы",
	["Greymane Court"] = "Площадь Седогрива",
	["Greymane Manor"] = "Поместье Седогрива",
	["Grim Batol"] = "Грим Батол",
	["Grim Batol Entrance"] = "Грим Батол",
	["Grimesilt Dig Site"] = "Карьер Грязнули",
	["Grimtotem Compound"] = "Лагерь Зловещего Тотема",
	["Grimtotem Post"] = "Застава Зловещего Тотема",
	Grishnath = "Гришнат",
	Grizzlemaw = "Седая Пасть",
	["Grizzlepaw Ridge"] = "Хребет Седых Лап",
	["Grizzly Hills"] = "Grizzly Hills",
	["Grol'dom Farm"] = "Ферма Гроль'дома",
	["Grolluk's Grave"] = "Могила Гроллука",
	["Grom'arsh Crash-Site"] = "Место крушения Гром'арша",
	["Grom'gol"] = "Гром'гол",
	["Grom'gol Base Camp"] = "Лагерь Гром'гол",
	["Grommash Hold"] = "Крепость Громмаш",
	["Grosh'gok Compound"] = "Поселок Грош'гок",
	["Grove of Aessina"] = "Роща Эссины",
	["Grove of the Ancients"] = "Роща Древних",
	["Growless Cave"] = "Промерзшая пещера",
	["Gruul's Lair"] = "Логово Груула",
	["Gryphon Roost"] = "Грифоний насест",
	["Guardian's Library"] = "Библиотека Стража",
	Gundrak = "Гундрак",
	["Gundrak Entrance"] = "Гундрак",
	["Gunstan's Dig"] = "Раскопки Ганстена",
	["Gunstan's Post"] = "Застава Ганстена",
	["Gunther's Retreat"] = "Приют Гюнтера",
	["Gurboggle's Ledge"] = "Шельф Гурбоггла",
	["Gurubashi Arena"] = "Арена Гурубаши",
	["Gyro-Plank Bridge"] = "Гиро-балочный мост",
	["Haal'eshi Gorge"] = "Теснина Хаал'еши",
	["Hadronox's Lair"] = "Логово Хадронокса",
	["Hailwood Marsh"] = "Хейлвудская трясина",
	Halaa = "Халаа",
	["Halaani Basin"] = "Котловина Халаани",
	["Halcyon Egress"] = "Предел Безмятежности",
	["Haldarr Encampment"] = "Лагерь Халдарр",
	Halgrind = "Халгринд",
	["Hall of Arms"] = "Оружейная",
	["Hall of Binding"] = "Зал Оков",
	["Hall of Blackhand"] = "Зал Чернорука",
	["Hall of Blades"] = "Зал Лезвий",
	["Hall of Bones"] = "Зал Костей",
	["Hall of Champions"] = "Чертог Защитников",
	["Hall of Command"] = "Зал Власти",
	["Hall of Crafting"] = "Зал Ремесла",
	["Hall of Departure"] = "Зал Расставания",
	["Hall of Explorers"] = "Зал Исследователей",
	["Hall of Faces"] = "Зал Ликов",
	["Hall of Horrors"] = "Зал Ужасов",
	["Hall of Legends"] = "Зал Легенд",
	["Hall of Masks"] = "Зал Масок",
	["Hall of Memories"] = "Зал Воспоминаний",
	["Hall of Mysteries"] = "Зал Тайн",
	["Hall of Repose"] = "Зал Спокойствия",
	["Hall of Return"] = "Зал Возвращения",
	["Hall of Ritual"] = "Ритуальный зал",
	["Hall of Secrets"] = "Зал Тайн",
	["Hall of Serpents"] = "Зал Змей",
	["Hall of Stasis"] = "Зал Покоя",
	["Hall of Twilight"] = "Зал Сумерек",
	["Hall of the Brave"] = "Зал Отважных",
	["Hall of the Conquered Kings"] = "Зал побежденных королей",
	["Hall of the Crafters"] = "Зал Ремесленников",
	["Hall of the Crusade"] = "Зал ордена",
	["Hall of the Cursed"] = "Зал Проклятых",
	["Hall of the Damned"] = "Зал Проклятых",
	["Hall of the Fathers"] = "Зал Отцов",
	["Hall of the Frostwolf"] = "Зал Северного Волка",
	["Hall of the High Father"] = "Зал Высшего Прародителя",
	["Hall of the Keepers"] = "Зал Хранителей",
	["Hall of the Shaper"] = "Зал Творца",
	["Hall of the Stormpike"] = "Зал Грозовой Вершины",
	["Hall of the Watchers"] = "Зал Стражей",
	["Halls of Anguish"] = "Залы Страданий",
	["Halls of Awakening"] = "Залы Пробуждения",
	["Halls of Binding"] = "Залы Оков",
	["Halls of Destruction"] = "Гибельные залы",
	["Halls of Lightning"] = "Чертоги Молний",
	["Halls of Lightning Entrance"] = "Чертоги Молний",
	["Halls of Mourning"] = "Залы Плача",
	["Halls of Origination"] = "Чертоги Созидания",
	["Halls of Origination Entrance"] = "Чертоги Созидания",
	["Halls of Reflection"] = "Залы Отражений",
	["Halls of Reflection Entrance"] = "Залы Отражений",
	["Halls of Silence"] = "Залы Безмолвия",
	["Halls of Stone"] = "Чертоги Камня",
	["Halls of Stone Entrance"] = "Чертоги Камня",
	["Halls of Strife"] = "Залы Раздора",
	["Halls of Theory"] = "Залы Теории",
	["Halls of the Ancestors"] = "Залы Предков",
	["Halls of the Hereafter"] = "Потусторонние залы",
	["Halls of the Law"] = "Галереи Правосудия",
	["Halycon's Lair"] = "Логово Халикона",
	Hammerfall = "Павший Молот",
	["Hammertoe's Digsite"] = "Карьер Тяжелоступа",
	["Hammond Farmstead"] = "Ферма Хэммондов",
	Hangar = "Ангар",
	["Hardknuckle Clearing"] = "Зачистка барабанчей",
	["Hardwrench Hideaway"] = "Укрытие Кофельнагель",
	["Harkor's Camp"] = "Лагерь Харкора",
	["Hatchet Hills"] = "Холмы Томагавков",
	Havenshire = "Тихоземье",
	["Havenshire Farms"] = "Тихоземские фермы",
	["Havenshire Lumber Mill"] = "Тихоземская лесопилка",
	["Havenshire Mine"] = "Тихоземская шахта",
	["Havenshire Stables"] = "Тихоземские стойла",
	["Hayward Fishery"] = "Рыбное хозяйство Хейварда",
	["Headmaster's Study"] = "Кабинет ректора",
	["Heart of Destruction"] = "Сердце Разрушения",
	["Heart's Blood Shrine"] = "Святилище Кровавого Сердца",
	Hearthglen = "Дольный Очаг",
	["Heartwood Trading Post"] = "Торговая лавка Чащи Леса",
	["Heb'Drakkar"] = "Хеб'Драккар",
	["Heb'Valok"] = "Хеб'Валок",
	["Hellfire Basin"] = "Яма Адского Пламени",
	["Hellfire Citadel"] = "Цитадель Адского Пламени",
	["Hellfire Citadel - Ramparts Entrance"] = "Цитадель Адского Пламени: Бастионы Адского Пламени",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "Цитадель Адского Пламени: Кузня Крови",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "Цитадель Адского Пламени: Разрушенные залы",
	["Hellfire Citadel: Ramparts"] = "Цитадель Адского Пламени: Бастионы",
	["Hellfire Citadel: The Blood Furnace"] = "Цитадель Адского Пламени: Кузня Крови",
	["Hellfire Citadel: The Shattered Halls"] = "Цитадель Адского Пламени: Разрушенные залы",
	["Hellfire Peninsula"] = "Полуостров Адского Пламени - Темный портал",
	["Hellfire Peninsula - Force Camp Beach Head"] = "Полуостров Адского Пламени - Береговой плацдарм Силового Лагеря",
	["Hellfire Peninsula - Reaver's Fall"] = "Полуостров Адского Пламени - Гибель Сквернобота",
	["Hellfire Ramparts"] = "Бастионы Адского Пламени",
	["Hellscream's Camp"] = "Лагерь Адского Крика",
	["Hellscream's Grasp"] = "Хватка Адского Крика",
	["Hellscream's Watch"] = "Дозор Адского Крика",
	["Helm's Bed Lake"] = "Озеро Хельмово Ложе",
	["Heroes' Vigil"] = "Часовые Вечности",
	["Hetaera's Clutch"] = "Гнездо Хетайры",
	["Hewn Bog"] = "Болотные вырубки",
	["Hibernal Cavern"] = "Пещера зимней спячки",
	["Hidden Path"] = "Потайная тропа",
	["High Bank"] = "Высокий берег",
	["High Wilderness"] = "Высокогорные дебри",
	Highbank = "Высокий берег",
	["Highland Forest"] = "Лес нагорья",
	Highperch = "Скальное гнездовье",
	Hillsbrad = "Хилсбрад",
	["Hillsbrad Fields"] = "Хилсбрадские поля",
	["Hillsbrad Foothills"] = "Предгорья Хилсбрада",
	["Hiri'watha Research Station"] = "Исследовательская станция Хири'вата",
	["Hive'Ashi"] = "Улей Аши",
	["Hive'Regal"] = "Улей Регал",
	["Hive'Zora"] = "Улей Зора",
	["Hogger Hill"] = "Холм Дробителя",
	["Hollowstone Mine"] = "Рудник Полого Камня",
	["Honor Hold"] = "Оплот Чести",
	["Honor Hold Mine"] = "Копи Оплота Чести",
	["Honor Point"] = "Пик Чести",
	["Honor's Stand"] = "Застава Чести",
	["Honor's Tomb"] = "Гробница Доблести",
	["Horde Base Camp"] = "Главный лагерь Орды",
	["Horde Encampment"] = "Стоянка Орды",
	["Horde Keep"] = "Крепость Орды",
	["Horde Landing"] = "Высадка Орды",
	["Horde PVP Barracks"] = "Казармы Орды",
	["Hordemar City"] = "Ордамар",
	["House of Edune"] = "Дом Эдьюнов",
	["Howling Fjord"] = "Ревущий фьорд",
	["Howling Ziggurat"] = "Воющий зиккурат",
	["Hrothgar's Landing"] = "Лагерь Хротгара",
	["Hull of the Foebreaker"] = "Остов Крушителя Врагов",
	["Humboldt Conflagration"] = "Пожарище Гумбольдта",
	["Hunter Rise"] = "Вершина Охотников",
	["Hunter's Hill"] = "Охотничий холм",
	["Huntress of the Sun"] = "Солнечная Охотница",
	["Huntsman's Cloister"] = "Скит Охотника",
	Hyjal = "Хиджал",
	["Hyjal Barrow Dens"] = "Кельи Хиджала",
	["Hyjal Past"] = "Прошлое Хиджала",
	["Hyjal Summit"] = "Вершина Хиджала",
	["Ice Heart Cavern"] = "Пещера Ледяного Сердца",
	["Ice Thistle Hills"] = "Холмы Ледополоха",
	["Iceblood Garrison"] = "Гарнизон Стылой Крови",
	["Iceblood Graveyard"] = "Кладбище Стылой Крови",
	Icecrown = "Ледяная Корона",
	["Icecrown Citadel"] = "Цитадель Ледяной Короны",
	["Icecrown Dungeon - Gunships"] = "Ледяная Корона - боевой корабль",
	["Icecrown Glacier"] = "Ледник Ледяная Корона",
	["Iceflow Lake"] = "Заледеневшее озеро",
	["Icemist Falls"] = "Водопады Ледяной Пыли",
	["Icemist Village"] = "Деревня Ледяной Пыли",
	["Icewing Bunker"] = "Укрытие Ледяного Крыла",
	["Icewing Cavern"] = "Пещера Ледяного Крыла",
	["Icewing Pass"] = "Перевал Ледяного Крыла",
	["Idlewind Lake"] = "Озеро Тихого Ветра",
	["Igneous Depths"] = "Вулканические глубины",
	["Illidari Point"] = "Аванпост Иллидари",
	["Illidari Training Grounds"] = "Тренировочная площадка",
	["Indu'le Village"] = "Деревня Инду'ле",
	Inn = "Таверна",
	["Inner Sanctum"] = "Центр города",
	["Inner Veil"] = "Внутренняя Завеса",
	["Insidion's Perch"] = "Гнездо Инсидиона",
	["Invasion Point: Annihilator"] = "Точка вторжения: Аннигилятор",
	["Invasion Point: Cataclysm"] = "Точка вторжения: Катаклизм",
	["Invasion Point: Destroyer"] = "Точка вторжения: Разрушение",
	["Invasion Point: Overlord"] = "Точка вторжения: Властитель",
	["Iron Concourse"] = "Железный двор",
	["Iron Summit"] = "Железная вершина",
	["Ironband's Compound"] = "Мастерская Сталекрута",
	["Ironband's Excavation Site"] = "Раскопки Сталекрута",
	["Ironbeard's Tomb"] = "Гробница Железноборода",
	["Ironclad Cove"] = "Потайная бухта",
	["Ironclad Garrison"] = "Железный гарнизон",
	["Ironclad Prison"] = "Потайная бухта",
	["Irondeep Mine"] = "Железный рудник",
	Ironforge = "Стальгорн",
	["Ironforge Airfield"] = "Аэродром Стальгорна",
	["Ironstone Camp"] = "Лагерь Железного Камня",
	["Ironstone Plateau"] = "Плато Железного Камня",
	["Irontree Cavern"] = "Пещера Железнолесья",
	["Irontree Clearing"] = "Прогалина Железнолесья",
	["Irontree Woods"] = "Железнолесье",
	["Ironwall Dam"] = "Железная плотина",
	["Ironwall Rampart"] = "Железный вал",
	["Ironwing Cavern"] = "Пещера Стального Крыла",
	Iskaal = "Искаал",
	["Island of Doctor Lapidis"] = "Остров доктора Лапидиса",
	["Isle of Conquest"] = "Остров Завоеваний",
	["Isle of Conquest No Man's Land"] = "Остров Завоеваний нейтральная территория",
	["Isle of Dread"] = "Остров Ужаса",
	["Isle of Quel'Danas"] = "Остров Кель'Данас",
	["Isle of Tribulations"] = "Остров Напастей",
	["Iso'rath"] = "Изо'рат",
	["Itharius's Cave"] = "Пещера Итара",
	["Ivald's Ruin"] = "Руины Ивальда",
	["Ix'lar's Domain"] = "Владения Икс'лара",
	["Jadefire Glen"] = "Долина Нефритового Пламени",
	["Jadefire Run"] = "Холм Нефритового Пламени",
	["Jademir Lake"] = "Нефритовое озеро",
	Jaedenar = "Джеденар",
	["Jagged Reef"] = "Острые рифы",
	["Jagged Ridge"] = "Зазубренная гряда",
	["Jagged Wastes"] = "Бугристые пустоши",
	["Jaggedswine Farm"] = "Свиноферма",
	["Jaguero Isle"] = "Остров Жагуаро",
	["Janeiro's Point"] = "Остров Жанейро",
	["Jangolode Mine"] = "Рудник Янго",
	["Jaquero Isle"] = "Остров Жагуаро",
	["Jasperlode Mine"] = "Яшмовая шахта",
	["Jeff NE Quadrant Changed"] = "Джефф СВ Измененный квадрант",
	["Jeff NW Quadrant"] = "Джефф СЗ Квадрант",
	["Jeff SE Quadrant"] = "Джефф ЮВ Квадрант",
	["Jeff SW Quadrant"] = "Джефф ЮЗ Квадрант",
	["Jerod's Landing"] = "Лагерь Джерода",
	["Jintha'Alor"] = "Джинта'Алор",
	["Jintha'kalar"] = "Джинта'калар",
	["Jintha'kalar Passage"] = "Джинта'каларский проход",
	Jotunheim = "Йотунхейм",
	K3 = "К-3",
	["KTC Headquarters"] = "Штаб-квартира ТКК",
	["KTC Oil Platform"] = "Нефтяная платформа ТКК",
	["Kaja'mine"] = "Каджа'митовая шахта",
	["Kaja'mite Cave"] = "Каджа'митовая пещера",
	["Kaja'mite Cavern"] = "Каджа'митовая пещера",
	["Kajaro Field"] = "Площадка Каджаро",
	["Kal'ai Ruins"] = "Руины Кал'аи",
	Kalimdor = "Калимдор",
	Kamagua = "Камагуа",
	["Karabor Sewers"] = "Канализация",
	Karazhan = "Каражан",
	["Kargathia Keep"] = "Крепость Каргатия",
	["Karnum's Glade"] = "Просека Карнума",
	["Kartak's Hold"] = "Форт Картака",
	Kaskala = "Каскала",
	["Kaw's Roost"] = "Гнездо Кау",
	["Keel Harbor"] = "Килевая гавань",
	["Keelen's Trustworthy Tailoring"] = "Почтенное ателье Килена",
	["Keeshan's Post"] = "Лагерь Кишана",
	["Kel'Thuzad Chamber"] = "Зал Кел'Тузада",
	["Kel'Thuzad's Chamber"] = "Зал Кел'Тузада",
	["Kelp'thar Forest"] = "Лес Келп’тар",
	["Keset Pass"] = "Тропа Кесета",
	["Kessel's Crossing"] = "Перекресток Кессела",
	Kezan = "Кезан",
	Kharanos = "Каранос",
	["Khardros' Anvil"] = "Наковальня Кардроса",
	["Khartut's Tomb"] = "Гробница Хартута",
	["Khaz'goroth's Seat"] = "Трон Каз'горота",
	["Kil'sorrow Fortress"] = "Бастион Вечной Скорби",
	["Kili'ua's Atoll"] = "Атолл Кили'уа",
	["King's Gate"] = "Врата короля",
	["King's Harbor"] = "Королевская гавань",
	["King's Hoard"] = "Королевское хранилище",
	["King's Square"] = "Королевская площадь",
	["Kirin'Var Village"] = "Деревня Кирин'Вар",
	Kirthaven = "Кирт",
	["Kodo Graveyard"] = "Кладбище кодо",
	["Kodo Rock"] = "Дольмен Кодо",
	["Kolkar Village"] = "Деревня Колкар",
	Kolramas = "Колрамас",
	["Kor'kron Vanguard"] = "Стоянка отряда Кор'крона",
	["Kormek's Hut"] = "Хижина Кормека",
	["Koroth's Den"] = "Логово Корота",
	["Korthun's End"] = "Край Кортуна",
	["Krasus' Landing"] = "Площадка Краса",
	["Krazzworks Attack Zeppelin"] = "Krazzworks Attack Zeppelin",
	["Krolg's Hut"] = "Хижина Кролга",
	["Krom'gar Fortress"] = "Крепость Кром'гар",
	["Krom's Landing"] = "Лагерь Крома",
	["Kul Tiras"] = "Кул-Тирас",
	["Kul'galar Keep"] = "Крепость Кул'галар",
	["Kurzen's Compound"] = "Лагерь Курцена",
	["L'ghorek"] = "Л'горек",
	["Lair of the Chosen"] = "Обитель Избранного",
	["Lake Al'Ameth"] = "Озеро Аль'Амет",
	["Lake Cauldros"] = "Озеро Колдрос",
	["Lake Dumont"] = "Озеро Дюмон",
	["Lake Edunel"] = "Озеро Эдунель",
	["Lake Elrendar"] = "Озеро Элрендар",
	["Lake Elune'ara"] = "Озеро Элуне'ара",
	["Lake Ere'Noru"] = "Озеро Эре'Нору",
	["Lake Everstill"] = "Озеро Безмолвия",
	["Lake Falathim"] = "Озеро Фалатим",
	["Lake Indu'le"] = "Озеро Инду'ле",
	["Lake Jorune"] = "Озеро Иорун",
	["Lake Kel'Theril"] = "Озеро Кел'Терил",
	["Lake Kum'uya"] = "Озеро Кум'уа",
	["Lake Mennar"] = "Озеро Меннар",
	["Lake Mereldar"] = "Озеро Мерельдар",
	["Lake Nazferiti"] = "Озеро Назферити",
	["Lake Sunspring"] = "Озеро Солнечного Источника",
	["Lakeridge Highway"] = "Озерный тракт",
	Lakeshire = "Приозерье",
	["Lakeshire Inn"] = "Таверна Приозерья",
	["Lakeshire Town Hall"] = "Ратуша Приозерья",
	["Lakeside Landing"] = "Лагерь у озера",
	["Lakkari Tar Pits"] = "Смоляные ямы Лаккари",
	["Land's End Beach"] = "Пляж на Краю Света",
	["Landing Beach"] = "Береговая станция",
	["Landing Site"] = "Место высадки",
	["Langrom's Leather & Links"] = "Кожа и кольчуги от Лангрома",
	["Largo's Overlook"] = "Дозорный пункт Ларго",
	["Largo's Overlook Tower"] = "Дозорная башня Ларго",
	["Lariss Pavilion"] = "Павильон Лорисс",
	["Laughing Skull Courtyard"] = "Внутренний двор Веселого Черепа",
	["Laughing Skull Ruins"] = "Руины Веселого Черепа",
	["Launch Bay"] = "Пусковая установка",
	["Legash Encampment"] = "Лагерь Легаш",
	["Legendary Leathers"] = "Шикарные шкурки",
	["Legion Hold"] = "Форт Легиона",
	["Legion's Fate"] = "Судьба Легиона",
	["Legion's Rest"] = "База Легиона",
	["Lethlor Ravine"] = "Долина Летлор",
	["Leyara's Sorrow"] = "Печаль Лиары",
	["Library Wing"] = "Библиотечное крыло",
	["Light's Breach"] = "Разлом Света",
	["Light's Dawn Cathedral"] = "Собор Рассвета",
	["Light's Hammer"] = "Молот Света",
	["Light's Hope Chapel"] = "Часовня Последней Надежды",
	["Light's Point"] = "Застава Света",
	["Light's Point Tower"] = "Башня Заставы Света",
	["Light's Shield Tower"] = "Башня Защиты Света",
	["Light's Trust"] = "Опора Света",
	Lighthouse = "Маяк",
	["Lightning Ledge"] = "Уступ Молний",
	["Like Clockwork"] = "Как часы",
	["Lion's Pride Inn"] = "Таверна Гордость льва",
	["Livery Outpost"] = "Пост у стойл",
	["Livery Stables"] = "Стойла",
	["Llane's Oath"] = "Присяга Ллейна",
	["Loading Room"] = "Погрузочная",
	["Loch Modan"] = "Лок Модан",
	["Loch Verrall"] = "Озеро Лок Вералл",
	["Loken's Bargain"] = "Сделка Локена",
	Longshore = "Бескрайний берег",
	["Lor'danel"] = "Лор'данел",
	["Lordamere Internment Camp"] = "Лордамерские выселки",
	["Lordamere Lake"] = "Озеро Лордамер",
	["Lorthuna's Gate"] = "Врата Лортуны",
	["Lost Caldera"] = "Затерянный кратер",
	["Lost City of the Tol'vir"] = "Затерянный город Тол'вир",
	["Lost City of the Tol'vir Entrance"] = "Затерянный город Тол'вир",
	["Lost Isles Town in a Box"] = "Затерянные острова макет города",
	["Lost Isles Volcano Eruption"] = "Извержение вулкана Затерянных островов",
	["Lost Peak"] = "Затерянный пик",
	["Lost Point"] = "Разрушенная башня",
	["Lost Rigger Cove"] = "Бухта Сорванных Парусов",
	LostIsles = "Затерянные острова",
	["Lothalor Woodlands"] = "Лоталорское редколесье",
	["Lower City"] = "Нижний Город",
	["Lower Silvermarsh"] = "Низина Серебристой топи",
	["Lower Veil Shil'ak"] = "Нижнее гнездовье Шил'ак",
	["Lower Wilds"] = "Низинные чащобы",
	["Lumber Mill"] = "Лесопилка",
	["Lushwater Oasis"] = "Цветущий оазис",
	["Lydell's Ambush"] = "Засада Лиделла",
	["M.A.C. Diver"] = "МАК Водолаз",
	["Maelstrom Zone"] = "Область Водоворота",
	["Maestra's Post"] = "Застава Мейстры",
	["Maexxna's Nest"] = "Гнездо Мексны",
	["Mag'har Grounds"] = "Земли маг'харов",
	["Mag'har Post"] = "Застава маг'харов",
	["Mag'hari Procession"] = "Похоронная процессия маг'харов",
	["Mage Quarter"] = "Квартал магов",
	["Mage Tower"] = "Башня Магов",
	["Magic Quarter"] = "Квартал Магов",
	["Magical Menagerie"] = "Волшебный зверинец",
	["Magister's Terrace"] = "Терраса Магистров",
	["Magisters Gate"] = "Врата Магистров",
	["Magisters' Terrace"] = "Терраса Магистров",
	["Magisters' Terrace Entrance"] = "Терраса Магистров",
	["Magma Fields"] = "Магмовые поля",
	["Magma Springs"] = "Магматические ключи",
	["Magmadar Cavern"] = "Пещера Магмадара",
	["Magmaw's Fissure"] = "Излом Магмаря",
	Magmoth = "Магмот",
	["Magnamoth Caverns"] = "Пещеры Магнамух",
	["Magram Territory"] = "Территория Маграм",
	["Magtheridon's Lair"] = "Логово Магтеридона",
	["Magus Commerce Exchange"] = "Торговая палата волшебников",
	["Main Gate"] = "Главные врата",
	["Main Hall"] = "Главный зал",
	["Maker's Ascent"] = "Возвышение Творца",
	["Maker's Overlook"] = "Дозор Творцов",
	["Maker's Perch"] = "Обитель Творцов",
	["Makers' Overlook"] = "Дозор Творцов",
	["Makers' Perch"] = "Обитель Творцов",
	["Malaka'jin"] = "Малака'джин",
	["Malden's Orchard"] = "Сад Мальдена",
	Maldraz = "Малдраз",
	["Malfurion's Breach"] = "Аванпост Малфуриона",
	["Malicia's Outpost"] = "Застава Коварнессы",
	["Malykriss: The Vile Hold"] = "Маликрисс: Зловещая Крепость",
	["Mam'toth Crater"] = "Кратер Мам'Тота",
	["Mana Tombs"] = "Гробницы Маны",
	["Mana-Tombs"] = "Гробницы Маны",
	["Manaforge Ara"] = "Манагорн Ара",
	["Manaforge B'naar"] = "Манагорн Б'Наар",
	["Manaforge Coruu"] = "Манагорн Коруу",
	["Manaforge Duro"] = "Манагорн Даро",
	["Manaforge Ultris"] = "Манагорн Ультрис",
	["Mandokir's Domain"] = "Владения Мандокира",
	["Mannoroc Coven"] = "Поле Маннорок",
	["Manor Mistmantle"] = "Поместье Мистмантла",
	["Mantle Rock"] = "Скала Мантия",
	["Map Chamber"] = "Зал Карт",
	["Mar'at"] = "Мар'ат",
	Maraudon = "Мародон",
	["Maraudon - Earth Song Falls Entrance"] = "Мародон: Поющие водопады",
	["Maraudon - Foulspore Cavern Entrance"] = "Мародон: Зловонная пещера",
	["Mardenholde Keep"] = "Крепость Марденхольд",
	["Market Row"] = "Торговый ряд",
	["Marshal's Refuge"] = "Укрытие Маршалла",
	["Marshal's Stand"] = "Застава Маршалла",
	["Marshlight Lake"] = "Озеро Болотных Огоньков",
	["Marshtide Watch"] = "Застава Болотной Воды",
	["Maruadon - The Wicked Grotto Entrance"] = "Мародон: Оскверненный грот",
	["Mast Room"] = "Мачтовая мастерская",
	["Master's Terrace"] = "Терраса Мастера",
	["Masters' Gate"] = "Врата Мастеров",
	["Maw of Lycanthoth"] = "Утроба Ликантота",
	["Maw of Neltharion"] = "Пасть Нелтариона",
	["Maw of the Void"] = "Чрево Пустоты",
	["Mazra'Alor"] = "Мазра'Алор",
	Mazthoril = "Мазторил",
	["Medivh's Chambers"] = "Покои Медива",
	["Menagerie Wreckage"] = "Останки Зверинца",
	["Menethil Bay"] = "Бухта Менетилов",
	["Menethil Harbor"] = "Гавань Менетилов",
	["Menethil Keep"] = "Крепость Менетилов",
	["Merchant Square"] = "Торговая площадь",
	["Mid Point Station"] = "Центральная станция",
	Middenvale = "Прелая долина",
	["Midrealm Post"] = "Застава срединных земель",
	["Midwall Lift"] = "Подъемник Средней стены",
	["Mightstone Quarry"] = "Карьер Камня Силы",
	["Military District"] = "Военный квартал",
	["Mimir's Workshop"] = "Мастерская Мимира",
	Mine = "Рудник",
	Mines = "Рудник",
	["Mirage Abyss"] = "Бездна миражей",
	["Mirage Flats"] = "Маревые равнины",
	["Mirage Raceway"] = "Виражи на Миражах",
	["Mirkfallon Lake"] = "Мутное озеро",
	["Mirkfallon Post"] = "Пост на Мутном озере",
	["Mirror Lake"] = "Зеркальное озеро",
	["Mirror Lake Orchard"] = "Сад у Зеркального озера",
	["Mist's Edge"] = "Туманный Предел",
	["Mistcaller's Cave"] = "Пещера призывателя туманов",
	["Mistvale Valley"] = "Мглистая долина",
	["Mistwhisper Refuge"] = "Убежище Шепота Тумана",
	["Misty Pine Refuge"] = "Сторожка у заснеженной сосны",
	["Misty Reed Post"] = "Тростниковая застава",
	["Misty Reed Strand"] = "Тростниковый берег",
	["Misty Ridge"] = "Туманная гряда",
	["Misty Shore"] = "Мглистый берег",
	["Misty Valley"] = "Туманная долина",
	["Miwana's Longhouse"] = "Большой дом Миваны",
	["Mizjah Ruins"] = "Руины Мизжа",
	["Mo'grosh Stronghold"] = "Оплот Мо'грош",
	["Moa'ki"] = "Моа'ки",
	["Moa'ki Harbor"] = "Гавань Моа'ки",
	["Moggle Point"] = "Вершина Моггл",
	["Mok'Doom"] = "Мок'Дум",
	["Mok'Gordun"] = "Мок'Гордун",
	["Mok'Nathal Village"] = "Деревня Мок'Натал",
	["Mold Foundry"] = "Литейная",
	["Molten Core"] = "Огненные Недра",
	["Molten Front"] = "Огненная передовая",
	["Moon Horror Den"] = "Обитель Лунного Ужаса",
	Moonbrook = "Луноречье",
	Moonglade = "Лунная поляна",
	["Moongraze Woods"] = "Леса Лунного Оленя",
	["Moonrest Gardens"] = "Сады Лунного Покоя",
	["Moonshrine Ruins"] = "Руины святилища Луны",
	["Moonshrine Sanctum"] = "Алтарь святилища Луны",
	["Moontouched Den"] = "Осененная луной берлога",
	["Moonwell of Cleansing"] = "Лунный колодец очищения",
	["Moonwell of Purity"] = "Лунный колодец чистоты",
	["Moonwing Den"] = "Прибежище Лунных Крыльев",
	["Mor'shan Base Camp"] = "Лагерь Мор'шан",
	["Mord'rethar: The Death Gate"] = "Морд'ретар: Врата Смерти",
	["Morgan's Plot"] = "Надел Моргана",
	["Morgan's Vigil"] = "Дозор Морганы",
	["Morlos'Aran"] = "Морлос'Аран",
	["Mortal's Demise"] = "Погибель Смертных",
	["Mortwake's Tower"] = "Башня Мортвейка",
	["Mosh'Ogg Ogre Mound"] = "Холм Мош'Огг",
	["Mosshide Fen"] = "Болото Мохошкуров",
	["Mosswalker Village"] = "Деревня Мохобродов",
	["Mossy Pile"] = "Мшистая горка",
	["Mount Akher"] = "Гора Акер",
	["Mount Hyjal"] = "Хиджал",
	["Mount Hyjal Phase 1"] = "Гора Хиджал, фаза 1",
	["Mountainfoot Strip Mine"] = "Карьер у подножья горы",
	Mudsprocket = "Шестермуть",
	Mulgore = "Мулгор",
	["Murder Row"] = "Закоулок Душегубов",
	["Murkdeep Cavern"] = "Пещера Глубомрака",
	["Mystral Lake"] = "Озеро Мистраль",
	Mystwood = "Таинственная роща",
	Nagrand = "Награнд",
	["Nagrand Arena"] = "Арена Награнда",
	Nahom = "Нахом",
	["Nar'shola Terrace"] = "Терраса Нар'шолы",
	["Narvir's Cradle"] = "Колыбель Нарвира",
	["Nasam's Talon"] = "Коготь Назама",
	["Nat's Landing"] = "Лагерь Ната",
	Naxxanar = "Наксанар",
	Naxxramas = "Наксрамас",
	["Naz'anak: The Forgotten Depths"] = "Наз'анак: Забытые глубины",
	["Nazj'vel"] = "Назж'вел",
	Nazzivian = "Наззивиан",
	["Needlerock Chasm"] = "Провал Каменных Игл",
	["Needlerock Slag"] = "Шлаковый зал",
	["Nefarian's Lair"] = "Логово Нефариана",
	["Nefarian�s Lair"] = "Логово Нефариана",
	["Neferset City"] = "Неферсет",
	["Neferset City Outskirts"] = "Окраины Неферсета",
	["Nek'mani Wellspring"] = "Родник Нек'Мани",
	["Neptulon's Rise"] = "Подъем Нептулона",
	["Nesingwary Base Camp"] = "Лагерь Эрнестуэя",
	["Nesingwary Safari"] = "Охотничий лагерь Эрнестуэя",
	["Nesingwary's Expedition"] = "Экспедиция Эрнестуэя",
	Nespirah = "Неспира",
	["Nestlewood Hills"] = "Совиные холмы",
	["Nestlewood Thicket"] = "Совиная чаща",
	["Nethander Stead"] = "Владение Нетандера",
	["Nethergarde Keep"] = "Крепость Стражей Пустоты",
	["Nethergarde Mines"] = "Рудники Гарнизона",
	["Nethergarde Supply Camps"] = "Лагерь поддержки Гарнизона",
	Netherspace = "Пустомарь",
	Netherstone = "Осколки Пустоты",
	Netherstorm = "Пустоверть",
	["Netherweb Ridge"] = "Гряда Пустопутов",
	["Netherwing Fields"] = "Поля Крыльев Пустоты",
	["Netherwing Ledge"] = "Кряж Крыльев Пустоты",
	["Netherwing Mines"] = "Копи Крыльев Пустоты",
	["Netherwing Pass"] = "Перевал Крыльев Пустоты",
	["New Agamand"] = "Новый Агамонд",
	["New Agamand Inn"] = "Таверна Нового Агамонда",
	["New Avalon"] = "Новый Авалон",
	["New Avalon Fields"] = "Поля Нового Авалона",
	["New Avalon Forge"] = "Кузня Нового Авалона",
	["New Avalon Orchard"] = "Сад Нового Авалона",
	["New Avalon Town Hall"] = "Ратуша Нового Авалона",
	["New Hearthglen"] = "Новый Дольный Очаг",
	["New Kargath"] = "Новый Каргат",
	["New Thalanaar"] = "Новый Таланаар",
	["New Tinkertown"] = "Новый Город Механиков",
	["Nexus Legendary"] = "Нексус, получение посоха",
	Nidavelir = "Нидавелир",
	["Nidvar Stair"] = "Лестница Нидвара",
	Nifflevar = "Ниффлвар",
	["Night Elf Village"] = "Деревня ночных эльфов",
	["Night Run"] = "Ночная поляна",
	["Night Web's Hollow"] = "Паучья низина",
	Nighthaven = "Ночная Гавань",
	["Nightmare Depths"] = "Глубины Кошмаров",
	["Nightmare Scar"] = "Ров Кошмаров",
	["Nightmare Vale"] = "Долина Кошмаров",
	["Nightsong Woods"] = "Леса Ночной Песни",
	["Nijel's Point"] = "Высота Найджела",
	["Nimbus Rise"] = "Возвышенность Сияния",
	["Njord's Breath Bay"] = "Бухта Дыхания Ньорда",
	["Njorn Stair"] = "Лестница Ньорна",
	["Njorndar Village"] = "Деревня Ньорндар",
	["Noonshade Ruins"] = "Руины Полуденной Тени",
	Nordrassil = "Нордрассил",
	["Nordrassil Inn"] = "Таверна Нордрассила",
	["Nordune Ridge"] = "Утес Нордун",
	["North Common Hall"] = "Северный зал",
	["North Gate Outpost"] = "Застава у Северных врат",
	["North Gate Pass"] = "Северные врата",
	["North Point Station"] = "Северная станция",
	["North Point Tower"] = "Северная башня",
	["North Sanctum"] = "Северное святилище",
	["North Spear Tower"] = "Северная башня",
	["North Tide's Beachhead"] = "Северная приливная низина",
	["North Tide's Run"] = "Берег Северного прилива",
	Northdale = "Северный Дол",
	["Northern Barrens"] = "Северные Степи",
	["Northern Headlands"] = "Северный каменистый мыс",
	["Northern Rampart"] = "Северный бастион",
	["Northern Rocketway"] = "Северная ракетная дорога",
	["Northern Rocketway Exchange"] = "Северная пересадочная станция ракетной дороги",
	["Northern Stranglethorn"] = "Северная Тернистая долина",
	["Northfold Manor"] = "Северное поместье",
	["Northgate Breach"] = "Пролом Северных врат",
	["Northgate River"] = "Река Северных врат",
	["Northgate Woods"] = "Лес Северных врат",
	["Northmaul Tower"] = "Башня Северного Молота",
	["Northpass Tower"] = "Башня Северного перевалa",
	Northrend = "Нордскол",
	["Northridge Lumber Camp"] = "Лесопилка Северного Кряжа",
	["Northshire Abbey"] = "Аббатство Североземья",
	["Northshire River"] = "Река Североземья",
	["Northshire Valley"] = "Долина Североземья",
	["Northshire Vineyards"] = "Виноградники Североземья",
	["Northwatch Expedition Base Camp"] = "Лагерь экспедиции Северной Стражи",
	["Northwatch Expedition Base Camp Inn"] = "Гостиница экспедиции Северной Стражи",
	["Northwatch Foothold"] = "Крепь Северной Стражи",
	["Northwatch Hold"] = "Крепость Северной Стражи",
	["Northwind Cleft"] = "Расщелина Северного Ветра",
	["Nozzlepot's Outpost"] = "Лагерь Котельника",
	["Nozzlerust Post"] = "Лагерь Соплозабилось",
	["O'Breen's Camp"] = "Лагерь О'Брина",
	["Oasis of Vir'sar"] = "Оазис Вир'сара",
	["Oasis of the Fallen Prophet"] = "Оазис павшего пророка",
	["Obelisk of the Moon"] = "Обелиск Луны",
	["Obelisk of the Stars"] = "Обелиск Звезд",
	["Obelisk of the Sun"] = "Обелиск Солнца",
	["Observance Hall"] = "Ритуальный зал",
	["Observation Grounds"] = "Обзорная площадка",
	["Obsidia's Perch"] = "Гнездо Обсидии",
	["Obsidian Breakers"] = "Обсидиановые рифы",
	["Obsidian Dragonshrine"] = "Обсидиановое святилище драконов",
	["Obsidian Forest"] = "Обсидиановый лес",
	["Obsidian Lair"] = "Обсидиановое логово",
	["Odesyus' Landing"] = "Лагерь Одиссия",
	["Ogri'la"] = "Огри'ла",
	["Old Hillsbrad Foothills"] = "Старые предгорья Хилсбрада",
	["Old Ironforge"] = "Старый Стальгорн",
	["Old Town"] = "Старый город",
	Olembas = "Олембас",
	["Olivia's Pond"] = "Пруд Оливии",
	["Olsen's Farthing"] = "Удел Ольсена",
	["One More Glass"] = "Еще по сто",
	Oneiros = "Онейрос",
	["Onslaught Base Camp"] = "Лагерь Алого Натиска",
	["Onslaught Harbor"] = "Гавань Натиска",
	["Onyxia's Lair"] = "Логово Ониксии",
	["Oomlot Village"] = "Деревня Умлот",
	Oostan = "Устан",
	["Oostan Nord"] = "Устан север",
	["Oostan Ost"] = "Устан восток",
	["Oostan Sor"] = "Устан юг",
	["Opening of the Dark Portal"] = "Открытие Темного портала",
	["Opening of the Dark Portal Entrance"] = "Открытие Темного портала",
	["Oratory of the Damned"] = "Молельня Проклятых",
	["Orebor Harborage"] = "Прибежище Оребор",
	["Orendil's Retreat"] = "Укрытие Орендила",
	["Orgrim's Hammer"] = "Молот Оргрима",
	Orgrimmar = "Оргриммар",
	["Orgrimmar Rear Gate"] = "Задние врата Оргриммара",
	["Orgrimmar Rocketway Exchange"] = "Оргриммарская пересадочная станция ракетной дороги",
	["Oronok's Farm"] = "Ферма Оронока",
	Orsis = "Орсис",
	["Ortell's Hideout"] = "Укрытие Ортелла",
	["Oshu'gun"] = "Ошу'гун",
	Outland = "Запределье",
	["Overgrown Camp"] = "Заросший лагерь",
	["Owl Wing Thicket"] = "Совиная чаща",
	["Pal'ea"] = "Пал'иа",
	["Palemane Rock"] = "Утес Бледногривов",
	["Parhelion Plaza"] = "Площадь Паргелия",
	["Passage of Lost Fiends"] = "Перевал Заблудившихся Злодеев",
	["Path of Uther"] = "Путь Утера",
	["Path of the Titans"] = "Путь Титанов",
	["Pattymack Land"] = "Земли Пэттимака",
	["Pauper's Walk"] = "Путь Бедняка",
	["Pestilent Scar"] = "Моровой овраг",
	["Petitioner's Chamber"] = "Зал Просителей",
	["Pilgrim's Precipice"] = "Пропасть Пилигрима",
	["Pincer X2"] = "Хват X2",
	["Pit of Fangs"] = "Змеиная яма",
	["Pit of Saron"] = "Яма Сарона",
	["Pit of Saron Entrance"] = "Яма Сарона",
	["Plaguelands: The Scarlet Enclave"] = "Чумные земли: Анклав Алого ордена",
	["Plaguemist Ravine"] = "Чумная лощина",
	Plaguewood = "Чумной лес",
	["Plaguewood Tower"] = "Башня Чумного леса",
	["Plain of Echoes"] = "Равнина эха",
	["Plain of Shards"] = "Долина Осколков",
	["Plains of Nasam"] = "Равнины Назама",
	["Pod Cluster"] = "Отсек Капсулы",
	["Pod Wreckage"] = "Обломки Капсулы",
	["Poison Falls"] = "Ядопады",
	["Pool of Tears"] = "Озеро Слез",
	["Pool of Twisted Reflections"] = "Пруд искаженных отражений",
	["Pools of Aggonar"] = "Пруды Аггонара",
	["Pools of Arlithrien"] = "Пруды Арлитриэна",
	["Pools of Jin'Alai"] = "Бассейн Джин'Алаи",
	["Pools of Zha'Jin"] = "Озера Жа'Джина",
	["Portal Clearing"] = "Прогалина с порталом",
	["Prison of Immol'thar"] = "Тюрьма Бессмер'тера",
	["Programmer Isle"] = "Остров Программиста",
	["Promontory Point"] = "Подводный выступ",
	["Prospector's Point"] = "Лагерь горняков",
	["Protectorate Watch Post"] = "Застава Стражей Протектората",
	["Purespring Cavern"] = "Пещера Чистого Источника",
	["Purgation Isle"] = "Остров Очищения",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "Лаборатория алхимических ужасов и забав",
	["Pyrewood Chapel"] = "Часовня Погребальных Костров",
	["Pyrewood Inn"] = "Таверна Погребальных Костров",
	["Pyrewood Town Hall"] = "Ратуша Погребальных Костров",
	["Pyrewood Village"] = "Деревня Погребальных Костров",
	["Pyrox Flats"] = "Пироксовые равнины",
	["Quagg Ridge"] = "Гряда Квагг",
	Quarry = "Каменоломня",
	["Quartzite Basin"] = "Кварцитовая впадина",
	["Queen's Gate"] = "Врата Королевы",
	["Quel'Danil Lodge"] = "Сторожка Кель'Данил",
	["Quel'Delar's Rest"] = "Покой Кель'Делара",
	["Quel'Dormir Gardens"] = "Сады Кель'Дормир",
	["Quel'Dormir Temple"] = "Храм Кель'Дормир",
	["Quel'Dormir Terrace"] = "Терраса Кель'Дормир",
	["Quel'Lithien Lodge"] = "Сторожка Кель'Литиен",
	["Quel'thalas"] = "Кель'Талас",
	["Raastok Glade"] = "Прогалина Раасток",
	["Raceway Ruins"] = "Разрушенная гоночная полоса",
	["Rage Fang Shrine"] = "Святилище Красного Клыка",
	["Rage Scar Hold"] = "Пещера Бешеного оврага",
	["Rageclaw Den"] = "Логово Яростного Когтя",
	["Rageclaw Lake"] = "Озеро Яростного Когтя",
	["Ragefeather Ridge"] = "Хребет Яростного Пера",
	["Ragefire Chasm"] = "Огненная Пропасть",
	["Ragnaros' Lair"] = "Логово Рагнароса",
	["Ragnaros' Reach"] = "Владения Рагнароса",
	["Rainspeaker Canopy"] = "Прибежище Гласа Дождя",
	["Rainspeaker Rapids"] = "Водопады Гласа Дождя",
	Ramkahen = "Рамкахен",
	["Ramkahen Legion Outpost"] = "Застава рамкахенов",
	["Rampart of Skulls"] = "Черепной вал",
	["Ranazjar Isle"] = "Остров Раназжар",
	["Raptor Pens"] = "Ямы ящеров",
	["Raptor Ridge"] = "Гряда Ящеров",
	["Raptor Rise"] = "Утес Ящеров",
	Ratchet = "Кабестан",
	["Rated Eye of the Storm"] = "Око Бури (рейтинговое)",
	["Ravaged Caravan"] = "Разграбленный караван",
	["Ravaged Crypt"] = "Разграбленный склеп",
	["Ravaged Twilight Camp"] = "Разоренный Сумеречный лагерь",
	["Raven Hill"] = "Вороний Холм",
	["Raven Hill Cemetery"] = "Кладбище Вороньего Холма",
	["Raven's Watch"] = "Вороний дозор",
	["Raven's Wood"] = "Лес Ворона",
	["Ravencrest Monument"] = "Памятник Гребню Ворона",
	["Ravenholdt Manor"] = "Поместье Черного Ворона",
	["Raynewood Retreat"] = "Приют в Ночных Лесах",
	["Raynewood Tower"] = "Башня в Ночных лесах",
	["Razaan's Landing"] = "Лагерь Разаана",
	["Razor Hill"] = "Колючий Холм",
	["Razor Hill Barracks"] = "Казармы Колючего Холма",
	["Razor Ridge"] = "Островерхий гребень",
	["Razorfen Downs"] = "Курганы Иглошкурых",
	["Razorfen Downs Entrance"] = "Курганы Иглошкурых",
	["Razorfen Kraul"] = "Лабиринты Иглошкурых",
	["Razorfen Kraul Entrance"] = "Лабиринты Иглошкурых",
	["Razormane Grounds"] = "Земли Иглогривых",
	["Razorscale's Aerie"] = "Гнездо Острокрылой",
	["Razorthorn Rise"] = "Уступ Острого Шипа",
	["Razorthorn Shelf"] = "Обрыв Острого Шипа",
	["Razorthorn Trail"] = "Дорога Острого Шипа",
	["Razorwind Canyon"] = "Каньон Колючего Ветра",
	["Reaver's Fall"] = "Гибель Сквернобота",
	["Reavers' Hall"] = "Зал Разорителей",
	["Rebel Camp"] = "Лагерь Повстанцев",
	["Red Cloud Mesa"] = "Плато Красного Облака",
	["Red Rocks"] = "Красные скалы",
	["Redpine Dell"] = "Лощина Красной Сосны",
	["Redridge Canyons"] = "Каньоны Красногорья",
	["Redridge Mountains"] = "Красногорье",
	["Redwood Trading Post"] = "Торговая лавка Красного леса",
	Refinery = "Нефтезавод",
	["Refuge Pointe"] = "Опорный пункт",
	["Refugee Caravan"] = "Караван Беженцев",
	["Reliquary of Agony"] = "Реликварий Агонии",
	["Reliquary of Pain"] = "Реликварий Боли",
	["Remains of Iris Lake"] = "Обмелевшее озеро Ирис",
	["Remains of the Fleet"] = "Остатки Флота",
	["Remtravel's Excavation"] = "Раскопки Сомнамбулера",
	["Render's Camp"] = "Лагерь Ренда",
	["Render's Crater"] = "Кратер Ренда",
	["Render's Rock"] = "Скала Ренда",
	["Render's Valley"] = "Долина Ренда",
	["Rethban Caverns"] = "Пещеры Ретбана",
	["Rethress Sanctum"] = "Святилище Ретресса",
	Reuse = "Reuse",
	["Revantusk Village"] = "Деревня Сломанного Клыка",
	["Rhea's Camp"] = "Лагерь Реа",
	["Rhyolith Plateau"] = "Плато Риолита",
	["Ricket's Folly"] = "Просторы Рикет",
	["Ridge of Madness"] = "Гряда Безумия",
	["Ridgepoint Tower"] = "Дозорная башня",
	["Rim of the World"] = "Край света",
	["Ring of Judgement"] = "Круг Правосудия",
	["Ring of Observance"] = "Ритуальный Круг",
	["Ring of the Elements"] = "Круг Стихий",
	["Ring of the Law"] = "Зал Правосудия",
	["Riplash Ruins"] = "Руины Терзающего Бича",
	["Riplash Strand"] = "Берег Терзающего Бича",
	["Rise of Suffering"] = "Высота Страдания",
	["Rise of the Defiler"] = "Утес Осквернителя",
	["Ritual Chamber of Akali"] = "Ритуальная комната Акали",
	["Rivendark's Perch"] = "Гнездо Чернокрыла",
	Rivenwood = "Вырубки",
	["River's Heart"] = "Слияние рек",
	["Rock of Durotan"] = "Обелиск Дуротана",
	["Rockpool Village"] = "Деревня Каменистого Озера",
	["Rocktusk Farm"] = "Ферма Каменного Клыка",
	["Roguefeather Den"] = "Логово Легкоперых",
	["Rogues' Quarter"] = "Квартал Разбойников",
	["Rohemdal Pass"] = "Рохемдальский проход",
	["Roland's Doom"] = "Погибель Роланда",
	["Rotbrain Encampment"] = "Лагерь гнилодумов",
	["Royal Exchange Auction House"] = "Аукционный дом Королевской биржи",
	["Royal Exchange Bank"] = "Королевский Валютный банк",
	["Royal Gallery"] = "Королевская галерея",
	["Royal Library"] = "Королевская библиотека",
	["Royal Quarter"] = "Королевский квартал",
	["Ruby Dragonshrine"] = "Рубиновое святилище драконов",
	["Ruined City Post 01"] = "Ruined City Post 01",
	["Ruined Court"] = "Разрушенный двор",
	["Ruins of Aboraz"] = "Руины Абораза",
	["Ruins of Ahmtul"] = "Руины Амтула",
	["Ruins of Ahn'Qiraj"] = "Руины Ан'Киража",
	["Ruins of Alterac"] = "Руины Альтерака",
	["Ruins of Ammon"] = "Руины Аммона",
	["Ruins of Arkkoran"] = "Руины храма Арккоран",
	["Ruins of Auberdine"] = "Руины Аубердина",
	["Ruins of Baa'ri"] = "Руины Баа'ри",
	["Ruins of Constellas"] = "Руины Констелласа",
	["Ruins of Drak'Zin"] = "Руины Драк'Зина",
	["Ruins of Drakgor"] = "Руины Дракгора",
	["Ruins of Eldarath"] = "Руины Эльдарата",
	["Ruins of Eldra'nath"] = "Руины Элдра'ната",
	["Ruins of Eldre'thar"] = "Руины Эльдре'тара",
	["Ruins of Enkaat"] = "Руины Энкаата",
	["Ruins of Farahlon"] = "Руины Фаралона",
	["Ruins of Feathermoon"] = "Руины крепости",
	["Ruins of Gilneas"] = "Руины Гилнеаса",
	["Ruins of Gilneas City"] = "Гилнеас",
	["Ruins of Isildien"] = "Руины Исильдиэна",
	["Ruins of Jubuwal"] = "Руины Жубуваля",
	["Ruins of Karabor"] = "Руины Карабора",
	["Ruins of Kargath"] = "Руины Каргата",
	["Ruins of Khintaset"] = "Руины Кинтасета",
	["Ruins of Lar'donir"] = "Руины Лар'донира",
	["Ruins of Lordaeron"] = "Руины Лордерона",
	["Ruins of Loreth'Aran"] = "Развалины Лорет'Арана",
	["Ruins of Lornesta"] = "Руины Лорнесты",
	["Ruins of Mathystra"] = "Руины Матистры",
	["Ruins of Nordressa"] = "Руины Нордрессы",
	["Ruins of Ravenwind"] = "Руины Яростного Ветра",
	["Ruins of Sha'naar"] = "Руины Ша'наара",
	["Ruins of Shandaral"] = "Руины Шандарала",
	["Ruins of Silvermoon"] = "Руины Луносвета",
	["Ruins of Solarsal"] = "Руины Соларсаля",
	["Ruins of Southshore"] = "Руины Южнобережья",
	["Ruins of Taurajo"] = "Руины Таурахо",
	["Ruins of Tethys"] = "Руины Тетиса",
	["Ruins of Thaurissan"] = "Руины Тауриссана",
	["Ruins of Thelserai Temple"] = "Руины храма Телсерай",
	["Ruins of Uldum"] = "Руины Ульдума",
	["Ruins of Vashj'elan"] = "Руины Вайш'элана",
	["Ruins of Vashj'ir"] = "Руины Вайш'ира",
	["Ruins of Zul'Kunda"] = "Руины Зул'Кунды",
	["Ruins of Zul'Mamwe"] = "Руины Зул'Мамве",
	["Ruins of the Scarlet Enclave"] = "Руины анклава Алого ордена",
	["Runestone Falithas"] = "Рунический камень Фалитас",
	["Runestone Shan'dor"] = "Рунический камень Шан'дор",
	["Runeweaver Square"] = "Площадь Руноплета",
	["Rustberg Village"] = "Растберг",
	["Rustmaul Dive Site"] = "Бассейн Ржавой Кувалды",
	["Rut'theran Village"] = "Деревня Рут'теран",
	["Rutsak's Guard"] = "Сторожка Рутсака",
	["Ruuan Weald"] = "Чащоба Рууан",
	["Ruuna's Camp"] = "Лагерь Рууны",
	["Ruuzel's Isle"] = "Остров Руузель",
	["Rygna's Lair"] = "Логово Ригны",
	["SI:7"] = "ШРУ",
	["STV Diamond Mine BG"] = "Алмазная шахта",
	["Sable Ridge"] = "Черная гряда",
	["Sahket Wastes"] = "Пустоши Сакет",
	["Saldean's Farm"] = "Ферма Сальдена",
	["Saltheril's Haven"] = "Вилла Салтерила",
	["Saltspray Glen"] = "Долина Солевого Тумана",
	["Sanctuary of Malorne"] = "Святилище Малорна",
	["Sanctuary of Shadows"] = "Святилище Теней",
	["Sanctum of Reanimation"] = "Святилище воскрешения",
	["Sanctum of Shadows"] = "Внутреннее Святилище Теней",
	["Sanctum of the Ascended"] = "Святилище Перерожденных",
	["Sanctum of the Fallen God"] = "Святилище Падшего Бога",
	["Sanctum of the Moon"] = "Святилище Луны",
	["Sanctum of the Prophets"] = "Святилище Прорицателей",
	["Sanctum of the South Wind"] = "Святилище Южного Ветра",
	["Sanctum of the Stars"] = "Святилище Звезд",
	["Sanctum of the Sun"] = "Святилище Солнца",
	["Sands of Nasam"] = "Пески Назама",
	["Sandsorrow Watch"] = "Застава Скорбных Песков",
	["Sandy Beach"] = "Песчаный пляж",
	["Sanguine Chamber"] = "Багряный чертог",
	["Sapphire Hive"] = "Сапфирный улей",
	["Sapphiron's Lair"] = "Логово Сапфирона",
	["Sar'theris Strand"] = "Побережье Сар'Терис",
	["Saragosa's Landing"] = "Лагерь Сарагосы",
	["Sardor Isle"] = "Остров Сардор",
	Sargeron = "Саргерон",
	["Saronite Mines"] = "Саронитовые шахты",
	Satyrnaar = "Сатирнаар",
	["Savage Ledge"] = "Дикий уступ",
	["Scalawag Point"] = "Лагерь Скалаваг",
	["Scalding Pools"] = "Жгучие пруды",
	["Scalebeard's Cave"] = "Пещера Чешуеборода",
	["Scalewing Shelf"] = "Склон Чешуекрылых",
	["Scar of the Worldbreaker"] = "Разлом разрушителя миров",
	["Scarab Terrace"] = "Терраса Скарабея",
	["Scarlet Encampment"] = "Застава Алого ордена",
	["Scarlet Hold"] = "Крепость Алого ордена",
	["Scarlet Monastery"] = "Монастырь Алого ордена",
	["Scarlet Monastery Entrance"] = "Монастырь Алого ордена",
	["Scarlet Overlook"] = "Дозорное укрепление Алого ордена",
	["Scarlet Palisade"] = "Палисад Алого ордена",
	["Scarlet Point"] = "Застава Алого ордена",
	["Scarlet Raven Tavern"] = "Таверна Алый ворон",
	["Scarlet Tavern"] = "Таверна Алого ордена",
	["Scarlet Tower"] = "Алая башня",
	["Scarlet Watch Post"] = "Сторожевой пост Алого ордена",
	["Scarlet Watchtower"] = "Сторожевая башня Алого ордена",
	["Scarred Terrace"] = "Обрушенная терраса",
	["Scenario: Alcaz Island"] = "Остров Алькац",
	["Schnottz's Frigate"] = "Фрегат Шнотца",
	["Schnottz's Hostel"] = "Таверна Шнотца",
	["Schnottz's Landing"] = "Лагерь Шнотца",
	Scholomance = "Некроситет",
	["Scholomance Entrance"] = "Некроситет",
	["School of Necromancy"] = "Школа некромантии",
	["Scorched Gully"] = "Выгоревший овраг",
	["Scott's Spooky Area"] = "Страшное место Скотта",
	["Scoured Reach"] = "Размытый берег",
	Scourgehold = "Оплот Плети",
	Scourgeholme = "Плетхольм",
	["Scourgelord's Command"] = "Смотровая площадка",
	["Scrabblescrew's Camp"] = "Лагерь Заржавня",
	["Screaming Gully"] = "Овраг Воплей",
	["Scryer's Tier"] = "Ярус Провидцев",
	["Scuttle Coast"] = "Берег Разбитых Кораблей",
	Seabrush = "Донные заросли",
	["Seafarer's Tomb"] = "Гробница Мореплавателя",
	["Seal of the Sun King"] = "Печать Солнечного Короля",
	["Searing Gorge"] = "Тлеющее ущелье",
	["Seat of Destruction"] = "Трон Разрушения",
	["Seat of Life"] = "Трон Жизни",
	["Seat of Magic"] = "Трон Магии",
	["Seat of Radiance"] = "Трон Сияния",
	["Seat of the Chosen"] = "Совет Избранных",
	["Seat of the Naaru"] = "Трон Наару",
	["Sen'jin Village"] = "Деревня Сен'джин",
	["Sentinel Hill"] = "Сторожевой холм",
	["Sentinel Tower"] = "Сторожевая башня",
	["Sentry Point"] = "Сторожевой пост",
	Seradane = "Серадан",
	["Serpent Lake"] = "Змеиное озеро",
	["Serpent's Coil"] = "Змеиные Кольца",
	["Serpentshrine Cavern"] = "Змеиное святилище",
	["Servants' Quarters"] = "Комнаты слуг",
	["Service Entrance"] = "Черный ход",
	["Sethekk Halls"] = "Сетеккские залы",
	["Sethria's Roost"] = "Гнездо Сетрии",
	["Sewer Exit Pipe"] = "Выход из сточной трубы",
	Sewers = "Стоки",
	["Sha'naari Wastes"] = "Пустоши Ша'наари",
	["Sha'tari Base Camp"] = "Лагерь Ша'тар",
	["Sha'tari Outpost"] = "Застава Ша'тар",
	Shadebough = "Тень Ветвей",
	["Shadow Grave"] = "Мрачный склеп",
	["Shadow Hold"] = "Оплот Теней",
	["Shadow Labyrinth"] = "Темный лабиринт",
	["Shadow Ridge"] = "Хребет Теней",
	["Shadow Tomb"] = "Гробница Тени",
	["Shadow Wing Lair"] = "Логово Крыла Тени",
	["Shadowbreak Ravine"] = "Лощина Тьмы",
	["Shadowfang Keep"] = "Крепость Темного Клыка",
	["Shadowfang Keep Entrance"] = "Крепость Темного Клыка",
	["Shadowfang Tower"] = "Башня Темного Клыка",
	["Shadowforge City"] = "Тенегорн",
	Shadowglen = "Тенистая долина",
	["Shadowlurk Ridge"] = "Гряда Затаившейся Тьмы",
	["Shadowmoon Valley"] = "Долина Призрачной Луны",
	["Shadowmoon Village"] = "Деревня Призрачной Луны",
	["Shadowprey Village"] = "Деревня Ночных Охотников",
	["Shadowshard Cavern"] = "Пещера Темных Осколков",
	["Shadowsight Tower"] = "Башня Темного Взора",
	["Shadowsong Shrine"] = "Святилище Песни Теней",
	["Shadowthread Cave"] = "Паучье логово",
	["Shadra'Alor"] = "Шадра'Алор",
	["Shady Rest Inn"] = "Таверна Последний привал",
	["Shalandis Isle"] = "Остров Шаландис",
	["Shalewind Canyon"] = "Каньон Глинистого Ветра",
	["Shallow's End"] = "Конец отмели",
	["Shalzaru's Lair"] = "Убежище Шалзару",
	Shamanar = "Шаманар",
	["Shaol'watha"] = "Шаол'вата",
	["Shaper's Terrace"] = "Терраса Создателя",
	["Shartuul's Transporter"] = "Транспортер Шартуула",
	["Shatter Point"] = "Парящая застава",
	["Shatter Scar Vale"] = "Долина Рваных Ран",
	["Shattered Plains"] = "Разоренные равнины",
	["Shattered Straits"] = "Пролив Кораблекрушений",
	["Shattered Sun Staging Area"] = "Подготовительный плацдарм Расколотого Солнца",
	Shattershore = "Берег Обломков",
	["Shatterspear Pass"] = "Тропа Пронзающего Копья",
	["Shatterspear Vale"] = "Долина Пронзающего Копья",
	["Shatterspear War Camp"] = "Боевой лагерь Пронзающего Копья",
	Shatterstone = "Каменный Венец",
	Shattrath = "Шаттрат",
	["Shattrath City"] = "Шаттрат",
	["Shell Beach"] = "Ракушечный пляж",
	["Shield Hill"] = "Заградительный холм",
	["Shields of Silver"] = "Серебряные щиты",
	["Shimmer Ridge"] = "Мерцающий хребет",
	["Shimmering Bog"] = "Мерцающая топь",
	["Shimmering Expanse"] = "Мерцающий простор",
	["Shimmering Grotto"] = "Мерцающий грот",
	["Shindigger's Camp"] = "Лагерь Выпивохи",
	["Shipwreck Shore"] = "Берег Кораблекрушения",
	["Shok'Thokar"] = "Шок'Токар",
	["Sholazar Basin"] = "Низина Шолазар",
	["Shrine of Aessina"] = "Святилище Эссины",
	["Shrine of Aviana"] = "Святилище Авианы",
	["Shrine of Dath'Remar"] = "Святилище Дат'Ремара",
	["Shrine of Eck"] = "Святилище Эка",
	["Shrine of Goldrinn"] = "Святилище Голдринна",
	["Shrine of Lost Souls"] = "Святилище Потерянных Душ",
	["Shrine of Remulos"] = "Святилище Ремула",
	["Shrine of Scales"] = "Святилище Чешуи",
	["Shrine of Thaurissan"] = "Святилище Тауриссана",
	["Shrine of Unending Light"] = "Святилище Вечного Света",
	["Shrine of the Deceiver"] = "Святилище Искусителя",
	["Shrine of the Dormant Flame"] = "Святилище Дремлющего Пламени",
	["Shrine of the Eclipse"] = "Святилище Затмения",
	["Shrine of the Elements"] = "Святилище стихий",
	["Shrine of the Fallen Warrior"] = "Святилище Павшего Воина",
	["Shrine of the Five Khans"] = "Святилище Пяти Ханов",
	["Shriveled Oasis"] = "Высохший оазис",
	["Shuddering Spires"] = "Дрожащие Вершины",
	["Siege Vise"] = "Тиски Осады",
	["Siege Workshop"] = "Мастерская осадных машин",
	["Sifreldar Village"] = "Деревня Сифрельдар",
	["Silent Vigil"] = "Молчаливое Бдение",
	Silithus = "Силитус",
	["Silmyr Lake"] = "Озеро Силмир",
	["Silting Shore"] = "Илистый Берег",
	["Silver Covenant Pavilion"] = "Павильон Серебряного союза",
	["Silver Stream Mine"] = "Серебряные копи",
	["Silver Tide Hollow"] = "Пещера Серебряной Волны",
	["Silver Tide Trench"] = "Котловина Серебряной Волны",
	Silverbrook = "Среброречье",
	["Silverbrook Hills"] = "Холмы Среброречья",
	["Silverlight Cavern"] = "Пещера Серебряного Света",
	["Silverline Lake"] = "Серебристое озеро",
	["Silvermoon City"] = "Луносвет",
	["Silvermoon City Inn"] = "Таверна Луносвета",
	["Silvermoon Finery"] = "Луносветский убор",
	["Silvermoon Jewelery"] = "Ювелиры Луносвета",
	["Silvermoon Registry"] = "Канцелярия Луносвета",
	["Silvermoon's Pride"] = "Гордость Луносвета",
	["Silvermyst Isle"] = "Остров Серебристой Дымки",
	["Silverpine Forest"] = "Серебряный бор",
	["Silverwind Refuge"] = "Приют Серебряного Ветра",
	["Silverwing Flag Room"] = "Флаговая комната Среброкрылых",
	["Silverwing Grove"] = "Роща Среброкрылых",
	["Silverwing Hold"] = "Крепость Среброкрылых",
	["Silverwing Outpost"] = "Аванпост Среброкрылых",
	["Simply Enchanting"] = "Наложение чар",
	["Sindragosa's Fall"] = "Каньон Гибели Синдрагосы",
	["Sindweller's Rise"] = "Холм Греховодника",
	["Singing Ridge"] = "Звенящий гребень",
	["Sinner's Folly"] = "Глупость Грешника",
	["Sira'kess Front"] = "Берег Сира'кесс",
	["Sishir Canyon"] = "Сиширский каньон",
	["Sisters Sorcerous"] = "Ведовские сестрички",
	Skald = "Гарь",
	["Sketh'lon Base Camp"] = "Лагерь Скет'лона",
	["Sketh'lon Wreckage"] = "Развалины Скет'лона",
	["Skethyl Mountains"] = "Горы Скетил",
	Skettis = "Скеттис",
	["Skitterweb Tunnels"] = "Паучий лабиринт",
	Skorn = "Скорн",
	["Skulk Rock"] = "Осклизлая скала",
	["Skulking Row"] = "Обводной путь",
	["Skull Rock"] = "Скала Черепа",
	["Sky Falls"] = "Небесный водопад",
	["Skyguard Outpost"] = "Застава Стражи Небес",
	["Skyline Ridge"] = "Гряда на горизонте",
	["Skysong Lake"] = "Озеро Небесной Песни",
	["Slabchisel's Survey"] = "Привал Крепкой Стамески",
	["Slag Watch"] = "Вышка на золе",
	Slagworks = "Шлакозавод",
	["Slaughter Hollow"] = "Кровавая низина",
	["Slaughter Square"] = "Площадь Живодерни",
	["Sleeping Gorge"] = "Спящая теснина",
	["Slither Rock"] = "Скользкая скала",
	["Slitherblade Shore"] = "Берег Скользящего Плавника",
	["Slithering Cove"] = "Скользкая бухта",
	["Sludgeguard Tower"] = "Башня Топей",
	["Smuggler's Scar"] = "Пещера контрабандистов",
	["Snowblind Hills"] = "Холмы Снежной Слепоты",
	["Snowblind Terrace"] = "Терраса Снежной Слепоты",
	["Snowden Chalet"] = "Снегонор",
	["Snowdrift Plains"] = "Снежные равнины",
	["Snowfall Glade"] = "Поляна Снегопада",
	["Snowfall Graveyard"] = "Кладбище Снегопада",
	["Socrethar's Seat"] = "Трон Сокретара",
	["Sofera's Naze"] = "Возвышенность Соферы",
	["Solace Glade"] = "Поляна Утешения",
	["Solliden Farmstead"] = "Усадьба Соллиден",
	["Solstice Village"] = "Деревня Солнцестояния",
	["Sorlof's Strand"] = "Берег Сорлофа",
	["Sorrow Hill"] = "Холм Печали",
	["Sorrow Hill Crypt"] = "Крипта холма Печали",
	["Sorrow Wing Point"] = "Вершина Крыльев Скорби",
	Sorrowmurk = "Горемрак",
	["Soulgrinder's Barrow"] = "Холм Разрушителя Душ",
	["South Common Hall"] = "Южный зал",
	["South Gate Outpost"] = "Застава у Южных врат",
	["South Gate Pass"] = "Южные врата",
	["South Point Station"] = "Южная станция",
	["South Seas"] = "Южные моря",
	["South Spire"] = "Южный шпиль",
	["South Tide's Run"] = "Берег Южного прилива",
	["Southbreak Shore"] = "Берег за Южной грядой",
	["Southern Barrens"] = "Южные Степи",
	["Southern Gold Road"] = "Южный Золотой Путь",
	["Southern Rampart"] = "Южный бастион",
	["Southern Rocketway"] = "Южная ракетная дорога",
	["Southern Rocketway Terminus"] = "Южная конечная станция ракетной дороги",
	["Southern Savage Coast"] = "Южный Гибельный берег",
	["Southfury River"] = "Река Строптивая",
	["Southfury Watershed"] = "Разлив Строптивой",
	["Southmaul Tower"] = "Башня Южного Молота",
	["Southmoon Ruins"] = "Руины Южной Луны",
	["Southpoint Gate"] = "Южные врата",
	["Southpoint Tower"] = "Южная башня",
	["Southridge Beach"] = "Южный пляж",
	["Southsea Holdfast"] = "Укрепление Южных морей",
	Southshore = "Южнобережье",
	["Southshore Town Hall"] = "Ратуша Южнобережья",
	["Southwind Cleft"] = "Расщелина Южного Ветра",
	["Southwind Village"] = "Деревня Южного Ветра",
	["Sparksocket Minefield"] = "Минное поле Свечекрута",
	["Sparktouched Haven"] = "Заиндевелая гавань",
	["Sparring Hall"] = "Зал Поединков",
	["Spearborn Encampment"] = "Лагерь Копьеносца",
	Spearhead = "Острие копья",
	["Speedbarge Bar"] = "Бар гоночной баржи",
	["Spinebreaker Mountains"] = "Горы Хребтолома",
	["Spinebreaker Pass"] = "Перевал Хребтолома",
	["Spinebreaker Post"] = "Застава Хребтолома",
	["Spinebreaker Ridge"] = "Гребень Хребтолома",
	["Spiral of Thorns"] = "Тернистый серпантин",
	["Spire Throne"] = "Верховный трон",
	["Spire of Blood"] = "Шпиль Крови",
	["Spire of Decay"] = "Шпиль Порчи",
	["Spire of Pain"] = "Шпиль Боли",
	["Spirit Den"] = "Пещера Духов",
	["Spirit Fields"] = "Поля Духов",
	["Spirit Rise"] = "Вершина Духов",
	["Spirit Rock"] = "Священный Камень",
	["Spitescale Cavern"] = "Пещера Злобной Чешуи",
	["Spitescale Cove"] = "Грот Злобной Чешуи",
	["Splinterspear Junction"] = "Развилка Расщепленного Копья",
	Splintertree = "Расщепленное Дерево",
	["Splintertree Mine"] = "Шахта Расщепленного Дерева",
	["Splintertree Post"] = "Застава Расщепленного Дерева",
	["Splithoof Crag"] = "Скала Треснувшего Копыта",
	["Splithoof Heights"] = "Утес Треснувшего Копыта",
	["Splithoof Hold"] = "Оплот Треснувшего Копыта",
	Sporeggar = "Спореггар",
	["Sporewind Lake"] = "Озеро Спороветра",
	["Spruce Point Post"] = "Застава еловой макушки",
	Stables = "Стойла",
	Stagalbog = "Вязкая топь",
	["Stagalbog Cave"] = "Пещера у Вязкой топи",
	["Stagecoach Crash Site"] = "Место крушения Дилижанса",
	["Staghelm Point"] = "Лагерь Оленьего Шлема",
	["Starbreeze Village"] = "Деревня Звездного Ветра",
	["Stardust Spire"] = "Башня Звездной Пыли",
	["Starfall Village"] = "Деревня Звездопада",
	["Stars' Rest"] = "Покой Звезд",
	["Stasis Block: Maximus"] = "Изоляционная камера: Максимус",
	["Stasis Block: Trion"] = "Изоляционная камера: Трион",
	["Steam Springs"] = "Кипящие Источники",
	["Steamwheedle Port"] = "Порт Хитрой Шестеренки",
	["Steel Gate"] = "Стальные ворота",
	["Steelgrill's Depot"] = "Поселок Сталежара",
	["Steeljaw's Caravan"] = "Караван Стальной Челюсти",
	["Steelspark Station"] = "Станция Стализвон",
	["Stendel's Pond"] = "Пруд Стенделя",
	["Stillpine Hold"] = "Логово племени Тихвой",
	["Stillwater Pond"] = "Тихий Омут",
	["Stillwhisper Pond"] = "Пруд Тихого Шелеста",
	Stonard = "Каменор",
	["Stone Cairn Lake"] = "Озеро Каменных Столбов",
	["Stone Sentinel's Overlook"] = "Дозор каменных часовых",
	["Stonebreaker Camp"] = "Лагерь Камнеломов",
	["Stonebreaker Hold"] = "Форт Камнеломов",
	["Stonebull Lake"] = "Озеро Каменного Быка",
	Stonehearth = "Каменный очаг",
	["Stonehearth Bunker"] = "Укрытие Каменного Очага",
	["Stonehearth Graveyard"] = "Кладбище Каменного Очага",
	["Stonehearth Outpost"] = "Форт Каменного Очага",
	["Stonemaul Hold"] = "Крепость Каменного Молота",
	["Stonemaul Ruins"] = "Руины Деревни Каменного Молота",
	["Stonesplinter Valley"] = "Долина Камнедробов",
	["Stonetalon Bomb"] = "Бомба Каменного Когтя",
	["Stonetalon Mountains"] = "Когтистые горы",
	["Stonetalon Pass"] = "Тропа Каменного Когтя",
	["Stonetalon Peak"] = "Пик Каменного Когтя",
	["Stonewall Canyon"] = "Каньон Каменной Стены",
	["Stonewall Lift"] = "Подъемник Каменной стены",
	["Stoneward Prison"] = "Каменная тюрьма",
	Stonewatch = "Крепость Каменной Стражи",
	["Stonewatch Falls"] = "Водопад Каменной Стражи",
	["Stonewatch Keep"] = "Крепость Каменной Стражи",
	["Stonewatch Tower"] = "Башня Каменной Стражи",
	["Stonewrought Dam"] = "Каменная Плотина",
	["Stonewrought Pass"] = "Подгорная тропа",
	["Storm Cliffs"] = "Штормовые утесы",
	["Storm Peaks"] = "Грозовую Гряду",
	["Storm's Fury Wreckage"] = "Место крушения Неистовства Бури",
	Stormcrest = "Грозовесье",
	["Stormfeather Outpost"] = "Лагерь Грозового Крыла",
	["Stormglen Village"] = "Грозовой Перевал",
	["Stormpike Graveyard"] = "Кладбище Грозовой Вершины",
	["Stormrage Barrow Dens"] = "Кельи Малфуриона",
	Stormwind = "Штормград",
	["Stormwind City"] = "Штормград",
	["Stormwind City Cemetery"] = "Городское кладбище Штормграда",
	["Stormwind City Outskirts"] = "Окраины Штормграда",
	["Stormwind Harbor"] = "Порт Штормграда",
	["Stormwind Keep"] = "Крепость Штормграда",
	["Stormwind Lake"] = "Озеро Штормграда",
	["Stormwind Mountains"] = "Горы Штормграда",
	["Stormwind Stockade"] = "Тюрьма Штормграда",
	["Stormwind Vault"] = "Подземелья Штормграда",
	["Stoutlager Inn"] = "Таверна Крепкое пойло",
	Strahnbrad = "Странбрад",
	["Strand of the Ancients"] = "Берег Древних",
	["Stranglethorn Vale"] = "Тернистая долина",
	Stratholme = "Стратхольм",
	["Stratholme Entrance"] = "Стратхольм",
	["Stratholme Service Entrance"] = "Стратхольм - черный ход",
	["Stromgarde Keep"] = "Крепость Стромгард",
	["Stygian Bounty"] = "Стигийская Награда",
	["Sub zone"] = "Sub zone",
	["Sulfuron Keep"] = "Крепость Сульфурона",
	["Sulfuron Keep Courtyard"] = "Двор крепости Сульфурона",
	["Sulfuron Span"] = "Мост Сульфурона",
	["Sulfuron Spire"] = "Шпиль Сульфурона",
	["Sullah's Sideshow"] = "Цирк Суллы",
	["Summoners' Tomb"] = "Гробница Заклинателей",
	["Sun Rock Retreat"] = "Приют у Солнечного Камня",
	["Sun's Reach Armory"] = "Оружейная Солнечного Края",
	["Sun's Reach Harbor"] = "Гавань Солнечного Края",
	["Sun's Reach Sanctum"] = "Святилище Солнечного Края",
	["Suncrown Village"] = "Деревня Солнечной Короны",
	["Sundown Marsh"] = "Закатное болото",
	["Sunfire Point"] = "Пик Солнечного Пламени",
	["Sunfury Hold"] = "Форт Ярости Солнца",
	["Sunfury Spire"] = "Дворец Ярости Солнца",
	["Sungraze Peak"] = "Пик Солнечного Пастбища",
	["Sunken Dig Site"] = "Затопленные раскопки",
	["Sunken Temple"] = "Затонувший храм",
	["Sunken Temple Entrance"] = "Затонувший храм",
	["Sunreaver Pavilion"] = "Павильон Похитителей Солнца",
	["Sunreaver's Command"] = "Лагерь Похитителя Солнца",
	["Sunreaver's Sanctuary"] = "Прибежище Похитителя Солнца",
	["Sunsail Anchorage"] = "Причал Солнечного Паруса",
	["Sunspring Post"] = "Застава Солнечного Источника",
	["Sunstone Terrace"] = "Терраса Солнечного Камня",
	["Sunstrider Isle"] = "Остров Солнечного Скитальца",
	["Sunveil Excursion"] = "Экспедиция Солнечного Паруса",
	["Sunwatcher's Ridge"] = "Хребет Стражей Солнца",
	["Sunwell Plateau"] = "Плато Солнечного Колодца",
	["Supply Caravan"] = "Караван",
	["Surge Needle"] = "Волноловы",
	["Surveyors' Outpost"] = "Лагерь геодезистов",
	Surwich = "Сурвич",
	["Svarnos' Cell"] = "Келья Сварноса",
	["Swamp of Sorrows"] = "Болото Печали",
	["Swamplight Manor"] = "Сторожка Болотный огонек",
	["Swamprat Post"] = "Застава Болотной Крысы",
	["Swiftgear Station"] = "Станция Бынструмента",
	["Swindle Street"] = "Переулок дельцов",
	["Swindlegrin's Dig"] = "Раскоп Хитрохмыла",
	["Sword's Rest"] = "Покои Клинка",
	Sylvanaar = "Сильванаар",
	["Tabetha's Farm"] = "Ферма Табеты",
	["Taelan's Tower"] = "Башня Телана",
	["Tahonda Ruins"] = "Руины Тахонды",
	["Tahret Grounds"] = "Угодья Тарет",
	["Tal'doren"] = "Тал'дорен",
	["Talismanic Textiles"] = "Охранные ткани",
	["Talon Stand"] = "Холм Когтя",
	["Talonbranch Glade"] = "Поляна Когтистых Ветвей",
	["Talondeep Pass"] = "Тропа Когтя",
	["Talondeep Vale"] = "Дол Когтя",
	Talramas = "Талрамас",
	["Talrendis Point"] = "Застава Талрендис",
	Tanaris = "Танарис",
	["Tanaris Desert"] = "Пустыня Танарис",
	["Tanks for Everything"] = "Танки – наше все",
	["Tanner Camp"] = "Палатка Дубильщицы",
	["Tarren Mill"] = "Мельница Таррен",
	["Taunka'le Village"] = "Деревня Таунка'ле",
	["Tazz'Alaor"] = "Тазз'Алаор",
	["Teegan's Expedition"] = "Экспедиция Тигана",
	["Tel'athion's Camp"] = "Лагерь Тел'атиона",
	Telaar = "Телаар",
	["Telaari Basin"] = "Котловина Телаари",
	Teldrassil = "Тельдрассил",
	Telredor = "Телредор",
	["Tempest Bridge"] = "Навигационный зал",
	["Tempest Keep"] = "Крепость Бурь",
	["Tempest Keep - The Arcatraz Entrance"] = "Крепость Бурь: Аркатрац",
	["Tempest Keep - The Botanica Entrance"] = "Крепость Бурь: Ботаника",
	["Tempest Keep - The Mechanar Entrance"] = "Крепость Бурь: Механар",
	["Tempest Keep: The Arcatraz"] = "Крепость Бурь: Аркатрац",
	["Tempest Keep: The Botanica"] = "Крепость Бурь: Ботаника",
	["Tempest Keep: The Mechanar"] = "Крепость Бурь: Механар",
	["Tempest's Reach"] = "Предел бури",
	["Temple City of En'kilah"] = "Храмовый город Эн'кила",
	["Temple Hall"] = "Храмовый зал",
	["Temple Summit"] = "Храмовая вершина",
	["Temple of Ahn'Qiraj"] = "Храм Ан'Кираж",
	["Temple of Arkkoran"] = "Храм Арккоран",
	["Temple of Asaad"] = "Храм Асаада",
	["Temple of Bethekk"] = "Храм Бетекк",
	["Temple of Earth"] = "Храм Земли",
	["Temple of Invention"] = "Храм Изобретений",
	["Temple of Life"] = "Храм Жизни",
	["Temple of Order"] = "Храм Порядка",
	["Temple of Storms"] = "Храм Штормов",
	["Temple of Telhamat"] = "Храм Телхамата",
	["Temple of Uldum"] = "Храм Ульдума",
	["Temple of Winter"] = "Храм Зимы",
	["Temple of Wisdom"] = "Храм Мудрости",
	["Temple of Zin-Malor"] = "Храм Зин-Малор",
	["Temple of the Forgotten"] = "Храм Забытых",
	["Temple of the Moon"] = "Храм Луны",
	["Tenebrous Cavern"] = "Зловещий грот",
	["Terokk's Rest"] = "Покой Терокка",
	["Terokkar Forest"] = "Лес Тероккар",
	["Terrace of Light"] = "Терраса Света",
	["Terrace of Repose"] = "Терраса Покоя",
	["Terrace of the Augurs"] = "Терраса Авгуров",
	["Terrace of the Makers"] = "Терраса Творцов",
	["Terrace of the Sun"] = "Терраса Солнца",
	["Terror Run"] = "Путь Ужаса",
	["Terror Wing Path"] = "Тропа Крылатого Ужаса",
	Terrordale = "Долина Ужаса",
	["Terrorweb Tunnel"] = "Туннель Ужаса",
	["Tethris Aran"] = "Тефрис-Аран",
	["Thal'darah Grove"] = "Роща Тал'дара",
	["Thal'darah Overlook"] = "Дозорный холм Тал'дара",
	Thalanaar = "Таланаар",
	["Thalassian Pass"] = "Талассийский перевал",
	["Thalassian Range"] = "Талассийская гряда",
	["Thandol Span"] = "Мост Тандола",
	["Thargad's Camp"] = "Лагерь Таргада",
	["The Abandoned Reach"] = "Покинутый предел",
	["The Abyssal Maw"] = "Бездонная пучина",
	["The Abyssal Shelf"] = "Косогор Бездны",
	["The Admiral's Den"] = "Укрытие адмирала",
	["The Agronomical Apothecary"] = "Аптека агронома",
	["The Alliance Valiants' Ring"] = "Арена искателей славы из Альянса",
	["The Altar of Damnation"] = "Алтарь Проклятия",
	["The Altar of Shadows"] = "Алтарь Теней",
	["The Altar of Zul"] = "Алтарь Зула",
	["The Ancient Grove"] = "Древняя роща",
	["The Ancient Lift"] = "Древний подъемник",
	["The Antechamber"] = "Вестибюль",
	["The Anvil of Conflagration"] = "Огненная Наковальня",
	["The Anvil of Flame"] = "Кузня Пламени",
	["The Apothecarium"] = "Район Фармацевтов",
	["The Arachnid Quarter"] = "Паучий квартал",
	["The Arcanium"] = "Арканиум",
	["The Arcatraz"] = "Аркатрац",
	["The Archivum"] = "Архив",
	["The Argent Stand"] = "Серебряная застава",
	["The Argent Valiants' Ring"] = "Арена искателей славы Серебряного Авангарда",
	["The Argent Vanguard"] = "Оплот Серебряного Авангарда",
	["The Arsenal Absolute"] = "Полный арсенал",
	["The Aspirants' Ring"] = "Арена претендентов",
	["The Assembly Chamber"] = "Чертог собраний",
	["The Assembly of Iron"] = "Железное Собрание",
	["The Athenaeum"] = "Читальня",
	["The Avalanche"] = "Застывшая лавина",
	["The Azure Front"] = "Лазурная передовая",
	["The Bank of Dalaran"] = "Банк Даларана",
	["The Bank of Silvermoon"] = "Банк Луносвета",
	["The Banquet Hall"] = "Пиршественный зал",
	["The Barrier Hills"] = "Пограничные холмы",
	["The Bastion of Twilight"] = "Сумеречный бастион",
	["The Battle for Gilneas"] = "Битва за Гилнеас",
	["The Battle for Gilneas (Old City Map)"] = "Битва за Гилнеас",
	["The Battle for Mount Hyjal"] = "Битва за гору Хиджал",
	["The Battleboar Pen"] = "Загон боевых вепрей",
	["The Battlefront"] = "Передовая",
	["The Bazaar"] = "Базар",
	["The Beer Garden"] = "Сад спелого хмеля",
	["The Bite"] = "Укус",
	["The Black Breach"] = "Черный разлом",
	["The Black Market"] = "Черный рынок",
	["The Black Morass"] = "Черные топи",
	["The Black Temple"] = "Черный храм",
	["The Black Vault"] = "Черное Хранилище",
	["The Blackwald"] = "Черная дубрава",
	["The Blazing Strand"] = "Искристый берег",
	["The Blight Line"] = "Увядшая поляна",
	["The Blighted Pool"] = "Гнилостный пруд",
	["The Blood Furnace"] = "Кузня Крови",
	["The Blood Trail"] = "Кровавая тропа",
	["The Bloodcursed Reef"] = "Заговоренный риф",
	["The Bloodmire"] = "Кровавая топь",
	["The Bloodoath"] = "Кровавая Клятва",
	["The Bloodwash"] = "Кровавый Прибой",
	["The Bombardment"] = "Зона бомбардировки",
	["The Bone Pile"] = "Груда костей",
	["The Bone Wastes"] = "Костяные пустоши",
	["The Bonefields"] = "Поля Костей",
	["The Bones of Nozronn"] = "Скелет Нозронна",
	["The Boneyard"] = "Двор",
	["The Borean Wall"] = "Борейская стена",
	["The Botanica"] = "Ботаника",
	["The Bradshaw Mill"] = "Мельница Брэдшоу",
	["The Breach"] = "Пролом",
	["The Briny Cutter"] = "Морской Кортик",
	["The Briny Pinnacle"] = "Соленая вершина",
	["The Broken Bluffs"] = "Изрезанные утесы",
	["The Broken Front"] = "Прорванный фронт",
	["The Broken Hall"] = "Разрушенный зал",
	["The Broken Hills"] = "Изрезанные холмы",
	["The Broken Stair"] = "Разрушенная лестница",
	["The Broken Temple"] = "Павший храм",
	["The Brood Pit"] = "Родовая яма",
	["The Broodmother's Nest"] = "Гнездо праматери",
	["The Bulwark"] = "Бастион",
	["The Burning Corridor"] = "Горящий коридор",
	["The Butchery"] = "Бойня",
	["The Cache of Madness"] = "Тайник Безумия",
	["The Caller's Chamber"] = "Зал Призыва",
	["The Canals"] = "Каналы",
	["The Cape of Stranglethorn"] = "Мыс Тернистой долины",
	["The Carrion Fields"] = "Поля Падальщиков",
	["The Catacombs"] = "Катакомбы",
	["The Cauldron"] = "Котлован",
	["The Cauldron of Flames"] = "Огненная котловина",
	["The Cave"] = "Пещера",
	["The Celestial Planetarium"] = "Священный планетарий",
	["The Celestial Watch"] = "Обсерватория",
	["The Cemetary"] = "Кладбище",
	["The Cerebrillum"] = "Церебриллий",
	["The Charred Vale"] = "Обугленная долина",
	["The Chilled Quagmire"] = "Холодная трясина",
	["The Circle of Cinders"] = "Круг Огней",
	["The Circle of Life"] = "Круг Жизни",
	["The Circle of Suffering"] = "Круг Страдания",
	["The Clash of Thunder"] = "Раскаты Грома",
	["The Clean Zone"] = "Безопасная зона",
	["The Cleft"] = "Расселина",
	["The Clockwerk Run"] = "Часовой ход",
	["The Clutch"] = "Жемчужная ферма",
	["The Coil"] = "Змеиное Кольцо",
	["The Colossal Forge"] = "Гигантская кузня",
	["The Comb"] = "Соты",
	["The Commons"] = "Общий зал",
	["The Conflagration"] = "Пожарище",
	["The Conquest Pit"] = "Бойцовская яма",
	["The Conservatory"] = "Зимний сад",
	["The Conservatory of Life"] = "Оранжерея Жизни",
	["The Construct Quarter"] = "Квартал Мерзости",
	["The Cooper Residence"] = "Имение Купера",
	["The Corridors of Ingenuity"] = "Коридоры Изобретательности",
	["The Court of Bones"] = "Двор Костей",
	["The Court of Skulls"] = "Двор Черепов",
	["The Coven"] = "Ведьмин зал",
	["The Creeping Ruin"] = "Ползучие руины",
	["The Crimson Cathedral"] = "Багровый собор",
	["The Crimson Dawn"] = "Багровый Рассвет",
	["The Crimson Hall"] = "Багровый зал",
	["The Crimson Reach"] = "Кровавый берег",
	["The Crimson Throne"] = "Кровавый трон",
	["The Crimson Veil"] = "Кровавая Завеса",
	["The Crossroads"] = "Перекресток",
	["The Crucible"] = "Зал Испытаний",
	["The Crucible of Flame"] = "Раскаленный тигель",
	["The Crumbling Waste"] = "Гиблый пустырь",
	["The Cryo-Core"] = "Криогенный блок",
	["The Crystal Hall"] = "Кристальный зал",
	["The Crystal Shore"] = "Хрустальное взморье",
	["The Crystal Vale"] = "Долина Кристаллов",
	["The Crystal Vice"] = "Ущелье порочных кристаллов",
	["The Culling of Stratholme"] = "Очищение Стратхольма",
	["The Culling of Stratholme Entrance"] = "Очищение Стратхольма",
	["The Cursed Landing"] = "Проклятый лагерь",
	["The Dagger Hills"] = "Холмы Кинжалов",
	["The Damsel's Luck"] = "Госпожа Удача",
	["The Dark Approach"] = "Темный Подступ",
	["The Dark Defiance"] = "Мрачная непокорность",
	["The Dark Portal"] = "Темный портал",
	["The Darkened Bank"] = "Темный берег",
	["The Darkwood"] = "Мрачный лес",
	["The Dawnchaser"] = "Рассветный Охотник",
	["The Dawning Isles"] = "Рассветные острова",
	["The Dawning Square"] = "Рассветная площадь",
	["The Dead Acre"] = "Мертвая пашня",
	["The Dead Field"] = "Мертвое поле",
	["The Dead Fields"] = "Мертвые поля",
	["The Dead Mire"] = "Мертвая трясина",
	["The Dead Scar"] = "Тропа Мертвых",
	["The Deadmines"] = "Мертвые копи",
	["The Deathforge"] = "Кузница Смерти",
	["The Deathknell Graves"] = "Кладбище Похоронного Звона",
	["The Decrepit Fields"] = "Старая пашня",
	["The Decrepit Flow"] = "Замерший поток",
	["The Deep Reaches"] = "Глубокие плёсы",
	["The Defiled Chapel"] = "Оскверненная часовня",
	["The Den"] = "Логово",
	["The Den of Flame"] = "Огненное логово",
	["The Dens of Dying"] = "Кельи Смерти",
	["The Dens of the Dying"] = "Кельи Смерти",
	["The Descent into Madness"] = "Провал Безумия",
	["The Desecrated Altar"] = "Оскверненный алтарь",
	["The Devil's Terrace"] = "Терраса Дьявола",
	["The Devouring Breach"] = "Пожирающий разлом",
	["The Domicile"] = "Жилой квартал",
	["The Dor'Danil Barrow Den"] = "Обитель Дор'Данил",
	["The Dormitory"] = "Спальни",
	["The Drag"] = "Волок",
	["The Dragon Wastes"] = "Драконьи пустоши",
	["The Dragonmurk"] = "Земля Драконов",
	["The Drain"] = "Проток",
	["The Dranosh'ar Blockade"] = "Застава Дранош'ар",
	["The Drowned Reef"] = "Подводный риф",
	["The Drowned Sacellum"] = "Затопленная часовня",
	["The Dry Hills"] = "Сухие холмы",
	["The Dust Plains"] = "Пыльные равнины",
	["The Dustbowl"] = "Знойные Пески",
	["The Eastern Earthshrine"] = "Восточное святилище Земли",
	["The Emerald Summit"] = "Изумрудная вершина",
	["The Escape From Durnholde"] = "Побег из Дарнхольда",
	["The Escape from Durnholde Entrance"] = "Побег из Дарнхольда",
	["The Eventide"] = "Вечерняя Заря",
	["The Exodar"] = "Экзодар",
	["The Eye"] = "Око",
	["The Eye of Eternity"] = "Око Вечности",
	["The Eye of the Vortex"] = "Око Урагана",
	["The Farstrider Lodge"] = "Приют Странников",
	["The Fel Pits"] = "Ямы Скверны",
	["The Fetid Pool"] = "Зловонный пруд",
	["The Filthy Animal"] = "Грязное животное",
	["The Firehawk"] = "Огненный Ястреб",
	["The Flamewake"] = "Негаснущий пожар",
	["The Fleshwerks"] = "Мясопилка",
	["The Flood Plains"] = "Затопленные равнины",
	["The Fold"] = "Изгиб",
	["The Foot Steppes"] = "Подножие",
	["The Foothill Caverns"] = "Пещеры предгорий",
	["The Forbidding Sea"] = "Зловещее море",
	["The Forest of Shadows"] = "Лес Теней",
	["The Forge of Souls"] = "Кузня Душ",
	["The Forge of Souls Entrance"] = "Кузня Душ",
	["The Forge of Supplication"] = "Кузня Мольбы",
	["The Forge of Wills"] = "Кузня Воли",
	["The Forgotten Coast"] = "Забытый берег",
	["The Forgotten Overlook"] = "Забытая высота",
	["The Forgotten Pool"] = "Забытый пруд",
	["The Forgotten Pools"] = "Забытые пруды",
	["The Forgotten Shore"] = "Забытое взморье",
	["The Forlorn Cavern"] = "Заброшенный грот",
	["The Forlorn Mine"] = "Заброшенный рудник",
	["The Forsaken Front"] = "Передовая Отрекшихся",
	["The Foul Pool"] = "Смрадный пруд",
	["The Frigid Tomb"] = "Стылый склеп",
	["The Frost Queen's Lair"] = "Логово Королевы Льда",
	["The Frostwing Halls"] = "Залы Ледокрылых",
	["The Frozen Glade"] = "Заиндевевшая поляна",
	["The Frozen Halls"] = "Ледяные залы",
	["The Frozen Mine"] = "Застывшая шахта",
	["The Frozen Sea"] = "Ледяное море",
	["The Frozen Throne"] = "Ледяной Трон",
	["The Fungal Vale"] = "Грибная долина",
	["The Furnace"] = "Горнило",
	["The Gaping Chasm"] = "Зияющая бездна",
	["The Gate of Unending Cycles"] = "Врата Бесконечного Цикла",
	["The Gatehouse"] = "Вестибюль",
	["The Gauntlet"] = "Улица Испытаний",
	["The Geyser Fields"] = "Поле Гейзеров",
	["The Gilded Gate"] = "Золоченые врата",
	["The Glimmering Pillar"] = "Мерцающая колонна",
	["The Golden Plains"] = "Золотые равнины",
	["The Grand Ballroom"] = "Большой бальный зал",
	["The Grand Vestibule"] = "Большой зал",
	["The Great Arena"] = "Большая арена",
	["The Great Divide"] = "Великий Раздел",
	["The Great Fissure"] = "Глубокий Разлом",
	["The Great Forge"] = "Великая Кузня",
	["The Great Gate"] = "Великие врата",
	["The Great Lift"] = "Великий Подъемник",
	["The Great Ossuary"] = "Главный склеп",
	["The Great Sea"] = "Великое море",
	["The Great Tree"] = "Великое Древо",
	["The Green Belt"] = "Зеленый Пояс",
	["The Greymane Wall"] = "Стена Седогрива",
	["The Grim Guzzler"] = "Трактир Угрюмый обжора",
	["The Grinding Quarry"] = "Шлифовальня",
	["The Grizzled Den"] = "Серая берлога",
	["The Guardhouse"] = "Караульня",
	["The Guest Chambers"] = "Гостевые комнаты",
	["The Gullet"] = "Глотка",
	["The Half Shell"] = "Половина Оболочки",
	["The Hall of Blood"] = "Зал Крови",
	["The Hall of Gears"] = "Машинный зал",
	["The Hall of Lights"] = "Зал Света",
	["The Hall of Respite"] = "Зал Отдыха",
	["The Halls of Reanimation"] = "Залы воскрешения",
	["The Halls of Winter"] = "Залы Зимы",
	["The Hand of Gul'dan"] = "Рука Гул'дана",
	["The Harborage"] = "Убежище",
	["The Hatchery"] = "Инкубатор",
	["The Headland"] = "Высокий отрог",
	["The Headlands"] = "Каменистый мыс",
	["The Heap"] = "Груда",
	["The Heart of Acherus"] = "Сердце Акеруса",
	["The Hidden Clutch"] = "Потайная кладка",
	["The Hidden Grove"] = "Сокрытая роща",
	["The Hidden Hollow"] = "Скрытая низина",
	["The Hidden Passage"] = "Потайной ход",
	["The Hidden Reach"] = "Потайной проход",
	["The Hidden Reef"] = "Подводный риф",
	["The High Path"] = "Верхний путь",
	["The High Road"] = "Верхний путь",
	["The High Seat"] = "Высокий трон",
	["The Hinterlands"] = "Внутренние земли",
	["The Hoard"] = "Арсенал",
	["The Hole"] = "Яма",
	["The Horde Valiants' Ring"] = "Арена искателей славы из Орды",
	["The Horsemen's Assembly"] = "Ассамблея наездников",
	["The Howling Hollow"] = "Стенающая ложбина",
	["The Howling Oak"] = "Воющий дуб",
	["The Howling Vale"] = "Воющая долина",
	["The Hunter's Reach"] = "Охотничий прицел",
	["The Hushed Bank"] = "Затихший берег",
	["The Icy Depths"] = "Ледяные глубины",
	["The Immortal Coil"] = "Серпантин Бессмертного",
	["The Imperial Seat"] = "Императорский Трон",
	["The Infectis Scar"] = "Чумной овраг",
	["The Inferno"] = "Пекло",
	["The Inner Spire"] = "Башня Сульфурона",
	["The Intrepid"] = "Отважный",
	["The Inventor's Library"] = "Библиотека Изобретателя",
	["The Iron Crucible"] = "Железный тигель",
	["The Iron Hall"] = "Железный зал",
	["The Iron Reaper"] = "Железный Жнец",
	["The Isle of Spears"] = "Остров Копий",
	["The Ivar Patch"] = "Делянка Ивара",
	["The Jansen Stead"] = "Владение Янсена",
	["The Krazzworks"] = "Психходельня",
	["The LMS Mark II"] = "ЛМС, модель II",
	["The Laboratory"] = "Лаборатория",
	["The Lagoon"] = "Лагуна",
	["The Laughing Stand"] = "Веселая стоянка",
	["The Legerdemain Lounge"] = "Приют фокусника",
	["The Legion Front"] = "Передовая Легиона",
	["The Librarium"] = "Библиотека",
	["The Library"] = "Библиотека",
	["The Lifebinder's Cell"] = "Темница Хранительницы Жизни",
	["The Lifeblood Pillar"] = "Колонна Жизненной Силы",
	["The Lightless Reaches"] = "Бездна Кромешной Тьмы",
	["The Living Grove"] = "Живая роща",
	["The Living Wood"] = "Живой лес",
	["The Loch"] = "Озеро Лок",
	["The Long Wash"] = "Длинный пролив",
	["The Lost Fleet"] = "Погибший Флот",
	["The Lost Fold"] = "Затерянная Падь",
	["The Lost Isles"] = "Затерянные острова",
	["The Lost Lands"] = "Затерянные земли",
	["The Lost Passage"] = "Забытый проход",
	["The Low Path"] = "Нижний путь",
	["The Lyceum"] = "Лицей",
	["The Maclure Vineyards"] = "Виноградники Маклура",
	["The Maelstrom"] = "Водоворот",
	["The Maker's Overlook"] = "Дозор Творцов",
	["The Maker's Rise"] = "Платформа Творца",
	["The Maker's Terrace"] = "Терраса Творца",
	["The Makers' Overlook"] = "Дозор Творцов",
	["The Makers' Perch"] = "Обитель Творцов",
	["The Manufactory"] = "Фабрика",
	["The Marris Stead"] = "Поместье Маррисов",
	["The Marshlands"] = "Топи",
	["The Masonary"] = "Каменоломня",
	["The Master's Cellar"] = "Хозяйский погреб",
	["The Master's Glaive"] = "Меч Властителя",
	["The Maul"] = "Ристалище",
	["The Maw of Madness"] = "Бездна Безумия",
	["The Mechanar"] = "Механар",
	["The Menagerie"] = "Галерея",
	["The Menders' Stead"] = "Участок Целителей Земли",
	["The Merchant Coast"] = "Торговое побережье",
	["The Militant Mystic"] = "Воинствующий мистик",
	["The Military Quarter"] = "Военный квартал",
	["The Military Ward"] = "Палаты Войны",
	["The Mind's Eye"] = "Око разума",
	["The Mirror of Dawn"] = "Зеркало Рассвета",
	["The Mirror of Twilight"] = "Зеркало Сумерек",
	["The Molsen Farm"] = "Ферма Мольсена",
	["The Molten Bridge"] = "Огненный мост",
	["The Molten Core"] = "Огненные Недра",
	["The Molten Fields"] = "Раскаленные поля",
	["The Molten Flow"] = "Расплавленный поток",
	["The Molten Span"] = "Огненный путь",
	["The Mor'Shan Ramparts"] = "Застава Мор'шан",
	["The Mor'shan Rampart"] = "Застава Мор'шан",
	["The Mosslight Pillar"] = "Колонна Мохосвета",
	["The Mountain Den"] = "Горная берлога",
	["The Murder Pens"] = "Камеры обреченных",
	["The Mystic Ward"] = "Палаты Магии",
	["The Necrotic Vault"] = "Мертвые Своды",
	["The Nexus"] = "Нексус",
	["The Nexus Entrance"] = "Нексус",
	["The Nightmare Scar"] = "Ров Кошмаров",
	["The North Coast"] = "Северное побережье",
	["The North Sea"] = "Северное море",
	["The Nosebleeds"] = "Верхотура",
	["The Noxious Glade"] = "Ядовитая поляна",
	["The Noxious Hollow"] = "Ядовитая низина",
	["The Noxious Lair"] = "Ядовитый улей",
	["The Noxious Pass"] = "Гибельный путь",
	["The Oblivion"] = "Забвение",
	["The Observation Ring"] = "Круг Наблюдения",
	["The Obsidian Sanctum"] = "Обсидиановое святилище",
	["The Oculus"] = "Окулус",
	["The Oculus Entrance"] = "Окулус",
	["The Old Barracks"] = "Старые казармы",
	["The Old Dormitory"] = "Старая спальня",
	["The Old Port Authority"] = "Здание портовой инспекции",
	["The Opera Hall"] = "Оперный зал",
	["The Oracle Glade"] = "Поляна Оракула",
	["The Outer Ring"] = "Внешнее кольцо",
	["The Overgrowth"] = "Буйные заросли",
	["The Overlook"] = "Обзорная площадка",
	["The Overlook Cliffs"] = "Отвесные скалы",
	["The Pale Roost"] = "Белое гнездовье",
	["The Park"] = "Парк",
	["The Path of Anguish"] = "Путь Страданий",
	["The Path of Conquest"] = "Путь Завоевания",
	["The Path of Corruption"] = "Порочный путь",
	["The Path of Glory"] = "Путь Славы",
	["The Path of Iron"] = "Путь Железа",
	["The Path of the Lifewarden"] = "Путь Хранителя Жизни",
	["The Phoenix Hall"] = "Зал Феникса",
	["The Pillar of Ash"] = "Башня Пепла",
	["The Pipe"] = "Труба",
	["The Pit of Criminals"] = "Яма для злодеев",
	["The Pit of Fiends"] = "Яма чудовищ",
	["The Pit of Narjun"] = "Провал Наржуна",
	["The Pit of Refuse"] = "Мусорная яма",
	["The Pit of Sacrifice"] = "Жертвенный колодец",
	["The Pit of Scales"] = "Ров Чешуи",
	["The Pit of the Fang"] = "Яма Клыка",
	["The Plague Quarter"] = "Чумной квартал",
	["The Plagueworks"] = "Чумодельня",
	["The Pool of Ask'ar"] = "Пруд Аск'ара",
	["The Pools of Vision"] = "Пруды Видений",
	["The Prison of Yogg-Saron"] = "Темница Йогг-Сарона",
	["The Proving Grounds"] = "Испытательный полигон",
	["The Purple Parlor"] = "Лиловая гостиная",
	["The Quagmire"] = "Трясина",
	["The Quaking Fields"] = "Грот Обвалов",
	["The Queen's Reprisal"] = "Месть Королевы",
	["The Raging Chasm"] = "Бушующая пропасть",
	["The Rangers' Lodge"] = "Приют следопытов",
	["The Red Reaches"] = "Красные берега",
	["The Refectory"] = "Трапезная",
	["The Regrowth"] = "Молодой лес",
	["The Reliquary"] = "Хранилище реликвий",
	["The Repository"] = "Хранилище",
	["The Reservoir"] = "Резервуар",
	["The Restless Front"] = "Передовая Неупокоенных",
	["The Ridge of Ancient Flame"] = "Гряда Древнего Пламени",
	["The Rift"] = "Разлом",
	["The Ring of Blood"] = "Кольцо Крови",
	["The Ring of Champions"] = "Арена чемпионов",
	["The Ring of Trials"] = "Круг Испытаний",
	["The Ring of Valor"] = "Арена Доблести",
	["The Riptide"] = "Бурун",
	["The Roiling Gardens"] = "Тревожные сады",
	["The Rolling Gardens"] = "Тревожные сады",
	["The Rolling Plains"] = "Холмистые равнины",
	["The Rookery"] = "Гнездовье",
	["The Rotting Orchard"] = "Гниющий сад",
	["The Royal Exchange"] = "Королевская Биржа",
	["The Ruby Sanctum"] = "Рубиновое святилище",
	["The Ruined Reaches"] = "Опустошенный берег",
	["The Ruins of Kel'Theril"] = "Руины Кел'Терила",
	["The Ruins of Ordil'Aran"] = "Руины Ордил'Арана",
	["The Ruins of Stardust"] = "Руины Звездной Пыли",
	["The Rumble Cage"] = "Гремящая Клеть",
	["The Rustmaul Dig Site"] = "Карьер Ржавой Кувалды",
	["The Sacred Grove"] = "Священная роща",
	["The Salty Sailor Tavern"] = "Таверна Старый моряк",
	["The Sanctum"] = "Святилище",
	["The Sanctum of Blood"] = "Святилище Крови",
	["The Savage Coast"] = "Гибельный берег",
	["The Savage Glen"] = "Дикая лощина",
	["The Savage Thicket"] = "Дикая чаща",
	["The Scalding Chasm"] = "Жгучий провал",
	["The Scalding Pools"] = "Жгучие пруды",
	["The Scarab Dais"] = "Помост Скарабея",
	["The Scarab Wall"] = "Стена Скарабея",
	["The Scarlet Basilica"] = "Алая Базилика",
	["The Scarlet Bastion"] = "Бастион Алого ордена",
	["The Scorched Grove"] = "Выжженная роща",
	["The Scorched Plain"] = "Выжженная равнина",
	["The Scrap Field"] = "Захламленное поле",
	["The Scrapyard"] = "Мусорная свалка",
	["The Screaming Hall"] = "Зал Воплей",
	["The Screaming Reaches"] = "Вопящие плёсы",
	["The Screeching Canyon"] = "Каньон Визга",
	["The Scribe of Stormwind"] = "Свитки Штормграда",
	["The Scribes' Sacellum"] = "Скрипторий",
	["The Scullery"] = "Судомойня",
	["The Sea Reaver's Run"] = "Пролив Грозы Морей",
	["The Sea of Cinders"] = "Пепельное Море",
	["The Seabreach Flow"] = "Разлом Морского Потока",
	["The Sealed Hall"] = "Запечатанный зал",
	["The Searing Gateway"] = "Пылающие врата",
	["The Secret Lab"] = "Секретная лаборатория",
	["The Seer's Library"] = "Библиотека Провидца",
	["The Sepulcher"] = "Гробница",
	["The Severed Span"] = "Раздробленный надел",
	["The Sewer"] = "Стоки",
	["The Shadow Stair"] = "Лестница Теней",
	["The Shadow Throne"] = "Темный трон",
	["The Shadow Vault"] = "Мрачный Свод",
	["The Shady Nook"] = "Тенистый закоулок",
	["The Shaper's Terrace"] = "Терраса Создателя",
	["The Shattered Halls"] = "Разрушенные залы",
	["The Shattered Strand"] = "Разоренное побережье",
	["The Shattered Walkway"] = "Обвалившаяся галерея",
	["The Shepherd's Gate"] = "Врата Пастыря",
	["The Shifting Mire"] = "Ползучая трясина",
	["The Shimmering Deep"] = "Мерцающие глубины",
	["The Shimmering Flats"] = "Мерцающая равнина",
	["The Shining Strand"] = "Сияющий берег",
	["The Shrine of Aessina"] = "Святилище Эссины",
	["The Shrine of Eldretharr"] = "Святилище Элдретарра",
	["The Silver Blade"] = "Серебряный Клинок",
	["The Silver Enclave"] = "Серебряный Анклав",
	["The Sin'loren"] = "Син'лорен",
	["The Singing Grove"] = "Звенящая роща",
	["The Skeletal Reef"] = "Риф Скелетов",
	["The Skittering Dark"] = "Оплетающая Тьма",
	["The Skull Warren"] = "Лабиринт Черепа",
	["The Skunkworks"] = "Производственный цех",
	["The Skybreaker"] = "Усмиритель небес",
	["The Skyreach Pillar"] = "Колонна Небесного Пути",
	["The Slag Pit"] = "Шлаковая Яма",
	["The Slaughter House"] = "Живодерня",
	["The Slaughtered Lamb"] = "Таверна Забитый ягненок",
	["The Slave Pens"] = "Узилище",
	["The Slave Pits"] = "Ямы рабов",
	["The Slick"] = "Нефтяной разлив",
	["The Slithering Scar"] = "Скользкий овраг",
	["The Slough of Dispair"] = "Трясина Отчаяния",
	["The Sludge Fen"] = "Нефтяное болото",
	["The Sludge Fields"] = "Топкие поля",
	["The Sludgewerks"] = "Илоразработки",
	["The Solar Vigil"] = "Застава Солнца",
	["The Solarium"] = "Зал Звездочета",
	["The Spark of Imagination"] = "Искра Воображения",
	["The Sparkling Crawl"] = "Сверкающий ход",
	["The Spawning Glen"] = "Грибная поляна",
	["The Spire"] = "Шпиль",
	["The Stadium"] = "Ристалище",
	["The Stagnant Oasis"] = "Застывший оазис",
	["The Staidridge"] = "Незыблемый утес",
	["The Stair of Destiny"] = "Ступени Судьбы",
	["The Stair of Doom"] = "Ступени Фатума",
	["The Steam Pools"] = "Дымящиеся озера",
	["The Steamvault"] = "Паровое подземелье",
	["The Steppe of Life"] = "Степь Жизни",
	["The Steps of Fate"] = "Шаги Судьбы",
	["The Stockade"] = "Тюрьма",
	["The Stockpile"] = "Схрон",
	["The Stone Vault"] = "Каменный свод",
	["The Stonecore"] = "Каменные Недра",
	["The Stonecore Entrance"] = "Каменные Недра",
	["The Stonefield Farm"] = "Ферма Стоунфилдов",
	["The Storehouse"] = "Кладовая",
	["The Storm Foundry"] = "Плавильня штормов",
	["The Storm Peaks"] = "Грозовая Гряда",
	["The Stormbreaker"] = "Рассекатель туч",
	["The Stormspire"] = "Штормовая Вершина",
	["The Stormwright's Shelf"] = "Уступ Ваятеля Бурь",
	["The Sun Forge"] = "Кузня Солнца",
	["The Sundered Shard"] = "Одинокий осколок",
	["The Sundering"] = "Разлом",
	["The Sunken Ring"] = "Затопленный Круг",
	["The Sunspire"] = "Солнечный Шпиль",
	["The Suntouched Pillar"] = "Колонна Солнечного Благословения",
	["The Sunwell"] = "Солнечный Колодец",
	["The Swarming Pillar"] = "Роящаяся вершина",
	["The Tainted Forest"] = "Проклятый лес",
	["The Tainted Scar"] = "Гниющий Шрам",
	["The Talon Den"] = "Логово Когтя",
	["The Talondeep Path"] = "Туннель Когтя",
	["The Tempest Rift"] = "Пояс Бурь",
	["The Temple Gardens"] = "Храмовые сады",
	["The Temple of Atal'Hakkar"] = "Храм Атал'Хаккара",
	["The Terrestrial Watchtower"] = "Земная сторожевая башня",
	["The Thornsnarl"] = "Шипастая западня",
	["The Threads of Fate"] = "Нити судьбы",
	["The Threshold"] = "Граница",
	["The Throne of Flame"] = "Трон Пламени",
	["The Tidebreaker"] = "Рассекающий Волны",
	["The Tidus Stair"] = "Лестница Прилива",
	["The Tower of Arathor"] = "Башня Аратора",
	["The Toxic Airfield"] = "Зараженный аэродром",
	["The Trail of Devastation"] = "Тропа Опустошения",
	["The Tranquil Grove"] = "Тихая роща",
	["The Transitus Stair"] = "Промежуточная лестница",
	["The Trapper's Enclave"] = "Владения Зверолова",
	["The Tribunal of Ages"] = "Трибунал Веков",
	["The Tundrid Hills"] = "Холмы Тандрид",
	["The Twilight Breach"] = "Сумеречный разлом",
	["The Twilight Caverns"] = "Сумеречные гроты",
	["The Twilight Citadel"] = "Сумеречная крепость",
	["The Twilight Enclave"] = "Владения Сумеречного Молота",
	["The Twilight Gate"] = "Сумеречные врата",
	["The Twilight Gauntlet"] = "Сумеречный ход",
	["The Twilight Ridge"] = "Сумеречная гряда",
	["The Twilight Rivulet"] = "Сумеречный ручей",
	["The Twilight Withering"] = "Сумеречная пустошь",
	["The Twin Colossals"] = "Два Колосса",
	["The Twisted Glade"] = "Холмистая поляна",
	["The Unbound Thicket"] = "Дикая чаща",
	["The Underbelly"] = "Клоака",
	["The Underbog"] = "Нижетопь",
	["The Undercroft"] = "Крипта",
	["The Underhalls"] = "Глубинные чертоги",
	["The Undershell"] = "Донный грот",
	["The Uplands"] = "Высокогорье",
	["The Upside-down Sinners"] = "Грешники на головах",
	["The Valley of Fallen Heroes"] = "Долина Павших Героев",
	["The Valley of Lost Hope"] = "Долина Потерянной Надежды",
	["The Vault of Lights"] = "Чертог Огней",
	["The Vector Coil"] = "Энергоблок",
	["The Veiled Cleft"] = "Сокрытое ущелье",
	["The Veiled Sea"] = "Сокрытое море",
	["The Venture Co. Mine"] = "Рудник Торговой Компании",
	["The Verdant Fields"] = "Зеленеющие поля",
	["The Verdant Thicket"] = "Зеленая чаща",
	["The Verne"] = "Верн",
	["The Verne - Bridge"] = "Верн",
	["The Verne - Entryway"] = "Верн",
	["The Vibrant Glade"] = "Светлая поляна",
	["The Vice"] = "Погань",
	["The Vicious Vale"] = "Гибельная долина",
	["The Viewing Room"] = "Демонстрационная комната",
	["The Vile Reef"] = "Коварный риф",
	["The Violet Citadel"] = "Аметистовая цитадель",
	["The Violet Citadel Spire"] = "Шпиль Аметистовой цитадели",
	["The Violet Gate"] = "Аметистовые врата",
	["The Violet Hold"] = "Аметистовая крепость",
	["The Violet Spire"] = "Аметистовый шпиль",
	["The Violet Tower"] = "Аметистовая башня",
	["The Vortex Fields"] = "Вихревые поля",
	["The Vortex Pinnacle"] = "Вершина Смерча",
	["The Vortex Pinnacle Entrance"] = "Вход на Вершину Смерча",
	["The Wailing Caverns"] = "Пещеры Стенаний",
	["The Wailing Ziggurat"] = "Стонущий зиккурат",
	["The Waking Halls"] = "Чертоги Пробуждения",
	["The Warlord's Garrison"] = "Гарнизон Вождя",
	["The Warlord's Terrace"] = "Терраса Полководца",
	["The Warp Fields"] = "Искривленные поля",
	["The Warp Piston"] = "Сверхускоритель",
	["The Wavecrest"] = "Гребень Волны",
	["The Weathered Nook"] = "Угол Семи Ветров",
	["The Weeping Cave"] = "Грот Слез",
	["The Western Earthshrine"] = "Западное святилище Земли",
	["The Westrift"] = "Западная расселина",
	["The Whelping Downs"] = "Ясельные холмы",
	["The Whipple Estate"] = "Имение Уиппл",
	["The Wicked Coil"] = "Пагубный Серпантин",
	["The Wicked Grotto"] = "Оскверненный грот",
	["The Widow's Clutch"] = "Кладка Вдовы",
	["The Wild Shore"] = "Пустынный берег",
	["The Winding Halls"] = "Петляющие коридоры",
	["The Windrunner"] = "Ветрокрылая",
	["The Wollerton Stead"] = "Ферма Уоллертона",
	["The Wonderworks"] = "Чудо чудное",
	["The World Tree"] = "Древо Жизни",
	["The Writhing Deep"] = "Гудящая Бездна",
	["The Writhing Haunt"] = "Удел Страданий",
	["The Yorgen Farmstead"] = "Усадьба Йоргена",
	["The Zoram Strand"] = "Зорамское взморье",
	["Thelgen Rock"] = "Пещера Тельгена",
	Thelsamar = "Телcамар",
	Theramore = "Терамор",
	["Theramore Isle"] = "Остров Терамор",
	["Therazane's Throne"] = "Трон Теразан",
	["Thermal Vents"] = "Отдушины",
	["Thieves Camp"] = "Воровской лагерь",
	["Thistlefur Hold"] = "Берлога Колючего Меха",
	["Thistlefur Village"] = "Деревня Колючего Меха",
	["Thistleshrub Valley"] = "Долина Кактусов",
	["Thondroril River"] = "Река Тондрорил",
	["Thor Modan"] = "Тор Модан",
	["Thoradin's Wall"] = "Стена Торадина",
	["Thorium Advance"] = "Передовая Братства Тория",
	["Thorium Point"] = "Лагерь Братства Тория",
	["Thorn Hill"] = "Тернистый холм",
	["Thornfang Hill"] = "Холм Колючего Клыка",
	["Thornmantle's Hideout"] = "Логово Терновой Мантии",
	["Thorson's Post"] = "Застава Торсона",
	["Thorvald's Camp"] = "Лагерь Торвальда",
	["Thousand Needles"] = "Тысяча Игл",
	Thrallmar = "Траллмар",
	["Thrallmar Mine"] = "Копи Траллмара",
	["Three Corners"] = "Три Угла",
	["Throne of Kil'jaeden"] = "Трон Кил'джедена",
	["Throne of Neptulon"] = "Трон Нептулона",
	["Throne of Tides"] = "Трон Приливов",
	["Throne of the Apocalypse"] = "Трон Апокалипсиса",
	["Throne of the Damned"] = "Трон Проклятых",
	["Throne of the Elements"] = "Трон Стихий",
	["Throne of the Four Winds"] = "Трон Четырех Ветров",
	["Throne of the Tides"] = "Трон Приливов",
	["Throne of the Tides Entrance"] = "Трон Приливов",
	["Thrym's End"] = "Тупик Трыма",
	["Thunder Axe Fortress"] = "Крепость Громового Топора",
	["Thunder Bluff"] = "Громовой Утес",
	["Thunder Falls"] = "Ревущий водопад",
	["Thunder Peak"] = "Громовая вершина",
	["Thunder Ridge"] = "Громовой хребет",
	Thunderbluff = "Громовой Утес",
	["Thunderbrew Distillery"] = "Таверна Громоварка",
	Thunderfall = "Громовержье",
	["Thunderhorn Water Well"] = "Колодец Громового Рога",
	["Thundering Overlook"] = "Дозорное укрепление Грохочущего Грома",
	["Thunderlord Stronghold"] = "Оплот Громоборцев",
	Thundermar = "Громтар",
	["Thundermar Ruins"] = "Руины Громтара",
	["Thunderstrike Mountain"] = "Гора Громового Удара",
	["Thunk's Abode"] = "Обитель Тунка",
	["Thuron's Livery"] = "Стойла Турона",
	["Tidefury Cove"] = "Залив Яростных Волн",
	["Tides' Hollow"] = "Низина прилива",
	["Timbermaw Hold"] = "Крепость Древобрюхов",
	["Timbermaw Post"] = "Застава Древобрюхов",
	["Tinker Town"] = "Город Механиков",
	["Tinkers' Court"] = "Двор Механиков",
	["Tiragarde Keep"] = "Крепость Тирагард",
	["Tirisfal Glades"] = "Тирисфальские леса",
	["Tirth's Haunt"] = "Откос Тирта",
	["Tkashi Ruins"] = "Руины Ткаши",
	["Tol Barad"] = "Тол Барад",
	["Tol Barad Peninsula"] = "Полуостров Тол Барад",
	["Tomb of Lights"] = "Гробница Света",
	["Tomb of the Ancients"] = "Могила Древних",
	["Tomb of the Earthrager"] = "Гробница Ярости Земли",
	["Tomb of the Lost Kings"] = "Могила Побежденных Королей",
	["Tomb of the Sun King"] = "Гробница Солнечного Короля",
	["Tomb of the Watchers"] = "Гробница Стражей",
	["Tombs of the Precursors"] = "Гробницы Предтеч",
	["Tome of the Unrepentant"] = "Фолиант Нераскаявшегося",
	["Tor'Watha"] = "Тор'Вата",
	["Tor'kren Farm"] = "Ферма Тор'кренов",
	["Torp's Farm"] = "Ферма Торпа",
	["Torseg's Rest"] = "Покой Торсега",
	["Toryl Estate"] = "Имение Торила",
	["Toshley's Station"] = "Станция Тошли",
	["Tower Point"] = "Смотровая башня",
	["Tower Watch"] = "Часовая башня",
	["Tower of Althalaxx"] = "Башня Алталакса",
	["Tower of Azora"] = "Башня Азоры",
	["Tower of Eldara"] = "Башня Эльдары",
	["Tower of Estulan"] = "Башня Эстулана",
	["Tower of Ilgalar"] = "Башня Илгалара",
	["Tower of the Damned"] = "Башня Проклятых",
	["Town Square"] = "Городская площадь",
	["Town-In-A-Box"] = "Городок-из-табакерки",
	["Trade District"] = "Торговый квартал",
	["Trade Quarter"] = "Торговый квартал",
	["Trader's Tier"] = "Торговый ряд",
	["Tradesmen's Terrace"] = "Терраса Торговцев",
	["Train Depot"] = "Депо",
	["Training Grounds"] = "Тренировочная площадка",
	["Traitor's Cove"] = "Бухта Изменника",
	["Tranquil Coast"] = "Тихий берег",
	["Tranquil Gardens Cemetery"] = "Безмятежное кладбище",
	["Tranquil Shore"] = "Безмятежный берег",
	["Tranquil Wash"] = "Тихий залив",
	Tranquillien = "Транквиллион",
	Transborea = "Трансборея",
	["Transitus Shield"] = "Transitus Shield",
	["Transport: Alliance Gunship"] = "Транспорт: боевой корабль Альянса",
	["Transport: Alliance Gunship (IGB)"] = "Транспорт: боевой корабль Альянса (IGB)",
	["Transport: Horde Gunship"] = "Транспорт: боевой корабль Орды",
	["Transport: Horde Gunship (IGB)"] = "Транспорт: боевой корабль Орды (IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "Транспорт: подъемник от Ониксии к Нефариану",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "Транспорт: Могучий ветер (Цитадель Ледяной Короны",
	["Trelleum Mine"] = "Рудник Треллеума",
	["Trial of Fire"] = "Испытание Огнем",
	["Trial of Frost"] = "Испытание холодом",
	["Trial of Shadow"] = "Испытание Тьмой",
	["Trial of the Champion"] = "Испытание чемпиона",
	["Trial of the Champion Entrance"] = "Испытание чемпиона",
	["Trial of the Crusader"] = "Испытание крестоносца",
	["Trogma's Claim"] = "Участок Трогмы",
	["Trollbane Hall"] = "Зал Троллебоя",
	["Trophy Hall"] = "Зал трофеев",
	["Trueshot Point"] = "Лагерь Меткого Выстрела",
	["Tuluman's Landing"] = "Лагерь Тулумана",
	Tuurem = "Туурем",
	["Twilight Aerie"] = "Сумеречное гнездилище",
	["Twilight Altar of Storms"] = "Сумеречный Алтарь Бурь",
	["Twilight Base Camp"] = "Сумеречный лагерь",
	["Twilight Bulwark"] = "Бастион Сумрака",
	["Twilight Camp"] = "Сумеречный лагерь",
	["Twilight Command Post"] = "Командный лагерь Сумеречного Молота",
	["Twilight Crossing"] = "Сумеречный перекресток",
	["Twilight Forge"] = "Сумеречная кузня",
	["Twilight Grove"] = "Мглистая роща",
	["Twilight Highlands"] = "Сумеречное нагорье",
	["Twilight Highlands Phased Entrance"] = "Twilight Highlands Phased Entrance",
	["Twilight Outpost"] = "Сумеречный форт",
	["Twilight Overlook"] = "Дозорный холм Сумеречного Молота",
	["Twilight Post"] = "Сумеречная застава",
	["Twilight Precipice"] = "Сумеречная пропасть",
	["Twilight Shore"] = "Сумеречный берег",
	["Twilight Terrace"] = "Сумеречная терраса",
	["Twilight Vale"] = "Сумеречная долина",
	["Twilight's Run"] = "Сумеречная пещера",
	["Twin Peaks"] = "Два Пика",
	["Twin Shores"] = "Два берега",
	["Twin Spire Ruins"] = "Руины Двух Башен",
	["Twinbraid's Patrol"] = "Обход Двукоссы",
	["Twisting Nether"] = "Круговерть Пустоты",
	["Tyr's Hand"] = "Длань Тира",
	["Tyr's Hand Abbey"] = "Аббатство Длани Тира",
	["Tyr's Terrace"] = "Терраса Тира",
	["Ufrang's Hall"] = "Зал Уфранга",
	Uldaman = "Ульдаман",
	["Uldaman Entrance"] = "Ульдаман",
	Uldis = "Ульдис",
	Ulduar = "Ульдуар",
	["Ulduar Raid - Interior - Insertion Point"] = "Ульдуар рейд - внутреннее помещение - точка входа",
	["Ulduar Raid - Iron Concourse"] = "Ульдуар рейд - Железный двор",
	Uldum = "Ульдум",
	["Uldum Phase Oasis"] = "Ульдум фаза оазиса",
	["Uldum Phased Entrance"] = "Uldum Phased Entrance",
	["Umbrafen Lake"] = "Озеро Тенетопь",
	["Umbrafen Village"] = "Деревня Тенетопь",
	["Un'Goro Crater"] = "Кратер Ун'Горо",
	Undercity = "Подгород",
	["Underlight Canyon"] = "Затемненная впадина",
	["Underlight Mines"] = "Беспросветные рудники",
	["Unearthed Grounds"] = "Место раскопок",
	["Unu'pe"] = "Уну'пе",
	["Unyielding Garrison"] = "Стойкий гарнизон",
	["Upper Silvermarsh"] = "Верховье Серебристой топи",
	["Upper Veil Shil'ak"] = "Верхнее гнездовье Шил'ак",
	["Ursoc's Den"] = "Логово Урсока",
	Ursolan = "Урсолан",
	["Utgarde Catacombs"] = "Катакомбы Утгард",
	["Utgarde Keep"] = "Крепость Утгард",
	["Utgarde Keep Entrance"] = "Крепость Утгард",
	["Utgarde Pinnacle"] = "Вершина Утгард",
	["Utgarde Pinnacle Entrance"] = "Вершина Утгард",
	["Uther's Tomb"] = "Гробница Утера",
	["Valaar's Berth"] = "Причал Валаара",
	["Valgan's Field"] = "Поле Валгана",
	Valgarde = "Валгард",
	["Valgarde Port"] = "Валгардский порт",
	Valhalas = "Валхалас",
	["Valiance Keep"] = "Крепость Отваги",
	["Valiance Landing Camp"] = "Лагерь Отваги",
	Valkyrion = "Валькирион",
	["Valley Of Heroes"] = "Аллея Героев",
	["Valley of Ancient Winters"] = "Долина Древних Зим",
	["Valley of Ashes"] = "Долина пепла",
	["Valley of Bones"] = "Долина Костей",
	["Valley of Echoes"] = "Долина Эха",
	["Valley of Fangs"] = "Долина Клыков",
	["Valley of Heroes"] = "Аллея Героев",
	["Valley of Honor"] = "Аллея Чести",
	["Valley of Kings"] = "Долина Королей",
	["Valley of Spears"] = "Долина Копий",
	["Valley of Spirits"] = "Аллея Духов",
	["Valley of Strength"] = "Аллея Силы",
	["Valley of Trials"] = "Долина Испытаний",
	["Valley of Wisdom"] = "Аллея Мудрости",
	["Valley of the Bloodfuries"] = "Долина Кровавой Ярости",
	["Valley of the Watchers"] = "Долина Стражей",
	["Valor's Rest"] = "Погост Отважных",
	Valormok = "Храбростан",
	["Valorwind Lake"] = "Озеро Доблести",
	["Vanguard Infirmary"] = "Лазарет Оплота",
	["Vanndir Encampment"] = "Лагерь Ванндир",
	["Vargoth's Retreat"] = "Укрытие Варгота",
	["Vashj'elan Spawning Pool"] = "Лягушатник Вайш'элана",
	["Vashj'ir"] = "Вайш'ир",
	["Vault of Archavon"] = "Склеп Аркавона",
	["Vault of Ironforge"] = "Банк Стальгорна",
	["Vault of the Ravenian"] = "Склеп Равениана",
	["Vault of the Shadowflame"] = "Склеп Пламени Тьмы",
	["Veil Ala'rak"] = "Гнездовье Ала'рак",
	["Veil Harr'ik"] = "Гнездовье Харр'ик",
	["Veil Lashh"] = "Гнездовье Лашш",
	["Veil Lithic"] = "Гнездовье Литик",
	["Veil Reskk"] = "Гнездовье Ресск",
	["Veil Rhaze"] = "Гнездовье Рейз",
	["Veil Ruuan"] = "Гнездовье Рууан",
	["Veil Sethekk"] = "Гнездовье Сетекк",
	["Veil Shalas"] = "Гнездовье Шалас",
	["Veil Shienor"] = "Гнездовье Шиенор",
	["Veil Skith"] = "Гнездовье Скит",
	["Veil Vekh"] = "Гнездовье Векх",
	["Vekhaar Stand"] = "Перелесок Векхаар",
	["Velaani's Arcane Goods"] = "Чародейские товары Велаани",
	["Vendetta Point"] = "Лагерь Вендетты",
	["Vengeance Landing"] = "Лагерь Возмездия",
	["Vengeance Landing Inn"] = "Таверна Лагеря возмездия",
	["Vengeance Landing Inn, Howling Fjord"] = "Таверна Лагеря возмездия, Ревущий фьорд",
	["Vengeance Lift"] = "Подъемник лагеря Возмездия",
	["Vengeance Pass"] = "Перевал Возмездия",
	["Vengeance Wake"] = "Караул Возмездия",
	Venomspite = "Ядозлобь",
	["Venomweb Vale"] = "Долина ядовитых пауков",
	["Venture Bay"] = "Бухта торговцев",
	["Venture Co. Base Camp"] = "Главный лагерь Торговой Компании",
	["Venture Co. Operations Center"] = "Штаб-квартира Торговой Компании",
	["Verdant Highlands"] = "Зеленеющее нагорье",
	["Verdantis River"] = "Река Вердантис",
	["Veridian Point"] = "Вершина Веридиан",
	["Verlok Stand"] = "Верлок",
	["Vermillion Redoubt"] = "Гранатовый редут",
	["Verrall Delta"] = "Дельта Вералла",
	["Verrall River"] = "Река Вералл",
	["Victor's Point"] = "Лагерь Победителя",
	["Vileprey Village"] = "Деревня Жестокой Травли",
	["Vim'gol's Circle"] = "Круг Вим'гола",
	["Vindicator's Rest"] = "Привал Защитника",
	["Violet Citadel Balcony"] = "Балкон Аметистовой цитадели",
	["Violet Hold"] = "Аметистовая крепость",
	["Violet Hold Entrance"] = "Аметистовая крепость",
	["Violet Stand"] = "Аметистовая застава",
	["Vir'naal Dam"] = "Запруда Вир'наал",
	["Vir'naal Lake"] = "Озеро Вир'наал",
	["Vir'naal Oasis"] = "Оазис Вир'наал",
	["Vir'naal River"] = "Река Вир'наал",
	["Vir'naal River Delta"] = "Дельта Вир'наала",
	["Void Ridge"] = "Пустынный обрыв",
	["Voidwind Plateau"] = "Плато Пустынного Ветра",
	["Volcanoth's Lair"] = "Пещера Вулканота",
	["Voldrin's Hold"] = "Крепость Волдрина",
	Voldrune = "Волдрун",
	["Voldrune Dwelling"] = "Поселение Волдрун",
	Voltarus = "Волтар",
	["Vordrassil Pass"] = "Перевал Фордрассил",
	["Vordrassil's Heart"] = "Сердце Фордрассила",
	["Vordrassil's Limb"] = "Ветви Фордрассила",
	["Vordrassil's Tears"] = "Слезы Фордрассила",
	["Vortex Pinnacle"] = "Вершина смерча",
	["Vortex Summit"] = "Вершина Смерча",
	["Vul'Gol Ogre Mound"] = "Лощина Вул'Гол",
	["Vyletongue Seat"] = "Палата Злоязыкого",
	["Wahl Cottage"] = "Домик Валь",
	["Wailing Caverns"] = "Пещеры Стенаний",
	["Walk of Elders"] = "Путь Старейшин",
	["War Quarter"] = "Квартал Воинов",
	["War Room"] = "Зал Войны",
	["Warbringer's Ring"] = "Арена Завоевателя",
	["Warchief's Lookout"] = "Дозорный пункт вождя",
	["Warden's Cage"] = "Клеть Стражницы",
	["Warden's Chambers"] = "Комнаты стражей",
	["Warden's Vigil"] = "Пост Стража",
	["Warmaul Hill"] = "Холм Боевого Молота",
	["Warpwood Quarter"] = "Квартал Криводревов",
	["Warrior's Terrace"] = "Терраса Воинов",
	["Warsong Camp"] = "Лагерь Песни Войны",
	["Warsong Farms Outpost"] = "Застава у ферм Песни войны",
	["Warsong Flag Room"] = "Флаговая комната Песни Войны",
	["Warsong Granary"] = "Амбар Песни Войны",
	["Warsong Gulch"] = "Ущелье Песни Войны",
	["Warsong Hold"] = "Крепость Песни Войны",
	["Warsong Jetty"] = "Пристань Песни Войны",
	["Warsong Labor Camp"] = "Рабочий лагерь Песни Войны",
	["Warsong Lumber Camp"] = "Лесозаготовки Песни Войны",
	["Warsong Lumber Mill"] = "Лесопилка Песни Войны",
	["Warsong Slaughterhouse"] = "Скотобойня Песни Войны",
	["Watchers' Terrace"] = "Терраса Стражей",
	["Waterspring Field"] = "Родниковое поле",
	Waterworks = "Водокачка",
	["Wavestrider Beach"] = "Берег Морского Бродяги",
	["Wayfarer's Rest"] = "Приют скитальца",
	Waygate = "Связующая спираль",
	["Wayne's Refuge"] = "Приют Уэйна",
	["Weazel's Crater"] = "Кратер Криворука",
	["Webwinder Hollow"] = "Паучья лощина",
	["Webwinder Path"] = "Паучий тракт",
	["Weeping Quarry"] = "Саронитовый карьер",
	["Well of the Forgotten"] = "Колодец Забытых",
	["Wellson Shipyard"] = "Верфь Веллсона",
	["Wellspring Hovel"] = "Родниковый шалаш",
	["Wellspring Lake"] = "Родниковое озеро",
	["Wellspring River"] = "Родниковая река",
	["West Garrison"] = "Западный гарнизон",
	["West Pillar"] = "Западная колонна",
	["West Point Station"] = "Западная станция",
	["West Point Tower"] = "Западная башня",
	["West Sanctum"] = "Западное святилище",
	["West Spear Tower"] = "Западная башня",
	["West Spire"] = "Западный шпиль",
	["Westbrook Garrison"] = "Гарнизон у Западного ручья",
	["Western Bridge"] = "Западный мост",
	["Western Plaguelands"] = "Западные Чумные земли",
	["Western Strand"] = "Западное побережье",
	Westfall = "Западный Край",
	["Westfall Brigade"] = "Westfall Brigade",
	["Westfall Brigade Encampment"] = "Лагерь дружины Западного Края",
	["Westfall Lighthouse"] = "Маяк в Западном Крае",
	["Westguard Inn"] = "Таверна Западной Стражи",
	["Westguard Keep"] = "Крепость Западной Стражи",
	["Westguard Turret"] = "Башня Западной Стражи",
	["Westreach Summit"] = "Вершина Западного Предела",
	["Westspark Workshop"] = "Мастерская на западе парка",
	["Westwind Lift"] = "Подъемник Западного Ветра",
	["Westwind Refugee Camp"] = "Лагерь беженцев Западного Ветра",
	Wetlands = "Болотина",
	["Whelgar's Excavation Site"] = "Раскопки Вельгара",
	["Whelgar's Retreat"] = "Укрытие Вельгара",
	["Whisper Gulch"] = "Шепчущая теснина",
	["Whispering Forest"] = "Шепчущий лес",
	["Whispering Gardens"] = "Шепчущие сады",
	["Whispering Shore"] = "Шепчущий берег",
	["Whisperwind Grove"] = "Роща Шелеста Ветра",
	["Whistling Grove"] = "Роща Трелей",
	["White Pine Trading Post"] = "Торговая лавка Белой Сосны",
	["Whitebeard's Encampment"] = "Лагерь Белоборода",
	["Whitereach Post"] = "Застава Белого Плеса",
	["Wild Overlook"] = "Лесной наблюдательный пункт",
	["Wild Shore"] = "Пустынный берег",
	["Wildbend River"] = "Петляющая река",
	["Wildervar Mine"] = "Вилдерварская шахта",
	["Wildflame Point"] = "Лагерь Возгорания",
	["Wildgrowth Mangal"] = "Дикие мангровые заросли",
	["Wildhammer Flag Room"] = "Флаговая комната Громового Молота",
	["Wildhammer Keep"] = "Крепость Громового Молота",
	["Wildhammer Stronghold"] = "Цитадель Громового Молота",
	["Wildheart Point"] = "Лагерь Дикого Сердца",
	["Wildmane Water Well"] = "Колодец Буйногривых",
	["Wildpaw Cavern"] = "Пещера Дикой Лапы",
	["Wildpaw Ridge"] = "Гряда Дикой Лапы",
	["Wildwind Lake"] = "Штормовое озеро",
	["Wildwind Path"] = "Штормовой путь",
	["Wildwind Peak"] = "Штормовой Пик",
	["Windbreak Canyon"] = "Безветренный каньон",
	["Windfury Ridge"] = "Гряда Неистовства Ветра",
	["Windrunner Spire"] = "Шпили Ветрокрылых",
	["Windrunner Village"] = "Деревня Ветрокрылых",
	["Windrunner's Overlook"] = "Дозор Ветрокрылой",
	["Windshear Crag"] = "Утес Ветрорезов",
	["Windshear Heights"] = "Высота Ветрорезов",
	["Windshear Hold"] = "Крепость Ветрорезов",
	["Windshear Mine"] = "Рудник Ветрорезов",
	["Windshear Valley"] = "Долина Ветрорезов",
	["Windy Bluffs"] = "Ветряные утесы",
	["Windyreed Pass"] = "Перевал Трепещущего Тростника",
	["Windyreed Village"] = "Деревня Трепещущего Тростника",
	["Winter's Breath Lake"] = "Озеро Дыхания Зимы",
	["Winter's Edge Tower"] = "Башня Клинка Зимы",
	["Winter's Heart"] = "Сердце зимы",
	["Winter's Terrace"] = "Зимняя терраса",
	["Winterax Hold"] = "Форт Ледяной Секиры",
	["Winterfall Village"] = "Деревня Зимней Спячки",
	["Winterfin Caverns"] = "Пещеры Зимних Плавников",
	["Winterfin Retreat"] = "Приют Зимних Плавников",
	["Winterfin Village"] = "Деревня Зимних Плавников",
	["Wintergarde Crypt"] = "Склеп Стражей Зимы",
	["Wintergarde Keep"] = "Крепость Стражей Зимы",
	["Wintergarde Mausoleum"] = "Усыпальница Стражей Зимы",
	["Wintergarde Mine"] = "Рудник Стражей Зимы",
	Wintergrasp = "Озеро Ледяных Оков",
	["Wintergrasp Fortress"] = "Крепость Ледяных Оков",
	["Wintergrasp River"] = "Река Ледяных Оков",
	["Winterhoof Water Well"] = "Колодец Заиндевевшего Копыта",
	Winterspring = "Зимние Ключи",
	["Witch Hill"] = "Ведьмин холм",
	["Witch's Sanctum"] = "Ведьмино убежище",
	["Witherbark Caverns"] = "Пещеры Сухокожих",
	["Witherbark Village"] = "Деревня Сухокожих",
	["Withering Thicket"] = "Увядающая роща",
	["Wizard Row"] = "Путь Волшебника",
	["Wizard's Sanctum"] = "Башня магов",
	["Wolf's Run"] = "Волчья Тропа",
	["Wood's End Cabin"] = "Охотничий домик на краю леса",
	["Woodpaw Den"] = "Логово Древолапов",
	["Woodpaw Hills"] = "Холмы Древолапов",
	Workshop = "Мастерская",
	["Workshop Entrance"] = "Вход в мастерскую",
	["World's End Tavern"] = "Таверна На краю земли",
	["Wrathscale Lair"] = "Логово клана Зловещей Чешуи",
	["Wrathscale Point"] = "Руины клана Зловещей Чешуи",
	["Wreckage of the Silver Dawning"] = "Место крушения Серебряной Зари",
	["Writhing Mound"] = "Перекопанный курган",
	Wyrmbog = "Драконьи топи",
	["Wyrmbreaker's Rookery"] = "Площадка Халфия",
	["Wyrmrest Temple"] = "Храм Драконьего Покоя",
	["Wyrms' Bend"] = "Излучина Змея",
	["Wyrmscar Island"] = "Остров Драконьей Скорби",
	["Wyrmskull Bridge"] = "Мост Драконьего Черепа",
	["Wyrmskull Tunnel"] = "Туннель Драконьего Черепа",
	["Wyrmskull Village"] = "Деревня Драконьего Черепа",
	["X-2 Pincer"] = "Хват X2",
	Xavian = "Ксавиан",
	Ymirheim = "Имирхейм",
	["Ymiron's Seat"] = "Трон Имирона",
	["Yojamba Isle"] = "Остров Йоджамба",
	["Yowler's Den"] = "Логово Изувоя",
	["Zabra'jin"] = "Забра'джин",
	["Zaetar's Grave"] = "Могила Зейтара",
	["Zalashji's Den"] = "Логово Залашьи",
	["Zalazane's Fall"] = "Водопад Залазана",
	["Zane's Eye Crater"] = "Око Зейна",
	["Zangar Ridge"] = "Гряда Зангара",
	Zangarmarsh = "Зангартопь",
	["Zeb'Halak"] = "Зеб'Халак",
	["Zeb'Nowa"] = "Зеб'Нова",
	["Zeb'Sora"] = "Зеб'Сора",
	["Zeb'Tela"] = "Зеб'Тела",
	["Zeb'Watha"] = "Зеб'Вата",
	["Zeppelin Crash"] = "Место крушения дирижабля",
	Zeramas = "Зерамас",
	["Zeth'Gor"] = "Зет'Гор",
	["Ziata'jai Ruins"] = "Руины Зиата'джаи",
	["Zim'Abwa"] = "Зим'Абва",
	["Zim'Rhuk"] = "Зим'Рук",
	["Zim'Torga"] = "Zim'Torga",
	["Zim'bo's Hideout"] = "Убежище Зим'бо",
	["Zol'Heb"] = "Зол'Хеб",
	["Zol'Maz Stronghold"] = "Крепость Зол'Маз",
	["Zoram'gar Outpost"] = "Застава Зорам'гар",
	["Zul'Aman"] = "Зул'Аман",
	["Zul'Drak"] = "Зул'Драк",
	["Zul'Farrak"] = "Зул'Фаррак",
	["Zul'Farrak Entrance"] = "Вход в Зул'Фаррак",
	["Zul'Gurub"] = "Зул'Гуруб",
	["Zul'Mashar"] = "Зул'Машар",
	["Zun'watha"] = "Зун'вата",
	["Zuuldaia Ruins"] = "Руины Зуулдая",
}

elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations 
{
	-- ["7th Legion Base Camp"] = "",
	["7th Legion Front"] = "第七军团前线",
	-- ["7th Legion Submarine"] = "",
	["A Hero's Welcome"] = "英雄之家",
	["Abandoned Armory"] = "废弃的军械库",
	["Abandoned Camp"] = "被遗弃的营地",
	["Abandoned Mine"] = "被遗弃的矿洞",
	-- ["Abandoned Reef"] = "",
	-- ["Abyssal Breach"] = "",
	-- ["Abyssal Depths"] = "",
	-- ["Abyssal Halls"] = "",
	-- ["Abyssal Maw"] = "",
	-- ["Abyssal Maw Exterior"] = "",
	["Abyssal Sands"] = "深沙平原",
	-- ["Abyssion's Lair"] = "",
	["Access Shaft Zeon"] = "瑟安竖井",
	["Acherus: The Ebon Hold"] = "阿彻鲁斯：黑锋要塞",
	["Addle's Stead"] = "腐草农场",
	-- ["Aderic's Repose"] = "",
	["Aerie Peak"] = "鹰巢山",
	["Aeris Landing"] = "埃瑞斯码头",
	["Agamand Family Crypt"] = "阿加曼德家族墓穴",
	["Agamand Mills"] = "阿加曼德磨坊",
	["Agmar's Hammer"] = "阿格玛之锤",
	["Agmond's End"] = "阿戈莫德的营地",
	["Agol'watha"] = "亚戈瓦萨",
	["Ahn Qiraj"] = "安其拉",
	["Ahn'Qiraj"] = "安其拉",
	-- ["Ahn'Qiraj Temple"] = "",
	-- ["Ahn'Qiraj Terrace"] = "",
	-- ["Ahn'Qiraj: The Fallen Kingdom"] = "",
	["Ahn'kahet: The Old Kingdom"] = "安卡赫特：古代王国",
	-- ["Ahn'kahet: The Old Kingdom Entrance"] = "",
	-- ["Akhenet Fields"] = "",
	["Aku'mai's Lair"] = "阿库麦尔的巢穴",
	-- ["Alabaster Shelf"] = "",
	["Alcaz Island"] = "奥卡兹岛",
	["Aldor Rise"] = "奥尔多高地",
	Aldrassil = "奥达希尔",
	["Aldur'thar: The Desolation Gate"] = "荒凉之门奥尔杜萨",
	["Alexston Farmstead"] = "阿历克斯顿农场",
	["Algaz Gate"] = "奥加兹大门",
	["Algaz Station"] = "奥加兹岗哨",
	["All That Glitters Prospecting Co."] = "亮晶晶矿业公司",
	-- ["Allen Farmstead"] = "",
	["Allerian Post"] = "奥蕾莉亚岗哨",
	["Allerian Stronghold"] = "奥蕾莉亚要塞",
	["Alliance Base"] = "联盟基地",
	-- ["Alliance Beachhead"] = "",
	["Alliance Keep"] = "联盟要塞",
	-- ["Alliance Mercenary Ship to Vashj'ir"] = "",
	-- ["Alliance PVP Barracks"] = "",
	["Alonsus Chapel"] = "阿隆索斯礼拜堂",
	-- ["Altar of Ascension"] = "",
	["Altar of Har'koa"] = "哈克娅祭坛",
	["Altar of Mam'toth"] = "犸托斯祭坛",
	["Altar of Quetz'lun"] = "奎丝鲁恩祭坛",
	["Altar of Rhunok"] = "伦诺克祭坛",
	["Altar of Sha'tar"] = "沙塔尔祭坛",
	["Altar of Sseratus"] = "西莱图斯祭坛",
	["Altar of Storms"] = "风暴祭坛",
	-- ["Altar of Twilight"] = "",
	["Altar of the Blood God"] = "血神祭坛",
	["Alterac Mountains"] = "奥特兰克山脉",
	["Alterac Valley"] = "奥特兰克山谷",
	["Alther's Mill"] = "奥瑟尔伐木场",
	["Amani Catacombs"] = "阿曼尼墓穴",
	-- ["Amani Mountains"] = "",
	["Amani Pass"] = "阿曼尼小径",
	["Amber Ledge"] = "琥珀崖",
	Ambermill = "安伯米尔",
	["Amberpine Lodge"] = "琥珀松木营地",
	["Ambershard Cavern"] = "琥珀碎片洞穴",
	["Amberstill Ranch"] = "冻石农场",
	["Amberweb Pass"] = "琥珀蛛网小径",
	["Ameth'Aran"] = "亚米萨兰",
	["Ammen Fields"] = "埃门平原",
	["Ammen Ford"] = "埃门海滩",
	["Ammen Vale"] = "埃门谷",
	["Amphitheater of Anguish"] = "痛苦斗兽场",
	-- ["Ampitheater of Anguish"] = "",
	["An'daroth"] = "安达洛斯",
	["An'owyn"] = "安欧维恩",
	["An'telas"] = "安泰拉斯",
	["Ancestral Grounds"] = "先祖之地",
	-- ["Ancient Zul'Gurub"] = "",
	["Andilien Estate"] = "安迪尔林庄园",
	-- Andorhal = "",
	-- Andruk = "",
	["Angerfang Encampment"] = "怒牙营地",
	["Ango'rosh Grounds"] = "安葛洛什营地",
	["Ango'rosh Stronghold"] = "安葛洛什要塞",
	["Angor Fortress"] = "苦痛堡垒",
	["Angrathar the Wrath Gate"] = "天谴之门安加萨",
	["Angrathar the Wrathgate"] = "天谴之门安加萨",
	["Antonidas Memorial"] = "安东尼达斯纪念碑",
	-- ["Anvil of Conflagration"] = "",
	Anvilmar = "安威玛尔",
	["Apex Point"] = "巅峰之台",
	["Apocryphan's Rest"] = "圣者之陵",
	["Apothecary Camp"] = "药剂师营地",
	["Arathi Basin"] = "阿拉希盆地",
	["Arathi Highlands"] = "阿拉希高地",
	-- ["Arcane Pinnacle"] = "",
	["Archmage Vargoth's Retreat"] = "大法师瓦格斯的居所",
	["Area 52"] = "52区",
	["Arena Floor"] = "竞技场",
	["Argent Pavilion"] = "银色大帐",
	-- ["Argent Stand"] = "",
	["Argent Tournament Grounds"] = "银色比武场",
	["Argent Vanguard"] = "银色前线基地",
	["Ariden's Camp"] = "埃瑞丁营地",
	-- ["Arikara's Needle"] = "",
	["Arklon Ruins"] = "阿尔科隆废墟",
	["Arklonis Ridge"] = "阿尔科隆山脉",
	["Arriga Footbridge"] = "埃雷加之桥",
	-- ["Arsad Trade Post"] = "",
	-- ["Ascendant's Rise"] = "",
	-- ["Ashen Fields"] = "",
	-- ["Ashen Lake"] = "",
	Ashenvale = "灰谷",
	["Ashwood Lake"] = "灰木湖",
	["Ashwood Post"] = "灰木哨站",
	["Aspen Grove Post"] = "白杨商栈",
	Astranaar = "阿斯特兰纳",
	["Ata'mal Terrace"] = "阿塔玛平台",
	Athenaeum = "图书馆",
	-- ["Atulhet's Tomb"] = "",
	-- ["Auberdine Refugee Camp"] = "",
	["Auchenai Crypts"] = "奥金尼地穴",
	["Auchenai Grounds"] = "奥金尼废墟",
	Auchindoun = "奥金顿",
	-- ["Auchindoun - Auchenai Crypts Entrance"] = "",
	-- ["Auchindoun - Mana-Tombs Entrance"] = "",
	-- ["Auchindoun - Sethekk Halls Entrance"] = "",
	-- ["Auchindoun - Shadow Labyrinth Entrance"] = "",
	-- ["Auchindoun: Auchenai Crypts"] = "",
	-- ["Auchindoun: Mana-Tombs"] = "",
	-- ["Auchindoun: Sethekk Halls"] = "",
	-- ["Auchindoun: Shadow Labyrinth"] = "",
	["Auren Falls"] = "奥伦瀑布",
	["Auren Ridge"] = "奥伦山脊",
	-- ["Avalanchion's Vault"] = "",
	Aviary = "蝙蝠笼",
	["Axis of Alignment"] = "校准之轴",
	Axxarien = "阿克萨林",
	["Azjol-Nerub"] = "艾卓-尼鲁布",
	-- ["Azjol-Nerub Entrance"] = "",
	Azshara = "艾萨拉",
	["Azshara Crater"] = "积雪平原",
	["Azure Dragonshrine"] = "碧蓝巨龙圣地",
	["Azure Watch"] = "碧蓝岗哨",
	["Azurebreeze Coast"] = "碧风海岸",
	["Azurelode Mine"] = "碧玉矿洞",
	["Azuremyst Isle"] = "秘蓝岛",
	Badlands = "荒芜之地",
	["Bael Modan"] = "巴尔莫丹",
	-- ["Bael Modan Excavation"] = "",
	["Bael'dun Digsite"] = "巴尔丹挖掘场",
	["Bael'dun Keep"] = "巴尔丹城堡",
	["Baelgun's Excavation Site"] = "巴尔古挖掘场",
	-- ["Bahrum's Post"] = "",
	["Bal'lal Ruins"] = "巴拉尔废墟",
	["Balargarde Fortress"] = "巴拉加德堡垒",
	Baleheim = "拜尔海姆",
	["Balejar Watch"] = "拜尔亚岗哨",
	["Balia'mah Ruins"] = "巴里亚曼废墟",
	["Balnir Farmstead"] = "巴尼尔农场",
	-- Bambala = "",
	["Ban'Thallow Barrow Den"] = "班萨罗兽穴",
	["Ban'ethil Barrow Den"] = "班奈希尔兽穴",
	-- ["Ban'ethil Barrow Descent"] = "",
	["Ban'ethil Hollow"] = "班尼希尔山谷",
	["Band of Acceleration"] = "加速之环",
	["Band of Alignment"] = "校准之环",
	["Band of Transmutation"] = "转化之环",
	["Band of Variance"] = "突变之环",
	Bank = "银行",
	-- ["Baradin Base Camp"] = "",
	["Baradin Bay"] = "巴拉丁海湾",
	-- ["Baradin Hold"] = "",
	Barbershop = "理发店",
	["Barov Family Vault"] = "巴罗夫家族宝库",
	["Bash'ir Landing"] = "巴什伊尔码头",
	["Bashal'Aran"] = "巴莎兰",
	-- ["Bashal'Aran Collapse"] = "",
	-- ["Bastion Antechamber"] = "",
	["Bathran's Haunt"] = "巴斯兰鬼屋",
	["Battle Ring"] = "大竞技场",
	-- Battlescar = "",
	["Battlescar Spire"] = "战痕尖塔",
	-- ["Battlescar Valley"] = "",
	["Bay of Storms"] = "风暴海湾",
	["Bear's Head"] = "熊头",
	-- ["Beauty's Lair"] = "",
	["Beezil's Wreck"] = "比吉尔的飞艇残骸",
	["Befouled Terrace"] = "被玷污的平台",
	["Beggar's Haunt"] = "乞丐鬼屋",
	-- ["Beneath The Double Rainbow"] = "",
	["Beren's Peril"] = "博伦的巢穴",
	["Bernau's Happy Fun Land"] = "Bernau's Happy Fun Land",
	["Beryl Coast"] = "贝里尔海湾",
	-- ["Beryl Egress"] = "",
	["Beryl Point"] = "蓝玉营地",
	-- ["Beth'mora Ridge"] = "",
	-- ["Beth'tilac's Lair"] = "",
	-- ["Biel'aran Ridge"] = "",
	-- ["Bilgewater Harbor"] = "",
	-- ["Bilgewater Lumber Yard"] = "",
	-- ["Bilgewater Port"] = "",
	["Bitter Reaches"] = "痛苦海岸",
	["Bittertide Lake"] = "苦潮湖",
	["Black Channel Marsh"] = "黑水沼泽",
	-- ["Black Drake Roost"] = "",
	["Black Temple"] = "黑暗神殿",
	-- ["Black Tooth Hovel"] = "",
	["Blackchar Cave"] = "黑炭谷",
	-- ["Blackfathom Camp"] = "",
	["Blackfathom Deeps"] = "黑暗深渊",
	-- ["Blackfathom Deeps Entrance"] = "",
	["Blackhoof Village"] = "黑蹄村",
	-- ["Blackhorn's Penance"] = "",
	-- ["Blackmaw Hold"] = "",
	["Blackriver Logging Camp"] = "黑水伐木场",
	-- ["Blackrock Caverns"] = "",
	-- ["Blackrock Caverns Entrance"] = "",
	["Blackrock Depths"] = "黑石深渊",
	-- ["Blackrock Depths Entrance"] = "",
	["Blackrock Mountain"] = "黑石山",
	["Blackrock Pass"] = "黑石小径",
	["Blackrock Spire"] = "黑石塔",
	-- ["Blackrock Spire Entrance"] = "",
	["Blackrock Stadium"] = "黑石竞技场",
	["Blackrock Stronghold"] = "黑石要塞",
	["Blacksilt Shore"] = "黑沙海岸",
	Blacksmith = "铁匠铺",
	-- ["Blackstone Span"] = "",
	Blackwatch = "黑色观察站",
	["Blackwater Cove"] = "黑水湾",
	["Blackwater Shipwrecks"] = "黑水湾沉船",
	["Blackwind Lake"] = "黑风湖",
	["Blackwind Landing"] = "黑风码头",
	["Blackwind Valley"] = "黑风谷",
	["Blackwing Coven"] = "黑翼集会所",
	-- ["Blackwing Descent"] = "",
	["Blackwing Lair"] = "黑翼之巢",
	["Blackwolf River"] = "黑狼河",
	-- ["Blackwood Camp"] = "",
	["Blackwood Den"] = "黑木洞穴",
	["Blackwood Lake"] = "黑木湖",
	["Blade Tooth Canyon"] = "刃齿峡谷",
	["Blade's Edge Arena"] = "刀锋山竞技场",
	["Blade's Edge Mountains"] = "刀锋山",
	["Bladed Gulch"] = "刀刃峡谷",
	["Bladefist Bay"] = "刃拳海湾",
	-- ["Blades & Axes"] = "",
	["Blades' Run"] = "刀锋之路",
	["Bladespire Grounds"] = "刀塔平原",
	["Bladespire Hold"] = "刀塔要塞",
	["Bladespire Outpost"] = "刀塔哨站",
	Bladewood = "刀林",
	["Blasted Lands"] = "诅咒之地",
	["Bleeding Hollow Ruins"] = "血环废墟",
	["Bleeding Vale"] = "鲜血谷",
	["Bleeding Ziggurat"] = "鲜血通灵塔",
	["Blistering Pool"] = "毒泡水池",
	["Blood Elf Tower"] = "血精灵塔",
	["Blood Watch"] = "秘血岗哨",
	["Bloodcurse Isle"] = "血咒岛",
	["Bloodfen Burrow"] = "鲜血沼泽墓穴",
	-- Bloodgulch = "",
	["Bloodhoof Village"] = "血蹄村",
	["Bloodmaul Camp"] = "血槌营地",
	["Bloodmaul Outpost"] = "血槌哨站",
	["Bloodmaul Ravine"] = "血槌峡谷",
	["Bloodmoon Isle"] = "血月岛",
	["Bloodmyst Isle"] = "秘血岛",
	["Bloodscale Enclave"] = "血鳞领地",
	["Bloodscale Grounds"] = "血鳞浅滩",
	["Bloodspore Plains"] = "血孢平原",
	-- ["Bloodtalon Shore"] = "",
	["Bloodtooth Camp"] = "血牙营地",
	["Bloodvenom Falls"] = "血毒瀑布",
	["Bloodvenom Post"] = "血毒岗哨",
	["Bloodvenom River"] = "血毒河",
	-- ["Bloodwash Cavern"] = "",
	-- ["Bloodwash Fighting Pits"] = "",
	-- ["Bloodwash Shrine"] = "",
	-- ["Bloodwatcher Point"] = "",
	["Blue Sky Logging Grounds"] = "蓝天伐木场",
	Bluefen = "蓝色沼泽",
	["Bluegill Marsh"] = "蓝腮沼泽",
	-- ["Bluff of the South Wind"] = "",
	["Bogen's Ledge"] = "伯根的棚屋",
	-- Bogpaddle = "",
	["Boha'mu Ruins"] = "博哈姆废墟",
	["Bolgan's Hole"] = "波尔甘的洞穴",
	-- ["Bolyun's Camp"] = "",
	["Bonechewer Ruins"] = "噬骨废墟",
	["Bones of Grakkarond"] = "格拉卡隆之骨",
	["Bonesnap's Camp"] = "博斯纳普的营地",
	-- ["Bootlegger Outpost"] = "",
	["Booty Bay"] = "藏宝海湾",
	["Bor'gorok Outpost"] = "博古洛克前哨站",
	["Bor's Breath"] = "伯尔之息",
	["Bor's Breath River"] = "伯尔之息河",
	["Bor's Fall"] = "伯尔瀑布",
	["Bor's Fury"] = "伯尔之怒号",
	["Borean Tundra"] = "北风苔原",
	["Borune Ruins"] = "博鲁恩废墟",
	["Bough Shadow"] = "大树荫",
	["Boulder Hills"] = "巨石丘陵",
	["Boulder Lode Mine"] = "石矿洞",
	["Boulder'gor"] = "博德戈尔",
	["Boulder'mok"] = "砾石营地",
	["Bouldercrag's Refuge"] = "布德克拉格庇护所",
	["Boulderfist Hall"] = "石拳大厅",
	["Boulderfist Outpost"] = "石拳岗哨",
	["Boulderslide Cavern"] = "滚岩洞穴",
	["Boulderslide Ravine"] = "滚岩峡谷",
	["Brackenwall Village"] = "蕨墙村",
	["Brackwell Pumpkin Patch"] = "布莱克威尔南瓜田",
	["Brambleblade Ravine"] = "刺刃峡谷",
	Bramblescar = "迅猛龙平原",
	["Brann's Base-Camp"] = "布莱恩的营地",
	-- ["Brashtide Attack Fleet"] = "",
	-- ["Brashtide Attack Fleet (Force Outdoors)"] = "",
	["Brave Wind Mesa"] = "强风台地",
	-- ["Brazie Farmstead"] = "",
	["Brewnall Village"] = "烈酒村",
	["Bridge of Souls"] = "灵魂之桥",
	["Brightwater Lake"] = "澈水湖",
	["Brightwood Grove"] = "阳光树林",
	Brill = "布瑞尔",
	["Brill Town Hall"] = "布瑞尔城镇大厅",
	["Bristlelimb Enclave"] = "刺臂领地",
	["Bristlelimb Village"] = "刺臂村",
	["Broken Commons"] = "平民区废墟",
	["Broken Hill"] = "碎石岭",
	["Broken Pillar"] = "破碎石柱",
	["Broken Spear Village"] = "断矛村",
	["Broken Wilds"] = "破碎荒野",
	["Bronze Dragonshrine"] = "青铜巨龙圣地",
	["Bronzebeard Encampment"] = "铜须营地",
	["Browman Mill"] = "布洛米尔",
	["Brunnhildar Village"] = "布伦希尔达村",
	["Bucklebree Farm"] = "巴克布雷农场",
	-- ["Budd's Dig"] = "",
	["Burning Blade Coven"] = "火刃集会所",
	["Burning Blade Ruins"] = "火刃废墟",
	["Burning Steppes"] = "燃烧平原",
	["Butcher's Stand"] = "屠夫之台",
	["Caer Darrow"] = "凯尔达隆",
	["Caldemere Lake"] = "凯德米尔湖",
	-- ["Calston Estate"] = "",
	["Camp Aparaje"] = "阿帕拉耶营地",
	-- ["Camp Ataya"] = "",
	["Camp Boff"] = "博夫营地",
	["Camp Cagg"] = "卡格营地",
	["Camp E'thok"] = "伊索克营地",
	-- ["Camp Everstill"] = "",
	["Camp Kosh"] = "柯什营地",
	["Camp Mojache"] = "莫沙彻营地",
	-- ["Camp Mojache Longhouse"] = "",
	["Camp Narache"] = "纳拉其营地",
	-- ["Camp Onequah"] = "",
	["Camp Oneqwah"] = "欧尼瓦营地",
	-- ["Camp Sungraze"] = "",
	["Camp Tunka'lo"] = "唐卡洛营地",
	-- ["Camp Una'fe"] = "",
	["Camp Winterhoof"] = "冬蹄营地",
	["Camp Wurg"] = "瓦格营地",
	["Camp of Boom"] = "砰砰博士的营地",
	Canals = "运河",
	-- ["Cannon's Inferno"] = "",
	["Cantrips & Crows"] = "咒语和乌鸦旅店",
	-- ["Cape of Lost Hope"] = "",
	-- ["Cape of Stranglethorn"] = "",
	["Capital Gardens"] = "中心花园",
	["Carrion Hill"] = "腐臭山",
	["Cartier & Co. Fine Jewelry"] = "卡蒂亚珠宝店",
	-- Cataclysm = "",
	-- ["Cathedral Quarter"] = "",
	["Cathedral Square"] = "教堂广场",
	["Cathedral of Darkness"] = "黑暗大教堂",
	["Cathedral of Light"] = "光明大教堂",
	["Cauldros Isle"] = "考杜斯岛",
	["Cave of Mam'toth"] = "犸托斯洞穴",
	["Cavern of Mists"] = "迷雾洞穴",
	["Caverns of Time"] = "时光之穴",
	["Celestial Ridge"] = "苍穹之脊",
	["Cenarion Enclave"] = "塞纳里奥区",
	["Cenarion Hold"] = "塞纳里奥要塞",
	["Cenarion Post"] = "塞纳里奥哨站",
	["Cenarion Refuge"] = "塞纳里奥庇护所",
	["Cenarion Thicket"] = "塞纳里奥树林",
	["Cenarion Watchpost"] = "塞纳里奥岗哨",
	-- ["Cenarion Wildlands"] = "",
	["Central Bridge"] = "中部桥梁",
	["Chamber of Ancient Relics"] = "上古遗产大厅",
	["Chamber of Atonement"] = "忏悔室",
	["Chamber of Battle"] = "战斗之厅",
	["Chamber of Blood"] = "鲜血之厅",
	["Chamber of Command"] = "命令大厅",
	["Chamber of Enchantment"] = "魔法之厅",
	-- ["Chamber of Fanatics"] = "",
	-- ["Chamber of Incineration"] = "",
	-- ["Chamber of Prophecy"] = "",
	-- ["Chamber of Respite"] = "",
	["Chamber of Summoning"] = "召唤大厅",
	["Chamber of the Aspects"] = "龙神之厅",
	["Chamber of the Dreamer"] = "沉睡者之厅",
	-- ["Chamber of the Moon"] = "",
	["Chamber of the Restless"] = "无眠者之厅",
	-- ["Chamber of the Stars"] = "",
	-- ["Chamber of the Sun"] = "",
	["Champion's Hall"] = "勇士大厅",
	["Champions' Hall"] = "勇士大厅",
	["Chapel Gardens"] = "教堂花园",
	["Chapel Yard"] = "礼拜堂广场",
	["Chapel of the Crimson Flame"] = "赤色烈焰礼拜堂",
	-- ["Charred Outpost"] = "",
	["Charred Rise"] = "焦土高地",
	["Chill Breeze Valley"] = "寒风峡谷",
	["Chillmere Coast"] = "切米尔海岸",
	["Chillwind Camp"] = "寒风营地",
	["Chillwind Point"] = "冰风岗",
	-- Chiselgrip = "",
	["Churning Gulch"] = "沸土峡谷",
	["Circle of Blood"] = "鲜血之环",
	["Circle of Blood Arena"] = "鲜血之环竞技场",
	["Circle of East Binding"] = "东部禁锢法阵",
	["Circle of Inner Binding"] = "内禁锢法阵",
	["Circle of Outer Binding"] = "外禁锢法阵",
	-- ["Circle of Thorns"] = "",
	["Circle of West Binding"] = "西部禁锢法阵",
	["Circle of Wills"] = "意志竞技场",
	City = "城市",
	["City of Ironforge"] = "铁炉堡",
	["Clan Watch"] = "氏族岗哨",
	["Cleft of Shadow"] = "暗影裂口",
	["Cliffspring Falls"] = "峭壁之泉",
	-- ["Cliffspring Hollow"] = "",
	["Cliffspring River"] = "壁泉河",
	-- ["Cliffwalker Post"] = "",
	-- ["Cloudtop Terrace"] = "",
	["Coast of Echoes"] = "回音海岸",
	["Coast of Idols"] = "巨像海岸",
	-- ["Coilfang - The Slave Pens Entrance"] = "",
	-- ["Coilfang - The Steamvault Entrance"] = "",
	-- ["Coilfang - The Underbog Entrance"] = "",
	["Coilfang Reservoir"] = "盘牙水库",
	-- ["Coilfang: Serpentshrine Cavern"] = "",
	-- ["Coilfang: The Slave Pens"] = "",
	-- ["Coilfang: The Steamvault"] = "",
	-- ["Coilfang: The Underbog"] = "",
	["Coilskar Cistern"] = "库斯卡水池",
	["Coilskar Point"] = "库斯卡岗哨",
	["Cold Hearth Manor"] = "炉灰庄园",
	Coldarra = "考达拉",
	-- ["Coldarra Ledge"] = "",
	["Coldridge Pass"] = "寒脊山小径",
	["Coldridge Valley"] = "寒脊山谷",
	["Coldrock Quarry"] = "冷石采掘场",
	["Coldtooth Mine"] = "冷齿矿洞",
	["Coldwind Heights"] = "冷风高地",
	["Coldwind Pass"] = "冷风小径",
	-- ["Collin's Test"] = "",
	["Command Center"] = "指挥中心",
	["Commons Hall"] = "平民大厅",
	-- ["Condemned Halls"] = "",
	["Conquest Hold"] = "征服堡",
	["Containment Core"] = "密封核心",
	["Cooper Residence"] = "桶屋",
	-- ["Coral Garden"] = "",
	-- ["Cordell's Enchanting"] = "",
	["Corin's Crossing"] = "考林路口",
	["Corp'rethar: The Horror Gate"] = "恐惧之门科雷萨",
	["Corrahn's Dagger"] = "考兰之匕",
	Cosmowrench = "扳钳镇",
	["Court of the Highborne"] = "上层精灵庭院",
	["Court of the Sun"] = "逐日王庭",
	["Courtyard of the Ancients"] = "远古庭院",
	-- ["Cradle of the Ancients"] = "",
	["Craftsmen's Terrace"] = "工匠区",
	["Crag of the Everliving"] = "永生峭壁",
	["Cragpool Lake"] = "峭壁湖",
	["Crash Site"] = "坠毁点",
	["Crescent Hall"] = "新月大厅",
	-- ["Crimson Expanse"] = "",
	["Crimson Watch"] = "火红岗哨",
	Crossroads = "十字路口",
	-- ["Crowley Orchard"] = "",
	-- ["Crowley Stable Grounds"] = "",
	["Crown Guard Tower"] = "皇冠哨塔",
	-- ["Crucible of Carnage"] = "",
	-- ["Crumbling Depths"] = "",
	-- ["Crumbling Stones"] = "",
	["Crusader Forward Camp"] = "北伐军前线营地",
	["Crusader Outpost"] = "十字军前哨",
	["Crusader's Armory"] = "十字军武器库",
	["Crusader's Chapel"] = "十字军礼拜堂",
	["Crusader's Landing"] = "十字军码头",
	["Crusader's Outpost"] = "十字军前哨",
	-- ["Crusader's Run"] = "",
	["Crusader's Spire"] = "北伐军之巅",
	["Crusaders' Pinnacle"] = "北伐军之峰",
	["Crusaders' Square"] = "十字军广场",
	-- Crushblow = "",
	-- ["Crushcog's Arsenal"] = "",
	["Crushridge Hold"] = "破碎岭城堡",
	Crypt = "墓穴",
	["Crypt of Remembrance"] = "纪念地穴",
	["Crystal Lake"] = "水晶湖",
	["Crystal Spine"] = "水晶之脊",
	["Crystalline Quarry"] = "水晶挖掘场",
	["Crystalsong Forest"] = "晶歌森林",
	["Crystalvein Mine"] = "水晶矿洞",
	["Crystalweb Cavern"] = "水晶蛛网洞穴",
	["Curiosities & Moore"] = "摩尔珍品店",
	-- ["Cursed Depths"] = "",
	["Cursed Hollow"] = "诅咒洞窟",
	["Cut-Throat Alley"] = "割喉小巷",
	-- ["Cyclone Summit"] = "",
	-- ["D-Block"] = "",
	["D.E.H.T.A. Encampment"] = "仁德会营地",
	["Dabyrie's Farmstead"] = "达比雷农场",
	-- ["Dagger Pass"] = "",
	["Daggercap Bay"] = "匕鞘湾",
	["Daggerfen Village"] = "匕潭村",
	["Daggermaw Canyon"] = "刃喉谷",
	Dalaran = "达拉然",
	["Dalaran Arena"] = "达拉然竞技场",
	["Dalaran City"] = "达拉然城",
	["Dalaran Crater"] = "达拉然巨坑",
	["Dalaran Floating Rocks"] = "达拉然浮石",
	["Dalaran Island"] = "达拉然岛",
	["Dalaran Merchant's Bank"] = "达拉然商业银行",
	-- ["Dalaran Sewers"] = "",
	["Dalaran Visitor Center"] = "达拉然访客中心",
	-- ["Dalson's Farm"] = "",
	-- ["Damplight Cavern"] = "",
	-- ["Damplight Chamber"] = "",
	["Dandred's Fold"] = "达伦德农场",
	["Dargath's Demise"] = "达加斯的行刑场",
	["Dark Iron Highway"] = "黑铁大道",
	-- ["Darkbreak Cove"] = "",
	["Darkcloud Pinnacle"] = "黑云峰",
	["Darkcrest Enclave"] = "暗潮营地",
	["Darkcrest Shore"] = "暗潮湖岸",
	["Darkmist Cavern"] = "黑雾洞穴",
	-- ["Darkmist Ruins"] = "",
	Darkshire = "夜色镇",
	["Darkshire Town Hall"] = "夜色镇大厅",
	Darkshore = "黑海岸",
	-- ["Darkspear Hold"] = "",
	-- ["Darkspear Isle"] = "",
	-- ["Darkspear Shore"] = "",
	["Darkspear Strand"] = "暗矛海滩",
	-- ["Darkspear Training Grounds"] = "",
	["Darkwhisper Gorge"] = "暗语峡谷",
	-- ["Darkwhisper Pass"] = "",
	-- ["Darnassian Base Camp"] = "",
	Darnassus = "达纳苏斯",
	["Darrow Hill"] = "达隆山",
	["Darrowmere Lake"] = "达隆米尔湖",
	Darrowshire = "达隆郡",
	-- ["Darrowshire Hunting Grounds"] = "",
	-- ["Darsok's Outpost"] = "",
	["Dawn's Reach"] = "黎明河滩",
	["Dawning Lane"] = "黎明之路",
	["Dawning Wood Catacombs"] = "晨光之林墓穴",
	-- ["Dawnrise Expedition"] = "",
	["Dawnstar Spire"] = "晨星之塔",
	["Dawnstar Village"] = "晨星村",
	["Dead Man's Hole"] = "亡者之穴",
	["Deadeye Shore"] = "死眼海岸",
	["Deadman's Crossing"] = "死者十字",
	-- Deadmines = "",
	["Deadwind Pass"] = "逆风小径",
	["Deadwind Ravine"] = "逆风谷",
	["Deadwood Village"] = "死木村",
	-- ["Death Cultist Base Camp"] = "",
	["Death's Breach"] = "死亡裂口",
	["Death's Door"] = "死亡之门",
	["Death's Hand Encampment"] = "死亡之手营地",
	["Death's Rise"] = "死亡高地",
	["Death's Stand"] = "死亡营地",
	-- ["Death's Step"] = "",
	-- ["Death's Watch Waystation"] = "",
	["Deathbringer's Rise"] = "死亡使者高岗",
	["Deathforge Tower"] = "死亡熔炉哨塔",
	Deathknell = "丧钟镇",
	Deatholme = "戴索姆",
	["Deathspeaker's Watch"] = "亡语者岗哨",
	-- ["Deathwing's Fall"] = "",
	-- ["Deep Blue Observatory"] = "",
	["Deep Elem Mine"] = "埃利姆矿洞",
	-- ["Deepfin Ridge"] = "",
	-- Deepholm = "",
	-- ["Deephome Ceiling"] = "",
	-- ["Deepmist Grotto"] = "",
	["Deeprun Tram"] = "矿道地铁",
	["Deepwater Tavern"] = "深水旅店",
	["Defias Hideout"] = "迪菲亚盗贼巢穴",
	["Defiler's Den"] = "污染者之穴",
	["Demon Fall Canyon"] = "屠魔峡谷",
	["Demon Fall Ridge"] = "屠魔山",
	["Demont's Place"] = "迪蒙特荒野",
	["Den of Dying"] = "亡者之穴",
	["Den of Haal'esh"] = "哈尔什巢穴",
	["Den of Iniquity"] = "邪恶之巢",
	["Den of Mortal Delights"] = "欢愉之园",
	["Den of Sseratus"] = "西莱图斯之穴",
	["Den of the Caller"] = "召唤者之穴",
	-- ["Den of the Devourer"] = "",
	-- ["Den of the Disciples"] = "",
	["Den of the Unholy"] = "邪恶洞穴",
	["Derelict Caravan"] = "被遗弃的篷车",
	["Derelict Manor"] = "荒弃的庄园",
	["Derelict Strand"] = "荒弃海岸",
	["Designer Island"] = "Designer Island",
	Desolace = "凄凉之地",
	-- ["Desolation Hold"] = "",
	["Detention Block"] = "禁闭室",
	["Development Land"] = "Development Land",
	["Diamondhead River"] = "钻石河",
	["Dig One"] = "一号挖掘场",
	["Dig Three"] = "三号挖掘场",
	["Dig Two"] = "二号挖掘场",
	["Dire Maul"] = "厄运之槌",
	-- ["Dire Maul - Capital Gardens Entrance"] = "",
	-- ["Dire Maul - Gordok Commons Entrance"] = "",
	-- ["Dire Maul - Warpwood Quarter Entrance"] = "",
	-- ["Dire Strait"] = "",
	["Direforge Hill"] = "恶铁岭",
	["Direhorn Post"] = "恐角岗哨",
	Docks = "港口",
	Dolanaar = "多兰纳尔",
	["Donna's Kitty Shack"] = "冬娜的小猫乐园",
	-- ["Doom's Vigil"] = "",
	["Dorian's Outpost"] = "多里安哨站",
	["Draco'dar"] = "德拉考达尔",
	["Draenei Ruins"] = "德莱尼废墟",
	["Draenethyst Mine"] = "德拉诺晶矿",
	["Draenil'dur Village"] = "德莱尼村",
	["Dragon's Fall"] = "猎龙营地",
	-- ["Dragon's Mouth"] = "",
	Dragonblight = "龙骨荒野",
	["Dragonflayer Pens"] = "掠龙围栏",
	["Dragonmaw Base Camp"] = "龙喉营地",
	-- ["Dragonmaw Flag Room"] = "",
	-- ["Dragonmaw Forge"] = "",
	["Dragonmaw Fortress"] = "龙喉要塞",
	["Dragonmaw Garrison"] = "龙喉兵营",
	["Dragonmaw Gates"] = "龙喉大门",
	-- ["Dragonmaw Pass"] = "",
	-- ["Dragonmaw Port"] = "",
	["Dragonmaw Skyway"] = "龙喉空港",
	-- ["Dragonmaw Stronghold"] = "",
	["Dragons' End"] = "巨龙之末",
	["Dragonspine Peaks"] = "龙脊之巅",
	["Dragonspine Ridge"] = "龙脊岭",
	["Dragonspine Tributary"] = "龙脊河",
	["Dragonspire Hall"] = "龙塔大厅",
	["Drak'Agal"] = "达克迦尔",
	["Drak'Mabwa"] = "达克玛瓦",
	["Drak'Mar Lake"] = "达克玛尔湖",
	["Drak'Sotra"] = "达克索塔",
	["Drak'Sotra Fields"] = "达克索塔农田",
	["Drak'Tharon Keep"] = "达克萨隆要塞",
	-- ["Drak'Tharon Keep Entrance"] = "",
	["Drak'Tharon Overlook"] = "达克萨隆悬崖",
	["Drak'atal Passage"] = "达克阿塔小径",
	["Drak'ural"] = "达克乌拉",
	-- ["Draka's Fury"] = "",
	["Drakil'jin Ruins"] = "达基尔金废墟",
	["Draknid Lair"] = "达克尼尔虫巢",
	-- ["Dreadmaul Furnace"] = "",
	["Dreadmaul Hold"] = "巨槌要塞",
	["Dreadmaul Post"] = "巨槌岗哨",
	["Dreadmaul Rock"] = "巨槌石",
	-- ["Dreadmist Camp"] = "",
	["Dreadmist Den"] = "鬼雾兽穴",
	["Dreadmist Peak"] = "鬼雾峰",
	["Dreadmurk Shore"] = "恐惧海岸",
	-- ["Dreadwatch Outpost"] = "",
	["Dream Bough"] = "梦境之树",
	-- ["Dreamer's Rest"] = "",
	["Dreamer's Rock"] = "美梦石",
	-- Drudgetown = "",
	["Drygulch Ravine"] = "枯水谷",
	["Drywhisker Gorge"] = "枯须峡谷",
	["Dubra'Jin"] = "杜布拉金",
	["Dun Algaz"] = "丹奥加兹",
	["Dun Argol"] = "丹厄古尔",
	["Dun Baldar"] = "丹巴达尔",
	["Dun Baldar Pass"] = "丹巴达尔小径",
	["Dun Baldar Tunnel"] = "丹巴达尔隧道",
	["Dun Garok"] = "丹加洛克",
	["Dun Mandarr"] = "丹曼达尔",
	["Dun Modr"] = "丹莫德",
	["Dun Morogh"] = "丹莫罗",
	["Dun Niffelem"] = "丹尼芬雷",
	["Dunemaul Compound"] = "砂槌营地",
	-- ["Dunemaul Recruitment Camp"] = "",
	-- ["Dunwald Holdout"] = "",
	-- ["Dunwald Hovel"] = "",
	-- ["Dunwald Market Row"] = "",
	-- ["Dunwald Ruins"] = "",
	-- ["Dunwald Town Square"] = "",
	["Durnholde Keep"] = "敦霍尔德城堡",
	Durotar = "杜隆塔尔",
	-- Duskhaven = "",
	["Duskhowl Den"] = "暗嚎兽穴",
	-- ["Duskmist Shore"] = "",
	["Duskwither Grounds"] = "达斯维瑟广场",
	["Duskwither Spire"] = "达斯维瑟之塔",
	Duskwood = "暮色森林",
	["Dustbelch Grotto"] = "火山洞穴",
	["Dustfire Valley"] = "尘火谷",
	["Dustquill Ravine"] = "尘羽峡谷",
	["Dustwallow Bay"] = "尘泥海湾",
	["Dustwallow Marsh"] = "尘泥沼泽",
	["Dustwind Cave"] = "尘风洞穴",
	-- ["Dustwind Dig"] = "",
	["Dustwind Gulch"] = "尘风峡谷",
	["Dwarven District"] = "矮人区",
	["Eagle's Eye"] = "鹰眼之台",
	["Earth Song Falls"] = "地歌瀑布",
	-- ["Earthshatter Cavern"] = "",
	["East Garrison"] = "东区兵营",
	["East Pillar"] = "东部石柱",
	["East Sanctum"] = "东部圣殿",
	-- ["East Spire"] = "",
	["East Supply Caravan"] = "东补给车队",
	["Eastern Bridge"] = "东部桥梁",
	["Eastern Kingdoms"] = "东部王国",
	["Eastern Plaguelands"] = "东瘟疫之地",
	["Eastern Strand"] = "东部海滩",
	["Eastmoon Ruins"] = "东月废墟",
	-- ["Eastpoint Tower"] = "",
	["Eastspark Workshop"] = "东部火花车间",
	["Eastvale Logging Camp"] = "东谷伐木场",
	["Eastwall Gate"] = "东墙大门",
	["Eastwall Tower"] = "东墙哨塔",
	["Eastwind Shore"] = "东风海岸",
	-- ["Ebon Hold"] = "",
	["Ebon Watch"] = "黑锋哨站",
	["Echo Cove"] = "回音湾",
	["Echo Isles"] = "回音群岛",
	["Echo Reach"] = "回音海滩",
	["Echo Ridge Mine"] = "回音山矿洞",
	["Echomok Cavern"] = "艾卡默克洞穴",
	["Eclipse Point"] = "日蚀岗哨",
	["Eclipsion Fields"] = "日蚀平原",
	["Eco-Dome Farfield"] = "边缘生态圆顶",
	["Eco-Dome Midrealm"] = "中央生态圆顶",
	["Eco-Dome Skyperch"] = "高空生态圆顶",
	["Eco-Dome Sutheron"] = "苏瑟伦生态圆顶",
	["Elder Rise"] = "长者高地",
	["Elders' Square"] = "长者广场",
	["Eldreth Row"] = "艾德雷斯区",
	["Eldritch Heights"] = "埃尔德齐断崖",
	["Elemental Plateau"] = "元素高地",
	-- ["Elementium Depths"] = "",
	Elevator = "升降梯",
	["Elrendar Crossing"] = "艾伦达尔桥",
	["Elrendar Falls"] = "艾伦达尔瀑布",
	["Elrendar River"] = "艾尔伦达河",
	["Elwynn Forest"] = "艾尔文森林",
	["Ember Clutch"] = "灰烬龙巢",
	["Ember Spear Tower"] = "灰烬长矛塔楼",
	Emberglade = "灰烬林地",
	-- ["Emberstone Mine"] = "",
	-- ["Emberstone Village"] = "",
	["Emberstrife's Den"] = "埃博斯塔夫之穴",
	["Emerald Dragonshrine"] = "翡翠巨龙圣地",
	-- ["Emerald Dream"] = "",
	["Emerald Forest"] = "翠叶森林",
	["Emerald Sanctuary"] = "翡翠圣地",
	["Engine of the Makers"] = "造物者引擎",
	["Engineering Labs"] = "工程实验室",
	["Ethel Rethor"] = "艾瑟雷索",
	["Ethereum Staging Grounds"] = "复仇军前沿基地",
	["Evergreen Trading Post"] = "常青商栈",
	Evergrove = "常青林",
	Everlook = "永望镇",
	["Eversong Woods"] = "永歌森林",
	["Excavation Center"] = "挖掘中心",
	["Excavation Lift"] = "挖掘场升降梯",
	["Expedition Armory"] = "远征军物资库",
	["Expedition Base Camp"] = "远征军营地",
	["Expedition Point"] = "远征军岗哨",
	-- ["Explorers' League Digsite"] = "",
	["Explorers' League Outpost"] = "探险者协会哨站",
	["Eye of the Storm"] = "风暴之眼",
	["Fairbreeze Village"] = "晴风村",
	["Fairbridge Strand"] = "玉桥海滩",
	["Falcon Watch"] = "猎鹰岗哨",
	-- ["Falconwing Inn"] = "",
	["Falconwing Square"] = "鹰翼广场",
	["Faldir's Cove"] = "法迪尔海湾",
	["Falfarren River"] = "弗伦河",
	["Fall of Return"] = "回归瀑布",
	["Fallen Sky Lake"] = "坠星湖",
	["Fallen Sky Ridge"] = "坠星山",
	["Fallen Temple of Ahn'kahet"] = "坍塌的安卡赫特神殿",
	["Fallow Sanctuary"] = "农田避难所",
	-- ["Fallowmere Inn"] = "",
	["Falls of Ymiron"] = "伊米隆瀑布",
	["Falthrien Academy"] = "法瑟林学院",
	-- Familiars = "",
	["Faol's Rest"] = "法奥之墓",
	["Far Watch Post"] = "前沿哨所",
	-- ["Fargaze Mesa"] = "",
	["Fargodeep Mine"] = "法戈第矿洞",
	Farm = "农场",
	Farshire = "致远郡",
	["Farshire Fields"] = "致远郡农场",
	["Farshire Lighthouse"] = "致远郡灯塔",
	["Farshire Mine"] = "致远郡矿洞",
	-- ["Farson Hold"] = "",
	["Farstrider Enclave"] = "远行者营地",
	["Farstrider Lodge"] = "旅行者营地",
	["Farstrider Retreat"] = "远行者居所",
	["Farstriders' Enclave"] = "远行者营地",
	["Farstriders' Square"] = "远行者广场",
	-- ["Farwatcher's Glen"] = "",
	["Featherbeard's Hovel"] = "羽须小屋",
	-- Feathermoon = "",
	["Feathermoon Stronghold"] = "羽月要塞",
	["Fel Reaver Ruins"] = "魔能机甲废墟",
	["Fel Rock"] = "地狱石",
	["Felfire Hill"] = "冥火岭",
	["Felpaw Village"] = "魔爪村",
	["Felspark Ravine"] = "魔火峡谷",
	["Felstone Field"] = "费尔斯通农场",
	Felwood = "费伍德森林",
	["Fenris Isle"] = "芬里斯岛",
	["Fenris Keep"] = "芬里斯城堡",
	["Feral Scar Vale"] = "深痕谷",
	Feralas = "菲拉斯",
	["Feralfen Village"] = "蛮沼村",
	["Festering Pools"] = "溃烂之池",
	["Festival Lane"] = "节日小道",
	["Feth's Way"] = "菲斯小径",
	["Field of Strife"] = "征战平原",
	-- ["Fields of Blood"] = "",
	-- ["Fields of Honor"] = "",
	-- Filming = "",
	["Fire Plume Ridge"] = "火羽山",
	["Fire Scar Shrine"] = "火痕神殿",
	["Fire Stone Mesa"] = "火石台地",
	-- ["Firebeard Cemetery"] = "",
	-- ["Firebeard's Patrol"] = "",
	-- ["Firegut Furnace"] = "",
	-- Firelands = "",
	-- ["Firelands Forgeworks"] = "",
	-- ["Firelands Hatchery"] = "",
	-- ["Fireplume Peak"] = "",
	-- ["Fireplume Trench"] = "",
	-- ["Firestone Point"] = "",
	["Firewatch Ridge"] = "观火岭",
	["Firewing Point"] = "火翼岗哨",
	-- ["First Bank of Kezan"] = "",
	["First Legion Forward Camp"] = "第一军团前线营地",
	["First to Your Aid"] = "急你所急",
	-- ["Fishing Village"] = "",
	["Fizzcrank Airstrip"] = "菲兹兰克机场",
	["Fizzcrank Pumping Station"] = "菲兹兰克泵站",
	-- ["Fizzle & Pozzik's Speedbarge"] = "",
	["Fjorn's Anvil"] = "弗约恩之砧",
	["Flame Crest"] = "烈焰峰",
	-- Flamebreach = "",
	-- ["Flamestar Post"] = "",
	["Flamewatch Tower"] = "火光塔楼",
	-- ["Flavor - Stormwind Harbor - Stop"] = "",
	-- ["Fleshrender's Workshop"] = "",
	["Foothold Citadel"] = "塞拉摩堡垒",
	["Footman's Armory"] = "步兵武器库",
	["Force Interior"] = "内室",
	["Fordragon Hold"] = "弗塔根要塞",
	["Forest Song"] = "林歌神殿",
	["Forest's Edge"] = "林边空地",
	["Forest's Edge Post"] = "林边哨站",
	["Forge Base: Gehenna"] = "铸魔基地：炼狱",
	["Forge Base: Oblivion"] = "铸魔基地：湮灭",
	["Forge Camp: Anger"] = "铸魔营地：怒火",
	["Forge Camp: Fear"] = "铸魔营地：畏惧",
	["Forge Camp: Hate"] = "铸魔营地：仇恨",
	["Forge Camp: Mageddon"] = "铸魔营地：暴虐",
	["Forge Camp: Rage"] = "铸魔营地：狂乱",
	["Forge Camp: Terror"] = "铸魔营地：恐怖",
	["Forge Camp: Wrath"] = "铸魔营地：天罚",
	["Forge of Fate"] = "命运熔炉",
	["Forgewright's Tomb"] = "铸铁之墓",
	-- ["Forgotten Hill"] = "",
	["Forlorn Cloister"] = "遗忘回廊",
	["Forlorn Ridge"] = "凄凉山",
	["Forlorn Rowe"] = "荒弃鬼屋",
	-- ["Forlorn Spire"] = "",
	["Forlorn Woods"] = "绝望之林",
	["Formation Grounds"] = "练兵场",
	-- ["Forsaken Forward Command"] = "",
	-- ["Forsaken High Command"] = "",
	-- ["Forsaken Rear Guard"] = "",
	-- ["Fort Livingston"] = "",
	-- ["Fort Triumph"] = "",
	["Fort Wildervar"] = "维德瓦堡垒",
	-- ["Fortune's Fist"] = "",
	-- ["Forward Command"] = "",
	["Foulspore Cavern"] = "毒菇洞穴",
	-- ["Fractured Front"] = "",
	["Fray Island"] = "勇士岛",
	["Frayfeather Highlands"] = "乱羽高地",
	-- ["Frazzlecraz Motherlode"] = "",
	["Freewind Post"] = "乱风岗",
	["Frenzyheart Hill"] = "狂心岭",
	["Frenzyheart River"] = "狂心河",
	["Frigid Breach"] = "冰冷裂口",
	["Frost Dagger Pass"] = "霜刀小径",
	["Frostblade Pass"] = "霜刃小径",
	["Frostblade Peak"] = "霜刃峰",
	-- ["Frostclaw Den"] = "",
	["Frostfield Lake"] = "霜原湖",
	["Frostfire Hot Springs"] = "冰火温泉",
	["Frostfloe Deep"] = "浮冰深渊",
	["Frostgrip's Hollow"] = "霜握的洞穴",
	Frosthold = "冰霜堡",
	["Frosthowl Cavern"] = "霜嚎洞穴",
	-- ["Frostmane Front"] = "",
	["Frostmane Hold"] = "霜鬃巨魔要塞",
	-- ["Frostmane Retreat"] = "",
	Frostmourne = "霜之哀伤",
	["Frostmourne Cavern"] = "霜之哀伤洞穴",
	["Frostsaber Rock"] = "霜刀石",
	["Frostwhisper Gorge"] = "霜语峡谷",
	-- ["Frostwing Halls"] = "",
	["Frostwolf Graveyard"] = "霜狼墓地",
	["Frostwolf Keep"] = "霜狼要塞",
	["Frostwolf Pass"] = "霜狼小径",
	["Frostwolf Tunnel"] = "霜狼隧道",
	["Frostwolf Village"] = "霜狼村",
	["Frozen Reach"] = "冰冻平原",
	-- ["Fungal Deep"] = "",
	["Fungal Rock"] = "蘑菇石",
	["Funggor Cavern"] = "蘑菇洞",
	-- ["Furien's Post"] = "",
	["Furlbrow's Pumpkin Farm"] = "法布隆南瓜农场",
	["Furnace of Hate"] = "仇恨熔炉",
	["Furywing's Perch"] = "弗雷文栖木",
	-- Fuselight = "",
	-- ["Fuselight-by-the-Sea"] = "",
	["GM Island"] = "GM Island",
	Gadgetzan = "加基森",
	["Gahrron's Withering"] = "盖罗恩农场",
	["Galak Hold"] = "加拉克城堡",
	["Galakrond's Rest"] = "迦拉克隆之墓",
	["Galardell Valley"] = "加拉德尔山谷",
	-- ["Galen's Fall"] = "",
	-- ["Galerek's Remorse"] = "",
	-- ["Galewatch Lighthouse"] = "",
	["Gallery of Treasures"] = "珍宝陈列室",
	["Gallows' Corner"] = "绞刑场",
	["Gallows' End Tavern"] = "恐惧之末旅店",
	-- ["Gallywix Docks"] = "",
	-- ["Gallywix Labor Mine"] = "",
	-- ["Gallywix Pleasure Palace"] = "",
	-- ["Gallywix's Villa"] = "",
	-- ["Gallywix's Yacht"] = "",
	-- ["Galus' Chamber"] = "",
	["Gamesman's Hall"] = "象棋大厅",
	Gammoth = "迦莫斯",
	-- ["Gar'gol's Hovel"] = "",
	Garadar = "加拉达尔",
	Garm = "加姆",
	["Garm's Bane"] = "加姆雷区",
	["Garm's Rise"] = "加姆高地",
	["Garren's Haunt"] = "加伦鬼屋",
	["Garrison Armory"] = "要塞军械库",
	["Garrosh's Landing"] = "加尔鲁什码头",
	["Garvan's Reef"] = "加维暗礁",
	["Gate of Echoes"] = "回音之门",
	-- ["Gate of Hamatep"] = "",
	["Gate of Lightning"] = "闪电之门",
	["Gate of the Blue Sapphire"] = "蓝玉之门",
	["Gate of the Green Emerald"] = "翡翠之门",
	["Gate of the Purple Amethyst"] = "紫晶之门",
	["Gate of the Red Sun"] = "红日之门",
	["Gate of the Yellow Moon"] = "金月之门",
	["Gates of Ahn'Qiraj"] = "安其拉之门",
	["Gates of Ironforge"] = "铁炉堡大门",
	-- ["Gates of Sothann"] = "",
	["Gauntlet of Flame"] = "烈焰通道",
	["Gavin's Naze"] = "加文高地",
	["Geezle's Camp"] = "吉兹尔的营地",
	["Gelkis Village"] = "吉尔吉斯村",
	-- ["General Goods"] = "",
	["General's Terrace"] = "将军平台",
	["Ghost Walker Post"] = "幽灵岗哨",
	["Ghostblade Post"] = "幽刃岗哨",
	Ghostlands = "幽魂之地",
	-- ["Giant's Run"] = "",
	["Giants' Run"] = "巨人平原",
	["Gillijim's Isle"] = "吉利吉姆之岛",
	-- ["Gilnean Coast"] = "",
	-- ["Gilnean Stronghold"] = "",
	-- Gilneas = "",
	-- ["Gilneas City"] = "",
	-- ["Gilneas Liberation Front Base Camp"] = "",
	["Gimorak's Den"] = "基莫拉克之巢",
	Gjalerbron = "亚勒伯龙",
	Gjalerhorn = "亚勒霍恩",
	["Glacial Falls"] = "冰川瀑布",
	["Glimmer Bay"] = "幽光海湾",
	-- ["Glimmerdeep Gorge"] = "",
	["Glittering Strand"] = "灿烂海岸",
	-- ["Glopgut's Hollow"] = "",
	["Glorious Goods"] = "荣耀杂货店",
	-- Glory = "",
	["Gnarlpine Hold"] = "脊骨堡",
	-- ["Gnaws' Boneyard"] = "",
	Gnomeregan = "诺莫瑞根",
	["Go'Shek Farm"] = "格沙克农场",
	["Goblin Foundry"] = "地精锻造厂",
	-- ["Goblin Slums"] = "",
	["Gol'Bolar Quarry"] = "古博拉采掘场",
	["Gol'Bolar Quarry Mine"] = "古博拉矿场",
	["Golakka Hot Springs"] = "葛拉卡温泉",
	["Gold Coast Quarry"] = "金海岸矿洞",
	["Gold Mine"] = "矿洞",
	["Gold Road"] = "黄金之路",
	["Golden Strand"] = "金色沙滩",
	["Goldenbough Pass"] = "金枝小径",
	["Goldenmist Village"] = "金雾村",
	Goldshire = "闪金镇",
	-- ["Goldtooth's Den"] = "",
	-- ["Goodgrub Smoking Pit"] = "",
	["Gor'gaz Outpost"] = "高加兹前哨",
	["Gordok's Seat"] = "戈多克的王座",
	["Gordunni Outpost"] = "戈杜尼前哨站",
	["Gorefiend's Vigil"] = "血魔之厅",
	Gornia = "戈尼亚",
	-- ["Gorrok's Lament"] = "",
	-- ["Gorshak War Camp"] = "",
	["Grand Magister's Asylum"] = "大魔导师的圣堂",
	["Grand Promenade"] = "壮丽步道",
	["Grangol'var Village"] = "格兰戈瓦村",
	["Granite Springs"] = "岩石之泉",
	["Greatwood Vale"] = "巨木谷",
	["Greengill Coast"] = "绿鳃海岸",
	["Greenpaw Village"] = "绿爪村",
	-- ["Greenwarden's Grove"] = "",
	-- ["Greymane Court"] = "",
	-- ["Greymane Manor"] = "",
	["Grim Batol"] = "格瑞姆巴托",
	-- ["Grim Batol Entrance"] = "",
	["Grimesilt Dig Site"] = "煤渣挖掘场",
	["Grimtotem Compound"] = "恐怖图腾营地",
	["Grimtotem Post"] = "恐怖图腾岗哨",
	Grishnath = "格里施纳",
	Grizzlemaw = "灰喉堡",
	["Grizzlepaw Ridge"] = "灰爪山",
	["Grizzly Hills"] = "灰熊丘陵",
	["Grol'dom Farm"] = "格罗多姆农场",
	-- ["Grolluk's Grave"] = "",
	["Grom'arsh Crash-Site"] = "格罗玛什坠毁点",
	-- ["Grom'gol"] = "",
	["Grom'gol Base Camp"] = "格罗姆高营地",
	["Grommash Hold"] = "格罗玛什堡垒",
	["Grosh'gok Compound"] = "格罗高克营地",
	-- ["Grove of Aessina"] = "",
	["Grove of the Ancients"] = "古树之林",
	["Growless Cave"] = "无草洞",
	["Gruul's Lair"] = "格鲁尔的巢穴",
	-- ["Gryphon Roost"] = "",
	["Guardian's Library"] = "守护者的图书馆",
	Gundrak = "古达克",
	-- ["Gundrak Entrance"] = "",
	-- ["Gunstan's Dig"] = "",
	["Gunstan's Post"] = "古斯坦的哨岗",
	["Gunther's Retreat"] = "冈瑟尔的居所",
	-- ["Gurboggle's Ledge"] = "",
	["Gurubashi Arena"] = "古拉巴什竞技场",
	["Gyro-Plank Bridge"] = "机械桥",
	["Haal'eshi Gorge"] = "哈尔什峡谷",
	["Hadronox's Lair"] = "哈多诺克斯之巢",
	-- ["Hailwood Marsh"] = "",
	Halaa = "哈兰",
	["Halaani Basin"] = "哈兰盆地",
	-- ["Halcyon Egress"] = "",
	["Haldarr Encampment"] = "哈达尔营地",
	Halgrind = "哈尔格林德",
	["Hall of Arms"] = "武器大厅",
	["Hall of Binding"] = "禁锢之厅",
	["Hall of Blackhand"] = "黑手大厅",
	["Hall of Blades"] = "剑刃大厅",
	["Hall of Bones"] = "白骨大厅",
	["Hall of Champions"] = "勇士大厅",
	["Hall of Command"] = "命令大厅",
	["Hall of Crafting"] = "工艺之厅",
	["Hall of Departure"] = "离别大厅",
	["Hall of Explorers"] = "探险者大厅",
	["Hall of Faces"] = "千面大厅",
	["Hall of Horrors"] = "恐惧大厅",
	["Hall of Legends"] = "传说大厅",
	["Hall of Masks"] = "面具大厅",
	["Hall of Memories"] = "回忆大厅",
	["Hall of Mysteries"] = "秘法大厅",
	["Hall of Repose"] = "安眠大厅",
	["Hall of Return"] = "回归大厅",
	["Hall of Ritual"] = "仪式大厅",
	["Hall of Secrets"] = "秘密之厅",
	["Hall of Serpents"] = "毒蛇大厅",
	["Hall of Stasis"] = "停滞大厅",
	["Hall of Twilight"] = "暮色大厅",
	["Hall of the Brave"] = "勇者大厅",
	["Hall of the Conquered Kings"] = "败降王者之厅",
	["Hall of the Crafters"] = "工匠大厅",
	["Hall of the Crusade"] = "征伐大厅",
	["Hall of the Cursed"] = "诅咒大厅",
	["Hall of the Damned"] = "谴责之厅",
	["Hall of the Fathers"] = "先辈大厅",
	["Hall of the Frostwolf"] = "霜狼大厅",
	["Hall of the High Father"] = "圣父之厅",
	["Hall of the Keepers"] = "守护者大厅",
	["Hall of the Shaper"] = "塑造者之厅",
	["Hall of the Stormpike"] = "雷矛大厅",
	["Hall of the Watchers"] = "观察者大厅",
	["Halls of Anguish"] = "苦痛大厅",
	-- ["Halls of Awakening"] = "",
	["Halls of Binding"] = "束缚大厅",
	["Halls of Destruction"] = "毁灭大厅",
	["Halls of Lightning"] = "闪电大厅",
	-- ["Halls of Lightning Entrance"] = "",
	["Halls of Mourning"] = "哀悼大厅",
	-- ["Halls of Origination"] = "",
	-- ["Halls of Origination Entrance"] = "",
	["Halls of Reflection"] = "映像大厅",
	-- ["Halls of Reflection Entrance"] = "",
	["Halls of Silence"] = "沉默大厅",
	["Halls of Stone"] = "岩石大厅",
	-- ["Halls of Stone Entrance"] = "",
	["Halls of Strife"] = "征战大厅",
	["Halls of Theory"] = "学术大厅",
	["Halls of the Ancestors"] = "先祖大厅",
	["Halls of the Hereafter"] = "转生大厅",
	["Halls of the Law"] = "秩序大厅",
	["Halycon's Lair"] = "哈雷肯之巢",
	Hammerfall = "落锤镇",
	["Hammertoe's Digsite"] = "铁趾挖掘场",
	-- ["Hammond Farmstead"] = "",
	Hangar = "飞艇基地",
	["Hardknuckle Clearing"] = "硬皮旷野",
	-- ["Hardwrench Hideaway"] = "",
	["Harkor's Camp"] = "哈考尔营地",
	["Hatchet Hills"] = "战斧岭",
	Havenshire = "海文郡",
	["Havenshire Farms"] = "海文郡农场",
	["Havenshire Lumber Mill"] = "海文郡伐木场",
	["Havenshire Mine"] = "海文郡矿洞",
	["Havenshire Stables"] = "海文郡马厩",
	-- ["Hayward Fishery"] = "",
	["Headmaster's Study"] = "院长的书房",
	-- ["Heart of Destruction"] = "",
	["Heart's Blood Shrine"] = "心血神殿",
	Hearthglen = "壁炉谷",
	["Heartwood Trading Post"] = "心木商栈",
	["Heb'Drakkar"] = "赫布达卡",
	["Heb'Valok"] = "赫布瓦罗",
	["Hellfire Basin"] = "地狱火盆地",
	["Hellfire Citadel"] = "地狱火堡垒",
	-- ["Hellfire Citadel - Ramparts Entrance"] = "",
	-- ["Hellfire Citadel - The Blood Furnace Entrance"] = "",
	-- ["Hellfire Citadel - The Shattered Halls Entrance"] = "",
	-- ["Hellfire Citadel: Ramparts"] = "",
	-- ["Hellfire Citadel: The Blood Furnace"] = "",
	-- ["Hellfire Citadel: The Shattered Halls"] = "",
	["Hellfire Peninsula"] = "地狱火半岛",
	-- ["Hellfire Peninsula - Force Camp Beach Head"] = "",
	-- ["Hellfire Peninsula - Reaver's Fall"] = "",
	["Hellfire Ramparts"] = "地狱火城墙",
	-- ["Hellscream's Camp"] = "",
	-- ["Hellscream's Grasp"] = "",
	-- ["Hellscream's Watch"] = "",
	["Helm's Bed Lake"] = "盔枕湖",
	["Heroes' Vigil"] = "英雄哨岗",
	["Hetaera's Clutch"] = "赫塔拉的巢穴",
	["Hewn Bog"] = "菌杆沼泽",
	["Hibernal Cavern"] = "冬眠洞穴",
	["Hidden Path"] = "秘道",
	-- ["High Bank"] = "",
	["High Wilderness"] = "高原荒野",
	-- Highbank = "",
	-- ["Highland Forest"] = "",
	Highperch = "风巢",
	Hillsbrad = "希尔斯布莱德",
	["Hillsbrad Fields"] = "希尔斯布莱德农场",
	["Hillsbrad Foothills"] = "希尔斯布莱德丘陵",
	-- ["Hiri'watha Research Station"] = "",
	["Hive'Ashi"] = "亚什虫巢",
	["Hive'Regal"] = "雷戈虫巢",
	["Hive'Zora"] = "佐拉虫巢",
	-- ["Hogger Hill"] = "",
	["Hollowstone Mine"] = "空石矿洞",
	["Honor Hold"] = "荣耀堡",
	["Honor Hold Mine"] = "荣耀堡矿洞",
	["Honor Point"] = "荣耀岗哨",
	["Honor's Stand"] = "荣耀岗哨",
	["Honor's Tomb"] = "荣耀之墓",
	-- ["Horde Base Camp"] = "",
	["Horde Encampment"] = "部落营地",
	["Horde Keep"] = "部落要塞",
	-- ["Horde Landing"] = "",
	-- ["Horde PVP Barracks"] = "",
	["Hordemar City"] = "霍德玛尔城",
	-- ["House of Edune"] = "",
	["Howling Fjord"] = "嚎风峡湾",
	["Howling Ziggurat"] = "鬼嚎通灵塔",
	["Hrothgar's Landing"] = "洛斯加尔登陆点",
	-- ["Hull of the Foebreaker"] = "",
	-- ["Humboldt Conflagration"] = "",
	["Hunter Rise"] = "猎人高地",
	-- ["Hunter's Hill"] = "",
	["Huntress of the Sun"] = "太阳女猎手",
	["Huntsman's Cloister"] = "猎手回廊",
	Hyjal = "海加尔山",
	-- ["Hyjal Barrow Dens"] = "",
	["Hyjal Past"] = "海加尔",
	["Hyjal Summit"] = "海加尔峰",
	["Ice Heart Cavern"] = "冰心洞穴",
	["Ice Thistle Hills"] = "冰蓟岭",
	["Iceblood Garrison"] = "冰血要塞",
	["Iceblood Graveyard"] = "冰血墓地",
	Icecrown = "冰冠冰川",
	["Icecrown Citadel"] = "冰冠堡垒",
	-- ["Icecrown Dungeon - Gunships"] = "",
	["Icecrown Glacier"] = "冰冠冰川",
	["Iceflow Lake"] = "涌冰湖",
	["Icemist Falls"] = "冰雾瀑布",
	["Icemist Village"] = "冰雾村",
	["Icewing Bunker"] = "冰翼碉堡",
	["Icewing Cavern"] = "冰翼洞穴",
	["Icewing Pass"] = "冰翼小径",
	["Idlewind Lake"] = "微风湖",
	-- ["Igneous Depths"] = "",
	["Illidari Point"] = "伊利达雷岗哨",
	["Illidari Training Grounds"] = "伊利达雷训练场",
	["Indu'le Village"] = "因度雷村",
	Inn = "旅店",
	["Inner Sanctum"] = "内部圣殿",
	["Inner Veil"] = "内厅",
	["Insidion's Perch"] = "因斯迪安栖木",
	["Invasion Point: Annihilator"] = "登陆场：歼灭",
	["Invasion Point: Cataclysm"] = "登陆场：灾难",
	["Invasion Point: Destroyer"] = "登陆场：破坏",
	["Invasion Point: Overlord"] = "登陆场：霸王",
	["Iron Concourse"] = "钢铁广场",
	-- ["Iron Summit"] = "",
	["Ironband's Compound"] = "铁环营地",
	["Ironband's Excavation Site"] = "铁环挖掘场",
	["Ironbeard's Tomb"] = "铁须之墓",
	["Ironclad Cove"] = "铁甲湾",
	-- ["Ironclad Garrison"] = "",
	["Ironclad Prison"] = "铁栏监狱",
	["Irondeep Mine"] = "深铁矿洞",
	Ironforge = "铁炉堡",
	-- ["Ironforge Airfield"] = "",
	["Ironstone Camp"] = "铁石营地",
	["Ironstone Plateau"] = "铁石高原",
	["Irontree Cavern"] = "铁木山洞",
	-- ["Irontree Clearing"] = "",
	["Irontree Woods"] = "铁木森林",
	["Ironwall Dam"] = "铁墙大坝",
	["Ironwall Rampart"] = "铁墙壁垒",
	-- ["Ironwing Cavern"] = "",
	Iskaal = "伊斯卡尔",
	["Island of Doctor Lapidis"] = "拉匹迪斯之岛",
	["Isle of Conquest"] = "征服之岛",
	["Isle of Conquest No Man's Land"] = "征服之岛（禁区）",
	["Isle of Dread"] = "恐怖之岛",
	["Isle of Quel'Danas"] = "奎尔丹纳斯岛",
	["Isle of Tribulations"] = "苦难岛",
	-- ["Iso'rath"] = "",
	["Itharius's Cave"] = "伊萨里奥斯洞穴",
	["Ivald's Ruin"] = "伊瓦尔德废墟",
	-- ["Ix'lar's Domain"] = "",
	["Jadefire Glen"] = "碧火谷",
	["Jadefire Run"] = "碧火小径",
	["Jademir Lake"] = "加德米尔湖",
	Jaedenar = "加德纳尔",
	["Jagged Reef"] = "锯齿暗礁",
	["Jagged Ridge"] = "锯齿山",
	-- ["Jagged Wastes"] = "",
	["Jaggedswine Farm"] = "野猪农场",
	["Jaguero Isle"] = "哈圭罗岛",
	["Janeiro's Point"] = "加尼罗哨站",
	["Jangolode Mine"] = "詹戈洛德矿洞",
	-- ["Jaquero Isle"] = "",
	["Jasperlode Mine"] = "玉石矿洞",
	["Jeff NE Quadrant Changed"] = "Jeff NE Quadrant",
	["Jeff NW Quadrant"] = "Jeff NW Quadrant",
	["Jeff SE Quadrant"] = "Jeff SE Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW Quadrant",
	["Jerod's Landing"] = "杰罗德码头",
	["Jintha'Alor"] = "辛萨罗",
	["Jintha'kalar"] = "金萨卡拉",
	["Jintha'kalar Passage"] = "金萨卡拉小径",
	Jotunheim = "尤顿海姆",
	K3 = "K3",
	-- ["KTC Headquarters"] = "",
	-- ["KTC Oil Platform"] = "",
	-- ["Kaja'mine"] = "",
	-- ["Kaja'mite Cave"] = "",
	-- ["Kaja'mite Cavern"] = "",
	-- ["Kajaro Field"] = "",
	["Kal'ai Ruins"] = "卡莱废墟",
	Kalimdor = "卡利姆多",
	Kamagua = "卡玛古",
	["Karabor Sewers"] = "卡拉波下水道",
	Karazhan = "卡拉赞",
	["Kargathia Keep"] = "卡加希亚要塞",
	-- ["Karnum's Glade"] = "",
	["Kartak's Hold"] = "卡塔克要塞",
	Kaskala = "卡斯卡拉",
	["Kaw's Roost"] = "卡奥的营地",
	-- ["Keel Harbor"] = "",
	-- ["Keelen's Trustworthy Tailoring"] = "",
	-- ["Keeshan's Post"] = "",
	["Kel'Thuzad Chamber"] = "克尔苏加德的大厅",
	["Kel'Thuzad's Chamber"] = "克尔苏加德的大厅",
	-- ["Kelp'thar Forest"] = "",
	-- ["Keset Pass"] = "",
	["Kessel's Crossing"] = "凯希尔路口",
	-- Kezan = "",
	Kharanos = "卡拉诺斯",
	-- ["Khardros' Anvil"] = "",
	-- ["Khartut's Tomb"] = "",
	["Khaz'goroth's Seat"] = "卡兹格罗斯的王座",
	["Kil'sorrow Fortress"] = "基尔索罗堡垒",
	["Kili'ua's Atoll"] = "基利瓦的礁石",
	-- ["King's Gate"] = "",
	["King's Harbor"] = "国王港",
	["King's Hoard"] = "国王的宝库",
	["King's Square"] = "国王广场",
	["Kirin'Var Village"] = "肯瑞瓦村",
	-- Kirthaven = "",
	["Kodo Graveyard"] = "科多兽坟场",
	["Kodo Rock"] = "科多石",
	["Kolkar Village"] = "科尔卡村",
	Kolramas = "科尔拉玛斯",
	["Kor'kron Vanguard"] = "库卡隆先锋营地",
	["Kormek's Hut"] = "考米克小屋",
	-- ["Koroth's Den"] = "",
	-- ["Korthun's End"] = "",
	["Krasus' Landing"] = "克拉苏斯平台",
	-- ["Krazzworks Attack Zeppelin"] = "",
	-- ["Krolg's Hut"] = "",
	-- ["Krom'gar Fortress"] = "",
	["Krom's Landing"] = "克罗姆的码头",
	["Kul Tiras"] = "库尔提拉斯",
	["Kul'galar Keep"] = "库尔加拉要塞",
	["Kurzen's Compound"] = "库尔森的营地",
	-- ["L'ghorek"] = "",
	["Lair of the Chosen"] = "天选者之巢",
	["Lake Al'Ameth"] = "奥拉密斯湖",
	["Lake Cauldros"] = "考杜斯湖",
	-- ["Lake Dumont"] = "",
	-- ["Lake Edunel"] = "",
	["Lake Elrendar"] = "艾伦达尔湖",
	["Lake Elune'ara"] = "月神湖",
	["Lake Ere'Noru"] = "艾雷诺湖",
	["Lake Everstill"] = "止水湖",
	["Lake Falathim"] = "法拉希姆湖",
	["Lake Indu'le"] = "因度雷湖",
	["Lake Jorune"] = "尤鲁恩湖",
	["Lake Kel'Theril"] = "凯斯利尔湖",
	["Lake Kum'uya"] = "库姆亚湖",
	["Lake Mennar"] = "门纳尔湖",
	["Lake Mereldar"] = "米雷达尔湖",
	["Lake Nazferiti"] = "纳菲瑞提湖",
	["Lake Sunspring"] = "日泉湖",
	["Lakeridge Highway"] = "湖边大道",
	Lakeshire = "湖畔镇",
	["Lakeshire Inn"] = "湖畔镇旅店",
	["Lakeshire Town Hall"] = "湖畔镇大厅",
	["Lakeside Landing"] = "湖边着陆场",
	["Lakkari Tar Pits"] = "拉卡利油沼",
	["Land's End Beach"] = "天涯海滩",
	["Landing Beach"] = "登陆海滩",
	-- ["Landing Site"] = "",
	["Langrom's Leather & Links"] = "兰格鲁的皮加锁",
	-- ["Largo's Overlook"] = "",
	-- ["Largo's Overlook Tower"] = "",
	["Lariss Pavilion"] = "拉瑞斯小亭",
	["Laughing Skull Courtyard"] = "嘲颅营地",
	["Laughing Skull Ruins"] = "嘲颅废墟",
	["Launch Bay"] = "发射台",
	["Legash Encampment"] = "雷加什营地",
	["Legendary Leathers"] = "传说皮甲",
	["Legion Hold"] = "军团要塞",
	-- ["Legion's Fate"] = "",
	-- ["Legion's Rest"] = "",
	["Lethlor Ravine"] = "莱瑟罗峡谷",
	-- ["Leyara's Sorrow"] = "",
	["Library Wing"] = "藏书房",
	["Light's Breach"] = "圣光据点",
	-- ["Light's Dawn Cathedral"] = "",
	["Light's Hammer"] = "圣光之锤",
	["Light's Hope Chapel"] = "圣光之愿礼拜堂",
	["Light's Point"] = "圣光哨站",
	["Light's Point Tower"] = "圣光哨塔",
	-- ["Light's Shield Tower"] = "",
	["Light's Trust"] = "圣光之望礼拜堂",
	Lighthouse = "灯塔",
	-- ["Lightning Ledge"] = "",
	["Like Clockwork"] = "精密仪器",
	["Lion's Pride Inn"] = "狮王之傲旅店",
	-- ["Livery Outpost"] = "",
	["Livery Stables"] = "马厩",
	-- ["Llane's Oath"] = "",
	["Loading Room"] = "装载室",
	["Loch Modan"] = "洛克莫丹",
	-- ["Loch Verrall"] = "",
	["Loken's Bargain"] = "洛肯的宝库",
	Longshore = "长滩",
	-- ["Lor'danel"] = "",
	["Lordamere Internment Camp"] = "洛丹米尔收容所",
	["Lordamere Lake"] = "洛丹米尔湖",
	-- ["Lorthuna's Gate"] = "",
	-- ["Lost Caldera"] = "",
	-- ["Lost City of the Tol'vir"] = "",
	-- ["Lost City of the Tol'vir Entrance"] = "",
	-- ["Lost Isles Town in a Box"] = "",
	-- ["Lost Isles Volcano Eruption"] = "",
	-- ["Lost Peak"] = "",
	["Lost Point"] = "废弃哨塔",
	["Lost Rigger Cove"] = "落帆海湾",
	-- LostIsles = "",
	["Lothalor Woodlands"] = "罗萨洛尔森林",
	["Lower City"] = "贫民窟",
	-- ["Lower Silvermarsh"] = "",
	["Lower Veil Shil'ak"] = "下层夏尔克鸦巢",
	["Lower Wilds"] = "低地荒野",
	["Lumber Mill"] = "伐木场",
	["Lushwater Oasis"] = "甜水绿洲",
	["Lydell's Ambush"] = "林德尔的伏击点",
	-- ["M.A.C. Diver"] = "",
	-- ["Maelstrom Zone"] = "",
	["Maestra's Post"] = "迈斯特拉岗哨",
	["Maexxna's Nest"] = "迈克斯纳之巢",
	["Mag'har Grounds"] = "玛格汉台地",
	["Mag'har Post"] = "玛格汉岗哨",
	["Mag'hari Procession"] = "玛格汉车队",
	["Mage Quarter"] = "法师区",
	["Mage Tower"] = "法师塔",
	["Magic Quarter"] = "魔法区",
	["Magical Menagerie"] = "魔法动物店",
	-- ["Magister's Terrace"] = "",
	["Magisters Gate"] = "魔导师之门",
	["Magisters' Terrace"] = "魔导师平台",
	-- ["Magisters' Terrace Entrance"] = "",
	["Magma Fields"] = "熔岩平原",
	-- ["Magma Springs"] = "",
	["Magmadar Cavern"] = "玛格曼达洞穴",
	-- ["Magmaw's Fissure"] = "",
	Magmoth = "犸格莫斯",
	["Magnamoth Caverns"] = "猛犸人洞穴",
	-- ["Magram Territory"] = "",
	["Magtheridon's Lair"] = "玛瑟里顿的巢穴",
	["Magus Commerce Exchange"] = "魔法商业区",
	-- ["Main Gate"] = "",
	["Main Hall"] = "主厅",
	-- ["Maker's Ascent"] = "",
	["Maker's Overlook"] = "造物者悬台",
	["Maker's Perch"] = "造物者之座",
	["Makers' Overlook"] = "造物者悬台",
	-- ["Makers' Perch"] = "",
	["Malaka'jin"] = "玛拉卡金",
	["Malden's Orchard"] = "玛尔丁果园",
	-- Maldraz = "",
	-- ["Malfurion's Breach"] = "",
	-- ["Malicia's Outpost"] = "",
	["Malykriss: The Vile Hold"] = "玛雷卡里斯：邪恶城堡",
	["Mam'toth Crater"] = "犸托斯巨坑",
	["Mana Tombs"] = "法力陵墓",
	["Mana-Tombs"] = "法力陵墓",
	["Manaforge Ara"] = "法力熔炉：艾拉",
	["Manaforge B'naar"] = "法力熔炉：布纳尔",
	["Manaforge Coruu"] = "法力熔炉：库鲁恩",
	["Manaforge Duro"] = "法力熔炉：杜隆",
	["Manaforge Ultris"] = "法力熔炉：乌提斯",
	-- ["Mandokir's Domain"] = "",
	["Mannoroc Coven"] = "玛诺洛克集会所",
	["Manor Mistmantle"] = "密斯特曼托庄园",
	["Mantle Rock"] = "披肩石",
	["Map Chamber"] = "地图厅",
	-- ["Mar'at"] = "",
	Maraudon = "玛拉顿",
	-- ["Maraudon - Earth Song Falls Entrance"] = "",
	-- ["Maraudon - Foulspore Cavern Entrance"] = "",
	["Mardenholde Keep"] = "玛登霍尔德城堡",
	["Market Row"] = "市场区",
	["Marshal's Refuge"] = "马绍尔营地",
	-- ["Marshal's Stand"] = "",
	["Marshlight Lake"] = "沼光湖",
	-- ["Marshtide Watch"] = "",
	-- ["Maruadon - The Wicked Grotto Entrance"] = "",
	["Mast Room"] = "船桅室",
	["Master's Terrace"] = "主宰的露台",
	-- ["Masters' Gate"] = "",
	-- ["Maw of Lycanthoth"] = "",
	["Maw of Neltharion"] = "奈萨里奥之喉",
	-- ["Maw of the Void"] = "",
	["Mazra'Alor"] = "玛兹拉罗",
	Mazthoril = "麦索瑞尔",
	["Medivh's Chambers"] = "麦迪文的房间",
	["Menagerie Wreckage"] = "兽笼残骸",
	["Menethil Bay"] = "米奈希尔海湾",
	["Menethil Harbor"] = "米奈希尔港",
	["Menethil Keep"] = "米奈希尔城堡",
	-- ["Merchant Square"] = "",
	["Mid Point Station"] = "中部哨站",
	Middenvale = "废墟谷",
	["Midrealm Post"] = "中央圆顶哨站",
	["Midwall Lift"] = "中墙升降梯",
	["Mightstone Quarry"] = "巨石采掘场",
	-- ["Military District"] = "",
	["Mimir's Workshop"] = "米米尔的车间",
	Mine = "矿洞",
	-- Mines = "",
	-- ["Mirage Abyss"] = "",
	["Mirage Flats"] = "雾气平原",
	["Mirage Raceway"] = "沙漠赛道",
	["Mirkfallon Lake"] = "暗色湖",
	-- ["Mirkfallon Post"] = "",
	["Mirror Lake"] = "明镜湖",
	["Mirror Lake Orchard"] = "明镜湖果园",
	["Mist's Edge"] = "薄雾海",
	["Mistcaller's Cave"] = "唤雾者的洞穴",
	["Mistvale Valley"] = "薄雾谷",
	["Mistwhisper Refuge"] = "雾语村",
	["Misty Pine Refuge"] = "雾松避难所",
	["Misty Reed Post"] = "芦苇哨岗",
	["Misty Reed Strand"] = "芦苇海滩",
	["Misty Ridge"] = "薄雾山",
	["Misty Shore"] = "雾气湖岸",
	["Misty Valley"] = "迷雾谷",
	-- ["Miwana's Longhouse"] = "",
	["Mizjah Ruins"] = "米扎废墟",
	["Mo'grosh Stronghold"] = "莫格罗什要塞",
	-- ["Moa'ki"] = "",
	["Moa'ki Harbor"] = "莫亚基港口",
	["Moggle Point"] = "摩戈尔哨塔",
	["Mok'Doom"] = "摩多姆",
	["Mok'Gordun"] = "莫克高顿",
	["Mok'Nathal Village"] = "莫克纳萨村",
	["Mold Foundry"] = "浇铸间",
	["Molten Core"] = "熔火之心",
	-- ["Molten Front"] = "",
	["Moon Horror Den"] = "惨月洞穴",
	Moonbrook = "月溪镇",
	Moonglade = "月光林地",
	["Moongraze Woods"] = "月痕林地",
	["Moonrest Gardens"] = "眠月花园",
	["Moonshrine Ruins"] = "月神圣地废墟",
	["Moonshrine Sanctum"] = "月神圣地密室",
	-- ["Moontouched Den"] = "",
	-- ["Moonwell of Cleansing"] = "",
	-- ["Moonwell of Purity"] = "",
	["Moonwing Den"] = "月翼洞穴",
	["Mor'shan Base Camp"] = "莫尔杉营地",
	["Mord'rethar: The Death Gate"] = "死亡之门莫德雷萨",
	["Morgan's Plot"] = "摩根墓场",
	["Morgan's Vigil"] = "摩根的岗哨",
	["Morlos'Aran"] = "摩罗萨兰",
	-- ["Mortal's Demise"] = "",
	-- ["Mortwake's Tower"] = "",
	["Mosh'Ogg Ogre Mound"] = "莫什奥格食人魔山",
	["Mosshide Fen"] = "藓皮沼泽",
	["Mosswalker Village"] = "苔行村",
	-- ["Mossy Pile"] = "",
	-- ["Mount Akher"] = "",
	-- ["Mount Hyjal"] = "",
	-- ["Mount Hyjal Phase 1"] = "",
	-- ["Mountainfoot Strip Mine"] = "",
	Mudsprocket = "泥链镇",
	Mulgore = "莫高雷",
	["Murder Row"] = "谋杀小径",
	-- ["Murkdeep Cavern"] = "",
	["Mystral Lake"] = "密斯特拉湖",
	Mystwood = "神木林",
	Nagrand = "纳格兰",
	["Nagrand Arena"] = "纳格兰竞技场",
	-- Nahom = "",
	-- ["Nar'shola Terrace"] = "",
	["Narvir's Cradle"] = "纳维尔支架",
	["Nasam's Talon"] = "纳萨姆之爪",
	["Nat's Landing"] = "纳特的码头",
	Naxxanar = "纳克萨纳尔",
	Naxxramas = "纳克萨玛斯",
	["Naz'anak: The Forgotten Depths"] = "纳扎纳克：遗忘深渊",
	-- ["Nazj'vel"] = "",
	Nazzivian = "纳兹维安",
	-- ["Needlerock Chasm"] = "",
	-- ["Needlerock Slag"] = "",
	["Nefarian's Lair"] = "奈法利安的巢穴",
	-- ["Nefarian�s Lair"] = "",
	-- ["Neferset City"] = "",
	-- ["Neferset City Outskirts"] = "",
	["Nek'mani Wellspring"] = "纳克迈尼圣泉",
	-- ["Neptulon's Rise"] = "",
	["Nesingwary Base Camp"] = "奈辛瓦里营地",
	["Nesingwary Safari"] = "奈辛瓦里狩猎队营地",
	["Nesingwary's Expedition"] = "奈辛瓦里远征队营地",
	-- Nespirah = "",
	["Nestlewood Hills"] = "木巢山",
	["Nestlewood Thicket"] = "木巢林地",
	["Nethander Stead"] = "奈杉德哨岗",
	["Nethergarde Keep"] = "守望堡",
	-- ["Nethergarde Mines"] = "",
	-- ["Nethergarde Supply Camps"] = "",
	Netherspace = "虚空异界",
	Netherstone = "虚空石",
	Netherstorm = "虚空风暴",
	["Netherweb Ridge"] = "灵网山脊",
	["Netherwing Fields"] = "灵翼平原",
	["Netherwing Ledge"] = "灵翼浮岛",
	["Netherwing Mines"] = "灵翼矿洞",
	["Netherwing Pass"] = "灵翼小径",
	["New Agamand"] = "新阿加曼德",
	["New Agamand Inn"] = "新阿加曼德旅店",
	["New Avalon"] = "新阿瓦隆",
	["New Avalon Fields"] = "新阿瓦隆农田",
	["New Avalon Forge"] = "新阿瓦隆熔炉",
	["New Avalon Orchard"] = "新阿瓦隆果园",
	["New Avalon Town Hall"] = "新阿瓦隆市政厅",
	["New Hearthglen"] = "新壁炉谷",
	-- ["New Kargath"] = "",
	-- ["New Thalanaar"] = "",
	-- ["New Tinkertown"] = "",
	-- ["Nexus Legendary"] = "",
	Nidavelir = "尼达维里尔",
	["Nidvar Stair"] = "尼德瓦阶梯",
	Nifflevar = "尼弗莱瓦",
	["Night Elf Village"] = "暗夜精灵村庄",
	["Night Run"] = "夜道谷",
	["Night Web's Hollow"] = "夜行蜘蛛洞穴",
	Nighthaven = "永夜港",
	-- ["Nightmare Depths"] = "",
	-- ["Nightmare Scar"] = "",
	["Nightmare Vale"] = "噩梦谷",
	["Nightsong Woods"] = "夜歌森林",
	["Nijel's Point"] = "尼耶尔前哨站",
	-- ["Nimbus Rise"] = "",
	["Njord's Breath Bay"] = "尼约德海湾",
	["Njorn Stair"] = "约尔阶梯",
	["Njorndar Village"] = "约尔达村",
	["Noonshade Ruins"] = "热影废墟",
	Nordrassil = "诺达希尔",
	-- ["Nordrassil Inn"] = "",
	-- ["Nordune Ridge"] = "",
	["North Common Hall"] = "北会议厅",
	["North Gate Outpost"] = "北门哨岗",
	["North Gate Pass"] = "北门小径",
	["North Point Station"] = "北部哨站",
	["North Point Tower"] = "北点哨塔",
	["North Sanctum"] = "北部圣殿",
	["North Spear Tower"] = "北部长矛塔楼",
	-- ["North Tide's Beachhead"] = "",
	["North Tide's Run"] = "北流海岸",
	Northdale = "北谷",
	-- ["Northern Barrens"] = "",
	-- ["Northern Headlands"] = "",
	["Northern Rampart"] = "北部城墙",
	-- ["Northern Rocketway"] = "",
	-- ["Northern Rocketway Exchange"] = "",
	-- ["Northern Stranglethorn"] = "",
	["Northfold Manor"] = "诺斯弗德农场",
	-- ["Northgate Breach"] = "",
	-- ["Northgate River"] = "",
	-- ["Northgate Woods"] = "",
	["Northmaul Tower"] = "北槌哨塔",
	["Northpass Tower"] = "北地哨塔",
	Northrend = "诺森德",
	["Northridge Lumber Camp"] = "北山伐木场",
	["Northshire Abbey"] = "北郡修道院",
	["Northshire River"] = "北郡河",
	["Northshire Valley"] = "北郡山谷",
	["Northshire Vineyards"] = "北郡农场",
	-- ["Northwatch Expedition Base Camp"] = "",
	-- ["Northwatch Expedition Base Camp Inn"] = "",
	-- ["Northwatch Foothold"] = "",
	["Northwatch Hold"] = "北方城堡",
	["Northwind Cleft"] = "北风裂谷",
	-- ["Nozzlepot's Outpost"] = "",
	["Nozzlerust Post"] = "诺兹拉斯哨站",
	["O'Breen's Camp"] = "奥布瑞恩营地",
	-- ["Oasis of Vir'sar"] = "",
	-- ["Oasis of the Fallen Prophet"] = "",
	-- ["Obelisk of the Moon"] = "",
	-- ["Obelisk of the Stars"] = "",
	-- ["Obelisk of the Sun"] = "",
	["Observance Hall"] = "祭典大厅",
	["Observation Grounds"] = "观测台",
	["Obsidia's Perch"] = "欧比斯迪栖木",
	-- ["Obsidian Breakers"] = "",
	["Obsidian Dragonshrine"] = "黑曜石巨龙圣地",
	-- ["Obsidian Forest"] = "",
	-- ["Obsidian Lair"] = "",
	["Odesyus' Landing"] = "奥德修斯营地",
	["Ogri'la"] = "奥格瑞拉",
	["Old Hillsbrad Foothills"] = "旧希尔斯布莱德丘陵",
	["Old Ironforge"] = "旧铁炉堡",
	["Old Town"] = "旧城区",
	Olembas = "欧雷巴斯",
	-- ["Olivia's Pond"] = "",
	["Olsen's Farthing"] = "奥森农场",
	["One More Glass"] = "再来一杯",
	Oneiros = "奥奈罗斯",
	["Onslaught Base Camp"] = "先锋军营地",
	["Onslaught Harbor"] = "先锋军港口",
	["Onyxia's Lair"] = "奥妮克希亚的巢穴",
	-- ["Oomlot Village"] = "",
	-- Oostan = "",
	-- ["Oostan Nord"] = "",
	-- ["Oostan Ost"] = "",
	-- ["Oostan Sor"] = "",
	-- ["Opening of the Dark Portal"] = "",
	-- ["Opening of the Dark Portal Entrance"] = "",
	["Oratory of the Damned"] = "诅咒祈愿室",
	["Orebor Harborage"] = "奥雷柏尔营地",
	-- ["Orendil's Retreat"] = "",
	["Orgrim's Hammer"] = "奥格瑞姆之锤",
	Orgrimmar = "奥格瑞玛",
	-- ["Orgrimmar Rear Gate"] = "",
	-- ["Orgrimmar Rocketway Exchange"] = "",
	["Oronok's Farm"] = "欧鲁诺克农场",
	-- Orsis = "",
	["Ortell's Hideout"] = "奥泰尔藏身处",
	["Oshu'gun"] = "沃舒古",
	Outland = "外域",
	-- ["Overgrown Camp"] = "",
	["Owl Wing Thicket"] = "枭翼树丛",
	["Pal'ea"] = "帕尔依",
	["Palemane Rock"] = "白鬃石",
	["Parhelion Plaza"] = "幻日广场",
	["Passage of Lost Fiends"] = "迷失恶魔之路",
	-- ["Path of Uther"] = "",
	["Path of the Titans"] = "泰坦之路",
	-- ["Pattymack Land"] = "",
	["Pauper's Walk"] = "乞丐行道",
	["Pestilent Scar"] = "瘟疫之痕",
	["Petitioner's Chamber"] = "祈愿室",
	-- ["Pilgrim's Precipice"] = "",
	-- ["Pincer X2"] = "",
	["Pit of Fangs"] = "毒牙深渊",
	["Pit of Saron"] = "萨隆矿坑",
	-- ["Pit of Saron Entrance"] = "",
	["Plaguelands: The Scarlet Enclave"] = "东瘟疫之地：血色领地",
	["Plaguemist Ravine"] = "毒雾峡谷",
	Plaguewood = "病木林",
	["Plaguewood Tower"] = "病木林哨塔",
	["Plain of Echoes"] = "回音平原",
	["Plain of Shards"] = "碎片平原",
	["Plains of Nasam"] = "纳萨姆平原",
	["Pod Cluster"] = "完整的逃生舱",
	["Pod Wreckage"] = "残破的逃生舱",
	["Poison Falls"] = "毒水瀑布",
	["Pool of Tears"] = "泪水之池",
	["Pool of Twisted Reflections"] = "扭曲映像之池",
	["Pools of Aggonar"] = "阿苟纳之池",
	["Pools of Arlithrien"] = "阿里斯瑞恩之池",
	["Pools of Jin'Alai"] = "金亚莱之池",
	["Pools of Zha'Jin"] = "扎尔金之池",
	["Portal Clearing"] = "荒弃传送门",
	["Prison of Immol'thar"] = "伊莫塔尔的牢笼",
	["Programmer Isle"] = "Programmer Isle",
	-- ["Promontory Point"] = "",
	["Prospector's Point"] = "勘探员哨站",
	["Protectorate Watch Post"] = "维序派哨站",
	-- ["Purespring Cavern"] = "",
	["Purgation Isle"] = "赎罪岛",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "普崔希德的恐惧与欢乐炼金实验室",
	-- ["Pyrewood Chapel"] = "",
	-- ["Pyrewood Inn"] = "",
	-- ["Pyrewood Town Hall"] = "",
	["Pyrewood Village"] = "焚木村",
	-- ["Pyrox Flats"] = "",
	["Quagg Ridge"] = "泥泞山",
	Quarry = "采石场",
	-- ["Quartzite Basin"] = "",
	-- ["Queen's Gate"] = "",
	["Quel'Danil Lodge"] = "奎尔丹尼小屋",
	["Quel'Delar's Rest"] = "奎尔德拉之墓",
	-- ["Quel'Dormir Gardens"] = "",
	-- ["Quel'Dormir Temple"] = "",
	-- ["Quel'Dormir Terrace"] = "",
	["Quel'Lithien Lodge"] = "奎尔林斯小屋",
	["Quel'thalas"] = "奎尔萨拉斯",
	["Raastok Glade"] = "拉斯托克林地",
	-- ["Raceway Ruins"] = "",
	["Rage Fang Shrine"] = "怒牙神殿",
	["Rage Scar Hold"] = "怒痕堡",
	["Rageclaw Den"] = "怒爪巢穴",
	["Rageclaw Lake"] = "怒爪湖",
	["Ragefeather Ridge"] = "怒羽山",
	["Ragefire Chasm"] = "怒焰裂谷",
	["Ragnaros' Lair"] = "拉格纳罗斯之巢",
	-- ["Ragnaros' Reach"] = "",
	["Rainspeaker Canopy"] = "雨声树屋",
	["Rainspeaker Rapids"] = "雨声河",
	-- Ramkahen = "",
	-- ["Ramkahen Legion Outpost"] = "",
	["Rampart of Skulls"] = "骸颅壁垒",
	["Ranazjar Isle"] = "拉纳加尔岛",
	["Raptor Pens"] = "迅猛龙围栏",
	["Raptor Ridge"] = "恐龙岭",
	-- ["Raptor Rise"] = "",
	Ratchet = "棘齿城",
	-- ["Rated Eye of the Storm"] = "",
	["Ravaged Caravan"] = "被破坏的货车",
	["Ravaged Crypt"] = "被毁坏的地穴",
	["Ravaged Twilight Camp"] = "暮光营地废墟",
	["Raven Hill"] = "乌鸦岭",
	["Raven Hill Cemetery"] = "乌鸦岭墓地",
	["Raven's Watch"] = "乌鸦平台",
	["Raven's Wood"] = "乌鸦林",
	["Ravencrest Monument"] = "拉文凯斯雕像",
	["Ravenholdt Manor"] = "拉文霍德庄园",
	["Raynewood Retreat"] = "林中树居",
	-- ["Raynewood Tower"] = "",
	["Razaan's Landing"] = "拉扎安码头",
	["Razor Hill"] = "剃刀岭",
	["Razor Hill Barracks"] = "剃刀岭兵营",
	["Razor Ridge"] = "剃刀山",
	["Razorfen Downs"] = "剃刀高地",
	-- ["Razorfen Downs Entrance"] = "",
	["Razorfen Kraul"] = "剃刀沼泽",
	-- ["Razorfen Kraul Entrance"] = "",
	["Razormane Grounds"] = "钢鬃营地",
	["Razorscale's Aerie"] = "锋鳞之巢",
	["Razorthorn Rise"] = "荆刺高地",
	["Razorthorn Shelf"] = "荆刺岩地",
	["Razorthorn Trail"] = "荆刺小径",
	["Razorwind Canyon"] = "烈风峡谷",
	["Reaver's Fall"] = "机甲残骸",
	["Reavers' Hall"] = "劫掠者之厅",
	["Rebel Camp"] = "反抗军营地",
	["Red Cloud Mesa"] = "红云台地",
	["Red Rocks"] = "赤色石",
	-- ["Redpine Dell"] = "",
	["Redridge Canyons"] = "赤脊峡谷",
	["Redridge Mountains"] = "赤脊山",
	["Redwood Trading Post"] = "红木商栈",
	Refinery = "油料精炼厂",
	["Refuge Pointe"] = "避难谷地",
	["Refugee Caravan"] = "难民车队",
	["Reliquary of Agony"] = "折磨之匣",
	["Reliquary of Pain"] = "痛苦之匣",
	-- ["Remains of Iris Lake"] = "",
	-- ["Remains of the Fleet"] = "",
	["Remtravel's Excavation"] = "雷姆塔维尔挖掘场",
	["Render's Camp"] = "撕裂者营地",
	-- ["Render's Crater"] = "",
	["Render's Rock"] = "撕裂者之石",
	["Render's Valley"] = "撕裂者山谷",
	["Rethban Caverns"] = "瑞斯班洞穴",
	["Rethress Sanctum"] = "雷瑟斯圣所",
	-- Reuse = "",
	["Revantusk Village"] = "恶齿村",
	-- ["Rhea's Camp"] = "",
	-- ["Rhyolith Plateau"] = "",
	["Ricket's Folly"] = "莉吉特爆炸坑",
	["Ridge of Madness"] = "疯狂之脊",
	["Ridgepoint Tower"] = "山巅之塔",
	-- ["Rim of the World"] = "",
	["Ring of Judgement"] = "审判竞技场",
	["Ring of Observance"] = "仪式广场",
	-- ["Ring of the Elements"] = "",
	["Ring of the Law"] = "秩序竞技场",
	["Riplash Ruins"] = "裂鞭废墟",
	["Riplash Strand"] = "裂鞭海岸",
	["Rise of Suffering"] = "苦难高地",
	["Rise of the Defiler"] = "污染者高地",
	["Ritual Chamber of Akali"] = "阿卡里的仪祭大厅",
	["Rivendark's Perch"] = "雷文达克栖木",
	Rivenwood = "裂木森林",
	["River's Heart"] = "河流之心",
	["Rock of Durotan"] = "杜隆坦之石",
	-- ["Rockpool Village"] = "",
	["Rocktusk Farm"] = "石牙农场",
	["Roguefeather Den"] = "飞羽洞穴",
	["Rogues' Quarter"] = "盗贼区",
	["Rohemdal Pass"] = "洛希达尔小径",
	["Roland's Doom"] = "罗兰之墓",
	-- ["Rotbrain Encampment"] = "",
	-- ["Royal Exchange Auction House"] = "",
	-- ["Royal Exchange Bank"] = "",
	["Royal Gallery"] = "皇家画廊",
	["Royal Library"] = "皇家图书馆",
	["Royal Quarter"] = "皇家区",
	["Ruby Dragonshrine"] = "红玉巨龙圣地",
	-- ["Ruined City Post 01"] = "",
	["Ruined Court"] = "废弃之厅",
	["Ruins of Aboraz"] = "阿博拉兹废墟",
	-- ["Ruins of Ahmtul"] = "",
	["Ruins of Ahn'Qiraj"] = "安其拉废墟",
	["Ruins of Alterac"] = "奥特兰克废墟",
	-- ["Ruins of Ammon"] = "",
	-- ["Ruins of Arkkoran"] = "",
	-- ["Ruins of Auberdine"] = "",
	["Ruins of Baa'ri"] = "巴尔里废墟",
	["Ruins of Constellas"] = "克斯特拉斯废墟",
	["Ruins of Drak'Zin"] = "达克辛废墟",
	-- ["Ruins of Drakgor"] = "",
	["Ruins of Eldarath"] = "埃达拉斯废墟",
	["Ruins of Eldra'nath"] = "埃德拉纳斯废墟",
	-- ["Ruins of Eldre'thar"] = "",
	["Ruins of Enkaat"] = "恩卡特废墟",
	["Ruins of Farahlon"] = "法兰伦废墟",
	-- ["Ruins of Feathermoon"] = "",
	-- ["Ruins of Gilneas"] = "",
	-- ["Ruins of Gilneas City"] = "",
	["Ruins of Isildien"] = "伊斯迪尔废墟",
	["Ruins of Jubuwal"] = "朱布瓦尔废墟",
	["Ruins of Karabor"] = "卡拉波废墟",
	-- ["Ruins of Kargath"] = "",
	-- ["Ruins of Khintaset"] = "",
	-- ["Ruins of Lar'donir"] = "",
	["Ruins of Lordaeron"] = "洛丹伦废墟",
	["Ruins of Loreth'Aran"] = "洛雷萨兰废墟",
	-- ["Ruins of Lornesta"] = "",
	["Ruins of Mathystra"] = "玛塞斯特拉废墟",
	-- ["Ruins of Nordressa"] = "",
	["Ruins of Ravenwind"] = "鸦风废墟",
	["Ruins of Sha'naar"] = "沙纳尔废墟",
	["Ruins of Shandaral"] = "杉达拉废墟",
	["Ruins of Silvermoon"] = "银月城废墟",
	["Ruins of Solarsal"] = "索兰萨尔废墟",
	-- ["Ruins of Southshore"] = "",
	-- ["Ruins of Taurajo"] = "",
	["Ruins of Tethys"] = "泰塞斯废墟",
	["Ruins of Thaurissan"] = "索瑞森废墟",
	-- ["Ruins of Thelserai Temple"] = "",
	-- ["Ruins of Uldum"] = "",
	-- ["Ruins of Vashj'elan"] = "",
	-- ["Ruins of Vashj'ir"] = "",
	["Ruins of Zul'Kunda"] = "祖昆达废墟",
	["Ruins of Zul'Mamwe"] = "祖玛维废墟",
	["Ruins of the Scarlet Enclave"] = "血色领地废墟",
	["Runestone Falithas"] = "法利萨斯符文石",
	["Runestone Shan'dor"] = "杉多尔符文石",
	["Runeweaver Square"] = "鲁因广场",
	-- ["Rustberg Village"] = "",
	-- ["Rustmaul Dive Site"] = "",
	["Rut'theran Village"] = "鲁瑟兰村",
	-- ["Rutsak's Guard"] = "",
	["Ruuan Weald"] = "卢安荒野",
	["Ruuna's Camp"] = "卢娜的营地",
	-- ["Ruuzel's Isle"] = "",
	-- ["Rygna's Lair"] = "",
	["SI:7"] = "军情七处",
	-- ["STV Diamond Mine BG"] = "",
	-- ["Sable Ridge"] = "",
	-- ["Sahket Wastes"] = "",
	["Saldean's Farm"] = "萨丁农场",
	["Saltheril's Haven"] = "萨瑟利尔庄园",
	["Saltspray Glen"] = "盐沫沼泽",
	-- ["Sanctuary of Malorne"] = "",
	["Sanctuary of Shadows"] = "暗影圣殿",
	["Sanctum of Reanimation"] = "复生密室",
	["Sanctum of Shadows"] = "暗影圣殿",
	-- ["Sanctum of the Ascended"] = "",
	["Sanctum of the Fallen God"] = "堕神圣地",
	["Sanctum of the Moon"] = "月亮圣殿",
	-- ["Sanctum of the Prophets"] = "",
	-- ["Sanctum of the South Wind"] = "",
	["Sanctum of the Stars"] = "群星圣殿",
	["Sanctum of the Sun"] = "太阳圣殿",
	["Sands of Nasam"] = "纳萨姆沙地",
	["Sandsorrow Watch"] = "流沙岗哨",
	-- ["Sandy Beach"] = "",
	["Sanguine Chamber"] = "血染之厅",
	["Sapphire Hive"] = "蓝玉虫巢",
	["Sapphiron's Lair"] = "萨菲隆的巢穴",
	["Sar'theris Strand"] = "萨瑟里斯海岸",
	["Saragosa's Landing"] = "莎拉苟萨平台",
	["Sardor Isle"] = "萨尔多岛",
	Sargeron = "萨格隆",
	["Saronite Mines"] = "萨隆邪铁矿洞",
	Satyrnaar = "萨提纳尔",
	["Savage Ledge"] = "野蛮之台",
	["Scalawag Point"] = "无赖港",
	["Scalding Pools"] = "滚烫熔池",
	["Scalebeard's Cave"] = "鳞须洞穴",
	["Scalewing Shelf"] = "鳞翼岩床",
	-- ["Scar of the Worldbreaker"] = "",
	["Scarab Terrace"] = "甲虫平台",
	-- ["Scarlet Encampment"] = "",
	["Scarlet Hold"] = "血色城堡",
	["Scarlet Monastery"] = "血色修道院",
	-- ["Scarlet Monastery Entrance"] = "",
	["Scarlet Overlook"] = "血色悬崖",
	-- ["Scarlet Palisade"] = "",
	["Scarlet Point"] = "血色哨站",
	["Scarlet Raven Tavern"] = "血鸦旅店",
	["Scarlet Tavern"] = "血色旅店",
	["Scarlet Tower"] = "血色哨塔",
	["Scarlet Watch Post"] = "血色十字军哨岗",
	-- ["Scarlet Watchtower"] = "",
	-- ["Scarred Terrace"] = "",
	-- ["Scenario: Alcaz Island"] = "",
	-- ["Schnottz's Frigate"] = "",
	-- ["Schnottz's Hostel"] = "",
	-- ["Schnottz's Landing"] = "",
	Scholomance = "通灵学院",
	-- ["Scholomance Entrance"] = "",
	["School of Necromancy"] = "通灵术学校",
	-- ["Scorched Gully"] = "",
	-- ["Scott's Spooky Area"] = "",
	-- ["Scoured Reach"] = "",
	Scourgehold = "瘟疫要塞",
	Scourgeholme = "天灾城",
	["Scourgelord's Command"] = "天灾领主的指挥站", -- Needs review
	["Scrabblescrew's Camp"] = "瑟卡布斯库的营地",
	["Screaming Gully"] = "激流溪谷",
	["Scryer's Tier"] = "占星者之台",
	["Scuttle Coast"] = "流亡海岸",
	-- Seabrush = "",
	-- ["Seafarer's Tomb"] = "",
	-- ["Seal of the Sun King"] = "",
	["Searing Gorge"] = "灼热峡谷",
	-- ["Seat of Destruction"] = "",
	-- ["Seat of Life"] = "",
	-- ["Seat of Magic"] = "",
	-- ["Seat of Radiance"] = "",
	-- ["Seat of the Chosen"] = "",
	["Seat of the Naaru"] = "纳鲁之座",
	["Sen'jin Village"] = "森金村",
	["Sentinel Hill"] = "哨兵岭",
	["Sentinel Tower"] = "哨兵塔",
	["Sentry Point"] = "警戒哨岗",
	Seradane = "瑟拉丹",
	["Serpent Lake"] = "毒蛇湖",
	["Serpent's Coil"] = "盘蛇谷",
	["Serpentshrine Cavern"] = "毒蛇神殿",
	["Servants' Quarters"] = "仆役宿舍",
	-- ["Service Entrance"] = "",
	["Sethekk Halls"] = "塞泰克大厅",
	-- ["Sethria's Roost"] = "",
	["Sewer Exit Pipe"] = "下水道排水管",
	Sewers = "下水道",
	["Sha'naari Wastes"] = "沙纳尔荒地",
	["Sha'tari Base Camp"] = "沙塔尔营地",
	["Sha'tari Outpost"] = "沙塔尔前哨站",
	-- Shadebough = "",
	["Shadow Grave"] = "灰影墓穴",
	["Shadow Hold"] = "暗影堡",
	["Shadow Labyrinth"] = "暗影迷宫",
	["Shadow Ridge"] = "暗影山",
	["Shadow Tomb"] = "暗影墓穴",
	["Shadow Wing Lair"] = "影翼巢穴",
	["Shadowbreak Ravine"] = "破影峡谷",
	["Shadowfang Keep"] = "影牙城堡",
	-- ["Shadowfang Keep Entrance"] = "",
	["Shadowfang Tower"] = "影牙之塔",
	["Shadowforge City"] = "暗炉城",
	Shadowglen = "幽影谷",
	-- ["Shadowlurk Ridge"] = "",
	["Shadowmoon Valley"] = "影月谷",
	["Shadowmoon Village"] = "影月村",
	["Shadowprey Village"] = "葬影村",
	["Shadowshard Cavern"] = "暗影碎片洞穴",
	["Shadowsight Tower"] = "影目塔楼",
	["Shadowsong Shrine"] = "影歌神殿",
	["Shadowthread Cave"] = "黑丝洞",
	["Shadra'Alor"] = "沙德拉洛",
	["Shady Rest Inn"] = "树荫旅店",
	["Shalandis Isle"] = "沙兰蒂斯岛",
	-- ["Shalewind Canyon"] = "",
	-- ["Shallow's End"] = "",
	["Shalzaru's Lair"] = "沙尔扎鲁之巢",
	Shamanar = "萨满纳尔",
	["Shaol'watha"] = "沙尔瓦萨",
	["Shaper's Terrace"] = "塑造者之台",
	["Shartuul's Transporter"] = "沙图尔的传送器",
	["Shatter Point"] = "破碎岗哨",
	["Shatter Scar Vale"] = "碎痕谷",
	["Shattered Plains"] = "破碎平原",
	["Shattered Straits"] = "碎裂海峡",
	["Shattered Sun Staging Area"] = "破碎残阳基地",
	-- Shattershore = "",
	-- ["Shatterspear Pass"] = "",
	-- ["Shatterspear Vale"] = "",
	-- ["Shatterspear War Camp"] = "",
	-- Shatterstone = "",
	-- Shattrath = "",
	["Shattrath City"] = "沙塔斯城",
	["Shell Beach"] = "贝壳海滩",
	["Shield Hill"] = "盾牌岭",
	-- ["Shields of Silver"] = "",
	["Shimmer Ridge"] = "闪光岭",
	["Shimmering Bog"] = "闪光泥沼",
	-- ["Shimmering Expanse"] = "",
	-- ["Shimmering Grotto"] = "",
	["Shindigger's Camp"] = "拉普索迪营地",
	-- ["Shipwreck Shore"] = "",
	-- ["Shok'Thokar"] = "",
	["Sholazar Basin"] = "索拉查盆地",
	-- ["Shrine of Aessina"] = "",
	-- ["Shrine of Aviana"] = "",
	["Shrine of Dath'Remar"] = "达斯雷玛的神龛",
	["Shrine of Eck"] = "伊克的神殿",
	-- ["Shrine of Goldrinn"] = "",
	["Shrine of Lost Souls"] = "失落灵魂神殿",
	["Shrine of Remulos"] = "雷姆洛斯神殿",
	["Shrine of Scales"] = "蛇鳞神殿",
	["Shrine of Thaurissan"] = "索瑞森神殿",
	["Shrine of Unending Light"] = "永恒圣光神殿",
	["Shrine of the Deceiver"] = "欺诈者神祠",
	["Shrine of the Dormant Flame"] = "眠炎圣殿",
	["Shrine of the Eclipse"] = "日蚀神殿",
	-- ["Shrine of the Elements"] = "",
	["Shrine of the Fallen Warrior"] = "战士之魂神殿",
	["Shrine of the Five Khans"] = "五可汗神殿",
	-- ["Shriveled Oasis"] = "",
	-- ["Shuddering Spires"] = "",
	-- ["Siege Vise"] = "",
	["Siege Workshop"] = "攻城车间",
	["Sifreldar Village"] = "希弗列尔达村",
	["Silent Vigil"] = "沉默墓地",
	Silithus = "希利苏斯",
	["Silmyr Lake"] = "希尔米耶湖",
	["Silting Shore"] = "淤泥海岸",
	["Silver Covenant Pavilion"] = "银色盟约大帐",
	["Silver Stream Mine"] = "银泉矿洞",
	-- ["Silver Tide Hollow"] = "",
	-- ["Silver Tide Trench"] = "",
	Silverbrook = "银溪镇",
	["Silverbrook Hills"] = "银溪丘陵",
	-- ["Silverlight Cavern"] = "",
	["Silverline Lake"] = "银链湖",
	["Silvermoon City"] = "银月城",
	-- ["Silvermoon City Inn"] = "",
	-- ["Silvermoon Finery"] = "",
	-- ["Silvermoon Jewelery"] = "",
	-- ["Silvermoon Registry"] = "",
	["Silvermoon's Pride"] = "银月之傲",
	["Silvermyst Isle"] = "秘银岛",
	["Silverpine Forest"] = "银松森林",
	["Silverwind Refuge"] = "银风避难所",
	["Silverwing Flag Room"] = "银翼军旗室",
	["Silverwing Grove"] = "银翼树林",
	["Silverwing Hold"] = "银翼要塞",
	["Silverwing Outpost"] = "银翼哨站",
	["Simply Enchanting"] = "简单附魔",
	["Sindragosa's Fall"] = "辛达苟萨之墓",
	-- ["Sindweller's Rise"] = "",
	["Singing Ridge"] = "晶歌山脉",
	["Sinner's Folly"] = "罪人的愚行",
	-- ["Sira'kess Front"] = "",
	["Sishir Canyon"] = "希塞尔山谷",
	["Sisters Sorcerous"] = "巫术姐妹",
	Skald = "焦火荒野",
	["Sketh'lon Base Camp"] = "斯克瑟隆营地",
	["Sketh'lon Wreckage"] = "斯克瑟隆废墟",
	["Skethyl Mountains"] = "鸦羽山",
	Skettis = "斯克提斯",
	["Skitterweb Tunnels"] = "蛛网隧道",
	Skorn = "斯克恩",
	["Skulk Rock"] = "隐匿石",
	["Skulking Row"] = "匿影小径",
	["Skull Rock"] = "骷髅石",
	-- ["Sky Falls"] = "",
	["Skyguard Outpost"] = "天空卫队哨站",
	["Skyline Ridge"] = "冲天岭",
	["Skysong Lake"] = "天歌湖",
	-- ["Slabchisel's Survey"] = "",
	["Slag Watch"] = "熔渣哨塔",
	-- Slagworks = "",
	["Slaughter Hollow"] = "屠杀谷",
	["Slaughter Square"] = "屠杀广场",
	["Sleeping Gorge"] = "沉睡峡谷",
	["Slither Rock"] = "滑石",
	-- ["Slitherblade Shore"] = "",
	-- ["Slithering Cove"] = "",
	-- ["Sludgeguard Tower"] = "",
	-- ["Smuggler's Scar"] = "",
	["Snowblind Hills"] = "雪盲岭",
	["Snowblind Terrace"] = "雪盲台地",
	-- ["Snowden Chalet"] = "",
	["Snowdrift Plains"] = "雪流平原",
	["Snowfall Glade"] = "飘雪林地",
	["Snowfall Graveyard"] = "雪落墓地",
	["Socrethar's Seat"] = "索克雷萨之座",
	["Sofera's Naze"] = "索菲亚高地",
	["Solace Glade"] = "慰藉之林",
	["Solliden Farmstead"] = "索利丹农场",
	["Solstice Village"] = "冬至村",
	["Sorlof's Strand"] = "索罗夫海岸",
	["Sorrow Hill"] = "悔恨岭",
	-- ["Sorrow Hill Crypt"] = "",
	["Sorrow Wing Point"] = "悲翼之地",
	Sorrowmurk = "忧伤湿地",
	["Soulgrinder's Barrow"] = "磨魂者之穴",
	["South Common Hall"] = "南会议厅",
	["South Gate Outpost"] = "南门哨岗",
	["South Gate Pass"] = "南门小径",
	["South Point Station"] = "南部哨站",
	["South Seas"] = "南海",
	-- ["South Spire"] = "",
	["South Tide's Run"] = "南流海岸",
	["Southbreak Shore"] = "塔纳利斯南海",
	["Southern Barrens"] = "南贫瘠之地",
	["Southern Gold Road"] = "南黄金之路",
	["Southern Rampart"] = "南部城墙",
	-- ["Southern Rocketway"] = "",
	-- ["Southern Rocketway Terminus"] = "",
	["Southern Savage Coast"] = "南野人海岸",
	["Southfury River"] = "怒水河",
	-- ["Southfury Watershed"] = "",
	["Southmaul Tower"] = "南槌哨塔",
	["Southmoon Ruins"] = "南月废墟",
	-- ["Southpoint Gate"] = "",
	["Southpoint Tower"] = "南点哨塔",
	["Southridge Beach"] = "南山海滩",
	-- ["Southsea Holdfast"] = "",
	Southshore = "南海镇",
	["Southshore Town Hall"] = "南海镇大厅",
	["Southwind Cleft"] = "南风裂谷",
	["Southwind Village"] = "南风村",
	["Sparksocket Minefield"] = "斯巴索克雷区",
	["Sparktouched Haven"] = "灵鳍湾",
	["Sparring Hall"] = "斗技厅",
	["Spearborn Encampment"] = "锐矛营地",
	-- Spearhead = "",
	-- ["Speedbarge Bar"] = "",
	["Spinebreaker Mountains"] = "断背山",
	["Spinebreaker Pass"] = "断背小径",
	["Spinebreaker Post"] = "断背岗哨",
	-- ["Spinebreaker Ridge"] = "",
	["Spiral of Thorns"] = "荆棘螺旋",
	["Spire Throne"] = "尖塔王座",
	["Spire of Blood"] = "鲜血尖塔",
	["Spire of Decay"] = "凋零尖塔",
	["Spire of Pain"] = "苦痛尖塔",
	["Spirit Den"] = "灵魂之穴",
	["Spirit Fields"] = "灵魂平原",
	["Spirit Rise"] = "灵魂高地",
	["Spirit Rock"] = "灵魂石地",
	-- ["Spitescale Cavern"] = "",
	-- ["Spitescale Cove"] = "",
	["Splinterspear Junction"] = "断矛路口",
	-- Splintertree = "",
	-- ["Splintertree Mine"] = "",
	["Splintertree Post"] = "碎木岗哨",
	["Splithoof Crag"] = "裂蹄峭壁",
	-- ["Splithoof Heights"] = "",
	["Splithoof Hold"] = "裂蹄堡",
	Sporeggar = "孢子村",
	["Sporewind Lake"] = "孢子湖",
	["Spruce Point Post"] = "云杉哨站",
	Stables = "兽栏",
	Stagalbog = "雄鹿沼泽",
	["Stagalbog Cave"] = "雄鹿沼泽洞穴",
	-- ["Stagecoach Crash Site"] = "",
	["Staghelm Point"] = "鹿盔岗哨",
	["Starbreeze Village"] = "星风村",
	-- ["Stardust Spire"] = "",
	["Starfall Village"] = "坠星村",
	["Stars' Rest"] = "群星之墓",
	["Stasis Block: Maximus"] = "静止隔间：玛克希姆",
	["Stasis Block: Trion"] = "静止隔间：特雷奥",
	["Steam Springs"] = "蒸汽之泉",
	["Steamwheedle Port"] = "热砂港",
	["Steel Gate"] = "钢铁之门",
	["Steelgrill's Depot"] = "钢架补给站",
	["Steeljaw's Caravan"] = "钢腭的车队",
	-- ["Steelspark Station"] = "",
	["Stendel's Pond"] = "斯特登的池塘",
	["Stillpine Hold"] = "止松要塞",
	["Stillwater Pond"] = "静水池",
	["Stillwhisper Pond"] = "萦语水池",
	Stonard = "斯通纳德",
	["Stone Cairn Lake"] = "石碑湖",
	-- ["Stone Sentinel's Overlook"] = "",
	["Stonebreaker Camp"] = "裂石营地",
	["Stonebreaker Hold"] = "裂石堡",
	["Stonebull Lake"] = "石牛湖",
	-- Stonehearth = "",
	["Stonehearth Bunker"] = "石炉碉堡",
	["Stonehearth Graveyard"] = "石炉墓地",
	["Stonehearth Outpost"] = "石炉哨站",
	-- ["Stonemaul Hold"] = "",
	["Stonemaul Ruins"] = "石槌废墟",
	["Stonesplinter Valley"] = "碎石怪之谷",
	-- ["Stonetalon Bomb"] = "",
	["Stonetalon Mountains"] = "石爪山脉",
	-- ["Stonetalon Pass"] = "",
	["Stonetalon Peak"] = "石爪峰",
	["Stonewall Canyon"] = "石墙峡谷",
	["Stonewall Lift"] = "石墙升降梯",
	-- ["Stoneward Prison"] = "",
	Stonewatch = "石堡",
	["Stonewatch Falls"] = "石堡瀑布",
	["Stonewatch Keep"] = "石堡要塞",
	["Stonewatch Tower"] = "石堡高塔",
	["Stonewrought Dam"] = "巨石水坝",
	["Stonewrought Pass"] = "石坝小径",
	-- ["Storm Cliffs"] = "",
	-- ["Storm Peaks"] = "",
	-- ["Storm's Fury Wreckage"] = "",
	Stormcrest = "雷羽峰",
	-- ["Stormfeather Outpost"] = "",
	-- ["Stormglen Village"] = "",
	["Stormpike Graveyard"] = "雷矛墓地",
	["Stormrage Barrow Dens"] = "怒风兽穴",
	-- Stormwind = "",
	["Stormwind City"] = "暴风城",
	-- ["Stormwind City Cemetery"] = "",
	-- ["Stormwind City Outskirts"] = "",
	["Stormwind Harbor"] = "暴风城港口",
	["Stormwind Keep"] = "暴风要塞",
	-- ["Stormwind Lake"] = "",
	["Stormwind Mountains"] = "暴风山脉",
	["Stormwind Stockade"] = "暴风城监狱",
	["Stormwind Vault"] = "暴风城地窖",
	["Stoutlager Inn"] = "烈酒旅店",
	Strahnbrad = "斯坦恩布莱德",
	["Strand of the Ancients"] = "远古海滩",
	["Stranglethorn Vale"] = "荆棘谷",
	Stratholme = "斯坦索姆",
	-- ["Stratholme Entrance"] = "",
	-- ["Stratholme Service Entrance"] = "",
	["Stromgarde Keep"] = "激流堡",
	-- ["Stygian Bounty"] = "",
	["Sub zone"] = "Sub zone",
	-- ["Sulfuron Keep"] = "",
	-- ["Sulfuron Keep Courtyard"] = "",
	-- ["Sulfuron Span"] = "",
	-- ["Sulfuron Spire"] = "",
	-- ["Sullah's Sideshow"] = "",
	["Summoners' Tomb"] = "召唤者之墓",
	["Sun Rock Retreat"] = "烈日石居",
	["Sun's Reach Armory"] = "阳湾军械库",
	["Sun's Reach Harbor"] = "阳湾港口",
	["Sun's Reach Sanctum"] = "阳湾圣殿",
	["Suncrown Village"] = "日冕村",
	["Sundown Marsh"] = "日落沼泽",
	["Sunfire Point"] = "阳炎岗哨",
	["Sunfury Hold"] = "日怒堡",
	["Sunfury Spire"] = "日怒之塔",
	["Sungraze Peak"] = "阳痕峰",
	-- ["Sunken Dig Site"] = "",
	["Sunken Temple"] = "沉没的神庙",
	-- ["Sunken Temple Entrance"] = "",
	["Sunreaver Pavilion"] = "夺日者大帐",
	["Sunreaver's Command"] = "夺日者指挥站",
	["Sunreaver's Sanctuary"] = "夺日者圣殿",
	["Sunsail Anchorage"] = "阳帆港",
	["Sunspring Post"] = "日泉岗哨",
	-- ["Sunstone Terrace"] = "",
	["Sunstrider Isle"] = "逐日岛",
	-- ["Sunveil Excursion"] = "",
	-- ["Sunwatcher's Ridge"] = "",
	["Sunwell Plateau"] = "太阳之井高地",
	["Supply Caravan"] = "补给车队",
	["Surge Needle"] = "湍流之针",
	-- ["Surveyors' Outpost"] = "",
	-- Surwich = "",
	-- ["Svarnos' Cell"] = "",
	["Swamp of Sorrows"] = "悲伤沼泽",
	["Swamplight Manor"] = "水光庄园",
	["Swamprat Post"] = "沼泽鼠岗哨",
	-- ["Swiftgear Station"] = "",
	-- ["Swindle Street"] = "",
	["Swindlegrin's Dig"] = "斯温迪格林挖掘场",
	["Sword's Rest"] = "剑冢", -- Needs review
	Sylvanaar = "希尔瓦纳",
	["Tabetha's Farm"] = "塔贝萨的农场",
	-- ["Taelan's Tower"] = "",
	["Tahonda Ruins"] = "塔霍达废墟",
	-- ["Tahret Grounds"] = "",
	-- ["Tal'doren"] = "",
	["Talismanic Textiles"] = "避邪纺织店",
	["Talon Stand"] = "龙爪丘陵",
	["Talonbranch Glade"] = "刺枝林地",
	-- ["Talondeep Pass"] = "",
	-- ["Talondeep Vale"] = "",
	Talramas = "塔尔拉玛斯",
	["Talrendis Point"] = "塔伦迪斯营地",
	Tanaris = "塔纳利斯",
	-- ["Tanaris Desert"] = "",
	["Tanks for Everything"] = "坦克用品店",
	["Tanner Camp"] = "制皮匠营地",
	["Tarren Mill"] = "塔伦米尔",
	["Taunka'le Village"] = "牦牛村",
	["Tazz'Alaor"] = "塔萨洛尔",
	-- ["Teegan's Expedition"] = "",
	["Tel'athion's Camp"] = "塔希恩的营地",
	Telaar = "塔拉",
	["Telaari Basin"] = "塔拉盆地",
	Teldrassil = "泰达希尔",
	Telredor = "泰雷多尔",
	["Tempest Bridge"] = "风暴之桥",
	["Tempest Keep"] = "风暴要塞",
	-- ["Tempest Keep - The Arcatraz Entrance"] = "",
	-- ["Tempest Keep - The Botanica Entrance"] = "",
	-- ["Tempest Keep - The Mechanar Entrance"] = "",
	-- ["Tempest Keep: The Arcatraz"] = "",
	-- ["Tempest Keep: The Botanica"] = "",
	-- ["Tempest Keep: The Mechanar"] = "",
	-- ["Tempest's Reach"] = "",
	["Temple City of En'kilah"] = "圣城恩其拉",
	["Temple Hall"] = "神殿大厅",
	["Temple Summit"] = "神殿之巅",
	["Temple of Ahn'Qiraj"] = "安其拉神殿",
	["Temple of Arkkoran"] = "亚考兰神殿",
	-- ["Temple of Asaad"] = "",
	["Temple of Bethekk"] = "贝瑟克神庙",
	-- ["Temple of Earth"] = "",
	["Temple of Invention"] = "创世神殿",
	["Temple of Life"] = "生命神殿",
	["Temple of Order"] = "秩序神殿",
	["Temple of Storms"] = "风暴神殿",
	["Temple of Telhamat"] = "塔哈玛特神殿",
	-- ["Temple of Uldum"] = "",
	["Temple of Winter"] = "寒冬神殿",
	["Temple of Wisdom"] = "智慧神殿",
	["Temple of Zin-Malor"] = "辛玛洛神殿",
	["Temple of the Forgotten"] = "遗忘神殿",
	["Temple of the Moon"] = "月神殿",
	-- ["Tenebrous Cavern"] = "",
	["Terokk's Rest"] = "泰罗克之墓",
	["Terokkar Forest"] = "泰罗卡森林",
	["Terrace of Light"] = "圣光广场",
	["Terrace of Repose"] = "休息区",
	-- ["Terrace of the Augurs"] = "",
	["Terrace of the Makers"] = "造物者圣台",
	["Terrace of the Sun"] = "太阳平台",
	["Terror Run"] = "恐惧小道",
	["Terror Wing Path"] = "龙翼小径",
	Terrordale = "恐惧谷",
	["Terrorweb Tunnel"] = "恶蛛隧道",
	["Tethris Aran"] = "塔迪萨兰",
	-- ["Thal'darah Grove"] = "",
	-- ["Thal'darah Overlook"] = "",
	Thalanaar = "萨兰纳尔",
	["Thalassian Pass"] = "萨拉斯小径",
	-- ["Thalassian Range"] = "",
	["Thandol Span"] = "萨多尔大桥",
	-- ["Thargad's Camp"] = "",
	["The Abandoned Reach"] = "遗弃海岸",
	-- ["The Abyssal Maw"] = "",
	["The Abyssal Shelf"] = "地狱岩床",
	-- ["The Admiral's Den"] = "",
	["The Agronomical Apothecary"] = "农艺炼金房",
	["The Alliance Valiants' Ring"] = "联盟勇士赛场",
	["The Altar of Damnation"] = "诅咒祭坛",
	["The Altar of Shadows"] = "暗影祭坛",
	["The Altar of Zul"] = "祖尔祭坛",
	-- ["The Ancient Grove"] = "",
	["The Ancient Lift"] = "上古升降梯",
	["The Antechamber"] = "前厅",
	-- ["The Anvil of Conflagration"] = "",
	-- ["The Anvil of Flame"] = "",
	["The Apothecarium"] = "炼金房",
	["The Arachnid Quarter"] = "蜘蛛区",
	["The Arcanium"] = "奥法大厅",
	["The Arcatraz"] = "禁魔监狱",
	["The Archivum"] = "档案馆",
	["The Argent Stand"] = "银色前沿",
	["The Argent Valiants' Ring"] = "银色勇士赛场",
	["The Argent Vanguard"] = "银色前线基地",
	["The Arsenal Absolute"] = "神兵利器",
	["The Aspirants' Ring"] = "候选者赛场",
	["The Assembly Chamber"] = "集结之厅",
	["The Assembly of Iron"] = "钢铁议会",
	["The Athenaeum"] = "图书馆",
	["The Avalanche"] = "雪崩山麓",
	["The Azure Front"] = "碧蓝前线",
	["The Bank of Dalaran"] = "达拉然银行",
	-- ["The Bank of Silvermoon"] = "",
	["The Banquet Hall"] = "宴会厅",
	["The Barrier Hills"] = "壁垒山",
	-- ["The Bastion of Twilight"] = "",
	-- ["The Battle for Gilneas"] = "",
	-- ["The Battle for Gilneas (Old City Map)"] = "",
	-- ["The Battle for Mount Hyjal"] = "",
	-- ["The Battleboar Pen"] = "",
	-- ["The Battlefront"] = "",
	["The Bazaar"] = "花园街市",
	["The Beer Garden"] = "啤酒花园",
	-- ["The Bite"] = "",
	-- ["The Black Breach"] = "",
	["The Black Market"] = "黑市",
	["The Black Morass"] = "黑色沼泽",
	["The Black Temple"] = "黑暗神殿",
	["The Black Vault"] = "黑色宝库",
	-- ["The Blackwald"] = "",
	-- ["The Blazing Strand"] = "",
	["The Blight Line"] = "荒芜边界",
	["The Blighted Pool"] = "枯萎之池",
	["The Blood Furnace"] = "鲜血熔炉",
	-- ["The Blood Trail"] = "",
	["The Bloodcursed Reef"] = "血咒暗礁",
	-- ["The Bloodmire"] = "",
	["The Bloodoath"] = "血誓号",
	["The Bloodwash"] = "血浪海滩",
	["The Bombardment"] = "轰炸场",
	["The Bone Pile"] = "白骨堆",
	["The Bone Wastes"] = "白骨荒野",
	["The Bonefields"] = "埋骨地",
	["The Bones of Nozronn"] = "诺兹隆之骨",
	-- ["The Boneyard"] = "",
	["The Borean Wall"] = "北风之墙",
	["The Botanica"] = "生态船",
	-- ["The Bradshaw Mill"] = "",
	["The Breach"] = "突破口",
	-- ["The Briny Cutter"] = "",
	["The Briny Pinnacle"] = "海洋之巅",
	["The Broken Bluffs"] = "裂崖",
	["The Broken Front"] = "破碎前线",
	["The Broken Hall"] = "破碎大厅",
	["The Broken Hills"] = "碎石岭",
	["The Broken Stair"] = "破碎阶梯",
	["The Broken Temple"] = "破碎神殿",
	["The Brood Pit"] = "孵化深渊",
	["The Broodmother's Nest"] = "母龙之巢",
	["The Bulwark"] = "亡灵壁垒",
	-- ["The Burning Corridor"] = "",
	["The Butchery"] = "屠宰房",
	-- ["The Cache of Madness"] = "",
	["The Caller's Chamber"] = "召唤者之厅",
	["The Canals"] = "运河",
	["The Cape of Stranglethorn"] = "荆棘谷海角",
	["The Carrion Fields"] = "腐臭平原",
	-- ["The Catacombs"] = "",
	["The Cauldron"] = "大熔炉",
	["The Cauldron of Flames"] = "烈焰之坑",
	["The Cave"] = "洞穴",
	["The Celestial Planetarium"] = "天文台",
	["The Celestial Watch"] = "观星大厅",
	["The Cemetary"] = "大墓地",
	-- ["The Cerebrillum"] = "",
	["The Charred Vale"] = "焦炭谷",
	["The Chilled Quagmire"] = "冰冷湿地",
	-- ["The Circle of Cinders"] = "",
	-- ["The Circle of Life"] = "",
	["The Circle of Suffering"] = "受难之环",
	["The Clash of Thunder"] = "雷霆角斗场",
	["The Clean Zone"] = "清洁区",
	["The Cleft"] = "大断崖",
	["The Clockwerk Run"] = "发条小径",
	-- ["The Clutch"] = "",
	["The Coil"] = "毒蛇小径",
	["The Colossal Forge"] = "巨人熔炉",
	["The Comb"] = "蜂巢",
	-- ["The Commons"] = "",
	["The Conflagration"] = "战火平原",
	["The Conquest Pit"] = "征服斗兽场",
	["The Conservatory"] = "温室",
	["The Conservatory of Life"] = "生命温室",
	["The Construct Quarter"] = "构造区",
	["The Cooper Residence"] = "桶屋",
	["The Corridors of Ingenuity"] = "发明回廊",
	["The Court of Bones"] = "白骨之庭",
	["The Court of Skulls"] = "颅骨之庭",
	["The Coven"] = "巫师会所",
	["The Creeping Ruin"] = "爬虫废墟",
	["The Crimson Cathedral"] = "赤色大教堂",
	["The Crimson Dawn"] = "血色黎明号",
	["The Crimson Hall"] = "赤红大厅",
	["The Crimson Reach"] = "红砂海滩",
	["The Crimson Throne"] = "图书馆",
	["The Crimson Veil"] = "赤红之雾",
	["The Crossroads"] = "十字路口",
	["The Crucible"] = "熔炉",
	-- ["The Crucible of Flame"] = "",
	["The Crumbling Waste"] = "碎裂废土",
	["The Cryo-Core"] = "冷却核心",
	["The Crystal Hall"] = "水晶大厅",
	["The Crystal Shore"] = "水晶海岸",
	["The Crystal Vale"] = "水晶谷",
	["The Crystal Vice"] = "水晶裂痕",
	["The Culling of Stratholme"] = "净化斯坦索姆",
	-- ["The Culling of Stratholme Entrance"] = "",
	-- ["The Cursed Landing"] = "",
	["The Dagger Hills"] = "匕首岭",
	["The Damsel's Luck"] = "少女的好运",
	["The Dark Approach"] = "黑暗小径", -- Needs review
	["The Dark Defiance"] = "黑暗挑战",
	["The Dark Portal"] = "黑暗之门",
	["The Darkened Bank"] = "暗色河滩",
	-- ["The Darkwood"] = "",
	["The Dawnchaser"] = "曙光追寻者号",
	["The Dawning Isles"] = "黎明岛",
	["The Dawning Square"] = "黎明广场",
	["The Dead Acre"] = "死亡农地",
	["The Dead Field"] = "亡者农场",
	["The Dead Fields"] = "死亡旷野",
	["The Dead Mire"] = "死亡泥潭",
	["The Dead Scar"] = "死亡之痕",
	["The Deadmines"] = "死亡矿井",
	["The Deathforge"] = "死亡熔炉",
	-- ["The Deathknell Graves"] = "",
	-- ["The Decrepit Fields"] = "",
	["The Decrepit Flow"] = "衰弱之河",
	-- ["The Deep Reaches"] = "",
	-- ["The Defiled Chapel"] = "",
	["The Den"] = "大兽穴",
	["The Den of Flame"] = "火焰洞穴",
	["The Dens of Dying"] = "亡者之穴",
	-- ["The Dens of the Dying"] = "",
	["The Descent into Madness"] = "疯狂阶梯",
	["The Desecrated Altar"] = "被亵渎的祭坛",
	-- ["The Devil's Terrace"] = "",
	-- ["The Devouring Breach"] = "",
	["The Domicile"] = "住宅区",
	["The Dor'Danil Barrow Den"] = "朵丹尼尔兽穴",
	["The Dormitory"] = "宿舍",
	["The Drag"] = "暗巷区",
	["The Dragon Wastes"] = "巨龙废土",
	["The Dragonmurk"] = "黑龙谷",
	["The Drain"] = "排水泵",
	-- ["The Dranosh'ar Blockade"] = "",
	["The Drowned Reef"] = "水下暗礁",
	["The Drowned Sacellum"] = "淹没的庙宇",
	["The Dry Hills"] = "无水岭",
	["The Dust Plains"] = "尘埃平原",
	["The Dustbowl"] = "漫尘盆地",
	-- ["The Eastern Earthshrine"] = "",
	-- ["The Emerald Summit"] = "",
	-- ["The Escape From Durnholde"] = "",
	-- ["The Escape from Durnholde Entrance"] = "",
	["The Eventide"] = "日暮广场",
	["The Exodar"] = "埃索达",
	["The Eye"] = "风暴要塞",
	["The Eye of Eternity"] = "永恒之眼",
	-- ["The Eye of the Vortex"] = "",
	["The Farstrider Lodge"] = "旅行者营地",
	["The Fel Pits"] = "魔能熔池",
	["The Fetid Pool"] = "恶臭之池",
	["The Filthy Animal"] = "肮脏的野兽",
	["The Firehawk"] = "炎鹰号",
	-- ["The Flamewake"] = "",
	["The Fleshwerks"] = "缝合场",
	["The Flood Plains"] = "洪荒平原",
	-- ["The Fold"] = "",
	["The Foot Steppes"] = "山底平原",
	["The Foothill Caverns"] = "丘陵洞穴",
	["The Forbidding Sea"] = "禁忌之海",
	["The Forest of Shadows"] = "阴影森林",
	["The Forge of Souls"] = "灵魂洪炉",
	-- ["The Forge of Souls Entrance"] = "",
	-- ["The Forge of Supplication"] = "",
	["The Forge of Wills"] = "意志熔炉",
	["The Forgotten Coast"] = "被遗忘的海岸",
	["The Forgotten Overlook"] = "遗忘峭壁",
	["The Forgotten Pool"] = "遗忘之池",
	["The Forgotten Pools"] = "遗忘之池",
	["The Forgotten Shore"] = "遗忘海岸",
	["The Forlorn Cavern"] = "荒弃的洞穴",
	["The Forlorn Mine"] = "荒弃矿洞",
	-- ["The Forsaken Front"] = "",
	["The Foul Pool"] = "污淤之池",
	["The Frigid Tomb"] = "严寒墓穴",
	["The Frost Queen's Lair"] = "霜翼之巢",
	["The Frostwing Halls"] = "霜翼大厅",
	["The Frozen Glade"] = "冰雪林地",
	["The Frozen Halls"] = "冰封大殿",
	["The Frozen Mine"] = "冰霜矿洞",
	["The Frozen Sea"] = "冰冻之海",
	["The Frozen Throne"] = "冰封王座",
	["The Fungal Vale"] = "蘑菇谷",
	["The Furnace"] = "熔炉",
	["The Gaping Chasm"] = "大裂口",
	-- ["The Gate of Unending Cycles"] = "",
	["The Gatehouse"] = "门房",
	["The Gauntlet"] = "街巷",
	["The Geyser Fields"] = "喷泉平原",
	["The Gilded Gate"] = "镀金之门",
	["The Glimmering Pillar"] = "光芒之柱",
	["The Golden Plains"] = "金色平原",
	["The Grand Ballroom"] = "舞厅",
	["The Grand Vestibule"] = "大门廊",
	["The Great Arena"] = "大竞技场",
	-- ["The Great Divide"] = "",
	["The Great Fissure"] = "大裂隙",
	["The Great Forge"] = "大锻炉",
	-- ["The Great Gate"] = "",
	["The Great Lift"] = "升降梯",
	["The Great Ossuary"] = "尸骨储藏所",
	["The Great Sea"] = "无尽之海",
	["The Great Tree"] = "符印巨树",
	["The Green Belt"] = "绿带草地",
	["The Greymane Wall"] = "格雷迈恩之墙",
	["The Grim Guzzler"] = "黑铁酒吧",
	["The Grinding Quarry"] = "碾石场",
	["The Grizzled Den"] = "灰色洞穴",
	["The Guardhouse"] = "警卫室",
	["The Guest Chambers"] = "会客间",
	-- ["The Gullet"] = "",
	["The Half Shell"] = "半壳龟",
	-- ["The Hall of Blood"] = "",
	["The Hall of Gears"] = "齿轮大厅",
	["The Hall of Lights"] = "珍宝陈列室",
	-- ["The Hall of Respite"] = "",
	["The Halls of Reanimation"] = "复活大厅",
	["The Halls of Winter"] = "寒冬大厅",
	["The Hand of Gul'dan"] = "古尔丹之手",
	["The Harborage"] = "避难营",
	["The Hatchery"] = "孵化间",
	["The Headland"] = "山头营地",
	-- ["The Headlands"] = "",
	["The Heap"] = "机甲废场",
	["The Heart of Acherus"] = "阿彻鲁斯之心",
	-- ["The Hidden Clutch"] = "",
	["The Hidden Grove"] = "隐秘小林",
	["The Hidden Hollow"] = "隐蔽山洞",
	["The Hidden Passage"] = "隐秘小径", -- Needs review
	["The Hidden Reach"] = "密径",
	["The Hidden Reef"] = "藏帆暗礁",
	["The High Path"] = "高原小径",
	-- ["The High Road"] = "",
	["The High Seat"] = "王座厅",
	["The Hinterlands"] = "辛特兰",
	["The Hoard"] = "物资库",
	-- ["The Hole"] = "",
	["The Horde Valiants' Ring"] = "部落勇士赛场",
	["The Horsemen's Assembly"] = "骑士议会厅",
	["The Howling Hollow"] = "凛风洞窟",
	-- ["The Howling Oak"] = "",
	["The Howling Vale"] = "狼嚎谷",
	["The Hunter's Reach"] = "猎人用品店",
	["The Hushed Bank"] = "寂静河岸",
	["The Icy Depths"] = "寒冰深渊",
	-- ["The Immortal Coil"] = "",
	["The Imperial Seat"] = "帝王之座",
	["The Infectis Scar"] = "魔刃之痕",
	-- ["The Inferno"] = "",
	-- ["The Inner Spire"] = "",
	-- ["The Intrepid"] = "",
	["The Inventor's Library"] = "创世者的图书馆",
	["The Iron Crucible"] = "钢铁熔炉",
	["The Iron Hall"] = "钢铁大厅",
	-- ["The Iron Reaper"] = "",
	["The Isle of Spears"] = "长矛岛",
	["The Ivar Patch"] = "伊瓦农场",
	["The Jansen Stead"] = "贾森农场",
	-- ["The Krazzworks"] = "",
	["The LMS Mark II"] = "LMS-II型地铁",
	["The Laboratory"] = "实验室",
	["The Lagoon"] = "环礁湖",
	["The Laughing Stand"] = "欢笑之台",
	["The Legerdemain Lounge"] = "魔术旅馆",
	["The Legion Front"] = "军团前线",
	["The Librarium"] = "图书馆",
	["The Library"] = "图书馆",
	-- ["The Lifebinder's Cell"] = "",
	["The Lifeblood Pillar"] = "源血之柱",
	-- ["The Lightless Reaches"] = "",
	["The Living Grove"] = "活木林",
	["The Living Wood"] = "生命森林",
	["The Loch"] = "洛克湖",
	["The Long Wash"] = "长桥码头",
	["The Lost Fleet"] = "失落的舰队",
	["The Lost Fold"] = "损坏的兽笼",
	-- ["The Lost Isles"] = "",
	["The Lost Lands"] = "迷失之地",
	["The Lost Passage"] = "失落小径",
	["The Low Path"] = "山谷小径",
	["The Lyceum"] = "讲学厅",
	["The Maclure Vineyards"] = "马科伦农场",
	-- ["The Maelstrom"] = "",
	-- ["The Maker's Overlook"] = "",
	-- ["The Maker's Rise"] = "",
	["The Maker's Terrace"] = "造物者遗迹",
	["The Makers' Overlook"] = "造物者悬台",
	["The Makers' Perch"] = "造物者之座",
	["The Manufactory"] = "制造厂",
	["The Marris Stead"] = "玛瑞斯农场",
	["The Marshlands"] = "沼泽地",
	["The Masonary"] = "石匠区",
	["The Master's Cellar"] = "麦迪文的酒窖",
	["The Master's Glaive"] = "主宰之剑",
	["The Maul"] = "巨槌竞技场",
	-- ["The Maw of Madness"] = "",
	["The Mechanar"] = "能源舰",
	["The Menagerie"] = "展览馆",
	-- ["The Menders' Stead"] = "",
	["The Merchant Coast"] = "商旅海岸",
	["The Militant Mystic"] = "好战的秘法师",
	["The Military Quarter"] = "军事区",
	["The Military Ward"] = "军事区",
	["The Mind's Eye"] = "心灵之眼",
	["The Mirror of Dawn"] = "黎明之镜",
	["The Mirror of Twilight"] = "暮色之镜",
	["The Molsen Farm"] = "摩尔森农场",
	["The Molten Bridge"] = "熔火之桥",
	["The Molten Core"] = "熔火之心",
	-- ["The Molten Fields"] = "",
	-- ["The Molten Flow"] = "",
	["The Molten Span"] = "熔岩之桥",
	-- ["The Mor'Shan Ramparts"] = "",
	["The Mor'shan Rampart"] = "摩尔沙农场",
	["The Mosslight Pillar"] = "苔光之柱",
	-- ["The Mountain Den"] = "",
	["The Murder Pens"] = "谋杀者围栏",
	["The Mystic Ward"] = "秘法区",
	["The Necrotic Vault"] = "死灵穹顶",
	["The Nexus"] = "魔枢",
	-- ["The Nexus Entrance"] = "",
	-- ["The Nightmare Scar"] = "",
	["The North Coast"] = "北部海岸",
	["The North Sea"] = "北海",
	-- ["The Nosebleeds"] = "",
	["The Noxious Glade"] = "剧毒林地",
	["The Noxious Hollow"] = "毒水谷",
	["The Noxious Lair"] = "腐化之巢",
	["The Noxious Pass"] = "剧毒小径",
	["The Oblivion"] = "湮灭号",
	["The Observation Ring"] = "观测场",
	["The Obsidian Sanctum"] = "黑曜石圣殿",
	["The Oculus"] = "魔环",
	-- ["The Oculus Entrance"] = "",
	-- ["The Old Barracks"] = "",
	-- ["The Old Dormitory"] = "",
	["The Old Port Authority"] = "港务局",
	["The Opera Hall"] = "歌剧院",
	["The Oracle Glade"] = "神谕林地",
	["The Outer Ring"] = "外环",
	-- ["The Overgrowth"] = "",
	["The Overlook"] = "瞭望台",
	["The Overlook Cliffs"] = "望海崖",
	-- ["The Pale Roost"] = "",
	["The Park"] = "花园",
	["The Path of Anguish"] = "苦痛之路",
	["The Path of Conquest"] = "征服之路",
	-- ["The Path of Corruption"] = "",
	["The Path of Glory"] = "荣耀之路",
	["The Path of Iron"] = "铁铸之路",
	["The Path of the Lifewarden"] = "生命守卫者之路",
	["The Phoenix Hall"] = "凤凰大厅",
	["The Pillar of Ash"] = "灰烬之柱",
	-- ["The Pipe"] = "",
	["The Pit of Criminals"] = "罪恶之池",
	["The Pit of Fiends"] = "邪魔之坑",
	["The Pit of Narjun"] = "纳尔苏深渊",
	["The Pit of Refuse"] = "抛弃之池",
	["The Pit of Sacrifice"] = "牺牲之池",
	-- ["The Pit of Scales"] = "",
	["The Pit of the Fang"] = "利齿之坑",
	["The Plague Quarter"] = "瘟疫区",
	["The Plagueworks"] = "瘟疫工坊",
	["The Pool of Ask'ar"] = "阿斯卡之池",
	["The Pools of Vision"] = "预见之池",
	["The Prison of Yogg-Saron"] = "尤格-萨隆的监狱",
	["The Proving Grounds"] = "实验场",
	["The Purple Parlor"] = "紫色天台",
	["The Quagmire"] = "泥潭沼泽",
	-- ["The Quaking Fields"] = "",
	["The Queen's Reprisal"] = "女王的复仇号",
	-- ["The Raging Chasm"] = "",
	-- ["The Rangers' Lodge"] = "",
	-- ["The Red Reaches"] = "",
	["The Refectory"] = "餐厅",
	-- ["The Regrowth"] = "",
	["The Reliquary"] = "遗骨之穴",
	["The Repository"] = "储藏室",
	["The Reservoir"] = "蓄水池",
	-- ["The Restless Front"] = "",
	-- ["The Ridge of Ancient Flame"] = "",
	["The Rift"] = "魔法裂隙",
	["The Ring of Blood"] = "鲜血竞技场",
	["The Ring of Champions"] = "冠军赛场",
	["The Ring of Trials"] = "试炼竞技场",
	["The Ring of Valor"] = "勇气之环",
	["The Riptide"] = "断潮之池",
	-- ["The Roiling Gardens"] = "",
	-- ["The Rolling Gardens"] = "",
	["The Rolling Plains"] = "草海平原",
	["The Rookery"] = "孵化间",
	["The Rotting Orchard"] = "烂果园",
	["The Royal Exchange"] = "皇家贸易区",
	["The Ruby Sanctum"] = "红玉圣殿",
	["The Ruined Reaches"] = "废墟海岸",
	["The Ruins of Kel'Theril"] = "凯斯利尔废墟",
	["The Ruins of Ordil'Aran"] = "奥迪拉兰废墟",
	["The Ruins of Stardust"] = "星尘废墟",
	["The Rumble Cage"] = "加基森竞技场",
	["The Rustmaul Dig Site"] = "锈锤挖掘场",
	["The Sacred Grove"] = "元素圣谷",
	["The Salty Sailor Tavern"] = "水手之家旅店",
	["The Sanctum"] = "圣殿",
	["The Sanctum of Blood"] = "血之圣所",
	["The Savage Coast"] = "野人海岸",
	-- ["The Savage Glen"] = "",
	["The Savage Thicket"] = "蛮荒树林",
	-- ["The Scalding Chasm"] = "",
	["The Scalding Pools"] = "滚烫熔池",
	["The Scarab Dais"] = "甲虫之台",
	["The Scarab Wall"] = "甲虫之墙",
	["The Scarlet Basilica"] = "血色十字军教堂",
	["The Scarlet Bastion"] = "血色十字军堡垒",
	["The Scorched Grove"] = "焦痕谷",
	-- ["The Scorched Plain"] = "",
	["The Scrap Field"] = "废料场",
	["The Scrapyard"] = "废料场",
	["The Screaming Hall"] = "尖啸大厅",
	-- ["The Screaming Reaches"] = "",
	["The Screeching Canyon"] = "尖啸峡谷",
	-- ["The Scribe of Stormwind"] = "",
	["The Scribes' Sacellum"] = "铭文师的殿堂",
	["The Scullery"] = "厨房",
	["The Sea Reaver's Run"] = "破海者航道",
	["The Sea of Cinders"] = "灰烬之海",
	["The Seabreach Flow"] = "碎浪河",
	["The Sealed Hall"] = "封印大厅",
	-- ["The Searing Gateway"] = "",
	-- ["The Secret Lab"] = "",
	["The Seer's Library"] = "先知的图书馆",
	["The Sepulcher"] = "瑟伯切尔",
	-- ["The Severed Span"] = "",
	["The Sewer"] = "下水道",
	["The Shadow Stair"] = "暗影阶梯",
	["The Shadow Throne"] = "暗影王座", -- Needs review
	["The Shadow Vault"] = "暗影墓穴",
	["The Shady Nook"] = "林荫小径",
	["The Shaper's Terrace"] = "塑造者之台",
	["The Shattered Halls"] = "破碎大厅",
	["The Shattered Strand"] = "破碎海岸",
	["The Shattered Walkway"] = "破碎通道",
	["The Shepherd's Gate"] = "牧羊人之门",
	["The Shifting Mire"] = "流沙泥潭",
	-- ["The Shimmering Deep"] = "",
	["The Shimmering Flats"] = "闪光平原",
	["The Shining Strand"] = "闪光湖岸",
	["The Shrine of Aessina"] = "艾森娜神殿",
	["The Shrine of Eldretharr"] = "艾德雷斯神殿",
	["The Silver Blade"] = "银锋号",
	["The Silver Enclave"] = "银色领地",
	["The Sin'loren"] = "辛洛雷号",
	["The Singing Grove"] = "轻歌之林",
	-- ["The Skeletal Reef"] = "",
	["The Skittering Dark"] = "粘丝洞",
	-- ["The Skull Warren"] = "",
	-- ["The Skunkworks"] = "",
	["The Skybreaker"] = "破天号",
	["The Skyreach Pillar"] = "通天之柱",
	["The Slag Pit"] = "熔渣之池",
	["The Slaughter House"] = "屠宰房",
	["The Slaughtered Lamb"] = "已宰的羔羊",
	["The Slave Pens"] = "奴隶围栏",
	-- ["The Slave Pits"] = "",
	-- ["The Slick"] = "",
	["The Slithering Scar"] = "巨痕谷",
	["The Slough of Dispair"] = "绝望泥沼",
	["The Sludge Fen"] = "淤泥沼泽",
	-- ["The Sludge Fields"] = "",
	-- ["The Sludgewerks"] = "",
	["The Solar Vigil"] = "观日台",
	["The Solarium"] = "日晷台",
	["The Spark of Imagination"] = "思想火花",
	-- ["The Sparkling Crawl"] = "",
	["The Spawning Glen"] = "孢殖林",
	-- ["The Spire"] = "",
	["The Stadium"] = "竞赛场",
	["The Stagnant Oasis"] = "死水绿洲",
	-- ["The Staidridge"] = "",
	["The Stair of Destiny"] = "命运阶梯",
	["The Stair of Doom"] = "末日阶梯",
	-- ["The Steam Pools"] = "",
	["The Steamvault"] = "蒸汽地窟",
	["The Steppe of Life"] = "生命草原",
	-- ["The Steps of Fate"] = "",
	["The Stockade"] = "监狱",
	["The Stockpile"] = "储藏室",
	["The Stone Vault"] = "石窖",
	-- ["The Stonecore"] = "",
	-- ["The Stonecore Entrance"] = "",
	["The Stonefield Farm"] = "斯通菲尔德农场",
	["The Storehouse"] = "仓库",
	["The Storm Foundry"] = "风暴铸造场",
	["The Storm Peaks"] = "风暴峭壁",
	["The Stormbreaker"] = "斩雷号",
	["The Stormspire"] = "风暴尖塔",
	["The Stormwright's Shelf"] = "雷暴台地",
	["The Sun Forge"] = "太阳熔炉",
	["The Sundered Shard"] = "崩裂碎片",
	-- ["The Sundering"] = "",
	["The Sunken Ring"] = "沉降之环",
	["The Sunspire"] = "太阳之塔",
	["The Suntouched Pillar"] = "日灼之柱",
	["The Sunwell"] = "太阳之井",
	["The Swarming Pillar"] = "虫群之柱",
	-- ["The Tainted Forest"] = "",
	["The Tainted Scar"] = "腐烂之痕",
	["The Talon Den"] = "猛禽洞穴",
	["The Talondeep Path"] = "石爪小径",
	["The Tempest Rift"] = "风暴裂隙",
	["The Temple Gardens"] = "神殿花园",
	["The Temple of Atal'Hakkar"] = "阿塔哈卡神庙",
	["The Terrestrial Watchtower"] = "大地瞭望塔",
	-- ["The Thornsnarl"] = "",
	["The Threads of Fate"] = "命运丝线",
	-- ["The Threshold"] = "",
	-- ["The Throne of Flame"] = "",
	-- ["The Tidebreaker"] = "",
	["The Tidus Stair"] = "提度斯阶梯",
	["The Tower of Arathor"] = "阿拉索之塔",
	-- ["The Toxic Airfield"] = "",
	-- ["The Trail of Devastation"] = "",
	-- ["The Tranquil Grove"] = "",
	["The Transitus Stair"] = "永生之阶",
	-- ["The Trapper's Enclave"] = "",
	["The Tribunal of Ages"] = "远古法庭",
	["The Tundrid Hills"] = "冻土岭",
	-- ["The Twilight Breach"] = "",
	-- ["The Twilight Caverns"] = "",
	-- ["The Twilight Citadel"] = "",
	-- ["The Twilight Enclave"] = "",
	-- ["The Twilight Gate"] = "",
	-- ["The Twilight Gauntlet"] = "",
	["The Twilight Ridge"] = "暮光岭",
	["The Twilight Rivulet"] = "暮色小溪",
	-- ["The Twilight Withering"] = "",
	["The Twin Colossals"] = "双塔山",
	["The Twisted Glade"] = "扭曲之林",
	["The Unbound Thicket"] = "自由之林",
	["The Underbelly"] = "达拉然下水道",
	["The Underbog"] = "幽暗沼泽",
	["The Undercroft"] = "墓室",
	["The Underhalls"] = "地下大厅",
	-- ["The Undershell"] = "",
	["The Uplands"] = "高地",
	["The Upside-down Sinners"] = "倒吊深渊",
	["The Valley of Fallen Heroes"] = "陨落英雄之谷",
	["The Valley of Lost Hope"] = "失落希望之谷",
	["The Vault of Lights"] = "圣光穹顶",
	["The Vector Coil"] = "矢量感应器",
	["The Veiled Cleft"] = "迷雾裂隙",
	["The Veiled Sea"] = "迷雾之海",
	["The Venture Co. Mine"] = "风险投资公司矿洞",
	["The Verdant Fields"] = "青草平原",
	-- ["The Verdant Thicket"] = "",
	-- ["The Verne"] = "",
	-- ["The Verne - Bridge"] = "",
	-- ["The Verne - Entryway"] = "",
	["The Vibrant Glade"] = "活力之林",
	["The Vice"] = "罪恶谷",
	-- ["The Vicious Vale"] = "",
	["The Viewing Room"] = "观察室",
	["The Vile Reef"] = "暗礁海",
	["The Violet Citadel"] = "紫罗兰城堡",
	["The Violet Citadel Spire"] = "紫罗兰塔",
	["The Violet Gate"] = "紫罗兰之门",
	["The Violet Hold"] = "紫罗兰监狱",
	["The Violet Spire"] = "紫罗兰高塔",
	["The Violet Tower"] = "紫罗兰之塔",
	["The Vortex Fields"] = "漩涡平原",
	-- ["The Vortex Pinnacle"] = "",
	-- ["The Vortex Pinnacle Entrance"] = "",
	["The Wailing Caverns"] = "哀嚎洞穴",
	["The Wailing Ziggurat"] = "悲叹通灵塔",
	["The Waking Halls"] = "苏醒之厅",
	-- ["The Warlord's Garrison"] = "",
	["The Warlord's Terrace"] = "督军的平台",
	["The Warp Fields"] = "迁跃平原",
	["The Warp Piston"] = "跳跃引擎",
	["The Wavecrest"] = "浪巅号",
	["The Weathered Nook"] = "老屋",
	["The Weeping Cave"] = "哭泣之洞",
	-- ["The Western Earthshrine"] = "",
	["The Westrift"] = "西部裂谷",
	-- ["The Whelping Downs"] = "",
	["The Whipple Estate"] = "维普尔庄园",
	["The Wicked Coil"] = "邪恶之旋",
	["The Wicked Grotto"] = "邪恶洞穴",
	-- ["The Widow's Clutch"] = "",
	-- ["The Wild Shore"] = "",
	-- ["The Winding Halls"] = "",
	["The Windrunner"] = "风行者号",
	-- ["The Wollerton Stead"] = "",
	["The Wonderworks"] = "奇妙玩具店",
	["The World Tree"] = "世界之树",
	["The Writhing Deep"] = "痛苦深渊",
	["The Writhing Haunt"] = "嚎哭鬼屋",
	["The Yorgen Farmstead"] = "约根农场",
	["The Zoram Strand"] = "佐拉姆海岸",
	["Thelgen Rock"] = "瑟根石",
	Thelsamar = "塞尔萨玛",
	-- Theramore = "",
	["Theramore Isle"] = "塞拉摩岛",
	-- ["Therazane's Throne"] = "",
	-- ["Thermal Vents"] = "",
	["Thieves Camp"] = "盗贼营地",
	["Thistlefur Hold"] = "蓟皮要塞",
	["Thistlefur Village"] = "蓟皮村",
	["Thistleshrub Valley"] = "灌木谷",
	["Thondroril River"] = "索多里尔河",
	["Thor Modan"] = "索尔莫丹",
	["Thoradin's Wall"] = "索拉丁之墙",
	-- ["Thorium Advance"] = "",
	["Thorium Point"] = "瑟银哨塔",
	["Thorn Hill"] = "荆棘岭",
	["Thornfang Hill"] = "棘牙岭",
	-- ["Thornmantle's Hideout"] = "",
	["Thorson's Post"] = "索尔森的岗哨",
	["Thorvald's Camp"] = "托尔瓦德的营地",
	["Thousand Needles"] = "千针石林",
	Thrallmar = "萨尔玛",
	["Thrallmar Mine"] = "萨尔玛矿洞",
	["Three Corners"] = "三角路口",
	["Throne of Kil'jaeden"] = "基尔加丹王座",
	-- ["Throne of Neptulon"] = "",
	-- ["Throne of Tides"] = "",
	-- ["Throne of the Apocalypse"] = "",
	["Throne of the Damned"] = "诅咒王座",
	["Throne of the Elements"] = "元素王座",
	-- ["Throne of the Four Winds"] = "",
	-- ["Throne of the Tides"] = "",
	-- ["Throne of the Tides Entrance"] = "",
	["Thrym's End"] = "塞穆之末",
	["Thunder Axe Fortress"] = "雷斧堡垒",
	["Thunder Bluff"] = "雷霆崖",
	["Thunder Falls"] = "雷霆瀑布",
	-- ["Thunder Peak"] = "",
	["Thunder Ridge"] = "雷霆山",
	Thunderbluff = "雷霆崖",
	["Thunderbrew Distillery"] = "雷酒酿制厂",
	Thunderfall = "落雷谷",
	["Thunderhorn Water Well"] = "雷角水井",
	["Thundering Overlook"] = "雷鸣峭壁",
	["Thunderlord Stronghold"] = "雷神要塞",
	-- Thundermar = "",
	-- ["Thundermar Ruins"] = "",
	-- ["Thunderstrike Mountain"] = "",
	-- ["Thunk's Abode"] = "",
	["Thuron's Livery"] = "苏伦的养殖场",
	["Tidefury Cove"] = "狂潮湾",
	["Tides' Hollow"] = "海潮洞窟",
	["Timbermaw Hold"] = "木喉要塞",
	["Timbermaw Post"] = "木喉岗哨",
	["Tinker Town"] = "侏儒区",
	["Tinkers' Court"] = "工匠议会",
	["Tiragarde Keep"] = "提拉加德城堡",
	["Tirisfal Glades"] = "提瑞斯法林地",
	-- ["Tirth's Haunt"] = "",
	["Tkashi Ruins"] = "伽什废墟",
	-- ["Tol Barad"] = "",
	-- ["Tol Barad Peninsula"] = "",
	["Tomb of Lights"] = "圣光之墓",
	["Tomb of the Ancients"] = "远古墓穴",
	-- ["Tomb of the Earthrager"] = "",
	["Tomb of the Lost Kings"] = "失落王者之墓",
	-- ["Tomb of the Sun King"] = "",
	-- ["Tomb of the Watchers"] = "",
	-- ["Tombs of the Precursors"] = "",
	["Tome of the Unrepentant"] = "无悔者之书",
	["Tor'Watha"] = "托尔瓦萨",
	["Tor'kren Farm"] = "托克雷农场",
	["Torp's Farm"] = "托普的农场",
	["Torseg's Rest"] = "托塞格的营地",
	["Toryl Estate"] = "托尔里公馆",
	["Toshley's Station"] = "托什雷的基地",
	["Tower Point"] = "哨塔高地",
	-- ["Tower Watch"] = "",
	["Tower of Althalaxx"] = "奥萨拉克斯之塔",
	["Tower of Azora"] = "阿祖拉之塔",
	["Tower of Eldara"] = "埃达拉之塔",
	-- ["Tower of Estulan"] = "",
	["Tower of Ilgalar"] = "伊尔加拉之塔",
	["Tower of the Damned"] = "诅咒之塔",
	["Town Square"] = "城镇广场",
	-- ["Town-In-A-Box"] = "",
	["Trade District"] = "贸易区",
	["Trade Quarter"] = "贸易区",
	["Trader's Tier"] = "贸易阶梯",
	["Tradesmen's Terrace"] = "贸易区",
	["Train Depot"] = "地铁站",
	["Training Grounds"] = "训练场",
	["Traitor's Cove"] = "叛徒湾",
	-- ["Tranquil Coast"] = "",
	["Tranquil Gardens Cemetery"] = "静谧花园墓场",
	["Tranquil Shore"] = "静谧海岸",
	-- ["Tranquil Wash"] = "",
	Tranquillien = "塔奎林",
	Transborea = "横贯冰原",
	["Transitus Shield"] = "永生之盾",
	["Transport: Alliance Gunship"] = "交通工具：联盟炮艇",
	-- ["Transport: Alliance Gunship (IGB)"] = "",
	["Transport: Horde Gunship"] = "交通工具：部落炮艇",
	-- ["Transport: Horde Gunship (IGB)"] = "",
	-- ["Transport: Onyxia/Nefarian Elevator"] = "",
	-- ["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "",
	["Trelleum Mine"] = "特雷卢姆矿井",
	-- ["Trial of Fire"] = "",
	-- ["Trial of Frost"] = "",
	-- ["Trial of Shadow"] = "",
	["Trial of the Champion"] = "冠军的试炼",
	-- ["Trial of the Champion Entrance"] = "",
	["Trial of the Crusader"] = "十字军的试炼",
	["Trogma's Claim"] = "托格玛洞穴",
	["Trollbane Hall"] = "托尔贝恩大厅",
	["Trophy Hall"] = "战利品陈列厅",
	-- ["Trueshot Point"] = "",
	["Tuluman's Landing"] = "图鲁曼的营地",
	Tuurem = "图雷姆",
	-- ["Twilight Aerie"] = "",
	-- ["Twilight Altar of Storms"] = "",
	["Twilight Base Camp"] = "暮光营地",
	-- ["Twilight Bulwark"] = "",
	-- ["Twilight Camp"] = "",
	-- ["Twilight Command Post"] = "",
	-- ["Twilight Crossing"] = "",
	-- ["Twilight Forge"] = "",
	["Twilight Grove"] = "黎明森林",
	-- ["Twilight Highlands"] = "",
	-- ["Twilight Highlands Phased Entrance"] = "",
	["Twilight Outpost"] = "暮光前哨站",
	-- ["Twilight Overlook"] = "",
	["Twilight Post"] = "暮光岗哨",
	-- ["Twilight Precipice"] = "",
	["Twilight Shore"] = "暮光海岸",
	-- ["Twilight Terrace"] = "",
	["Twilight Vale"] = "暮光谷",
	["Twilight's Run"] = "暮光小径",
	-- ["Twin Peaks"] = "",
	["Twin Shores"] = "双子海岸",
	["Twin Spire Ruins"] = "双塔废墟",
	-- ["Twinbraid's Patrol"] = "",
	["Twisting Nether"] = "扭曲虚空",
	["Tyr's Hand"] = "提尔之手",
	["Tyr's Hand Abbey"] = "提尔之手修道院",
	["Tyr's Terrace"] = "提尔之台",
	["Ufrang's Hall"] = "乌弗朗之厅",
	Uldaman = "奥达曼",
	-- ["Uldaman Entrance"] = "",
	Uldis = "奥迪斯",
	Ulduar = "奥杜尔",
	-- ["Ulduar Raid - Interior - Insertion Point"] = "",
	-- ["Ulduar Raid - Iron Concourse"] = "",
	Uldum = "奥丹姆",
	-- ["Uldum Phase Oasis"] = "",
	-- ["Uldum Phased Entrance"] = "",
	["Umbrafen Lake"] = "暗泽湖",
	["Umbrafen Village"] = "暗泽村",
	["Un'Goro Crater"] = "安戈洛环形山",
	Undercity = "幽暗城",
	-- ["Underlight Canyon"] = "",
	["Underlight Mines"] = "幽光矿洞",
	-- ["Unearthed Grounds"] = "",
	["Unu'pe"] = "乌努比",
	["Unyielding Garrison"] = "坚韧军营",
	-- ["Upper Silvermarsh"] = "",
	["Upper Veil Shil'ak"] = "上层夏尔克鸦巢",
	["Ursoc's Den"] = "乌索克之巢",
	Ursolan = "乌索兰",
	["Utgarde Catacombs"] = "乌特加德墓穴",
	["Utgarde Keep"] = "乌特加德城堡",
	-- ["Utgarde Keep Entrance"] = "",
	["Utgarde Pinnacle"] = "乌特加德之巅",
	-- ["Utgarde Pinnacle Entrance"] = "",
	["Uther's Tomb"] = "乌瑟尔之墓",
	["Valaar's Berth"] = "瓦拉尔港口",
	["Valgan's Field"] = "瓦尔甘农场",
	Valgarde = "瓦加德",
	-- ["Valgarde Port"] = "",
	Valhalas = "瓦哈拉斯",
	["Valiance Keep"] = "无畏要塞",
	["Valiance Landing Camp"] = "无畏军着陆营地",
	Valkyrion = "瓦基里安",
	["Valley Of Heroes"] = "英雄谷",
	["Valley of Ancient Winters"] = "上古寒冬山谷",
	-- ["Valley of Ashes"] = "",
	["Valley of Bones"] = "白骨之谷",
	["Valley of Echoes"] = "回音谷",
	["Valley of Fangs"] = "巨牙谷",
	["Valley of Heroes"] = "英雄谷",
	["Valley of Honor"] = "荣誉谷",
	["Valley of Kings"] = "国王谷",
	["Valley of Spears"] = "长矛谷",
	["Valley of Spirits"] = "精神谷",
	["Valley of Strength"] = "力量谷",
	["Valley of Trials"] = "试炼谷",
	["Valley of Wisdom"] = "智慧谷",
	["Valley of the Bloodfuries"] = "血怒峡谷",
	["Valley of the Watchers"] = "守卫之谷",
	["Valor's Rest"] = "勇士之墓",
	Valormok = "瓦罗莫克",
	["Valorwind Lake"] = "瓦罗温湖",
	["Vanguard Infirmary"] = "前线基地医护所",
	["Vanndir Encampment"] = "范迪尔营地",
	["Vargoth's Retreat"] = "瓦格斯的居所",
	-- ["Vashj'elan Spawning Pool"] = "",
	-- ["Vashj'ir"] = "",
	["Vault of Archavon"] = "阿尔卡冯的宝库",
	["Vault of Ironforge"] = "铁炉堡银行",
	["Vault of the Ravenian"] = "掠夺者灵堂",
	-- ["Vault of the Shadowflame"] = "",
	["Veil Ala'rak"] = "奥拉克鸦巢",
	["Veil Harr'ik"] = "哈雷克鸦巢",
	["Veil Lashh"] = "拉什鸦巢",
	["Veil Lithic"] = "雷希鸦巢",
	["Veil Reskk"] = "里斯克鸦巢",
	["Veil Rhaze"] = "哈兹鸦巢",
	["Veil Ruuan"] = "卢安鸦巢",
	["Veil Sethekk"] = "塞泰克鸦巢",
	["Veil Shalas"] = "沙拉斯鸦巢",
	["Veil Shienor"] = "西诺鸦巢",
	["Veil Skith"] = "基斯鸦巢",
	["Veil Vekh"] = "维克鸦巢",
	["Vekhaar Stand"] = "维克哈营地",
	-- ["Velaani's Arcane Goods"] = "",
	-- ["Vendetta Point"] = "",
	["Vengeance Landing"] = "复仇港",
	["Vengeance Landing Inn"] = "复仇港旅店",
	["Vengeance Landing Inn, Howling Fjord"] = "复仇港旅店",
	["Vengeance Lift"] = "复仇升降梯",
	["Vengeance Pass"] = "复仇小径",
	-- ["Vengeance Wake"] = "",
	Venomspite = "怨毒镇",
	["Venomweb Vale"] = "毒蛛峡谷",
	["Venture Bay"] = "风险湾",
	["Venture Co. Base Camp"] = "风险投资公司营地",
	["Venture Co. Operations Center"] = "风险投资公司工作中心",
	-- ["Verdant Highlands"] = "",
	["Verdantis River"] = "沃丹提斯河",
	["Veridian Point"] = "绿龙尖岬",
	-- ["Verlok Stand"] = "",
	-- ["Vermillion Redoubt"] = "",
	-- ["Verrall Delta"] = "",
	-- ["Verrall River"] = "",
	-- ["Victor's Point"] = "",
	["Vileprey Village"] = "邪猎村",
	["Vim'gol's Circle"] = "维姆高尔的法阵",
	["Vindicator's Rest"] = "守备官营地",
	["Violet Citadel Balcony"] = "紫罗兰城堡阳台",
	-- ["Violet Hold"] = "",
	-- ["Violet Hold Entrance"] = "",
	["Violet Stand"] = "紫罗兰哨站",
	-- ["Vir'naal Dam"] = "",
	-- ["Vir'naal Lake"] = "",
	-- ["Vir'naal Oasis"] = "",
	-- ["Vir'naal River"] = "",
	-- ["Vir'naal River Delta"] = "",
	["Void Ridge"] = "虚空山脉",
	["Voidwind Plateau"] = "虚风高原",
	-- ["Volcanoth's Lair"] = "",
	-- ["Voldrin's Hold"] = "",
	Voldrune = "沃德伦",
	["Voldrune Dwelling"] = "沃德伦民居",
	Voltarus = "沃尔塔鲁斯",
	["Vordrassil Pass"] = "沃达希尔小径",
	["Vordrassil's Heart"] = "沃达希尔之心",
	["Vordrassil's Limb"] = "沃达希尔之臂",
	["Vordrassil's Tears"] = "沃达希尔之泪",
	["Vortex Pinnacle"] = "漩涡峰",
	-- ["Vortex Summit"] = "",
	["Vul'Gol Ogre Mound"] = "沃古尔食人魔山",
	["Vyletongue Seat"] = "草藤之座",
	-- ["Wahl Cottage"] = "",
	["Wailing Caverns"] = "哀嚎洞穴",
	["Walk of Elders"] = "长者步道",
	["War Quarter"] = "军事区",
	["War Room"] = "指挥室",
	["Warbringer's Ring"] = "战争使者之环",
	-- ["Warchief's Lookout"] = "",
	["Warden's Cage"] = "守望者牢笼",
	-- ["Warden's Chambers"] = "",
	-- ["Warden's Vigil"] = "",
	["Warmaul Hill"] = "战槌山",
	["Warpwood Quarter"] = "扭木广场",
	["Warrior's Terrace"] = "战士区",
	-- ["Warsong Camp"] = "",
	["Warsong Farms Outpost"] = "战歌农场哨站",
	["Warsong Flag Room"] = "战歌军旗室",
	["Warsong Granary"] = "战歌粮仓",
	["Warsong Gulch"] = "战歌峡谷",
	["Warsong Hold"] = "战歌要塞",
	["Warsong Jetty"] = "战歌防波堤",
	["Warsong Labor Camp"] = "战歌劳工营地",
	["Warsong Lumber Camp"] = "战歌伐木营地",
	["Warsong Lumber Mill"] = "战歌伐木场",
	["Warsong Slaughterhouse"] = "战歌屠宰场",
	["Watchers' Terrace"] = "守望平台",
	["Waterspring Field"] = "清泉平原",
	-- Waterworks = "",
	["Wavestrider Beach"] = "破浪海滩",
	-- ["Wayfarer's Rest"] = "",
	Waygate = "界门",
	["Wayne's Refuge"] = "韦恩的避难所",
	["Weazel's Crater"] = "维吉尔之坑",
	-- ["Webwinder Hollow"] = "",
	["Webwinder Path"] = "蛛网小径",
	["Weeping Quarry"] = "哭泣采掘场",
	["Well of the Forgotten"] = "遗忘之井",
	-- ["Wellson Shipyard"] = "",
	-- ["Wellspring Hovel"] = "",
	["Wellspring Lake"] = "涌泉湖",
	["Wellspring River"] = "涌泉河",
	["West Garrison"] = "西区兵营",
	["West Pillar"] = "西部石柱",
	["West Point Station"] = "西部哨站",
	["West Point Tower"] = "西点哨塔",
	["West Sanctum"] = "西部圣殿",
	["West Spear Tower"] = "西部长矛塔楼",
	-- ["West Spire"] = "",
	["Westbrook Garrison"] = "西泉要塞",
	["Western Bridge"] = "西部桥梁",
	["Western Plaguelands"] = "西瘟疫之地",
	["Western Strand"] = "西部海岸",
	Westfall = "西部荒野",
	-- ["Westfall Brigade"] = "",
	["Westfall Brigade Encampment"] = "月溪旅营地",
	["Westfall Lighthouse"] = "西部荒野灯塔",
	["Westguard Inn"] = "西部卫戍要塞旅店",
	["Westguard Keep"] = "西部卫戍要塞",
	["Westguard Turret"] = "西部卫戍要塞塔楼",
	-- ["Westreach Summit"] = "",
	["Westspark Workshop"] = "西部火花车间",
	["Westwind Lift"] = "西风升降梯",
	["Westwind Refugee Camp"] = "西风避难营",
	Wetlands = "湿地",
	["Whelgar's Excavation Site"] = "维尔加挖掘场",
	-- ["Whelgar's Retreat"] = "",
	["Whisper Gulch"] = "低语峡谷",
	-- ["Whispering Forest"] = "",
	["Whispering Gardens"] = "耳语花园",
	["Whispering Shore"] = "耳语海岸",
	-- ["Whisperwind Grove"] = "",
	-- ["Whistling Grove"] = "",
	["White Pine Trading Post"] = "白松商栈",
	-- ["Whitebeard's Encampment"] = "",
	["Whitereach Post"] = "白沙岗哨",
	-- ["Wild Overlook"] = "",
	["Wild Shore"] = "蛮荒海岸",
	["Wildbend River"] = "急弯河",
	["Wildervar Mine"] = "维德瓦矿洞",
	-- ["Wildflame Point"] = "",
	["Wildgrowth Mangal"] = "蛮藤谷",
	-- ["Wildhammer Flag Room"] = "",
	["Wildhammer Keep"] = "蛮锤城堡",
	["Wildhammer Stronghold"] = "蛮锤要塞",
	-- ["Wildheart Point"] = "",
	["Wildmane Water Well"] = "蛮鬃水井",
	["Wildpaw Cavern"] = "蛮爪洞穴",
	["Wildpaw Ridge"] = "蛮爪岭",
	["Wildwind Lake"] = "狂风湖",
	["Wildwind Path"] = "狂风小径",
	["Wildwind Peak"] = "狂风山",
	["Windbreak Canyon"] = "风裂峡谷",
	["Windfury Ridge"] = "风怒山",
	["Windrunner Spire"] = "风行者之塔",
	["Windrunner Village"] = "风行村",
	["Windrunner's Overlook"] = "风行者观察站",
	["Windshear Crag"] = "狂风峭壁",
	-- ["Windshear Heights"] = "",
	-- ["Windshear Hold"] = "",
	["Windshear Mine"] = "狂风矿洞",
	-- ["Windshear Valley"] = "",
	["Windy Bluffs"] = "狂风崖",
	["Windyreed Pass"] = "风茅小径",
	["Windyreed Village"] = "风茅村",
	["Winter's Breath Lake"] = "冬息湖",
	["Winter's Edge Tower"] = "冬缘塔楼",
	["Winter's Heart"] = "寒冬之心",
	["Winter's Terrace"] = "寒冬大厅",
	["Winterax Hold"] = "冰斧要塞",
	["Winterfall Village"] = "寒水村",
	["Winterfin Caverns"] = "冬鳞洞穴",
	["Winterfin Retreat"] = "冬鳞避难所",
	["Winterfin Village"] = "冬鳞村",
	["Wintergarde Crypt"] = "暮冬地穴",
	["Wintergarde Keep"] = "暮冬要塞",
	["Wintergarde Mausoleum"] = "暮冬陵园",
	["Wintergarde Mine"] = "暮冬矿洞",
	Wintergrasp = "冬拥湖",
	["Wintergrasp Fortress"] = "冬拥堡垒",
	["Wintergrasp River"] = "冬拥河",
	["Winterhoof Water Well"] = "冰蹄水井",
	Winterspring = "冬泉谷",
	["Witch Hill"] = "女巫岭",
	["Witch's Sanctum"] = "巫女密室",
	["Witherbark Caverns"] = "枯木洞穴",
	["Witherbark Village"] = "枯木村",
	-- ["Withering Thicket"] = "",
	["Wizard Row"] = "巫师街",
	["Wizard's Sanctum"] = "巫师圣殿",
	-- ["Wolf's Run"] = "",
	-- ["Wood's End Cabin"] = "",
	["Woodpaw Den"] = "木爪巢穴",
	["Woodpaw Hills"] = "木爪岭",
	Workshop = "车间",
	["Workshop Entrance"] = "车间入口",
	["World's End Tavern"] = "天涯旅店",
	["Wrathscale Lair"] = "怒鳞巢穴",
	["Wrathscale Point"] = "怒鳞岗哨",
	-- ["Wreckage of the Silver Dawning"] = "",
	["Writhing Mound"] = "痛苦之丘",
	Wyrmbog = "巨龙沼泽",
	-- ["Wyrmbreaker's Rookery"] = "",
	["Wyrmrest Temple"] = "龙眠神殿",
	-- ["Wyrms' Bend"] = "",
	["Wyrmscar Island"] = "龙痕岛",
	["Wyrmskull Bridge"] = "龙颅之桥",
	["Wyrmskull Tunnel"] = "龙颅小径",
	["Wyrmskull Village"] = "龙颅村",
	-- ["X-2 Pincer"] = "",
	Xavian = "萨维亚",
	Ymirheim = "伊米海姆",
	["Ymiron's Seat"] = "伊米隆之座",
	["Yojamba Isle"] = "尤亚姆巴岛",
	-- ["Yowler's Den"] = "",
	["Zabra'jin"] = "萨布拉金",
	["Zaetar's Grave"] = "扎尔塔之墓",
	["Zalashji's Den"] = "萨拉辛之穴",
	-- ["Zalazane's Fall"] = "",
	["Zane's Eye Crater"] = "赞恩之眼",
	["Zangar Ridge"] = "赞加山",
	Zangarmarsh = "赞加沼泽",
	["Zeb'Halak"] = "塞布哈拉克",
	["Zeb'Nowa"] = "塞布努瓦",
	["Zeb'Sora"] = "塞布索雷",
	["Zeb'Tela"] = "塞布提拉",
	["Zeb'Watha"] = "塞布瓦萨",
	["Zeppelin Crash"] = "飞艇坠毁点",
	Zeramas = "泽尔拉玛斯",
	["Zeth'Gor"] = "塞斯高",
	["Ziata'jai Ruins"] = "赞塔加废墟",
	["Zim'Abwa"] = "希姆埃巴",
	["Zim'Rhuk"] = "希姆鲁克",
	["Zim'Torga"] = "希姆托加",
	["Zim'bo's Hideout"] = "希姆波的藏身处",
	["Zol'Heb"] = "佐尔赫布",
	["Zol'Maz Stronghold"] = "佐尔玛兹要塞",
	["Zoram'gar Outpost"] = "佐拉姆加前哨站",
	["Zul'Aman"] = "祖阿曼",
	["Zul'Drak"] = "祖达克",
	["Zul'Farrak"] = "祖尔法拉克",
	-- ["Zul'Farrak Entrance"] = "",
	["Zul'Gurub"] = "祖尔格拉布",
	["Zul'Mashar"] = "祖玛沙尔",
	["Zun'watha"] = "祖瓦沙",
	["Zuuldaia Ruins"] = "祖丹亚废墟",
}

elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations 
{
	["7th Legion Base Camp"] = "第七軍團營地",
	["7th Legion Front"] = "第七軍團前線",
	["7th Legion Submarine"] = "第七軍團潛水艇",
	["A Hero's Welcome"] = "英雄光臨",
	["Abandoned Armory"] = "被遺棄的軍械庫",
	["Abandoned Camp"] = "廢棄營地",
	["Abandoned Mine"] = "棄置礦坑",
	["Abandoned Reef"] = "廢棄的暗礁",
	["Abyssal Breach"] = "深淵止境",
	["Abyssal Depths"] = "地獄深淵",
	["Abyssal Halls"] = "深淵大廳",
	["Abyssal Maw"] = "深淵之喉",
	["Abyssal Maw Exterior"] = "深淵之喉外部",
	["Abyssal Sands"] = "深沙平原",
	["Abyssion's Lair"] = "艾碧希翁的巢穴",
	["Access Shaft Zeon"] = "礦井之路通道",
	["Acherus: The Ebon Hold"] = "亞榭洛:黯黑堡",
	["Addle's Stead"] = "腐草農場",
	["Aderic's Repose"] = "艾德瑞克之憩",
	["Aerie Peak"] = "鷹巢山",
	["Aeris Landing"] = "艾瑞斯平臺",
	["Agamand Family Crypt"] = "阿加曼德家族墓穴",
	["Agamand Mills"] = "阿加曼德磨坊",
	["Agmar's Hammer"] = "阿格瑪之錘",
	["Agmond's End"] = "埃格蒙德的營地",
	["Agol'watha"] = "亞戈瓦薩",
	["Ahn Qiraj"] = "安其拉",
	["Ahn'Qiraj"] = "安其拉",
	["Ahn'Qiraj Temple"] = "安其拉神廟",
	["Ahn'Qiraj Terrace"] = "安其拉殿堂",
	["Ahn'Qiraj: The Fallen Kingdom"] = "安其拉: 沒落的王朝",
	["Ahn'kahet: The Old Kingdom"] = "安卡罕特:古王國",
	["Ahn'kahet: The Old Kingdom Entrance"] = "安卡罕特:古王國入口",
	["Akhenet Fields"] = "雅奇涅特原野",
	["Aku'mai's Lair"] = "阿庫麥爾的巢穴",
	["Alabaster Shelf"] = "雪白岩架",
	["Alcaz Island"] = "奧卡茲島",
	["Aldor Rise"] = "奧多爾高地",
	Aldrassil = "奧達希爾",
	["Aldur'thar: The Desolation Gate"] = "奧多薩:荒寂之門",
	["Alexston Farmstead"] = "艾力克斯頓農莊",
	["Algaz Gate"] = "奧加茲隘口",
	["Algaz Station"] = "奧加茲崗哨",
	["All That Glitters Prospecting Co."] = "亮晶晶探勘公司",
	["Allen Farmstead"] = "艾倫農莊",
	["Allerian Post"] = "艾蘭里哨站",
	["Allerian Stronghold"] = "艾蘭里堡壘",
	["Alliance Base"] = "聯盟營地",
	["Alliance Beachhead"] = "聯盟灘頭",
	["Alliance Keep"] = "聯盟要塞",
	["Alliance Mercenary Ship to Vashj'ir"] = "前往瓦許伊爾的聯盟傭兵船隻",
	["Alliance PVP Barracks"] = "聯盟PVP兵營",
	["Alonsus Chapel"] = "阿隆索斯教堂",
	["Altar of Ascension"] = "飛升祭壇",
	["Altar of Har'koa"] = "哈寇亞祭壇",
	["Altar of Mam'toth"] = "瑪姆托司祭壇",
	["Altar of Quetz'lun"] = "奎茲倫祭壇",
	["Altar of Rhunok"] = "魯諾克祭壇",
	["Altar of Sha'tar"] = "薩塔祭壇",
	["Altar of Sseratus"] = "司瑟拉圖斯祭壇",
	["Altar of Storms"] = "暴風祭壇",
	["Altar of Twilight"] = "暮光祭壇",
	["Altar of the Blood God"] = "血神祭壇",
	["Alterac Mountains"] = "奧特蘭克山脈",
	["Alterac Valley"] = "奧特蘭克山谷",
	["Alther's Mill"] = "奧瑟爾伐木場",
	["Amani Catacombs"] = "阿曼尼地下墓穴",
	["Amani Mountains"] = "阿曼尼山脈",
	["Amani Pass"] = "阿曼尼小徑",
	["Amber Ledge"] = "琥珀岩臺",
	Ambermill = "安伯米爾",
	["Amberpine Lodge"] = "琥珀松小屋",
	["Ambershard Cavern"] = "琥珀裂片洞穴",
	["Amberstill Ranch"] = "凍石農場",
	["Amberweb Pass"] = "琥珀網小徑",
	["Ameth'Aran"] = "亞米薩蘭",
	["Ammen Fields"] = "安曼牧場",
	["Ammen Ford"] = "安曼淺灘",
	["Ammen Vale"] = "安曼谷",
	["Amphitheater of Anguish"] = "苦痛露天競技場",
	["Ampitheater of Anguish"] = "苦痛露天競技場",
	["An'daroth"] = "安都拉斯",
	["An'owyn"] = "安歐恩",
	["An'telas"] = "安泰拉斯",
	["Ancestral Grounds"] = "先祖之地",
	["Ancient Zul'Gurub"] = "古祖爾格拉布",
	["Andilien Estate"] = "安狄里安莊園",
	Andorhal = "安多哈爾",
	Andruk = "安德魯克",
	["Angerfang Encampment"] = "怒牙營地",
	["Ango'rosh Grounds"] = "安格拉斯營地",
	["Ango'rosh Stronghold"] = "安格拉斯要塞",
	["Angor Fortress"] = "苦痛堡壘",
	["Angrathar the Wrath Gate"] = "『憤怒之門』安格拉薩",
	["Angrathar the Wrathgate"] = "『憤怒之門』安格拉薩",
	["Antonidas Memorial"] = "安東尼達斯紀念碑",
	["Anvil of Conflagration"] = "焚焰鐵砧",
	Anvilmar = "安威瑪",
	["Apex Point"] = "頂尖崗哨",
	["Apocryphan's Rest"] = "聖者之陵",
	["Apothecary Camp"] = "藥劑師營地",
	["Arathi Basin"] = "阿拉希盆地",
	["Arathi Highlands"] = "阿拉希高地",
	["Arcane Pinnacle"] = "秘法之巔",
	["Archmage Vargoth's Retreat"] = "大法師瓦戈斯居所",
	["Area 52"] = "52區",
	["Arena Floor"] = "競技場地面",
	["Argent Pavilion"] = "銀白亭閣",
	["Argent Stand"] = "銀白看臺",
	["Argent Tournament Grounds"] = "銀白聯賽場地",
	["Argent Vanguard"] = "銀白先鋒駐地",
	["Ariden's Camp"] = "埃瑞丁營地",
	["Arikara's Needle"] = "阿利卡拉尖岩",
	["Arklon Ruins"] = "阿克隆廢墟",
	["Arklonis Ridge"] = "阿卡隆斯山脊",
	["Arriga Footbridge"] = "艾瑞加之橋",
	["Arsad Trade Post"] = "阿爾沙德交易站",
	["Ascendant's Rise"] = "卓越者高崗",
	["Ashen Fields"] = "灰燼之地",
	["Ashen Lake"] = "梣湖",
	Ashenvale = "梣谷",
	["Ashwood Lake"] = "灰木湖",
	["Ashwood Post"] = "灰木崗哨",
	["Aspen Grove Post"] = "白楊崗哨",
	Astranaar = "阿斯特蘭納",
	["Ata'mal Terrace"] = "阿塔莫露臺",
	Athenaeum = "圖書館",
	["Atulhet's Tomb"] = "阿圖爾西特之墓",
	["Auberdine Refugee Camp"] = "奧伯丁難民營",
	["Auchenai Crypts"] = "奧奇奈地穴",
	["Auchenai Grounds"] = "奧奇奈營地",
	Auchindoun = "奧齊頓",
	["Auchindoun - Auchenai Crypts Entrance"] = "奧齊頓－奧奇奈地穴入口",
	["Auchindoun - Mana-Tombs Entrance"] = "奧齊頓－法力墓穴入口",
	["Auchindoun - Sethekk Halls Entrance"] = "奧齊頓－塞斯克大廳入口",
	["Auchindoun - Shadow Labyrinth Entrance"] = "奧齊頓－暗影迷宮入口",
	["Auchindoun: Auchenai Crypts"] = "奧齊頓:奧奇奈地穴",
	["Auchindoun: Mana-Tombs"] = "奧齊頓:法力之墓",
	["Auchindoun: Sethekk Halls"] = "奧齊頓:塞司克大廳",
	["Auchindoun: Shadow Labyrinth"] = "奧齊頓:暗影迷宮",
	["Auren Falls"] = "奧倫瀑布",
	["Auren Ridge"] = "奧倫山脊",
	["Avalanchion's Vault"] = "阿瓦蘭奇奧穹殿",
	Aviary = "禽舍",
	["Axis of Alignment"] = "化合之軸",
	Axxarien = "艾克薩瑞安",
	["Azjol-Nerub"] = "阿茲歐-奈幽",
	["Azjol-Nerub Entrance"] = "阿茲歐-奈幽入口",
	Azshara = "艾薩拉",
	["Azshara Crater"] = "艾薩拉盆地",
	["Azure Dragonshrine"] = "蒼藍龍殿",
	["Azure Watch"] = "藍色守望",
	["Azurebreeze Coast"] = "蔚藍海岸",
	["Azurelode Mine"] = "碧玉礦坑",
	["Azuremyst Isle"] = "藍謎島",
	Badlands = "荒蕪之地",
	["Bael Modan"] = "巴爾莫丹",
	["Bael Modan Excavation"] = "巴爾莫丹挖掘場",
	["Bael'dun Digsite"] = "巴爾丹挖掘場",
	["Bael'dun Keep"] = "巴爾丹城堡",
	["Baelgun's Excavation Site"] = "巴爾古恩挖掘場",
	["Bahrum's Post"] = "巴盧姆崗哨",
	["Bal'lal Ruins"] = "巴拉爾廢墟",
	["Balargarde Fortress"] = "巴拉加德堡壘",
	Baleheim = "貝爾海姆",
	["Balejar Watch"] = "貝爾亞守望",
	["Balia'mah Ruins"] = "巴里亞曼廢墟",
	["Balnir Farmstead"] = "巴尼爾農莊",
	Bambala = "班姆巴拉",
	["Ban'Thallow Barrow Den"] = "班薩羅獸穴",
	["Ban'ethil Barrow Den"] = "班奈希爾獸穴",
	["Ban'ethil Barrow Descent"] = "班奈希爾獸穴斜坡",
	["Ban'ethil Hollow"] = "班尼希爾谷地",
	["Band of Acceleration"] = "加速之環",
	["Band of Alignment"] = "化合之環",
	["Band of Transmutation"] = "轉化之環",
	["Band of Variance"] = "變化之環",
	Bank = "銀行",
	["Baradin Base Camp"] = "巴拉丁營地",
	["Baradin Bay"] = "巴拉丁海灣",
	["Baradin Hold"] = "巴拉丁堡",
	Barbershop = "美容沙龍",
	["Barov Family Vault"] = "巴羅夫家族寶庫",
	["Bash'ir Landing"] = "貝許爾平臺",
	["Bashal'Aran"] = "巴莎蘭",
	["Bashal'Aran Collapse"] = "巴莎蘭崩陷",
	["Bastion Antechamber"] = "堡壘前廳",
	["Bathran's Haunt"] = "巴斯蘭鬼屋",
	["Battle Ring"] = "戰鬥之環",
	Battlescar = "戰痕",
	["Battlescar Spire"] = "戰痕尖塔",
	["Battlescar Valley"] = "戰痕山谷",
	["Bay of Storms"] = "風暴海灣",
	["Bear's Head"] = "熊頭",
	["Beauty's Lair"] = "美麗的巢穴",
	["Beezil's Wreck"] = "比吉爾的飛艇殘骸",
	["Befouled Terrace"] = "玷污殿堂",
	["Beggar's Haunt"] = "乞丐鬼屋",
	["Beneath The Double Rainbow"] = "雙虹號之下",
	["Beren's Peril"] = "博倫的巢穴",
	["Bernau's Happy Fun Land"] = "博諾的快樂之地",
	["Beryl Coast"] = "碧晶海岸",
	["Beryl Egress"] = "綠寶石洞口",
	["Beryl Point"] = "碧晶哨點",
	["Beth'mora Ridge"] = "貝斯摩拉山",
	["Beth'tilac's Lair"] = "貝絲堤拉克巢穴",
	["Biel'aran Ridge"] = "畢耶拉蘭山脊",
	["Bilgewater Harbor"] = "污水碼頭",
	["Bilgewater Lumber Yard"] = "污水伐木場",
	["Bilgewater Port"] = "污水港",
	["Bitter Reaches"] = "痛苦海岸",
	["Bittertide Lake"] = "惡潮湖",
	["Black Channel Marsh"] = "黑水沼澤",
	["Black Drake Roost"] = "黑龍棲息處",
	["Black Temple"] = "黑暗神廟",
	["Black Tooth Hovel"] = "黑齒小屋",
	["Blackchar Cave"] = "黑炭谷",
	["Blackfathom Camp"] = "黑澗營地",
	["Blackfathom Deeps"] = "黑澗深淵",
	["Blackfathom Deeps Entrance"] = "黑澗深淵入口",
	["Blackhoof Village"] = "黑蹄村",
	["Blackhorn's Penance"] = "黑角之贖",
	["Blackmaw Hold"] = "黑喉要塞",
	["Blackriver Logging Camp"] = "黑河伐木營地",
	["Blackrock Caverns"] = "黑石洞穴",
	["Blackrock Caverns Entrance"] = "黑石洞穴入口",
	["Blackrock Depths"] = "黑石深淵",
	["Blackrock Depths Entrance"] = "黑石深淵入口",
	["Blackrock Mountain"] = "黑石山",
	["Blackrock Pass"] = "黑石小徑",
	["Blackrock Spire"] = "黑石塔",
	["Blackrock Spire Entrance"] = "黑石塔入口",
	["Blackrock Stadium"] = "黑石競技場",
	["Blackrock Stronghold"] = "黑石要塞",
	["Blacksilt Shore"] = "黑泥沙海岸",
	Blacksmith = "鐵匠舖",
	["Blackstone Span"] = "黑石大橋",
	Blackwatch = "黑色守望",
	["Blackwater Cove"] = "黑水灣",
	["Blackwater Shipwrecks"] = "黑水灣沉船",
	["Blackwind Lake"] = "黑風湖",
	["Blackwind Landing"] = "黑風平臺",
	["Blackwind Valley"] = "黑風谷",
	["Blackwing Coven"] = "黑翼集會所",
	["Blackwing Descent"] = "黑翼陷窟",
	["Blackwing Lair"] = "黑翼之巢",
	["Blackwolf River"] = "黑狼河",
	["Blackwood Camp"] = "黑木營地",
	["Blackwood Den"] = "黑木洞穴",
	["Blackwood Lake"] = "黑木湖",
	["Blade Tooth Canyon"] = "劍齒峽谷",
	["Blade's Edge Arena"] = "劍刃競技場",
	["Blade's Edge Mountains"] = "劍刃山脈",
	["Bladed Gulch"] = "刀刃峽谷",
	["Bladefist Bay"] = "刃拳海灣",
	["Blades & Axes"] = "刀刃與斧頭",
	["Blades' Run"] = "劍之小道",
	["Bladespire Grounds"] = "劍刃庭園",
	["Bladespire Hold"] = "劍刃要塞",
	["Bladespire Outpost"] = "劍刃崗哨",
	Bladewood = "劍木林",
	["Blasted Lands"] = "詛咒之地",
	["Bleeding Hollow Ruins"] = "血之谷廢墟",
	["Bleeding Vale"] = "浴血谷",
	["Bleeding Ziggurat"] = "血色通靈塔",
	["Blistering Pool"] = "極熱之池",
	["Blood Elf Tower"] = "血精靈哨塔",
	["Blood Watch"] = "血色守望",
	["Bloodcurse Isle"] = "血咒島",
	["Bloodfen Burrow"] = "血沼墓穴",
	Bloodgulch = "鮮血峽谷",
	["Bloodhoof Village"] = "血蹄村",
	["Bloodmaul Camp"] = "血槌營地",
	["Bloodmaul Outpost"] = "血槌前哨站",
	["Bloodmaul Ravine"] = "血槌深谷",
	["Bloodmoon Isle"] = "血月島",
	["Bloodmyst Isle"] = "血謎島",
	["Bloodscale Enclave"] = "血鱗領地",
	["Bloodscale Grounds"] = "血鱗營地",
	["Bloodspore Plains"] = "血孢平原",
	["Bloodtalon Shore"] = "血爪海岸",
	["Bloodtooth Camp"] = "血牙營地",
	["Bloodvenom Falls"] = "血毒瀑布",
	["Bloodvenom Post"] = "血毒河",
	["Bloodvenom River"] = "血毒河",
	["Bloodwash Cavern"] = "血浴洞穴",
	["Bloodwash Fighting Pits"] = "血浴鬥坑",
	["Bloodwash Shrine"] = "血浴聖壇",
	["Bloodwatcher Point"] = "血腥看守者之尖",
	["Blue Sky Logging Grounds"] = "藍天伐木地",
	Bluefen = "藍色沼地",
	["Bluegill Marsh"] = "藍鰓沼澤",
	["Bluff of the South Wind"] = "南風崖",
	["Bogen's Ledge"] = "伯根的棚屋",
	Bogpaddle = "沼槳",
	["Boha'mu Ruins"] = "波哈姆廢墟",
	["Bolgan's Hole"] = "波爾甘的洞穴",
	["Bolyun's Camp"] = "波爾溫營地",
	["Bonechewer Ruins"] = "噬骨者廢墟",
	["Bones of Grakkarond"] = "格拉卡隆之骨",
	["Bonesnap's Camp"] = "斷骨營地",
	["Bootlegger Outpost"] = "私酒商哨站",
	["Booty Bay"] = "藏寶海灣",
	["Bor'gorok Outpost"] = "博格洛克前哨",
	["Bor's Breath"] = "伯爾之息",
	["Bor's Breath River"] = "伯爾之息河谷",
	["Bor's Fall"] = "伯爾瀑布",
	["Bor's Fury"] = "博爾之怒",
	["Borean Tundra"] = "北風凍原",
	["Borune Ruins"] = "伯盧恩廢墟",
	["Bough Shadow"] = "大樹蔭",
	["Boulder Hills"] = "巨礫之丘",
	["Boulder Lode Mine"] = "石礦坑",
	["Boulder'gor"] = "博多戈爾",
	["Boulder'mok"] = "圓面之地",
	["Bouldercrag's Refuge"] = "石崖避難所",
	["Boulderfist Hall"] = "石拳大廳",
	["Boulderfist Outpost"] = "石拳崗哨",
	["Boulderslide Cavern"] = "滾岩洞穴",
	["Boulderslide Ravine"] = "滾岩峽谷",
	["Brackenwall Village"] = "蕨牆村",
	["Brackwell Pumpkin Patch"] = "布萊克威爾南瓜田",
	["Brambleblade Ravine"] = "刺刃峽谷",
	Bramblescar = "棘痕平原",
	["Brann's Base-Camp"] = "布萊恩營地",
	["Brashtide Attack Fleet"] = "驟潮攻擊艦隊",
	["Brashtide Attack Fleet (Force Outdoors)"] = "驟潮攻擊艦隊(戶外部隊)",
	["Brave Wind Mesa"] = "強風台地",
	["Brazie Farmstead"] = "布瑞奇農莊",
	["Brewnall Village"] = "烈酒村",
	["Bridge of Souls"] = "靈魂大橋",
	["Brightwater Lake"] = "澈水湖",
	["Brightwood Grove"] = "亮木樹林",
	Brill = "布瑞爾",
	["Brill Town Hall"] = "布瑞爾城鎮大廳",
	["Bristlelimb Enclave"] = "鬚肢營地",
	["Bristlelimb Village"] = "鬚肢村",
	["Broken Commons"] = "平民區廢墟",
	["Broken Hill"] = "破碎之丘",
	["Broken Pillar"] = "破碎石柱",
	["Broken Spear Village"] = "斷矛村",
	["Broken Wilds"] = "破碎荒野",
	["Bronze Dragonshrine"] = "青銅龍殿",
	["Bronzebeard Encampment"] = "銅鬚營地",
	["Browman Mill"] = "布洛米爾",
	["Brunnhildar Village"] = "布倫希爾達村",
	["Bucklebree Farm"] = "巴克布雷農場",
	["Budd's Dig"] = "霸德挖掘場",
	["Burning Blade Coven"] = "燃刃集會所",
	["Burning Blade Ruins"] = "燃刃廢墟",
	["Burning Steppes"] = "燃燒平原",
	["Butcher's Stand"] = "屠夫之台",
	["Caer Darrow"] = "凱爾達隆",
	["Caldemere Lake"] = "凱德米爾湖",
	["Calston Estate"] = "考斯頓莊園",
	["Camp Aparaje"] = "阿帕拉耶營地",
	["Camp Ataya"] = "阿塔亞營地",
	["Camp Boff"] = "博夫營地",
	["Camp Cagg"] = "卡格營地",
	["Camp E'thok"] = "伊索克營地",
	["Camp Everstill"] = "止水營地",
	["Camp Kosh"] = "柯什營地",
	["Camp Mojache"] = "莫沙徹營地",
	["Camp Mojache Longhouse"] = "莫沙徹營地長屋",
	["Camp Narache"] = "納拉其營地",
	["Camp Onequah"] = "歐尼克瓦營地",
	["Camp Oneqwah"] = "歐尼克瓦營地",
	["Camp Sungraze"] = "日傷營地",
	["Camp Tunka'lo"] = "坦卡羅營地",
	["Camp Una'fe"] = "烏納非營地",
	["Camp Winterhoof"] = "冬蹄營地",
	["Camp Wurg"] = "瓦格營地",
	["Camp of Boom"] = "布姆營地",
	Canals = "運河",
	["Cannon's Inferno"] = "加農煉獄",
	["Cantrips & Crows"] = "咒語與烏鴉",
	["Cape of Lost Hope"] = "逝望角",
	["Cape of Stranglethorn"] = "荊棘谷海角",
	["Capital Gardens"] = "中心花園",
	["Carrion Hill"] = "腐蝕嶺",
	["Cartier & Co. Fine Jewelry"] = "卡地亞珠寶公司",
	Cataclysm = "浩劫與重生",
	["Cathedral Quarter"] = "大教堂區",
	["Cathedral Square"] = "教堂廣場",
	["Cathedral of Darkness"] = "黑暗大教堂",
	["Cathedral of Light"] = "聖光大教堂",
	["Cauldros Isle"] = "科德洛斯島",
	["Cave of Mam'toth"] = "瑪姆托司洞穴",
	["Cavern of Mists"] = "迷霧洞穴",
	["Caverns of Time"] = "時光之穴",
	["Celestial Ridge"] = "天國山脈",
	["Cenarion Enclave"] = "塞納里奧區",
	["Cenarion Hold"] = "塞納里奧城堡",
	["Cenarion Post"] = "塞納里奧前哨",
	["Cenarion Refuge"] = "塞納里奧避難所",
	["Cenarion Thicket"] = "塞納里奧灌木林",
	["Cenarion Watchpost"] = "塞納里奧看守站",
	["Cenarion Wildlands"] = "塞納里奧曠野",
	["Central Bridge"] = "中央橋樑",
	["Chamber of Ancient Relics"] = "遠古聖物之間",
	["Chamber of Atonement"] = "懺悔之廳",
	["Chamber of Battle"] = "戰鬥之廳",
	["Chamber of Blood"] = "鮮血之廳",
	["Chamber of Command"] = "指揮之廳",
	["Chamber of Enchantment"] = "魔法之廳",
	["Chamber of Fanatics"] = "狂熱者之室",
	["Chamber of Incineration"] = "焚化之廳",
	["Chamber of Prophecy"] = "預言之廳",
	["Chamber of Respite"] = "緩刑室",
	["Chamber of Summoning"] = "召喚之廳",
	["Chamber of the Aspects"] = "守護巨龍之間",
	["Chamber of the Dreamer"] = "沉睡者之廳",
	["Chamber of the Moon"] = "月亮之間",
	["Chamber of the Restless"] = "焦躁者之廳",
	["Chamber of the Stars"] = "眾星之間",
	["Chamber of the Sun"] = "日陽之間",
	["Champion's Hall"] = "勇士大廳",
	["Champions' Hall"] = "勇士大廳",
	["Chapel Gardens"] = "教堂花園",
	["Chapel Yard"] = "教堂庭院",
	["Chapel of the Crimson Flame"] = "赤紅之焰禮拜堂",
	["Charred Outpost"] = "焦炭哨站",
	["Charred Rise"] = "焦炭高崗",
	["Chill Breeze Valley"] = "寒風峽谷",
	["Chillmere Coast"] = "寒凜海岸",
	["Chillwind Camp"] = "冰風營地",
	["Chillwind Point"] = "冰風崗哨",
	Chiselgrip = "鑿柄",
	["Churning Gulch"] = "翻騰峽谷",
	["Circle of Blood"] = "血之環",
	["Circle of Blood Arena"] = "血之環競技場",
	["Circle of East Binding"] = "東部禁錮法陣",
	["Circle of Inner Binding"] = "內禁錮法陣",
	["Circle of Outer Binding"] = "外禁錮法陣",
	["Circle of Thorns"] = "荊棘之環",
	["Circle of West Binding"] = "西部禁錮法陣",
	["Circle of Wills"] = "意志之環",
	City = "城鎮",
	["City of Ironforge"] = "鐵爐堡",
	["Clan Watch"] = "氏族守望",
	["Cleft of Shadow"] = "暗影裂口",
	["Cliffspring Falls"] = "壁泉瀑布",
	["Cliffspring Hollow"] = "壁泉瀑布",
	["Cliffspring River"] = "壁泉河",
	["Cliffwalker Post"] = "崖行者崗哨",
	["Cloudtop Terrace"] = "雲端露臺",
	["Coast of Echoes"] = "回聲海岸",
	["Coast of Idols"] = "巨像海岸",
	["Coilfang - The Slave Pens Entrance"] = "盤牙－奴隸監獄入口",
	["Coilfang - The Steamvault Entrance"] = "盤牙－蒸汽洞窟入口",
	["Coilfang - The Underbog Entrance"] = "盤牙－深幽泥沼入口",
	["Coilfang Reservoir"] = "盤牙蓄湖",
	["Coilfang: Serpentshrine Cavern"] = "盤牙:毒蛇神殿洞穴",
	["Coilfang: The Slave Pens"] = "盤牙:奴隸監獄",
	["Coilfang: The Steamvault"] = "盤牙:蒸汽洞窟",
	["Coilfang: The Underbog"] = "盤牙:深幽泥沼",
	["Coilskar Cistern"] = "考斯卡水池",
	["Coilskar Point"] = "考斯卡崗哨",
	["Cold Hearth Manor"] = "爐灰莊園",
	Coldarra = "凜懼島",
	["Coldarra Ledge"] = "凜懼島岩臺",
	["Coldridge Pass"] = "寒脊山小徑",
	["Coldridge Valley"] = "寒脊山谷",
	["Coldrock Quarry"] = "冷岩礦場",
	["Coldtooth Mine"] = "冷齒礦坑",
	["Coldwind Heights"] = "冷風陵地",
	["Coldwind Pass"] = "冷風小徑",
	["Collin's Test"] = "科林的考驗",
	["Command Center"] = "指揮所",
	["Commons Hall"] = "平民大廳",
	["Condemned Halls"] = "死囚大廳",
	["Conquest Hold"] = "征服堡",
	["Containment Core"] = "阻礙中心",
	["Cooper Residence"] = "庫珀的住所",
	["Coral Garden"] = "珊瑚花園",
	["Cordell's Enchanting"] = "考迪爾附魔店",
	["Corin's Crossing"] = "考林路口",
	["Corp'rethar: The Horror Gate"] = "寇普雷薩:驚怖之門",
	["Corrahn's Dagger"] = "考蘭之匕",
	Cosmowrench = "扭曲太空",
	["Court of the Highborne"] = "精靈貴族庭院",
	["Court of the Sun"] = "陽光庭院",
	["Courtyard of the Ancients"] = "遠祖庭院",
	["Cradle of the Ancients"] = "先祖育床",
	["Craftsmen's Terrace"] = "工匠區",
	["Crag of the Everliving"] = "永生峭壁",
	["Cragpool Lake"] = "峭壁湖",
	["Crash Site"] = "失事地點",
	["Crescent Hall"] = "新月大廳",
	["Crimson Expanse"] = "赤紅瀚洋",
	["Crimson Watch"] = "赤紅守望",
	Crossroads = "十字路口",
	["Crowley Orchard"] = "克羅雷果園",
	["Crowley Stable Grounds"] = "克羅雷馬廄營區",
	["Crown Guard Tower"] = "皇冠哨塔",
	["Crucible of Carnage"] = "兇殘之爐",
	["Crumbling Depths"] = "破碎深淵",
	["Crumbling Stones"] = "破碎石堆",
	["Crusader Forward Camp"] = "十字軍前進營地",
	["Crusader Outpost"] = "十字軍前哨",
	["Crusader's Armory"] = "十字軍軍械庫",
	["Crusader's Chapel"] = "十字軍禮拜堂",
	["Crusader's Landing"] = "十字軍臺地",
	["Crusader's Outpost"] = "十字軍前哨",
	["Crusader's Run"] = "十字軍小徑",
	["Crusader's Spire"] = "十字軍尖塔",
	["Crusaders' Pinnacle"] = "十字軍之巔",
	["Crusaders' Square"] = "十字軍廣場",
	Crushblow = "碎擊之地",
	["Crushcog's Arsenal"] = "碾輪兵工廠",
	["Crushridge Hold"] = "破碎嶺城堡",
	Crypt = "墓穴",
	["Crypt of Remembrance"] = "緬懷墓穴",
	["Crystal Lake"] = "水晶湖",
	["Crystal Spine"] = "水晶背脊",
	["Crystalline Quarry"] = "結晶礦場",
	["Crystalsong Forest"] = "水晶之歌森林",
	["Crystalvein Mine"] = "水晶礦坑",
	["Crystalweb Cavern"] = "晶網洞窟",
	["Curiosities & Moore"] = "不只是配件",
	["Cursed Depths"] = "詛咒深淵",
	["Cursed Hollow"] = "詛咒谷地",
	["Cut-Throat Alley"] = "割喉小巷",
	["Cyclone Summit"] = "颶風之巔",
	["D-Block"] = "D區",
	["D.E.H.T.A. Encampment"] = "D.E.H.T.A.駐營",
	["Dabyrie's Farmstead"] = "達比雷農莊",
	["Dagger Pass"] = "匕首小徑",
	["Daggercap Bay"] = "匕鞘海灣",
	["Daggerfen Village"] = "匕首沼地村",
	["Daggermaw Canyon"] = "匕爪峽谷",
	Dalaran = "達拉然",
	["Dalaran Arena"] = "達拉然競技場",
	["Dalaran City"] = "達拉然城",
	["Dalaran Crater"] = "達拉然陷坑",
	["Dalaran Floating Rocks"] = "達拉然漂浮岩",
	["Dalaran Island"] = "達拉然島",
	["Dalaran Merchant's Bank"] = "達拉然商業銀行",
	["Dalaran Sewers"] = "達拉然下水道",
	["Dalaran Visitor Center"] = "達拉然旅客中心",
	["Dalson's Farm"] = "達爾松農場",
	["Damplight Cavern"] = "霧光洞穴",
	["Damplight Chamber"] = "霧光之間",
	["Dandred's Fold"] = "達倫德農場",
	["Dargath's Demise"] = "達加希的終點",
	["Dark Iron Highway"] = "黑鐵大道",
	["Darkbreak Cove"] = "黑裂灣",
	["Darkcloud Pinnacle"] = "暗雲峰",
	["Darkcrest Enclave"] = "暗羽營地",
	["Darkcrest Shore"] = "暗羽陸地",
	["Darkmist Cavern"] = "暗霧洞穴",
	["Darkmist Ruins"] = "黑霧廢墟",
	Darkshire = "夜色鎮",
	["Darkshire Town Hall"] = "夜色鎮大廳",
	Darkshore = "黑海岸",
	["Darkspear Hold"] = "暗矛要塞",
	["Darkspear Isle"] = "暗矛島",
	["Darkspear Shore"] = "暗矛海岸",
	["Darkspear Strand"] = "暗矛海灘",
	["Darkspear Training Grounds"] = "暗矛訓練場",
	["Darkwhisper Gorge"] = "暗語峽谷",
	["Darkwhisper Pass"] = "暗語小徑",
	["Darnassian Base Camp"] = "達納蘇斯營地",
	Darnassus = "達納蘇斯",
	["Darrow Hill"] = "達隆山",
	["Darrowmere Lake"] = "達隆米爾湖",
	Darrowshire = "達隆郡",
	["Darrowshire Hunting Grounds"] = "達隆郡狩獵場",
	["Darsok's Outpost"] = "達索克哨站",
	["Dawn's Reach"] = "黎明之境",
	["Dawning Lane"] = "黎明小路",
	["Dawning Wood Catacombs"] = "黎明墓穴",
	["Dawnrise Expedition"] = "曦揚遠征隊",
	["Dawnstar Spire"] = "晨星尖塔",
	["Dawnstar Village"] = "晨星村",
	["Dead Man's Hole"] = "亡者之穴",
	["Deadeye Shore"] = "亡眼海岸",
	["Deadman's Crossing"] = "亡者路口",
	Deadmines = "死亡礦坑",
	["Deadwind Pass"] = "逆風小徑",
	["Deadwind Ravine"] = "逆風谷",
	["Deadwood Village"] = "死木村",
	["Death Cultist Base Camp"] = "死亡教徒營地",
	["Death's Breach"] = "死亡止境",
	["Death's Door"] = "死亡之門",
	["Death's Hand Encampment"] = "死亡之手駐營",
	["Death's Rise"] = "死亡高崗",
	["Death's Stand"] = "死亡看臺",
	["Death's Step"] = "死亡足音",
	["Death's Watch Waystation"] = "死亡看守小站",
	["Deathbringer's Rise"] = "死亡使者高崗",
	["Deathforge Tower"] = "死亡熔爐哨塔",
	Deathknell = "喪鐘鎮",
	Deatholme = "死亡之域",
	["Deathspeaker's Watch"] = "亡頌者之望",
	["Deathwing's Fall"] = "死翼之殞",
	["Deep Blue Observatory"] = "深藍觀測所",
	["Deep Elem Mine"] = "深埃連礦坑",
	["Deepfin Ridge"] = "深鰭山",
	Deepholm = "地深之源",
	["Deephome Ceiling"] = "地深之源屋頂",
	["Deepmist Grotto"] = "深霧岩洞",
	["Deeprun Tram"] = "礦道地鐵",
	["Deepwater Tavern"] = "深水旅店",
	["Defias Hideout"] = "迪菲亞盜賊巢穴",
	["Defiler's Den"] = "污染者之穴",
	["Demon Fall Canyon"] = "屠魔峽谷",
	["Demon Fall Ridge"] = "屠魔山",
	["Demont's Place"] = "迪蒙特荒野",
	["Den of Dying"] = "垂死獸穴",
	["Den of Haal'esh"] = "海艾斯洞穴",
	["Den of Iniquity"] = "極惡之穴",
	["Den of Mortal Delights"] = "凡慾邪窟",
	["Den of Sseratus"] = "司瑟拉圖斯之穴",
	["Den of the Caller"] = "召喚者洞穴",
	["Den of the Devourer"] = "吞噬者洞穴",
	["Den of the Disciples"] = "侍徒藏匿處",
	["Den of the Unholy"] = "邪惡洞穴",
	["Derelict Caravan"] = "被遺棄的商隊",
	["Derelict Manor"] = "遺棄的莊園",
	["Derelict Strand"] = "遺棄水岸",
	["Designer Island"] = "設計者之島",
	Desolace = "淒涼之地",
	["Desolation Hold"] = "荒寂堡",
	["Detention Block"] = "禁閉室",
	["Development Land"] = "開發之地",
	["Diamondhead River"] = "鑽石河",
	["Dig One"] = "一號挖掘場",
	["Dig Three"] = "三號挖掘場",
	["Dig Two"] = "二號挖掘場",
	["Dire Maul"] = "厄運之槌",
	["Dire Maul - Capital Gardens Entrance"] = "厄運之槌－中心花園入口",
	["Dire Maul - Gordok Commons Entrance"] = "厄運之槌－戈多克平民區入口",
	["Dire Maul - Warpwood Quarter Entrance"] = "厄運之槌－扭木廣場入口",
	["Dire Strait"] = "恐怖海峽",
	["Direforge Hill"] = "厄爐嶺",
	["Direhorn Post"] = "恐角崗哨",
	Docks = "碼頭",
	Dolanaar = "多蘭納爾",
	["Donna's Kitty Shack"] = "多娜的小貓樂園",
	["Doom's Vigil"] = "末日崗哨",
	["Dorian's Outpost"] = "多里安前哨",
	["Draco'dar"] = "德拉考達爾",
	["Draenei Ruins"] = "德萊尼廢墟",
	["Draenethyst Mine"] = "德萊尼礦坑",
	["Draenil'dur Village"] = "德萊尼村",
	["Dragon's Fall"] = "龍殞營地",
	["Dragon's Mouth"] = "龍之口",
	Dragonblight = "龍骨荒野",
	["Dragonflayer Pens"] = "掠龍圍欄",
	["Dragonmaw Base Camp"] = "龍喉營地",
	["Dragonmaw Flag Room"] = "龍喉戰旗廳",
	["Dragonmaw Forge"] = "龍喉熔爐",
	["Dragonmaw Fortress"] = "龍喉堡壘",
	["Dragonmaw Garrison"] = "龍喉兵營",
	["Dragonmaw Gates"] = "龍喉大門",
	["Dragonmaw Pass"] = "龍喉小徑",
	["Dragonmaw Port"] = "龍喉港",
	["Dragonmaw Skyway"] = "龍喉航線",
	["Dragonmaw Stronghold"] = "龍喉要塞",
	["Dragons' End"] = "飛龍之末",
	["Dragonspine Peaks"] = "龍脊群山",
	["Dragonspine Ridge"] = "龍脊山脊",
	["Dragonspine Tributary"] = "龍脊支流",
	["Dragonspire Hall"] = "龍塔大廳",
	["Drak'Agal"] = "德拉克亞苟",
	["Drak'Mabwa"] = "德拉克瑪布瓦",
	["Drak'Mar Lake"] = "德拉克瑪湖",
	["Drak'Sotra"] = "德拉克索璀",
	["Drak'Sotra Fields"] = "德拉克索璀原野",
	["Drak'Tharon Keep"] = "德拉克薩隆要塞",
	["Drak'Tharon Keep Entrance"] = "德拉克薩隆要塞入口",
	["Drak'Tharon Overlook"] = "德拉克薩隆瞰臺",
	["Drak'atal Passage"] = "德拉克托通道",
	["Drak'ural"] = "德拉克烏洛",
	["Draka's Fury"] = "德拉卡之怒",
	["Drakil'jin Ruins"] = "德拉齊金遺跡",
	["Draknid Lair"] = "龍蛛之巢",
	["Dreadmaul Furnace"] = "巨槌熔爐",
	["Dreadmaul Hold"] = "巨槌要塞",
	["Dreadmaul Post"] = "巨槌崗哨",
	["Dreadmaul Rock"] = "巨槌石",
	["Dreadmist Camp"] = "鬼霧營地",
	["Dreadmist Den"] = "鬼霧獸穴",
	["Dreadmist Peak"] = "鬼霧峰",
	["Dreadmurk Shore"] = "恐懼海岸",
	["Dreadwatch Outpost"] = "恐懼守望哨站",
	["Dream Bough"] = "夢境之樹",
	["Dreamer's Rest"] = "夢旅者之眠",
	["Dreamer's Rock"] = "美夢石",
	Drudgetown = "苦工鎮",
	["Drygulch Ravine"] = "枯水谷",
	["Drywhisker Gorge"] = "枯鬚峽谷",
	["Dubra'Jin"] = "杜布拉金",
	["Dun Algaz"] = "丹奧加茲",
	["Dun Argol"] = "丹亞戈",
	["Dun Baldar"] = "丹巴達爾",
	["Dun Baldar Pass"] = "丹巴達爾小徑",
	["Dun Baldar Tunnel"] = "丹巴達爾隧道",
	["Dun Garok"] = "丹加洛克",
	["Dun Mandarr"] = "丹曼達爾",
	["Dun Modr"] = "丹莫德",
	["Dun Morogh"] = "丹莫洛",
	["Dun Niffelem"] = "丹尼弗蘭",
	["Dunemaul Compound"] = "砂槌營地",
	["Dunemaul Recruitment Camp"] = "砂槌招募營地",
	["Dunwald Holdout"] = "登瓦德陣地",
	["Dunwald Hovel"] = "登瓦德小屋",
	["Dunwald Market Row"] = "登瓦德市場區",
	["Dunwald Ruins"] = "登瓦德廢墟",
	["Dunwald Town Square"] = "登瓦德城鎮廣場",
	["Durnholde Keep"] = "敦霍爾德城堡",
	Durotar = "杜洛塔",
	Duskhaven = "暮色港",
	["Duskhowl Den"] = "暮嚎之穴",
	["Duskmist Shore"] = "暮霧海岸",
	["Duskwither Grounds"] = "暮萎營地",
	["Duskwither Spire"] = "暮萎尖塔",
	Duskwood = "暮色森林",
	["Dustbelch Grotto"] = "火山洞穴",
	["Dustfire Valley"] = "塵火谷",
	["Dustquill Ravine"] = "塵羽峽谷",
	["Dustwallow Bay"] = "塵泥海灣",
	["Dustwallow Marsh"] = "塵泥沼澤",
	["Dustwind Cave"] = "塵風洞穴",
	["Dustwind Dig"] = "塵風挖掘場",
	["Dustwind Gulch"] = "塵風峽谷",
	["Dwarven District"] = "矮人區",
	["Eagle's Eye"] = "雄鷹之眼",
	["Earth Song Falls"] = "地歌瀑布",
	["Earthshatter Cavern"] = "碎地者洞窟",
	["East Garrison"] = "東部兵營",
	["East Pillar"] = "東部石柱",
	["East Sanctum"] = "東部聖所",
	["East Spire"] = "東部尖塔",
	["East Supply Caravan"] = "東部補給營地",
	["Eastern Bridge"] = "東部橋樑",
	["Eastern Kingdoms"] = "東部王國",
	["Eastern Plaguelands"] = "東瘟疫之地",
	["Eastern Strand"] = "東部海灘",
	["Eastmoon Ruins"] = "東月廢墟",
	["Eastpoint Tower"] = "東點哨塔",
	["Eastspark Workshop"] = "東炫工坊",
	["Eastvale Logging Camp"] = "東谷伐木場",
	["Eastwall Gate"] = "東牆大門",
	["Eastwall Tower"] = "東牆之塔",
	["Eastwind Shore"] = "東風水濱",
	["Ebon Hold"] = "黯黑堡",
	["Ebon Watch"] = "黯黑守望",
	["Echo Cove"] = "回音灣",
	["Echo Isles"] = "回音群島",
	["Echo Reach"] = "回音之境",
	["Echo Ridge Mine"] = "回音山礦坑",
	["Echomok Cavern"] = "艾卡莫克洞穴",
	["Eclipse Point"] = "日蝕崗哨",
	["Eclipsion Fields"] = "伊克利普森農場",
	["Eco-Dome Farfield"] = "秘境原野",
	["Eco-Dome Midrealm"] = "秘境領地",
	["Eco-Dome Skyperch"] = "秘境棲木",
	["Eco-Dome Sutheron"] = "桑什倫秘境",
	["Elder Rise"] = "長者高地",
	["Elders' Square"] = "長者廣場",
	["Eldreth Row"] = "艾德雷斯區",
	["Eldritch Heights"] = "異法陵地",
	["Elemental Plateau"] = "元素高原",
	["Elementium Depths"] = "源質深淵",
	Elevator = "升降梯",
	["Elrendar Crossing"] = "艾蘭達路口",
	["Elrendar Falls"] = "艾蘭達瀑布",
	["Elrendar River"] = "艾蘭達之河",
	["Elwynn Forest"] = "艾爾文森林",
	["Ember Clutch"] = "餘燼窩巢",
	["Ember Spear Tower"] = "餘燼矛塔",
	Emberglade = "餘燼林地",
	["Emberstone Mine"] = "燼石礦坑",
	["Emberstone Village"] = "燼石村",
	["Emberstrife's Den"] = "艾博斯塔夫的巢穴",
	["Emerald Dragonshrine"] = "翡翠龍殿",
	["Emerald Dream"] = "翡翠夢境",
	["Emerald Forest"] = "翠葉森林",
	["Emerald Sanctuary"] = "翡翠聖地",
	["Engine of the Makers"] = "造物者動力核心",
	["Engineering Labs"] = "工程實驗室",
	["Ethel Rethor"] = "艾瑟雷索",
	["Ethereum Staging Grounds"] = "以太皇族軍事要塞",
	["Evergreen Trading Post"] = "常青貿易站",
	Evergrove = "永恆樹林",
	Everlook = "永望鎮",
	["Eversong Woods"] = "永歌森林",
	["Excavation Center"] = "挖掘中心",
	["Excavation Lift"] = "挖掘升降梯",
	["Expedition Armory"] = "遠征隊軍械庫",
	["Expedition Base Camp"] = "遠征隊營地",
	["Expedition Point"] = "遠征隊哨塔",
	["Explorers' League Digsite"] = "探險者協會挖掘場",
	["Explorers' League Outpost"] = "探險者協會前哨",
	["Eye of the Storm"] = "暴風之眼",
	["Fairbreeze Village"] = "晴風村",
	["Fairbridge Strand"] = "美橋海岸",
	["Falcon Watch"] = "獵鷹哨站",
	["Falconwing Inn"] = "獵鷹之翼旅店",
	["Falconwing Square"] = "獵鷹之翼廣場",
	["Faldir's Cove"] = "法迪爾海灣",
	["Falfarren River"] = "弗倫河",
	["Fall of Return"] = "回歸之殞",
	["Fallen Sky Lake"] = "墜星湖",
	["Fallen Sky Ridge"] = "墜天山脈",
	["Fallen Temple of Ahn'kahet"] = "安卡罕特墮落神殿",
	["Fallow Sanctuary"] = "農田避難所",
	["Fallowmere Inn"] = "法洛梅爾旅店",
	["Falls of Ymiron"] = "依米倫瀑布",
	["Falthrien Academy"] = "法薩瑞安學院",
	Familiars = "魔寵們",
	["Faol's Rest"] = "法奧之墓",
	["Far Watch Post"] = "前沿哨所",
	["Fargaze Mesa"] = "遠凝台地",
	["Fargodeep Mine"] = "法戈第礦坑",
	Farm = "農場",
	Farshire = "遠郡",
	["Farshire Fields"] = "遠郡原野",
	["Farshire Lighthouse"] = "遠郡燈塔",
	["Farshire Mine"] = "遠郡礦坑",
	["Farson Hold"] = "法森堡",
	["Farstrider Enclave"] = "旅行者營地",
	["Farstrider Lodge"] = "遠行者小屋",
	["Farstrider Retreat"] = "遠行者居所",
	["Farstriders' Enclave"] = "遠行者營地",
	["Farstriders' Square"] = "遠行者廣場",
	["Farwatcher's Glen"] = "遠眺者之谷",
	["Featherbeard's Hovel"] = "羽鬚屋舍",
	Feathermoon = "羽月要塞",
	["Feathermoon Stronghold"] = "羽月要塞",
	["Fel Reaver Ruins"] = "惡魔劫奪者廢墟",
	["Fel Rock"] = "惡魔石",
	["Felfire Hill"] = "冥火嶺",
	["Felpaw Village"] = "魔爪村",
	["Felspark Ravine"] = "魔焰深谷",
	["Felstone Field"] = "費爾斯通農場",
	Felwood = "費伍德森林",
	["Fenris Isle"] = "芬里斯島",
	["Fenris Keep"] = "芬里斯城堡",
	["Feral Scar Vale"] = "深痕谷",
	Feralas = "菲拉斯",
	["Feralfen Village"] = "菲拉芬村",
	["Festering Pools"] = "膿瘡之池",
	["Festival Lane"] = "節慶巷道",
	["Feth's Way"] = "費司之路",
	["Field of Strife"] = "征戰平原",
	["Fields of Blood"] = "鮮血草原",
	["Fields of Honor"] = "榮譽原野",
	Filming = "薄霧之地",
	["Fire Plume Ridge"] = "火羽山",
	["Fire Scar Shrine"] = "火痕神殿",
	["Fire Stone Mesa"] = "火石台地",
	["Firebeard Cemetery"] = "火鬍墓園",
	["Firebeard's Patrol"] = "火鬍巡防地",
	["Firegut Furnace"] = "火腹熔爐",
	Firelands = "火源之界",
	["Firelands Forgeworks"] = "火源之界鍛造區",
	["Firelands Hatchery"] = "火源之界孵化室",
	["Fireplume Peak"] = "火羽峰",
	["Fireplume Trench"] = "火羽溝",
	["Firestone Point"] = "火石崗哨",
	["Firewatch Ridge"] = "觀火嶺",
	["Firewing Point"] = "火翼崗哨",
	["First Bank of Kezan"] = "凱贊第一銀行",
	["First Legion Forward Camp"] = "第一軍團前進營地",
	["First to Your Aid"] = "急救你優先",
	["Fishing Village"] = "釣魚村",
	["Fizzcrank Airstrip"] = "嘶軸簡易機場",
	["Fizzcrank Pumping Station"] = "嘶軸幫浦站",
	["Fizzle & Pozzik's Speedbarge"] = "菲茲爾與普茲克的高速駁船",
	["Fjorn's Anvil"] = "斐雍之砧",
	["Flame Crest"] = "烈焰峰",
	Flamebreach = "火焰裂層",
	["Flamestar Post"] = "燎星崗哨",
	["Flamewatch Tower"] = "焰望哨塔",
	["Flavor - Stormwind Harbor - Stop"] = "樣式 - 暴風港 - 終點",
	["Fleshrender's Workshop"] = "血肉撕裂者工坊",
	["Foothold Citadel"] = "塞拉摩堡壘",
	["Footman's Armory"] = "步卒軍械庫",
	["Force Interior"] = "力場內部",
	["Fordragon Hold"] = "弗塔根堡",
	["Forest Song"] = "林歌神殿",
	["Forest's Edge"] = "森林邊界",
	["Forest's Edge Post"] = "林邊崗哨",
	["Forge Base: Gehenna"] = "熔爐基地:苦難",
	["Forge Base: Oblivion"] = "熔爐基地:遺忘",
	["Forge Camp: Anger"] = "煉冶場:怒氣",
	["Forge Camp: Fear"] = "煉冶場:恐懼",
	["Forge Camp: Hate"] = "煉冶場:仇恨",
	["Forge Camp: Mageddon"] = "煉冶場:黑色祭壇",
	["Forge Camp: Rage"] = "煉冶場:狂怒",
	["Forge Camp: Terror"] = "煉冶場:驚駭",
	["Forge Camp: Wrath"] = "煉冶場:憤怒",
	["Forge of Fate"] = "命運熔爐",
	["Forgewright's Tomb"] = "鑄鐵之墓",
	["Forgotten Hill"] = "遺忘之丘",
	["Forlorn Cloister"] = "孤寂迴廊",
	["Forlorn Ridge"] = "淒涼山",
	["Forlorn Rowe"] = "荒棄鬼屋",
	["Forlorn Spire"] = "荒棄尖塔",
	["Forlorn Woods"] = "凋落樹林",
	["Formation Grounds"] = "構築之地",
	["Forsaken Forward Command"] = "被遺忘者前線指揮營地",
	["Forsaken High Command"] = "被遺忘者高階指揮所",
	["Forsaken Rear Guard"] = "被遺忘者後衛部隊",
	["Fort Livingston"] = "李文斯頓堡壘",
	["Fort Triumph"] = "凱旋堡壘",
	["Fort Wildervar"] = "威德瓦堡壘",
	["Fortune's Fist"] = "命運之拳",
	["Forward Command"] = "前線指揮營地",
	["Foulspore Cavern"] = "毒菇洞穴",
	["Fractured Front"] = "崩裂的前線",
	["Fray Island"] = "勇士島",
	["Frayfeather Highlands"] = "亂羽高地",
	["Frazzlecraz Motherlode"] = "弗雷卓克雷茲母礦",
	["Freewind Post"] = "亂風崗",
	["Frenzyheart Hill"] = "狂心之丘",
	["Frenzyheart River"] = "狂心之河",
	["Frigid Breach"] = "嚴寒止境",
	["Frost Dagger Pass"] = "霜刀小徑",
	["Frostblade Pass"] = "霜刃隘口",
	["Frostblade Peak"] = "霜刃峰",
	["Frostclaw Den"] = "霜爪獸穴",
	["Frostfield Lake"] = "霜域湖",
	["Frostfire Hot Springs"] = "冰火溫泉",
	["Frostfloe Deep"] = "浮冰霜淵",
	["Frostgrip's Hollow"] = "霜握谷地",
	Frosthold = "霜堡",
	["Frosthowl Cavern"] = "霜嚎洞窟",
	["Frostmane Front"] = "霜鬃前線",
	["Frostmane Hold"] = "霜鬃食人妖要塞",
	["Frostmane Retreat"] = "霜鬃居所",
	Frostmourne = "霜之哀傷",
	["Frostmourne Cavern"] = "霜之哀傷洞窟",
	["Frostsaber Rock"] = "霜刀石",
	["Frostwhisper Gorge"] = "霜語峽谷",
	["Frostwing Halls"] = "霜翼大廳",
	["Frostwolf Graveyard"] = "霜狼墓地",
	["Frostwolf Keep"] = "霜狼要塞",
	["Frostwolf Pass"] = "霜狼小徑",
	["Frostwolf Tunnel"] = "霜狼隧道",
	["Frostwolf Village"] = "霜狼村",
	["Frozen Reach"] = "冰凍之境",
	["Fungal Deep"] = "蘑菇縱谷",
	["Fungal Rock"] = "蘑菇石",
	["Funggor Cavern"] = "方格洞穴",
	["Furien's Post"] = "弗里安崗哨",
	["Furlbrow's Pumpkin Farm"] = "法布隆南瓜農場",
	["Furnace of Hate"] = "仇恨火爐",
	["Furywing's Perch"] = "狂怒之翼棲所",
	Fuselight = "熔絲火光山間營地",
	["Fuselight-by-the-Sea"] = "熔絲火光海邊營地",
	["GM Island"] = "GM島",
	Gadgetzan = "加基森",
	["Gahrron's Withering"] = "蓋羅恩農場",
	["Galak Hold"] = "加拉克城堡",
	["Galakrond's Rest"] = "葛拉克朗安息地",
	["Galardell Valley"] = "加拉德爾山谷",
	["Galen's Fall"] = "加林之殞",
	["Galerek's Remorse"] = "加勒雷克之痛",
	["Galewatch Lighthouse"] = "颯望燈塔",
	["Gallery of Treasures"] = "珍寶陳列室",
	["Gallows' Corner"] = "絞刑場",
	["Gallows' End Tavern"] = "恐懼之末旅店",
	["Gallywix Docks"] = "加里維克斯碼頭",
	["Gallywix Labor Mine"] = "加里維克斯的勞工礦坑",
	["Gallywix Pleasure Palace"] = "加里維克斯歡樂宮殿",
	["Gallywix's Villa"] = "加里維克斯的別墅",
	["Gallywix's Yacht"] = "加里維克斯的遊艇",
	["Galus' Chamber"] = "加魯斯的房間",
	["Gamesman's Hall"] = "投機者大廳",
	Gammoth = "甘默斯",
	["Gar'gol's Hovel"] = "加爾勾的小屋",
	Garadar = "卡拉達爾",
	Garm = "迦姆",
	["Garm's Bane"] = "迦姆之禍",
	["Garm's Rise"] = "迦姆高崗",
	["Garren's Haunt"] = "加倫鬼屋",
	["Garrison Armory"] = "要塞軍械庫",
	["Garrosh's Landing"] = "卡爾洛斯臺地",
	["Garvan's Reef"] = "加爾文暗礁",
	["Gate of Echoes"] = "回聲之門",
	["Gate of Hamatep"] = "哈瑪泰普之門",
	["Gate of Lightning"] = "雷光之門",
	["Gate of the Blue Sapphire"] = "藍晶之門",
	["Gate of the Green Emerald"] = "碧翠之門",
	["Gate of the Purple Amethyst"] = "紫晶之門",
	["Gate of the Red Sun"] = "紅日之門",
	["Gate of the Yellow Moon"] = "黃月之門",
	["Gates of Ahn'Qiraj"] = "安其拉之門",
	["Gates of Ironforge"] = "鐵爐堡大門",
	["Gates of Sothann"] = "索桑恩之門",
	["Gauntlet of Flame"] = "火焰戰巷",
	["Gavin's Naze"] = "加文高地",
	["Geezle's Camp"] = "吉索的營地",
	["Gelkis Village"] = "吉爾吉斯村",
	["General Goods"] = "雜貨商",
	["General's Terrace"] = "將軍露臺",
	["Ghost Walker Post"] = "鬼旅崗哨",
	["Ghostblade Post"] = "鬼刃崗哨",
	Ghostlands = "鬼魂之地",
	["Giant's Run"] = "巨人奔印",
	["Giants' Run"] = "巨人小徑",
	["Gillijim's Isle"] = "吉利吉姆之島",
	["Gilnean Coast"] = "吉爾尼斯海岸",
	["Gilnean Stronghold"] = "吉爾尼斯要塞",
	Gilneas = "吉爾尼斯",
	["Gilneas City"] = "吉爾尼斯城",
	["Gilneas Liberation Front Base Camp"] = "吉爾尼斯解放戰線營地",
	["Gimorak's Den"] = "吉摩拉克獸穴",
	Gjalerbron = "夏勒布隆",
	Gjalerhorn = "夏勒宏恩",
	["Glacial Falls"] = "冰川瀑布",
	["Glimmer Bay"] = "微光海灣",
	["Glimmerdeep Gorge"] = "深光峽谷",
	["Glittering Strand"] = "閃耀水岸",
	["Glopgut's Hollow"] = "噁腸巨魔谷地",
	["Glorious Goods"] = "輝煌商品",
	Glory = "榮耀",
	["Gnarlpine Hold"] = "脊骨堡",
	["Gnaws' Boneyard"] = "囓咬骨墳",
	Gnomeregan = "諾姆瑞根",
	["Go'Shek Farm"] = "格沙克農場",
	["Goblin Foundry"] = "哥布林鍛造廠",
	["Goblin Slums"] = "哥布林貧民窟",
	["Gol'Bolar Quarry"] = "古博拉採掘場",
	["Gol'Bolar Quarry Mine"] = "古博拉礦場",
	["Golakka Hot Springs"] = "葛拉卡溫泉",
	["Gold Coast Quarry"] = "金海岸礦坑",
	["Gold Mine"] = "金礦",
	["Gold Road"] = "黃金之路",
	["Golden Strand"] = "金色湖岸",
	["Goldenbough Pass"] = "金枝小徑",
	["Goldenmist Village"] = "金霧村",
	Goldshire = "閃金鎮",
	["Goldtooth's Den"] = "金牙的巢穴",
	["Goodgrub Smoking Pit"] = "古德古瑞伯煙坑",
	["Gor'gaz Outpost"] = "葛卡茲哨站",
	["Gordok's Seat"] = "戈多克的王座",
	["Gordunni Outpost"] = "戈杜尼前哨站",
	["Gorefiend's Vigil"] = "血魔禁地",
	Gornia = "戈尼亞",
	["Gorrok's Lament"] = "哥羅克之悼",
	["Gorshak War Camp"] = "戈沙克戰營",
	["Grand Magister's Asylum"] = "大博學者的庇護所",
	["Grand Promenade"] = "華麗漫步庭園",
	["Grangol'var Village"] = "葛蘭戈瓦村",
	["Granite Springs"] = "花崗岩之泉",
	["Greatwood Vale"] = "巨木谷",
	["Greengill Coast"] = "綠鰓海岸",
	["Greenpaw Village"] = "綠爪村",
	["Greenwarden's Grove"] = "綠意守望者之林",
	["Greymane Court"] = "葛雷邁恩宮廷",
	["Greymane Manor"] = "葛雷邁恩莊園",
	["Grim Batol"] = "格瑞姆巴托",
	["Grim Batol Entrance"] = "格瑞姆巴托入口",
	["Grimesilt Dig Site"] = "煤渣挖掘場",
	["Grimtotem Compound"] = "恐怖圖騰營地",
	["Grimtotem Post"] = "恐怖圖騰崗哨",
	Grishnath = "葛瑞許納什",
	Grizzlemaw = "灰喉鎮",
	["Grizzlepaw Ridge"] = "灰爪山",
	["Grizzly Hills"] = "灰白之丘",
	["Grol'dom Farm"] = "格羅多姆農場",
	["Grolluk's Grave"] = "葛羅路克之墓",
	["Grom'arsh Crash-Site"] = "葛羅姆亞什失事地",
	["Grom'gol"] = "格羅姆高",
	["Grom'gol Base Camp"] = "格羅姆高營地",
	["Grommash Hold"] = "葛羅瑪許堡",
	["Grosh'gok Compound"] = "格羅高克營地",
	["Grove of Aessina"] = "艾森娜之林",
	["Grove of the Ancients"] = "古樹之林",
	["Growless Cave"] = "無草洞",
	["Gruul's Lair"] = "戈魯爾之巢",
	["Gryphon Roost"] = "獅鷲獸棲息處",
	["Guardian's Library"] = "守護者圖書館",
	Gundrak = "剛德拉克",
	["Gundrak Entrance"] = "剛德拉克入口",
	["Gunstan's Dig"] = "古斯坦挖掘場",
	["Gunstan's Post"] = "古斯坦崗哨",
	["Gunther's Retreat"] = "岡瑟爾的居所",
	["Gurboggle's Ledge"] = "葛爾巴果的岩礁",
	["Gurubashi Arena"] = "古拉巴什競技場",
	["Gyro-Plank Bridge"] = "環木橋",
	["Haal'eshi Gorge"] = "海艾斯峽谷",
	["Hadronox's Lair"] = "哈卓諾克斯之巢",
	["Hailwood Marsh"] = "雹木沼澤",
	Halaa = "哈剌",
	["Halaani Basin"] = "哈剌尼盆地",
	["Halcyon Egress"] = "翠鳥出口",
	["Haldarr Encampment"] = "哈達爾營地",
	Halgrind = "霍葛萊",
	["Hall of Arms"] = "武器大廳",
	["Hall of Binding"] = "禁錮大廳",
	["Hall of Blackhand"] = "黑手大廳",
	["Hall of Blades"] = "刀刃大廳",
	["Hall of Bones"] = "白骨大廳",
	["Hall of Champions"] = "勇士大廳",
	["Hall of Command"] = "指揮大廳",
	["Hall of Crafting"] = "工匠大廳",
	["Hall of Departure"] = "起程大廳",
	["Hall of Explorers"] = "探險者大廳",
	["Hall of Faces"] = "盜賊大廳",
	["Hall of Horrors"] = "驚怖大廳",
	["Hall of Legends"] = "傳說大廳",
	["Hall of Masks"] = "面具大廳",
	["Hall of Memories"] = "回憶之廳",
	["Hall of Mysteries"] = "秘法大廳",
	["Hall of Repose"] = "安詳大廳",
	["Hall of Return"] = "回歸大廳",
	["Hall of Ritual"] = "儀式大廳",
	["Hall of Secrets"] = "秘密大廳",
	["Hall of Serpents"] = "毒蛇大廳",
	["Hall of Stasis"] = "靜止大廳",
	["Hall of Twilight"] = "暮光大廳",
	["Hall of the Brave"] = "勇者大廳",
	["Hall of the Conquered Kings"] = "征服諸王大廳",
	["Hall of the Crafters"] = "工匠大廳",
	["Hall of the Crusade"] = "十字軍大廳",
	["Hall of the Cursed"] = "詛咒大廳",
	["Hall of the Damned"] = "譴責大廳",
	["Hall of the Fathers"] = "眾父大廳",
	["Hall of the Frostwolf"] = "霜狼大廳",
	["Hall of the High Father"] = "至高之父大廳",
	["Hall of the Keepers"] = "守衛者大廳",
	["Hall of the Shaper"] = "塑造者大廳",
	["Hall of the Stormpike"] = "雷矛大廳",
	["Hall of the Watchers"] = "看守者大廳",
	["Halls of Anguish"] = "苦痛大廳",
	["Halls of Awakening"] = "甦醒大廳",
	["Halls of Binding"] = "束縛大廳",
	["Halls of Destruction"] = "毀滅大廳",
	["Halls of Lightning"] = "雷光大廳",
	["Halls of Lightning Entrance"] = "雷光大廳入口",
	["Halls of Mourning"] = "悲傷大廳",
	["Halls of Origination"] = "起源大廳",
	["Halls of Origination Entrance"] = "起源大廳入口",
	["Halls of Reflection"] = "倒影大廳",
	["Halls of Reflection Entrance"] = "倒影大廳入口",
	["Halls of Silence"] = "沉默大廳",
	["Halls of Stone"] = "石之大廳",
	["Halls of Stone Entrance"] = "石之大廳入口",
	["Halls of Strife"] = "征戰大廳",
	["Halls of Theory"] = "學術大廳",
	["Halls of the Ancestors"] = "先祖大廳",
	["Halls of the Hereafter"] = "來世大廳",
	["Halls of the Law"] = "秩序大廳",
	["Halycon's Lair"] = "哈雷肯之巢",
	Hammerfall = "落錘鎮",
	["Hammertoe's Digsite"] = "鐵趾挖掘場",
	["Hammond Farmstead"] = "漢孟德農莊",
	Hangar = "機棚",
	["Hardknuckle Clearing"] = "硬拳空地",
	["Hardwrench Hideaway"] = "硬心藏匿處",
	["Harkor's Camp"] = "哈克爾營地",
	["Hatchet Hills"] = "戰斧嶺",
	Havenshire = "避風郡",
	["Havenshire Farms"] = "避風郡農場",
	["Havenshire Lumber Mill"] = "避風郡伐木場",
	["Havenshire Mine"] = "避風郡礦坑",
	["Havenshire Stables"] = "避風郡獸欄",
	["Hayward Fishery"] = "海華德漁場",
	["Headmaster's Study"] = "院長的書房",
	["Heart of Destruction"] = "毀滅之心",
	["Heart's Blood Shrine"] = "心之血聖壇",
	Hearthglen = "壁爐谷",
	["Heartwood Trading Post"] = "心材貿易站",
	["Heb'Drakkar"] = "希伯德拉卡",
	["Heb'Valok"] = "希伯伐洛克",
	["Hellfire Basin"] = "地獄火盆地",
	["Hellfire Citadel"] = "地獄火堡壘",
	["Hellfire Citadel - Ramparts Entrance"] = "地獄火堡壘－地獄火壁壘入口",
	["Hellfire Citadel - The Blood Furnace Entrance"] = "地獄火堡壘－血熔爐入口",
	["Hellfire Citadel - The Shattered Halls Entrance"] = "地獄火堡壘－破碎大廳入口",
	["Hellfire Citadel: Ramparts"] = "地獄火堡壘:地獄火壁壘",
	["Hellfire Citadel: The Blood Furnace"] = "地獄火堡壘:血熔爐",
	["Hellfire Citadel: The Shattered Halls"] = "地獄火堡壘:破碎大廳",
	["Hellfire Peninsula"] = "地獄火半島",
	["Hellfire Peninsula - Force Camp Beach Head"] = "地獄火半島 - 軍隊營地海角",
	["Hellfire Peninsula - Reaver's Fall"] = "地獄火半島 - 劫奪者荒野",
	["Hellfire Ramparts"] = "地獄火壁壘",
	["Hellscream's Camp"] = "地獄吼營地",
	["Hellscream's Grasp"] = "地獄吼之握",
	["Hellscream's Watch"] = "地獄吼守望",
	["Helm's Bed Lake"] = "盔枕湖",
	["Heroes' Vigil"] = "英雄崗哨",
	["Hetaera's Clutch"] = "赫塔拉的巢穴",
	["Hewn Bog"] = "開闢泥沼",
	["Hibernal Cavern"] = "凜冬洞窟",
	["Hidden Path"] = "秘道",
	["High Bank"] = "高岸堡",
	["High Wilderness"] = "高原荒野",
	Highbank = "高岸堡",
	["Highland Forest"] = "高地森林",
	Highperch = "風巢",
	Hillsbrad = "希爾斯布萊德",
	["Hillsbrad Fields"] = "希爾斯布萊德農場",
	["Hillsbrad Foothills"] = "希爾斯布萊德丘陵",
	["Hiri'watha Research Station"] = "西利瓦薩研究站",
	["Hive'Ashi"] = "亞什蟲巢",
	["Hive'Regal"] = "雷戈蟲巢",
	["Hive'Zora"] = "佐拉蟲巢",
	["Hogger Hill"] = "霍格嶺",
	["Hollowstone Mine"] = "穴石礦坑",
	["Honor Hold"] = "榮譽堡",
	["Honor Hold Mine"] = "榮譽堡礦坑",
	["Honor Point"] = "榮譽崗哨",
	["Honor's Stand"] = "榮譽看臺",
	["Honor's Tomb"] = "榮耀之墓",
	["Horde Base Camp"] = "部落營地",
	["Horde Encampment"] = "部落營地",
	["Horde Keep"] = "部落要塞",
	["Horde Landing"] = "部落登陸營地",
	["Horde PVP Barracks"] = "部落PVP兵營",
	["Hordemar City"] = "霍德瑪爾城",
	["House of Edune"] = "伊度大宅",
	["Howling Fjord"] = "凜風峽灣",
	["Howling Ziggurat"] = "哀嚎通靈塔",
	["Hrothgar's Landing"] = "赫魯斯加臺地",
	["Hull of the Foebreaker"] = "破敵者號的船體",
	["Humboldt Conflagration"] = "杭伯特焚焰地",
	["Hunter Rise"] = "獵人高地",
	["Hunter's Hill"] = "獵人嶺",
	["Huntress of the Sun"] = "太陽女獵師",
	["Huntsman's Cloister"] = "獵手迴廊",
	Hyjal = "海加爾",
	["Hyjal Barrow Dens"] = "海加爾獸穴",
	["Hyjal Past"] = "海加爾廢墟",
	["Hyjal Summit"] = "海加爾山之巔",
	["Ice Heart Cavern"] = "冰心洞窟",
	["Ice Thistle Hills"] = "冰薊嶺",
	["Iceblood Garrison"] = "冰血要塞",
	["Iceblood Graveyard"] = "冰血墓地",
	Icecrown = "寒冰皇冠",
	["Icecrown Citadel"] = "冰冠城塞",
	["Icecrown Dungeon - Gunships"] = "冰冠地城 - 砲艇",
	["Icecrown Glacier"] = "寒冰皇冠",
	["Iceflow Lake"] = "湧冰湖",
	["Icemist Falls"] = "冰霧瀑布",
	["Icemist Village"] = "冰霧村",
	["Icewing Bunker"] = "冰翼碉堡",
	["Icewing Cavern"] = "冰翼洞穴",
	["Icewing Pass"] = "冰翼小徑",
	["Idlewind Lake"] = "微風湖",
	["Igneous Depths"] = "火成深淵",
	["Illidari Point"] = "伊利達瑞崗哨",
	["Illidari Training Grounds"] = "伊利達瑞訓練場",
	["Indu'le Village"] = "因度雷村",
	Inn = "旅店",
	["Inner Sanctum"] = "城市內環",
	["Inner Veil"] = "內裡之霧",
	["Insidion's Perch"] = "印希迪恩棲所",
	["Invasion Point: Annihilator"] = "侵略點:殲滅者",
	["Invasion Point: Cataclysm"] = "侵略點:災難",
	["Invasion Point: Destroyer"] = "侵略點:摧毀者",
	["Invasion Point: Overlord"] = "侵略點:主宰者",
	["Iron Concourse"] = "鐵之集合場",
	["Iron Summit"] = "黑鐵峰",
	["Ironband's Compound"] = "鐵環營地",
	["Ironband's Excavation Site"] = "鐵環挖掘場",
	["Ironbeard's Tomb"] = "鐵鬚之墓",
	["Ironclad Cove"] = "鐵甲灣",
	["Ironclad Garrison"] = "鐵甲要塞",
	["Ironclad Prison"] = "鐵欄監獄",
	["Irondeep Mine"] = "深鐵礦坑",
	Ironforge = "鐵爐堡",
	["Ironforge Airfield"] = "鐵爐堡機場",
	["Ironstone Camp"] = "鐵石營地",
	["Ironstone Plateau"] = "鐵石高原",
	["Irontree Cavern"] = "鐵木山洞",
	["Irontree Clearing"] = "鐵木空地",
	["Irontree Woods"] = "鐵木森林",
	["Ironwall Dam"] = "鐵牆水壩",
	["Ironwall Rampart"] = "鐵牆壁壘",
	["Ironwing Cavern"] = "鐵翼洞穴",
	Iskaal = "伊斯考",
	["Island of Doctor Lapidis"] = "拉匹迪斯之島",
	["Isle of Conquest"] = "征服之島",
	["Isle of Conquest No Man's Land"] = "無人登陸的征服之島",
	["Isle of Dread"] = "恐怖之島",
	["Isle of Quel'Danas"] = "奎爾達納斯之島",
	["Isle of Tribulations"] = "磨難之島",
	["Iso'rath"] = "伊索拉斯",
	["Itharius's Cave"] = "伊薩里奧斯的洞穴",
	["Ivald's Ruin"] = "伊瓦德遺跡",
	["Ix'lar's Domain"] = "伊克斯拉爾的領域",
	["Jadefire Glen"] = "碧火谷",
	["Jadefire Run"] = "碧火小徑",
	["Jademir Lake"] = "加德米爾湖",
	Jaedenar = "加德納爾",
	["Jagged Reef"] = "鋸齒暗礁",
	["Jagged Ridge"] = "鋸齒山脊",
	["Jagged Wastes"] = "鋸齒荒地",
	["Jaggedswine Farm"] = "野豬農場",
	["Jaguero Isle"] = "哈圭羅島",
	["Janeiro's Point"] = "加尼祿哨站",
	["Jangolode Mine"] = "詹戈洛德礦坑",
	["Jaquero Isle"] = "賈圭羅島",
	["Jasperlode Mine"] = "玉石礦坑",
	["Jeff NE Quadrant Changed"] = "Jeff NE Quadrant Changed",
	["Jeff NW Quadrant"] = "Jeff NW Quadrant",
	["Jeff SE Quadrant"] = "Jeff SE Quadrant",
	["Jeff SW Quadrant"] = "Jeff SW Quadrant",
	["Jerod's Landing"] = "傑羅德碼頭",
	["Jintha'Alor"] = "辛薩羅",
	["Jintha'kalar"] = "辛薩卡拉",
	["Jintha'kalar Passage"] = "辛薩卡拉通道",
	Jotunheim = "卓頓海姆",
	K3 = "K3",
	["KTC Headquarters"] = "卡亞羅貿易公司總部",
	["KTC Oil Platform"] = "卡亞羅貿易公司石油平台",
	["Kaja'mine"] = "卡迦石礦區",
	["Kaja'mite Cave"] = "卡迦邁洞穴",
	["Kaja'mite Cavern"] = "卡迦邁洞窟",
	["Kajaro Field"] = "卡亞羅賽場",
	["Kal'ai Ruins"] = "卡萊廢墟",
	Kalimdor = "卡林多",
	Kamagua = "卡瑪廓",
	["Karabor Sewers"] = "卡拉伯爾下水道",
	Karazhan = "卡拉贊",
	["Kargathia Keep"] = "卡加希亞要塞",
	["Karnum's Glade"] = "卡努姆林地",
	["Kartak's Hold"] = "卡爾塔克堡",
	Kaskala = "卡斯卡拉",
	["Kaw's Roost"] = "卡烏的棲息地",
	["Keel Harbor"] = "龍骨港",
	["Keelen's Trustworthy Tailoring"] = "奇蘭的可靠裁縫",
	["Keeshan's Post"] = "基沙恩崗哨",
	["Kel'Thuzad Chamber"] = "科爾蘇加德之間",
	["Kel'Thuzad's Chamber"] = "科爾蘇加德之間",
	["Kelp'thar Forest"] = "凱波薩爾森林",
	["Keset Pass"] = "奇瑟小徑",
	["Kessel's Crossing"] = "凱索十字路",
	Kezan = "凱贊",
	Kharanos = "卡拉諾斯",
	["Khardros' Anvil"] = "卡德羅斯的鐵砧",
	["Khartut's Tomb"] = "卡爾吐特之墓",
	["Khaz'goroth's Seat"] = "卡茲格羅斯的王座",
	["Kil'sorrow Fortress"] = "吉爾索洛堡壘",
	["Kili'ua's Atoll"] = "齊里厄雅環礁",
	["King's Gate"] = "國王大門",
	["King's Harbor"] = "國王港",
	["King's Hoard"] = "王之庫藏",
	["King's Square"] = "國王廣場",
	["Kirin'Var Village"] = "肯瑞瓦村莊",
	Kirthaven = "柯特海文",
	["Kodo Graveyard"] = "科多獸墳場",
	["Kodo Rock"] = "科多石",
	["Kolkar Village"] = "科卡爾村",
	Kolramas = "科爾拉瑪斯",
	["Kor'kron Vanguard"] = "柯爾克隆先鋒駐地",
	["Kormek's Hut"] = "考米克小屋",
	["Koroth's Den"] = "寇羅斯之穴",
	["Korthun's End"] = "寇爾蘇恩之歿",
	["Krasus' Landing"] = "卡薩斯平臺",
	["Krazzworks Attack Zeppelin"] = "克拉茲工坊攻擊飛艇",
	["Krolg's Hut"] = "庫羅格小屋",
	["Krom'gar Fortress"] = "克羅姆加堡壘",
	["Krom's Landing"] = "克羅姆臺地",
	["Kul Tiras"] = "庫爾提拉斯",
	["Kul'galar Keep"] = "庫爾加拉要塞",
	["Kurzen's Compound"] = "庫爾森的營地",
	["L'ghorek"] = "勒苟雷克",
	["Lair of the Chosen"] = "天選者之巢",
	["Lake Al'Ameth"] = "奧拉密斯湖",
	["Lake Cauldros"] = "科德洛斯湖",
	["Lake Dumont"] = "都蒙特湖",
	["Lake Edunel"] = "伊度涅爾湖",
	["Lake Elrendar"] = "艾蘭達之湖",
	["Lake Elune'ara"] = "月神湖",
	["Lake Ere'Noru"] = "艾利諾魯湖",
	["Lake Everstill"] = "止水湖",
	["Lake Falathim"] = "法拉希姆湖",
	["Lake Indu'le"] = "因度雷湖",
	["Lake Jorune"] = "佐魯湖",
	["Lake Kel'Theril"] = "凱斯利爾湖",
	["Lake Kum'uya"] = "庫姆亞湖",
	["Lake Mennar"] = "門納爾湖",
	["Lake Mereldar"] = "米雷達爾湖",
	["Lake Nazferiti"] = "納菲瑞提湖",
	["Lake Sunspring"] = "日春湖",
	["Lakeridge Highway"] = "湖邊大道",
	Lakeshire = "湖畔鎮",
	["Lakeshire Inn"] = "湖畔鎮旅店",
	["Lakeshire Town Hall"] = "湖畔鎮大廳",
	["Lakeside Landing"] = "湖畔起降場",
	["Lakkari Tar Pits"] = "拉卡利油沼",
	["Land's End Beach"] = "天涯海灘",
	["Landing Beach"] = "起降海灘",
	["Landing Site"] = "降落地點",
	["Langrom's Leather & Links"] = "朗格姆的皮甲與鍊甲",
	["Largo's Overlook"] = "拉爾戈瞰臺",
	["Largo's Overlook Tower"] = "拉爾戈瞰臺哨塔",
	["Lariss Pavilion"] = "拉瑞斯小亭",
	["Laughing Skull Courtyard"] = "獰笑骷髏庭院",
	["Laughing Skull Ruins"] = "獰笑骷髏廢墟",
	["Launch Bay"] = "發射台",
	["Legash Encampment"] = "雷加什營地",
	["Legendary Leathers"] = "傳奇皮革",
	["Legion Hold"] = "軍團要塞",
	["Legion's Fate"] = "軍團的命運",
	["Legion's Rest"] = "軍團之眠",
	["Lethlor Ravine"] = "萊瑟羅峽谷",
	["Leyara's Sorrow"] = "雷亞拉的憂傷",
	["Library Wing"] = "藏書房",
	["Light's Breach"] = "聖光止境",
	["Light's Dawn Cathedral"] = "聖光黎明大教堂",
	["Light's Hammer"] = "聖光之錘",
	["Light's Hope Chapel"] = "聖光之願禮拜堂",
	["Light's Point"] = "聖光之尖",
	["Light's Point Tower"] = "聖光之尖哨塔",
	["Light's Shield Tower"] = "光盾哨塔",
	["Light's Trust"] = "聖光之託",
	Lighthouse = "燈塔",
	["Lightning Ledge"] = "閃電高地",
	["Like Clockwork"] = "精準如錶發條舖",
	["Lion's Pride Inn"] = "獅王之傲旅店",
	["Livery Outpost"] = "馬廄崗哨",
	["Livery Stables"] = "獸欄",
	["Llane's Oath"] = "萊恩之誓",
	["Loading Room"] = "裝載室",
	["Loch Modan"] = "洛克莫丹",
	["Loch Verrall"] = "洛克維羅",
	["Loken's Bargain"] = "洛肯的交易地",
	Longshore = "長灘",
	["Lor'danel"] = "洛丹諾",
	["Lordamere Internment Camp"] = "洛丹米爾收容所",
	["Lordamere Lake"] = "洛丹米爾湖",
	["Lorthuna's Gate"] = "洛舒娜之門",
	["Lost Caldera"] = "失落火山口",
	["Lost City of the Tol'vir"] = "托維爾的失落之城",
	["Lost City of the Tol'vir Entrance"] = "托維爾的失落之城入口",
	["Lost Isles Town in a Box"] = "失落群島盒中鎮",
	["Lost Isles Volcano Eruption"] = "失落群島火山爆發",
	["Lost Peak"] = "失落山峰",
	["Lost Point"] = "迷失哨塔",
	["Lost Rigger Cove"] = "落帆海灣",
	LostIsles = "失落群島",
	["Lothalor Woodlands"] = "洛薩羅林地",
	["Lower City"] = "陰鬱城",
	["Lower Silvermarsh"] = "銀之沼澤下層",
	["Lower Veil Shil'ak"] = "迷霧希拉克下層",
	["Lower Wilds"] = "低地荒野",
	["Lumber Mill"] = "伐木場",
	["Lushwater Oasis"] = "甜水綠洲",
	["Lydell's Ambush"] = "黎戴爾的埋伏處",
	["M.A.C. Diver"] = "M.A.C.潛砂機",
	["Maelstrom Zone"] = "大漩渦區域",
	["Maestra's Post"] = "邁斯特拉崗哨",
	["Maexxna's Nest"] = "梅克絲娜之巢",
	["Mag'har Grounds"] = "瑪格哈營地",
	["Mag'har Post"] = "瑪格哈崗哨",
	["Mag'hari Procession"] = "瑪格哈利隊伍",
	["Mage Quarter"] = "法師區",
	["Mage Tower"] = "法師塔",
	["Magic Quarter"] = "魔法區",
	["Magical Menagerie"] = "魔法動物園",
	["Magister's Terrace"] = "博學者殿堂",
	["Magisters Gate"] = "博學者之門",
	["Magisters' Terrace"] = "博學者殿堂",
	["Magisters' Terrace Entrance"] = "博學者殿堂入口",
	["Magma Fields"] = "岩漿平原",
	["Magma Springs"] = "熔岩泉",
	["Magmadar Cavern"] = "瑪格曼達洞穴",
	["Magmaw's Fissure"] = "熔喉裂縫",
	Magmoth = "瑪格默斯",
	["Magnamoth Caverns"] = "瑪格納默斯洞窟",
	["Magram Territory"] = "瑪格拉姆領地",
	["Magtheridon's Lair"] = "瑪瑟里頓的巢穴",
	["Magus Commerce Exchange"] = "魔導師貿易區",
	["Main Gate"] = "主門",
	["Main Hall"] = "主廳",
	["Maker's Ascent"] = "造物者之飛升",
	["Maker's Overlook"] = "造物者瞰臺",
	["Maker's Perch"] = "造物者棲所",
	["Makers' Overlook"] = "造物者瞰臺",
	["Makers' Perch"] = "造物者棲所",
	["Malaka'jin"] = "瑪拉卡金",
	["Malden's Orchard"] = "瑪爾丁果園",
	Maldraz = "瑪爾德拉茲",
	["Malfurion's Breach"] = "瑪法里恩突破口",
	["Malicia's Outpost"] = "瑪麗希亞的哨站",
	["Malykriss: The Vile Hold"] = "瑪里庫立斯:邪鄙堡",
	["Mam'toth Crater"] = "瑪姆托司爆坑",
	["Mana Tombs"] = "法力墓地",
	["Mana-Tombs"] = "法力墓地",
	["Manaforge Ara"] = "法力熔爐艾拉",
	["Manaforge B'naar"] = "法力熔爐巴納爾",
	["Manaforge Coruu"] = "法力熔爐寇魯",
	["Manaforge Duro"] = "法力熔爐杜羅",
	["Manaforge Ultris"] = "法力熔爐奧崔斯",
	["Mandokir's Domain"] = "曼多基爾領域",
	["Mannoroc Coven"] = "瑪諾洛克集會所",
	["Manor Mistmantle"] = "密斯特曼托莊園",
	["Mantle Rock"] = "披肩石",
	["Map Chamber"] = "地圖室",
	["Mar'at"] = "瑪拉特",
	Maraudon = "瑪拉頓",
	["Maraudon - Earth Song Falls Entrance"] = "瑪拉頓－地歌瀑布入口",
	["Maraudon - Foulspore Cavern Entrance"] = "瑪拉頓－毒菇洞穴入口",
	["Mardenholde Keep"] = "瑪登霍爾德城堡",
	["Market Row"] = "市場區",
	["Marshal's Refuge"] = "馬紹爾營地",
	["Marshal's Stand"] = "馬紹爾觀測站",
	["Marshlight Lake"] = "沼澤光之湖",
	["Marshtide Watch"] = "沼潮哨站",
	["Maruadon - The Wicked Grotto Entrance"] = "瑪拉頓－邪惡洞穴入口",
	["Mast Room"] = "船桅室",
	["Master's Terrace"] = "大師的露臺",
	["Masters' Gate"] = "主宰之門",
	["Maw of Lycanthoth"] = "狼狂索斯之喉",
	["Maw of Neltharion"] = "奈薩里奧之喉",
	["Maw of the Void"] = "虛空之喉",
	["Mazra'Alor"] = "瑪茲拉羅",
	Mazthoril = "麥索瑞爾",
	["Medivh's Chambers"] = "麥迪文的房間",
	["Menagerie Wreckage"] = "獸欄殘骸",
	["Menethil Bay"] = "米奈希爾海灣",
	["Menethil Harbor"] = "米奈希爾港",
	["Menethil Keep"] = "米奈希爾城堡",
	["Merchant Square"] = "商業廣場",
	["Mid Point Station"] = "中點抽水站",
	Middenvale = "廢棄谷",
	["Midrealm Post"] = "領地崗哨",
	["Midwall Lift"] = "中牆升降梯",
	["Mightstone Quarry"] = "力石礦場",
	["Military District"] = "軍事區",
	["Mimir's Workshop"] = "彌米爾工坊",
	Mine = "礦坑",
	Mines = "礦坑",
	["Mirage Abyss"] = "幻象深淵",
	["Mirage Flats"] = "幻象平地",
	["Mirage Raceway"] = "沙漠賽道",
	["Mirkfallon Lake"] = "暗色湖",
	["Mirkfallon Post"] = "暗色崗哨",
	["Mirror Lake"] = "明鏡湖",
	["Mirror Lake Orchard"] = "明鏡湖果園",
	["Mist's Edge"] = "薄霧海",
	["Mistcaller's Cave"] = "喚霧者的洞穴",
	["Mistvale Valley"] = "薄霧山谷",
	["Mistwhisper Refuge"] = "霧語避難所",
	["Misty Pine Refuge"] = "霧松避難所",
	["Misty Reed Post"] = "蘆葦崗哨",
	["Misty Reed Strand"] = "蘆葦海灘",
	["Misty Ridge"] = "多霧山脊",
	["Misty Shore"] = "霧氣湖岸",
	["Misty Valley"] = "迷霧谷",
	["Miwana's Longhouse"] = "米瓦納長屋",
	["Mizjah Ruins"] = "米扎廢墟",
	["Mo'grosh Stronghold"] = "莫格羅什要塞",
	["Moa'ki"] = "默亞基",
	["Moa'ki Harbor"] = "默亞基港",
	["Moggle Point"] = "摩戈爾哨塔",
	["Mok'Doom"] = "摩多姆",
	["Mok'Gordun"] = "莫克高頓",
	["Mok'Nathal Village"] = "摩克納薩爾村",
	["Mold Foundry"] = "澆鑄間",
	["Molten Core"] = "熔火之心",
	["Molten Front"] = "熔岩前線",
	["Moon Horror Den"] = "慘月洞穴",
	Moonbrook = "月溪鎮",
	Moonglade = "月光林地",
	["Moongraze Woods"] = "牧月森林",
	["Moonrest Gardens"] = "月眠花園",
	["Moonshrine Ruins"] = "月光神殿廢墟",
	["Moonshrine Sanctum"] = "月光神殿密室",
	["Moontouched Den"] = "月觸之穴",
	["Moonwell of Cleansing"] = "淨化月井",
	["Moonwell of Purity"] = "純淨月井",
	["Moonwing Den"] = "月翼獸窟",
	["Mor'shan Base Camp"] = "莫爾杉營地",
	["Mord'rethar: The Death Gate"] = "默德雷薩:死亡之門",
	["Morgan's Plot"] = "摩根墓場",
	["Morgan's Vigil"] = "摩根的崗哨",
	["Morlos'Aran"] = "莫洛亞藍",
	["Mortal's Demise"] = "凡人逝亡",
	["Mortwake's Tower"] = "摩特維克之塔",
	["Mosh'Ogg Ogre Mound"] = "莫什奧格巨魔山",
	["Mosshide Fen"] = "蘚皮沼地",
	["Mosswalker Village"] = "苔行者村",
	["Mossy Pile"] = "苔蘚堆",
	["Mount Akher"] = "艾克爾山",
	["Mount Hyjal"] = "海加爾山",
	["Mount Hyjal Phase 1"] = "海加爾山第一階段",
	["Mountainfoot Strip Mine"] = "山腳露天礦場",
	Mudsprocket = "泥鏈營地",
	Mulgore = "莫高雷",
	["Murder Row"] = "兇殺路",
	["Murkdeep Cavern"] = "莫克迪普山洞",
	["Mystral Lake"] = "密斯特拉湖",
	Mystwood = "神秘森林",
	Nagrand = "納葛蘭",
	["Nagrand Arena"] = "納葛蘭競技場",
	Nahom = "納候姆",
	["Nar'shola Terrace"] = "納爾朔拉殿堂",
	["Narvir's Cradle"] = "那維爾搖籃",
	["Nasam's Talon"] = "納森之爪",
	["Nat's Landing"] = "納特的平臺",
	Naxxanar = "納克薩爾",
	Naxxramas = "納克薩瑪斯",
	["Naz'anak: The Forgotten Depths"] = "納茲安那克:遺忘深淵",
	["Nazj'vel"] = "納傑韋爾",
	Nazzivian = "納茲維恩",
	["Needlerock Chasm"] = "針岩裂谷",
	["Needlerock Slag"] = "針岩熔渣",
	["Nefarian's Lair"] = "奈法利安的巢穴",
	["Nefarian�s Lair"] = "奈法利安的巢穴",
	["Neferset City"] = "奈斐賽特城",
	["Neferset City Outskirts"] = "奈斐賽特城郊區",
	["Nek'mani Wellspring"] = "納克邁尼聖泉",
	["Neptulon's Rise"] = "奈普圖隆高地",
	["Nesingwary Base Camp"] = "奈辛瓦里營地",
	["Nesingwary Safari"] = "奈辛瓦里狩獵隊",
	["Nesingwary's Expedition"] = "奈辛瓦里遠征隊營地",
	Nespirah = "奈斯畢拉",
	["Nestlewood Hills"] = "奈斯特山丘",
	["Nestlewood Thicket"] = "奈斯特灌木林",
	["Nethander Stead"] = "奈杉德崗哨",
	["Nethergarde Keep"] = "守望堡",
	["Nethergarde Mines"] = "守望礦坑",
	["Nethergarde Supply Camps"] = "守望堡補給營地",
	Netherspace = "虛空空間",
	Netherstone = "虛空石",
	Netherstorm = "虛空風暴",
	["Netherweb Ridge"] = "幽網山脊",
	["Netherwing Fields"] = "虛空之翼農場",
	["Netherwing Ledge"] = "虛空之翼岩架",
	["Netherwing Mines"] = "虛空之翼礦坑",
	["Netherwing Pass"] = "虛空之翼小徑",
	["New Agamand"] = "新阿加曼德",
	["New Agamand Inn"] = "新阿加曼德旅店",
	["New Avalon"] = "新亞法隆",
	["New Avalon Fields"] = "新亞法隆農地",
	["New Avalon Forge"] = "新亞法隆熔爐",
	["New Avalon Orchard"] = "新亞法隆果林",
	["New Avalon Town Hall"] = "新亞法隆市政廳",
	["New Hearthglen"] = "新壁爐谷",
	["New Kargath"] = "新卡加斯",
	["New Thalanaar"] = "新薩蘭納爾",
	["New Tinkertown"] = "新地精區",
	["Nexus Legendary"] = "奧核之心傳奇任務",
	Nidavelir = "尼達維里爾",
	["Nidvar Stair"] = "尼德瓦階梯",
	Nifflevar = "尼弗瓦",
	["Night Elf Village"] = "夜精靈村",
	["Night Run"] = "夜道谷",
	["Night Web's Hollow"] = "夜行蜘蛛洞穴",
	Nighthaven = "永夜港",
	["Nightmare Depths"] = "夢靨深淵",
	["Nightmare Scar"] = "惡夢之痕",
	["Nightmare Vale"] = "夢魘谷",
	["Nightsong Woods"] = "夜歌森林",
	["Nijel's Point"] = "尼耶爾前哨站",
	["Nimbus Rise"] = "雲光高地",
	["Njord's Breath Bay"] = "尼約德之息海灣",
	["Njorn Stair"] = "尼約階梯",
	["Njorndar Village"] = "尼約達村",
	["Noonshade Ruins"] = "熱影廢墟",
	Nordrassil = "諾達希爾",
	["Nordrassil Inn"] = "諾達希爾旅店",
	["Nordune Ridge"] = "北砂山",
	["North Common Hall"] = "北會議廳",
	["North Gate Outpost"] = "北門崗哨",
	["North Gate Pass"] = "北門小徑",
	["North Point Station"] = "北點抽水站",
	["North Point Tower"] = "北點哨塔",
	["North Sanctum"] = "北部聖所",
	["North Spear Tower"] = "北矛哨塔",
	["North Tide's Beachhead"] = "北潮谷地",
	["North Tide's Run"] = "北潮海岸",
	Northdale = "北谷",
	["Northern Barrens"] = "北貧瘠之地",
	["Northern Headlands"] = "北岬",
	["Northern Rampart"] = "北方堡壘",
	["Northern Rocketway"] = "北方火箭道",
	["Northern Rocketway Exchange"] = "北方火箭道交會點",
	["Northern Stranglethorn"] = "北荊棘谷",
	["Northfold Manor"] = "諾斯弗德農場",
	["Northgate Breach"] = "北門止境",
	["Northgate River"] = "北門河",
	["Northgate Woods"] = "北門森林",
	["Northmaul Tower"] = "北槌哨塔",
	["Northpass Tower"] = "北地哨塔",
	Northrend = "北裂境",
	["Northridge Lumber Camp"] = "北山伐木場",
	["Northshire Abbey"] = "北郡修道院",
	["Northshire River"] = "北郡河",
	["Northshire Valley"] = "北郡山谷",
	["Northshire Vineyards"] = "北郡農場",
	["Northwatch Expedition Base Camp"] = "北方遠征隊營地",
	["Northwatch Expedition Base Camp Inn"] = "北方遠征隊營地旅館",
	["Northwatch Foothold"] = "北方根據地",
	["Northwatch Hold"] = "北方城堡",
	["Northwind Cleft"] = "北風斷崖",
	["Nozzlepot's Outpost"] = "管壺前哨",
	["Nozzlerust Post"] = "鏽鼻崗哨",
	["O'Breen's Camp"] = "奧布里營地",
	["Oasis of Vir'sar"] = "韋爾薩爾綠洲",
	["Oasis of the Fallen Prophet"] = "墮落先知綠洲",
	["Obelisk of the Moon"] = "月亮方尖碑",
	["Obelisk of the Stars"] = "眾星方尖碑",
	["Obelisk of the Sun"] = "日陽方尖碑",
	["Observance Hall"] = "儀祝大廳",
	["Observation Grounds"] = "觀測之地",
	["Obsidia's Perch"] = "歐比希迪亞棲所",
	["Obsidian Breakers"] = "黑曜破碎",
	["Obsidian Dragonshrine"] = "黑曜龍殿",
	["Obsidian Forest"] = "黑曜森林",
	["Obsidian Lair"] = "黑曜龍穴",
	["Odesyus' Landing"] = "奧迪席斯平臺",
	["Ogri'la"] = "歐格利拉",
	["Old Hillsbrad Foothills"] = "希爾斯布萊德丘陵舊址",
	["Old Ironforge"] = "舊鐵爐堡",
	["Old Town"] = "舊城區",
	Olembas = "奧萊姆貝斯",
	["Olivia's Pond"] = "奧利維亞的池塘",
	["Olsen's Farthing"] = "奧森農場",
	["One More Glass"] = "勸君更進一杯酒",
	Oneiros = "奧奈羅斯",
	["Onslaught Base Camp"] = "突襲營地",
	["Onslaught Harbor"] = "突襲軍港口",
	["Onyxia's Lair"] = "奧妮克希亞的巢穴",
	["Oomlot Village"] = "烏姆拉村",
	Oostan = "兀斯坦",
	["Oostan Nord"] = "北兀斯坦",
	["Oostan Ost"] = "東兀斯坦",
	["Oostan Sor"] = "南兀斯坦",
	["Opening of the Dark Portal"] = "開啟黑暗之門",
	["Opening of the Dark Portal Entrance"] = "開啟黑暗之門入口",
	["Oratory of the Damned"] = "詛咒祈願室",
	["Orebor Harborage"] = "奧雷伯爾港",
	["Orendil's Retreat"] = "奧蘭迪爾居所",
	["Orgrim's Hammer"] = "奧格林之錘",
	Orgrimmar = "奧格瑪",
	["Orgrimmar Rear Gate"] = "奧格瑪後門",
	["Orgrimmar Rocketway Exchange"] = "奧格瑪火箭道交會點",
	["Oronok's Farm"] = "歐朗諾克的農場",
	Orsis = "奧爾希斯",
	["Ortell's Hideout"] = "奧泰爾的隱居處",
	["Oshu'gun"] = "歐夏剛",
	Outland = "外域",
	["Overgrown Camp"] = "雜草營地",
	["Owl Wing Thicket"] = "梟翼樹叢",
	["Pal'ea"] = "帕雷亞",
	["Palemane Rock"] = "白鬃石",
	["Parhelion Plaza"] = "牧羊人之門",
	["Passage of Lost Fiends"] = "失落惡魔通道",
	["Path of Uther"] = "烏瑟之途",
	["Path of the Titans"] = "泰坦之途",
	["Pattymack Land"] = "餅皮老兄之地",
	["Pauper's Walk"] = "乞丐步道",
	["Pestilent Scar"] = "瘟疫之痕",
	["Petitioner's Chamber"] = "祈願室",
	["Pilgrim's Precipice"] = "旅人絕壁",
	["Pincer X2"] = "鉗手X2",
	["Pit of Fangs"] = "毒牙深淵",
	["Pit of Saron"] = "薩倫之淵",
	["Pit of Saron Entrance"] = "薩倫之淵入口",
	["Plaguelands: The Scarlet Enclave"] = "東瘟疫之地:血色領區",
	["Plaguemist Ravine"] = "疫霧深谷",
	Plaguewood = "病木林",
	["Plaguewood Tower"] = "病木林哨塔",
	["Plain of Echoes"] = "回聲平原",
	["Plain of Shards"] = "裂片曠野",
	["Plains of Nasam"] = "納森平原",
	["Pod Cluster"] = "機艙群骸",
	["Pod Wreckage"] = "機艙殘骸",
	["Poison Falls"] = "毒水瀑布",
	["Pool of Tears"] = "淚水之池",
	["Pool of Twisted Reflections"] = "扭曲反射水池",
	["Pools of Aggonar"] = "阿葛納爾之池",
	["Pools of Arlithrien"] = "亞里斯瑞恩之池",
	["Pools of Jin'Alai"] = "金阿萊之池",
	["Pools of Zha'Jin"] = "薩金之池",
	["Portal Clearing"] = "暮光之門",
	["Prison of Immol'thar"] = "伊莫塔爾的牢籠",
	["Programmer Isle"] = "工程師島",
	["Promontory Point"] = "岬點",
	["Prospector's Point"] = "勘察員崗哨",
	["Protectorate Watch Post"] = "護國者哨站",
	["Purespring Cavern"] = "純淨泉水洞穴",
	["Purgation Isle"] = "贖罪島",
	["Putricide's Laboratory of Alchemical Horrors and Fun"] = "普崔希德的恐懼與歡樂鍊金實驗室",
	["Pyrewood Chapel"] = "焚木禮拜堂",
	["Pyrewood Inn"] = "焚木旅店",
	["Pyrewood Town Hall"] = "焚木市政廳",
	["Pyrewood Village"] = "焚木村",
	["Pyrox Flats"] = "派洛克斯平原",
	["Quagg Ridge"] = "跨格山脊",
	Quarry = "礦場",
	["Quartzite Basin"] = "石英盆地",
	["Queen's Gate"] = "皇后大門",
	["Quel'Danil Lodge"] = "奎爾丹尼小屋",
	["Quel'Delar's Rest"] = "奎爾德拉之眠",
	["Quel'Dormir Gardens"] = "奎多米爾花園",
	["Quel'Dormir Temple"] = "奎多米爾神殿",
	["Quel'Dormir Terrace"] = "奎多米爾殿堂",
	["Quel'Lithien Lodge"] = "奎爾林斯小屋",
	["Quel'thalas"] = "奎爾薩拉斯",
	["Raastok Glade"] = "羅史達克林地",
	["Raceway Ruins"] = "賽道廢墟",
	["Rage Fang Shrine"] = "怒牙聖壇",
	["Rage Scar Hold"] = "怒痕堡",
	["Rageclaw Den"] = "怒爪巢穴",
	["Rageclaw Lake"] = "怒爪湖",
	["Ragefeather Ridge"] = "怒羽山脊",
	["Ragefire Chasm"] = "怒焰裂谷",
	["Ragnaros' Lair"] = "拉格納羅斯的巢穴",
	["Ragnaros' Reach"] = "拉格納羅斯之境",
	["Rainspeaker Canopy"] = "雨頌者之篷",
	["Rainspeaker Rapids"] = "雨頌者急湍",
	Ramkahen = "蘭姆卡韓",
	["Ramkahen Legion Outpost"] = "蘭姆卡韓軍團哨站",
	["Rampart of Skulls"] = "骸顱壁壘",
	["Ranazjar Isle"] = "拉納加爾島",
	["Raptor Pens"] = "迅猛龍圍欄",
	["Raptor Ridge"] = "恐龍嶺",
	["Raptor Rise"] = "迅猛龍高地",
	Ratchet = "棘齒城",
	["Rated Eye of the Storm"] = "暴風之眼積分戰場",
	["Ravaged Caravan"] = "被破壞的貨車",
	["Ravaged Crypt"] = "毀滅土窖",
	["Ravaged Twilight Camp"] = "暮光營地廢墟",
	["Raven Hill"] = "烏鴉嶺",
	["Raven Hill Cemetery"] = "烏鴉嶺墓園",
	["Raven's Watch"] = "鴉之守望",
	["Raven's Wood"] = "烏鴉林",
	["Ravencrest Monument"] = "黑羽紀念碑",
	["Ravenholdt Manor"] = "拉文霍德莊園",
	["Raynewood Retreat"] = "林中樹居",
	["Raynewood Tower"] = "林中塔",
	["Razaan's Landing"] = "雷森平臺",
	["Razor Hill"] = "剃刀嶺",
	["Razor Hill Barracks"] = "剃刀嶺兵營",
	["Razor Ridge"] = "剃刀山脊",
	["Razorfen Downs"] = "剃刀高地",
	["Razorfen Downs Entrance"] = "剃刀高地入口",
	["Razorfen Kraul"] = "剃刀沼澤",
	["Razorfen Kraul Entrance"] = "剃刀沼澤入口",
	["Razormane Grounds"] = "剃鬃營地",
	["Razorscale's Aerie"] = "銳鱗之巢",
	["Razorthorn Rise"] = "刺棘高地",
	["Razorthorn Shelf"] = "刺棘沙洲",
	["Razorthorn Trail"] = "刺棘蔓",
	["Razorwind Canyon"] = "烈風峽谷",
	["Reaver's Fall"] = "劫奪者荒野",
	["Reavers' Hall"] = "劫奪者大廳",
	["Rebel Camp"] = "反抗軍營地",
	["Red Cloud Mesa"] = "紅雲台地",
	["Red Rocks"] = "赤色石",
	["Redpine Dell"] = "紅松谷林",
	["Redridge Canyons"] = "赤脊峽谷",
	["Redridge Mountains"] = "赤脊山",
	["Redwood Trading Post"] = "紅木貿易站",
	Refinery = "精煉廠",
	["Refuge Pointe"] = "避難谷地",
	["Refugee Caravan"] = "難民商隊",
	["Reliquary of Agony"] = "苦楚聖匣",
	["Reliquary of Pain"] = "痛苦聖匣",
	["Remains of Iris Lake"] = "伊瑞斯湖遺址",
	["Remains of the Fleet"] = "艦隊殘骸",
	["Remtravel's Excavation"] = "雷姆塔維爾挖掘場",
	["Render's Camp"] = "撕裂者營地",
	["Render's Crater"] = "撕裂者盆地",
	["Render's Rock"] = "撕裂者之石",
	["Render's Valley"] = "撕裂者山谷",
	["Rethban Caverns"] = "瑞斯班洞穴",
	["Rethress Sanctum"] = "雷瑟斯聖所",
	Reuse = "Reuse",
	["Revantusk Village"] = "惡齒村",
	["Rhea's Camp"] = "莉雅營地",
	["Rhyolith Plateau"] = "萊爾利斯高原",
	["Ricket's Folly"] = "瑞基特異所",
	["Ridge of Madness"] = "瘋狂山脊",
	["Ridgepoint Tower"] = "山巔之塔",
	["Rim of the World"] = "世界之邊緣",
	["Ring of Judgement"] = "審判之環",
	["Ring of Observance"] = "儀式競技場",
	["Ring of the Elements"] = "元素之環",
	["Ring of the Law"] = "秩序競技場",
	["Riplash Ruins"] = "裂鞭遺跡",
	["Riplash Strand"] = "裂鞭水岸",
	["Rise of Suffering"] = "苦難高崗",
	["Rise of the Defiler"] = "污染者高地",
	["Ritual Chamber of Akali"] = "阿卡利儀式之間",
	["Rivendark's Perch"] = "瑞文達科棲所",
	Rivenwood = "裂木森林",
	["River's Heart"] = "大河之心",
	["Rock of Durotan"] = "杜洛坦之石",
	["Rockpool Village"] = "石塘村",
	["Rocktusk Farm"] = "石牙農場",
	["Roguefeather Den"] = "飛羽洞穴",
	["Rogues' Quarter"] = "盜賊區",
	["Rohemdal Pass"] = "洛罕達之徑",
	["Roland's Doom"] = "羅蘭之墓",
	["Rotbrain Encampment"] = "腐腦營地",
	["Royal Exchange Auction House"] = "皇家交易所拍賣場",
	["Royal Exchange Bank"] = "皇家交易所銀行",
	["Royal Gallery"] = "皇家畫廊",
	["Royal Library"] = "皇家圖書館",
	["Royal Quarter"] = "皇家區",
	["Ruby Dragonshrine"] = "晶紅龍殿",
	["Ruined City Post 01"] = "廢墟之城崗哨 01",
	["Ruined Court"] = "毀壞之廷",
	["Ruins of Aboraz"] = "阿博拉茲廢墟",
	["Ruins of Ahmtul"] = "阿姆圖爾廢墟",
	["Ruins of Ahn'Qiraj"] = "安其拉廢墟",
	["Ruins of Alterac"] = "奧特蘭克廢墟",
	["Ruins of Ammon"] = "亞蒙廢墟",
	["Ruins of Arkkoran"] = "亞考蘭廢墟",
	["Ruins of Auberdine"] = "奧伯丁廢墟",
	["Ruins of Baa'ri"] = "巴瑞廢墟",
	["Ruins of Constellas"] = "克斯特拉斯廢墟",
	["Ruins of Drak'Zin"] = "德拉克辛遺跡",
	["Ruins of Drakgor"] = "德拉克戈廢墟",
	["Ruins of Eldarath"] = "埃達拉斯廢墟",
	["Ruins of Eldra'nath"] = "艾卓納斯遺跡",
	["Ruins of Eldre'thar"] = "艾爾德雷薩廢墟",
	["Ruins of Enkaat"] = "安卡特廢墟",
	["Ruins of Farahlon"] = "法拉隆廢墟",
	["Ruins of Feathermoon"] = "羽月廢墟",
	["Ruins of Gilneas"] = "吉爾尼斯廢墟",
	["Ruins of Gilneas City"] = "吉爾尼斯城廢墟",
	["Ruins of Isildien"] = "伊斯迪爾廢墟",
	["Ruins of Jubuwal"] = "朱布瓦爾廢墟",
	["Ruins of Karabor"] = "卡拉伯爾廢墟",
	["Ruins of Kargath"] = "卡加斯廢墟",
	["Ruins of Khintaset"] = "克因塔賽廢墟",
	["Ruins of Lar'donir"] = "拉多尼爾廢墟",
	["Ruins of Lordaeron"] = "羅德隆廢墟",
	["Ruins of Loreth'Aran"] = "羅薩倫廢墟",
	["Ruins of Lornesta"] = "洛奈斯塔遺跡",
	["Ruins of Mathystra"] = "瑪塞斯特拉廢墟",
	["Ruins of Nordressa"] = "諾德雷沙廢墟",
	["Ruins of Ravenwind"] = "鴉風廢墟",
	["Ruins of Sha'naar"] = "夏納廢墟",
	["Ruins of Shandaral"] = "珊達拉遺跡",
	["Ruins of Silvermoon"] = "銀月廢墟",
	["Ruins of Solarsal"] = "索蘭薩爾廢墟",
	["Ruins of Southshore"] = "南海鎮廢墟",
	["Ruins of Taurajo"] = "陶拉祖廢墟",
	["Ruins of Tethys"] = "瑟希斯遺跡",
	["Ruins of Thaurissan"] = "索瑞森廢墟",
	["Ruins of Thelserai Temple"] = "特爾瑟雷神殿廢墟",
	["Ruins of Uldum"] = "奧丹姆廢墟",
	["Ruins of Vashj'elan"] = "瓦許伊蘭廢墟",
	["Ruins of Vashj'ir"] = "瓦許伊爾廢墟",
	["Ruins of Zul'Kunda"] = "祖昆達廢墟",
	["Ruins of Zul'Mamwe"] = "祖瑪維廢墟",
	["Ruins of the Scarlet Enclave"] = "血色領區廢墟",
	["Runestone Falithas"] = "符石菲薩斯",
	["Runestone Shan'dor"] = "符石夏納多爾",
	["Runeweaver Square"] = "織符者廣場",
	["Rustberg Village"] = "鏽堡村",
	["Rustmaul Dive Site"] = "鏽槌挖掘場",
	["Rut'theran Village"] = "魯瑟蘭村",
	["Rutsak's Guard"] = "路特沙克之衛",
	["Ruuan Weald"] = "魯安曠野",
	["Ruuna's Camp"] = "魯巫娜的營地",
	["Ruuzel's Isle"] = "盧澤爾之島",
	["Rygna's Lair"] = "黎格娜的巢穴",
	["SI:7"] = "軍情七處",
	["STV Diamond Mine BG"] = "荊棘谷鑽石礦戰場",
	["Sable Ridge"] = "黑角嶺",
	["Sahket Wastes"] = "薩克特荒原",
	["Saldean's Farm"] = "薩丁農場",
	["Saltheril's Haven"] = "薩瑟里的避風港",
	["Saltspray Glen"] = "鹽沫沼澤",
	["Sanctuary of Malorne"] = "瑪洛尼聖地",
	["Sanctuary of Shadows"] = "暗影聖堂",
	["Sanctum of Reanimation"] = "再活化聖所",
	["Sanctum of Shadows"] = "暗影聖所",
	["Sanctum of the Ascended"] = "飛升聖所",
	["Sanctum of the Fallen God"] = "墮神聖地",
	["Sanctum of the Moon"] = "明月聖所",
	["Sanctum of the Prophets"] = "預言者聖域",
	["Sanctum of the South Wind"] = "南風聖所",
	["Sanctum of the Stars"] = "星光聖所",
	["Sanctum of the Sun"] = "太陽聖所",
	["Sands of Nasam"] = "納森沙地",
	["Sandsorrow Watch"] = "流沙崗哨",
	["Sandy Beach"] = "沙灘",
	["Sanguine Chamber"] = "血紅之廳",
	["Sapphire Hive"] = "天藍蜂巢",
	["Sapphiron's Lair"] = "薩菲隆的巢穴",
	["Sar'theris Strand"] = "薩瑟里斯海岸",
	["Saragosa's Landing"] = "薩拉苟莎臺地",
	["Sardor Isle"] = "薩爾多島",
	Sargeron = "薩格隆",
	["Saronite Mines"] = "薩鋼礦坑",
	Satyrnaar = "薩提納爾",
	["Savage Ledge"] = "蠻荒岩臺",
	["Scalawag Point"] = "無賴角",
	["Scalding Pools"] = "沸水之池",
	["Scalebeard's Cave"] = "鱗鬚洞穴",
	["Scalewing Shelf"] = "鱗翼沙洲",
	["Scar of the Worldbreaker"] = "碎界者之痕",
	["Scarab Terrace"] = "甲蟲露臺",
	["Scarlet Encampment"] = "血色駐營",
	["Scarlet Hold"] = "血色堡",
	["Scarlet Monastery"] = "血色修道院",
	["Scarlet Monastery Entrance"] = "血色修道院入口",
	["Scarlet Overlook"] = "血色瞰臺",
	["Scarlet Palisade"] = "血色護欄",
	["Scarlet Point"] = "血色哨點",
	["Scarlet Raven Tavern"] = "血鴉旅店",
	["Scarlet Tavern"] = "血色旅店",
	["Scarlet Tower"] = "血色哨塔",
	["Scarlet Watch Post"] = "血色十字軍崗哨",
	["Scarlet Watchtower"] = "血色瞭望塔",
	["Scarred Terrace"] = "傷痕殿堂",
	["Scenario: Alcaz Island"] = "劇情:奧卡茲島",
	["Schnottz's Frigate"] = "舒諾茲護衛艦",
	["Schnottz's Hostel"] = "舒諾茲旅舍",
	["Schnottz's Landing"] = "舒諾茲營地",
	Scholomance = "通靈學院",
	["Scholomance Entrance"] = "通靈學院入口",
	["School of Necromancy"] = "通靈術學校",
	["Scorched Gully"] = "烈焰山谷",
	["Scott's Spooky Area"] = "史考特陰森區域",
	["Scoured Reach"] = "沖蝕之境",
	Scourgehold = "瘟疫要塞",
	Scourgeholme = "天譴岸地",
	["Scourgelord's Command"] = "天譴領主指揮所",
	["Scrabblescrew's Camp"] = "瑟卡布斯庫的營地",
	["Screaming Gully"] = "激流溪谷",
	["Scryer's Tier"] = "占卜者階梯",
	["Scuttle Coast"] = "流亡海岸",
	Seabrush = "盛海林",
	["Seafarer's Tomb"] = "海員之墓",
	["Seal of the Sun King"] = "太陽之王封印",
	["Searing Gorge"] = "灼熱峽谷",
	["Seat of Destruction"] = "毀滅之座",
	["Seat of Life"] = "生命之座",
	["Seat of Magic"] = "魔法之座",
	["Seat of Radiance"] = "光輝之座",
	["Seat of the Chosen"] = "受選者之座",
	["Seat of the Naaru"] = "那魯之座",
	["Sen'jin Village"] = "森金村",
	["Sentinel Hill"] = "哨兵嶺",
	["Sentinel Tower"] = "哨兵塔",
	["Sentry Point"] = "警戒崗哨",
	Seradane = "瑟拉丹",
	["Serpent Lake"] = "毒蛇之湖",
	["Serpent's Coil"] = "盤蛇谷",
	["Serpentshrine Cavern"] = "毒蛇神殿洞穴",
	["Servants' Quarters"] = "佣人區",
	["Service Entrance"] = "僕從入口",
	["Sethekk Halls"] = "塞司克大廳",
	["Sethria's Roost"] = "賽瑟莉亞的棲息處",
	["Sewer Exit Pipe"] = "下水道出口管道",
	Sewers = "下水道",
	["Sha'naari Wastes"] = "夏納瑞荒地",
	["Sha'tari Base Camp"] = "薩塔營地",
	["Sha'tari Outpost"] = "薩塔前哨",
	Shadebough = "蔭枝林",
	["Shadow Grave"] = "灰影墓穴",
	["Shadow Hold"] = "暗影堡",
	["Shadow Labyrinth"] = "暗影迷宮",
	["Shadow Ridge"] = "暗影山脊",
	["Shadow Tomb"] = "暗影之墓",
	["Shadow Wing Lair"] = "影翼巢穴",
	["Shadowbreak Ravine"] = "破影峽谷",
	["Shadowfang Keep"] = "影牙城堡",
	["Shadowfang Keep Entrance"] = "影牙城堡入口",
	["Shadowfang Tower"] = "影牙塔",
	["Shadowforge City"] = "影爐城",
	Shadowglen = "幽影谷",
	["Shadowlurk Ridge"] = "潛影山脊",
	["Shadowmoon Valley"] = "影月谷",
	["Shadowmoon Village"] = "影月村",
	["Shadowprey Village"] = "葬影村",
	["Shadowshard Cavern"] = "裂影洞穴",
	["Shadowsight Tower"] = "影景哨塔",
	["Shadowsong Shrine"] = "影歌神殿",
	["Shadowthread Cave"] = "影絲洞",
	["Shadra'Alor"] = "沙德拉洛",
	["Shady Rest Inn"] = "樹蔭旅店",
	["Shalandis Isle"] = "薩藍迪斯島",
	["Shalewind Canyon"] = "岩風峽谷",
	["Shallow's End"] = "淺灘之末",
	["Shalzaru's Lair"] = "沙爾札魯之巢",
	Shamanar = "夏瑪那",
	["Shaol'watha"] = "沙爾瓦薩",
	["Shaper's Terrace"] = "塑造者殿堂",
	["Shartuul's Transporter"] = "夏圖歐的傳送門",
	["Shatter Point"] = "破碎崗哨",
	["Shatter Scar Vale"] = "碎痕谷",
	["Shattered Plains"] = "破碎平原",
	["Shattered Straits"] = "破碎海峽",
	["Shattered Sun Staging Area"] = "破碎之日會所",
	Shattershore = "破碎海岸",
	["Shatterspear Pass"] = "碎矛小徑",
	["Shatterspear Vale"] = "碎矛谷",
	["Shatterspear War Camp"] = "碎矛戰營",
	Shatterstone = "碎石",
	Shattrath = "撒塔斯",
	["Shattrath City"] = "撒塔斯城",
	["Shell Beach"] = "貝殼海灘",
	["Shield Hill"] = "盾丘",
	["Shields of Silver"] = "銀質盾牌",
	["Shimmer Ridge"] = "閃光嶺",
	["Shimmering Bog"] = "幻光泥沼",
	["Shimmering Expanse"] = "閃光瀚洋",
	["Shimmering Grotto"] = "閃光岩洞",
	["Shindigger's Camp"] = "拉普索迪營地",
	["Shipwreck Shore"] = "船骸海岸",
	["Shok'Thokar"] = "修克托卡",
	["Sholazar Basin"] = "休拉薩盆地",
	["Shrine of Aessina"] = "艾森娜神殿",
	["Shrine of Aviana"] = "艾維娜聖壇",
	["Shrine of Dath'Remar"] = "達斯雷瑪神殿",
	["Shrine of Eck"] = "埃克聖壇",
	["Shrine of Goldrinn"] = "戈德林聖壇",
	["Shrine of Lost Souls"] = "失落靈魂神殿",
	["Shrine of Remulos"] = "雷姆洛斯神殿",
	["Shrine of Scales"] = "群鱗聖壇",
	["Shrine of Thaurissan"] = "索瑞森神殿",
	["Shrine of Unending Light"] = "永恆聖光神殿",
	["Shrine of the Deceiver"] = "欺詐者神殿",
	["Shrine of the Dormant Flame"] = "眠炎聖殿",
	["Shrine of the Eclipse"] = "日蝕神殿",
	["Shrine of the Elements"] = "元素神殿",
	["Shrine of the Fallen Warrior"] = "戰士之魂神殿",
	["Shrine of the Five Khans"] = "五可汗神殿",
	["Shriveled Oasis"] = "乾枯綠洲",
	["Shuddering Spires"] = "戰慄尖柱",
	["Siege Vise"] = "攻城鉗",
	["Siege Workshop"] = "攻城工坊",
	["Sifreldar Village"] = "希弗爾達村",
	["Silent Vigil"] = "靜默警戒",
	Silithus = "希利蘇斯",
	["Silmyr Lake"] = "泥濘湖",
	["Silting Shore"] = "淤塞海岸",
	["Silver Covenant Pavilion"] = "白銀誓盟亭閣",
	["Silver Stream Mine"] = "銀泉礦坑",
	["Silver Tide Hollow"] = "銀浪谷地",
	["Silver Tide Trench"] = "銀浪海溝",
	Silverbrook = "銀溪鎮",
	["Silverbrook Hills"] = "銀溪丘",
	["Silverlight Cavern"] = "銀光洞窟",
	["Silverline Lake"] = "銀線湖",
	["Silvermoon City"] = "銀月城",
	["Silvermoon City Inn"] = "銀月城旅店",
	["Silvermoon Finery"] = "銀月城華服",
	["Silvermoon Jewelery"] = "銀月城珠寶店",
	["Silvermoon Registry"] = "銀月城登記處",
	["Silvermoon's Pride"] = "銀月之驕",
	["Silvermyst Isle"] = "銀謎小島",
	["Silverpine Forest"] = "銀松森林",
	["Silverwind Refuge"] = "銀風避難所",
	["Silverwing Flag Room"] = "銀翼戰旗廳",
	["Silverwing Grove"] = "銀翼樹林",
	["Silverwing Hold"] = "銀翼要塞",
	["Silverwing Outpost"] = "銀翼哨站",
	["Simply Enchanting"] = "完全附魔商店",
	["Sindragosa's Fall"] = "辛德拉苟莎之殞",
	["Sindweller's Rise"] = "辛德爾勒高崗",
	["Singing Ridge"] = "美聲山脊",
	["Sinner's Folly"] = "罪人愚行號",
	["Sira'kess Front"] = "席拉克斯前線",
	["Sishir Canyon"] = "希塞爾山谷",
	["Sisters Sorcerous"] = "巫術姊妹",
	Skald = "斯卡德",
	["Sketh'lon Base Camp"] = "史凱瑟隆營地",
	["Sketh'lon Wreckage"] = "史凱瑟隆殘骸",
	["Skethyl Mountains"] = "斯其索山脈",
	Skettis = "司凱堤斯",
	["Skitterweb Tunnels"] = "蛛網隧道",
	Skorn = "斯考恩",
	["Skulk Rock"] = "隱匿石",
	["Skulking Row"] = "潛隱路",
	["Skull Rock"] = "骷髏石",
	["Sky Falls"] = "天空瀑布",
	["Skyguard Outpost"] = "禦天者前哨",
	["Skyline Ridge"] = "沖天嶺",
	["Skysong Lake"] = "天歌湖",
	["Slabchisel's Survey"] = "斯拉奇索勘察地",
	["Slag Watch"] = "爐熔守望",
	Slagworks = "熔渣處理場",
	["Slaughter Hollow"] = "屠殺谷地",
	["Slaughter Square"] = "屠殺廣場",
	["Sleeping Gorge"] = "沉睡峽谷",
	["Slither Rock"] = "滑石",
	["Slitherblade Shore"] = "滑刃水濱",
	["Slithering Cove"] = "巨痕灣",
	["Sludgeguard Tower"] = "泥衛哨塔",
	["Smuggler's Scar"] = "走私者之痕",
	["Snowblind Hills"] = "雪盲丘",
	["Snowblind Terrace"] = "雪盲殿堂",
	["Snowden Chalet"] = "雪山農舍",
	["Snowdrift Plains"] = "雪迅平原",
	["Snowfall Glade"] = "落雪林地",
	["Snowfall Graveyard"] = "落雪墓地",
	["Socrethar's Seat"] = "索奎薩爾的領地",
	["Sofera's Naze"] = "索菲亞高地",
	["Solace Glade"] = "慰藉之林",
	["Solliden Farmstead"] = "索利丹農莊",
	["Solstice Village"] = "季至村",
	["Sorlof's Strand"] = "索洛夫水岸",
	["Sorrow Hill"] = "悔恨嶺",
	["Sorrow Hill Crypt"] = "悔恨嶺墓穴",
	["Sorrow Wing Point"] = "憂傷之翼哨站",
	Sorrowmurk = "憂傷濕地",
	["Soulgrinder's Barrow"] = "靈魂研磨者獸穴",
	["South Common Hall"] = "南會議廳",
	["South Gate Outpost"] = "南門崗哨",
	["South Gate Pass"] = "南門小徑",
	["South Point Station"] = "南點抽水站",
	["South Seas"] = "南海",
	["South Spire"] = "南部尖塔",
	["South Tide's Run"] = "南流海岸",
	["Southbreak Shore"] = "塔納利斯南海",
	["Southern Barrens"] = "南貧瘠之地",
	["Southern Gold Road"] = "南黃金之路",
	["Southern Rampart"] = "南方堡壘",
	["Southern Rocketway"] = "南方火箭道",
	["Southern Rocketway Terminus"] = "南方火箭道終點",
	["Southern Savage Coast"] = "南野人海岸",
	["Southfury River"] = "怒水河",
	["Southfury Watershed"] = "怒水河氾濫平原",
	["Southmaul Tower"] = "南槌哨塔",
	["Southmoon Ruins"] = "南月廢墟",
	["Southpoint Gate"] = "南點大門",
	["Southpoint Tower"] = "南點哨塔",
	["Southridge Beach"] = "南山海灘",
	["Southsea Holdfast"] = "南海營地",
	Southshore = "南海鎮",
	["Southshore Town Hall"] = "南海鎮大廳",
	["Southwind Cleft"] = "南風斷崖",
	["Southwind Village"] = "南風村",
	["Sparksocket Minefield"] = "炫臼礦區",
	["Sparktouched Haven"] = "炫觸避風港",
	["Sparring Hall"] = "爭吵大廳",
	["Spearborn Encampment"] = "矛生駐營",
	Spearhead = "矛頭",
	["Speedbarge Bar"] = "高速駁船酒吧",
	["Spinebreaker Mountains"] = "斷脊氏族山脈",
	["Spinebreaker Pass"] = "斷脊氏族小徑",
	["Spinebreaker Post"] = "斷脊氏族崗哨",
	["Spinebreaker Ridge"] = "斷脊山脈",
	["Spiral of Thorns"] = "荊棘螺旋",
	["Spire Throne"] = "尖塔王座",
	["Spire of Blood"] = "鮮血尖塔",
	["Spire of Decay"] = "凋零尖塔",
	["Spire of Pain"] = "苦痛尖塔",
	["Spirit Den"] = "靈魂之穴",
	["Spirit Fields"] = "靈魂原野",
	["Spirit Rise"] = "靈魂高地",
	["Spirit Rock"] = "靈魂石地",
	["Spitescale Cavern"] = "惡鱗山洞",
	["Spitescale Cove"] = "惡鱗灣",
	["Splinterspear Junction"] = "斷矛路口",
	Splintertree = "碎木崗哨",
	["Splintertree Mine"] = "碎木礦坑",
	["Splintertree Post"] = "碎木崗哨",
	["Splithoof Crag"] = "裂蹄峭壁",
	["Splithoof Heights"] = "裂蹄陵地",
	["Splithoof Hold"] = "裂蹄堡",
	Sporeggar = "斯博格爾",
	["Sporewind Lake"] = "孢子風之湖",
	["Spruce Point Post"] = "雲杉峰崗哨",
	Stables = "獸欄",
	Stagalbog = "雄鹿泥沼",
	["Stagalbog Cave"] = "雄鹿泥沼洞穴",
	["Stagecoach Crash Site"] = "驛馬失事點",
	["Staghelm Point"] = "鹿盔崗哨",
	["Starbreeze Village"] = "星風村",
	["Stardust Spire"] = "星塵尖塔",
	["Starfall Village"] = "墜星村",
	["Stars' Rest"] = "繁星之眠",
	["Stasis Block: Maximus"] = "停滯區:麥希莫斯",
	["Stasis Block: Trion"] = "停滯區:提恩",
	["Steam Springs"] = "蒸汽之泉",
	["Steamwheedle Port"] = "熱砂港",
	["Steel Gate"] = "鋼鐵之門",
	["Steelgrill's Depot"] = "鋼架補給站",
	["Steeljaw's Caravan"] = "鋼顎商隊",
	["Steelspark Station"] = "鋼火崗哨",
	["Stendel's Pond"] = "斯特登的池塘",
	["Stillpine Hold"] = "靜松要塞",
	["Stillwater Pond"] = "靜水池",
	["Stillwhisper Pond"] = "靜語池",
	Stonard = "斯通納德",
	["Stone Cairn Lake"] = "石碑湖",
	["Stone Sentinel's Overlook"] = "石頭哨兵瞰臺",
	["Stonebreaker Camp"] = "碎石營地",
	["Stonebreaker Hold"] = "碎石堡",
	["Stonebull Lake"] = "石牛湖",
	Stonehearth = "石爐",
	["Stonehearth Bunker"] = "石爐碉堡",
	["Stonehearth Graveyard"] = "石爐墓地",
	["Stonehearth Outpost"] = "石爐哨站",
	["Stonemaul Hold"] = "石槌堡",
	["Stonemaul Ruins"] = "石槌廢墟",
	["Stonesplinter Valley"] = "石裂之谷",
	["Stonetalon Bomb"] = "石爪炸彈",
	["Stonetalon Mountains"] = "石爪山脈",
	["Stonetalon Pass"] = "石爪小徑",
	["Stonetalon Peak"] = "石爪峰",
	["Stonewall Canyon"] = "石鐮峽谷",
	["Stonewall Lift"] = "石牆升降梯",
	["Stoneward Prison"] = "石衛監獄",
	Stonewatch = "石望",
	["Stonewatch Falls"] = "石望瀑布",
	["Stonewatch Keep"] = "石望要塞",
	["Stonewatch Tower"] = "石望哨塔",
	["Stonewrought Dam"] = "巨石水壩",
	["Stonewrought Pass"] = "石壩小徑",
	["Storm Cliffs"] = "暴風崖",
	["Storm Peaks"] = "風暴群山",
	["Storm's Fury Wreckage"] = "風暴之怒殘骸",
	Stormcrest = "風暴頂",
	["Stormfeather Outpost"] = "風暴之羽崗哨",
	["Stormglen Village"] = "颶谷村",
	["Stormpike Graveyard"] = "雷矛墓地",
	["Stormrage Barrow Dens"] = "怒風獸穴",
	Stormwind = "暴風城",
	["Stormwind City"] = "暴風城",
	["Stormwind City Cemetery"] = "暴風城墓園",
	["Stormwind City Outskirts"] = "暴風城郊區",
	["Stormwind Harbor"] = "暴風港",
	["Stormwind Keep"] = "暴風要塞",
	["Stormwind Lake"] = "暴風湖",
	["Stormwind Mountains"] = "暴風山脈",
	["Stormwind Stockade"] = "暴風城監獄",
	["Stormwind Vault"] = "暴風城地窖",
	["Stoutlager Inn"] = "烈酒旅店",
	Strahnbrad = "斯坦恩布萊德",
	["Strand of the Ancients"] = "遠祖灘頭",
	["Stranglethorn Vale"] = "荊棘谷",
	Stratholme = "斯坦索姆",
	["Stratholme Entrance"] = "斯坦索姆入口",
	["Stratholme Service Entrance"] = "斯坦索姆僕從入口",
	["Stromgarde Keep"] = "激流堡",
	["Stygian Bounty"] = "冥河賞金號",
	["Sub zone"] = "子區域",
	["Sulfuron Keep"] = "薩弗隆要塞",
	["Sulfuron Keep Courtyard"] = "薩弗隆要塞中庭",
	["Sulfuron Span"] = "薩弗隆大橋",
	["Sulfuron Spire"] = "薩弗隆之塔",
	["Sullah's Sideshow"] = "蘇拉的雜耍帳篷",
	["Summoners' Tomb"] = "召喚師之墓",
	["Sun Rock Retreat"] = "烈日石居",
	["Sun's Reach Armory"] = "日境軍械庫",
	["Sun's Reach Harbor"] = "日境港",
	["Sun's Reach Sanctum"] = "日境聖所",
	["Suncrown Village"] = "日冠村",
	["Sundown Marsh"] = "日落沼澤",
	["Sunfire Point"] = "烈日火焰崗哨",
	["Sunfury Hold"] = "日怒要塞",
	["Sunfury Spire"] = "日怒尖塔",
	["Sungraze Peak"] = "日傷山峰",
	["Sunken Dig Site"] = "沉沒的挖掘場",
	["Sunken Temple"] = "沉沒的神廟",
	["Sunken Temple Entrance"] = "沉沒的神廟入口",
	["Sunreaver Pavilion"] = "奪日者亭閣",
	["Sunreaver's Command"] = "奪日者指揮所",
	["Sunreaver's Sanctuary"] = "奪日者聖堂",
	["Sunsail Anchorage"] = "日帆泊地",
	["Sunspring Post"] = "日春崗哨",
	["Sunstone Terrace"] = "日長石露台",
	["Sunstrider Isle"] = "逐日者之島",
	["Sunveil Excursion"] = "蔽日旅團",
	["Sunwatcher's Ridge"] = "日衛者山脊",
	["Sunwell Plateau"] = "太陽之井高地",
	["Supply Caravan"] = "補給商隊",
	["Surge Needle"] = "極濤磁針",
	["Surveyors' Outpost"] = "勘查員哨站",
	Surwich = "瑟威奇",
	["Svarnos' Cell"] = "斯瓦爾諾斯的牢籠",
	["Swamp of Sorrows"] = "悲傷沼澤",
	["Swamplight Manor"] = "水光莊園",
	["Swamprat Post"] = "斯溫派特崗哨",
	["Swiftgear Station"] = "迅輪崗哨",
	["Swindle Street"] = "騙你錢商店街",
	["Swindlegrin's Dig"] = "詐咧挖掘場",
	["Sword's Rest"] = "劍息之地",
	Sylvanaar = "希瓦納爾",
	["Tabetha's Farm"] = "塔貝薩的農場",
	["Taelan's Tower"] = "泰蘭之塔",
	["Tahonda Ruins"] = "塔霍達廢墟",
	["Tahret Grounds"] = "塔雷特營地",
	["Tal'doren"] = "塔爾多倫",
	["Talismanic Textiles"] = "咒符織品店",
	["Talon Stand"] = "魔爪看臺",
	["Talonbranch Glade"] = "刺枝林地",
	["Talondeep Pass"] = "深爪小徑",
	["Talondeep Vale"] = "深爪谷",
	Talramas = "塔爾拉瑪斯",
	["Talrendis Point"] = "塔倫迪斯營地",
	Tanaris = "塔納利斯",
	["Tanaris Desert"] = "塔納利斯沙漠",
	["Tanks for Everything"] = "萬物皆可坦",
	["Tanner Camp"] = "製皮匠營地",
	["Tarren Mill"] = "塔倫米爾",
	["Taunka'le Village"] = "坦卡雷村",
	["Tazz'Alaor"] = "塔薩洛爾",
	["Teegan's Expedition"] = "提根遠征隊",
	["Tel'athion's Camp"] = "泰勒希歐營地",
	Telaar = "泰拉",
	["Telaari Basin"] = "泰拉蕊盆地",
	Teldrassil = "泰達希爾",
	Telredor = "泰倫多爾",
	["Tempest Bridge"] = "風暴橋",
	["Tempest Keep"] = "風暴要塞",
	["Tempest Keep - The Arcatraz Entrance"] = "風暴要塞－亞克崔茲入口",
	["Tempest Keep - The Botanica Entrance"] = "風暴要塞－波塔尼卡入口",
	["Tempest Keep - The Mechanar Entrance"] = "風暴要塞－麥克納爾入口",
	["Tempest Keep: The Arcatraz"] = "風暴要塞:亞克崔茲",
	["Tempest Keep: The Botanica"] = "風暴要塞:波塔尼卡",
	["Tempest Keep: The Mechanar"] = "風暴要塞:麥克納爾",
	["Tempest's Reach"] = "暴風雨之境",
	["Temple City of En'kilah"] = "恩吉拉聖城",
	["Temple Hall"] = "神殿大廳",
	["Temple Summit"] = "神廟議會",
	["Temple of Ahn'Qiraj"] = "安其拉神廟",
	["Temple of Arkkoran"] = "亞考蘭神殿",
	["Temple of Asaad"] = "亞沙德神廟",
	["Temple of Bethekk"] = "比塞克神廟",
	["Temple of Earth"] = "大地神殿",
	["Temple of Invention"] = "發明神殿",
	["Temple of Life"] = "生命神殿",
	["Temple of Order"] = "秩序神殿",
	["Temple of Storms"] = "風暴神殿",
	["Temple of Telhamat"] = "特爾哈曼神廟",
	["Temple of Uldum"] = "奧丹姆神廟",
	["Temple of Winter"] = "凜冬神殿",
	["Temple of Wisdom"] = "智慧神殿",
	["Temple of Zin-Malor"] = "辛瑪洛神殿",
	["Temple of the Forgotten"] = "遺忘神殿",
	["Temple of the Moon"] = "月神殿",
	["Tenebrous Cavern"] = "陰暗洞穴",
	["Terokk's Rest"] = "泰洛克之墓",
	["Terokkar Forest"] = "泰洛卡森林",
	["Terrace of Light"] = "聖光露臺",
	["Terrace of Repose"] = "休息區",
	["Terrace of the Augurs"] = "占兆師殿堂",
	["Terrace of the Makers"] = "造物者殿堂",
	["Terrace of the Sun"] = "太陽露臺",
	["Terror Run"] = "恐懼小道",
	["Terror Wing Path"] = "龍翼小徑",
	Terrordale = "恐懼谷",
	["Terrorweb Tunnel"] = "惡蛛隧道",
	["Tethris Aran"] = "塔迪薩蘭",
	["Thal'darah Grove"] = "薩歐達拉樹林",
	["Thal'darah Overlook"] = "薩歐達拉瞰臺",
	Thalanaar = "薩蘭納爾",
	["Thalassian Pass"] = "薩拉斯小徑",
	["Thalassian Range"] = "薩拉斯海脊",
	["Thandol Span"] = "薩多爾大橋",
	["Thargad's Camp"] = "薩爾加德營地",
	["The Abandoned Reach"] = "被遺棄之境",
	["The Abyssal Maw"] = "深淵之喉",
	["The Abyssal Shelf"] = "深淵沙洲",
	["The Admiral's Den"] = "上將之穴",
	["The Agronomical Apothecary"] = "農藝藥材行",
	["The Alliance Valiants' Ring"] = "聯盟驍士競技場",
	["The Altar of Damnation"] = "詛咒祭壇",
	["The Altar of Shadows"] = "暗影祭壇",
	["The Altar of Zul"] = "祖爾祭壇",
	["The Ancient Grove"] = "遠古樹林",
	["The Ancient Lift"] = "遠古升降梯",
	["The Antechamber"] = "前廳",
	["The Anvil of Conflagration"] = "焚焰鐵砧",
	["The Anvil of Flame"] = "烈焰鐵砧",
	["The Apothecarium"] = "鍊金房",
	["The Arachnid Quarter"] = "蜘蛛區",
	["The Arcanium"] = "奧金區",
	["The Arcatraz"] = "亞克崔茲",
	["The Archivum"] = "大資料庫",
	["The Argent Stand"] = "銀白看臺",
	["The Argent Valiants' Ring"] = "銀白驍士競技場",
	["The Argent Vanguard"] = "銀白先鋒駐地",
	["The Arsenal Absolute"] = "完全軍械庫",
	["The Aspirants' Ring"] = "志士競技場",
	["The Assembly Chamber"] = "集會之廳",
	["The Assembly of Iron"] = "鐵之集會所",
	["The Athenaeum"] = "圖書館",
	["The Avalanche"] = "雪崩地",
	["The Azure Front"] = "蒼藍前線",
	["The Bank of Dalaran"] = "達拉然銀行",
	["The Bank of Silvermoon"] = "銀月城銀行",
	["The Banquet Hall"] = "宴會大廳",
	["The Barrier Hills"] = "阻礙之丘",
	["The Bastion of Twilight"] = "暮光堡壘",
	["The Battle for Gilneas"] = "吉爾尼斯之戰",
	["The Battle for Gilneas (Old City Map)"] = "吉爾尼斯之戰(舊城地圖)",
	["The Battle for Mount Hyjal"] = "海加爾山之戰",
	["The Battleboar Pen"] = "鬥豬圍欄",
	["The Battlefront"] = "前線",
	["The Bazaar"] = "商店街",
	["The Beer Garden"] = "啤酒廣場",
	["The Bite"] = "咬地",
	["The Black Breach"] = "黑色裂層",
	["The Black Market"] = "黑市",
	["The Black Morass"] = "黑色沼澤",
	["The Black Temple"] = "黑暗神廟",
	["The Black Vault"] = "黑色寶庫",
	["The Blackwald"] = "黑森林",
	["The Blazing Strand"] = "熾炎水岸",
	["The Blight Line"] = "荒萎線",
	["The Blighted Pool"] = "荒疫之池",
	["The Blood Furnace"] = "血熔爐",
	["The Blood Trail"] = "血腥崎道",
	["The Bloodcursed Reef"] = "血咒沙洲",
	["The Bloodmire"] = "血腥泥潭",
	["The Bloodoath"] = "血之誓約",
	["The Bloodwash"] = "血浴之地",
	["The Bombardment"] = "轟炸地",
	["The Bone Pile"] = "白骨之堆",
	["The Bone Wastes"] = "白骨荒野",
	["The Bonefields"] = "白骨原野",
	["The Bones of Nozronn"] = "諾茲朗之骨",
	["The Boneyard"] = "骨墳",
	["The Borean Wall"] = "北風之牆",
	["The Botanica"] = "波塔尼卡",
	["The Bradshaw Mill"] = "布萊德蕭磨坊",
	["The Breach"] = "缺口",
	["The Briny Cutter"] = "分水號",
	["The Briny Pinnacle"] = "海水之巔",
	["The Broken Bluffs"] = "破碎崖",
	["The Broken Front"] = "破碎前線",
	["The Broken Hall"] = "破碎之廳",
	["The Broken Hills"] = "破碎之丘",
	["The Broken Stair"] = "破碎樓梯",
	["The Broken Temple"] = "破碎神殿",
	["The Brood Pit"] = "孵育之淵",
	["The Broodmother's Nest"] = "育母之巢",
	["The Bulwark"] = "亡靈壁壘",
	["The Burning Corridor"] = "燃燒迴廊",
	["The Butchery"] = "屠宰房",
	["The Cache of Madness"] = "狂性儲納所",
	["The Caller's Chamber"] = "召喚者之廳",
	["The Canals"] = "運河",
	["The Cape of Stranglethorn"] = "荊棘谷海角",
	["The Carrion Fields"] = "腐屍農地",
	["The Catacombs"] = "地下墓穴",
	["The Cauldron"] = "大熔爐",
	["The Cauldron of Flames"] = "火焰熔爐",
	["The Cave"] = "洞穴",
	["The Celestial Planetarium"] = "星穹渾天儀",
	["The Celestial Watch"] = "天文觀測台",
	["The Cemetary"] = "陵墓",
	["The Cerebrillum"] = "腦室",
	["The Charred Vale"] = "焦炭谷",
	["The Chilled Quagmire"] = "寒冽泥淖",
	["The Circle of Cinders"] = "灰燼之環",
	["The Circle of Life"] = "生命之環",
	["The Circle of Suffering"] = "苦難之環",
	["The Clash of Thunder"] = "雷鳴之廳",
	["The Clean Zone"] = "清潔區",
	["The Cleft"] = "大斷崖",
	["The Clockwerk Run"] = "發條小徑",
	["The Clutch"] = "窩巢",
	["The Coil"] = "毒蛇小徑",
	["The Colossal Forge"] = "巨熔爐",
	["The Comb"] = "蜂巢",
	["The Commons"] = "平民大廳",
	["The Conflagration"] = "焚焰地",
	["The Conquest Pit"] = "征服之淵",
	["The Conservatory"] = "大溫室",
	["The Conservatory of Life"] = "生命溫室",
	["The Construct Quarter"] = "傀儡區",
	["The Cooper Residence"] = "庫珀的住所",
	["The Corridors of Ingenuity"] = "巧思迴廊",
	["The Court of Bones"] = "白骨之廷",
	["The Court of Skulls"] = "骸骨之廷",
	["The Coven"] = "巫師會所",
	["The Creeping Ruin"] = "爬蟲廢墟",
	["The Crimson Cathedral"] = "赤紅大教堂",
	["The Crimson Dawn"] = "赤曦號",
	["The Crimson Hall"] = "赤紅大廳",
	["The Crimson Reach"] = "赤紅地帶",
	["The Crimson Throne"] = "赤色王座",
	["The Crimson Veil"] = "赤紅之霧",
	["The Crossroads"] = "十字路口",
	["The Crucible"] = "爐缸區",
	["The Crucible of Flame"] = "大爐缸",
	["The Crumbling Waste"] = "破碎荒地",
	["The Cryo-Core"] = "冬眠核心",
	["The Crystal Hall"] = "水晶大廳",
	["The Crystal Shore"] = "水晶海岸",
	["The Crystal Vale"] = "水晶谷",
	["The Crystal Vice"] = "水晶之鉗",
	["The Culling of Stratholme"] = "斯坦索姆的抉擇",
	["The Culling of Stratholme Entrance"] = "斯坦索姆的抉擇入口",
	["The Cursed Landing"] = "詛咒臺地",
	["The Dagger Hills"] = "匕首嶺",
	["The Damsel's Luck"] = "少女的好運",
	["The Dark Approach"] = "黑暗路徑",
	["The Dark Defiance"] = "黑暗挑釁",
	["The Dark Portal"] = "黑暗之門",
	["The Darkened Bank"] = "暗色河灘",
	["The Darkwood"] = "暗木森林",
	["The Dawnchaser"] = "曦逐者",
	["The Dawning Isles"] = "黎明島",
	["The Dawning Square"] = "曙光廣場",
	["The Dead Acre"] = "死亡農地",
	["The Dead Field"] = "亡者農場",
	["The Dead Fields"] = "亡者原野",
	["The Dead Mire"] = "死亡污泥",
	["The Dead Scar"] = "死亡之痕",
	["The Deadmines"] = "死亡礦坑",
	["The Deathforge"] = "死亡熔爐",
	["The Deathknell Graves"] = "喪鐘鎮墓地",
	["The Decrepit Fields"] = "荒廢的農場",
	["The Decrepit Flow"] = "衰舊之流",
	["The Deep Reaches"] = "礦坑深層",
	["The Defiled Chapel"] = "遭褻瀆的禮拜堂",
	["The Den"] = "大獸穴",
	["The Den of Flame"] = "火焰洞穴",
	["The Dens of Dying"] = "垂死獸穴",
	["The Dens of the Dying"] = "垂死獸穴",
	["The Descent into Madness"] = "驟狂斜廊",
	["The Desecrated Altar"] = "褻瀆祭壇",
	["The Devil's Terrace"] = "惡魔殿堂",
	["The Devouring Breach"] = "吞噬裂層",
	["The Domicile"] = "住宅區",
	["The Dor'Danil Barrow Den"] = "朵丹尼爾獸穴",
	["The Dormitory"] = "宿舍",
	["The Drag"] = "暗巷區",
	["The Dragon Wastes"] = "龍墳荒原",
	["The Dragonmurk"] = "黑龍谷",
	["The Drain"] = "排水之地",
	["The Dranosh'ar Blockade"] = "德拉諾許艾爾封鎖線",
	["The Drowned Reef"] = "水下暗礁",
	["The Drowned Sacellum"] = "水下廟宇",
	["The Dry Hills"] = "無水嶺",
	["The Dust Plains"] = "塵埃平原",
	["The Dustbowl"] = "漫塵盆地",
	["The Eastern Earthshrine"] = "東大地神殿",
	["The Emerald Summit"] = "翡翠峰",
	["The Escape From Durnholde"] = "逃離敦霍爾德",
	["The Escape from Durnholde Entrance"] = "逃離敦霍爾德入口",
	["The Eventide"] = "日暮區",
	["The Exodar"] = "艾克索達",
	["The Eye"] = "風暴要塞",
	["The Eye of Eternity"] = "永恆之眼",
	["The Eye of the Vortex"] = "巨旋風之眼",
	["The Farstrider Lodge"] = "遠行者小屋",
	["The Fel Pits"] = "惡魔深淵",
	["The Fetid Pool"] = "惡臭水池",
	["The Filthy Animal"] = "下流畜生酒店",
	["The Firehawk"] = "火鷹號",
	["The Flamewake"] = "烈焰之甦",
	["The Fleshwerks"] = "血肉作坊",
	["The Flood Plains"] = "氾濫平原",
	["The Fold"] = "山間營地",
	["The Foot Steppes"] = "足跡冷原",
	["The Foothill Caverns"] = "丘陵洞穴",
	["The Forbidding Sea"] = "禁忌之海",
	["The Forest of Shadows"] = "暗影森林",
	["The Forge of Souls"] = "眾魂熔爐",
	["The Forge of Souls Entrance"] = "眾魂熔爐入口",
	["The Forge of Supplication"] = "哀求熔爐",
	["The Forge of Wills"] = "意志熔爐",
	["The Forgotten Coast"] = "被遺忘的海岸",
	["The Forgotten Overlook"] = "遺忘瞰臺",
	["The Forgotten Pool"] = "遺忘之池",
	["The Forgotten Pools"] = "遺忘之池",
	["The Forgotten Shore"] = "遺民之濱",
	["The Forlorn Cavern"] = "荒棄的洞穴",
	["The Forlorn Mine"] = "凋落礦坑",
	["The Forsaken Front"] = "被遺忘者戰事前線",
	["The Foul Pool"] = "邪惡池塘",
	["The Frigid Tomb"] = "嚴寒陵寢",
	["The Frost Queen's Lair"] = "霜翼之巢",
	["The Frostwing Halls"] = "霜翼大廳",
	["The Frozen Glade"] = "冰凍林地",
	["The Frozen Halls"] = "冰封大廳",
	["The Frozen Mine"] = "冰凍礦坑",
	["The Frozen Sea"] = "冰凍之海",
	["The Frozen Throne"] = "冰封王座",
	["The Fungal Vale"] = "蘑菇谷",
	["The Furnace"] = "熔爐",
	["The Gaping Chasm"] = "大裂口",
	["The Gate of Unending Cycles"] = "無盡輪迴之門",
	["The Gatehouse"] = "警衛站",
	["The Gauntlet"] = "街巷",
	["The Geyser Fields"] = "水泉原野",
	["The Gilded Gate"] = "鑲飾之門",
	["The Glimmering Pillar"] = "微光之柱",
	["The Golden Plains"] = "金色平原",
	["The Grand Ballroom"] = "華麗的跳舞大廳",
	["The Grand Vestibule"] = "大門廊",
	["The Great Arena"] = "大競技場",
	["The Great Divide"] = "大分水嶺",
	["The Great Fissure"] = "大裂縫",
	["The Great Forge"] = "大鍛爐",
	["The Great Gate"] = "雄偉之門",
	["The Great Lift"] = "升降梯",
	["The Great Ossuary"] = "屍骨儲藏所",
	["The Great Sea"] = "無盡之海",
	["The Great Tree"] = "巨偉之樹",
	["The Green Belt"] = "綠帶草地",
	["The Greymane Wall"] = "葛雷邁恩之牆",
	["The Grim Guzzler"] = "黑鐵酒吧",
	["The Grinding Quarry"] = "碾石場",
	["The Grizzled Den"] = "灰色洞穴",
	["The Guardhouse"] = "守衛室",
	["The Guest Chambers"] = "客房",
	["The Gullet"] = "水道",
	["The Half Shell"] = "半殼號",
	["The Hall of Blood"] = "血之大廳",
	["The Hall of Gears"] = "齒輪大廳",
	["The Hall of Lights"] = "聖光大廳",
	["The Hall of Respite"] = "緩刑大廳",
	["The Halls of Reanimation"] = "再活化大廳",
	["The Halls of Winter"] = "凜冬之廳",
	["The Hand of Gul'dan"] = "古爾丹火山",
	["The Harborage"] = "避難營",
	["The Hatchery"] = "孵化室",
	["The Headland"] = "山頭營地",
	["The Headlands"] = "西岬",
	["The Heap"] = "聚集之地",
	["The Heart of Acherus"] = "亞榭洛之心",
	["The Hidden Clutch"] = "隱秘窩巢",
	["The Hidden Grove"] = "隱秘小林",
	["The Hidden Hollow"] = "隱匿谷地",
	["The Hidden Passage"] = "秘道",
	["The Hidden Reach"] = "密徑",
	["The Hidden Reef"] = "隱秘沙洲",
	["The High Path"] = "險惡之地",
	["The High Road"] = "高地小道",
	["The High Seat"] = "王座廳",
	["The Hinterlands"] = "辛特蘭",
	["The Hoard"] = "物資庫",
	["The Hole"] = "大坑",
	["The Horde Valiants' Ring"] = "部落驍士競技場",
	["The Horsemen's Assembly"] = "騎士聚所",
	["The Howling Hollow"] = "嚎風谷地",
	["The Howling Oak"] = "咆哮橡樹",
	["The Howling Vale"] = "狼嚎谷",
	["The Hunter's Reach"] = "獵人地帶",
	["The Hushed Bank"] = "寂靜河岸",
	["The Icy Depths"] = "冰結深淵",
	["The Immortal Coil"] = "不朽之環號",
	["The Imperial Seat"] = "帝王之座",
	["The Infectis Scar"] = "魔刃之痕",
	["The Inferno"] = "火焰煉獄",
	["The Inner Spire"] = "內塔",
	["The Intrepid"] = "無畏號",
	["The Inventor's Library"] = "發明者圖書館",
	["The Iron Crucible"] = "鐵之爐缸",
	["The Iron Hall"] = "鐵之大廳",
	["The Iron Reaper"] = "鋼鐵收割者",
	["The Isle of Spears"] = "群矛之島",
	["The Ivar Patch"] = "伊瓦農場",
	["The Jansen Stead"] = "傑生農場",
	["The Krazzworks"] = "克拉茲工坊",
	["The LMS Mark II"] = "LMS-II號",
	["The Laboratory"] = "實驗室",
	["The Lagoon"] = "瀉湖",
	["The Laughing Stand"] = "可笑的看臺",
	["The Legerdemain Lounge"] = "戲法旅舍",
	["The Legion Front"] = "軍團前線",
	["The Librarium"] = "藏書所",
	["The Library"] = "圖書館",
	["The Lifebinder's Cell"] = "生命守縛者的牢房",
	["The Lifeblood Pillar"] = "活血之柱",
	["The Lightless Reaches"] = "無光深淵",
	["The Living Grove"] = "生命之林",
	["The Living Wood"] = "活木森林",
	["The Loch"] = "洛克湖",
	["The Long Wash"] = "長橋碼頭",
	["The Lost Fleet"] = "失落的艦隊",
	["The Lost Fold"] = "遺忘農場",
	["The Lost Isles"] = "失落群島",
	["The Lost Lands"] = "失落之地",
	["The Lost Passage"] = "失落通道",
	["The Low Path"] = "粗劣之地",
	["The Lyceum"] = "講學廳",
	["The Maclure Vineyards"] = "馬科倫農場",
	["The Maelstrom"] = "大漩渦",
	["The Maker's Overlook"] = "造物者瞰臺",
	["The Maker's Rise"] = "造物者高地",
	["The Maker's Terrace"] = "造物者遺跡",
	["The Makers' Overlook"] = "造物者瞰臺",
	["The Makers' Perch"] = "造物者棲所",
	["The Manufactory"] = "製造廠",
	["The Marris Stead"] = "瑪瑞斯農場",
	["The Marshlands"] = "沼澤地",
	["The Masonary"] = "石匠區",
	["The Master's Cellar"] = "大師的地窖",
	["The Master's Glaive"] = "主宰之劍",
	["The Maul"] = "巨槌競技場",
	["The Maw of Madness"] = "瘋狂之口",
	["The Mechanar"] = "麥克納爾",
	["The Menagerie"] = "展示廳",
	["The Menders' Stead"] = "治癒者崗哨",
	["The Merchant Coast"] = "商旅海岸",
	["The Militant Mystic"] = "軍事狂秘術店",
	["The Military Quarter"] = "軍事區",
	["The Military Ward"] = "軍事區",
	["The Mind's Eye"] = "心靈之眼",
	["The Mirror of Dawn"] = "黎明之鏡",
	["The Mirror of Twilight"] = "曦光之鏡",
	["The Molsen Farm"] = "摩爾森農場",
	["The Molten Bridge"] = "熔火之橋",
	["The Molten Core"] = "熔火之心",
	["The Molten Fields"] = "熔岩原野",
	["The Molten Flow"] = "熔岩之流",
	["The Molten Span"] = "熔岩之橋",
	["The Mor'Shan Ramparts"] = "莫爾杉壁壘",
	["The Mor'shan Rampart"] = "莫爾杉壁壘",
	["The Mosslight Pillar"] = "苔光之柱",
	["The Mountain Den"] = "山中獸穴",
	["The Murder Pens"] = "謀殺者圍欄",
	["The Mystic Ward"] = "秘法區",
	["The Necrotic Vault"] = "死靈穹殿",
	["The Nexus"] = "奧核之心",
	["The Nexus Entrance"] = "奧核之心入口",
	["The Nightmare Scar"] = "惡夢之痕",
	["The North Coast"] = "北部海岸",
	["The North Sea"] = "北海",
	["The Nosebleeds"] = "鼻血之地",
	["The Noxious Glade"] = "劇毒林地",
	["The Noxious Hollow"] = "毒水谷",
	["The Noxious Lair"] = "腐化之巢",
	["The Noxious Pass"] = "腐毒小徑",
	["The Oblivion"] = "忘卻號",
	["The Observation Ring"] = "觀察之環",
	["The Obsidian Sanctum"] = "黑曜聖所",
	["The Oculus"] = "奧核之眼",
	["The Oculus Entrance"] = "奧核之眼入口",
	["The Old Barracks"] = "舊兵營",
	["The Old Dormitory"] = "舊宿舍",
	["The Old Port Authority"] = "舊港務局",
	["The Opera Hall"] = "歌劇大廳",
	["The Oracle Glade"] = "神諭林地",
	["The Outer Ring"] = "外環區",
	["The Overgrowth"] = "蔓生之地",
	["The Overlook"] = "縱谷",
	["The Overlook Cliffs"] = "望海崖",
	["The Pale Roost"] = "蒼白棲息地",
	["The Park"] = "花園",
	["The Path of Anguish"] = "苦痛之路",
	["The Path of Conquest"] = "征服之路",
	["The Path of Corruption"] = "腐化之路",
	["The Path of Glory"] = "光榮之路",
	["The Path of Iron"] = "鐵之途",
	["The Path of the Lifewarden"] = "生命守望者之路",
	["The Phoenix Hall"] = "鳳凰大廳",
	["The Pillar of Ash"] = "灰燼之柱",
	["The Pipe"] = "大管道",
	["The Pit of Criminals"] = "罪惡之池",
	["The Pit of Fiends"] = "魔鬼之淵",
	["The Pit of Narjun"] = "那金之淵",
	["The Pit of Refuse"] = "拋棄之池",
	["The Pit of Sacrifice"] = "獻祭坑",
	["The Pit of Scales"] = "鱗片之淵",
	["The Pit of the Fang"] = "尖牙之淵",
	["The Plague Quarter"] = "瘟疫區",
	["The Plagueworks"] = "瘟疫工坊",
	["The Pool of Ask'ar"] = "阿斯卡之池",
	["The Pools of Vision"] = "預見之池",
	["The Prison of Yogg-Saron"] = "尤格薩倫之獄",
	["The Proving Grounds"] = "試煉場",
	["The Purple Parlor"] = "紫羅蘭頂閣",
	["The Quagmire"] = "泥潭沼澤",
	["The Quaking Fields"] = "震動原野",
	["The Queen's Reprisal"] = "女王的報復",
	["The Raging Chasm"] = "狂怒裂谷",
	["The Rangers' Lodge"] = "遊俠小屋",
	["The Red Reaches"] = "紅色海岸",
	["The Refectory"] = "聖殿膳所",
	["The Regrowth"] = "癒合之地",
	["The Reliquary"] = "遺骨之穴",
	["The Repository"] = "寶庫",
	["The Reservoir"] = "蓄水池",
	["The Restless Front"] = "無寧前線",
	["The Ridge of Ancient Flame"] = "上古烈焰山脊",
	["The Rift"] = "裂隙",
	["The Ring of Blood"] = "血色競技場",
	["The Ring of Champions"] = "勇士競技場",
	["The Ring of Trials"] = "試煉競技場",
	["The Ring of Valor"] = "勇武之環",
	["The Riptide"] = "斬浪號",
	["The Roiling Gardens"] = "混濁之園",
	["The Rolling Gardens"] = "翻轉花園",
	["The Rolling Plains"] = "草海平原",
	["The Rookery"] = "孵化間",
	["The Rotting Orchard"] = "爛果園",
	["The Royal Exchange"] = "皇家交易所",
	["The Ruby Sanctum"] = "晶紅聖所",
	["The Ruined Reaches"] = "廢墟海岸",
	["The Ruins of Kel'Theril"] = "凱斯利爾廢墟",
	["The Ruins of Ordil'Aran"] = "奧迪拉蘭廢墟",
	["The Ruins of Stardust"] = "星塵廢墟",
	["The Rumble Cage"] = "加基森競技場",
	["The Rustmaul Dig Site"] = "鏽槌挖掘場",
	["The Sacred Grove"] = "神聖樹林",
	["The Salty Sailor Tavern"] = "水手之家旅店",
	["The Sanctum"] = "聖所",
	["The Sanctum of Blood"] = "血之聖所",
	["The Savage Coast"] = "野人海岸",
	["The Savage Glen"] = "蠻荒谷",
	["The Savage Thicket"] = "蠻荒灌木林",
	["The Scalding Chasm"] = "滾燙裂口",
	["The Scalding Pools"] = "沸水池",
	["The Scarab Dais"] = "甲蟲之台",
	["The Scarab Wall"] = "甲蟲之牆",
	["The Scarlet Basilica"] = "血色十字軍教堂",
	["The Scarlet Bastion"] = "血色十字軍堡壘",
	["The Scorched Grove"] = "烈焰邊境",
	["The Scorched Plain"] = "烈焰平原",
	["The Scrap Field"] = "廢棄農場",
	["The Scrapyard"] = "廢料場",
	["The Screaming Hall"] = "尖嘯大廳",
	["The Screaming Reaches"] = "尖嘯河岸",
	["The Screeching Canyon"] = "尖嘯峽谷",
	["The Scribe of Stormwind"] = "暴風城銘文抄寫",
	["The Scribes' Sacellum"] = "雕銘師禮拜堂",
	["The Scullery"] = "貯藏室",
	["The Sea Reaver's Run"] = "海劫者航道",
	["The Sea of Cinders"] = "灰燼之海",
	["The Seabreach Flow"] = "海裂之湧",
	["The Sealed Hall"] = "封印大廳",
	["The Searing Gateway"] = "灼熱閘道",
	["The Secret Lab"] = "秘密實驗室",
	["The Seer's Library"] = "先知書庫",
	["The Sepulcher"] = "瑟伯切爾",
	["The Severed Span"] = "切裂的大橋",
	["The Sewer"] = "下水道",
	["The Shadow Stair"] = "暗影階梯",
	["The Shadow Throne"] = "暗影王座",
	["The Shadow Vault"] = "暗影穹殿",
	["The Shady Nook"] = "林蔭小徑",
	["The Shaper's Terrace"] = "塑造者殿堂",
	["The Shattered Halls"] = "破碎大廳",
	["The Shattered Strand"] = "碎裂水岸",
	["The Shattered Walkway"] = "破碎走道",
	["The Shepherd's Gate"] = "牧羊人之門",
	["The Shifting Mire"] = "流沙泥潭",
	["The Shimmering Deep"] = "閃耀深淵",
	["The Shimmering Flats"] = "閃光平原",
	["The Shining Strand"] = "閃光湖岸",
	["The Shrine of Aessina"] = "艾森娜神殿",
	["The Shrine of Eldretharr"] = "艾德雷斯神殿",
	["The Silver Blade"] = "銀刃號",
	["The Silver Enclave"] = "白銀領區",
	["The Sin'loren"] = "辛洛倫",
	["The Singing Grove"] = "歌唱林地",
	["The Skeletal Reef"] = "骸骨沙洲",
	["The Skittering Dark"] = "粘絲洞",
	["The Skull Warren"] = "顱骨區",
	["The Skunkworks"] = "臭鼬工坊",
	["The Skybreaker"] = "破天者號",
	["The Skyreach Pillar"] = "擎天之柱",
	["The Slag Pit"] = "熔渣之池",
	["The Slaughter House"] = "屠宰房",
	["The Slaughtered Lamb"] = "已宰的羔羊",
	["The Slave Pens"] = "奴隸監獄",
	["The Slave Pits"] = "奴隸之坑",
	["The Slick"] = "巧滑",
	["The Slithering Scar"] = "巨痕谷",
	["The Slough of Dispair"] = "絕望泥沼",
	["The Sludge Fen"] = "淤泥沼澤",
	["The Sludge Fields"] = "淤泥農場",
	["The Sludgewerks"] = "淤泥作坊",
	["The Solar Vigil"] = "日光崗哨",
	["The Solarium"] = "日光之室",
	["The Spark of Imagination"] = "創思之廳",
	["The Sparkling Crawl"] = "閃亮圍欄",
	["The Spawning Glen"] = "重生峽谷",
	["The Spire"] = "冰冠尖塔",
	["The Stadium"] = "競技場",
	["The Stagnant Oasis"] = "死水綠洲",
	["The Staidridge"] = "穩固山脊",
	["The Stair of Destiny"] = "命運階梯",
	["The Stair of Doom"] = "厄運階梯",
	["The Steam Pools"] = "蒸汽之池",
	["The Steamvault"] = "蒸汽洞窟",
	["The Steppe of Life"] = "生命冷原",
	["The Steps of Fate"] = "天命之階",
	["The Stockade"] = "監獄",
	["The Stockpile"] = "儲藏室",
	["The Stone Vault"] = "石窖",
	["The Stonecore"] = "石岩之心",
	["The Stonecore Entrance"] = "石岩之心入口",
	["The Stonefield Farm"] = "斯通菲爾德農場",
	["The Storehouse"] = "倉庫",
	["The Storm Foundry"] = "風暴鑄造場",
	["The Storm Peaks"] = "風暴群山",
	["The Stormbreaker"] = "風暴破碎者",
	["The Stormspire"] = "風暴之尖",
	["The Stormwright's Shelf"] = "風暴工匠沙洲",
	["The Sun Forge"] = "太陽熔爐",
	["The Sundered Shard"] = "破碎裂片",
	["The Sundering"] = "大裂層",
	["The Sunken Ring"] = "沉沒之環",
	["The Sunspire"] = "日尖塔",
	["The Suntouched Pillar"] = "日觸之柱",
	["The Sunwell"] = "太陽之井",
	["The Swarming Pillar"] = "蟲群之柱",
	["The Tainted Forest"] = "腐化之森",
	["The Tainted Scar"] = "腐化之痕",
	["The Talon Den"] = "猛禽洞穴",
	["The Talondeep Path"] = "深爪小徑",
	["The Tempest Rift"] = "風暴裂口",
	["The Temple Gardens"] = "神殿花園",
	["The Temple of Atal'Hakkar"] = "阿塔哈卡神廟",
	["The Terrestrial Watchtower"] = "地疆瞭望塔",
	["The Thornsnarl"] = "纏結荊棘地",
	["The Threads of Fate"] = "命運織坊",
	["The Threshold"] = "臨界之線",
	["The Throne of Flame"] = "烈焰王座",
	["The Tidebreaker"] = "破潮者",
	["The Tidus Stair"] = "提度斯階梯",
	["The Tower of Arathor"] = "阿拉索之塔",
	["The Toxic Airfield"] = "劇毒機場",
	["The Trail of Devastation"] = "毀滅跡徑",
	["The Tranquil Grove"] = "靜謐林地",
	["The Transitus Stair"] = "隘境梯臺",
	["The Trapper's Enclave"] = "陷捕者營地",
	["The Tribunal of Ages"] = "歲月議庭",
	["The Tundrid Hills"] = "凍土嶺",
	["The Twilight Breach"] = "暮光裂層",
	["The Twilight Caverns"] = "暮光洞穴",
	["The Twilight Citadel"] = "暮光城塞",
	["The Twilight Enclave"] = "暮光領區",
	["The Twilight Gate"] = "暮光之門",
	["The Twilight Gauntlet"] = "暮光試煉",
	["The Twilight Ridge"] = "暮光山脊",
	["The Twilight Rivulet"] = "曦光之溪",
	["The Twilight Withering"] = "暮光枯萎之地",
	["The Twin Colossals"] = "雙塔山",
	["The Twisted Glade"] = "扭曲林地",
	["The Unbound Thicket"] = "無縛灌木林",
	["The Underbelly"] = "城底區",
	["The Underbog"] = "深幽泥沼",
	["The Undercroft"] = "墓室",
	["The Underhalls"] = "地下大廳",
	["The Undershell"] = "海殼床",
	["The Uplands"] = "高地",
	["The Upside-down Sinners"] = "倒吊深淵",
	["The Valley of Fallen Heroes"] = "逝往英雄山谷",
	["The Valley of Lost Hope"] = "逝望山谷",
	["The Vault of Lights"] = "聖光地窖",
	["The Vector Coil"] = "旋繞導航器",
	["The Veiled Cleft"] = "迷霧裂隙",
	["The Veiled Sea"] = "迷霧之海",
	["The Venture Co. Mine"] = "風險投資公司礦坑",
	["The Verdant Fields"] = "青草平原",
	["The Verdant Thicket"] = "青草灌木林",
	["The Verne"] = "維恩號",
	["The Verne - Bridge"] = "維恩號－艦橋",
	["The Verne - Entryway"] = "維恩號－入口通道",
	["The Vibrant Glade"] = "鮮亮林地",
	["The Vice"] = "罪惡谷",
	["The Vicious Vale"] = "致命叢林",
	["The Viewing Room"] = "觀察室",
	["The Vile Reef"] = "暗礁海",
	["The Violet Citadel"] = "紫羅蘭城塞",
	["The Violet Citadel Spire"] = "紫羅蘭城塞尖塔",
	["The Violet Gate"] = "紫羅蘭之門",
	["The Violet Hold"] = "紫羅蘭堡",
	["The Violet Spire"] = "紫羅蘭尖塔",
	["The Violet Tower"] = "紫羅蘭之塔",
	["The Vortex Fields"] = "漩渦農場",
	["The Vortex Pinnacle"] = "漩渦尖塔",
	["The Vortex Pinnacle Entrance"] = "漩渦尖塔入口",
	["The Wailing Caverns"] = "哀嚎洞穴",
	["The Wailing Ziggurat"] = "悲嘯通靈塔",
	["The Waking Halls"] = "喚醒之廳",
	["The Warlord's Garrison"] = "督軍要塞",
	["The Warlord's Terrace"] = "督軍殿堂",
	["The Warp Fields"] = "扭曲原野",
	["The Warp Piston"] = "星移活塞",
	["The Wavecrest"] = "浪峰號",
	["The Weathered Nook"] = "老屋",
	["The Weeping Cave"] = "哭泣之洞",
	["The Western Earthshrine"] = "西大地神殿",
	["The Westrift"] = "西裂峽",
	["The Whelping Downs"] = "幼龍丘陵",
	["The Whipple Estate"] = "維普爾莊園",
	["The Wicked Coil"] = "敗德螺旋",
	["The Wicked Grotto"] = "邪惡洞穴",
	["The Widow's Clutch"] = "寡婦之攫",
	["The Wild Shore"] = "蠻荒海岸",
	["The Winding Halls"] = "蜿蜒大廳",
	["The Windrunner"] = "風行者號",
	["The Wollerton Stead"] = "沃勒頓農場",
	["The Wonderworks"] = "神奇玩具屋",
	["The World Tree"] = "世界之樹",
	["The Writhing Deep"] = "痛苦深淵",
	["The Writhing Haunt"] = "苦痛鬼屋",
	["The Yorgen Farmstead"] = "猶根農場",
	["The Zoram Strand"] = "佐拉姆海岸",
	["Thelgen Rock"] = "瑟根石",
	Thelsamar = "塞爾薩瑪",
	Theramore = "塞拉摩",
	["Theramore Isle"] = "塞拉摩島",
	["Therazane's Throne"] = "瑟拉贊恩王座",
	["Thermal Vents"] = "熱能噴口",
	["Thieves Camp"] = "盜賊營地",
	["Thistlefur Hold"] = "薊皮要塞",
	["Thistlefur Village"] = "薊皮村",
	["Thistleshrub Valley"] = "灌木谷",
	["Thondroril River"] = "索多里爾河",
	["Thor Modan"] = "鐸爾莫丹",
	["Thoradin's Wall"] = "索拉丁之牆",
	["Thorium Advance"] = "瑟銀先遣營地",
	["Thorium Point"] = "瑟銀哨塔",
	["Thorn Hill"] = "荊棘嶺",
	["Thornfang Hill"] = "棘牙丘陵",
	["Thornmantle's Hideout"] = "刺鬃的藏身處",
	["Thorson's Post"] = "托爾森崗哨",
	["Thorvald's Camp"] = "索瓦爾德營地",
	["Thousand Needles"] = "千針石林",
	Thrallmar = "索爾瑪",
	["Thrallmar Mine"] = "索爾瑪礦坑",
	["Three Corners"] = "三角路口",
	["Throne of Kil'jaeden"] = "基爾加丹王座",
	["Throne of Neptulon"] = "奈普圖隆王座",
	["Throne of Tides"] = "海潮王座",
	["Throne of the Apocalypse"] = "天啟王座",
	["Throne of the Damned"] = "被詛咒的王座",
	["Throne of the Elements"] = "元素王座",
	["Throne of the Four Winds"] = "四風王座",
	["Throne of the Tides"] = "海潮王座",
	["Throne of the Tides Entrance"] = "海潮王座入口",
	["Thrym's End"] = "瑟瑞姆之歿",
	["Thunder Axe Fortress"] = "雷斧堡壘",
	["Thunder Bluff"] = "雷霆崖",
	["Thunder Falls"] = "雷霆瀑布",
	["Thunder Peak"] = "雷霆峰",
	["Thunder Ridge"] = "雷霆山",
	Thunderbluff = "雷霆崖",
	["Thunderbrew Distillery"] = "雷酒釀酒廠",
	Thunderfall = "雷殞之地",
	["Thunderhorn Water Well"] = "雷角水井",
	["Thundering Overlook"] = "雷電瞰臺",
	["Thunderlord Stronghold"] = "雷霆王村",
	Thundermar = "桑德瑪",
	["Thundermar Ruins"] = "桑德瑪遺跡",
	["Thunderstrike Mountain"] = "雷擊山",
	["Thunk's Abode"] = "桑克的居所",
	["Thuron's Livery"] = "薩爾倫的出租商行",
	["Tidefury Cove"] = "狂潮灣",
	["Tides' Hollow"] = "海潮谷地",
	["Timbermaw Hold"] = "木喉要塞",
	["Timbermaw Post"] = "木喉崗哨",
	["Tinker Town"] = "地精區",
	["Tinkers' Court"] = "技工議會",
	["Tiragarde Keep"] = "提拉加德城堡",
	["Tirisfal Glades"] = "提里斯法林地",
	["Tirth's Haunt"] = "提爾斯鬼屋",
	["Tkashi Ruins"] = "伽什廢墟",
	["Tol Barad"] = "托巴拉德",
	["Tol Barad Peninsula"] = "托巴拉德半島",
	["Tomb of Lights"] = "聖光之墓",
	["Tomb of the Ancients"] = "先祖陵寢",
	["Tomb of the Earthrager"] = "地怒者之墓",
	["Tomb of the Lost Kings"] = "逝王陵墓",
	["Tomb of the Sun King"] = "太陽之王陵墓",
	["Tomb of the Watchers"] = "看守者之墓",
	["Tombs of the Precursors"] = "先驅者之墓",
	["Tome of the Unrepentant"] = "無悔者之書",
	["Tor'Watha"] = "托爾瓦薩",
	["Tor'kren Farm"] = "托克雷農場",
	["Torp's Farm"] = "托普的農場",
	["Torseg's Rest"] = "托賽格安息地",
	["Toryl Estate"] = "托爾莊園",
	["Toshley's Station"] = "托斯利基地",
	["Tower Point"] = "哨塔高地",
	["Tower Watch"] = "警戒塔",
	["Tower of Althalaxx"] = "奧薩拉克斯之塔",
	["Tower of Azora"] = "阿祖拉之塔",
	["Tower of Eldara"] = "艾達拉之塔",
	["Tower of Estulan"] = "艾斯圖蘭之塔",
	["Tower of Ilgalar"] = "伊爾加拉之塔",
	["Tower of the Damned"] = "詛咒神教之塔",
	["Town Square"] = "小鎮廣場",
	["Town-In-A-Box"] = "盒中鎮",
	["Trade District"] = "貿易區",
	["Trade Quarter"] = "貿易區",
	["Trader's Tier"] = "貿易區",
	["Tradesmen's Terrace"] = "貿易區",
	["Train Depot"] = "地鐵站",
	["Training Grounds"] = "訓練場",
	["Traitor's Cove"] = "背叛者海灣",
	["Tranquil Coast"] = "寧靜海岸",
	["Tranquil Gardens Cemetery"] = "靜謐花園墓場",
	["Tranquil Shore"] = "寧靜海岸",
	["Tranquil Wash"] = "寧靜港灣",
	Tranquillien = "安寧地",
	Transborea = "越風之地",
	["Transitus Shield"] = "隘境之盾",
	["Transport: Alliance Gunship"] = "傳送:聯盟砲艇",
	["Transport: Alliance Gunship (IGB)"] = "傳送:聯盟砲艇(IGB)",
	["Transport: Horde Gunship"] = "傳送:部落砲艇",
	["Transport: Horde Gunship (IGB)"] = "傳送:部落砲艇(IGB)",
	["Transport: Onyxia/Nefarian Elevator"] = "傳送: 奧妮克希亞/奈法利安升降梯",
	["Trasnport: The Mighty Wind (Icecrown Citadel Raid)"] = "傳送:強風號(冰冠城塞團隊)",
	["Trelleum Mine"] = "崔爾曼礦坑",
	["Trial of Fire"] = "火之試煉",
	["Trial of Frost"] = "霜之試煉",
	["Trial of Shadow"] = "暗影試煉",
	["Trial of the Champion"] = "勇士試煉",
	["Trial of the Champion Entrance"] = "勇士試煉入口",
	["Trial of the Crusader"] = "十字軍試煉",
	["Trogma's Claim"] = "索格瑪領土",
	["Trollbane Hall"] = "托爾貝恩大廳",
	["Trophy Hall"] = "勝利紀念大廳",
	["Trueshot Point"] = "強擊崗哨",
	["Tuluman's Landing"] = "吐魯曼平臺",
	Tuurem = "杜瑞",
	["Twilight Aerie"] = "暮光高巢",
	["Twilight Altar of Storms"] = "暮光暴風祭壇",
	["Twilight Base Camp"] = "暮光營地",
	["Twilight Bulwark"] = "暮光壁壘",
	["Twilight Camp"] = "暮光營地",
	["Twilight Command Post"] = "暮光指揮站",
	["Twilight Crossing"] = "暮光路口",
	["Twilight Forge"] = "暮光熔爐",
	["Twilight Grove"] = "暮光森林",
	["Twilight Highlands"] = "暮光高地",
	["Twilight Highlands Phased Entrance"] = "暮光高地定相入口",
	["Twilight Outpost"] = "暮光前哨站",
	["Twilight Overlook"] = "暮光瞰臺",
	["Twilight Post"] = "暮光崗哨",
	["Twilight Precipice"] = "暮光絕壁",
	["Twilight Shore"] = "暮光海岸",
	["Twilight Terrace"] = "暮光殿堂",
	["Twilight Vale"] = "暮光谷",
	["Twilight's Run"] = "暮光小徑",
	["Twin Peaks"] = "雙子峰",
	["Twin Shores"] = "雙水之濱",
	["Twin Spire Ruins"] = "雙塔廢墟",
	["Twinbraid's Patrol"] = "塔文布萊德巡防地",
	["Twisting Nether"] = "扭曲虛空",
	["Tyr's Hand"] = "提爾之手",
	["Tyr's Hand Abbey"] = "提爾之手修道院",
	["Tyr's Terrace"] = "提爾露臺",
	["Ufrang's Hall"] = "烏弗蘭大廳",
	Uldaman = "奧達曼",
	["Uldaman Entrance"] = "奧達曼",
	Uldis = "奧迪斯",
	Ulduar = "奧杜亞",
	["Ulduar Raid - Interior - Insertion Point"] = "奧杜亞團隊 - 內部 - 嵌入點",
	["Ulduar Raid - Iron Concourse"] = "奧杜亞團隊 - 鐵之集合場",
	Uldum = "奧丹姆",
	["Uldum Phase Oasis"] = "奧丹姆階段綠洲",
	["Uldum Phased Entrance"] = "奧丹姆定相入口",
	["Umbrafen Lake"] = "昂布拉凡湖",
	["Umbrafen Village"] = "昂布拉凡村",
	["Un'Goro Crater"] = "安戈洛環形山",
	Undercity = "幽暗城",
	["Underlight Canyon"] = "光底峽谷",
	["Underlight Mines"] = "光底礦坑",
	["Unearthed Grounds"] = "掘出的遺址",
	["Unu'pe"] = "昂紐沛",
	["Unyielding Garrison"] = "不屈要塞",
	["Upper Silvermarsh"] = "銀之沼澤上層",
	["Upper Veil Shil'ak"] = "迷霧希拉克上層",
	["Ursoc's Den"] = "厄索克之穴",
	Ursolan = "厄索蘭",
	["Utgarde Catacombs"] = "俄特加德墓窖",
	["Utgarde Keep"] = "俄特加德要塞",
	["Utgarde Keep Entrance"] = "俄特加德要塞入口",
	["Utgarde Pinnacle"] = "俄特加德之巔",
	["Utgarde Pinnacle Entrance"] = "俄特加德之巔入口",
	["Uther's Tomb"] = "烏瑟之墓",
	["Valaar's Berth"] = "瓦拉船台",
	["Valgan's Field"] = "瓦爾甘牧場",
	Valgarde = "瓦爾加德",
	["Valgarde Port"] = "瓦爾加德港口",
	Valhalas = "英靈殿",
	["Valiance Keep"] = "驍勇要塞",
	["Valiance Landing Camp"] = "驍勇臺地營地",
	Valkyrion = "華爾基倫",
	["Valley Of Heroes"] = "英雄谷",
	["Valley of Ancient Winters"] = "遠古寒冬山谷",
	["Valley of Ashes"] = "灰燼谷",
	["Valley of Bones"] = "白骨之谷",
	["Valley of Echoes"] = "回聲山谷",
	["Valley of Fangs"] = "巨牙谷",
	["Valley of Heroes"] = "英雄谷",
	["Valley of Honor"] = "榮譽谷",
	["Valley of Kings"] = "國王谷",
	["Valley of Spears"] = "長矛谷",
	["Valley of Spirits"] = "精神谷",
	["Valley of Strength"] = "力量谷",
	["Valley of Trials"] = "試煉谷",
	["Valley of Wisdom"] = "智慧谷",
	["Valley of the Bloodfuries"] = "血怒峽谷",
	["Valley of the Watchers"] = "守衛之谷",
	["Valor's Rest"] = "勇士之墓",
	Valormok = "瓦羅莫克",
	["Valorwind Lake"] = "瓦羅溫湖",
	["Vanguard Infirmary"] = "先鋒醫護站",
	["Vanndir Encampment"] = "范迪爾營地",
	["Vargoth's Retreat"] = "瓦戈斯居所",
	["Vashj'elan Spawning Pool"] = "瓦許伊蘭孵化池",
	["Vashj'ir"] = "瓦許伊爾",
	["Vault of Archavon"] = "亞夏梵穹殿",
	["Vault of Ironforge"] = "鐵爐堡銀行",
	["Vault of the Ravenian"] = "拉文尼亞之廳",
	["Vault of the Shadowflame"] = "暗影之焰穹殿",
	["Veil Ala'rak"] = "迷霧亞拉芮克",
	["Veil Harr'ik"] = "迷霧哈瑞克",
	["Veil Lashh"] = "迷霧拉斯",
	["Veil Lithic"] = "迷霧里斯克",
	["Veil Reskk"] = "迷霧瑞斯克",
	["Veil Rhaze"] = "迷霧瑞漢茲",
	["Veil Ruuan"] = "迷霧魯安",
	["Veil Sethekk"] = "迷霧塞司克",
	["Veil Shalas"] = "迷霧撒拉斯",
	["Veil Shienor"] = "迷霧辛諾",
	["Veil Skith"] = "迷霧斯奇司",
	["Veil Vekh"] = "迷霧維克",
	["Vekhaar Stand"] = "維克哈爾看臺",
	["Velaani's Arcane Goods"] = "瓦拉尼的秘法物品",
	["Vendetta Point"] = "血仇崗哨",
	["Vengeance Landing"] = "復仇臺地",
	["Vengeance Landing Inn"] = "復仇臺地旅店",
	["Vengeance Landing Inn, Howling Fjord"] = "復仇臺地旅店，凜風峽灣",
	["Vengeance Lift"] = "復仇升降梯",
	["Vengeance Pass"] = "復仇隘口",
	["Vengeance Wake"] = "復仇之醒",
	Venomspite = "毒怨之地",
	["Venomweb Vale"] = "毒蛛峽谷",
	["Venture Bay"] = "風險海灣",
	["Venture Co. Base Camp"] = "風險投資公司營地",
	["Venture Co. Operations Center"] = "風險投資公司工作中心",
	["Verdant Highlands"] = "青草高原",
	["Verdantis River"] = "沃丹提斯河",
	["Veridian Point"] = "翠綠崗哨",
	["Verlok Stand"] = "維洛克看臺",
	["Vermillion Redoubt"] = "朱紅壁壘",
	["Verrall Delta"] = "維羅河三角洲",
	["Verrall River"] = "維羅河",
	["Victor's Point"] = "勝利者崗哨",
	["Vileprey Village"] = "鄙掠村",
	["Vim'gol's Circle"] = "梵戈之環",
	["Vindicator's Rest"] = "復仇者之陵",
	["Violet Citadel Balcony"] = "紫羅蘭城塞露台",
	["Violet Hold"] = "紫羅蘭堡",
	["Violet Hold Entrance"] = "紫羅蘭堡入口",
	["Violet Stand"] = "紫羅蘭看臺",
	["Vir'naal Dam"] = "維爾納爾水壩",
	["Vir'naal Lake"] = "維爾納爾湖",
	["Vir'naal Oasis"] = "維爾納爾綠洲",
	["Vir'naal River"] = "維爾納爾河",
	["Vir'naal River Delta"] = "維爾納爾三角洲",
	["Void Ridge"] = "虛無之脊",
	["Voidwind Plateau"] = "裂風高原",
	["Volcanoth's Lair"] = "火岩諾斯的巢穴",
	["Voldrin's Hold"] = "佛德林堡號",
	Voldrune = "沃德盧恩",
	["Voldrune Dwelling"] = "沃德盧恩居所",
	Voltarus = "沃塔魯斯",
	["Vordrassil Pass"] = "沃達希爾小徑",
	["Vordrassil's Heart"] = "沃達希爾之心",
	["Vordrassil's Limb"] = "沃達希爾之枝",
	["Vordrassil's Tears"] = "沃達希爾之淚",
	["Vortex Pinnacle"] = "漩渦尖塔",
	["Vortex Summit"] = "漩渦之巔",
	["Vul'Gol Ogre Mound"] = "沃古爾巨魔山",
	["Vyletongue Seat"] = "維利塔恩之座",
	["Wahl Cottage"] = "瓦爾小屋",
	["Wailing Caverns"] = "哀嚎洞穴",
	["Walk of Elders"] = "長者步道",
	["War Quarter"] = "軍事區",
	["War Room"] = "指揮室",
	["Warbringer's Ring"] = "戰爭使者的競技場",
	["Warchief's Lookout"] = "大酋長守望",
	["Warden's Cage"] = "典獄官監牢",
	["Warden's Chambers"] = "衛兵之間",
	["Warden's Vigil"] = "看守者崗哨",
	["Warmaul Hill"] = "戰槌山丘",
	["Warpwood Quarter"] = "扭木廣場",
	["Warrior's Terrace"] = "戰士區",
	["Warsong Camp"] = "戰歌營地",
	["Warsong Farms Outpost"] = "戰歌農場前哨",
	["Warsong Flag Room"] = "戰歌戰旗廳",
	["Warsong Granary"] = "戰歌穀倉",
	["Warsong Gulch"] = "戰歌峽谷",
	["Warsong Hold"] = "戰歌堡",
	["Warsong Jetty"] = "戰歌碼頭",
	["Warsong Labor Camp"] = "戰歌勞工營地",
	["Warsong Lumber Camp"] = "戰歌伐木營地",
	["Warsong Lumber Mill"] = "戰歌伐木場",
	["Warsong Slaughterhouse"] = "戰歌屠宰場",
	["Watchers' Terrace"] = "守衛露臺",
	["Waterspring Field"] = "清泉平原",
	Waterworks = "供水設備",
	["Wavestrider Beach"] = "破浪海灘",
	["Wayfarer's Rest"] = "旅人休憩",
	Waygate = "甬道之門",
	["Wayne's Refuge"] = "韋恩的避難所",
	["Weazel's Crater"] = "維吉爾之坑",
	["Webwinder Hollow"] = "蛛網谷",
	["Webwinder Path"] = "蛛網小徑",
	["Weeping Quarry"] = "哀泣礦場",
	["Well of the Forgotten"] = "遺忘之井",
	["Wellson Shipyard"] = "維爾森船廠",
	["Wellspring Hovel"] = "湧泉屋舍",
	["Wellspring Lake"] = "湧泉湖",
	["Wellspring River"] = "湧泉河",
	["West Garrison"] = "西部兵營",
	["West Pillar"] = "西部石柱",
	["West Point Station"] = "西點抽水站",
	["West Point Tower"] = "西點哨塔",
	["West Sanctum"] = "西部聖所",
	["West Spear Tower"] = "西矛哨塔",
	["West Spire"] = "西部尖塔",
	["Westbrook Garrison"] = "西泉要塞",
	["Western Bridge"] = "西部橋樑",
	["Western Plaguelands"] = "西瘟疫之地",
	["Western Strand"] = "西部海岸",
	Westfall = "西部荒野",
	["Westfall Brigade"] = "西荒兵團",
	["Westfall Brigade Encampment"] = "西荒兵團駐營",
	["Westfall Lighthouse"] = "西部荒野燈塔",
	["Westguard Inn"] = "鎮西旅店",
	["Westguard Keep"] = "鎮西要塞",
	["Westguard Turret"] = "鎮西砲塔",
	["Westreach Summit"] = "亂風崗 ",
	["Westspark Workshop"] = "西炫工坊",
	["Westwind Lift"] = "西風升降梯",
	["Westwind Refugee Camp"] = "西風難民營",
	Wetlands = "濕地",
	["Whelgar's Excavation Site"] = "維爾加挖掘場",
	["Whelgar's Retreat"] = "維爾加的避難所",
	["Whisper Gulch"] = "低語峽谷",
	["Whispering Forest"] = "低語森林",
	["Whispering Gardens"] = "耳語花園",
	["Whispering Shore"] = "耳語海岸",
	["Whisperwind Grove"] = "語風林地",
	["Whistling Grove"] = "哨嘯樹林",
	["White Pine Trading Post"] = "白松貿易站",
	["Whitebeard's Encampment"] = "白鬚營地",
	["Whitereach Post"] = "白沙崗哨",
	["Wild Overlook"] = "野生眺望",
	["Wild Shore"] = "蠻荒海岸",
	["Wildbend River"] = "急彎河",
	["Wildervar Mine"] = "威德瓦礦坑",
	["Wildflame Point"] = "野火哨點",
	["Wildgrowth Mangal"] = "叢生沼林",
	["Wildhammer Flag Room"] = "蠻錘戰旗廳",
	["Wildhammer Keep"] = "蠻錘城堡",
	["Wildhammer Stronghold"] = "蠻錘要塞",
	["Wildheart Point"] = "野性之心營地",
	["Wildmane Water Well"] = "蠻鬃水井",
	["Wildpaw Cavern"] = "蠻爪洞穴",
	["Wildpaw Ridge"] = "蠻爪嶺",
	["Wildwind Lake"] = "狂風湖",
	["Wildwind Path"] = "狂風小徑",
	["Wildwind Peak"] = "狂風山尖",
	["Windbreak Canyon"] = "風裂峽谷",
	["Windfury Ridge"] = "狂風山",
	["Windrunner Spire"] = "風行者塔",
	["Windrunner Village"] = "風行者村",
	["Windrunner's Overlook"] = "風行者瞰臺",
	["Windshear Crag"] = "狂風峭壁",
	["Windshear Heights"] = "狂風陵地",
	["Windshear Hold"] = "狂風堡",
	["Windshear Mine"] = "狂風礦坑",
	["Windshear Valley"] = "狂風谷",
	["Windy Bluffs"] = "群風崖",
	["Windyreed Pass"] = "風蘆小徑",
	["Windyreed Village"] = "風蘆村",
	["Winter's Breath Lake"] = "冬息湖",
	["Winter's Edge Tower"] = "冬際哨塔",
	["Winter's Heart"] = "寒冬之心",
	["Winter's Terrace"] = "冬之殿堂",
	["Winterax Hold"] = "冰斧要塞",
	["Winterfall Village"] = "寒水村",
	["Winterfin Caverns"] = "冬鰭洞窟",
	["Winterfin Retreat"] = "冬鰭避居地",
	["Winterfin Village"] = "冬鰭村",
	["Wintergarde Crypt"] = "溫特加德墓穴",
	["Wintergarde Keep"] = "溫特加德要塞",
	["Wintergarde Mausoleum"] = "溫特加德墓塚",
	["Wintergarde Mine"] = "溫特加德礦坑",
	Wintergrasp = "冬握湖",
	["Wintergrasp Fortress"] = "冬握堡壘",
	["Wintergrasp River"] = "冬握河",
	["Winterhoof Water Well"] = "冬蹄水井",
	Winterspring = "冬泉谷",
	["Witch Hill"] = "女巫嶺",
	["Witch's Sanctum"] = "女巫聖所",
	["Witherbark Caverns"] = "枯木洞穴",
	["Witherbark Village"] = "枯木村",
	["Withering Thicket"] = "枯萎灌木林",
	["Wizard Row"] = "巫師街",
	["Wizard's Sanctum"] = "巫師聖所",
	["Wolf's Run"] = "狼之小徑",
	["Wood's End Cabin"] = "林終小屋",
	["Woodpaw Den"] = "木爪巢穴",
	["Woodpaw Hills"] = "木爪嶺",
	Workshop = "工坊",
	["Workshop Entrance"] = "工作室入口",
	["World's End Tavern"] = "世界的盡頭小酒館",
	["Wrathscale Lair"] = "怒鱗巢穴",
	["Wrathscale Point"] = "怒鱗崗哨",
	["Wreckage of the Silver Dawning"] = "銀色清晨號沉沒之地",
	["Writhing Mound"] = "苦痛山丘",
	Wyrmbog = "巨龍泥沼",
	["Wyrmbreaker's Rookery"] = "破龍者的孵化間",
	["Wyrmrest Temple"] = "龍眠神殿",
	["Wyrms' Bend"] = "巨龍之彎",
	["Wyrmscar Island"] = "龍痕島",
	["Wyrmskull Bridge"] = "龍骨橋",
	["Wyrmskull Tunnel"] = "龍骨隧道",
	["Wyrmskull Village"] = "龍顱村",
	["X-2 Pincer"] = "X-2鉗手號",
	Xavian = "薩維亞",
	Ymirheim = "依米海姆",
	["Ymiron's Seat"] = "依米倫之座",
	["Yojamba Isle"] = "尤亞姆巴島",
	["Yowler's Den"] = "猶勒的巢穴",
	["Zabra'jin"] = "薩布拉金",
	["Zaetar's Grave"] = "札爾塔之墓",
	["Zalashji's Den"] = "薩拉辛之穴",
	["Zalazane's Fall"] = "札拉贊恩之隕",
	["Zane's Eye Crater"] = "贊恩之眼",
	["Zangar Ridge"] = "贊格山脊",
	Zangarmarsh = "贊格沼澤",
	["Zeb'Halak"] = "札布哈拉克",
	["Zeb'Nowa"] = "札布諾瓦",
	["Zeb'Sora"] = "札布索拉",
	["Zeb'Tela"] = "札布泰拉",
	["Zeb'Watha"] = "拉伯瓦薩",
	["Zeppelin Crash"] = "飛艇失事地",
	Zeramas = "賽拉瑪斯",
	["Zeth'Gor"] = "薩斯葛爾",
	["Ziata'jai Ruins"] = "贊塔加廢墟",
	["Zim'Abwa"] = "辛阿布瓦",
	["Zim'Rhuk"] = "辛茹克",
	["Zim'Torga"] = "辛托加",
	["Zim'bo's Hideout"] = "辛波的藏身所",
	["Zol'Heb"] = "佐爾希伯",
	["Zol'Maz Stronghold"] = "佐爾馬茲堡砦",
	["Zoram'gar Outpost"] = "佐拉姆加前哨站",
	["Zul'Aman"] = "祖阿曼",
	["Zul'Drak"] = "祖爾德拉克",
	["Zul'Farrak"] = "祖爾法拉克",
	["Zul'Farrak Entrance"] = "祖爾法拉克入口",
	["Zul'Gurub"] = "祖爾格拉布",
	["Zul'Mashar"] = "祖爾瑪夏",
	["Zun'watha"] = "祖瓦沙",
	["Zuuldaia Ruins"] = "祖丹亞廢墟",
}

else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
